#!/bin/sh
#SBATCH -J PREP_REAL_CASE 
#SBATCH --nodes=2            # nbre noeuds
#SBATCH --ntasks=16          # nbre proc
#SBATCH -o output_PREP_REAL_CASE.eo%j
#SBATCH -e output_PREP_REAL_CASE.eo%j
#SBATCH -t 01:00:00        # time limit

ulimit -s unlimited
ulimit -c 0

. ~rodierq/DEV_57/MNH-git_open_source-lfs-MR3Joris-limaPierre/conf/profile_mesonh-LXifort-R8I4-MNH-V5-6-2-ECRAD140-MPIAUTO-O2-ICCARE

ln -sf ../001_pgd/PGD_SIB_*nest* .
ln -sf /scratch/work/tulet/CAMS/CAMS_201610* .
ln -sf /scratch/work/tulet/ECMWF/EC.AN.2016101* .


export YEAR='2016'
export MONTH='10'
export DAY='14'
export MPIRUN='Mpirun -np 16 '
rm -f PRE_REAL1.nam
for HOUR in '00' '06' '12' '18'
do
    cp -f PRE_REAL1.nam_SAVE_dom1 PRE_REAL1.nam
    echo '======================================='
    echo ' Treatment of the date' $YEAR$MONTH$DAY 'at' $HOUR'h'
    echo '======================================='
    sed -i "s/YEAR/$YEAR/g" PRE_REAL1.nam
    sed -i "s/MONTH/$MONTH/g" PRE_REAL1.nam
    sed -i "s/DAY/$DAY/g" PRE_REAL1.nam
    sed -i "s/HOUR/$HOUR/g" PRE_REAL1.nam
    time ${MPIRUN} PREP_REAL_CASE${XYZ}
    cp PRE_REAL1.nam PRE_REAL1.nam_T${YEAR}${MONTH}${DAY}${HOUR}
done

cp -f PRE_REAL1.nam_T2016101318 PRE_REAL1.nam
time ${MPIRUN} PREP_REAL_CASE${XYZ}

cp -f PRE_REAL1.nam_T2016101500 PRE_REAL1.nam
time ${MPIRUN} PREP_REAL_CASE${XYZ}

sbatch run_spawning.sh
