#!/bin/sh
#SBATCH -J DIAG
#SBATCH --time=4:00:00
#SBATCH --nodes=8            # nbre noeuds
#SBATCH --ntasks=120          # nbre proc
#SBATCH --mem=128000           # RAM (MB)
#SBATCH --output=job.out%j
#SBATCH --exclusive

ulimit -s unlimited
ulimit -c 0

# ---------------------------------------------------------
# Repertoire de travail
# ---------------------------------------------------------
DIR="CAS_SYBILLE"
export SEG='SEG'
export EXP='ICDST'
#export EXP='CAMS1'
#export EXP='IFNCO'
#export EXP='ICICE'
 cd $workdir/${DIR}
# cd $workdir/${DIR}/LIMA_NOAER
#cd $workdir/${DIR}/ICE3

# loop
for NSEG in    02 # 01 
do
for ECH in   011 #   001 002 # 003  004 005 006  007 008  009 010 011 012 # 013 014 015 016 017 018  019 020 021 022 023 024 # 025 026 027 028 029 030
do

.  ~/MNH-V5-6-2/conf/profile_mesonh-LXifort-R8I4-MNH-V5-6-2-OASISPERSO-ECRAD140-IDAI-MPIAUTO-O3

cat > DIAG1.nam << EOF
&NAM_CONFZ MPI_BUFFER_SIZE=400 / 

&NAM_CONFIO LCDF4 = .TRUE.,
            LLFIREAD = .FALSE.,
            LLFIOUT = .FALSE. /

&NAM_DIAG_FILE YINIFILE(1) = '${EXP}.2.${SEG}${NSEG}.${ECH}',
               YINIFILEPGD(1) = 'PGD_SIBPC_500m.nestne',
               YSUFFIX = 'diag' /

&NAM_DIAG LTPZH = .TRUE,
          LMOIST_V = .TRUE.,
          LMSLP    = .TRUE.,
          LTHW     = .TRUE.,
          LLIMA_DIAG = .TRUE.,
          LVAR_MRW = .TRUE.,
          NRAD_3D  = -1,
          LVAR_PR = .TRUE.,
          LCHEMDIAG = .FALSE.,
          LRADAR = .TRUE. /

EOF
 time mpirun -np 120 DIAG${XYZ} > output_DIAG.out

cat > DIAG1.nam << EOF
&NAM_CONFZ MPI_BUFFER_SIZE=400 / 

&NAM_CONFIO LCDF4 = .TRUE.,
            LLFIREAD = .FALSE.,
            LLFIOUT = .FALSE. /

&NAM_DIAG_FILE YINIFILE(1) = '${EXP}.1.${SEG}${NSEG}.${ECH}',
               YINIFILEPGD(1) = 'PGD_SIBPC_2km.nestne',
               YSUFFIX = 'diag' /

&NAM_DIAG LTPZH = .TRUE,
          LMOIST_V = .TRUE.,
          LMSLP    = .TRUE.,
          LTHW     = .TRUE.,
          LLIMA_DIAG = .TRUE.,
          LVAR_MRW = .TRUE.,
          NRAD_3D  =-1,
          LVAR_PR = .TRUE.,
          LCHEMDIAG = .FALSE.,
          LRADAR = .TRUE. /

EOF
 time mpirun -np 120 DIAG${XYZ} > output_DIAG.out


done 
done

