#!/bin/sh
#SBATCH -J DIAG
#SBATCH --time=6:00:00
#SBATCH --nodes=1            # nbre noeuds
#SBATCH --ntasks=10          # nbre proc
#SBATCH --mem=128000           # RAM (MB)
#SBATCH --output=job.out%j
#SBATCH --exclusive

ulimit -s unlimited
ulimit -c 0

# ---------------------------------------------------------
# Repertoire de travail
# ---------------------------------------------------------
DIR="CAS_SYBILLE"
export SEG='SEG'
#export EXP='LIMA4'
#export EXP='IFNCO'
#export EXP='ICICE'
 cd $workdir/${DIR}
# cd $workdir/${DIR}/LIMA_NOAER
#cd $workdir/${DIR}/ICE3
for  EXP in 'REF57' 
do
# loop
for NSEG in    01 
do
for ECH in    004 #  001 003 # 002 003 004 005 006  #  007 008  009 010 011 012 # 013 014 015 016 017 018  019 020 021 022 023 024 # 025 026 027 028 029 030
do

.  ~/MNH-V5-6-2/conf/profile_mesonh-LXifort-R8I4-MNH-V5-6-2-ECRAD140-MPIAUTO-O3


cat > DIAG1.nam << EOF
&NAM_CONFZ MPI_BUFFER_SIZE=400 / 

&NAM_CONFIO LCDF4 = .TRUE.,
            LLFIREAD = .FALSE.,
            LLFIOUT = .FALSE. /

&NAM_DIAG_FILE YINIFILE(1) = '${EXP}.1.${SEG}${NSEG}.${ECH}',
               YINIFILEPGD(1) = 'PGD_SIB_2km.nestne',
               YSUFFIX = 'dia' /

&NAM_DIAG LTPZH = .TRUE,
          LMOIST_V = .TRUE.,
          LMOIST_E = .TRUE.,
          LMSLP    = .TRUE.,
          LTHW     = .TRUE.,
          LLIMA_DIAG = .TRUE.,
          LVAR_MRW = .TRUE.,
          NRAD_3D  = 1,
          LTOTAL_PR = .TRUE.,
          LVAR_PR = .TRUE.,
          LCHEMDIAG = .FALSE.,
          LRADAR = .TRUE. /
EOF
 time mpirun -np 10 DIAG${XYZ} > output_DIAG.out

done 
done 
done
cd /home/cnrm_other/ge/erla/tulet/MNH-V5-6-2/MY_RUN/CAS_SYBILLE/mesonh
sbatch  run_reduce_diag_dom1.sh


