#!/bin/ksh
#Programme qui copie la namelist PRE REAL MesoNH de façon automatique pour toutes les échéances voulues
#adapte du programme de Marc Mandement Février 2020 
#dans /scratch/work/mandementm/SIMU_CAS_AUDE_2MODELS/004_arome2lfi_preal1
# Clotilde Augros septembre 2020
# adapte pour simu CEP

AN=$(date +%Y)
MM=$(date +%m)
DD=$(date +%d)

#DD=30
DATE=$1
HH=00

cat <<EOT | tr '"' "'" > PRE_REAL1.nam_mod2
&NAM_CONFIO LCDF4=T, 
            LLFIREAD=F, 
            NIO_ABORT_LEVEL=1, 
            NGEN_ABORT_LEVEL=1/

&NAM_FILE_NAMES HATMFILE='${DATE}_00H.spa01',
                HATMFILETYPE='MESONH',
                HPGDFILE='PGD_300m.neste1',
                CINIFILE='${DATE}_00H_300m' /

&NAM_REAL_CONF LCOUPLING=.FALSE.,
               NVERB=5,
               CEQNSYS='DUR',
               CPRESOPT='ZRESI',
               LRES=.TRUE.,
               XRES=1.E07 /

&NAM_PREP_SURF_ATM CFILE='INIT_SURF.${DATE}.00',
                   CFILETYPE='MESONH',
                   CFILEPGD='PGD_oper_41t1.01km30',
                   NHALO_PREP=50/

!ECMWF
!&NAM_PREP_SURF_ATM CFILE = "EC.AN.SFC.${DATE}.${HH}00.grib",
!                   CFILETYPE="GRIB",
!                   NHALO_PREP=50/


&NAM_PREP_ISBA  LISBA_CANOPY = F
/  

&NAM_PREP_ISBA_SNOW CSNOW = "3-L" / ! pas le choix avec DIF

&NAM_PREP_TEB      LTEB_CANOPY = T / !Booleen qui ne sert plus par la suite, mais par soucis de clarte je mets a .T. 

&NAM_CONFZ MPI_BUFFER_SIZE=800/

&NAM_VER_GRID NKMAX=68,
              YZGRID_TYPE='FUNCTN',
              ZDZGRD=4,
              ZDZTOP=500,
              ZZMAX_STRGRD=1000,
              ZSTRGRD=17,
              ZSTRTOP=4 /


EOT

