!
!========================================================================
!
! The following species appear on the left hand side of a reaction,
! but they are not in the list of prognostic variables. Make sure that
! they are defined elsewhere (in begin_module as TPK%something):
! RO250
! RO251
! RO252
! RO253
! RO254
! RO255
! RO256
! RO220
! RO257
! RO221
! RO258
! OSD
! W_O2
! RO222
! RO223
! RO224
! RO225
! RO226
! RO227
! RO228
! RO229
! N2
! RO240
! CH4
! H2O
! RO241
! RO242
! RO243
! RO244
! RO245
! RO246
! RO247
! RO210
! RO211
! RO248
! O
! RO249
! RO212
! RO213
! RO22
! RO214
! RO23
! RO215
! RO24
! RO216
! RAD1
! RO217
! RO26
! RAD2
! CO2
! RO218
! RO27
! RAD3
! RO219
! RO28
! RAD4
! RO29
! RAD5
! RAD6
! RO230
! RAD7
! RAD8
! RO231
! RO232
! RO233
! RO234
! RO235
! RO236
! RO237
! RO238
! RO239
! O2
!
!========================================================================
!
! The following species appear on the right hand side of a reaction,
! but they are not in the list of prognostic variables. Make sure that
! they are really final products or defined elsewhere:
! RO250
! RO251
! RO252
! RO253
! RO254
! RO255
! RO256
! RO257
! RO220
! RO258
! RO221
! OSD
! RO222
! RO223
! RO224
! RO225
! RO226
! RO227
! RO228
! RO229
! N2
! RO240
! H2O
! RO241
! RO242
! RO243
! RO244
! RO245
! RO246
! RO247
! RO210
! RO248
! RO211
! O
! RO249
! RO212
! RO213
! RO22
! RO214
! RO23
! H2
! RO215
! RO24
! RAD1
! RO216
! RAD2
! RO217
! RO26
! RAD3
! RO218
! RO27
! CO2
! RAD4
! RO219
! RO28
! RAD5
! RO29
! RAD6
! RAD7
! RO230
! RAD8
! RO231
! RO232
! RO233
! RO234
! RO235
! RO236
! RO237
! RO238
! RO239
! O2
!
!========================================================================
!
! END of preprocessor comments
!
!========================================================================
!
! the chemical reactions implemented are the following ...
!
! K001=!ZRATES(:,001)::NO2-->NO+O
! K002=TPK%M*5.60E-34*(TPK%T/300)**(-2.6)::O+O2-->O3
! K003=6.5E-12*EXP(119.8/TPK%T)::O+NO2-->NO+O2
! K004=@TROE(1.,9.0E-32,2.,2.2E-11,0.,0.8,TPK%M,TPK%T,KVECNPT)::O+NO2-->NO3
! K005=1.8E-12*EXP(-1368.9/TPK%T)::NO+O3-->NO2+O2
! K006=1.4E-13*EXP(-2471.1/TPK%T)::NO2+O3-->NO3+O2
! K007=1.8E-11*EXP(110.7/TPK%T)::NO+NO3-->2.*NO2
! K008=5.09E-18/TPK%T*EXP(528.4/TPK%T)::NO+NO-->2.*NO2
! K009=@TROE(1.,2.8E-30,3.5,2.0E-12,0.2,0.45,TPK%M,TPK%T,KVECNPT)::NO2+NO3-->N2O5
! K010=@TROE_EQUIL(2.8E-30,3.5,2.0E-12,0.2,3.70E+26,11000.0,0.45,TPK%M,TPK%T,KVECNPT)::N2O5-->NO2+NO3
! K011=2.59E-22::N2O5+H2O-->2.*HNO3
! K012=4.5E-14*EXP(-1258.2/TPK%T)::NO2+NO3-->NO+NO2+O2
! K013=!ZRATES(:,007)::NO3-->NO+O2
! K014=!ZRATES(:,008)::NO3-->NO2+O
! K015=!ZRATES(:,003)::O3-->O+O2
! K016=!ZRATES(:,002)::O3-->OSD+O2
! K017=2.2E-10::OSD+H2O-->OH+OH
! K018A=1.80E-11*exp(-(-110.0/TPK%T))::OSD+N2-->O+N2
! K018B=3.20E-11*exp(-(-70.0/TPK%T))::OSD+O2-->O+O2
! K019=@TROE(1.,7.0E-31,2.6,3.6E-11,0.1,0.6,TPK%M,TPK%T,KVECNPT)::NO+OH-->HONO
! K020=!ZRATES(:,004)::HONO-->0.9*NO+0.1*NO2+0.9*OH+0.1*HO2
! K021=4.0E-24::NO2+H2O-->0.5*HONO+0.5*HNO3
! K022=@TROE(1.,2.85E-30,2.67,3.13E-11,0.,0.6,TPK%M,TPK%T,KVECNPT)::NO2+OH-->HNO3
! K023=@TROE_KA(7.2E-15,785.1,4.1E-16,1439.4,1.9E-33,724.7,TPK%M,TPK%T,KVECNPT)::HNO3+OH-->NO3+H2O
! K024=@TROE_KB(1.3E-13,0.,3.19E-33,0.,TPK%M,TPK%T,KVECNPT)::CO+OH-->HO2+CO2
! K025=1.9E-12*EXP(-1001.5/TPK%T)::O3+OH-->HO2+O2
! K026=3.41E-12*EXP(271.8/TPK%T)::NO+HO2-->NO2+OH
! K027=@TROE(1.,1.8E-31,3.2,4.7E-12,0.,0.6,TPK%M,TPK%T,KVECNPT)::NO2+HO2-->HNO4
! K028=@TROE_EQUIL(1.8E-31,3.2,4.7E-12,0.,4.76E+26,10900.,0.6,TPK%M,TPK%T,KVECNPT)::HNO4-->NO2+HO2
! K029=1.5E-12*EXP(362.4/TPK%T)::HNO4+OH-->NO2+O2+H2O
! K030=1.4E-14*EXP(-598.9/TPK%T)::O3+HO2-->OH+2.*O2
! K031=@TROE_KB(2.2E-13,598.9,1.85E-33,981.4,TPK%M,TPK%T,KVECNPT)::HO2+HO2-->H2O2
! K032=@TROE_KB(3.08E-34,2798.2,2.59E-54,3180.7,TPK%M,TPK%T,KVECNPT)::HO2+HO2+H2O-->H2O2+O2+H2O
! K033=4.0E-12::NO3+HO2-->0.8*NO2+0.2*HNO3+0.8*OH+O2
! K034=8.0E-12*EXP(-2058.4/TPK%T)::O+O3-->2.*O2
! K035=@TROE(1.,4.1E-31,3.3,2.0E-12,0.,0.45,TPK%M,TPK%T,KVECNPT)::SO2+OH-->H2SO4+HO2
! K036=!ZRATES(:,009)::H2O2-->2.*OH
! K037=2.91E-12*EXP(-161/TPK%T)::H2O2+OH-->HO2+H2O
! K038=@TROE(1.,9.00E-32,1.5,3.00E-11,0.0,0.6,TPK%M,TPK%T,KVECNPT)::O+NO-->NO2
! K039=2.7E-12*EXP(261.7/TPK%T)::HONO+OH-->NO2+H2O
! K040=2.0E-11::NO3+OH-->NO2+HO2
! K041=8.5E-13*EXP(-2450.9/TPK%T)::NO3+NO3-->2.*NO2+O2
! K042=4.8E-11*EXP(251.6/TPK%T)::OH+HO2-->H2O+O2
! K043=2.66E-12*EXP(-1800.2/TPK%T)::CH4+OH-->RO21+RO2T+H2O
! K044=!ZRATES(:,011)::HCHO-->CO+2.0*HO2
! K045=!ZRATES(:,010)::HCHO-->CO+H2
! K046=1.2E-14*TPK%T*EXP(286.9/TPK%T)::HCHO+OH-->CO+HO2+H2O
! K047=2.0E-12*EXP(-2430.8/TPK%T)::HCHO+NO3-->HNO3+CO+HO2
! K048=6.0E-18*TPK%T**2*EXP(170.1/TPK%T)::MEOH+OH-->HO2+HCHO+H2O
! K049=1.96E-12*EXP(437.8/TPK%T)::ETHE+OH-->RO22+RO2T
! K050=4.89E-18*TPK%T**2*EXP(-2282.3/TPK%T)::ETHE+NO3-->RO23+RO2T
! K051=9.14E-15*EXP(-2580.3/TPK%T)::ETHE+O3-->0.315*CO+0.06*HO2+0.06*OH+0.5*HCHO+0.07*H2O+0.185*ORA1
! K052=7.3E-13::ETHE+O-->0.6*CO+HO2+0.6*RO21+0.4*RO24+RO2T
! K053=6.18E-18*TPK%T**2*EXP(532/TPK%T)::ETOH+OH-->TPK%CF1*HO2+TPK%CF1*ALD2+TPK%CF2*RO22+TPK%CF2*RO2T+H2O
! K054=5.86E-12*EXP(500.3/TPK%T)::OLEL+OH-->RO22+RO2T
! K055=1.0E-13*EXP(-800.2/TPK%T)::OLEL+NO3-->RO23+RO2T
! K056=1.0E-17::OLEL+O3-->0.56*CO+0.2*CO2+0.36*OH+0.28*HO2+0.5*HCHO+0.5*ALD2+0.1*ALKL+0.28*RO25+0.28*RO2T+0.12*ORA1+0.12*ORA2
! K057=4.66E-12::OLEL+O-->0.5*ALKL+0.4*ALD2+0.1*RO24+0.1*RO25+0.2*RO2T
! K058=3.91E-12::ALKL+OH-->RO25+RO2T+H2O
! K059=!ZRATES(:,012)::ALD2-->CO+HO2+RO25+RO2T
! K060=6.91E-12*EXP(250/TPK%T)::ALD2+OH-->RO26+RO2T+H2O
! K061=3.0E-13*EXP(-1427/TPK%T)::ALD2+NO3-->HNO3+RO26+RO2T
! K062=4.91E-12::KETL+OH-->RO27+RO2T+H2O
! K063=!ZRATES(:,023)::KETL-->RO25+RO28+2.*RO2T
! K064=2.55E-11*EXP(410.2/TPK%T)::ISOP+OH-->0.66*RO29+0.34*RO210+RO2T
! K065=3.02E-12*EXP(-445.9/TPK%T)::ISOP+NO3-->0.66*RO211+0.34*RO212+RO2T
! K066=7.86E-15*EXP(-1912.9/TPK%T)::ISOP+O3-->0.068*CO2+0.461*CO+0.5*HCHO+0.664*OH+0.366*HO2+0.054*OLEL+0.389*MVK+0.17*MCR+0.271*RO213+0.095*RO214+0.366*RO2T+0.121*ORA1
! K067=3.5E-11::ISOP+O-->0.925*OLEL+0.075*ALD2
! K068=3.2E-12::MTBE+OH-->RO215+RO2T+H2O
! K069=1.28E-11::ALCH+OH-->RO22+RO2T+H2O
! K070=5.1E-12::KETH+OH-->RO216+RO2T+H2O
! K071=!ZRATES(:,016)::KETH-->RO25+RO28+2.*RO2T
! K072=3.77E-12::AROO+NO3-->HNO3+RAD1
! K073=2.264E-10::AROO+OH-->0.16*HO2+0.16*AROO+0.1*RO217+0.1*RO2T+0.74*RAD2+0.1*H2O
! K074=3.47E-11::OLEH+OH-->RO218+RO2T
! K075=3.47E-11*1.0E-13*EXP(-800.2/TPK%T)/(5.86E-12*EXP(500.3/TPK%T))::OLEH+NO3-->RO219+RO2T
! K076=3.47E-11*1.0E-17/(5.86E-12*EXP(500.3/TPK%T))::OLEH+O3-->0.56*CO+0.2*CO2+0.36*OH+0.28*HO2+0.5*HCHO+0.5*RPR1+0.12*ACID+0.1*ALKM+0.28*RO220+0.28*RO2T
! K077=3.47E-11*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))::OLEH+O-->0.5*ALKM+0.4*RPR1+0.1*RO24+0.1*RO220+0.2*RO2T
! K078=1.03E-11::ALKM+OH-->RO220+RO2T+H2O
! K079=3.27E-11::AROL+OH-->0.16*HO2+0.16*AROO+0.1*RO221+0.74*RAD3+0.06*RO2T+0.06*H2O
! K080=1.52E-11::AROH+OH-->0.16*HO2+0.16*AROO+0.84*RAD4
! K081=1.4E-12*EXP(-1872.2/TPK%T)::ARAL+NO3-->HNO3+O3+ARAC
! K082=1.29E-11::ARAL+OH-->0.9983609*RPRL+TPK%CF48*HO2+TPK%CF39*O3+TPK%CF39*ARAC+TPK%CF45*RO222+TPK%CF40*RAD5+TPK%CF45*RO2T+TPK%CF48*H2O
! K083=1.1E-12::ARAC+OH-->0.16*HO2+0.1599999*URG7+0.1*RO223+0.74*RAD6+0.1*RO2T+0.1*H2O
! K084=1.7E-10::BIOL+OH-->RO224+RO2T
! K085=1.46E-11::BIOL+NO3-->RO225+RO2T
! K086=2.5E-16::BIOL+O3-->0.445*CO+0.055*H2O2+0.445*HO2+0.89*OH+5.5000000E-02*URG4+0.055*RPR3+0.445*RO226+0.445*RO2T
! K087=1.7E-10*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))::BIOL+O-->0.7500000*URG10+0.2500000*URG10
! K088=1.77E-10::BIOH+OH-->RO227+RO2T
! K089=2.91E-11::BIOH+NO3-->RO228+RO2T
! K090=1.4E-16::BIOH+O3-->0.445*CO+0.055*H2O2+0.89*OH+0.055*UR7+0.055*UR8+0.445*RO229+0.445*RO230+0.89*RO2T
! K091=8.59E-11::BIOH+O-->
! K092=7.7E-11::PAH+OH-->0.16*HO2+0.1600000*URG8+0.1*RO231+0.74*RAD7+0.1*RO2T+0.1*H2O
! K093=1.97E-11::ALKH+OH-->RO232+RO2T+H2O
! K094=3.41E-13*EXP(800.2/TPK%T)::RO2T+HO2-->HO2
! K095=4.2E-12*EXP(181.2/TPK%T)::RO2T+NO-->NO
! K096=1.0E-15::RO2T+RO2T-->RO2T
! K097=0.9*7.7E5/TPK%T::RAD2-->RO233+RO2T
! K098=0.9*7.7E5/TPK%T::RAD3-->RO234+RO2T
! K099=0.9*7.7E5/TPK%T::RAD4-->RO235+RO2T
! K100=0.9*7.7E5/TPK%T::RAD5-->RO236+RO2T
! K101=0.9*7.7E5/TPK%T::RAD6-->RO237+RO2T
! K102=0.9*7.7E5/TPK%T::RAD7-->RO238+RO2T
! K103=1.7*3.0E-11::RAD1+NO2-->RPR4
! K104=1.7*3.0E-11::RAD2+NO2-->RPR4+H2O
! K105=1.7*3.0E-11::RAD3+NO2-->H2O
! K106=1.7*3.0E-11::RAD4+NO2-->H2O
! K107=1.7*3.0E-11::RAD5+NO2-->RPR5+H2O
! K108=1.7*3.0E-11::RAD6+NO2-->0.9999993*URG7+H2O
! K109=1.7*3.0E-11::RAD7+NO2-->1.0000000*URG8+H2O
! K110=4.09E-12*EXP(180.2/TPK%T)::RO21+NO-->NO2+HO2+HCHO
! K111=1.0E-15::RO21+RO2T-->HO2+HCHO+RO2T+O2
! K112=3.41E-13*EXP(800.2/TPK%T)::RO21+HO2-->HO2+OH+HCHO
! K113=2.45E-12*EXP(180.2/TPK%T)::RO22+NO-->NO2+HO2+HCHO+ALD2
! K114=1.0E-15::RO22+RO2T-->HO2+HCHO+ALD2+RO2T+O2
! K115=3.41E-13*EXP(800.2/TPK%T)::RO22+HO2-->OH+HO2+HCHO+ALD2
! K116=2.45E-12*EXP(180.2/TPK%T)::RO23+NO-->2.*NO2+HCHO+ALD2
! K117=1.0E-15::RO23+RO2T-->NO2+HO2+HCHO+ALD2+O2+RO2T
! K118=3.41E-13*EXP(800.2/TPK%T)::RO23+HO2-->NO2+HO2+OH+HCHO+ALD2
! K119=3.45E-12*EXP(180.2/TPK%T)::RO24+NO-->NO2+CO+HO2+HCHO
! K120=1.0E-15::RO24+RO2T-->CO+HO2+HCHO+RO2T+O2
! K121=3.41E-13*EXP(800.2/TPK%T)::RO24+HO2-->CO+HO2+OH+HCHO
! K122=2.91E-12*EXP(180.2/TPK%T)::RO25+NO-->TPK%CF3*ALKL+TPK%CF4*NO2+TPK%CF4*HO2+TPK%CF4*ALD2
! K123=1.0E-15::RO25+RO2T-->HO2+ALD2+RO2T+O2
! K124=3.41E-13*EXP(800.2/TPK%T)::RO25+HO2-->HO2+OH+ALD2
! K125=1.11E-11*EXP(180.2/TPK%T)::RO26+NO-->NO2+CO2+RO25+RO2T
! K126=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO26+NO2-->PAN1
! K127=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO28+NO2-->PAN2
! K128=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO239+NO2-->PAN3
! K129=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO248+NO2-->PAN4
! K130=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO250+NO2-->APAN
! K131=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO254+NO2-->PAN6
! K132=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO255+NO2-->PAN7
! K133=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO257+NO2-->APAN
! K134=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO258+NO2-->PN10
! K135=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN1-->NO2+RO26+RO2T
! K136=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN2-->NO2+RO28+RO2T
! K137=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN3-->NO2+RO239+RO2T
! K138=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PN10-->NO2+RO258+RO2T
! K139=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::APAN-->1.0000000*NO2+0.3750353*RO250+0.6249651*RO257+1.0000000*RO2T
! K140=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN6-->NO2+RO254+RO2T
! K141=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN4-->NO2+RO248+RO2T
! K142=3.41E-13*EXP(800.2/TPK%T)/3.5::RO26+HO2-->O3+ACID+ORA2
! K143=1.0E-15::RO26+RO2T-->CO2+RO25+2.*RO2T+O2
! K144=2.45E-12*EXP(180.2/TPK%T)::RO27+NO-->NO2+ALD2+RO28+RO2T
! K145=1.0E-15::RO27+RO2T-->ALD2+RO28+2.*RO2T+O2
! K146=3.41E-13*EXP(800.2/TPK%T)::RO27+HO2-->OH+ALD2+RO28+RO2T
! K147=1.11E-11*EXP(180.2/TPK%T)::RO28+NO-->NO2+CO2+RO21+RO2T
! K148=3.41E-13*EXP(800.2/TPK%T)/3.5::RO28+HO2-->O3+ORA2
! K149=1.0E-15::RO28+RO2T-->CO2+RO21+2.*RO2T+O2
! K150=2.08E-12*EXP(180.2/TPK%T)::RO29+NO-->TPK%CF5*OLEL+TPK%CF6*NO2+TPK%CF6*HO2+TPK%CF6*HCHO+TPK%CF6*MVK
! K151=1.0E-15::RO29+RO2T-->HO2+MVK+HCHO+RO2T+O2
! K152=3.41E-13*EXP(800.2/TPK%T)::RO29+HO2-->HO2+OH+MVK+HCHO
! K153=2.08E-12*EXP(180.2/TPK%T)::RO210+NO-->NO2+HO2+HCHO+MCR
! K154=1.0E-15::RO210+RO2T-->HO2+HCHO+MCR+RO2T+O2
! K155=3.41E-13*EXP(800.2/TPK%T)::RO210+HO2-->HO2+OH+HCHO+MCR
! K156=2.08E-12*EXP(180.2/TPK%T)::RO211+NO-->2.*NO2+HCHO+MVK
! K157=1.0E-15::RO211+RO2T-->NO2+HCHO+MVK+RO2T+O2
! K158=3.41E-13*EXP(800.2/TPK%T)::RO211+HO2-->NO2+OH+HCHO+MVK
! K159=2.08E-12*EXP(180.2/TPK%T)::RO212+NO-->2.*NO2+HCHO+MCR
! K160=1.0E-15::RO212+RO2T-->NO2+HCHO+MCR+RO2T+O2
! K161=3.41E-13*EXP(800.2/TPK%T)::RO212+HO2-->NO2+OH+HCHO+MCR
! K162=2.45E-12*EXP(180.2/TPK%T)::RO213+NO-->NO2+HCHO+RO239+RO2T
! K163=1.0E-15::RO213+RO2T-->HCHO+RO239+2.*RO2T+O2
! K164=3.41E-13*EXP(800.2/TPK%T)::RO213+HO2-->HCHO+OH+RO239+RO2T
! K165=1.11E-11*EXP(180.2/TPK%T)::RO239+NO-->NO2+CO2+RO214+RO2T
! K166=3.41E-13*EXP(800.2/TPK%T)/3.5::RO239+HO2-->O3+0.5*OLEL+0.5*ORA2
! K167=1.0E-15::RO239+RO2T-->CO2+RO214+2.*RO2T+O2
! K168=2.91E-12*EXP(180.2/TPK%T)::RO214+NO-->TPK%CF7*OLEL+TPK%CF8*NO2+TPK%CF8*RO27+TPK%CF8*RO2T
! K169=1.0E-15::RO214+RO2T-->RO27+2.*RO2T+O2
! K170=3.41E-13*EXP(800.2/TPK%T)::RO214+HO2-->OH+RO27+RO2T
! K171=2.08E-12*EXP(180.2/TPK%T)::RO215+NO-->NO2+HO2+TPK%CF9*ALD2+TPK%CF10*HCHO+TPK%CF11*KETL+TPK%CF12*ALKL
! K172=1.0E-15::RO215+RO2T-->HO2+TPK%CF13*ALD2+TPK%CF14*HCHO+TPK%CF15*KETL+TPK%CF16*ALKL+RO2T+O2
! K173=3.41E-13*EXP(800.2/TPK%T)::RO215+HO2-->OH+HO2+TPK%CF13*ALD2+TPK%CF14*HCHO+TPK%CF15*KETL+TPK%CF16*ALKL
! K174=1.48E-12*EXP(180.2/TPK%T)::RO216+NO-->NO2+ALD2+RO28+RO2T
! K175=1.0E-15::RO216+RO2T-->ALD2+RO28+2.*RO2T+O2
! K176=3.41E-13*EXP(800.2/TPK%T)::RO216+HO2-->OH+ALD2+RO28+RO2T
! K177=1.25E-12*EXP(180.2/TPK%T)::RO217+NO-->TPK%CF21*URG6+TPK%CF22*NO2+TPK%CF22*HO2+TPK%CFA2*RPRL
! K178=1.0E-15::RO217+RO2T-->HO2+0.9983609*RPRL+RO2T+O2
! K179=3.41E-13*EXP(800.2/TPK%T)::RO217+HO2-->HO2+OH+0.9983609*RPRL
! K180=1.25E-12*EXP(180.2/TPK%T)::RO218+NO-->TPK%CF20*NO2+TPK%CF20*HO2
! K181=1.0E-15::RO218+RO2T-->HO2+RO2T+O2
! K182=3.41E-13*EXP(800.2/TPK%T)::RO218+HO2-->HO2+OH
! K183=1.05E-12*EXP(180.2/TPK%T)::RO219+NO-->2.*NO2+HCHO+RPR1
! K184=1.0E-15::RO219+RO2T-->NO2+HCHO+RPR1+RO2T+O2
! K185=3.41E-13*EXP(800.2/TPK%T)::RO219+HO2-->NO2+OH+HCHO+RPR1
! K186=1.25E-12*EXP(180.2/TPK%T)::RO220+NO-->TPK%CF18*NO2+TPK%CF18*RO218+TPK%CF18*RO2T
! K187=1.0E-15::RO220+RO2T-->RO218+2.*RO2T+O2
! K188=3.41E-13*EXP(800.2/TPK%T)::RO220+HO2-->OH+RO218+RO2T
! K189=1.05E-12*EXP(180.2/TPK%T)::RO221+NO-->TPK%CF24*NO2+TPK%CF24*HO2+TPK%CF24*ARAL
! K190=1.0E-15::RO221+RO2T-->HO2+ARAL+RO2T+O2
! K191=3.41E-13*EXP(800.2/TPK%T)::RO221+HO2-->HO2+OH+ARAL
! K192=1.25E-12*EXP(180.2/TPK%T)::RO222+NO-->TPK%CF42*NO2+TPK%CF42*HO2+TPK%CFA7*RPRL
! K193=1.0E-15::RO222+RO2T-->HO2+0.9983609*RPRL+RO2T+O2
! K194=3.41E-13*EXP(800.2/TPK%T)::RO222+HO2-->HO2+OH+0.9983609*RPRL
! K195=1.25E-12*EXP(180.2/TPK%T)::RO223+NO-->TPK%CF43*URG6+TPK%CF44*NO2+TPK%CF44*HO2+TPK%CF44*RPR7
! K196=1.0E-15::RO223+RO2T-->HO2+RPR7+RO2T+O2
! K197=3.41E-13*EXP(800.2/TPK%T)::RO223+HO2-->HO2+OH+RPR7
! K198=8.89E-13*EXP(180.2/TPK%T)::RO224+NO-->TPK%CFA23*AP7+TPK%CFA10*RPR3+TPK%CF26*NO2+TPK%CF26*HO2
! K199=1.0E-15::RO224+RO2T-->HO2+RPR3+RO2T+O2
! K200=3.41E-13*EXP(800.2/TPK%T)::RO224+HO2-->HO2+OH+RPR3
! K201=8.89E-13*EXP(180.2/TPK%T)::RO225+NO-->2.*NO2+RPR3
! K202=1.0E-15::RO225+RO2T-->NO2+RPR3+RO2T+O2
! K203=3.41E-13*EXP(800.2/TPK%T)::RO225+HO2-->NO2+OH+RPR3
! K204=8.89E-13*EXP(180.2/TPK%T)::RO226+NO-->NO2+1.0000000*UR17+RO28+RO2T
! K205=1.0E-15::RO226+RO2T-->1.0000000*UR17+RO28+2.*RO2T+O2
! K206=3.41E-13*EXP(800.2/TPK%T)::RO226+HO2-->1.0000000*UR17+OH+RO28+RO2T
! K207=8.89E-13*EXP(180.2/TPK%T)::RO227+NO-->TPK%CF27*URG10+TPK%CF28*NO2+TPK%CF28*HO2+TPK%CFA12*UR7
! K208=1.0E-15::RO227+RO2T-->HO2+UR7+RO2T+O2
! K209=3.41E-13*EXP(800.2/TPK%T)::RO227+HO2-->HO2+OH+0.3*UR7
! K210=8.89E-13*EXP(180.2/TPK%T)::RO228+NO-->2.*NO2+0.3*UR7
! K211=1.0E-15::RO228+RO2T-->NO2+0.3*UR7+RO2T+O2
! K212=3.41E-13*EXP(800.2/TPK%T)::RO228+HO2-->NO2+OH+0.3*UR7
! K213=1.05E-12*EXP(180.2/TPK%T)::RO229+NO-->TPK%CF30*NO2+TPK%CF30*RO240+TPK%CF30*RO2T
! K214=1.0E-15::RO229+RO2T-->RO240+2.*RO2T+O2
! K215=3.41E-13*EXP(800.2/TPK%T)::RO229+HO2-->OH+RO240+RO2T
! K216=1.05E-12*EXP(180.2/TPK%T)::RO240+NO-->NO2+RPR8+RO28+RO2T
! K217=1.0E-15::RO240+RO2T-->RPR8+RO28+2.*RO2T+O2
! K218=3.41E-13*EXP(800.2/TPK%T)::RO240+HO2-->OH+RPR8+RO28+RO2T
! K219=1.0E-15::RO230+RO2T-->RO28+2.*RO2T+O2
! K220=3.41E-13*EXP(800.2/TPK%T)::RO230+HO2-->OH+RO28+RO2T
! K221=6.32E-13*EXP(180.2/TPK%T)::RO231+NO-->TPK%CF31*URG8+TPK%CF32*NO2+TPK%CF32*HO2+TPK%CF32*UR19
! K222=1.0E-15::RO231+RO2T-->HO2+UR19+RO2T+O2
! K223=3.41E-13*EXP(800.2/TPK%T)::RO231+HO2-->HO2+OH+UR19
! K224=3.2E-13*EXP(180.2/TPK%T)::RO232+NO-->TPK%CFA14*URG9+TPK%CF34*NO2+TPK%CF34*RO241+TPK%CF34*RO2T
! K225=1.0E-15::RO232+RO2T-->RO241+2.*RO2T+O2
! K226=3.41E-13*EXP(800.2/TPK%T)::RO232+HO2-->OH+RO241+RO2T
! K227=3.2E-13*EXP(180.2/TPK%T)::RO241+NO-->TPK%CFA15*URG9+TPK%CF36*NO2+TPK%CF36*HO2+TPK%CFA16*URG9
! K228=1.0E-15::RO241+RO2T-->HO2+0.9999996*URG9+RO2T+O2
! K229=3.41E-13*EXP(800.2/TPK%T)::RO241+HO2-->HO2+OH+0.9999996*URG9
! K230=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO233-->RO242+RO2T
! K231=1.25E-12*EXP(180.2/TPK%T)::RO233+NO-->NO2+HO2+0.3000000*RPG3
! K232=1.0E-15::RO233+RO2T-->HO2+1.0000000*RPG3+RO2T+O2
! K233=3.41E-13*EXP(800.2/TPK%T)::RO233+HO2-->HO2+OH+0.3000000*RPG3
! K234=1.25E-12*EXP(180.2/TPK%T)::RO242+NO-->NO2+HO2+RP10+MGLY
! K235=1.0E-15::RO242+RO2T-->HO2+RP10+O2+RO2T+MGLY
! K236=3.41E-13*EXP(800.2/TPK%T)::RO242+HO2-->HO2+OH+RP10+MGLY
! K237=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO234-->RO243+RO2T
! K238=1.05E-12*EXP(180.2/TPK%T)::RO234+NO-->NO2+HO2+0.3*RP11
! K239=1.0E-15::RO234+RO2T-->HO2+RP11+RO2T+O2
! K240=3.41E-13*EXP(800.2/TPK%T)::RO234+HO2-->HO2+OH+0.3*RP11
! K241=1.05E-12*EXP(180.2/TPK%T)::RO243+NO-->NO2+HO2+RP10+MGLY
! K242=1.0E-15::RO243+RO2T-->HO2+RP10+MGLY+O2+RO2T
! K243=3.41E-13*EXP(800.2/TPK%T)::RO243+HO2-->HO2+OH+RP10+MGLY
! K244=1.1*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO235-->RO244+RO2T
! K245=8.89E-13*EXP(180.2/TPK%T)::RO235+NO-->NO2+HO2+0.5*RP11
! K246=1.0E-15::RO235+RO2T-->HO2+RP11+RO2T+O2
! K247=3.41E-13*EXP(800.2/TPK%T)::RO235+HO2-->HO2+OH+RP11
! K248=8.89E-13*EXP(180.2/TPK%T)::RO244+NO-->NO2+HO2+RP10+MGLY
! K249=1.0E-15::RO244+RO2T-->HO2+RP10+MGLY+O2+RO2T
! K250=3.41E-13*EXP(800.2/TPK%T)::RO244+HO2-->HO2+OH+RP10+MGLY
! K251=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO236-->RO245+RO2T
! K252=1.25E-12*EXP(180.2/TPK%T)::RO236+NO-->NO2+HO2+0.3000000*RPG3
! K253=1.0E-15::RO236+RO2T-->HO2+1.0000000*RPG3+RO2T+O2
! K254=3.41E-13*EXP(800.2/TPK%T)::RO236+HO2-->HO2+OH+0.3000000*RPG3
! K255=1.25E-12*EXP(180.2/TPK%T)::RO245+NO-->NO2+HO2+RP10+MGLY
! K256=1.0E-15::RO245+RO2T-->HO2+RP10+MGLY+O2+RO2T
! K257=3.41E-13*EXP(800.2/TPK%T)::RO245+HO2-->HO2+OH+RP10+MGLY
! K258=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO237-->RO246+RO2T
! K259=1.25E-12*EXP(180.2/TPK%T)::RO237+NO-->NO2+HO2+0.3000000*RPG2
! K260=1.0E-15::RO237+RO2T-->HO2+1.0000000*RPG2+RO2T+O2
! K261=3.41E-13*EXP(800.2/TPK%T)::RO237+HO2-->HO2+OH+0.3000000*RPG2
! K262=1.25E-12*EXP(180.2/TPK%T)::RO246+NO-->NO2+HO2+RP10+MGLY
! K263=1.0E-15::RO246+RO2T-->HO2+RP10+MGLY+O2+RO2T
! K264=3.41E-13*EXP(800.2/TPK%T)::RO246+HO2-->HO2+OH+RP10+MGLY
! K265=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO238-->RO247+RO2T
! K266=6.32E-13*EXP(180.2/TPK%T)::RO238+NO-->NO2+HO2+1.0000013*RPG7
! K267=1.0E-15::RO238+RO2T-->HO2+1.0000013*RPG7+RO2T+O2
! K268=3.41E-13*EXP(800.2/TPK%T)::RO238+HO2-->HO2+OH+1.0000013*RPG7
! K269=6.32E-13*EXP(180.2/TPK%T)::RO247+NO-->NO2+HO2+1.0023998*RPRL+MGLY
! K270=1.0E-15::RO247+RO2T-->HO2+1.0023998*RPRL+MGLY+O2+RO2T
! K271=3.41E-13*EXP(800.2/TPK%T)::RO247+HO2-->HO2+OH+1.0023998*RPRL+MGLY
! K272=4.14E-12*EXP(452.9/TPK%T)::MVK+OH-->RO249+RO2T
! K273=1.86E-11*EXP(176.1/TPK%T)::MCR+OH-->TPK%CF46*RO250+TPK%CF46*H2O+TPK%CF47*RO251+RO2T
! K274=1.72E-11::MGLY+OH-->RO248+RO2T+H2O
! K275=1.5E-12*EXP(-1726.2/TPK%T)::MCR+NO3-->TPK%CF46*HNO3+TPK%CF46*RO250+TPK%CF47*RO252+RO2T
! K276=!ZRATES(:,019)::MGLY-->CO+HO2+RO28+RO2T
! K277=1.11E-11*EXP(180.2/TPK%T)::RO248+NO-->NO2+CO2+RO28+RO2T
! K278=1.4E-12*EXP(-1897.3/TPK%T)::MGLY+NO3-->HNO3+RO248+RO2T
! K279=3.41E-13*EXP(800.2/TPK%T)/3.5::RO248+HO2-->O3+UR21
! K280=1.0E-15::RO248+RO2T-->CO2+RO28+2.*RO2T+O2
! K281=7.5E-16*EXP(-1519.9/TPK%T)::MVK+O3-->0.56*CO+0.2*CO2+0.28*HO2+0.36*OH+0.5*MGLY+0.5*HCHO+0.1*ALD2+0.12*ORA1+0.12*UR21+0.28*RO28+0.28*RO2T+0.2*H2O
! K282=1.36E-15*EXP(-2113.7/TPK%T)::MCR+O3-->0.41*CO+0.41*HO2+0.82*OH+0.5*HCHO+0.59*MGLY+0.09*ORA1+0.41*RO253+0.41*RO2T
! K283=4.32E-12::MVK+O-->0.85*KETL+0.15*RO24+0.15*RO28+0.3*RO2T
! K284=6.34E-12::MCR+O-->0.15*CO+0.15*HO2+0.85*ALD2+0.15*RO27+0.15*RO2T
! K285=2.45E-12*EXP(180.2/TPK%T)::RO249+NO-->NO2+HO2+MGLY+HCHO
! K286=1.0E-15::RO249+RO2T-->HO2+MGLY+HCHO+RO2T+O2
! K287=3.41E-13*EXP(800.2/TPK%T)::RO249+HO2-->HO2+OH+MGLY+HCHO
! K288=1.11E-11*EXP(180.2/TPK%T)::RO250+NO-->CO2+NO2+RO214+RO2T
! K289=3.41E-13*EXP(800.2/TPK%T)/3.5::RO250+HO2-->O3+0.5*ORA2+0.5*OLEL
! K290=1.0E-15::RO250+RO2T-->CO2+RO214+2.*RO2T+O2
! K291=2.45E-12*EXP(180.2/TPK%T)::RO251+NO-->NO2+HO2+HCHO+MGLY
! K292=3.41E-13*EXP(800.2/TPK%T)::RO251+HO2-->HO2+HCHO+MGLY+RO2T+O2
! K293=1.0E-15::RO251+RO2T-->HO2+OH+MGLY+HCHO
! K294=2.45E-12*EXP(180.2/TPK%T)::RO252+NO-->2.*NO2+MGLY+HCHO
! K295=3.41E-13*EXP(800.2/TPK%T)::RO252+HO2-->NO2+MGLY+HCHO+RO2T+O2
! K296=1.0E-15::RO252+RO2T-->NO2+OH+MGLY+HCHO
! K297=2.91E-12*EXP(180.2/TPK%T)::RO253+NO-->NO2+HCHO+RO254+RO2T
! K298=3.41E-13*EXP(800.2/TPK%T)::RO253+HO2-->HCHO+RO254+2.*RO2T+O2
! K299=1.0E-15::RO253+RO2T-->OH+HCHO+RO254+RO2T
! K300=1.11E-11*EXP(180.2/TPK%T)::RO254+NO-->CO2+CO+NO2+HO2
! K301=3.41E-13*EXP(800.2/TPK%T)/3.5::RO254+HO2-->O3+RP16
! K302=1.0E-15::RO254+RO2T-->CO2+CO+HO2+RO2T+O2
! K303=1.29E-11::RPR5+OH-->O3+0.9999993*URG7+H2O
! K304=3.54E-11::RPR1+OH-->RO255+RO2T+H2O
! K305=1.72E-11::RP16+OH-->RO258+RO2T+H2O
! K306=1.2940467E-11::RPRL+OH-->1.0000011*H2O+1.0000011*O3+2.0714202E-03*RPR7+0.9979297*URG7
! K307=3.0E-13*EXP(-1427/TPK%T)*3.54E-11/(6.91E-12*EXP(250/TPK%T))::RPR1+NO3-->HNO3+RO255+RO2T
! K308=!ZRATES(:,012)::RPR1-->CO+HO2+RO220+RO2T
! K309=1.11E-11*EXP(180.2/TPK%T)::RO255+NO-->NO2+CO2+RO220+RO2T
! K310=3.41E-13*EXP(800.2/TPK%T)/3.5::RO255+HO2-->O3+ACID
! K311=1.0E-15::RO255+RO2T-->CO2+RO220+2.*RO2T+O2
! K312=4.24E-11::RPR3+OH-->RO256+RO2T+H2O
! K313=3.0E-13*EXP(-1427/TPK%T)*4.24E-11/(6.91E-12*EXP(250/TPK%T))::RPR3+NO3-->HNO3+RO256+RO2T
! K314=!ZRATES(:,012)::RPR3-->CO+2.*HO2
! K315=1.11E-11*EXP(180.2/TPK%T)::RO256+NO-->NO2+CO2+HO2
! K316=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)::RO256+NO2-->PAN8
! K317=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN8-->NO2+RO256+RO2T
! K318=3.41E-13*EXP(800.2/TPK%T)/3.5::RO256+HO2-->O3+1.0000000*URG4
! K319=1.0E-15::RO256+RO2T-->CO2+HO2+RO2T+O2
! K320=3.77E-12::RPR4+NO3-->HNO3+RAD8
! K321=2.30E-11*EXP(151.0/TPK%T)::RAD8+NO2-->UR22+H2O
! K322=1.29E-11::RPR7+OH-->O3+0.9999993*URG7+H2O
! K323=1.3918362E-10::RPG7+OH-->1.0000005*O3+1.0000005*H2O+0.5021558*RPG7+0.4978440*URG6
! K324=1.145E-10::RPR8+OH-->RO257+RO2T+H2O
! K325=1.098E-10::RP10+OH-->HO2+H2O
! K326=1.964E-10::RP11+OH-->O3+0.67*UR26+H2O
! K327=3.0E-13*EXP(-1427/TPK%T)*1.145E-10/(6.91E-12*EXP(250/TPK%T))::RPR8+NO3-->HNO3+RO257+RO2T
! K328=!ZRATES(:,012)::RP10-->
! K329=!ZRATES(:,012)::RPR8-->CO+HO2+RO29+RO2T
! K330=!ZRATES(:,012)::RPR8-->HO2+RO257+RO2T
! K331=1.11E-11*EXP(180.2/TPK%T)::RO257+NO-->NO2+CO2+RO29+RO2T
! K332=3.41E-13*EXP(800.2/TPK%T)/3.5::RO257+HO2-->1.0000000*URG4+O3
! K333=1.0E-15::RO257+RO2T-->CO2+RO29+2.*RO2T+O2
! K334=2.4131647E-10::RPG3+OH-->1.0000000*O3+0.1191897*RPG2+1.0000000*H2O+0.8808107*RPG2
! K335=2.1923330E-10::RPG2+OH-->1.0000000*O3+0.5562513*URG2+1.0000000*H2O+0.4437492*RP18
! K337=1.97E-10::RP18+OH-->O3+URG2+H2O
! K338=1.4E-12*EXP(-1897.3/TPK%T)::RP16+NO3-->HNO3+RO258+RO2T
! K339=!ZRATES(:,019)::RP16-->2.*CO+OH+HO2
! K340=1.11E-11*EXP(180.2/TPK%T)::RO258+NO-->CO+CO2+NO2+OH
! K341=3.41E-13*EXP(800.2/TPK%T)::RO258+HO2-->O3+UR28
! K342=1.0E-15::RO258+RO2T-->CO+CO2+OH+RO2T+O2
! K343=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KVECNPT)::PAN7-->NO2+RO255+RO2T
! K344=8.89E-13*EXP(180.2/TPK%T)::RO230+NO-->NO2+RO28+RO2T
! K345=3.30E-12*exp(-(900.0/TPK%T))::NH3+OH-->
! K346=1.00E-40::H2SO4-->
! K347=4.50E-13::ORA1+OH-->HO2+CO2+H2O
! K348=6.00E-13::ORA2+OH-->
! K349=1.20E-12::ACID+OH-->
! K350=1.00E-40::URG2-->
! K351=1.00E-40::URG4-->
! K352=1.00E-40::URG6-->
! K353=1.00E-40::URG7-->
! K354=1.00E-40::URG8-->
! K355=1.00E-40::URG9-->
! K356=1.00E-40::URG10-->
! K357=1.00E-40::UR7-->
! K358=1.00E-40::UR8-->
! K359=1.00E-40::UR17-->
! K360=1.00E-40::UR19-->
! K361=1.00E-40::UR21-->
! K362=1.00E-40::UR22-->
! K363=1.00E-40::UR26-->
! K364=1.00E-40::UR28-->
! K365=1.00E-40::AP7-->
! KTC1=@KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::O3-->WC_O3
! KTC2=@KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::H2O2-->WC_H2O2
! KTC3=@KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO-->WC_NO
! KTC4=@KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO2-->WC_NO2
! KTC5=@KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO3-->WC_NO3
! KTC6=@KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::N2O5-->WC_N2O5
! KTC7=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HONO-->WC_HONO
! KTC8=@KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HNO3-->WC_HNO3
! KTC9=@KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HNO4-->WC_HNO4
! KTC10=@KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NH3-->WC_NH3
! KTC11=@KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::OH-->WC_OH
! KTC12=@KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HO2-->WC_HO2
! KTC13=@KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::CO2-->WC_CO2
! KTC14=@KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::SO2-->WC_SO2
! KTC15=@KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::H2SO4-->WC_H2SO4
! KTC16=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RO21-->WC_RO21
! KTC17=@KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RO25-->WC_RO25
! KTC18=@KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::MEOH-->WC_MEOH
! KTC19=@KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ETOH-->WC_ETOH
! KTC20=@KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ALCH-->WC_ALCH
! KTC21=@KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HCHO-->WC_HCHO
! KTC22=@KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ALD2-->WC_ALD2
! KTC23=@KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::GLY-->WC_GLY
! KTC24=@KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::KETL-->WC_KETL
! KTC25=@KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::MGLY-->WC_MGLY
! KTC26=@KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ORA1-->WC_ORA1
! KTC27=@KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ORA2-->WC_ORA2
! KTC28=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ACID-->WC_ACID
! KTC29=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RP16-->WC_RP16
! KTC30=@KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::UR21-->WC_UR21
! KTC31=@KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::UR28-->WC_UR28
! KTC32=@KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.1e-2,-2830.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_O3-->O3
! KTC33=@KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(7.73e4,-7310.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_H2O2-->H2O2
! KTC34=@KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.92e-3,-1790.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO-->NO
! KTC35=@KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.4e-2,-2516.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO2-->NO2
! KTC36=@KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.8e-2,-8707.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO3-->NO3
! KTC37=@KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.1e0,-3400.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_N2O5-->N2O5
! KTC38=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.0e1,-4880.,1.6e-3,1760.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HONO-->HONO
! KTC39=@KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(2.1e5,-8700.,2.2e1,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HNO3-->HNO3
! KTC40=@KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(1.2e4,-6900.,1.26e-6,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HNO4-->HNO4
! KTC41=@KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFB(6.02e1,-4160.,1.7e-5,4350.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NH3-->NH3
! KTC42=@KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.9e1,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_OH-->OH
! KTC43=@KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(6.9e2,-6643.,1.6e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HO2-->HO2
! KTC44=@KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(3.4e-2,-2710.,4.3e-7,920.,4.7e-11,1780.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_CO2-->CO2
! KTC45=@KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(1.36,-2930.,1.3e-2,-1965.,6.4e-8,-1430.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_SO2-->SO2
! KTC46=@KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(2.1e5,-8700.,1.0e3,0.,1.0e-2,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_H2SO4-->H2SO4
! KTC47=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.7e0,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RO21-->RO21
! KTC48=@KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(7.5e1,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RO25-->RO25
! KTC49=@KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.2e2,-5210.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_MEOH-->MEOH
! KTC50=@KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.9e2,-6600.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ETOH-->ETOH
! KTC51=@KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.3e2,-7500.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ALCH-->ALCH
! KTC52=@KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.23e3,-7100.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HCHO-->HCHO
! KTC53=@KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.29e1,-5890.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ALD2-->ALD2
! KTC54=@KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.6e5,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_GLY-->GLY
! KTC55=@KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.81e1,-5050.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_KETL-->KETL
! KTC56=@KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.7e3,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_MGLY-->MGLY
! KTC57=@KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(8.9e3,-6100.,1.8e-4,150.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ORA1-->ORA1
! KTC58=@KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(4.1e3,-6200.,1.75e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ORA2-->ORA2
! KTC59=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.7e3,0.,1.35e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ACID-->ACID
! KTC60=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(9.0e3,0.,3.2e-4,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RP16-->RP16
! KTC61=@KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(3.11e5,-5090.,3.55e-3,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_UR21-->UR21
! KTC62=@KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.0e8,0.,5.6e-2,0.,5.4e-5,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_UR28-->UR28
! KTR1=@KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::O3-->WR_O3
! KTR2=@KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::H2O2-->WR_H2O2
! KTR3=@KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO-->WR_NO
! KTR4=@KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO2-->WR_NO2
! KTR5=@KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO3-->WR_NO3
! KTR6=@KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::N2O5-->WR_N2O5
! KTR7=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HONO-->WR_HONO
! KTR8=@KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HNO3-->WR_HNO3
! KTR9=@KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HNO4-->WR_HNO4
! KTR10=@KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NH3-->WR_NH3
! KTR11=@KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::OH-->WR_OH
! KTR12=@KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HO2-->WR_HO2
! KTR13=@KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::CO2-->WR_CO2
! KTR14=@KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::SO2-->WR_SO2
! KTR15=@KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::H2SO4-->WR_H2SO4
! KTR16=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RO21-->WR_RO21
! KTR17=@KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RO25-->WR_RO25
! KTR18=@KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::MEOH-->WR_MEOH
! KTR19=@KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ETOH-->WR_ETOH
! KTR20=@KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ALCH-->WR_ALCH
! KTR21=@KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HCHO-->WR_HCHO
! KTR22=@KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ALD2-->WR_ALD2
! KTR23=@KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::GLY-->WR_GLY
! KTR24=@KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::KETL-->WR_KETL
! KTR25=@KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::MGLY-->WR_MGLY
! KTR26=@KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ORA1-->WR_ORA1
! KTR27=@KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ORA2-->WR_ORA2
! KTR28=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ACID-->WR_ACID
! KTR29=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RP16-->WR_RP16
! KTR30=@KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::UR21-->WR_UR21
! KTR31=@KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::UR28-->WR_UR28
! KTR32=@KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.1e-2,-2830.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_O3-->O3
! KTR33=@KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(7.73e4,-7310.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_H2O2-->H2O2
! KTR34=@KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.92e-3,-1790.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO-->NO
! KTR35=@KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.4e-2,-2516.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO2-->NO2
! KTR36=@KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.8e-2,-8707.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO3-->NO3
! KTR37=@KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.1e0,-3400.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_N2O5-->N2O5
! KTR38=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.0e1,-4880.,1.6e-3,1760.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HONO-->HONO
! KTR39=@KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(2.1e5,-8700.,2.2e1,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HNO3-->HNO3
! KTR40=@KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(1.2e4,-6900.,1.26e-6,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HNO4-->HNO4
! KTR41=@KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFB(6.02e1,-4160.,1.7e-5,4350.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NH3-->NH3
! KTR42=@KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.9e1,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_OH-->OH
! KTR43=@KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(6.9e2,-6643.,1.6e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HO2-->HO2
! KTR44=@KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(3.4e-2,-2710.,4.3e-7,920.,4.7e-11,1780.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_CO2-->CO2
! KTR45=@KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(1.36,-2930.,1.3e-2,-1965.,6.4e-8,-1430.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_SO2-->SO2
! KTR46=@KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(2.1e5,-8700.,1.0e3,0.,1.0e-2,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_H2SO4-->H2SO4
! KTR47=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.7e0,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RO21-->RO21
! KTR48=@KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(7.5e1,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RO25-->RO25
! KTR49=@KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.2e2,-5210.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_MEOH-->MEOH
! KTR50=@KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.9e2,-6600.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ETOH-->ETOH
! KTR51=@KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.3e2,-7500.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ALCH-->ALCH
! KTR52=@KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.23e3,-7100.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HCHO-->HCHO
! KTR53=@KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.29e1,-5890.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ALD2-->ALD2
! KTR54=@KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.6e5,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_GLY-->GLY
! KTR55=@KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.81e1,-5050.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_KETL-->KETL
! KTR56=@KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.7e3,0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_MGLY-->MGLY
! KTR57=@KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(8.9e3,-6100.,1.8e-4,150.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ORA1-->ORA1
! KTR58=@KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(4.1e3,-6200.,1.75e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ORA2-->ORA2
! KTR59=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.7e3,0.,1.35e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ACID-->ACID
! KTR60=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(9.0e3,0.,3.2e-4,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RP16-->RP16
! KTR61=@KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(3.11e5,-5090.,3.55e-3,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_UR21-->UR21
! KTR62=@KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.0e8,0.,5.6e-2,0.,5.4e-5,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_UR28-->UR28
! KC1=!ZRATES(:,024)::WC_H2O2-->WC_OH+WC_OH
! KC2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_OH+WC_OH-->WC_H2O2
! KC3=((2.8E+10*10.**(-TPK%PHC)+3.5E+10*exp(-720.*(1./TPK%T-1./298.15))*1.6e-5)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_OH+WC_HO2-->
! KC4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_H2O2+WC_OH-->WC_HO2
! KC5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHC))**2.+9.6E+7*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*1.6e-5)/(1.6e-5+10.**(-TPK%PHC))**2.)/TPK%MOL2MOLECCLOUD::WC_HO2+WC_HO2-->WC_H2O2
! KC6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_O3+WC_HO2-->WC_OH
! KC7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_OH+WC_SO2-->WC_ASO3
! KC8=(1.0E+10*10.**(-TPK%PHC)/(1.6e-3*exp(-1760.*(1./TPK%T-1./298.15))+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_HONO+WC_OH-->WC_NO2
! KC9=((1.8E+9*10.**(-TPK%PHC)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_NO2+WC_HO2-->WC_HNO4
! KC10=2.6E-2*10.**(-TPK%PHC)/(1.26e-6+10.**(-TPK%PHC))::WC_HNO4-->WC_HO2+WC_NO2
! KC11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHC))::WC_HNO4-->WC_HONO
! KC12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHC))**2./((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.)*(1.26e-6+10.**(-TPK%PHC))))/TPK%MOL2MOLECCLOUD::WC_HNO4+WC_SO2-->WC_H2SO4+WC_HNO3
! KC13=!ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHC))::WC_HNO3-->WC_NO2+WC_OH
! KC14=1.0E+10::WC_N2O5-->WC_HNO3+WC_HNO3
! KC15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_NO3+WC_H2SO4-->WC_HNO3+WC_ASO4
! KC16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_NO3+WC_SO2-->WC_HNO3+WC_ASO3
! KC17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.)*(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECCLOUD::WC_SO2+WC_HCHO-->WC_AHMS
! KC18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*EXP(-6716*(1./TPK%T-1./298.15))/10.**(-TPK%PHC)::WC_AHMS-->WC_SO2+WC_HCHO
! KC19=3.0E+8/TPK%MOL2MOLECCLOUD::WC_AHMS+WC_OH-->WC_HO2+WC_ORA1+WC_SO2
! KC20=1.1E+9::WC_ASO3+W_O2-->WC_ASO5
! KC21=(1.7E+9*10.**(-TPK%PHC)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ASO5+WC_HO2-->WC_AHSO5
! KC22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_ASO5+WC_ASO5-->WC_ASO4+WC_ASO4
! KC23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_AHSO5+WC_SO2-->2.00*WC_H2SO4
! KC24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))::WC_ASO4-->WC_H2SO4+WC_OH
! KC25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_SO2+WC_O3-->WC_H2SO4
! KC26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_SO2+WC_H2O2-->WC_H2SO4
! KC27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_RO21+WC_RO21-->2.00*WC_HCHO+2.00*WC_HO2
! KC28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_RO21+WC_SO2-->WC_HCHO+WC_ASO3
! KC29=1.5E+8/TPK%MOL2MOLECCLOUD::WC_RO25+WC_RO25-->WC_ORA2+WC_H2O2+WC_ALD2+WC_HO2
! KC30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_MEOH+WC_OH-->WC_HCHO+WC_HO2
! KC31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_ETOH+WC_OH-->WC_ALD2+WC_HO2
! KC32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_ALCH+WC_OH-->0.50*WC_ALD2+0.50*WC_KETL+WC_HO2
! KC33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(4030.*(1./TPK%T-1./298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2MOLECCLOUD::WC_HCHO+WC_OH-->WC_ORA1+WC_HO2
! KC34=3.4E+9/TPK%MOL2MOLECCLOUD::WC_ALD2+WC_OH-->0.50*WC_RO21+0.50*WC_RO25+WC_CO2
! KC35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9e3))/TPK%MOL2MOLECCLOUD::WC_GLY+WC_OH-->WC_RP16+WC_HO2
! KC36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.86e2))/TPK%MOL2MOLECCLOUD::WC_MGLY+WC_OH-->WC_UR21+WC_HO2
! KC37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD::WC_KETL+WC_OH-->WC_MGLY+WC_KETL+WC_HCHO+WC_UR21+WC_ALD2+WC_RO21+WC_CO2+WC_H2O2+WC_HO2
! KC38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+3.4E+9*exp(-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.15)))/(1.8e-4*exp(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ORA1+WC_OH-->WC_CO2+WC_HO2
! KC39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+1.0E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ORA2+WC_OH-->WC_RP16+0.5*WC_H2O2
! KC40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.35e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ACID+WC_OH-->WC_RO25+WC_CO2
! KC41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ACID+WC_OH-->0.56*WC_UR21+0.15*WC_ACID2+0.29*WC_ALD2+0.29*WC_H2O2+0.11*WC_HO2
! KC42=((4.7E+7*10.**(-TPK%PHC)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/(5.6E-2*5.4E-5+5.4E-5*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_UR28+WC_OH-->2*WC_CO2+WC_HO2
! KC43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+7.0E+8*exp(-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_UR21+WC_OH-->0.56*WC_ACID2+0.43*WC_ALD2+0.43*WC_CO2+0.3*WC_H2O2+0.81*WC_HO2
! KC44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(10.**(-TPK%PHC)+3.2E-4))/TPK%MOL2MOLECCLOUD::WC_RP16+WC_OH-->WC_UR28+WC_HO2
! KC45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**(-TPK%PHC)+3.2E-4))/TPK%MOL2MOLECCLOUD::WC_RP16+WC_OH-->2*WC_CO2+0.45*WC_H2O2+0.71*WC_HO2
! KC46=1.6E+7/TPK%MOL2MOLECCLOUD::WC_ACID2+WC_OH-->
! KR1=!ZRATES(:,024)::WR_H2O2-->WR_OH+WR_OH
! KR2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_OH+WR_OH-->WR_H2O2
! KR3=((2.8E+10*10.**(-TPK%PHR)+3.5E+10*exp(-720.*(1./TPK%T-1./298.15))*1.6e-5)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_OH+WR_HO2-->
! KR4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_H2O2+WR_OH-->WR_HO2
! KR5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHR))**2.+9.6E+7*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*1.6e-5)/(1.6e-5+10.**(-TPK%PHR))**2.)/TPK%MOL2MOLECRAIN::WR_HO2+WR_HO2-->WR_H2O2
! KR6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_O3+WR_HO2-->WR_OH
! KR7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_OH+WR_SO2-->WR_ASO3
! KR8=(1.0E+10*10.**(-TPK%PHR)/(1.6e-3*exp(-1760.*(1./TPK%T-1./298.15))+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_HONO+WR_OH-->WR_NO2
! KR9=((1.8E+9*10.**(-TPK%PHR)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_NO2+WR_HO2-->WR_HNO4
! KR10=2.6E-2*10.**(-TPK%PHR)/(1.26e-6+10.**(-TPK%PHR))::WR_HNO4-->WR_HO2+WR_NO2
! KR11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHR))::WR_HNO4-->WR_HONO
! KR12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHR))**2./((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.)*(1.26e-6+10.**(-TPK%PHR))))/TPK%MOL2MOLECRAIN::WR_HNO4+WR_SO2-->WR_H2SO4+WR_HNO3
! KR13=!ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHR))::WR_HNO3-->WR_NO2+WR_OH
! KR14=1.0E+10::WR_N2O5-->WR_HNO3+WR_HNO3
! KR15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_NO3+WR_H2SO4-->WR_HNO3+WR_ASO4
! KR16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_NO3+WR_SO2-->WR_HNO3+WR_ASO3
! KR17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.)*(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECRAIN::WR_SO2+WR_HCHO-->WR_AHMS
! KR18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*EXP(-6716*(1./TPK%T-1./298.15))/10.**(-TPK%PHR)::WR_AHMS-->WR_SO2+WR_HCHO
! KR19=3.0E+8/TPK%MOL2MOLECRAIN::WR_AHMS+WR_OH-->WR_HO2+WR_ORA1+WR_SO2
! KR20=1.1E+9::WR_ASO3+W_O2-->WR_ASO5
! KR21=(1.7E+9*10.**(-TPK%PHR)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ASO5+WR_HO2-->WR_AHSO5
! KR22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_ASO5+WR_ASO5-->WR_ASO4+WR_ASO4
! KR23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_AHSO5+WR_SO2-->2.00*WR_H2SO4
! KR24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))::WR_ASO4-->WR_H2SO4+WR_OH
! KR25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_SO2+WR_O3-->WR_H2SO4
! KR26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_SO2+WR_H2O2-->WR_H2SO4
! KR27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_RO21+WR_RO21-->2.00*WR_HCHO+2.00*WR_HO2
! KR28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_RO21+WR_SO2-->WR_HCHO+WR_ASO3
! KR29=1.5E+8/TPK%MOL2MOLECRAIN::WR_RO25+WR_RO25-->WR_ORA2+WR_H2O2+WR_ALD2+WR_HO2
! KR30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_MEOH+WR_OH-->WR_HCHO+WR_HO2
! KR31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_ETOH+WR_OH-->WR_ALD2+WR_HO2
! KR32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_ALCH+WR_OH-->0.50*WR_ALD2+0.50*WR_KETL+WR_HO2
! KR33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(4030.*(1./TPK%T-1./298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2MOLECRAIN::WR_HCHO+WR_OH-->WR_ORA1+WR_HO2
! KR34=3.4E+9/TPK%MOL2MOLECRAIN::WR_ALD2+WR_OH-->0.50*WR_RO21+0.50*WR_RO25+WR_CO2
! KR35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9e3))/TPK%MOL2MOLECRAIN::WR_GLY+WR_OH-->WR_RP16+WR_HO2
! KR36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.86e2))/TPK%MOL2MOLECRAIN::WR_MGLY+WR_OH-->WR_UR21+WR_HO2
! KR37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN::WR_KETL+WR_OH-->WR_MGLY+WR_KETL+WR_HCHO+WR_UR21+WR_ALD2+WR_RO21+WR_CO2+WR_H2O2+WR_HO2
! KR38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+3.4E+9*exp(-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.15)))/(1.8e-4*exp(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ORA1+WR_OH-->WR_CO2+WR_HO2
! KR39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+1.0E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ORA2+WR_OH-->WR_RP16+0.5*WR_H2O2
! KR40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.35e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ACID+WR_OH-->WR_RO25+WR_CO2
! KR41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ACID+WR_OH-->0.56*WR_UR21+0.15*WR_ACID2+0.29*WR_ALD2+0.29*WR_H2O2+0.11*WR_HO2
! KR42=((4.7E+7*10.**(-TPK%PHR)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/(5.6E-2*5.4E-5+5.4E-5*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_UR28+WR_OH-->2*WR_CO2+WR_HO2
! KR43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+7.0E+8*exp(-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_UR21+WR_OH-->0.56*WR_ACID2+0.43*WR_ALD2+0.43*WR_CO2+0.3*WR_H2O2+0.81*WR_HO2
! KR44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(10.**(-TPK%PHR)+3.2E-4))/TPK%MOL2MOLECRAIN::WR_RP16+WR_OH-->WR_UR28+WR_HO2
! KR45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**(-TPK%PHR)+3.2E-4))/TPK%MOL2MOLECRAIN::WR_RP16+WR_OH-->2*WR_CO2+0.45*WR_H2O2+0.71*WR_HO2
! KR46=1.6E+7/TPK%MOL2MOLECRAIN::WR_ACID2+WR_OH-->
!
!========================================================================
!
! the prognostic chemical species are the following ...
!
! 1.	NO	PCONC(:,1)
! 2.	NO2	PCONC(:,2)
! 3.	O3	PCONC(:,3)
! 4.	HONO	PCONC(:,4)
! 5.	HNO3	PCONC(:,5)
! 6.	HNO4	PCONC(:,6)
! 7.	N2O5	PCONC(:,7)
! 8.	NO3	PCONC(:,8)
! 9.	NH3	PCONC(:,9)
! 10.	HO2	PCONC(:,10)
! 11.	CO	PCONC(:,11)
! 12.	H2O2	PCONC(:,12)
! 13.	SO2	PCONC(:,13)
! 14.	H2SO4	PCONC(:,14)
! 15.	OH	PCONC(:,15)
! 16.	ETHE	PCONC(:,16)
! 17.	OLEL	PCONC(:,17)
! 18.	OLEH	PCONC(:,18)
! 19.	ALKL	PCONC(:,19)
! 20.	ALKM	PCONC(:,20)
! 21.	ALKH	PCONC(:,21)
! 22.	AROH	PCONC(:,22)
! 23.	AROL	PCONC(:,23)
! 24.	AROO	PCONC(:,24)
! 25.	ARAL	PCONC(:,25)
! 26.	ARAC	PCONC(:,26)
! 27.	PAH	PCONC(:,27)
! 28.	HCHO	PCONC(:,28)
! 29.	ALD2	PCONC(:,29)
! 30.	KETL	PCONC(:,30)
! 31.	KETH	PCONC(:,31)
! 32.	MEOH	PCONC(:,32)
! 33.	ETOH	PCONC(:,33)
! 34.	ALCH	PCONC(:,34)
! 35.	ISOP	PCONC(:,35)
! 36.	BIOL	PCONC(:,36)
! 37.	BIOH	PCONC(:,37)
! 38.	MTBE	PCONC(:,38)
! 39.	MVK	PCONC(:,39)
! 40.	MCR	PCONC(:,40)
! 41.	MGLY	PCONC(:,41)
! 42.	GLY	PCONC(:,42)
! 43.	ORA1	PCONC(:,43)
! 44.	ORA2	PCONC(:,44)
! 45.	ACID	PCONC(:,45)
! 46.	UR28	PCONC(:,46)
! 47.	UR21	PCONC(:,47)
! 48.	URG2	PCONC(:,48)
! 49.	UR26	PCONC(:,49)
! 50.	RPG2	PCONC(:,50)
! 51.	RP18	PCONC(:,51)
! 52.	RPG3	PCONC(:,52)
! 53.	URG4	PCONC(:,53)
! 54.	UR8	PCONC(:,54)
! 55.	UR17	PCONC(:,55)
! 56.	UR7	PCONC(:,56)
! 57.	RPR3	PCONC(:,57)
! 58.	URG6	PCONC(:,58)
! 59.	UR22	PCONC(:,59)
! 60.	URG7	PCONC(:,60)
! 61.	RPR4	PCONC(:,61)
! 62.	RPR7	PCONC(:,62)
! 63.	RPG7	PCONC(:,63)
! 64.	URG8	PCONC(:,64)
! 65.	UR19	PCONC(:,65)
! 66.	URG9	PCONC(:,66)
! 67.	AP7	PCONC(:,67)
! 68.	URG10	PCONC(:,68)
! 69.	RPR1	PCONC(:,69)
! 70.	RPR5	PCONC(:,70)
! 71.	RPR8	PCONC(:,71)
! 72.	RP10	PCONC(:,72)
! 73.	RP11	PCONC(:,73)
! 74.	RP16	PCONC(:,74)
! 75.	RPRL	PCONC(:,75)
! 76.	APAN	PCONC(:,76)
! 77.	PAN1	PCONC(:,77)
! 78.	PAN2	PCONC(:,78)
! 79.	PAN3	PCONC(:,79)
! 80.	PAN4	PCONC(:,80)
! 81.	PAN6	PCONC(:,81)
! 82.	PAN7	PCONC(:,82)
! 83.	PAN8	PCONC(:,83)
! 84.	PN10	PCONC(:,84)
! 85.	RO2T	PCONC(:,85)
! 86.	RO21	PCONC(:,86)
! 87.	RO25	PCONC(:,87)
! 88.	WC_O3	PCONC(:,88)
! 89.	WC_H2O2	PCONC(:,89)
! 90.	WC_NO	PCONC(:,90)
! 91.	WC_NO2	PCONC(:,91)
! 92.	WC_NO3	PCONC(:,92)
! 93.	WC_N2O5	PCONC(:,93)
! 94.	WC_HONO	PCONC(:,94)
! 95.	WC_HNO3	PCONC(:,95)
! 96.	WC_HNO4	PCONC(:,96)
! 97.	WC_NH3	PCONC(:,97)
! 98.	WC_OH	PCONC(:,98)
! 99.	WC_HO2	PCONC(:,99)
! 100.	WC_CO2	PCONC(:,100)
! 101.	WC_SO2	PCONC(:,101)
! 102.	WC_H2SO4	PCONC(:,102)
! 103.	WC_RO21	PCONC(:,103)
! 104.	WC_RO25	PCONC(:,104)
! 105.	WC_MEOH	PCONC(:,105)
! 106.	WC_ETOH	PCONC(:,106)
! 107.	WC_ALCH	PCONC(:,107)
! 108.	WC_HCHO	PCONC(:,108)
! 109.	WC_ALD2	PCONC(:,109)
! 110.	WC_GLY	PCONC(:,110)
! 111.	WC_MGLY	PCONC(:,111)
! 112.	WC_KETL	PCONC(:,112)
! 113.	WC_ORA1	PCONC(:,113)
! 114.	WC_ORA2	PCONC(:,114)
! 115.	WC_ACID	PCONC(:,115)
! 116.	WC_RP16	PCONC(:,116)
! 117.	WC_UR21	PCONC(:,117)
! 118.	WC_UR28	PCONC(:,118)
! 119.	WC_ACID2	PCONC(:,119)
! 120.	WC_ASO3	PCONC(:,120)
! 121.	WC_ASO4	PCONC(:,121)
! 122.	WC_ASO5	PCONC(:,122)
! 123.	WC_AHSO5	PCONC(:,123)
! 124.	WC_AHMS	PCONC(:,124)
! 125.	WR_O3	PCONC(:,125)
! 126.	WR_H2O2	PCONC(:,126)
! 127.	WR_NO	PCONC(:,127)
! 128.	WR_NO2	PCONC(:,128)
! 129.	WR_NO3	PCONC(:,129)
! 130.	WR_N2O5	PCONC(:,130)
! 131.	WR_HONO	PCONC(:,131)
! 132.	WR_HNO3	PCONC(:,132)
! 133.	WR_HNO4	PCONC(:,133)
! 134.	WR_NH3	PCONC(:,134)
! 135.	WR_OH	PCONC(:,135)
! 136.	WR_HO2	PCONC(:,136)
! 137.	WR_CO2	PCONC(:,137)
! 138.	WR_SO2	PCONC(:,138)
! 139.	WR_H2SO4	PCONC(:,139)
! 140.	WR_RO21	PCONC(:,140)
! 141.	WR_RO25	PCONC(:,141)
! 142.	WR_MEOH	PCONC(:,142)
! 143.	WR_ETOH	PCONC(:,143)
! 144.	WR_ALCH	PCONC(:,144)
! 145.	WR_HCHO	PCONC(:,145)
! 146.	WR_ALD2	PCONC(:,146)
! 147.	WR_GLY	PCONC(:,147)
! 148.	WR_MGLY	PCONC(:,148)
! 149.	WR_KETL	PCONC(:,149)
! 150.	WR_ORA1	PCONC(:,150)
! 151.	WR_ORA2	PCONC(:,151)
! 152.	WR_ACID	PCONC(:,152)
! 153.	WR_RP16	PCONC(:,153)
! 154.	WR_UR21	PCONC(:,154)
! 155.	WR_UR28	PCONC(:,155)
! 156.	WR_ACID2	PCONC(:,156)
! 157.	WR_ASO3	PCONC(:,157)
! 158.	WR_ASO4	PCONC(:,158)
! 159.	WR_ASO5	PCONC(:,159)
! 160.	WR_AHSO5	PCONC(:,160)
! 161.	WR_AHMS	PCONC(:,161)
!
!========================================================================
!
! the individual chemical terms are the following ...
!
! terms for NO:
!   + K001*<NO2>
!   + K003*<NO2>*<O>
!   + K012*<NO3>*<NO2>
!   + K013*<NO3>
!   + 0.9*K020*<HONO>
!   + K095*<NO>*<RO2T>
!   + KTC34*<WC_NO>
!   + KTR34*<WR_NO>
!   - K005*<O3>*<NO>
!   - K007*<NO3>*<NO>
!   - K008*<NO>*<NO>
!   - K008*<NO>*<NO>
!   - K019*<OH>*<NO>
!   - K026*<HO2>*<NO>
!   - K038*<NO>*<O>
!   - K095*<NO>*<RO2T>
!   - K110*<NO>*<RO21>
!   - K113*<NO>*<RO22>
!   - K116*<NO>*<RO23>
!   - K119*<NO>*<RO24>
!   - K122*<NO>*<RO25>
!   - K125*<NO>*<RO26>
!   - K144*<NO>*<RO27>
!   - K147*<NO>*<RO28>
!   - K150*<NO>*<RO29>
!   - K153*<NO>*<RO210>
!   - K156*<NO>*<RO211>
!   - K159*<NO>*<RO212>
!   - K162*<NO>*<RO213>
!   - K165*<NO>*<RO239>
!   - K168*<NO>*<RO214>
!   - K171*<NO>*<RO215>
!   - K174*<NO>*<RO216>
!   - K177*<NO>*<RO217>
!   - K180*<NO>*<RO218>
!   - K183*<NO>*<RO219>
!   - K186*<NO>*<RO220>
!   - K189*<NO>*<RO221>
!   - K192*<NO>*<RO222>
!   - K195*<NO>*<RO223>
!   - K198*<NO>*<RO224>
!   - K201*<NO>*<RO225>
!   - K204*<NO>*<RO226>
!   - K207*<NO>*<RO227>
!   - K210*<NO>*<RO228>
!   - K213*<NO>*<RO229>
!   - K216*<NO>*<RO240>
!   - K221*<NO>*<RO231>
!   - K224*<NO>*<RO232>
!   - K227*<NO>*<RO241>
!   - K231*<NO>*<RO233>
!   - K234*<NO>*<RO242>
!   - K238*<NO>*<RO234>
!   - K241*<NO>*<RO243>
!   - K245*<NO>*<RO235>
!   - K248*<NO>*<RO244>
!   - K252*<NO>*<RO236>
!   - K255*<NO>*<RO245>
!   - K259*<NO>*<RO237>
!   - K262*<NO>*<RO246>
!   - K266*<NO>*<RO238>
!   - K269*<NO>*<RO247>
!   - K277*<NO>*<RO248>
!   - K285*<NO>*<RO249>
!   - K288*<NO>*<RO250>
!   - K291*<NO>*<RO251>
!   - K294*<NO>*<RO252>
!   - K297*<NO>*<RO253>
!   - K300*<NO>*<RO254>
!   - K309*<NO>*<RO255>
!   - K315*<NO>*<RO256>
!   - K331*<NO>*<RO257>
!   - K340*<NO>*<RO258>
!   - K344*<NO>*<RO230>
!   - KTC3*<NO>
!   - KTR3*<NO>
! terms for NO2:
!   + K005*<O3>*<NO>
!   + 2.*K007*<NO3>*<NO>
!   + 2.*K008*<NO>*<NO>
!   + K010*<N2O5>
!   + K012*<NO3>*<NO2>
!   + K014*<NO3>
!   + 0.1*K020*<HONO>
!   + K026*<HO2>*<NO>
!   + K028*<HNO4>
!   + K029*<OH>*<HNO4>
!   + 0.8*K033*<HO2>*<NO3>
!   + K038*<NO>*<O>
!   + K039*<OH>*<HONO>
!   + K040*<OH>*<NO3>
!   + 2.*K041*<NO3>*<NO3>
!   + K110*<NO>*<RO21>
!   + K113*<NO>*<RO22>
!   + 2.*K116*<NO>*<RO23>
!   + K117*<RO2T>*<RO23>
!   + K118*<HO2>*<RO23>
!   + K119*<NO>*<RO24>
!   + TPK%CF4*K122*<NO>*<RO25>
!   + K125*<NO>*<RO26>
!   + K135*<PAN1>
!   + K136*<PAN2>
!   + K137*<PAN3>
!   + K138*<PN10>
!   + 1.0000000*K139*<APAN>
!   + K140*<PAN6>
!   + K141*<PAN4>
!   + K144*<NO>*<RO27>
!   + K147*<NO>*<RO28>
!   + TPK%CF6*K150*<NO>*<RO29>
!   + K153*<NO>*<RO210>
!   + 2.*K156*<NO>*<RO211>
!   + K157*<RO2T>*<RO211>
!   + K158*<HO2>*<RO211>
!   + 2.*K159*<NO>*<RO212>
!   + K160*<RO2T>*<RO212>
!   + K161*<HO2>*<RO212>
!   + K162*<NO>*<RO213>
!   + K165*<NO>*<RO239>
!   + TPK%CF8*K168*<NO>*<RO214>
!   + K171*<NO>*<RO215>
!   + K174*<NO>*<RO216>
!   + TPK%CF22*K177*<NO>*<RO217>
!   + TPK%CF20*K180*<NO>*<RO218>
!   + 2.*K183*<NO>*<RO219>
!   + K184*<RO2T>*<RO219>
!   + K185*<HO2>*<RO219>
!   + TPK%CF18*K186*<NO>*<RO220>
!   + TPK%CF24*K189*<NO>*<RO221>
!   + TPK%CF42*K192*<NO>*<RO222>
!   + TPK%CF44*K195*<NO>*<RO223>
!   + TPK%CF26*K198*<NO>*<RO224>
!   + 2.*K201*<NO>*<RO225>
!   + K202*<RO2T>*<RO225>
!   + K203*<HO2>*<RO225>
!   + K204*<NO>*<RO226>
!   + TPK%CF28*K207*<NO>*<RO227>
!   + 2.*K210*<NO>*<RO228>
!   + K211*<RO2T>*<RO228>
!   + K212*<HO2>*<RO228>
!   + TPK%CF30*K213*<NO>*<RO229>
!   + K216*<NO>*<RO240>
!   + TPK%CF32*K221*<NO>*<RO231>
!   + TPK%CF34*K224*<NO>*<RO232>
!   + TPK%CF36*K227*<NO>*<RO241>
!   + K231*<NO>*<RO233>
!   + K234*<NO>*<RO242>
!   + K238*<NO>*<RO234>
!   + K241*<NO>*<RO243>
!   + K245*<NO>*<RO235>
!   + K248*<NO>*<RO244>
!   + K252*<NO>*<RO236>
!   + K255*<NO>*<RO245>
!   + K259*<NO>*<RO237>
!   + K262*<NO>*<RO246>
!   + K266*<NO>*<RO238>
!   + K269*<NO>*<RO247>
!   + K277*<NO>*<RO248>
!   + K285*<NO>*<RO249>
!   + K288*<NO>*<RO250>
!   + K291*<NO>*<RO251>
!   + 2.*K294*<NO>*<RO252>
!   + K295*<HO2>*<RO252>
!   + K296*<RO2T>*<RO252>
!   + K297*<NO>*<RO253>
!   + K300*<NO>*<RO254>
!   + K309*<NO>*<RO255>
!   + K315*<NO>*<RO256>
!   + K317*<PAN8>
!   + K331*<NO>*<RO257>
!   + K340*<NO>*<RO258>
!   + K343*<PAN7>
!   + K344*<NO>*<RO230>
!   + KTC35*<WC_NO2>
!   + KTR35*<WR_NO2>
!   - K001*<NO2>
!   - K003*<NO2>*<O>
!   - K004*<NO2>*<O>
!   - K006*<O3>*<NO2>
!   - K009*<NO3>*<NO2>
!   - K012*<NO3>*<NO2>
!   - K021*<H2O>*<NO2>
!   - K022*<OH>*<NO2>
!   - K027*<HO2>*<NO2>
!   - K103*<NO2>*<RAD1>
!   - K104*<NO2>*<RAD2>
!   - K105*<NO2>*<RAD3>
!   - K106*<NO2>*<RAD4>
!   - K107*<NO2>*<RAD5>
!   - K108*<NO2>*<RAD6>
!   - K109*<NO2>*<RAD7>
!   - K126*<NO2>*<RO26>
!   - K127*<NO2>*<RO28>
!   - K128*<NO2>*<RO239>
!   - K129*<NO2>*<RO248>
!   - K130*<NO2>*<RO250>
!   - K131*<NO2>*<RO254>
!   - K132*<NO2>*<RO255>
!   - K133*<NO2>*<RO257>
!   - K134*<NO2>*<RO258>
!   - K316*<NO2>*<RO256>
!   - K321*<NO2>*<RAD8>
!   - KTC4*<NO2>
!   - KTR4*<NO2>
! terms for O3:
!   + K002*<O2>*<O>
!   + K081*<NO3>*<ARAL>
!   + TPK%CF39*K082*<OH>*<ARAL>
!   + K142*<HO2>*<RO26>
!   + K148*<HO2>*<RO28>
!   + K166*<HO2>*<RO239>
!   + K279*<HO2>*<RO248>
!   + K289*<HO2>*<RO250>
!   + K301*<HO2>*<RO254>
!   + K303*<OH>*<RPR5>
!   + 1.0000011*K306*<OH>*<RPRL>
!   + K310*<HO2>*<RO255>
!   + K318*<HO2>*<RO256>
!   + K322*<OH>*<RPR7>
!   + 1.0000005*K323*<OH>*<RPG7>
!   + K326*<OH>*<RP11>
!   + K332*<HO2>*<RO257>
!   + 1.0000000*K334*<OH>*<RPG3>
!   + 1.0000000*K335*<OH>*<RPG2>
!   + K337*<OH>*<RP18>
!   + K341*<HO2>*<RO258>
!   + KTC32*<WC_O3>
!   + KTR32*<WR_O3>
!   - K005*<O3>*<NO>
!   - K006*<O3>*<NO2>
!   - K015*<O3>
!   - K016*<O3>
!   - K025*<OH>*<O3>
!   - K030*<HO2>*<O3>
!   - K034*<O3>*<O>
!   - K051*<O3>*<ETHE>
!   - K056*<O3>*<OLEL>
!   - K066*<O3>*<ISOP>
!   - K076*<O3>*<OLEH>
!   - K086*<O3>*<BIOL>
!   - K090*<O3>*<BIOH>
!   - K281*<O3>*<MVK>
!   - K282*<O3>*<MCR>
!   - KTC1*<O3>
!   - KTR1*<O3>
! terms for HONO:
!   + K019*<OH>*<NO>
!   + 0.5*K021*<H2O>*<NO2>
!   + KTC38*<WC_HONO>
!   + KTR38*<WR_HONO>
!   - K020*<HONO>
!   - K039*<OH>*<HONO>
!   - KTC7*<HONO>
!   - KTR7*<HONO>
! terms for HNO3:
!   + 2.*K011*<H2O>*<N2O5>
!   + 0.5*K021*<H2O>*<NO2>
!   + K022*<OH>*<NO2>
!   + 0.2*K033*<HO2>*<NO3>
!   + K047*<NO3>*<HCHO>
!   + K061*<NO3>*<ALD2>
!   + K072*<NO3>*<AROO>
!   + K081*<NO3>*<ARAL>
!   + TPK%CF46*K275*<NO3>*<MCR>
!   + K278*<NO3>*<MGLY>
!   + K307*<NO3>*<RPR1>
!   + K313*<NO3>*<RPR3>
!   + K320*<NO3>*<RPR4>
!   + K327*<NO3>*<RPR8>
!   + K338*<NO3>*<RP16>
!   + KTC39*<WC_HNO3>
!   + KTR39*<WR_HNO3>
!   - K023*<OH>*<HNO3>
!   - KTC8*<HNO3>
!   - KTR8*<HNO3>
! terms for HNO4:
!   + K027*<HO2>*<NO2>
!   + KTC40*<WC_HNO4>
!   + KTR40*<WR_HNO4>
!   - K028*<HNO4>
!   - K029*<OH>*<HNO4>
!   - KTC9*<HNO4>
!   - KTR9*<HNO4>
! terms for N2O5:
!   + K009*<NO3>*<NO2>
!   + KTC37*<WC_N2O5>
!   + KTR37*<WR_N2O5>
!   - K010*<N2O5>
!   - K011*<H2O>*<N2O5>
!   - KTC6*<N2O5>
!   - KTR6*<N2O5>
! terms for NO3:
!   + K004*<NO2>*<O>
!   + K006*<O3>*<NO2>
!   + K010*<N2O5>
!   + K023*<OH>*<HNO3>
!   + KTC36*<WC_NO3>
!   + KTR36*<WR_NO3>
!   - K007*<NO3>*<NO>
!   - K009*<NO3>*<NO2>
!   - K012*<NO3>*<NO2>
!   - K013*<NO3>
!   - K014*<NO3>
!   - K033*<HO2>*<NO3>
!   - K040*<OH>*<NO3>
!   - K041*<NO3>*<NO3>
!   - K041*<NO3>*<NO3>
!   - K047*<NO3>*<HCHO>
!   - K050*<NO3>*<ETHE>
!   - K055*<NO3>*<OLEL>
!   - K061*<NO3>*<ALD2>
!   - K065*<NO3>*<ISOP>
!   - K072*<NO3>*<AROO>
!   - K075*<NO3>*<OLEH>
!   - K081*<NO3>*<ARAL>
!   - K085*<NO3>*<BIOL>
!   - K089*<NO3>*<BIOH>
!   - K275*<NO3>*<MCR>
!   - K278*<NO3>*<MGLY>
!   - K307*<NO3>*<RPR1>
!   - K313*<NO3>*<RPR3>
!   - K320*<NO3>*<RPR4>
!   - K327*<NO3>*<RPR8>
!   - K338*<NO3>*<RP16>
!   - KTC5*<NO3>
!   - KTR5*<NO3>
! terms for NH3:
!   + KTC41*<WC_NH3>
!   + KTR41*<WR_NH3>
!   - K345*<OH>*<NH3>
!   - KTC10*<NH3>
!   - KTR10*<NH3>
! terms for HO2:
!   + 0.1*K020*<HONO>
!   + K024*<OH>*<CO>
!   + K025*<OH>*<O3>
!   + K028*<HNO4>
!   + K035*<OH>*<SO2>
!   + K037*<OH>*<H2O2>
!   + K040*<OH>*<NO3>
!   + 2.0*K044*<HCHO>
!   + K046*<OH>*<HCHO>
!   + K047*<NO3>*<HCHO>
!   + K048*<OH>*<MEOH>
!   + 0.06*K051*<O3>*<ETHE>
!   + K052*<O>*<ETHE>
!   + TPK%CF1*K053*<OH>*<ETOH>
!   + 0.28*K056*<O3>*<OLEL>
!   + K059*<ALD2>
!   + 0.366*K066*<O3>*<ISOP>
!   + 0.16*K073*<OH>*<AROO>
!   + 0.28*K076*<O3>*<OLEH>
!   + 0.16*K079*<OH>*<AROL>
!   + 0.16*K080*<OH>*<AROH>
!   + TPK%CF48*K082*<OH>*<ARAL>
!   + 0.16*K083*<OH>*<ARAC>
!   + 0.445*K086*<O3>*<BIOL>
!   + 0.16*K092*<OH>*<PAH>
!   + K094*<HO2>*<RO2T>
!   + K110*<NO>*<RO21>
!   + K111*<RO2T>*<RO21>
!   + K112*<HO2>*<RO21>
!   + K113*<NO>*<RO22>
!   + K114*<RO2T>*<RO22>
!   + K115*<HO2>*<RO22>
!   + K117*<RO2T>*<RO23>
!   + K118*<HO2>*<RO23>
!   + K119*<NO>*<RO24>
!   + K120*<RO2T>*<RO24>
!   + K121*<HO2>*<RO24>
!   + TPK%CF4*K122*<NO>*<RO25>
!   + K123*<RO2T>*<RO25>
!   + K124*<HO2>*<RO25>
!   + TPK%CF6*K150*<NO>*<RO29>
!   + K151*<RO2T>*<RO29>
!   + K152*<HO2>*<RO29>
!   + K153*<NO>*<RO210>
!   + K154*<RO2T>*<RO210>
!   + K155*<HO2>*<RO210>
!   + K171*<NO>*<RO215>
!   + K172*<RO2T>*<RO215>
!   + K173*<HO2>*<RO215>
!   + TPK%CF22*K177*<NO>*<RO217>
!   + K178*<RO2T>*<RO217>
!   + K179*<HO2>*<RO217>
!   + TPK%CF20*K180*<NO>*<RO218>
!   + K181*<RO2T>*<RO218>
!   + K182*<HO2>*<RO218>
!   + TPK%CF24*K189*<NO>*<RO221>
!   + K190*<RO2T>*<RO221>
!   + K191*<HO2>*<RO221>
!   + TPK%CF42*K192*<NO>*<RO222>
!   + K193*<RO2T>*<RO222>
!   + K194*<HO2>*<RO222>
!   + TPK%CF44*K195*<NO>*<RO223>
!   + K196*<RO2T>*<RO223>
!   + K197*<HO2>*<RO223>
!   + TPK%CF26*K198*<NO>*<RO224>
!   + K199*<RO2T>*<RO224>
!   + K200*<HO2>*<RO224>
!   + TPK%CF28*K207*<NO>*<RO227>
!   + K208*<RO2T>*<RO227>
!   + K209*<HO2>*<RO227>
!   + TPK%CF32*K221*<NO>*<RO231>
!   + K222*<RO2T>*<RO231>
!   + K223*<HO2>*<RO231>
!   + TPK%CF36*K227*<NO>*<RO241>
!   + K228*<RO2T>*<RO241>
!   + K229*<HO2>*<RO241>
!   + K231*<NO>*<RO233>
!   + K232*<RO2T>*<RO233>
!   + K233*<HO2>*<RO233>
!   + K234*<NO>*<RO242>
!   + K235*<RO2T>*<RO242>
!   + K236*<HO2>*<RO242>
!   + K238*<NO>*<RO234>
!   + K239*<RO2T>*<RO234>
!   + K240*<HO2>*<RO234>
!   + K241*<NO>*<RO243>
!   + K242*<RO2T>*<RO243>
!   + K243*<HO2>*<RO243>
!   + K245*<NO>*<RO235>
!   + K246*<RO2T>*<RO235>
!   + K247*<HO2>*<RO235>
!   + K248*<NO>*<RO244>
!   + K249*<RO2T>*<RO244>
!   + K250*<HO2>*<RO244>
!   + K252*<NO>*<RO236>
!   + K253*<RO2T>*<RO236>
!   + K254*<HO2>*<RO236>
!   + K255*<NO>*<RO245>
!   + K256*<RO2T>*<RO245>
!   + K257*<HO2>*<RO245>
!   + K259*<NO>*<RO237>
!   + K260*<RO2T>*<RO237>
!   + K261*<HO2>*<RO237>
!   + K262*<NO>*<RO246>
!   + K263*<RO2T>*<RO246>
!   + K264*<HO2>*<RO246>
!   + K266*<NO>*<RO238>
!   + K267*<RO2T>*<RO238>
!   + K268*<HO2>*<RO238>
!   + K269*<NO>*<RO247>
!   + K270*<RO2T>*<RO247>
!   + K271*<HO2>*<RO247>
!   + K276*<MGLY>
!   + 0.28*K281*<O3>*<MVK>
!   + 0.41*K282*<O3>*<MCR>
!   + 0.15*K284*<O>*<MCR>
!   + K285*<NO>*<RO249>
!   + K286*<RO2T>*<RO249>
!   + K287*<HO2>*<RO249>
!   + K291*<NO>*<RO251>
!   + K292*<HO2>*<RO251>
!   + K293*<RO2T>*<RO251>
!   + K300*<NO>*<RO254>
!   + K302*<RO2T>*<RO254>
!   + K308*<RPR1>
!   + 2.*K314*<RPR3>
!   + K315*<NO>*<RO256>
!   + K319*<RO2T>*<RO256>
!   + K325*<OH>*<RP10>
!   + K329*<RPR8>
!   + K330*<RPR8>
!   + K339*<RP16>
!   + K347*<OH>*<ORA1>
!   + KTC43*<WC_HO2>
!   + KTR43*<WR_HO2>
!   - K026*<HO2>*<NO>
!   - K027*<HO2>*<NO2>
!   - K030*<HO2>*<O3>
!   - K031*<HO2>*<HO2>
!   - K031*<HO2>*<HO2>
!   - K032*<HO2>*<H2O>*<HO2>
!   - K032*<HO2>*<H2O>*<HO2>
!   - K033*<HO2>*<NO3>
!   - K042*<HO2>*<OH>
!   - K094*<HO2>*<RO2T>
!   - K112*<HO2>*<RO21>
!   - K115*<HO2>*<RO22>
!   - K118*<HO2>*<RO23>
!   - K121*<HO2>*<RO24>
!   - K124*<HO2>*<RO25>
!   - K142*<HO2>*<RO26>
!   - K146*<HO2>*<RO27>
!   - K148*<HO2>*<RO28>
!   - K152*<HO2>*<RO29>
!   - K155*<HO2>*<RO210>
!   - K158*<HO2>*<RO211>
!   - K161*<HO2>*<RO212>
!   - K164*<HO2>*<RO213>
!   - K166*<HO2>*<RO239>
!   - K170*<HO2>*<RO214>
!   - K173*<HO2>*<RO215>
!   - K176*<HO2>*<RO216>
!   - K179*<HO2>*<RO217>
!   - K182*<HO2>*<RO218>
!   - K185*<HO2>*<RO219>
!   - K188*<HO2>*<RO220>
!   - K191*<HO2>*<RO221>
!   - K194*<HO2>*<RO222>
!   - K197*<HO2>*<RO223>
!   - K200*<HO2>*<RO224>
!   - K203*<HO2>*<RO225>
!   - K206*<HO2>*<RO226>
!   - K209*<HO2>*<RO227>
!   - K212*<HO2>*<RO228>
!   - K215*<HO2>*<RO229>
!   - K218*<HO2>*<RO240>
!   - K220*<HO2>*<RO230>
!   - K223*<HO2>*<RO231>
!   - K226*<HO2>*<RO232>
!   - K229*<HO2>*<RO241>
!   - K233*<HO2>*<RO233>
!   - K236*<HO2>*<RO242>
!   - K240*<HO2>*<RO234>
!   - K243*<HO2>*<RO243>
!   - K247*<HO2>*<RO235>
!   - K250*<HO2>*<RO244>
!   - K254*<HO2>*<RO236>
!   - K257*<HO2>*<RO245>
!   - K261*<HO2>*<RO237>
!   - K264*<HO2>*<RO246>
!   - K268*<HO2>*<RO238>
!   - K271*<HO2>*<RO247>
!   - K279*<HO2>*<RO248>
!   - K287*<HO2>*<RO249>
!   - K289*<HO2>*<RO250>
!   - K292*<HO2>*<RO251>
!   - K295*<HO2>*<RO252>
!   - K298*<HO2>*<RO253>
!   - K301*<HO2>*<RO254>
!   - K310*<HO2>*<RO255>
!   - K318*<HO2>*<RO256>
!   - K332*<HO2>*<RO257>
!   - K341*<HO2>*<RO258>
!   - KTC12*<HO2>
!   - KTR12*<HO2>
! terms for CO:
!   + K044*<HCHO>
!   + K045*<HCHO>
!   + K046*<OH>*<HCHO>
!   + K047*<NO3>*<HCHO>
!   + 0.315*K051*<O3>*<ETHE>
!   + 0.6*K052*<O>*<ETHE>
!   + 0.56*K056*<O3>*<OLEL>
!   + K059*<ALD2>
!   + 0.461*K066*<O3>*<ISOP>
!   + 0.56*K076*<O3>*<OLEH>
!   + 0.445*K086*<O3>*<BIOL>
!   + 0.445*K090*<O3>*<BIOH>
!   + K119*<NO>*<RO24>
!   + K120*<RO2T>*<RO24>
!   + K121*<HO2>*<RO24>
!   + K276*<MGLY>
!   + 0.56*K281*<O3>*<MVK>
!   + 0.41*K282*<O3>*<MCR>
!   + 0.15*K284*<O>*<MCR>
!   + K300*<NO>*<RO254>
!   + K302*<RO2T>*<RO254>
!   + K308*<RPR1>
!   + K314*<RPR3>
!   + K329*<RPR8>
!   + 2.*K339*<RP16>
!   + K340*<NO>*<RO258>
!   + K342*<RO2T>*<RO258>
!   - K024*<OH>*<CO>
! terms for H2O2:
!   + K031*<HO2>*<HO2>
!   + K032*<HO2>*<H2O>*<HO2>
!   + 0.055*K086*<O3>*<BIOL>
!   + 0.055*K090*<O3>*<BIOH>
!   + KTC33*<WC_H2O2>
!   + KTR33*<WR_H2O2>
!   - K036*<H2O2>
!   - K037*<OH>*<H2O2>
!   - KTC2*<H2O2>
!   - KTR2*<H2O2>
! terms for SO2:
!   + KTC45*<WC_SO2>
!   + KTR45*<WR_SO2>
!   - K035*<OH>*<SO2>
!   - KTC14*<SO2>
!   - KTR14*<SO2>
! terms for H2SO4:
!   + K035*<OH>*<SO2>
!   + KTC46*<WC_H2SO4>
!   + KTR46*<WR_H2SO4>
!   - K346*<H2SO4>
!   - KTC15*<H2SO4>
!   - KTR15*<H2SO4>
! terms for OH:
!   + K017*<H2O>*<OSD>
!   + K017*<H2O>*<OSD>
!   + 0.9*K020*<HONO>
!   + K026*<HO2>*<NO>
!   + K030*<HO2>*<O3>
!   + 0.8*K033*<HO2>*<NO3>
!   + 2.*K036*<H2O2>
!   + 0.06*K051*<O3>*<ETHE>
!   + 0.36*K056*<O3>*<OLEL>
!   + 0.664*K066*<O3>*<ISOP>
!   + 0.36*K076*<O3>*<OLEH>
!   + 0.89*K086*<O3>*<BIOL>
!   + 0.89*K090*<O3>*<BIOH>
!   + K112*<HO2>*<RO21>
!   + K115*<HO2>*<RO22>
!   + K118*<HO2>*<RO23>
!   + K121*<HO2>*<RO24>
!   + K124*<HO2>*<RO25>
!   + K146*<HO2>*<RO27>
!   + K152*<HO2>*<RO29>
!   + K155*<HO2>*<RO210>
!   + K158*<HO2>*<RO211>
!   + K161*<HO2>*<RO212>
!   + K164*<HO2>*<RO213>
!   + K170*<HO2>*<RO214>
!   + K173*<HO2>*<RO215>
!   + K176*<HO2>*<RO216>
!   + K179*<HO2>*<RO217>
!   + K182*<HO2>*<RO218>
!   + K185*<HO2>*<RO219>
!   + K188*<HO2>*<RO220>
!   + K191*<HO2>*<RO221>
!   + K194*<HO2>*<RO222>
!   + K197*<HO2>*<RO223>
!   + K200*<HO2>*<RO224>
!   + K203*<HO2>*<RO225>
!   + K206*<HO2>*<RO226>
!   + K209*<HO2>*<RO227>
!   + K212*<HO2>*<RO228>
!   + K215*<HO2>*<RO229>
!   + K218*<HO2>*<RO240>
!   + K220*<HO2>*<RO230>
!   + K223*<HO2>*<RO231>
!   + K226*<HO2>*<RO232>
!   + K229*<HO2>*<RO241>
!   + K233*<HO2>*<RO233>
!   + K236*<HO2>*<RO242>
!   + K240*<HO2>*<RO234>
!   + K243*<HO2>*<RO243>
!   + K247*<HO2>*<RO235>
!   + K250*<HO2>*<RO244>
!   + K254*<HO2>*<RO236>
!   + K257*<HO2>*<RO245>
!   + K261*<HO2>*<RO237>
!   + K264*<HO2>*<RO246>
!   + K268*<HO2>*<RO238>
!   + K271*<HO2>*<RO247>
!   + 0.36*K281*<O3>*<MVK>
!   + 0.82*K282*<O3>*<MCR>
!   + K287*<HO2>*<RO249>
!   + K293*<RO2T>*<RO251>
!   + K296*<RO2T>*<RO252>
!   + K299*<RO2T>*<RO253>
!   + K339*<RP16>
!   + K340*<NO>*<RO258>
!   + K342*<RO2T>*<RO258>
!   + KTC42*<WC_OH>
!   + KTR42*<WR_OH>
!   - K019*<OH>*<NO>
!   - K022*<OH>*<NO2>
!   - K023*<OH>*<HNO3>
!   - K024*<OH>*<CO>
!   - K025*<OH>*<O3>
!   - K029*<OH>*<HNO4>
!   - K035*<OH>*<SO2>
!   - K037*<OH>*<H2O2>
!   - K039*<OH>*<HONO>
!   - K040*<OH>*<NO3>
!   - K042*<HO2>*<OH>
!   - K043*<OH>*<CH4>
!   - K046*<OH>*<HCHO>
!   - K048*<OH>*<MEOH>
!   - K049*<OH>*<ETHE>
!   - K053*<OH>*<ETOH>
!   - K054*<OH>*<OLEL>
!   - K058*<OH>*<ALKL>
!   - K060*<OH>*<ALD2>
!   - K062*<OH>*<KETL>
!   - K064*<OH>*<ISOP>
!   - K068*<OH>*<MTBE>
!   - K069*<OH>*<ALCH>
!   - K070*<OH>*<KETH>
!   - K073*<OH>*<AROO>
!   - K074*<OH>*<OLEH>
!   - K078*<OH>*<ALKM>
!   - K079*<OH>*<AROL>
!   - K080*<OH>*<AROH>
!   - K082*<OH>*<ARAL>
!   - K083*<OH>*<ARAC>
!   - K084*<OH>*<BIOL>
!   - K088*<OH>*<BIOH>
!   - K092*<OH>*<PAH>
!   - K093*<OH>*<ALKH>
!   - K272*<OH>*<MVK>
!   - K273*<OH>*<MCR>
!   - K274*<OH>*<MGLY>
!   - K303*<OH>*<RPR5>
!   - K304*<OH>*<RPR1>
!   - K305*<OH>*<RP16>
!   - K306*<OH>*<RPRL>
!   - K312*<OH>*<RPR3>
!   - K322*<OH>*<RPR7>
!   - K323*<OH>*<RPG7>
!   - K324*<OH>*<RPR8>
!   - K325*<OH>*<RP10>
!   - K326*<OH>*<RP11>
!   - K334*<OH>*<RPG3>
!   - K335*<OH>*<RPG2>
!   - K337*<OH>*<RP18>
!   - K345*<OH>*<NH3>
!   - K347*<OH>*<ORA1>
!   - K348*<OH>*<ORA2>
!   - K349*<OH>*<ACID>
!   - KTC11*<OH>
!   - KTR11*<OH>
! terms for ETHE:
!   + 0.0
!   - K049*<OH>*<ETHE>
!   - K050*<NO3>*<ETHE>
!   - K051*<O3>*<ETHE>
!   - K052*<O>*<ETHE>
! terms for OLEL:
!   + 0.054*K066*<O3>*<ISOP>
!   + 0.925*K067*<O>*<ISOP>
!   + TPK%CF5*K150*<NO>*<RO29>
!   + 0.5*K166*<HO2>*<RO239>
!   + TPK%CF7*K168*<NO>*<RO214>
!   + 0.5*K289*<HO2>*<RO250>
!   - K054*<OH>*<OLEL>
!   - K055*<NO3>*<OLEL>
!   - K056*<O3>*<OLEL>
!   - K057*<O>*<OLEL>
! terms for OLEH:
!   + 0.0
!   - K074*<OH>*<OLEH>
!   - K075*<NO3>*<OLEH>
!   - K076*<O3>*<OLEH>
!   - K077*<O>*<OLEH>
! terms for ALKL:
!   + 0.1*K056*<O3>*<OLEL>
!   + 0.5*K057*<O>*<OLEL>
!   + TPK%CF3*K122*<NO>*<RO25>
!   + TPK%CF12*K171*<NO>*<RO215>
!   + TPK%CF16*K172*<RO2T>*<RO215>
!   + TPK%CF16*K173*<HO2>*<RO215>
!   - K058*<OH>*<ALKL>
! terms for ALKM:
!   + 0.1*K076*<O3>*<OLEH>
!   + 0.5*K077*<O>*<OLEH>
!   - K078*<OH>*<ALKM>
! terms for ALKH:
!   + 0.0
!   - K093*<OH>*<ALKH>
! terms for AROH:
!   + 0.0
!   - K080*<OH>*<AROH>
! terms for AROL:
!   + 0.0
!   - K079*<OH>*<AROL>
! terms for AROO:
!   + 0.16*K073*<OH>*<AROO>
!   + 0.16*K079*<OH>*<AROL>
!   + 0.16*K080*<OH>*<AROH>
!   - K072*<NO3>*<AROO>
!   - K073*<OH>*<AROO>
! terms for ARAL:
!   + TPK%CF24*K189*<NO>*<RO221>
!   + K190*<RO2T>*<RO221>
!   + K191*<HO2>*<RO221>
!   - K081*<NO3>*<ARAL>
!   - K082*<OH>*<ARAL>
! terms for ARAC:
!   + K081*<NO3>*<ARAL>
!   + TPK%CF39*K082*<OH>*<ARAL>
!   - K083*<OH>*<ARAC>
! terms for PAH:
!   + 0.0
!   - K092*<OH>*<PAH>
! terms for HCHO:
!   + K048*<OH>*<MEOH>
!   + 0.5*K051*<O3>*<ETHE>
!   + 0.5*K056*<O3>*<OLEL>
!   + 0.5*K066*<O3>*<ISOP>
!   + 0.5*K076*<O3>*<OLEH>
!   + K110*<NO>*<RO21>
!   + K111*<RO2T>*<RO21>
!   + K112*<HO2>*<RO21>
!   + K113*<NO>*<RO22>
!   + K114*<RO2T>*<RO22>
!   + K115*<HO2>*<RO22>
!   + K116*<NO>*<RO23>
!   + K117*<RO2T>*<RO23>
!   + K118*<HO2>*<RO23>
!   + K119*<NO>*<RO24>
!   + K120*<RO2T>*<RO24>
!   + K121*<HO2>*<RO24>
!   + TPK%CF6*K150*<NO>*<RO29>
!   + K151*<RO2T>*<RO29>
!   + K152*<HO2>*<RO29>
!   + K153*<NO>*<RO210>
!   + K154*<RO2T>*<RO210>
!   + K155*<HO2>*<RO210>
!   + K156*<NO>*<RO211>
!   + K157*<RO2T>*<RO211>
!   + K158*<HO2>*<RO211>
!   + K159*<NO>*<RO212>
!   + K160*<RO2T>*<RO212>
!   + K161*<HO2>*<RO212>
!   + K162*<NO>*<RO213>
!   + K163*<RO2T>*<RO213>
!   + K164*<HO2>*<RO213>
!   + TPK%CF10*K171*<NO>*<RO215>
!   + TPK%CF14*K172*<RO2T>*<RO215>
!   + TPK%CF14*K173*<HO2>*<RO215>
!   + K183*<NO>*<RO219>
!   + K184*<RO2T>*<RO219>
!   + K185*<HO2>*<RO219>
!   + 0.5*K281*<O3>*<MVK>
!   + 0.5*K282*<O3>*<MCR>
!   + K285*<NO>*<RO249>
!   + K286*<RO2T>*<RO249>
!   + K287*<HO2>*<RO249>
!   + K291*<NO>*<RO251>
!   + K292*<HO2>*<RO251>
!   + K293*<RO2T>*<RO251>
!   + K294*<NO>*<RO252>
!   + K295*<HO2>*<RO252>
!   + K296*<RO2T>*<RO252>
!   + K297*<NO>*<RO253>
!   + K298*<HO2>*<RO253>
!   + K299*<RO2T>*<RO253>
!   + KTC52*<WC_HCHO>
!   + KTR52*<WR_HCHO>
!   - K044*<HCHO>
!   - K045*<HCHO>
!   - K046*<OH>*<HCHO>
!   - K047*<NO3>*<HCHO>
!   - KTC21*<HCHO>
!   - KTR21*<HCHO>
! terms for ALD2:
!   + TPK%CF1*K053*<OH>*<ETOH>
!   + 0.5*K056*<O3>*<OLEL>
!   + 0.4*K057*<O>*<OLEL>
!   + 0.075*K067*<O>*<ISOP>
!   + K113*<NO>*<RO22>
!   + K114*<RO2T>*<RO22>
!   + K115*<HO2>*<RO22>
!   + K116*<NO>*<RO23>
!   + K117*<RO2T>*<RO23>
!   + K118*<HO2>*<RO23>
!   + TPK%CF4*K122*<NO>*<RO25>
!   + K123*<RO2T>*<RO25>
!   + K124*<HO2>*<RO25>
!   + K144*<NO>*<RO27>
!   + K145*<RO2T>*<RO27>
!   + K146*<HO2>*<RO27>
!   + TPK%CF9*K171*<NO>*<RO215>
!   + TPK%CF13*K172*<RO2T>*<RO215>
!   + TPK%CF13*K173*<HO2>*<RO215>
!   + K174*<NO>*<RO216>
!   + K175*<RO2T>*<RO216>
!   + K176*<HO2>*<RO216>
!   + 0.1*K281*<O3>*<MVK>
!   + 0.85*K284*<O>*<MCR>
!   + KTC53*<WC_ALD2>
!   + KTR53*<WR_ALD2>
!   - K059*<ALD2>
!   - K060*<OH>*<ALD2>
!   - K061*<NO3>*<ALD2>
!   - KTC22*<ALD2>
!   - KTR22*<ALD2>
! terms for KETL:
!   + TPK%CF11*K171*<NO>*<RO215>
!   + TPK%CF15*K172*<RO2T>*<RO215>
!   + TPK%CF15*K173*<HO2>*<RO215>
!   + 0.85*K283*<O>*<MVK>
!   + KTC55*<WC_KETL>
!   + KTR55*<WR_KETL>
!   - K062*<OH>*<KETL>
!   - K063*<KETL>
!   - KTC24*<KETL>
!   - KTR24*<KETL>
! terms for KETH:
!   + 0.0
!   - K070*<OH>*<KETH>
!   - K071*<KETH>
! terms for MEOH:
!   + KTC49*<WC_MEOH>
!   + KTR49*<WR_MEOH>
!   - K048*<OH>*<MEOH>
!   - KTC18*<MEOH>
!   - KTR18*<MEOH>
! terms for ETOH:
!   + KTC50*<WC_ETOH>
!   + KTR50*<WR_ETOH>
!   - K053*<OH>*<ETOH>
!   - KTC19*<ETOH>
!   - KTR19*<ETOH>
! terms for ALCH:
!   + KTC51*<WC_ALCH>
!   + KTR51*<WR_ALCH>
!   - K069*<OH>*<ALCH>
!   - KTC20*<ALCH>
!   - KTR20*<ALCH>
! terms for ISOP:
!   + 0.0
!   - K064*<OH>*<ISOP>
!   - K065*<NO3>*<ISOP>
!   - K066*<O3>*<ISOP>
!   - K067*<O>*<ISOP>
! terms for BIOL:
!   + 0.0
!   - K084*<OH>*<BIOL>
!   - K085*<NO3>*<BIOL>
!   - K086*<O3>*<BIOL>
!   - K087*<O>*<BIOL>
! terms for BIOH:
!   + 0.0
!   - K088*<OH>*<BIOH>
!   - K089*<NO3>*<BIOH>
!   - K090*<O3>*<BIOH>
!   - K091*<O>*<BIOH>
! terms for MTBE:
!   + 0.0
!   - K068*<OH>*<MTBE>
! terms for MVK:
!   + 0.389*K066*<O3>*<ISOP>
!   + TPK%CF6*K150*<NO>*<RO29>
!   + K151*<RO2T>*<RO29>
!   + K152*<HO2>*<RO29>
!   + K156*<NO>*<RO211>
!   + K157*<RO2T>*<RO211>
!   + K158*<HO2>*<RO211>
!   - K272*<OH>*<MVK>
!   - K281*<O3>*<MVK>
!   - K283*<O>*<MVK>
! terms for MCR:
!   + 0.17*K066*<O3>*<ISOP>
!   + K153*<NO>*<RO210>
!   + K154*<RO2T>*<RO210>
!   + K155*<HO2>*<RO210>
!   + K159*<NO>*<RO212>
!   + K160*<RO2T>*<RO212>
!   + K161*<HO2>*<RO212>
!   - K273*<OH>*<MCR>
!   - K275*<NO3>*<MCR>
!   - K282*<O3>*<MCR>
!   - K284*<O>*<MCR>
! terms for MGLY:
!   + K234*<NO>*<RO242>
!   + K235*<RO2T>*<RO242>
!   + K236*<HO2>*<RO242>
!   + K241*<NO>*<RO243>
!   + K242*<RO2T>*<RO243>
!   + K243*<HO2>*<RO243>
!   + K248*<NO>*<RO244>
!   + K249*<RO2T>*<RO244>
!   + K250*<HO2>*<RO244>
!   + K255*<NO>*<RO245>
!   + K256*<RO2T>*<RO245>
!   + K257*<HO2>*<RO245>
!   + K262*<NO>*<RO246>
!   + K263*<RO2T>*<RO246>
!   + K264*<HO2>*<RO246>
!   + K269*<NO>*<RO247>
!   + K270*<RO2T>*<RO247>
!   + K271*<HO2>*<RO247>
!   + 0.5*K281*<O3>*<MVK>
!   + 0.59*K282*<O3>*<MCR>
!   + K285*<NO>*<RO249>
!   + K286*<RO2T>*<RO249>
!   + K287*<HO2>*<RO249>
!   + K291*<NO>*<RO251>
!   + K292*<HO2>*<RO251>
!   + K293*<RO2T>*<RO251>
!   + K294*<NO>*<RO252>
!   + K295*<HO2>*<RO252>
!   + K296*<RO2T>*<RO252>
!   + KTC56*<WC_MGLY>
!   + KTR56*<WR_MGLY>
!   - K274*<OH>*<MGLY>
!   - K276*<MGLY>
!   - K278*<NO3>*<MGLY>
!   - KTC25*<MGLY>
!   - KTR25*<MGLY>
! terms for GLY:
!   + KTC54*<WC_GLY>
!   + KTR54*<WR_GLY>
!   - KTC23*<GLY>
!   - KTR23*<GLY>
! terms for ORA1:
!   + 0.185*K051*<O3>*<ETHE>
!   + 0.12*K056*<O3>*<OLEL>
!   + 0.121*K066*<O3>*<ISOP>
!   + 0.12*K281*<O3>*<MVK>
!   + 0.09*K282*<O3>*<MCR>
!   + KTC57*<WC_ORA1>
!   + KTR57*<WR_ORA1>
!   - K347*<OH>*<ORA1>
!   - KTC26*<ORA1>
!   - KTR26*<ORA1>
! terms for ORA2:
!   + 0.12*K056*<O3>*<OLEL>
!   + K142*<HO2>*<RO26>
!   + K148*<HO2>*<RO28>
!   + 0.5*K166*<HO2>*<RO239>
!   + 0.5*K289*<HO2>*<RO250>
!   + KTC58*<WC_ORA2>
!   + KTR58*<WR_ORA2>
!   - K348*<OH>*<ORA2>
!   - KTC27*<ORA2>
!   - KTR27*<ORA2>
! terms for ACID:
!   + 0.12*K076*<O3>*<OLEH>
!   + K142*<HO2>*<RO26>
!   + K310*<HO2>*<RO255>
!   + KTC59*<WC_ACID>
!   + KTR59*<WR_ACID>
!   - K349*<OH>*<ACID>
!   - KTC28*<ACID>
!   - KTR28*<ACID>
! terms for UR28:
!   + K341*<HO2>*<RO258>
!   + KTC62*<WC_UR28>
!   + KTR62*<WR_UR28>
!   - K364*<UR28>
!   - KTC31*<UR28>
!   - KTR31*<UR28>
! terms for UR21:
!   + K279*<HO2>*<RO248>
!   + 0.12*K281*<O3>*<MVK>
!   + KTC61*<WC_UR21>
!   + KTR61*<WR_UR21>
!   - K361*<UR21>
!   - KTC30*<UR21>
!   - KTR30*<UR21>
! terms for URG2:
!   + 0.5562513*K335*<OH>*<RPG2>
!   + K337*<OH>*<RP18>
!   - K350*<URG2>
! terms for UR26:
!   + 0.67*K326*<OH>*<RP11>
!   - K363*<UR26>
! terms for RPG2:
!   + 0.3000000*K259*<NO>*<RO237>
!   + 1.0000000*K260*<RO2T>*<RO237>
!   + 0.3000000*K261*<HO2>*<RO237>
!   + 0.1191897*K334*<OH>*<RPG3>
!   + 0.8808107*K334*<OH>*<RPG3>
!   - K335*<OH>*<RPG2>
! terms for RP18:
!   + 0.4437492*K335*<OH>*<RPG2>
!   - K337*<OH>*<RP18>
! terms for RPG3:
!   + 0.3000000*K231*<NO>*<RO233>
!   + 1.0000000*K232*<RO2T>*<RO233>
!   + 0.3000000*K233*<HO2>*<RO233>
!   + 0.3000000*K252*<NO>*<RO236>
!   + 1.0000000*K253*<RO2T>*<RO236>
!   + 0.3000000*K254*<HO2>*<RO236>
!   - K334*<OH>*<RPG3>
! terms for URG4:
!   + 5.5000000E-02*K086*<O3>*<BIOL>
!   + 1.0000000*K318*<HO2>*<RO256>
!   + 1.0000000*K332*<HO2>*<RO257>
!   - K351*<URG4>
! terms for UR8:
!   + 0.055*K090*<O3>*<BIOH>
!   - K358*<UR8>
! terms for UR17:
!   + 1.0000000*K204*<NO>*<RO226>
!   + 1.0000000*K205*<RO2T>*<RO226>
!   + 1.0000000*K206*<HO2>*<RO226>
!   - K359*<UR17>
! terms for UR7:
!   + 0.055*K090*<O3>*<BIOH>
!   + TPK%CFA12*K207*<NO>*<RO227>
!   + K208*<RO2T>*<RO227>
!   + 0.3*K209*<HO2>*<RO227>
!   + 0.3*K210*<NO>*<RO228>
!   + 0.3*K211*<RO2T>*<RO228>
!   + 0.3*K212*<HO2>*<RO228>
!   - K357*<UR7>
! terms for RPR3:
!   + 0.055*K086*<O3>*<BIOL>
!   + TPK%CFA10*K198*<NO>*<RO224>
!   + K199*<RO2T>*<RO224>
!   + K200*<HO2>*<RO224>
!   + K201*<NO>*<RO225>
!   + K202*<RO2T>*<RO225>
!   + K203*<HO2>*<RO225>
!   - K312*<OH>*<RPR3>
!   - K313*<NO3>*<RPR3>
!   - K314*<RPR3>
! terms for URG6:
!   + TPK%CF21*K177*<NO>*<RO217>
!   + TPK%CF43*K195*<NO>*<RO223>
!   + 0.4978440*K323*<OH>*<RPG7>
!   - K352*<URG6>
! terms for UR22:
!   + K321*<NO2>*<RAD8>
!   - K362*<UR22>
! terms for URG7:
!   + 0.1599999*K083*<OH>*<ARAC>
!   + 0.9999993*K108*<NO2>*<RAD6>
!   + 0.9999993*K303*<OH>*<RPR5>
!   + 0.9979297*K306*<OH>*<RPRL>
!   + 0.9999993*K322*<OH>*<RPR7>
!   - K353*<URG7>
! terms for RPR4:
!   + K103*<NO2>*<RAD1>
!   + K104*<NO2>*<RAD2>
!   - K320*<NO3>*<RPR4>
! terms for RPR7:
!   + TPK%CF44*K195*<NO>*<RO223>
!   + K196*<RO2T>*<RO223>
!   + K197*<HO2>*<RO223>
!   + 2.0714202E-03*K306*<OH>*<RPRL>
!   - K322*<OH>*<RPR7>
! terms for RPG7:
!   + 1.0000013*K266*<NO>*<RO238>
!   + 1.0000013*K267*<RO2T>*<RO238>
!   + 1.0000013*K268*<HO2>*<RO238>
!   + 0.5021558*K323*<OH>*<RPG7>
!   - K323*<OH>*<RPG7>
! terms for URG8:
!   + 0.1600000*K092*<OH>*<PAH>
!   + 1.0000000*K109*<NO2>*<RAD7>
!   + TPK%CF31*K221*<NO>*<RO231>
!   - K354*<URG8>
! terms for UR19:
!   + TPK%CF32*K221*<NO>*<RO231>
!   + K222*<RO2T>*<RO231>
!   + K223*<HO2>*<RO231>
!   - K360*<UR19>
! terms for URG9:
!   + TPK%CFA14*K224*<NO>*<RO232>
!   + TPK%CFA16*K227*<NO>*<RO241>
!   + TPK%CFA15*K227*<NO>*<RO241>
!   + 0.9999996*K228*<RO2T>*<RO241>
!   + 0.9999996*K229*<HO2>*<RO241>
!   - K355*<URG9>
! terms for AP7:
!   + TPK%CFA23*K198*<NO>*<RO224>
!   - K365*<AP7>
! terms for URG10:
!   + 0.2500000*K087*<O>*<BIOL>
!   + 0.7500000*K087*<O>*<BIOL>
!   + TPK%CF27*K207*<NO>*<RO227>
!   - K356*<URG10>
! terms for RPR1:
!   + 0.5*K076*<O3>*<OLEH>
!   + 0.4*K077*<O>*<OLEH>
!   + K183*<NO>*<RO219>
!   + K184*<RO2T>*<RO219>
!   + K185*<HO2>*<RO219>
!   - K304*<OH>*<RPR1>
!   - K307*<NO3>*<RPR1>
!   - K308*<RPR1>
! terms for RPR5:
!   + K107*<NO2>*<RAD5>
!   - K303*<OH>*<RPR5>
! terms for RPR8:
!   + K216*<NO>*<RO240>
!   + K217*<RO2T>*<RO240>
!   + K218*<HO2>*<RO240>
!   - K324*<OH>*<RPR8>
!   - K327*<NO3>*<RPR8>
!   - K329*<RPR8>
!   - K330*<RPR8>
! terms for RP10:
!   + K234*<NO>*<RO242>
!   + K235*<RO2T>*<RO242>
!   + K236*<HO2>*<RO242>
!   + K241*<NO>*<RO243>
!   + K242*<RO2T>*<RO243>
!   + K243*<HO2>*<RO243>
!   + K248*<NO>*<RO244>
!   + K249*<RO2T>*<RO244>
!   + K250*<HO2>*<RO244>
!   + K255*<NO>*<RO245>
!   + K256*<RO2T>*<RO245>
!   + K257*<HO2>*<RO245>
!   + K262*<NO>*<RO246>
!   + K263*<RO2T>*<RO246>
!   + K264*<HO2>*<RO246>
!   - K325*<OH>*<RP10>
!   - K328*<RP10>
! terms for RP11:
!   + 0.3*K238*<NO>*<RO234>
!   + K239*<RO2T>*<RO234>
!   + 0.3*K240*<HO2>*<RO234>
!   + 0.5*K245*<NO>*<RO235>
!   + K246*<RO2T>*<RO235>
!   + K247*<HO2>*<RO235>
!   - K326*<OH>*<RP11>
! terms for RP16:
!   + K301*<HO2>*<RO254>
!   + KTC60*<WC_RP16>
!   + KTR60*<WR_RP16>
!   - K305*<OH>*<RP16>
!   - K338*<NO3>*<RP16>
!   - K339*<RP16>
!   - KTC29*<RP16>
!   - KTR29*<RP16>
! terms for RPRL:
!   + 0.9983609*K082*<OH>*<ARAL>
!   + TPK%CFA2*K177*<NO>*<RO217>
!   + 0.9983609*K178*<RO2T>*<RO217>
!   + 0.9983609*K179*<HO2>*<RO217>
!   + TPK%CFA7*K192*<NO>*<RO222>
!   + 0.9983609*K193*<RO2T>*<RO222>
!   + 0.9983609*K194*<HO2>*<RO222>
!   + 1.0023998*K269*<NO>*<RO247>
!   + 1.0023998*K270*<RO2T>*<RO247>
!   + 1.0023998*K271*<HO2>*<RO247>
!   - K306*<OH>*<RPRL>
! terms for APAN:
!   + K130*<NO2>*<RO250>
!   + K133*<NO2>*<RO257>
!   - K139*<APAN>
! terms for PAN1:
!   + K126*<NO2>*<RO26>
!   - K135*<PAN1>
! terms for PAN2:
!   + K127*<NO2>*<RO28>
!   - K136*<PAN2>
! terms for PAN3:
!   + K128*<NO2>*<RO239>
!   - K137*<PAN3>
! terms for PAN4:
!   + K129*<NO2>*<RO248>
!   - K141*<PAN4>
! terms for PAN6:
!   + K131*<NO2>*<RO254>
!   - K140*<PAN6>
! terms for PAN7:
!   + K132*<NO2>*<RO255>
!   - K343*<PAN7>
! terms for PAN8:
!   + K316*<NO2>*<RO256>
!   - K317*<PAN8>
! terms for PN10:
!   + K134*<NO2>*<RO258>
!   - K138*<PN10>
! terms for RO2T:
!   + K043*<OH>*<CH4>
!   + K049*<OH>*<ETHE>
!   + K050*<NO3>*<ETHE>
!   + K052*<O>*<ETHE>
!   + TPK%CF2*K053*<OH>*<ETOH>
!   + K054*<OH>*<OLEL>
!   + K055*<NO3>*<OLEL>
!   + 0.28*K056*<O3>*<OLEL>
!   + 0.2*K057*<O>*<OLEL>
!   + K058*<OH>*<ALKL>
!   + K059*<ALD2>
!   + K060*<OH>*<ALD2>
!   + K061*<NO3>*<ALD2>
!   + K062*<OH>*<KETL>
!   + 2.*K063*<KETL>
!   + K064*<OH>*<ISOP>
!   + K065*<NO3>*<ISOP>
!   + 0.366*K066*<O3>*<ISOP>
!   + K068*<OH>*<MTBE>
!   + K069*<OH>*<ALCH>
!   + K070*<OH>*<KETH>
!   + 2.*K071*<KETH>
!   + 0.1*K073*<OH>*<AROO>
!   + K074*<OH>*<OLEH>
!   + K075*<NO3>*<OLEH>
!   + 0.28*K076*<O3>*<OLEH>
!   + 0.2*K077*<O>*<OLEH>
!   + K078*<OH>*<ALKM>
!   + 0.06*K079*<OH>*<AROL>
!   + TPK%CF45*K082*<OH>*<ARAL>
!   + 0.1*K083*<OH>*<ARAC>
!   + K084*<OH>*<BIOL>
!   + K085*<NO3>*<BIOL>
!   + 0.445*K086*<O3>*<BIOL>
!   + K088*<OH>*<BIOH>
!   + K089*<NO3>*<BIOH>
!   + 0.89*K090*<O3>*<BIOH>
!   + 0.1*K092*<OH>*<PAH>
!   + K093*<OH>*<ALKH>
!   + K096*<RO2T>*<RO2T>
!   + K097*<RAD2>
!   + K098*<RAD3>
!   + K099*<RAD4>
!   + K100*<RAD5>
!   + K101*<RAD6>
!   + K102*<RAD7>
!   + K111*<RO2T>*<RO21>
!   + K114*<RO2T>*<RO22>
!   + K117*<RO2T>*<RO23>
!   + K120*<RO2T>*<RO24>
!   + K123*<RO2T>*<RO25>
!   + K125*<NO>*<RO26>
!   + K135*<PAN1>
!   + K136*<PAN2>
!   + K137*<PAN3>
!   + K138*<PN10>
!   + 1.0000000*K139*<APAN>
!   + K140*<PAN6>
!   + K141*<PAN4>
!   + 2.*K143*<RO2T>*<RO26>
!   + K144*<NO>*<RO27>
!   + 2.*K145*<RO2T>*<RO27>
!   + K146*<HO2>*<RO27>
!   + K147*<NO>*<RO28>
!   + 2.*K149*<RO2T>*<RO28>
!   + K151*<RO2T>*<RO29>
!   + K154*<RO2T>*<RO210>
!   + K157*<RO2T>*<RO211>
!   + K160*<RO2T>*<RO212>
!   + K162*<NO>*<RO213>
!   + 2.*K163*<RO2T>*<RO213>
!   + K164*<HO2>*<RO213>
!   + K165*<NO>*<RO239>
!   + 2.*K167*<RO2T>*<RO239>
!   + TPK%CF8*K168*<NO>*<RO214>
!   + 2.*K169*<RO2T>*<RO214>
!   + K170*<HO2>*<RO214>
!   + K172*<RO2T>*<RO215>
!   + K174*<NO>*<RO216>
!   + 2.*K175*<RO2T>*<RO216>
!   + K176*<HO2>*<RO216>
!   + K178*<RO2T>*<RO217>
!   + K181*<RO2T>*<RO218>
!   + K184*<RO2T>*<RO219>
!   + TPK%CF18*K186*<NO>*<RO220>
!   + 2.*K187*<RO2T>*<RO220>
!   + K188*<HO2>*<RO220>
!   + K190*<RO2T>*<RO221>
!   + K193*<RO2T>*<RO222>
!   + K196*<RO2T>*<RO223>
!   + K199*<RO2T>*<RO224>
!   + K202*<RO2T>*<RO225>
!   + K204*<NO>*<RO226>
!   + 2.*K205*<RO2T>*<RO226>
!   + K206*<HO2>*<RO226>
!   + K208*<RO2T>*<RO227>
!   + K211*<RO2T>*<RO228>
!   + TPK%CF30*K213*<NO>*<RO229>
!   + 2.*K214*<RO2T>*<RO229>
!   + K215*<HO2>*<RO229>
!   + K216*<NO>*<RO240>
!   + 2.*K217*<RO2T>*<RO240>
!   + K218*<HO2>*<RO240>
!   + 2.*K219*<RO2T>*<RO230>
!   + K220*<HO2>*<RO230>
!   + K222*<RO2T>*<RO231>
!   + TPK%CF34*K224*<NO>*<RO232>
!   + 2.*K225*<RO2T>*<RO232>
!   + K226*<HO2>*<RO232>
!   + K228*<RO2T>*<RO241>
!   + K230*<RO233>
!   + K232*<RO2T>*<RO233>
!   + K235*<RO2T>*<RO242>
!   + K237*<RO234>
!   + K239*<RO2T>*<RO234>
!   + K242*<RO2T>*<RO243>
!   + K244*<RO235>
!   + K246*<RO2T>*<RO235>
!   + K249*<RO2T>*<RO244>
!   + K251*<RO236>
!   + K253*<RO2T>*<RO236>
!   + K256*<RO2T>*<RO245>
!   + K258*<RO237>
!   + K260*<RO2T>*<RO237>
!   + K263*<RO2T>*<RO246>
!   + K265*<RO238>
!   + K267*<RO2T>*<RO238>
!   + K270*<RO2T>*<RO247>
!   + K272*<OH>*<MVK>
!   + K273*<OH>*<MCR>
!   + K274*<OH>*<MGLY>
!   + K275*<NO3>*<MCR>
!   + K276*<MGLY>
!   + K277*<NO>*<RO248>
!   + K278*<NO3>*<MGLY>
!   + 2.*K280*<RO2T>*<RO248>
!   + 0.28*K281*<O3>*<MVK>
!   + 0.41*K282*<O3>*<MCR>
!   + 0.3*K283*<O>*<MVK>
!   + 0.15*K284*<O>*<MCR>
!   + K286*<RO2T>*<RO249>
!   + K288*<NO>*<RO250>
!   + 2.*K290*<RO2T>*<RO250>
!   + K292*<HO2>*<RO251>
!   + K295*<HO2>*<RO252>
!   + K297*<NO>*<RO253>
!   + 2.*K298*<HO2>*<RO253>
!   + K299*<RO2T>*<RO253>
!   + K302*<RO2T>*<RO254>
!   + K304*<OH>*<RPR1>
!   + K305*<OH>*<RP16>
!   + K307*<NO3>*<RPR1>
!   + K308*<RPR1>
!   + K309*<NO>*<RO255>
!   + 2.*K311*<RO2T>*<RO255>
!   + K312*<OH>*<RPR3>
!   + K313*<NO3>*<RPR3>
!   + K317*<PAN8>
!   + K319*<RO2T>*<RO256>
!   + K324*<OH>*<RPR8>
!   + K327*<NO3>*<RPR8>
!   + K329*<RPR8>
!   + K330*<RPR8>
!   + K331*<NO>*<RO257>
!   + 2.*K333*<RO2T>*<RO257>
!   + K338*<NO3>*<RP16>
!   + K342*<RO2T>*<RO258>
!   + K343*<PAN7>
!   + K344*<NO>*<RO230>
!   - K094*<HO2>*<RO2T>
!   - K095*<NO>*<RO2T>
!   - K096*<RO2T>*<RO2T>
!   - K096*<RO2T>*<RO2T>
!   - K111*<RO2T>*<RO21>
!   - K114*<RO2T>*<RO22>
!   - K117*<RO2T>*<RO23>
!   - K120*<RO2T>*<RO24>
!   - K123*<RO2T>*<RO25>
!   - K143*<RO2T>*<RO26>
!   - K145*<RO2T>*<RO27>
!   - K149*<RO2T>*<RO28>
!   - K151*<RO2T>*<RO29>
!   - K154*<RO2T>*<RO210>
!   - K157*<RO2T>*<RO211>
!   - K160*<RO2T>*<RO212>
!   - K163*<RO2T>*<RO213>
!   - K167*<RO2T>*<RO239>
!   - K169*<RO2T>*<RO214>
!   - K172*<RO2T>*<RO215>
!   - K175*<RO2T>*<RO216>
!   - K178*<RO2T>*<RO217>
!   - K181*<RO2T>*<RO218>
!   - K184*<RO2T>*<RO219>
!   - K187*<RO2T>*<RO220>
!   - K190*<RO2T>*<RO221>
!   - K193*<RO2T>*<RO222>
!   - K196*<RO2T>*<RO223>
!   - K199*<RO2T>*<RO224>
!   - K202*<RO2T>*<RO225>
!   - K205*<RO2T>*<RO226>
!   - K208*<RO2T>*<RO227>
!   - K211*<RO2T>*<RO228>
!   - K214*<RO2T>*<RO229>
!   - K217*<RO2T>*<RO240>
!   - K219*<RO2T>*<RO230>
!   - K222*<RO2T>*<RO231>
!   - K225*<RO2T>*<RO232>
!   - K228*<RO2T>*<RO241>
!   - K232*<RO2T>*<RO233>
!   - K235*<RO2T>*<RO242>
!   - K239*<RO2T>*<RO234>
!   - K242*<RO2T>*<RO243>
!   - K246*<RO2T>*<RO235>
!   - K249*<RO2T>*<RO244>
!   - K253*<RO2T>*<RO236>
!   - K256*<RO2T>*<RO245>
!   - K260*<RO2T>*<RO237>
!   - K263*<RO2T>*<RO246>
!   - K267*<RO2T>*<RO238>
!   - K270*<RO2T>*<RO247>
!   - K280*<RO2T>*<RO248>
!   - K286*<RO2T>*<RO249>
!   - K290*<RO2T>*<RO250>
!   - K293*<RO2T>*<RO251>
!   - K296*<RO2T>*<RO252>
!   - K299*<RO2T>*<RO253>
!   - K302*<RO2T>*<RO254>
!   - K311*<RO2T>*<RO255>
!   - K319*<RO2T>*<RO256>
!   - K333*<RO2T>*<RO257>
!   - K342*<RO2T>*<RO258>
! terms for RO21:
!   + K043*<OH>*<CH4>
!   + 0.6*K052*<O>*<ETHE>
!   + K147*<NO>*<RO28>
!   + K149*<RO2T>*<RO28>
!   + KTC47*<WC_RO21>
!   + KTR47*<WR_RO21>
!   - K110*<NO>*<RO21>
!   - K111*<RO2T>*<RO21>
!   - K112*<HO2>*<RO21>
!   - KTC16*<RO21>
!   - KTR16*<RO21>
! terms for RO25:
!   + 0.28*K056*<O3>*<OLEL>
!   + 0.1*K057*<O>*<OLEL>
!   + K058*<OH>*<ALKL>
!   + K059*<ALD2>
!   + K063*<KETL>
!   + K071*<KETH>
!   + K125*<NO>*<RO26>
!   + K143*<RO2T>*<RO26>
!   + KTC48*<WC_RO25>
!   + KTR48*<WR_RO25>
!   - K122*<NO>*<RO25>
!   - K123*<RO2T>*<RO25>
!   - K124*<HO2>*<RO25>
!   - KTC17*<RO25>
!   - KTR17*<RO25>
! terms for WC_O3:
!   + KTC1*<O3>
!   - KTC32*<WC_O3>
!   - KC6*<WC_HO2>*<WC_O3>
!   - KC25*<WC_O3>*<WC_SO2>
! terms for WC_H2O2:
!   + KTC2*<H2O2>
!   + KC2*<WC_OH>*<WC_OH>
!   + KC5*<WC_HO2>*<WC_HO2>
!   + KC29*<WC_RO25>*<WC_RO25>
!   + KC37*<WC_OH>*<WC_KETL>
!   + 0.5*KC39*<WC_OH>*<WC_ORA2>
!   + 0.29*KC41*<WC_OH>*<WC_ACID>
!   + 0.3*KC43*<WC_OH>*<WC_UR21>
!   + 0.45*KC45*<WC_OH>*<WC_RP16>
!   - KTC33*<WC_H2O2>
!   - KC1*<WC_H2O2>
!   - KC4*<WC_OH>*<WC_H2O2>
!   - KC26*<WC_H2O2>*<WC_SO2>
! terms for WC_NO:
!   + KTC3*<NO>
!   - KTC34*<WC_NO>
! terms for WC_NO2:
!   + KTC4*<NO2>
!   + KC8*<WC_OH>*<WC_HONO>
!   + KC10*<WC_HNO4>
!   + KC13*<WC_HNO3>
!   - KTC35*<WC_NO2>
!   - KC9*<WC_HO2>*<WC_NO2>
! terms for WC_NO3:
!   + KTC5*<NO3>
!   - KTC36*<WC_NO3>
!   - KC15*<WC_H2SO4>*<WC_NO3>
!   - KC16*<WC_SO2>*<WC_NO3>
! terms for WC_N2O5:
!   + KTC6*<N2O5>
!   - KTC37*<WC_N2O5>
!   - KC14*<WC_N2O5>
! terms for WC_HONO:
!   + KTC7*<HONO>
!   + KC11*<WC_HNO4>
!   - KTC38*<WC_HONO>
!   - KC8*<WC_OH>*<WC_HONO>
! terms for WC_HNO3:
!   + KTC8*<HNO3>
!   + KC12*<WC_SO2>*<WC_HNO4>
!   + KC14*<WC_N2O5>
!   + KC14*<WC_N2O5>
!   + KC15*<WC_H2SO4>*<WC_NO3>
!   + KC16*<WC_SO2>*<WC_NO3>
!   - KTC39*<WC_HNO3>
!   - KC13*<WC_HNO3>
! terms for WC_HNO4:
!   + KTC9*<HNO4>
!   + KC9*<WC_HO2>*<WC_NO2>
!   - KTC40*<WC_HNO4>
!   - KC10*<WC_HNO4>
!   - KC11*<WC_HNO4>
!   - KC12*<WC_SO2>*<WC_HNO4>
! terms for WC_NH3:
!   + KTC10*<NH3>
!   - KTC41*<WC_NH3>
! terms for WC_OH:
!   + KTC11*<OH>
!   + KC1*<WC_H2O2>
!   + KC1*<WC_H2O2>
!   + KC6*<WC_HO2>*<WC_O3>
!   + KC13*<WC_HNO3>
!   + KC24*<WC_ASO4>
!   - KTC42*<WC_OH>
!   - KC2*<WC_OH>*<WC_OH>
!   - KC2*<WC_OH>*<WC_OH>
!   - KC3*<WC_HO2>*<WC_OH>
!   - KC4*<WC_OH>*<WC_H2O2>
!   - KC7*<WC_SO2>*<WC_OH>
!   - KC8*<WC_OH>*<WC_HONO>
!   - KC19*<WC_OH>*<WC_AHMS>
!   - KC30*<WC_OH>*<WC_MEOH>
!   - KC31*<WC_OH>*<WC_ETOH>
!   - KC32*<WC_OH>*<WC_ALCH>
!   - KC33*<WC_OH>*<WC_HCHO>
!   - KC34*<WC_OH>*<WC_ALD2>
!   - KC35*<WC_OH>*<WC_GLY>
!   - KC36*<WC_OH>*<WC_MGLY>
!   - KC37*<WC_OH>*<WC_KETL>
!   - KC38*<WC_OH>*<WC_ORA1>
!   - KC39*<WC_OH>*<WC_ORA2>
!   - KC40*<WC_OH>*<WC_ACID>
!   - KC41*<WC_OH>*<WC_ACID>
!   - KC42*<WC_OH>*<WC_UR28>
!   - KC43*<WC_OH>*<WC_UR21>
!   - KC44*<WC_OH>*<WC_RP16>
!   - KC45*<WC_OH>*<WC_RP16>
!   - KC46*<WC_OH>*<WC_ACID2>
! terms for WC_HO2:
!   + KTC12*<HO2>
!   + KC4*<WC_OH>*<WC_H2O2>
!   + KC10*<WC_HNO4>
!   + KC19*<WC_OH>*<WC_AHMS>
!   + 2.00*KC27*<WC_RO21>*<WC_RO21>
!   + KC29*<WC_RO25>*<WC_RO25>
!   + KC30*<WC_OH>*<WC_MEOH>
!   + KC31*<WC_OH>*<WC_ETOH>
!   + KC32*<WC_OH>*<WC_ALCH>
!   + KC33*<WC_OH>*<WC_HCHO>
!   + KC35*<WC_OH>*<WC_GLY>
!   + KC36*<WC_OH>*<WC_MGLY>
!   + KC37*<WC_OH>*<WC_KETL>
!   + KC38*<WC_OH>*<WC_ORA1>
!   + 0.11*KC41*<WC_OH>*<WC_ACID>
!   + KC42*<WC_OH>*<WC_UR28>
!   + 0.81*KC43*<WC_OH>*<WC_UR21>
!   + KC44*<WC_OH>*<WC_RP16>
!   + 0.71*KC45*<WC_OH>*<WC_RP16>
!   - KTC43*<WC_HO2>
!   - KC3*<WC_HO2>*<WC_OH>
!   - KC5*<WC_HO2>*<WC_HO2>
!   - KC5*<WC_HO2>*<WC_HO2>
!   - KC6*<WC_HO2>*<WC_O3>
!   - KC9*<WC_HO2>*<WC_NO2>
!   - KC21*<WC_HO2>*<WC_ASO5>
! terms for WC_CO2:
!   + KTC13*<CO2>
!   + KC34*<WC_OH>*<WC_ALD2>
!   + KC37*<WC_OH>*<WC_KETL>
!   + KC38*<WC_OH>*<WC_ORA1>
!   + KC40*<WC_OH>*<WC_ACID>
!   + 2*KC42*<WC_OH>*<WC_UR28>
!   + 0.43*KC43*<WC_OH>*<WC_UR21>
!   + 2*KC45*<WC_OH>*<WC_RP16>
!   - KTC44*<WC_CO2>
! terms for WC_SO2:
!   + KTC14*<SO2>
!   + KC18*<WC_AHMS>
!   + KC19*<WC_OH>*<WC_AHMS>
!   - KTC45*<WC_SO2>
!   - KC7*<WC_SO2>*<WC_OH>
!   - KC12*<WC_SO2>*<WC_HNO4>
!   - KC16*<WC_SO2>*<WC_NO3>
!   - KC17*<WC_HCHO>*<WC_SO2>
!   - KC23*<WC_SO2>*<WC_AHSO5>
!   - KC25*<WC_O3>*<WC_SO2>
!   - KC26*<WC_H2O2>*<WC_SO2>
!   - KC28*<WC_SO2>*<WC_RO21>
! terms for WC_H2SO4:
!   + KTC15*<H2SO4>
!   + KC12*<WC_SO2>*<WC_HNO4>
!   + 2.00*KC23*<WC_SO2>*<WC_AHSO5>
!   + KC24*<WC_ASO4>
!   + KC25*<WC_O3>*<WC_SO2>
!   + KC26*<WC_H2O2>*<WC_SO2>
!   - KTC46*<WC_H2SO4>
!   - KC15*<WC_H2SO4>*<WC_NO3>
! terms for WC_RO21:
!   + KTC16*<RO21>
!   + 0.50*KC34*<WC_OH>*<WC_ALD2>
!   + KC37*<WC_OH>*<WC_KETL>
!   - KTC47*<WC_RO21>
!   - KC27*<WC_RO21>*<WC_RO21>
!   - KC27*<WC_RO21>*<WC_RO21>
!   - KC28*<WC_SO2>*<WC_RO21>
! terms for WC_RO25:
!   + KTC17*<RO25>
!   + 0.50*KC34*<WC_OH>*<WC_ALD2>
!   + KC40*<WC_OH>*<WC_ACID>
!   - KTC48*<WC_RO25>
!   - KC29*<WC_RO25>*<WC_RO25>
!   - KC29*<WC_RO25>*<WC_RO25>
! terms for WC_MEOH:
!   + KTC18*<MEOH>
!   - KTC49*<WC_MEOH>
!   - KC30*<WC_OH>*<WC_MEOH>
! terms for WC_ETOH:
!   + KTC19*<ETOH>
!   - KTC50*<WC_ETOH>
!   - KC31*<WC_OH>*<WC_ETOH>
! terms for WC_ALCH:
!   + KTC20*<ALCH>
!   - KTC51*<WC_ALCH>
!   - KC32*<WC_OH>*<WC_ALCH>
! terms for WC_HCHO:
!   + KTC21*<HCHO>
!   + KC18*<WC_AHMS>
!   + 2.00*KC27*<WC_RO21>*<WC_RO21>
!   + KC28*<WC_SO2>*<WC_RO21>
!   + KC30*<WC_OH>*<WC_MEOH>
!   + KC37*<WC_OH>*<WC_KETL>
!   - KTC52*<WC_HCHO>
!   - KC17*<WC_HCHO>*<WC_SO2>
!   - KC33*<WC_OH>*<WC_HCHO>
! terms for WC_ALD2:
!   + KTC22*<ALD2>
!   + KC29*<WC_RO25>*<WC_RO25>
!   + KC31*<WC_OH>*<WC_ETOH>
!   + 0.50*KC32*<WC_OH>*<WC_ALCH>
!   + KC37*<WC_OH>*<WC_KETL>
!   + 0.29*KC41*<WC_OH>*<WC_ACID>
!   + 0.43*KC43*<WC_OH>*<WC_UR21>
!   - KTC53*<WC_ALD2>
!   - KC34*<WC_OH>*<WC_ALD2>
! terms for WC_GLY:
!   + KTC23*<GLY>
!   - KTC54*<WC_GLY>
!   - KC35*<WC_OH>*<WC_GLY>
! terms for WC_MGLY:
!   + KTC25*<MGLY>
!   + KC37*<WC_OH>*<WC_KETL>
!   - KTC56*<WC_MGLY>
!   - KC36*<WC_OH>*<WC_MGLY>
! terms for WC_KETL:
!   + KTC24*<KETL>
!   + 0.50*KC32*<WC_OH>*<WC_ALCH>
!   + KC37*<WC_OH>*<WC_KETL>
!   - KTC55*<WC_KETL>
!   - KC37*<WC_OH>*<WC_KETL>
! terms for WC_ORA1:
!   + KTC26*<ORA1>
!   + KC19*<WC_OH>*<WC_AHMS>
!   + KC33*<WC_OH>*<WC_HCHO>
!   - KTC57*<WC_ORA1>
!   - KC38*<WC_OH>*<WC_ORA1>
! terms for WC_ORA2:
!   + KTC27*<ORA2>
!   + KC29*<WC_RO25>*<WC_RO25>
!   - KTC58*<WC_ORA2>
!   - KC39*<WC_OH>*<WC_ORA2>
! terms for WC_ACID:
!   + KTC28*<ACID>
!   - KTC59*<WC_ACID>
!   - KC40*<WC_OH>*<WC_ACID>
!   - KC41*<WC_OH>*<WC_ACID>
! terms for WC_RP16:
!   + KTC29*<RP16>
!   + KC35*<WC_OH>*<WC_GLY>
!   + KC39*<WC_OH>*<WC_ORA2>
!   - KTC60*<WC_RP16>
!   - KC44*<WC_OH>*<WC_RP16>
!   - KC45*<WC_OH>*<WC_RP16>
! terms for WC_UR21:
!   + KTC30*<UR21>
!   + KC36*<WC_OH>*<WC_MGLY>
!   + KC37*<WC_OH>*<WC_KETL>
!   + 0.56*KC41*<WC_OH>*<WC_ACID>
!   - KTC61*<WC_UR21>
!   - KC43*<WC_OH>*<WC_UR21>
! terms for WC_UR28:
!   + KTC31*<UR28>
!   + KC44*<WC_OH>*<WC_RP16>
!   - KTC62*<WC_UR28>
!   - KC42*<WC_OH>*<WC_UR28>
! terms for WC_ACID2:
!   + 0.15*KC41*<WC_OH>*<WC_ACID>
!   + 0.56*KC43*<WC_OH>*<WC_UR21>
!   - KC46*<WC_OH>*<WC_ACID2>
! terms for WC_ASO3:
!   + KC7*<WC_SO2>*<WC_OH>
!   + KC16*<WC_SO2>*<WC_NO3>
!   + KC28*<WC_SO2>*<WC_RO21>
!   - KC20*<W_O2>*<WC_ASO3>
! terms for WC_ASO4:
!   + KC15*<WC_H2SO4>*<WC_NO3>
!   + KC22*<WC_ASO5>*<WC_ASO5>
!   + KC22*<WC_ASO5>*<WC_ASO5>
!   - KC24*<WC_ASO4>
! terms for WC_ASO5:
!   + KC20*<W_O2>*<WC_ASO3>
!   - KC21*<WC_HO2>*<WC_ASO5>
!   - KC22*<WC_ASO5>*<WC_ASO5>
!   - KC22*<WC_ASO5>*<WC_ASO5>
! terms for WC_AHSO5:
!   + KC21*<WC_HO2>*<WC_ASO5>
!   - KC23*<WC_SO2>*<WC_AHSO5>
! terms for WC_AHMS:
!   + KC17*<WC_HCHO>*<WC_SO2>
!   - KC18*<WC_AHMS>
!   - KC19*<WC_OH>*<WC_AHMS>
! terms for WR_O3:
!   + KTR1*<O3>
!   - KTR32*<WR_O3>
!   - KR6*<WR_HO2>*<WR_O3>
!   - KR25*<WR_O3>*<WR_SO2>
! terms for WR_H2O2:
!   + KTR2*<H2O2>
!   + KR2*<WR_OH>*<WR_OH>
!   + KR5*<WR_HO2>*<WR_HO2>
!   + KR29*<WR_RO25>*<WR_RO25>
!   + KR37*<WR_OH>*<WR_KETL>
!   + 0.5*KR39*<WR_OH>*<WR_ORA2>
!   + 0.29*KR41*<WR_OH>*<WR_ACID>
!   + 0.3*KR43*<WR_OH>*<WR_UR21>
!   + 0.45*KR45*<WR_OH>*<WR_RP16>
!   - KTR33*<WR_H2O2>
!   - KR1*<WR_H2O2>
!   - KR4*<WR_OH>*<WR_H2O2>
!   - KR26*<WR_H2O2>*<WR_SO2>
! terms for WR_NO:
!   + KTR3*<NO>
!   - KTR34*<WR_NO>
! terms for WR_NO2:
!   + KTR4*<NO2>
!   + KR8*<WR_OH>*<WR_HONO>
!   + KR10*<WR_HNO4>
!   + KR13*<WR_HNO3>
!   - KTR35*<WR_NO2>
!   - KR9*<WR_HO2>*<WR_NO2>
! terms for WR_NO3:
!   + KTR5*<NO3>
!   - KTR36*<WR_NO3>
!   - KR15*<WR_H2SO4>*<WR_NO3>
!   - KR16*<WR_SO2>*<WR_NO3>
! terms for WR_N2O5:
!   + KTR6*<N2O5>
!   - KTR37*<WR_N2O5>
!   - KR14*<WR_N2O5>
! terms for WR_HONO:
!   + KTR7*<HONO>
!   + KR11*<WR_HNO4>
!   - KTR38*<WR_HONO>
!   - KR8*<WR_OH>*<WR_HONO>
! terms for WR_HNO3:
!   + KTR8*<HNO3>
!   + KR12*<WR_SO2>*<WR_HNO4>
!   + KR14*<WR_N2O5>
!   + KR14*<WR_N2O5>
!   + KR15*<WR_H2SO4>*<WR_NO3>
!   + KR16*<WR_SO2>*<WR_NO3>
!   - KTR39*<WR_HNO3>
!   - KR13*<WR_HNO3>
! terms for WR_HNO4:
!   + KTR9*<HNO4>
!   + KR9*<WR_HO2>*<WR_NO2>
!   - KTR40*<WR_HNO4>
!   - KR10*<WR_HNO4>
!   - KR11*<WR_HNO4>
!   - KR12*<WR_SO2>*<WR_HNO4>
! terms for WR_NH3:
!   + KTR10*<NH3>
!   - KTR41*<WR_NH3>
! terms for WR_OH:
!   + KTR11*<OH>
!   + KR1*<WR_H2O2>
!   + KR1*<WR_H2O2>
!   + KR6*<WR_HO2>*<WR_O3>
!   + KR13*<WR_HNO3>
!   + KR24*<WR_ASO4>
!   - KTR42*<WR_OH>
!   - KR2*<WR_OH>*<WR_OH>
!   - KR2*<WR_OH>*<WR_OH>
!   - KR3*<WR_HO2>*<WR_OH>
!   - KR4*<WR_OH>*<WR_H2O2>
!   - KR7*<WR_SO2>*<WR_OH>
!   - KR8*<WR_OH>*<WR_HONO>
!   - KR19*<WR_OH>*<WR_AHMS>
!   - KR30*<WR_OH>*<WR_MEOH>
!   - KR31*<WR_OH>*<WR_ETOH>
!   - KR32*<WR_OH>*<WR_ALCH>
!   - KR33*<WR_OH>*<WR_HCHO>
!   - KR34*<WR_OH>*<WR_ALD2>
!   - KR35*<WR_OH>*<WR_GLY>
!   - KR36*<WR_OH>*<WR_MGLY>
!   - KR37*<WR_OH>*<WR_KETL>
!   - KR38*<WR_OH>*<WR_ORA1>
!   - KR39*<WR_OH>*<WR_ORA2>
!   - KR40*<WR_OH>*<WR_ACID>
!   - KR41*<WR_OH>*<WR_ACID>
!   - KR42*<WR_OH>*<WR_UR28>
!   - KR43*<WR_OH>*<WR_UR21>
!   - KR44*<WR_OH>*<WR_RP16>
!   - KR45*<WR_OH>*<WR_RP16>
!   - KR46*<WR_OH>*<WR_ACID2>
! terms for WR_HO2:
!   + KTR12*<HO2>
!   + KR4*<WR_OH>*<WR_H2O2>
!   + KR10*<WR_HNO4>
!   + KR19*<WR_OH>*<WR_AHMS>
!   + 2.00*KR27*<WR_RO21>*<WR_RO21>
!   + KR29*<WR_RO25>*<WR_RO25>
!   + KR30*<WR_OH>*<WR_MEOH>
!   + KR31*<WR_OH>*<WR_ETOH>
!   + KR32*<WR_OH>*<WR_ALCH>
!   + KR33*<WR_OH>*<WR_HCHO>
!   + KR35*<WR_OH>*<WR_GLY>
!   + KR36*<WR_OH>*<WR_MGLY>
!   + KR37*<WR_OH>*<WR_KETL>
!   + KR38*<WR_OH>*<WR_ORA1>
!   + 0.11*KR41*<WR_OH>*<WR_ACID>
!   + KR42*<WR_OH>*<WR_UR28>
!   + 0.81*KR43*<WR_OH>*<WR_UR21>
!   + KR44*<WR_OH>*<WR_RP16>
!   + 0.71*KR45*<WR_OH>*<WR_RP16>
!   - KTR43*<WR_HO2>
!   - KR3*<WR_HO2>*<WR_OH>
!   - KR5*<WR_HO2>*<WR_HO2>
!   - KR5*<WR_HO2>*<WR_HO2>
!   - KR6*<WR_HO2>*<WR_O3>
!   - KR9*<WR_HO2>*<WR_NO2>
!   - KR21*<WR_HO2>*<WR_ASO5>
! terms for WR_CO2:
!   + KTR13*<CO2>
!   + KR34*<WR_OH>*<WR_ALD2>
!   + KR37*<WR_OH>*<WR_KETL>
!   + KR38*<WR_OH>*<WR_ORA1>
!   + KR40*<WR_OH>*<WR_ACID>
!   + 2*KR42*<WR_OH>*<WR_UR28>
!   + 0.43*KR43*<WR_OH>*<WR_UR21>
!   + 2*KR45*<WR_OH>*<WR_RP16>
!   - KTR44*<WR_CO2>
! terms for WR_SO2:
!   + KTR14*<SO2>
!   + KR18*<WR_AHMS>
!   + KR19*<WR_OH>*<WR_AHMS>
!   - KTR45*<WR_SO2>
!   - KR7*<WR_SO2>*<WR_OH>
!   - KR12*<WR_SO2>*<WR_HNO4>
!   - KR16*<WR_SO2>*<WR_NO3>
!   - KR17*<WR_HCHO>*<WR_SO2>
!   - KR23*<WR_SO2>*<WR_AHSO5>
!   - KR25*<WR_O3>*<WR_SO2>
!   - KR26*<WR_H2O2>*<WR_SO2>
!   - KR28*<WR_SO2>*<WR_RO21>
! terms for WR_H2SO4:
!   + KTR15*<H2SO4>
!   + KR12*<WR_SO2>*<WR_HNO4>
!   + 2.00*KR23*<WR_SO2>*<WR_AHSO5>
!   + KR24*<WR_ASO4>
!   + KR25*<WR_O3>*<WR_SO2>
!   + KR26*<WR_H2O2>*<WR_SO2>
!   - KTR46*<WR_H2SO4>
!   - KR15*<WR_H2SO4>*<WR_NO3>
! terms for WR_RO21:
!   + KTR16*<RO21>
!   + 0.50*KR34*<WR_OH>*<WR_ALD2>
!   + KR37*<WR_OH>*<WR_KETL>
!   - KTR47*<WR_RO21>
!   - KR27*<WR_RO21>*<WR_RO21>
!   - KR27*<WR_RO21>*<WR_RO21>
!   - KR28*<WR_SO2>*<WR_RO21>
! terms for WR_RO25:
!   + KTR17*<RO25>
!   + 0.50*KR34*<WR_OH>*<WR_ALD2>
!   + KR40*<WR_OH>*<WR_ACID>
!   - KTR48*<WR_RO25>
!   - KR29*<WR_RO25>*<WR_RO25>
!   - KR29*<WR_RO25>*<WR_RO25>
! terms for WR_MEOH:
!   + KTR18*<MEOH>
!   - KTR49*<WR_MEOH>
!   - KR30*<WR_OH>*<WR_MEOH>
! terms for WR_ETOH:
!   + KTR19*<ETOH>
!   - KTR50*<WR_ETOH>
!   - KR31*<WR_OH>*<WR_ETOH>
! terms for WR_ALCH:
!   + KTR20*<ALCH>
!   - KTR51*<WR_ALCH>
!   - KR32*<WR_OH>*<WR_ALCH>
! terms for WR_HCHO:
!   + KTR21*<HCHO>
!   + KR18*<WR_AHMS>
!   + 2.00*KR27*<WR_RO21>*<WR_RO21>
!   + KR28*<WR_SO2>*<WR_RO21>
!   + KR30*<WR_OH>*<WR_MEOH>
!   + KR37*<WR_OH>*<WR_KETL>
!   - KTR52*<WR_HCHO>
!   - KR17*<WR_HCHO>*<WR_SO2>
!   - KR33*<WR_OH>*<WR_HCHO>
! terms for WR_ALD2:
!   + KTR22*<ALD2>
!   + KR29*<WR_RO25>*<WR_RO25>
!   + KR31*<WR_OH>*<WR_ETOH>
!   + 0.50*KR32*<WR_OH>*<WR_ALCH>
!   + KR37*<WR_OH>*<WR_KETL>
!   + 0.29*KR41*<WR_OH>*<WR_ACID>
!   + 0.43*KR43*<WR_OH>*<WR_UR21>
!   - KTR53*<WR_ALD2>
!   - KR34*<WR_OH>*<WR_ALD2>
! terms for WR_GLY:
!   + KTR23*<GLY>
!   - KTR54*<WR_GLY>
!   - KR35*<WR_OH>*<WR_GLY>
! terms for WR_MGLY:
!   + KTR25*<MGLY>
!   + KR37*<WR_OH>*<WR_KETL>
!   - KTR56*<WR_MGLY>
!   - KR36*<WR_OH>*<WR_MGLY>
! terms for WR_KETL:
!   + KTR24*<KETL>
!   + 0.50*KR32*<WR_OH>*<WR_ALCH>
!   + KR37*<WR_OH>*<WR_KETL>
!   - KTR55*<WR_KETL>
!   - KR37*<WR_OH>*<WR_KETL>
! terms for WR_ORA1:
!   + KTR26*<ORA1>
!   + KR19*<WR_OH>*<WR_AHMS>
!   + KR33*<WR_OH>*<WR_HCHO>
!   - KTR57*<WR_ORA1>
!   - KR38*<WR_OH>*<WR_ORA1>
! terms for WR_ORA2:
!   + KTR27*<ORA2>
!   + KR29*<WR_RO25>*<WR_RO25>
!   - KTR58*<WR_ORA2>
!   - KR39*<WR_OH>*<WR_ORA2>
! terms for WR_ACID:
!   + KTR28*<ACID>
!   - KTR59*<WR_ACID>
!   - KR40*<WR_OH>*<WR_ACID>
!   - KR41*<WR_OH>*<WR_ACID>
! terms for WR_RP16:
!   + KTR29*<RP16>
!   + KR35*<WR_OH>*<WR_GLY>
!   + KR39*<WR_OH>*<WR_ORA2>
!   - KTR60*<WR_RP16>
!   - KR44*<WR_OH>*<WR_RP16>
!   - KR45*<WR_OH>*<WR_RP16>
! terms for WR_UR21:
!   + KTR30*<UR21>
!   + KR36*<WR_OH>*<WR_MGLY>
!   + KR37*<WR_OH>*<WR_KETL>
!   + 0.56*KR41*<WR_OH>*<WR_ACID>
!   - KTR61*<WR_UR21>
!   - KR43*<WR_OH>*<WR_UR21>
! terms for WR_UR28:
!   + KTR31*<UR28>
!   + KR44*<WR_OH>*<WR_RP16>
!   - KTR62*<WR_UR28>
!   - KR42*<WR_OH>*<WR_UR28>
! terms for WR_ACID2:
!   + 0.15*KR41*<WR_OH>*<WR_ACID>
!   + 0.56*KR43*<WR_OH>*<WR_UR21>
!   - KR46*<WR_OH>*<WR_ACID2>
! terms for WR_ASO3:
!   + KR7*<WR_SO2>*<WR_OH>
!   + KR16*<WR_SO2>*<WR_NO3>
!   + KR28*<WR_SO2>*<WR_RO21>
!   - KR20*<W_O2>*<WR_ASO3>
! terms for WR_ASO4:
!   + KR15*<WR_H2SO4>*<WR_NO3>
!   + KR22*<WR_ASO5>*<WR_ASO5>
!   + KR22*<WR_ASO5>*<WR_ASO5>
!   - KR24*<WR_ASO4>
! terms for WR_ASO5:
!   + KR20*<W_O2>*<WR_ASO3>
!   - KR21*<WR_HO2>*<WR_ASO5>
!   - KR22*<WR_ASO5>*<WR_ASO5>
!   - KR22*<WR_ASO5>*<WR_ASO5>
! terms for WR_AHSO5:
!   + KR21*<WR_HO2>*<WR_ASO5>
!   - KR23*<WR_SO2>*<WR_AHSO5>
! terms for WR_AHMS:
!   + KR17*<WR_HCHO>*<WR_SO2>
!   - KR18*<WR_AHMS>
!   - KR19*<WR_OH>*<WR_AHMS>
!
!========================================================================
!
!!    ########################
      MODULE MODD_CH_M9_SCHEME
!!    ########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_M9_SCHEME*
!!
!!    PURPOSE
!!    -------
!     definition of variables and types for the chemical core system
!!
!!**  METHOD
!!    ------
!!      All constants and auxiliary variables are stored in one common
!!    data type (CCSTYPE). This allows to pass them all as one single
!!    variable in the argument lists of the CCS.
!!    The constants NEQ, NEQAQ and NREAC are duplicated here in order 
!!    to avoid decouple the CCS from the other modules of MNHC.
!!    Variables to be transfered from the meteorological part are stored
!!    in the data type METEOTRANSTYPE (number, value and name).
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!    DECLARATIONS
!!    ------------
IMPLICIT NONE
INTEGER, DIMENSION(2), PARAMETER :: JPNEQ           = (/87,161/) ! number of prognostic chemical species
INTEGER, DIMENSION(2), PARAMETER :: JPNEQAQ         = (/0,74/) ! number of prognostic aqueous phase chemical species
INTEGER, DIMENSION(2), PARAMETER :: JPNREAC         = (/365,581/) ! number of chemical reactions
INTEGER, DIMENSION(2), PARAMETER :: JPNMETEOVARS    = (/13,13/) ! number of meteorological variables
INTEGER, DIMENSION(2), PARAMETER :: JPNNONZEROTERMS = (/1188,1768/) ! number of non-zero terms returned by CH_TERMS
!
CHARACTER(LEN=32),  DIMENSION(JPNEQ(2)),   TARGET :: CNAMES ! names of the species
CHARACTER(LEN=32),  DIMENSION(JPNREAC(2)), TARGET :: CREACS ! the reaction rate names
CHARACTER(LEN=256), DIMENSION(JPNREAC(2)), TARGET :: CFULLREACS ! the full reactions
!
TYPE CCSTYPE ! reaction rates and auxiliary variables
 LOGICAL :: LUSECHAQ
 LOGICAL :: LCH_PH
 INTEGER :: NEQ            ! number of prognostic chemical species
 INTEGER :: NEQAQ          ! number of prognostic aqueous phase chemical species
 INTEGER :: NREAC          ! number of chemical reactions
 INTEGER :: NMETEOVARS     ! number of meteorological variables
 INTEGER :: NNONZEROTERMS  ! number of non-zero terms returned by CH_TE
REAL,DIMENSION(:),POINTER :: K001=>NULL()
REAL,DIMENSION(:),POINTER :: K002=>NULL()
REAL,DIMENSION(:),POINTER :: K003=>NULL()
REAL,DIMENSION(:),POINTER :: K004=>NULL()
REAL,DIMENSION(:),POINTER :: K005=>NULL()
REAL,DIMENSION(:),POINTER :: K006=>NULL()
REAL,DIMENSION(:),POINTER :: K007=>NULL()
REAL,DIMENSION(:),POINTER :: K008=>NULL()
REAL,DIMENSION(:),POINTER :: K009=>NULL()
REAL,DIMENSION(:),POINTER :: K010=>NULL()
REAL,DIMENSION(:),POINTER :: K011=>NULL()
REAL,DIMENSION(:),POINTER :: K012=>NULL()
REAL,DIMENSION(:),POINTER :: K013=>NULL()
REAL,DIMENSION(:),POINTER :: K014=>NULL()
REAL,DIMENSION(:),POINTER :: K015=>NULL()
REAL,DIMENSION(:),POINTER :: K016=>NULL()
REAL,DIMENSION(:),POINTER :: K017=>NULL()
REAL,DIMENSION(:),POINTER :: K018A=>NULL()
REAL,DIMENSION(:),POINTER :: K018B=>NULL()
REAL,DIMENSION(:),POINTER :: K019=>NULL()
REAL,DIMENSION(:),POINTER :: K020=>NULL()
REAL,DIMENSION(:),POINTER :: K021=>NULL()
REAL,DIMENSION(:),POINTER :: K022=>NULL()
REAL,DIMENSION(:),POINTER :: K023=>NULL()
REAL,DIMENSION(:),POINTER :: K024=>NULL()
REAL,DIMENSION(:),POINTER :: K025=>NULL()
REAL,DIMENSION(:),POINTER :: K026=>NULL()
REAL,DIMENSION(:),POINTER :: K027=>NULL()
REAL,DIMENSION(:),POINTER :: K028=>NULL()
REAL,DIMENSION(:),POINTER :: K029=>NULL()
REAL,DIMENSION(:),POINTER :: K030=>NULL()
REAL,DIMENSION(:),POINTER :: K031=>NULL()
REAL,DIMENSION(:),POINTER :: K032=>NULL()
REAL,DIMENSION(:),POINTER :: K033=>NULL()
REAL,DIMENSION(:),POINTER :: K034=>NULL()
REAL,DIMENSION(:),POINTER :: K035=>NULL()
REAL,DIMENSION(:),POINTER :: K036=>NULL()
REAL,DIMENSION(:),POINTER :: K037=>NULL()
REAL,DIMENSION(:),POINTER :: K038=>NULL()
REAL,DIMENSION(:),POINTER :: K039=>NULL()
REAL,DIMENSION(:),POINTER :: K040=>NULL()
REAL,DIMENSION(:),POINTER :: K041=>NULL()
REAL,DIMENSION(:),POINTER :: K042=>NULL()
REAL,DIMENSION(:),POINTER :: K043=>NULL()
REAL,DIMENSION(:),POINTER :: K044=>NULL()
REAL,DIMENSION(:),POINTER :: K045=>NULL()
REAL,DIMENSION(:),POINTER :: K046=>NULL()
REAL,DIMENSION(:),POINTER :: K047=>NULL()
REAL,DIMENSION(:),POINTER :: K048=>NULL()
REAL,DIMENSION(:),POINTER :: K049=>NULL()
REAL,DIMENSION(:),POINTER :: K050=>NULL()
REAL,DIMENSION(:),POINTER :: K051=>NULL()
REAL,DIMENSION(:),POINTER :: K052=>NULL()
REAL,DIMENSION(:),POINTER :: K053=>NULL()
REAL,DIMENSION(:),POINTER :: K054=>NULL()
REAL,DIMENSION(:),POINTER :: K055=>NULL()
REAL,DIMENSION(:),POINTER :: K056=>NULL()
REAL,DIMENSION(:),POINTER :: K057=>NULL()
REAL,DIMENSION(:),POINTER :: K058=>NULL()
REAL,DIMENSION(:),POINTER :: K059=>NULL()
REAL,DIMENSION(:),POINTER :: K060=>NULL()
REAL,DIMENSION(:),POINTER :: K061=>NULL()
REAL,DIMENSION(:),POINTER :: K062=>NULL()
REAL,DIMENSION(:),POINTER :: K063=>NULL()
REAL,DIMENSION(:),POINTER :: K064=>NULL()
REAL,DIMENSION(:),POINTER :: K065=>NULL()
REAL,DIMENSION(:),POINTER :: K066=>NULL()
REAL,DIMENSION(:),POINTER :: K067=>NULL()
REAL,DIMENSION(:),POINTER :: K068=>NULL()
REAL,DIMENSION(:),POINTER :: K069=>NULL()
REAL,DIMENSION(:),POINTER :: K070=>NULL()
REAL,DIMENSION(:),POINTER :: K071=>NULL()
REAL,DIMENSION(:),POINTER :: K072=>NULL()
REAL,DIMENSION(:),POINTER :: K073=>NULL()
REAL,DIMENSION(:),POINTER :: K074=>NULL()
REAL,DIMENSION(:),POINTER :: K075=>NULL()
REAL,DIMENSION(:),POINTER :: K076=>NULL()
REAL,DIMENSION(:),POINTER :: K077=>NULL()
REAL,DIMENSION(:),POINTER :: K078=>NULL()
REAL,DIMENSION(:),POINTER :: K079=>NULL()
REAL,DIMENSION(:),POINTER :: K080=>NULL()
REAL,DIMENSION(:),POINTER :: K081=>NULL()
REAL,DIMENSION(:),POINTER :: K082=>NULL()
REAL,DIMENSION(:),POINTER :: K083=>NULL()
REAL,DIMENSION(:),POINTER :: K084=>NULL()
REAL,DIMENSION(:),POINTER :: K085=>NULL()
REAL,DIMENSION(:),POINTER :: K086=>NULL()
REAL,DIMENSION(:),POINTER :: K087=>NULL()
REAL,DIMENSION(:),POINTER :: K088=>NULL()
REAL,DIMENSION(:),POINTER :: K089=>NULL()
REAL,DIMENSION(:),POINTER :: K090=>NULL()
REAL,DIMENSION(:),POINTER :: K091=>NULL()
REAL,DIMENSION(:),POINTER :: K092=>NULL()
REAL,DIMENSION(:),POINTER :: K093=>NULL()
REAL,DIMENSION(:),POINTER :: K094=>NULL()
REAL,DIMENSION(:),POINTER :: K095=>NULL()
REAL,DIMENSION(:),POINTER :: K096=>NULL()
REAL,DIMENSION(:),POINTER :: K097=>NULL()
REAL,DIMENSION(:),POINTER :: K098=>NULL()
REAL,DIMENSION(:),POINTER :: K099=>NULL()
REAL,DIMENSION(:),POINTER :: K100=>NULL()
REAL,DIMENSION(:),POINTER :: K101=>NULL()
REAL,DIMENSION(:),POINTER :: K102=>NULL()
REAL,DIMENSION(:),POINTER :: K103=>NULL()
REAL,DIMENSION(:),POINTER :: K104=>NULL()
REAL,DIMENSION(:),POINTER :: K105=>NULL()
REAL,DIMENSION(:),POINTER :: K106=>NULL()
REAL,DIMENSION(:),POINTER :: K107=>NULL()
REAL,DIMENSION(:),POINTER :: K108=>NULL()
REAL,DIMENSION(:),POINTER :: K109=>NULL()
REAL,DIMENSION(:),POINTER :: K110=>NULL()
REAL,DIMENSION(:),POINTER :: K111=>NULL()
REAL,DIMENSION(:),POINTER :: K112=>NULL()
REAL,DIMENSION(:),POINTER :: K113=>NULL()
REAL,DIMENSION(:),POINTER :: K114=>NULL()
REAL,DIMENSION(:),POINTER :: K115=>NULL()
REAL,DIMENSION(:),POINTER :: K116=>NULL()
REAL,DIMENSION(:),POINTER :: K117=>NULL()
REAL,DIMENSION(:),POINTER :: K118=>NULL()
REAL,DIMENSION(:),POINTER :: K119=>NULL()
REAL,DIMENSION(:),POINTER :: K120=>NULL()
REAL,DIMENSION(:),POINTER :: K121=>NULL()
REAL,DIMENSION(:),POINTER :: K122=>NULL()
REAL,DIMENSION(:),POINTER :: K123=>NULL()
REAL,DIMENSION(:),POINTER :: K124=>NULL()
REAL,DIMENSION(:),POINTER :: K125=>NULL()
REAL,DIMENSION(:),POINTER :: K126=>NULL()
REAL,DIMENSION(:),POINTER :: K127=>NULL()
REAL,DIMENSION(:),POINTER :: K128=>NULL()
REAL,DIMENSION(:),POINTER :: K129=>NULL()
REAL,DIMENSION(:),POINTER :: K130=>NULL()
REAL,DIMENSION(:),POINTER :: K131=>NULL()
REAL,DIMENSION(:),POINTER :: K132=>NULL()
REAL,DIMENSION(:),POINTER :: K133=>NULL()
REAL,DIMENSION(:),POINTER :: K134=>NULL()
REAL,DIMENSION(:),POINTER :: K135=>NULL()
REAL,DIMENSION(:),POINTER :: K136=>NULL()
REAL,DIMENSION(:),POINTER :: K137=>NULL()
REAL,DIMENSION(:),POINTER :: K138=>NULL()
REAL,DIMENSION(:),POINTER :: K139=>NULL()
REAL,DIMENSION(:),POINTER :: K140=>NULL()
REAL,DIMENSION(:),POINTER :: K141=>NULL()
REAL,DIMENSION(:),POINTER :: K142=>NULL()
REAL,DIMENSION(:),POINTER :: K143=>NULL()
REAL,DIMENSION(:),POINTER :: K144=>NULL()
REAL,DIMENSION(:),POINTER :: K145=>NULL()
REAL,DIMENSION(:),POINTER :: K146=>NULL()
REAL,DIMENSION(:),POINTER :: K147=>NULL()
REAL,DIMENSION(:),POINTER :: K148=>NULL()
REAL,DIMENSION(:),POINTER :: K149=>NULL()
REAL,DIMENSION(:),POINTER :: K150=>NULL()
REAL,DIMENSION(:),POINTER :: K151=>NULL()
REAL,DIMENSION(:),POINTER :: K152=>NULL()
REAL,DIMENSION(:),POINTER :: K153=>NULL()
REAL,DIMENSION(:),POINTER :: K154=>NULL()
REAL,DIMENSION(:),POINTER :: K155=>NULL()
REAL,DIMENSION(:),POINTER :: K156=>NULL()
REAL,DIMENSION(:),POINTER :: K157=>NULL()
REAL,DIMENSION(:),POINTER :: K158=>NULL()
REAL,DIMENSION(:),POINTER :: K159=>NULL()
REAL,DIMENSION(:),POINTER :: K160=>NULL()
REAL,DIMENSION(:),POINTER :: K161=>NULL()
REAL,DIMENSION(:),POINTER :: K162=>NULL()
REAL,DIMENSION(:),POINTER :: K163=>NULL()
REAL,DIMENSION(:),POINTER :: K164=>NULL()
REAL,DIMENSION(:),POINTER :: K165=>NULL()
REAL,DIMENSION(:),POINTER :: K166=>NULL()
REAL,DIMENSION(:),POINTER :: K167=>NULL()
REAL,DIMENSION(:),POINTER :: K168=>NULL()
REAL,DIMENSION(:),POINTER :: K169=>NULL()
REAL,DIMENSION(:),POINTER :: K170=>NULL()
REAL,DIMENSION(:),POINTER :: K171=>NULL()
REAL,DIMENSION(:),POINTER :: K172=>NULL()
REAL,DIMENSION(:),POINTER :: K173=>NULL()
REAL,DIMENSION(:),POINTER :: K174=>NULL()
REAL,DIMENSION(:),POINTER :: K175=>NULL()
REAL,DIMENSION(:),POINTER :: K176=>NULL()
REAL,DIMENSION(:),POINTER :: K177=>NULL()
REAL,DIMENSION(:),POINTER :: K178=>NULL()
REAL,DIMENSION(:),POINTER :: K179=>NULL()
REAL,DIMENSION(:),POINTER :: K180=>NULL()
REAL,DIMENSION(:),POINTER :: K181=>NULL()
REAL,DIMENSION(:),POINTER :: K182=>NULL()
REAL,DIMENSION(:),POINTER :: K183=>NULL()
REAL,DIMENSION(:),POINTER :: K184=>NULL()
REAL,DIMENSION(:),POINTER :: K185=>NULL()
REAL,DIMENSION(:),POINTER :: K186=>NULL()
REAL,DIMENSION(:),POINTER :: K187=>NULL()
REAL,DIMENSION(:),POINTER :: K188=>NULL()
REAL,DIMENSION(:),POINTER :: K189=>NULL()
REAL,DIMENSION(:),POINTER :: K190=>NULL()
REAL,DIMENSION(:),POINTER :: K191=>NULL()
REAL,DIMENSION(:),POINTER :: K192=>NULL()
REAL,DIMENSION(:),POINTER :: K193=>NULL()
REAL,DIMENSION(:),POINTER :: K194=>NULL()
REAL,DIMENSION(:),POINTER :: K195=>NULL()
REAL,DIMENSION(:),POINTER :: K196=>NULL()
REAL,DIMENSION(:),POINTER :: K197=>NULL()
REAL,DIMENSION(:),POINTER :: K198=>NULL()
REAL,DIMENSION(:),POINTER :: K199=>NULL()
REAL,DIMENSION(:),POINTER :: K200=>NULL()
REAL,DIMENSION(:),POINTER :: K201=>NULL()
REAL,DIMENSION(:),POINTER :: K202=>NULL()
REAL,DIMENSION(:),POINTER :: K203=>NULL()
REAL,DIMENSION(:),POINTER :: K204=>NULL()
REAL,DIMENSION(:),POINTER :: K205=>NULL()
REAL,DIMENSION(:),POINTER :: K206=>NULL()
REAL,DIMENSION(:),POINTER :: K207=>NULL()
REAL,DIMENSION(:),POINTER :: K208=>NULL()
REAL,DIMENSION(:),POINTER :: K209=>NULL()
REAL,DIMENSION(:),POINTER :: K210=>NULL()
REAL,DIMENSION(:),POINTER :: K211=>NULL()
REAL,DIMENSION(:),POINTER :: K212=>NULL()
REAL,DIMENSION(:),POINTER :: K213=>NULL()
REAL,DIMENSION(:),POINTER :: K214=>NULL()
REAL,DIMENSION(:),POINTER :: K215=>NULL()
REAL,DIMENSION(:),POINTER :: K216=>NULL()
REAL,DIMENSION(:),POINTER :: K217=>NULL()
REAL,DIMENSION(:),POINTER :: K218=>NULL()
REAL,DIMENSION(:),POINTER :: K219=>NULL()
REAL,DIMENSION(:),POINTER :: K220=>NULL()
REAL,DIMENSION(:),POINTER :: K221=>NULL()
REAL,DIMENSION(:),POINTER :: K222=>NULL()
REAL,DIMENSION(:),POINTER :: K223=>NULL()
REAL,DIMENSION(:),POINTER :: K224=>NULL()
REAL,DIMENSION(:),POINTER :: K225=>NULL()
REAL,DIMENSION(:),POINTER :: K226=>NULL()
REAL,DIMENSION(:),POINTER :: K227=>NULL()
REAL,DIMENSION(:),POINTER :: K228=>NULL()
REAL,DIMENSION(:),POINTER :: K229=>NULL()
REAL,DIMENSION(:),POINTER :: K230=>NULL()
REAL,DIMENSION(:),POINTER :: K231=>NULL()
REAL,DIMENSION(:),POINTER :: K232=>NULL()
REAL,DIMENSION(:),POINTER :: K233=>NULL()
REAL,DIMENSION(:),POINTER :: K234=>NULL()
REAL,DIMENSION(:),POINTER :: K235=>NULL()
REAL,DIMENSION(:),POINTER :: K236=>NULL()
REAL,DIMENSION(:),POINTER :: K237=>NULL()
REAL,DIMENSION(:),POINTER :: K238=>NULL()
REAL,DIMENSION(:),POINTER :: K239=>NULL()
REAL,DIMENSION(:),POINTER :: K240=>NULL()
REAL,DIMENSION(:),POINTER :: K241=>NULL()
REAL,DIMENSION(:),POINTER :: K242=>NULL()
REAL,DIMENSION(:),POINTER :: K243=>NULL()
REAL,DIMENSION(:),POINTER :: K244=>NULL()
REAL,DIMENSION(:),POINTER :: K245=>NULL()
REAL,DIMENSION(:),POINTER :: K246=>NULL()
REAL,DIMENSION(:),POINTER :: K247=>NULL()
REAL,DIMENSION(:),POINTER :: K248=>NULL()
REAL,DIMENSION(:),POINTER :: K249=>NULL()
REAL,DIMENSION(:),POINTER :: K250=>NULL()
REAL,DIMENSION(:),POINTER :: K251=>NULL()
REAL,DIMENSION(:),POINTER :: K252=>NULL()
REAL,DIMENSION(:),POINTER :: K253=>NULL()
REAL,DIMENSION(:),POINTER :: K254=>NULL()
REAL,DIMENSION(:),POINTER :: K255=>NULL()
REAL,DIMENSION(:),POINTER :: K256=>NULL()
REAL,DIMENSION(:),POINTER :: K257=>NULL()
REAL,DIMENSION(:),POINTER :: K258=>NULL()
REAL,DIMENSION(:),POINTER :: K259=>NULL()
REAL,DIMENSION(:),POINTER :: K260=>NULL()
REAL,DIMENSION(:),POINTER :: K261=>NULL()
REAL,DIMENSION(:),POINTER :: K262=>NULL()
REAL,DIMENSION(:),POINTER :: K263=>NULL()
REAL,DIMENSION(:),POINTER :: K264=>NULL()
REAL,DIMENSION(:),POINTER :: K265=>NULL()
REAL,DIMENSION(:),POINTER :: K266=>NULL()
REAL,DIMENSION(:),POINTER :: K267=>NULL()
REAL,DIMENSION(:),POINTER :: K268=>NULL()
REAL,DIMENSION(:),POINTER :: K269=>NULL()
REAL,DIMENSION(:),POINTER :: K270=>NULL()
REAL,DIMENSION(:),POINTER :: K271=>NULL()
REAL,DIMENSION(:),POINTER :: K272=>NULL()
REAL,DIMENSION(:),POINTER :: K273=>NULL()
REAL,DIMENSION(:),POINTER :: K274=>NULL()
REAL,DIMENSION(:),POINTER :: K275=>NULL()
REAL,DIMENSION(:),POINTER :: K276=>NULL()
REAL,DIMENSION(:),POINTER :: K277=>NULL()
REAL,DIMENSION(:),POINTER :: K278=>NULL()
REAL,DIMENSION(:),POINTER :: K279=>NULL()
REAL,DIMENSION(:),POINTER :: K280=>NULL()
REAL,DIMENSION(:),POINTER :: K281=>NULL()
REAL,DIMENSION(:),POINTER :: K282=>NULL()
REAL,DIMENSION(:),POINTER :: K283=>NULL()
REAL,DIMENSION(:),POINTER :: K284=>NULL()
REAL,DIMENSION(:),POINTER :: K285=>NULL()
REAL,DIMENSION(:),POINTER :: K286=>NULL()
REAL,DIMENSION(:),POINTER :: K287=>NULL()
REAL,DIMENSION(:),POINTER :: K288=>NULL()
REAL,DIMENSION(:),POINTER :: K289=>NULL()
REAL,DIMENSION(:),POINTER :: K290=>NULL()
REAL,DIMENSION(:),POINTER :: K291=>NULL()
REAL,DIMENSION(:),POINTER :: K292=>NULL()
REAL,DIMENSION(:),POINTER :: K293=>NULL()
REAL,DIMENSION(:),POINTER :: K294=>NULL()
REAL,DIMENSION(:),POINTER :: K295=>NULL()
REAL,DIMENSION(:),POINTER :: K296=>NULL()
REAL,DIMENSION(:),POINTER :: K297=>NULL()
REAL,DIMENSION(:),POINTER :: K298=>NULL()
REAL,DIMENSION(:),POINTER :: K299=>NULL()
REAL,DIMENSION(:),POINTER :: K300=>NULL()
REAL,DIMENSION(:),POINTER :: K301=>NULL()
REAL,DIMENSION(:),POINTER :: K302=>NULL()
REAL,DIMENSION(:),POINTER :: K303=>NULL()
REAL,DIMENSION(:),POINTER :: K304=>NULL()
REAL,DIMENSION(:),POINTER :: K305=>NULL()
REAL,DIMENSION(:),POINTER :: K306=>NULL()
REAL,DIMENSION(:),POINTER :: K307=>NULL()
REAL,DIMENSION(:),POINTER :: K308=>NULL()
REAL,DIMENSION(:),POINTER :: K309=>NULL()
REAL,DIMENSION(:),POINTER :: K310=>NULL()
REAL,DIMENSION(:),POINTER :: K311=>NULL()
REAL,DIMENSION(:),POINTER :: K312=>NULL()
REAL,DIMENSION(:),POINTER :: K313=>NULL()
REAL,DIMENSION(:),POINTER :: K314=>NULL()
REAL,DIMENSION(:),POINTER :: K315=>NULL()
REAL,DIMENSION(:),POINTER :: K316=>NULL()
REAL,DIMENSION(:),POINTER :: K317=>NULL()
REAL,DIMENSION(:),POINTER :: K318=>NULL()
REAL,DIMENSION(:),POINTER :: K319=>NULL()
REAL,DIMENSION(:),POINTER :: K320=>NULL()
REAL,DIMENSION(:),POINTER :: K321=>NULL()
REAL,DIMENSION(:),POINTER :: K322=>NULL()
REAL,DIMENSION(:),POINTER :: K323=>NULL()
REAL,DIMENSION(:),POINTER :: K324=>NULL()
REAL,DIMENSION(:),POINTER :: K325=>NULL()
REAL,DIMENSION(:),POINTER :: K326=>NULL()
REAL,DIMENSION(:),POINTER :: K327=>NULL()
REAL,DIMENSION(:),POINTER :: K328=>NULL()
REAL,DIMENSION(:),POINTER :: K329=>NULL()
REAL,DIMENSION(:),POINTER :: K330=>NULL()
REAL,DIMENSION(:),POINTER :: K331=>NULL()
REAL,DIMENSION(:),POINTER :: K332=>NULL()
REAL,DIMENSION(:),POINTER :: K333=>NULL()
REAL,DIMENSION(:),POINTER :: K334=>NULL()
REAL,DIMENSION(:),POINTER :: K335=>NULL()
REAL,DIMENSION(:),POINTER :: K337=>NULL()
REAL,DIMENSION(:),POINTER :: K338=>NULL()
REAL,DIMENSION(:),POINTER :: K339=>NULL()
REAL,DIMENSION(:),POINTER :: K340=>NULL()
REAL,DIMENSION(:),POINTER :: K341=>NULL()
REAL,DIMENSION(:),POINTER :: K342=>NULL()
REAL,DIMENSION(:),POINTER :: K343=>NULL()
REAL,DIMENSION(:),POINTER :: K344=>NULL()
REAL,DIMENSION(:),POINTER :: K345=>NULL()
REAL,DIMENSION(:),POINTER :: K346=>NULL()
REAL,DIMENSION(:),POINTER :: K347=>NULL()
REAL,DIMENSION(:),POINTER :: K348=>NULL()
REAL,DIMENSION(:),POINTER :: K349=>NULL()
REAL,DIMENSION(:),POINTER :: K350=>NULL()
REAL,DIMENSION(:),POINTER :: K351=>NULL()
REAL,DIMENSION(:),POINTER :: K352=>NULL()
REAL,DIMENSION(:),POINTER :: K353=>NULL()
REAL,DIMENSION(:),POINTER :: K354=>NULL()
REAL,DIMENSION(:),POINTER :: K355=>NULL()
REAL,DIMENSION(:),POINTER :: K356=>NULL()
REAL,DIMENSION(:),POINTER :: K357=>NULL()
REAL,DIMENSION(:),POINTER :: K358=>NULL()
REAL,DIMENSION(:),POINTER :: K359=>NULL()
REAL,DIMENSION(:),POINTER :: K360=>NULL()
REAL,DIMENSION(:),POINTER :: K361=>NULL()
REAL,DIMENSION(:),POINTER :: K362=>NULL()
REAL,DIMENSION(:),POINTER :: K363=>NULL()
REAL,DIMENSION(:),POINTER :: K364=>NULL()
REAL,DIMENSION(:),POINTER :: K365=>NULL()
REAL,DIMENSION(:),POINTER :: KTC1=>NULL()
REAL,DIMENSION(:),POINTER :: KTC2=>NULL()
REAL,DIMENSION(:),POINTER :: KTC3=>NULL()
REAL,DIMENSION(:),POINTER :: KTC4=>NULL()
REAL,DIMENSION(:),POINTER :: KTC5=>NULL()
REAL,DIMENSION(:),POINTER :: KTC6=>NULL()
REAL,DIMENSION(:),POINTER :: KTC7=>NULL()
REAL,DIMENSION(:),POINTER :: KTC8=>NULL()
REAL,DIMENSION(:),POINTER :: KTC9=>NULL()
REAL,DIMENSION(:),POINTER :: KTC10=>NULL()
REAL,DIMENSION(:),POINTER :: KTC11=>NULL()
REAL,DIMENSION(:),POINTER :: KTC12=>NULL()
REAL,DIMENSION(:),POINTER :: KTC13=>NULL()
REAL,DIMENSION(:),POINTER :: KTC14=>NULL()
REAL,DIMENSION(:),POINTER :: KTC15=>NULL()
REAL,DIMENSION(:),POINTER :: KTC16=>NULL()
REAL,DIMENSION(:),POINTER :: KTC17=>NULL()
REAL,DIMENSION(:),POINTER :: KTC18=>NULL()
REAL,DIMENSION(:),POINTER :: KTC19=>NULL()
REAL,DIMENSION(:),POINTER :: KTC20=>NULL()
REAL,DIMENSION(:),POINTER :: KTC21=>NULL()
REAL,DIMENSION(:),POINTER :: KTC22=>NULL()
REAL,DIMENSION(:),POINTER :: KTC23=>NULL()
REAL,DIMENSION(:),POINTER :: KTC24=>NULL()
REAL,DIMENSION(:),POINTER :: KTC25=>NULL()
REAL,DIMENSION(:),POINTER :: KTC26=>NULL()
REAL,DIMENSION(:),POINTER :: KTC27=>NULL()
REAL,DIMENSION(:),POINTER :: KTC28=>NULL()
REAL,DIMENSION(:),POINTER :: KTC29=>NULL()
REAL,DIMENSION(:),POINTER :: KTC30=>NULL()
REAL,DIMENSION(:),POINTER :: KTC31=>NULL()
REAL,DIMENSION(:),POINTER :: KTC32=>NULL()
REAL,DIMENSION(:),POINTER :: KTC33=>NULL()
REAL,DIMENSION(:),POINTER :: KTC34=>NULL()
REAL,DIMENSION(:),POINTER :: KTC35=>NULL()
REAL,DIMENSION(:),POINTER :: KTC36=>NULL()
REAL,DIMENSION(:),POINTER :: KTC37=>NULL()
REAL,DIMENSION(:),POINTER :: KTC38=>NULL()
REAL,DIMENSION(:),POINTER :: KTC39=>NULL()
REAL,DIMENSION(:),POINTER :: KTC40=>NULL()
REAL,DIMENSION(:),POINTER :: KTC41=>NULL()
REAL,DIMENSION(:),POINTER :: KTC42=>NULL()
REAL,DIMENSION(:),POINTER :: KTC43=>NULL()
REAL,DIMENSION(:),POINTER :: KTC44=>NULL()
REAL,DIMENSION(:),POINTER :: KTC45=>NULL()
REAL,DIMENSION(:),POINTER :: KTC46=>NULL()
REAL,DIMENSION(:),POINTER :: KTC47=>NULL()
REAL,DIMENSION(:),POINTER :: KTC48=>NULL()
REAL,DIMENSION(:),POINTER :: KTC49=>NULL()
REAL,DIMENSION(:),POINTER :: KTC50=>NULL()
REAL,DIMENSION(:),POINTER :: KTC51=>NULL()
REAL,DIMENSION(:),POINTER :: KTC52=>NULL()
REAL,DIMENSION(:),POINTER :: KTC53=>NULL()
REAL,DIMENSION(:),POINTER :: KTC54=>NULL()
REAL,DIMENSION(:),POINTER :: KTC55=>NULL()
REAL,DIMENSION(:),POINTER :: KTC56=>NULL()
REAL,DIMENSION(:),POINTER :: KTC57=>NULL()
REAL,DIMENSION(:),POINTER :: KTC58=>NULL()
REAL,DIMENSION(:),POINTER :: KTC59=>NULL()
REAL,DIMENSION(:),POINTER :: KTC60=>NULL()
REAL,DIMENSION(:),POINTER :: KTC61=>NULL()
REAL,DIMENSION(:),POINTER :: KTC62=>NULL()
REAL,DIMENSION(:),POINTER :: KTR1=>NULL()
REAL,DIMENSION(:),POINTER :: KTR2=>NULL()
REAL,DIMENSION(:),POINTER :: KTR3=>NULL()
REAL,DIMENSION(:),POINTER :: KTR4=>NULL()
REAL,DIMENSION(:),POINTER :: KTR5=>NULL()
REAL,DIMENSION(:),POINTER :: KTR6=>NULL()
REAL,DIMENSION(:),POINTER :: KTR7=>NULL()
REAL,DIMENSION(:),POINTER :: KTR8=>NULL()
REAL,DIMENSION(:),POINTER :: KTR9=>NULL()
REAL,DIMENSION(:),POINTER :: KTR10=>NULL()
REAL,DIMENSION(:),POINTER :: KTR11=>NULL()
REAL,DIMENSION(:),POINTER :: KTR12=>NULL()
REAL,DIMENSION(:),POINTER :: KTR13=>NULL()
REAL,DIMENSION(:),POINTER :: KTR14=>NULL()
REAL,DIMENSION(:),POINTER :: KTR15=>NULL()
REAL,DIMENSION(:),POINTER :: KTR16=>NULL()
REAL,DIMENSION(:),POINTER :: KTR17=>NULL()
REAL,DIMENSION(:),POINTER :: KTR18=>NULL()
REAL,DIMENSION(:),POINTER :: KTR19=>NULL()
REAL,DIMENSION(:),POINTER :: KTR20=>NULL()
REAL,DIMENSION(:),POINTER :: KTR21=>NULL()
REAL,DIMENSION(:),POINTER :: KTR22=>NULL()
REAL,DIMENSION(:),POINTER :: KTR23=>NULL()
REAL,DIMENSION(:),POINTER :: KTR24=>NULL()
REAL,DIMENSION(:),POINTER :: KTR25=>NULL()
REAL,DIMENSION(:),POINTER :: KTR26=>NULL()
REAL,DIMENSION(:),POINTER :: KTR27=>NULL()
REAL,DIMENSION(:),POINTER :: KTR28=>NULL()
REAL,DIMENSION(:),POINTER :: KTR29=>NULL()
REAL,DIMENSION(:),POINTER :: KTR30=>NULL()
REAL,DIMENSION(:),POINTER :: KTR31=>NULL()
REAL,DIMENSION(:),POINTER :: KTR32=>NULL()
REAL,DIMENSION(:),POINTER :: KTR33=>NULL()
REAL,DIMENSION(:),POINTER :: KTR34=>NULL()
REAL,DIMENSION(:),POINTER :: KTR35=>NULL()
REAL,DIMENSION(:),POINTER :: KTR36=>NULL()
REAL,DIMENSION(:),POINTER :: KTR37=>NULL()
REAL,DIMENSION(:),POINTER :: KTR38=>NULL()
REAL,DIMENSION(:),POINTER :: KTR39=>NULL()
REAL,DIMENSION(:),POINTER :: KTR40=>NULL()
REAL,DIMENSION(:),POINTER :: KTR41=>NULL()
REAL,DIMENSION(:),POINTER :: KTR42=>NULL()
REAL,DIMENSION(:),POINTER :: KTR43=>NULL()
REAL,DIMENSION(:),POINTER :: KTR44=>NULL()
REAL,DIMENSION(:),POINTER :: KTR45=>NULL()
REAL,DIMENSION(:),POINTER :: KTR46=>NULL()
REAL,DIMENSION(:),POINTER :: KTR47=>NULL()
REAL,DIMENSION(:),POINTER :: KTR48=>NULL()
REAL,DIMENSION(:),POINTER :: KTR49=>NULL()
REAL,DIMENSION(:),POINTER :: KTR50=>NULL()
REAL,DIMENSION(:),POINTER :: KTR51=>NULL()
REAL,DIMENSION(:),POINTER :: KTR52=>NULL()
REAL,DIMENSION(:),POINTER :: KTR53=>NULL()
REAL,DIMENSION(:),POINTER :: KTR54=>NULL()
REAL,DIMENSION(:),POINTER :: KTR55=>NULL()
REAL,DIMENSION(:),POINTER :: KTR56=>NULL()
REAL,DIMENSION(:),POINTER :: KTR57=>NULL()
REAL,DIMENSION(:),POINTER :: KTR58=>NULL()
REAL,DIMENSION(:),POINTER :: KTR59=>NULL()
REAL,DIMENSION(:),POINTER :: KTR60=>NULL()
REAL,DIMENSION(:),POINTER :: KTR61=>NULL()
REAL,DIMENSION(:),POINTER :: KTR62=>NULL()
REAL,DIMENSION(:),POINTER :: KC1=>NULL()
REAL,DIMENSION(:),POINTER :: KC2=>NULL()
REAL,DIMENSION(:),POINTER :: KC3=>NULL()
REAL,DIMENSION(:),POINTER :: KC4=>NULL()
REAL,DIMENSION(:),POINTER :: KC5=>NULL()
REAL,DIMENSION(:),POINTER :: KC6=>NULL()
REAL,DIMENSION(:),POINTER :: KC7=>NULL()
REAL,DIMENSION(:),POINTER :: KC8=>NULL()
REAL,DIMENSION(:),POINTER :: KC9=>NULL()
REAL,DIMENSION(:),POINTER :: KC10=>NULL()
REAL,DIMENSION(:),POINTER :: KC11=>NULL()
REAL,DIMENSION(:),POINTER :: KC12=>NULL()
REAL,DIMENSION(:),POINTER :: KC13=>NULL()
REAL,DIMENSION(:),POINTER :: KC14=>NULL()
REAL,DIMENSION(:),POINTER :: KC15=>NULL()
REAL,DIMENSION(:),POINTER :: KC16=>NULL()
REAL,DIMENSION(:),POINTER :: KC17=>NULL()
REAL,DIMENSION(:),POINTER :: KC18=>NULL()
REAL,DIMENSION(:),POINTER :: KC19=>NULL()
REAL,DIMENSION(:),POINTER :: KC20=>NULL()
REAL,DIMENSION(:),POINTER :: KC21=>NULL()
REAL,DIMENSION(:),POINTER :: KC22=>NULL()
REAL,DIMENSION(:),POINTER :: KC23=>NULL()
REAL,DIMENSION(:),POINTER :: KC24=>NULL()
REAL,DIMENSION(:),POINTER :: KC25=>NULL()
REAL,DIMENSION(:),POINTER :: KC26=>NULL()
REAL,DIMENSION(:),POINTER :: KC27=>NULL()
REAL,DIMENSION(:),POINTER :: KC28=>NULL()
REAL,DIMENSION(:),POINTER :: KC29=>NULL()
REAL,DIMENSION(:),POINTER :: KC30=>NULL()
REAL,DIMENSION(:),POINTER :: KC31=>NULL()
REAL,DIMENSION(:),POINTER :: KC32=>NULL()
REAL,DIMENSION(:),POINTER :: KC33=>NULL()
REAL,DIMENSION(:),POINTER :: KC34=>NULL()
REAL,DIMENSION(:),POINTER :: KC35=>NULL()
REAL,DIMENSION(:),POINTER :: KC36=>NULL()
REAL,DIMENSION(:),POINTER :: KC37=>NULL()
REAL,DIMENSION(:),POINTER :: KC38=>NULL()
REAL,DIMENSION(:),POINTER :: KC39=>NULL()
REAL,DIMENSION(:),POINTER :: KC40=>NULL()
REAL,DIMENSION(:),POINTER :: KC41=>NULL()
REAL,DIMENSION(:),POINTER :: KC42=>NULL()
REAL,DIMENSION(:),POINTER :: KC43=>NULL()
REAL,DIMENSION(:),POINTER :: KC44=>NULL()
REAL,DIMENSION(:),POINTER :: KC45=>NULL()
REAL,DIMENSION(:),POINTER :: KC46=>NULL()
REAL,DIMENSION(:),POINTER :: KR1=>NULL()
REAL,DIMENSION(:),POINTER :: KR2=>NULL()
REAL,DIMENSION(:),POINTER :: KR3=>NULL()
REAL,DIMENSION(:),POINTER :: KR4=>NULL()
REAL,DIMENSION(:),POINTER :: KR5=>NULL()
REAL,DIMENSION(:),POINTER :: KR6=>NULL()
REAL,DIMENSION(:),POINTER :: KR7=>NULL()
REAL,DIMENSION(:),POINTER :: KR8=>NULL()
REAL,DIMENSION(:),POINTER :: KR9=>NULL()
REAL,DIMENSION(:),POINTER :: KR10=>NULL()
REAL,DIMENSION(:),POINTER :: KR11=>NULL()
REAL,DIMENSION(:),POINTER :: KR12=>NULL()
REAL,DIMENSION(:),POINTER :: KR13=>NULL()
REAL,DIMENSION(:),POINTER :: KR14=>NULL()
REAL,DIMENSION(:),POINTER :: KR15=>NULL()
REAL,DIMENSION(:),POINTER :: KR16=>NULL()
REAL,DIMENSION(:),POINTER :: KR17=>NULL()
REAL,DIMENSION(:),POINTER :: KR18=>NULL()
REAL,DIMENSION(:),POINTER :: KR19=>NULL()
REAL,DIMENSION(:),POINTER :: KR20=>NULL()
REAL,DIMENSION(:),POINTER :: KR21=>NULL()
REAL,DIMENSION(:),POINTER :: KR22=>NULL()
REAL,DIMENSION(:),POINTER :: KR23=>NULL()
REAL,DIMENSION(:),POINTER :: KR24=>NULL()
REAL,DIMENSION(:),POINTER :: KR25=>NULL()
REAL,DIMENSION(:),POINTER :: KR26=>NULL()
REAL,DIMENSION(:),POINTER :: KR27=>NULL()
REAL,DIMENSION(:),POINTER :: KR28=>NULL()
REAL,DIMENSION(:),POINTER :: KR29=>NULL()
REAL,DIMENSION(:),POINTER :: KR30=>NULL()
REAL,DIMENSION(:),POINTER :: KR31=>NULL()
REAL,DIMENSION(:),POINTER :: KR32=>NULL()
REAL,DIMENSION(:),POINTER :: KR33=>NULL()
REAL,DIMENSION(:),POINTER :: KR34=>NULL()
REAL,DIMENSION(:),POINTER :: KR35=>NULL()
REAL,DIMENSION(:),POINTER :: KR36=>NULL()
REAL,DIMENSION(:),POINTER :: KR37=>NULL()
REAL,DIMENSION(:),POINTER :: KR38=>NULL()
REAL,DIMENSION(:),POINTER :: KR39=>NULL()
REAL,DIMENSION(:),POINTER :: KR40=>NULL()
REAL,DIMENSION(:),POINTER :: KR41=>NULL()
REAL,DIMENSION(:),POINTER :: KR42=>NULL()
REAL,DIMENSION(:),POINTER :: KR43=>NULL()
REAL,DIMENSION(:),POINTER :: KR44=>NULL()
REAL,DIMENSION(:),POINTER :: KR45=>NULL()
REAL,DIMENSION(:),POINTER :: KR46=>NULL()
! output channel (NOUT) and verbosity level (NVERB)
 INTEGER :: NOUT
INTEGER,DIMENSION(:),POINTER :: NVERB=>NULL()
! auxiliary variables defined by the user, if any (e.g. O2, N2, H2O)
! /BEGIN_MODULE/
!
! supplementary variables of the CCS that are to be placed into
! the TYPE definition of TPK (to be addressed e.g. as TPK%O2):
!
INTEGER,DIMENSION(:),POINTER :: MODELLEVEL,    &! index of the model level (1 for box model)
                     LON,                      &! longitude of curtrent grid point (degree)
                     LAT                        ! latitude of curtrent grid point (degree)
INTEGER,DIMENSION(:),POINTER :: YEAR, MONTH, DAY ! starting date of experiment (~DTEXP)
REAL,DIMENSION(:),POINTER    :: T,              &! temperature (K)
    PRESSURE,      &! pressure (atm)
    M,             &! air density (molec/cm3)
    H2O,           &! conc. of water molecules (molec/cm3)
    CLOUDWATER,    &! cloud water (kg/kg)
    RAINWATER,     &! rain water (kg/kg)
    RHODREF,       &! ref dry air density (kg/m3)
    O2, N2, H2,    &! conc. of oxigen, nitrogen, hydrogen (molec/cm3)
    CH4, CO2,      &! conc. of methane, carbon dioxide (molec/cm3)  
    O, OSD,        &! (molec/cm3) at equilibrium (fast species)
    RO22, RO23, RO24,    &! continue
    RO26, RO27, RO28, RO29,  &! continue
    RO210, RO211, RO212, &! continue
    RO213, RO214, RO215, &! continue
    RO216, RO217, RO218, &! continue
    RO219, RO220, RO221, &! continue
    RO222, RO223, RO224, &! continue
    RO225, RO226, RO227, &! continue
    RO228, RO229, RO230, &! continue
    RO231, RO232, RO233, &! continue
    RO234, RO235, RO236, &! continue
    RO237, RO238, RO239, &! continue
    RO240, RO241, RO242, &! continue
    RO243, RO244, RO245, &! continue
    RO246, RO247, RO248, &! continue
    RO249, RO250, RO251, &! continue
    RO252, RO253, RO254, &! continue
    RO255, RO256, RO257, &! continue
    RO258, RAD1, RAD2,   &! continue
    RAD3, RAD4, RAD5,    &! continue
    RAD6, RAD7, RAD8     
REAL,DIMENSION(:),POINTER    :: LWC,            &! cloud liquid water content (vol/vol)
            MOL2MOLECCLOUD, &! conversion factor mole/L to molec/cm3 in cloud
            RADC,           &! mean radius of cloud droplet (µm)
            PHC,            &! pH value of cloud water
            LWR,            &! rain liquid water content (vol/vol)
            MOL2MOLECRAIN,  &! conversion factor mole/L to molec/cm3 in rain
            RADR,           &! mean radius of rain drops (µm)
            PHR,            &! pH value of rain water
            RCH,            &! perfect gases constant
            W_O2             ! conc. of O2 in aqueous phase at equilibrium (M)
REAL,DIMENSION(:),POINTER    :: CF1, CF2, CF3, CF4, CF5,& ! stochiometric coef.
                                CF6, CF7, CF8, CF9, CF10,&
                                CF11, CF12, CF13, CF14, CF15,&
                                CF16, CF17, CF18, CF19, CF20,&
                                CF21, CF22, CF23, CF24, CF25,&
                                CF26, CF27, CF28, CF29, CF30,&
                                CF31, CF32, CF33, CF34, CF35,&
                                CF36, CF37, CF38, CF39, CF40,&
                                CF41, CF42, CF43, CF44, CF45,&
                                CF46, CF47, CF48, CF49, CFA1,&
                                CFA2, CFA3, CFA4, CFA5, CFA6,&
                                CFA7, CFA8, CFA9, CFA10, CFA11,&
                                CFA12, CFA13, CFA14, CFA15, CFA16,&
                                CFA17, CFA18, CFA19, CFA20, CFA21,&
                                CFA22, CFA23, CFA24
!
! /END_MODULE/
END TYPE CCSTYPE
!
! Use array of CCSTYPE to handle the 8 possible models :
! TACCS(i) refers to the CCSTYPE variable of the ith model
! You should declare a TYPE(CCSTYPE) pointer variable TZK to point to
! TACCS(i) in each subroutine that deals with CCSTYPE variables :
!
! TYPE(CCSTYPE),POINTER :: TZK
!
! TZK=>TACCS(KMI)
!
TYPE(CCSTYPE), DIMENSION(8), TARGET, SAVE :: TACCS ! 8 models 
!
! list of chemical species indices
INTEGER, PARAMETER :: JP_NO = 1
INTEGER, PARAMETER :: JP_NO2 = 2
INTEGER, PARAMETER :: JP_O3 = 3
INTEGER, PARAMETER :: JP_HONO = 4
INTEGER, PARAMETER :: JP_HNO3 = 5
INTEGER, PARAMETER :: JP_HNO4 = 6
INTEGER, PARAMETER :: JP_N2O5 = 7
INTEGER, PARAMETER :: JP_NO3 = 8
INTEGER, PARAMETER :: JP_NH3 = 9
INTEGER, PARAMETER :: JP_HO2 = 10
INTEGER, PARAMETER :: JP_CO = 11
INTEGER, PARAMETER :: JP_H2O2 = 12
INTEGER, PARAMETER :: JP_SO2 = 13
INTEGER, PARAMETER :: JP_H2SO4 = 14
INTEGER, PARAMETER :: JP_OH = 15
INTEGER, PARAMETER :: JP_ETHE = 16
INTEGER, PARAMETER :: JP_OLEL = 17
INTEGER, PARAMETER :: JP_OLEH = 18
INTEGER, PARAMETER :: JP_ALKL = 19
INTEGER, PARAMETER :: JP_ALKM = 20
INTEGER, PARAMETER :: JP_ALKH = 21
INTEGER, PARAMETER :: JP_AROH = 22
INTEGER, PARAMETER :: JP_AROL = 23
INTEGER, PARAMETER :: JP_AROO = 24
INTEGER, PARAMETER :: JP_ARAL = 25
INTEGER, PARAMETER :: JP_ARAC = 26
INTEGER, PARAMETER :: JP_PAH = 27
INTEGER, PARAMETER :: JP_HCHO = 28
INTEGER, PARAMETER :: JP_ALD2 = 29
INTEGER, PARAMETER :: JP_KETL = 30
INTEGER, PARAMETER :: JP_KETH = 31
INTEGER, PARAMETER :: JP_MEOH = 32
INTEGER, PARAMETER :: JP_ETOH = 33
INTEGER, PARAMETER :: JP_ALCH = 34
INTEGER, PARAMETER :: JP_ISOP = 35
INTEGER, PARAMETER :: JP_BIOL = 36
INTEGER, PARAMETER :: JP_BIOH = 37
INTEGER, PARAMETER :: JP_MTBE = 38
INTEGER, PARAMETER :: JP_MVK = 39
INTEGER, PARAMETER :: JP_MCR = 40
INTEGER, PARAMETER :: JP_MGLY = 41
INTEGER, PARAMETER :: JP_GLY = 42
INTEGER, PARAMETER :: JP_ORA1 = 43
INTEGER, PARAMETER :: JP_ORA2 = 44
INTEGER, PARAMETER :: JP_ACID = 45
INTEGER, PARAMETER :: JP_UR28 = 46
INTEGER, PARAMETER :: JP_UR21 = 47
INTEGER, PARAMETER :: JP_URG2 = 48
INTEGER, PARAMETER :: JP_UR26 = 49
INTEGER, PARAMETER :: JP_RPG2 = 50
INTEGER, PARAMETER :: JP_RP18 = 51
INTEGER, PARAMETER :: JP_RPG3 = 52
INTEGER, PARAMETER :: JP_URG4 = 53
INTEGER, PARAMETER :: JP_UR8 = 54
INTEGER, PARAMETER :: JP_UR17 = 55
INTEGER, PARAMETER :: JP_UR7 = 56
INTEGER, PARAMETER :: JP_RPR3 = 57
INTEGER, PARAMETER :: JP_URG6 = 58
INTEGER, PARAMETER :: JP_UR22 = 59
INTEGER, PARAMETER :: JP_URG7 = 60
INTEGER, PARAMETER :: JP_RPR4 = 61
INTEGER, PARAMETER :: JP_RPR7 = 62
INTEGER, PARAMETER :: JP_RPG7 = 63
INTEGER, PARAMETER :: JP_URG8 = 64
INTEGER, PARAMETER :: JP_UR19 = 65
INTEGER, PARAMETER :: JP_URG9 = 66
INTEGER, PARAMETER :: JP_AP7 = 67
INTEGER, PARAMETER :: JP_URG10 = 68
INTEGER, PARAMETER :: JP_RPR1 = 69
INTEGER, PARAMETER :: JP_RPR5 = 70
INTEGER, PARAMETER :: JP_RPR8 = 71
INTEGER, PARAMETER :: JP_RP10 = 72
INTEGER, PARAMETER :: JP_RP11 = 73
INTEGER, PARAMETER :: JP_RP16 = 74
INTEGER, PARAMETER :: JP_RPRL = 75
INTEGER, PARAMETER :: JP_APAN = 76
INTEGER, PARAMETER :: JP_PAN1 = 77
INTEGER, PARAMETER :: JP_PAN2 = 78
INTEGER, PARAMETER :: JP_PAN3 = 79
INTEGER, PARAMETER :: JP_PAN4 = 80
INTEGER, PARAMETER :: JP_PAN6 = 81
INTEGER, PARAMETER :: JP_PAN7 = 82
INTEGER, PARAMETER :: JP_PAN8 = 83
INTEGER, PARAMETER :: JP_PN10 = 84
INTEGER, PARAMETER :: JP_RO2T = 85
INTEGER, PARAMETER :: JP_RO21 = 86
INTEGER, PARAMETER :: JP_RO25 = 87
INTEGER, PARAMETER :: JP_WC_O3 = 88
INTEGER, PARAMETER :: JP_WC_H2O2 = 89
INTEGER, PARAMETER :: JP_WC_NO = 90
INTEGER, PARAMETER :: JP_WC_NO2 = 91
INTEGER, PARAMETER :: JP_WC_NO3 = 92
INTEGER, PARAMETER :: JP_WC_N2O5 = 93
INTEGER, PARAMETER :: JP_WC_HONO = 94
INTEGER, PARAMETER :: JP_WC_HNO3 = 95
INTEGER, PARAMETER :: JP_WC_HNO4 = 96
INTEGER, PARAMETER :: JP_WC_NH3 = 97
INTEGER, PARAMETER :: JP_WC_OH = 98
INTEGER, PARAMETER :: JP_WC_HO2 = 99
INTEGER, PARAMETER :: JP_WC_CO2 = 100
INTEGER, PARAMETER :: JP_WC_SO2 = 101
INTEGER, PARAMETER :: JP_WC_H2SO4 = 102
INTEGER, PARAMETER :: JP_WC_RO21 = 103
INTEGER, PARAMETER :: JP_WC_RO25 = 104
INTEGER, PARAMETER :: JP_WC_MEOH = 105
INTEGER, PARAMETER :: JP_WC_ETOH = 106
INTEGER, PARAMETER :: JP_WC_ALCH = 107
INTEGER, PARAMETER :: JP_WC_HCHO = 108
INTEGER, PARAMETER :: JP_WC_ALD2 = 109
INTEGER, PARAMETER :: JP_WC_GLY = 110
INTEGER, PARAMETER :: JP_WC_MGLY = 111
INTEGER, PARAMETER :: JP_WC_KETL = 112
INTEGER, PARAMETER :: JP_WC_ORA1 = 113
INTEGER, PARAMETER :: JP_WC_ORA2 = 114
INTEGER, PARAMETER :: JP_WC_ACID = 115
INTEGER, PARAMETER :: JP_WC_RP16 = 116
INTEGER, PARAMETER :: JP_WC_UR21 = 117
INTEGER, PARAMETER :: JP_WC_UR28 = 118
INTEGER, PARAMETER :: JP_WC_ACID2 = 119
INTEGER, PARAMETER :: JP_WC_ASO3 = 120
INTEGER, PARAMETER :: JP_WC_ASO4 = 121
INTEGER, PARAMETER :: JP_WC_ASO5 = 122
INTEGER, PARAMETER :: JP_WC_AHSO5 = 123
INTEGER, PARAMETER :: JP_WC_AHMS = 124
INTEGER, PARAMETER :: JP_WR_O3 = 125
INTEGER, PARAMETER :: JP_WR_H2O2 = 126
INTEGER, PARAMETER :: JP_WR_NO = 127
INTEGER, PARAMETER :: JP_WR_NO2 = 128
INTEGER, PARAMETER :: JP_WR_NO3 = 129
INTEGER, PARAMETER :: JP_WR_N2O5 = 130
INTEGER, PARAMETER :: JP_WR_HONO = 131
INTEGER, PARAMETER :: JP_WR_HNO3 = 132
INTEGER, PARAMETER :: JP_WR_HNO4 = 133
INTEGER, PARAMETER :: JP_WR_NH3 = 134
INTEGER, PARAMETER :: JP_WR_OH = 135
INTEGER, PARAMETER :: JP_WR_HO2 = 136
INTEGER, PARAMETER :: JP_WR_CO2 = 137
INTEGER, PARAMETER :: JP_WR_SO2 = 138
INTEGER, PARAMETER :: JP_WR_H2SO4 = 139
INTEGER, PARAMETER :: JP_WR_RO21 = 140
INTEGER, PARAMETER :: JP_WR_RO25 = 141
INTEGER, PARAMETER :: JP_WR_MEOH = 142
INTEGER, PARAMETER :: JP_WR_ETOH = 143
INTEGER, PARAMETER :: JP_WR_ALCH = 144
INTEGER, PARAMETER :: JP_WR_HCHO = 145
INTEGER, PARAMETER :: JP_WR_ALD2 = 146
INTEGER, PARAMETER :: JP_WR_GLY = 147
INTEGER, PARAMETER :: JP_WR_MGLY = 148
INTEGER, PARAMETER :: JP_WR_KETL = 149
INTEGER, PARAMETER :: JP_WR_ORA1 = 150
INTEGER, PARAMETER :: JP_WR_ORA2 = 151
INTEGER, PARAMETER :: JP_WR_ACID = 152
INTEGER, PARAMETER :: JP_WR_RP16 = 153
INTEGER, PARAMETER :: JP_WR_UR21 = 154
INTEGER, PARAMETER :: JP_WR_UR28 = 155
INTEGER, PARAMETER :: JP_WR_ACID2 = 156
INTEGER, PARAMETER :: JP_WR_ASO3 = 157
INTEGER, PARAMETER :: JP_WR_ASO4 = 158
INTEGER, PARAMETER :: JP_WR_ASO5 = 159
INTEGER, PARAMETER :: JP_WR_AHSO5 = 160
INTEGER, PARAMETER :: JP_WR_AHMS = 161
!
END MODULE MODD_CH_M9_SCHEME
!
!========================================================================
!
!     ##########################
      MODULE MODI_CH_ALLOCATE_TACCS
!     ##########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_ALLOCATE_TACCS(KMI,KVECNPT)
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI    ! model index
INTEGER, INTENT(IN)  :: KVECNPT
END SUBROUTINE CH_ALLOCATE_TACCS
END INTERFACE
END MODULE MODI_CH_ALLOCATE_TACCS
!
!========================================================================
!
!     ######################################
      SUBROUTINE CH_ALLOCATE_TACCS(KMI,KVECNPT)
!     ######################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_ALLOCATE_TACCS*
!!
!!    PURPOSE
!!    -------
!       Allocation of all CCSTYPE variables for model KMI
!!
!!**  METHOD
!!    ------
!!
!!   
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Gazen Didier (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 21/06/2005
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI    ! model index
INTEGER, INTENT(IN)  :: KVECNPT
!!
!!----------------------------------------------------------------------
! /BEGIN_INITIAL/
! /END_INITIAL/
! initialisation of the names of the chemical species
ALLOCATE(TACCS(KMI)%K001(KVECNPT))
ALLOCATE(TACCS(KMI)%K002(KVECNPT))
ALLOCATE(TACCS(KMI)%K003(KVECNPT))
ALLOCATE(TACCS(KMI)%K004(KVECNPT))
ALLOCATE(TACCS(KMI)%K005(KVECNPT))
ALLOCATE(TACCS(KMI)%K006(KVECNPT))
ALLOCATE(TACCS(KMI)%K007(KVECNPT))
ALLOCATE(TACCS(KMI)%K008(KVECNPT))
ALLOCATE(TACCS(KMI)%K009(KVECNPT))
ALLOCATE(TACCS(KMI)%K010(KVECNPT))
ALLOCATE(TACCS(KMI)%K011(KVECNPT))
ALLOCATE(TACCS(KMI)%K012(KVECNPT))
ALLOCATE(TACCS(KMI)%K013(KVECNPT))
ALLOCATE(TACCS(KMI)%K014(KVECNPT))
ALLOCATE(TACCS(KMI)%K015(KVECNPT))
ALLOCATE(TACCS(KMI)%K016(KVECNPT))
ALLOCATE(TACCS(KMI)%K017(KVECNPT))
ALLOCATE(TACCS(KMI)%K018A(KVECNPT))
ALLOCATE(TACCS(KMI)%K018B(KVECNPT))
ALLOCATE(TACCS(KMI)%K019(KVECNPT))
ALLOCATE(TACCS(KMI)%K020(KVECNPT))
ALLOCATE(TACCS(KMI)%K021(KVECNPT))
ALLOCATE(TACCS(KMI)%K022(KVECNPT))
ALLOCATE(TACCS(KMI)%K023(KVECNPT))
ALLOCATE(TACCS(KMI)%K024(KVECNPT))
ALLOCATE(TACCS(KMI)%K025(KVECNPT))
ALLOCATE(TACCS(KMI)%K026(KVECNPT))
ALLOCATE(TACCS(KMI)%K027(KVECNPT))
ALLOCATE(TACCS(KMI)%K028(KVECNPT))
ALLOCATE(TACCS(KMI)%K029(KVECNPT))
ALLOCATE(TACCS(KMI)%K030(KVECNPT))
ALLOCATE(TACCS(KMI)%K031(KVECNPT))
ALLOCATE(TACCS(KMI)%K032(KVECNPT))
ALLOCATE(TACCS(KMI)%K033(KVECNPT))
ALLOCATE(TACCS(KMI)%K034(KVECNPT))
ALLOCATE(TACCS(KMI)%K035(KVECNPT))
ALLOCATE(TACCS(KMI)%K036(KVECNPT))
ALLOCATE(TACCS(KMI)%K037(KVECNPT))
ALLOCATE(TACCS(KMI)%K038(KVECNPT))
ALLOCATE(TACCS(KMI)%K039(KVECNPT))
ALLOCATE(TACCS(KMI)%K040(KVECNPT))
ALLOCATE(TACCS(KMI)%K041(KVECNPT))
ALLOCATE(TACCS(KMI)%K042(KVECNPT))
ALLOCATE(TACCS(KMI)%K043(KVECNPT))
ALLOCATE(TACCS(KMI)%K044(KVECNPT))
ALLOCATE(TACCS(KMI)%K045(KVECNPT))
ALLOCATE(TACCS(KMI)%K046(KVECNPT))
ALLOCATE(TACCS(KMI)%K047(KVECNPT))
ALLOCATE(TACCS(KMI)%K048(KVECNPT))
ALLOCATE(TACCS(KMI)%K049(KVECNPT))
ALLOCATE(TACCS(KMI)%K050(KVECNPT))
ALLOCATE(TACCS(KMI)%K051(KVECNPT))
ALLOCATE(TACCS(KMI)%K052(KVECNPT))
ALLOCATE(TACCS(KMI)%K053(KVECNPT))
ALLOCATE(TACCS(KMI)%K054(KVECNPT))
ALLOCATE(TACCS(KMI)%K055(KVECNPT))
ALLOCATE(TACCS(KMI)%K056(KVECNPT))
ALLOCATE(TACCS(KMI)%K057(KVECNPT))
ALLOCATE(TACCS(KMI)%K058(KVECNPT))
ALLOCATE(TACCS(KMI)%K059(KVECNPT))
ALLOCATE(TACCS(KMI)%K060(KVECNPT))
ALLOCATE(TACCS(KMI)%K061(KVECNPT))
ALLOCATE(TACCS(KMI)%K062(KVECNPT))
ALLOCATE(TACCS(KMI)%K063(KVECNPT))
ALLOCATE(TACCS(KMI)%K064(KVECNPT))
ALLOCATE(TACCS(KMI)%K065(KVECNPT))
ALLOCATE(TACCS(KMI)%K066(KVECNPT))
ALLOCATE(TACCS(KMI)%K067(KVECNPT))
ALLOCATE(TACCS(KMI)%K068(KVECNPT))
ALLOCATE(TACCS(KMI)%K069(KVECNPT))
ALLOCATE(TACCS(KMI)%K070(KVECNPT))
ALLOCATE(TACCS(KMI)%K071(KVECNPT))
ALLOCATE(TACCS(KMI)%K072(KVECNPT))
ALLOCATE(TACCS(KMI)%K073(KVECNPT))
ALLOCATE(TACCS(KMI)%K074(KVECNPT))
ALLOCATE(TACCS(KMI)%K075(KVECNPT))
ALLOCATE(TACCS(KMI)%K076(KVECNPT))
ALLOCATE(TACCS(KMI)%K077(KVECNPT))
ALLOCATE(TACCS(KMI)%K078(KVECNPT))
ALLOCATE(TACCS(KMI)%K079(KVECNPT))
ALLOCATE(TACCS(KMI)%K080(KVECNPT))
ALLOCATE(TACCS(KMI)%K081(KVECNPT))
ALLOCATE(TACCS(KMI)%K082(KVECNPT))
ALLOCATE(TACCS(KMI)%K083(KVECNPT))
ALLOCATE(TACCS(KMI)%K084(KVECNPT))
ALLOCATE(TACCS(KMI)%K085(KVECNPT))
ALLOCATE(TACCS(KMI)%K086(KVECNPT))
ALLOCATE(TACCS(KMI)%K087(KVECNPT))
ALLOCATE(TACCS(KMI)%K088(KVECNPT))
ALLOCATE(TACCS(KMI)%K089(KVECNPT))
ALLOCATE(TACCS(KMI)%K090(KVECNPT))
ALLOCATE(TACCS(KMI)%K091(KVECNPT))
ALLOCATE(TACCS(KMI)%K092(KVECNPT))
ALLOCATE(TACCS(KMI)%K093(KVECNPT))
ALLOCATE(TACCS(KMI)%K094(KVECNPT))
ALLOCATE(TACCS(KMI)%K095(KVECNPT))
ALLOCATE(TACCS(KMI)%K096(KVECNPT))
ALLOCATE(TACCS(KMI)%K097(KVECNPT))
ALLOCATE(TACCS(KMI)%K098(KVECNPT))
ALLOCATE(TACCS(KMI)%K099(KVECNPT))
ALLOCATE(TACCS(KMI)%K100(KVECNPT))
ALLOCATE(TACCS(KMI)%K101(KVECNPT))
ALLOCATE(TACCS(KMI)%K102(KVECNPT))
ALLOCATE(TACCS(KMI)%K103(KVECNPT))
ALLOCATE(TACCS(KMI)%K104(KVECNPT))
ALLOCATE(TACCS(KMI)%K105(KVECNPT))
ALLOCATE(TACCS(KMI)%K106(KVECNPT))
ALLOCATE(TACCS(KMI)%K107(KVECNPT))
ALLOCATE(TACCS(KMI)%K108(KVECNPT))
ALLOCATE(TACCS(KMI)%K109(KVECNPT))
ALLOCATE(TACCS(KMI)%K110(KVECNPT))
ALLOCATE(TACCS(KMI)%K111(KVECNPT))
ALLOCATE(TACCS(KMI)%K112(KVECNPT))
ALLOCATE(TACCS(KMI)%K113(KVECNPT))
ALLOCATE(TACCS(KMI)%K114(KVECNPT))
ALLOCATE(TACCS(KMI)%K115(KVECNPT))
ALLOCATE(TACCS(KMI)%K116(KVECNPT))
ALLOCATE(TACCS(KMI)%K117(KVECNPT))
ALLOCATE(TACCS(KMI)%K118(KVECNPT))
ALLOCATE(TACCS(KMI)%K119(KVECNPT))
ALLOCATE(TACCS(KMI)%K120(KVECNPT))
ALLOCATE(TACCS(KMI)%K121(KVECNPT))
ALLOCATE(TACCS(KMI)%K122(KVECNPT))
ALLOCATE(TACCS(KMI)%K123(KVECNPT))
ALLOCATE(TACCS(KMI)%K124(KVECNPT))
ALLOCATE(TACCS(KMI)%K125(KVECNPT))
ALLOCATE(TACCS(KMI)%K126(KVECNPT))
ALLOCATE(TACCS(KMI)%K127(KVECNPT))
ALLOCATE(TACCS(KMI)%K128(KVECNPT))
ALLOCATE(TACCS(KMI)%K129(KVECNPT))
ALLOCATE(TACCS(KMI)%K130(KVECNPT))
ALLOCATE(TACCS(KMI)%K131(KVECNPT))
ALLOCATE(TACCS(KMI)%K132(KVECNPT))
ALLOCATE(TACCS(KMI)%K133(KVECNPT))
ALLOCATE(TACCS(KMI)%K134(KVECNPT))
ALLOCATE(TACCS(KMI)%K135(KVECNPT))
ALLOCATE(TACCS(KMI)%K136(KVECNPT))
ALLOCATE(TACCS(KMI)%K137(KVECNPT))
ALLOCATE(TACCS(KMI)%K138(KVECNPT))
ALLOCATE(TACCS(KMI)%K139(KVECNPT))
ALLOCATE(TACCS(KMI)%K140(KVECNPT))
ALLOCATE(TACCS(KMI)%K141(KVECNPT))
ALLOCATE(TACCS(KMI)%K142(KVECNPT))
ALLOCATE(TACCS(KMI)%K143(KVECNPT))
ALLOCATE(TACCS(KMI)%K144(KVECNPT))
ALLOCATE(TACCS(KMI)%K145(KVECNPT))
ALLOCATE(TACCS(KMI)%K146(KVECNPT))
ALLOCATE(TACCS(KMI)%K147(KVECNPT))
ALLOCATE(TACCS(KMI)%K148(KVECNPT))
ALLOCATE(TACCS(KMI)%K149(KVECNPT))
ALLOCATE(TACCS(KMI)%K150(KVECNPT))
ALLOCATE(TACCS(KMI)%K151(KVECNPT))
ALLOCATE(TACCS(KMI)%K152(KVECNPT))
ALLOCATE(TACCS(KMI)%K153(KVECNPT))
ALLOCATE(TACCS(KMI)%K154(KVECNPT))
ALLOCATE(TACCS(KMI)%K155(KVECNPT))
ALLOCATE(TACCS(KMI)%K156(KVECNPT))
ALLOCATE(TACCS(KMI)%K157(KVECNPT))
ALLOCATE(TACCS(KMI)%K158(KVECNPT))
ALLOCATE(TACCS(KMI)%K159(KVECNPT))
ALLOCATE(TACCS(KMI)%K160(KVECNPT))
ALLOCATE(TACCS(KMI)%K161(KVECNPT))
ALLOCATE(TACCS(KMI)%K162(KVECNPT))
ALLOCATE(TACCS(KMI)%K163(KVECNPT))
ALLOCATE(TACCS(KMI)%K164(KVECNPT))
ALLOCATE(TACCS(KMI)%K165(KVECNPT))
ALLOCATE(TACCS(KMI)%K166(KVECNPT))
ALLOCATE(TACCS(KMI)%K167(KVECNPT))
ALLOCATE(TACCS(KMI)%K168(KVECNPT))
ALLOCATE(TACCS(KMI)%K169(KVECNPT))
ALLOCATE(TACCS(KMI)%K170(KVECNPT))
ALLOCATE(TACCS(KMI)%K171(KVECNPT))
ALLOCATE(TACCS(KMI)%K172(KVECNPT))
ALLOCATE(TACCS(KMI)%K173(KVECNPT))
ALLOCATE(TACCS(KMI)%K174(KVECNPT))
ALLOCATE(TACCS(KMI)%K175(KVECNPT))
ALLOCATE(TACCS(KMI)%K176(KVECNPT))
ALLOCATE(TACCS(KMI)%K177(KVECNPT))
ALLOCATE(TACCS(KMI)%K178(KVECNPT))
ALLOCATE(TACCS(KMI)%K179(KVECNPT))
ALLOCATE(TACCS(KMI)%K180(KVECNPT))
ALLOCATE(TACCS(KMI)%K181(KVECNPT))
ALLOCATE(TACCS(KMI)%K182(KVECNPT))
ALLOCATE(TACCS(KMI)%K183(KVECNPT))
ALLOCATE(TACCS(KMI)%K184(KVECNPT))
ALLOCATE(TACCS(KMI)%K185(KVECNPT))
ALLOCATE(TACCS(KMI)%K186(KVECNPT))
ALLOCATE(TACCS(KMI)%K187(KVECNPT))
ALLOCATE(TACCS(KMI)%K188(KVECNPT))
ALLOCATE(TACCS(KMI)%K189(KVECNPT))
ALLOCATE(TACCS(KMI)%K190(KVECNPT))
ALLOCATE(TACCS(KMI)%K191(KVECNPT))
ALLOCATE(TACCS(KMI)%K192(KVECNPT))
ALLOCATE(TACCS(KMI)%K193(KVECNPT))
ALLOCATE(TACCS(KMI)%K194(KVECNPT))
ALLOCATE(TACCS(KMI)%K195(KVECNPT))
ALLOCATE(TACCS(KMI)%K196(KVECNPT))
ALLOCATE(TACCS(KMI)%K197(KVECNPT))
ALLOCATE(TACCS(KMI)%K198(KVECNPT))
ALLOCATE(TACCS(KMI)%K199(KVECNPT))
ALLOCATE(TACCS(KMI)%K200(KVECNPT))
ALLOCATE(TACCS(KMI)%K201(KVECNPT))
ALLOCATE(TACCS(KMI)%K202(KVECNPT))
ALLOCATE(TACCS(KMI)%K203(KVECNPT))
ALLOCATE(TACCS(KMI)%K204(KVECNPT))
ALLOCATE(TACCS(KMI)%K205(KVECNPT))
ALLOCATE(TACCS(KMI)%K206(KVECNPT))
ALLOCATE(TACCS(KMI)%K207(KVECNPT))
ALLOCATE(TACCS(KMI)%K208(KVECNPT))
ALLOCATE(TACCS(KMI)%K209(KVECNPT))
ALLOCATE(TACCS(KMI)%K210(KVECNPT))
ALLOCATE(TACCS(KMI)%K211(KVECNPT))
ALLOCATE(TACCS(KMI)%K212(KVECNPT))
ALLOCATE(TACCS(KMI)%K213(KVECNPT))
ALLOCATE(TACCS(KMI)%K214(KVECNPT))
ALLOCATE(TACCS(KMI)%K215(KVECNPT))
ALLOCATE(TACCS(KMI)%K216(KVECNPT))
ALLOCATE(TACCS(KMI)%K217(KVECNPT))
ALLOCATE(TACCS(KMI)%K218(KVECNPT))
ALLOCATE(TACCS(KMI)%K219(KVECNPT))
ALLOCATE(TACCS(KMI)%K220(KVECNPT))
ALLOCATE(TACCS(KMI)%K221(KVECNPT))
ALLOCATE(TACCS(KMI)%K222(KVECNPT))
ALLOCATE(TACCS(KMI)%K223(KVECNPT))
ALLOCATE(TACCS(KMI)%K224(KVECNPT))
ALLOCATE(TACCS(KMI)%K225(KVECNPT))
ALLOCATE(TACCS(KMI)%K226(KVECNPT))
ALLOCATE(TACCS(KMI)%K227(KVECNPT))
ALLOCATE(TACCS(KMI)%K228(KVECNPT))
ALLOCATE(TACCS(KMI)%K229(KVECNPT))
ALLOCATE(TACCS(KMI)%K230(KVECNPT))
ALLOCATE(TACCS(KMI)%K231(KVECNPT))
ALLOCATE(TACCS(KMI)%K232(KVECNPT))
ALLOCATE(TACCS(KMI)%K233(KVECNPT))
ALLOCATE(TACCS(KMI)%K234(KVECNPT))
ALLOCATE(TACCS(KMI)%K235(KVECNPT))
ALLOCATE(TACCS(KMI)%K236(KVECNPT))
ALLOCATE(TACCS(KMI)%K237(KVECNPT))
ALLOCATE(TACCS(KMI)%K238(KVECNPT))
ALLOCATE(TACCS(KMI)%K239(KVECNPT))
ALLOCATE(TACCS(KMI)%K240(KVECNPT))
ALLOCATE(TACCS(KMI)%K241(KVECNPT))
ALLOCATE(TACCS(KMI)%K242(KVECNPT))
ALLOCATE(TACCS(KMI)%K243(KVECNPT))
ALLOCATE(TACCS(KMI)%K244(KVECNPT))
ALLOCATE(TACCS(KMI)%K245(KVECNPT))
ALLOCATE(TACCS(KMI)%K246(KVECNPT))
ALLOCATE(TACCS(KMI)%K247(KVECNPT))
ALLOCATE(TACCS(KMI)%K248(KVECNPT))
ALLOCATE(TACCS(KMI)%K249(KVECNPT))
ALLOCATE(TACCS(KMI)%K250(KVECNPT))
ALLOCATE(TACCS(KMI)%K251(KVECNPT))
ALLOCATE(TACCS(KMI)%K252(KVECNPT))
ALLOCATE(TACCS(KMI)%K253(KVECNPT))
ALLOCATE(TACCS(KMI)%K254(KVECNPT))
ALLOCATE(TACCS(KMI)%K255(KVECNPT))
ALLOCATE(TACCS(KMI)%K256(KVECNPT))
ALLOCATE(TACCS(KMI)%K257(KVECNPT))
ALLOCATE(TACCS(KMI)%K258(KVECNPT))
ALLOCATE(TACCS(KMI)%K259(KVECNPT))
ALLOCATE(TACCS(KMI)%K260(KVECNPT))
ALLOCATE(TACCS(KMI)%K261(KVECNPT))
ALLOCATE(TACCS(KMI)%K262(KVECNPT))
ALLOCATE(TACCS(KMI)%K263(KVECNPT))
ALLOCATE(TACCS(KMI)%K264(KVECNPT))
ALLOCATE(TACCS(KMI)%K265(KVECNPT))
ALLOCATE(TACCS(KMI)%K266(KVECNPT))
ALLOCATE(TACCS(KMI)%K267(KVECNPT))
ALLOCATE(TACCS(KMI)%K268(KVECNPT))
ALLOCATE(TACCS(KMI)%K269(KVECNPT))
ALLOCATE(TACCS(KMI)%K270(KVECNPT))
ALLOCATE(TACCS(KMI)%K271(KVECNPT))
ALLOCATE(TACCS(KMI)%K272(KVECNPT))
ALLOCATE(TACCS(KMI)%K273(KVECNPT))
ALLOCATE(TACCS(KMI)%K274(KVECNPT))
ALLOCATE(TACCS(KMI)%K275(KVECNPT))
ALLOCATE(TACCS(KMI)%K276(KVECNPT))
ALLOCATE(TACCS(KMI)%K277(KVECNPT))
ALLOCATE(TACCS(KMI)%K278(KVECNPT))
ALLOCATE(TACCS(KMI)%K279(KVECNPT))
ALLOCATE(TACCS(KMI)%K280(KVECNPT))
ALLOCATE(TACCS(KMI)%K281(KVECNPT))
ALLOCATE(TACCS(KMI)%K282(KVECNPT))
ALLOCATE(TACCS(KMI)%K283(KVECNPT))
ALLOCATE(TACCS(KMI)%K284(KVECNPT))
ALLOCATE(TACCS(KMI)%K285(KVECNPT))
ALLOCATE(TACCS(KMI)%K286(KVECNPT))
ALLOCATE(TACCS(KMI)%K287(KVECNPT))
ALLOCATE(TACCS(KMI)%K288(KVECNPT))
ALLOCATE(TACCS(KMI)%K289(KVECNPT))
ALLOCATE(TACCS(KMI)%K290(KVECNPT))
ALLOCATE(TACCS(KMI)%K291(KVECNPT))
ALLOCATE(TACCS(KMI)%K292(KVECNPT))
ALLOCATE(TACCS(KMI)%K293(KVECNPT))
ALLOCATE(TACCS(KMI)%K294(KVECNPT))
ALLOCATE(TACCS(KMI)%K295(KVECNPT))
ALLOCATE(TACCS(KMI)%K296(KVECNPT))
ALLOCATE(TACCS(KMI)%K297(KVECNPT))
ALLOCATE(TACCS(KMI)%K298(KVECNPT))
ALLOCATE(TACCS(KMI)%K299(KVECNPT))
ALLOCATE(TACCS(KMI)%K300(KVECNPT))
ALLOCATE(TACCS(KMI)%K301(KVECNPT))
ALLOCATE(TACCS(KMI)%K302(KVECNPT))
ALLOCATE(TACCS(KMI)%K303(KVECNPT))
ALLOCATE(TACCS(KMI)%K304(KVECNPT))
ALLOCATE(TACCS(KMI)%K305(KVECNPT))
ALLOCATE(TACCS(KMI)%K306(KVECNPT))
ALLOCATE(TACCS(KMI)%K307(KVECNPT))
ALLOCATE(TACCS(KMI)%K308(KVECNPT))
ALLOCATE(TACCS(KMI)%K309(KVECNPT))
ALLOCATE(TACCS(KMI)%K310(KVECNPT))
ALLOCATE(TACCS(KMI)%K311(KVECNPT))
ALLOCATE(TACCS(KMI)%K312(KVECNPT))
ALLOCATE(TACCS(KMI)%K313(KVECNPT))
ALLOCATE(TACCS(KMI)%K314(KVECNPT))
ALLOCATE(TACCS(KMI)%K315(KVECNPT))
ALLOCATE(TACCS(KMI)%K316(KVECNPT))
ALLOCATE(TACCS(KMI)%K317(KVECNPT))
ALLOCATE(TACCS(KMI)%K318(KVECNPT))
ALLOCATE(TACCS(KMI)%K319(KVECNPT))
ALLOCATE(TACCS(KMI)%K320(KVECNPT))
ALLOCATE(TACCS(KMI)%K321(KVECNPT))
ALLOCATE(TACCS(KMI)%K322(KVECNPT))
ALLOCATE(TACCS(KMI)%K323(KVECNPT))
ALLOCATE(TACCS(KMI)%K324(KVECNPT))
ALLOCATE(TACCS(KMI)%K325(KVECNPT))
ALLOCATE(TACCS(KMI)%K326(KVECNPT))
ALLOCATE(TACCS(KMI)%K327(KVECNPT))
ALLOCATE(TACCS(KMI)%K328(KVECNPT))
ALLOCATE(TACCS(KMI)%K329(KVECNPT))
ALLOCATE(TACCS(KMI)%K330(KVECNPT))
ALLOCATE(TACCS(KMI)%K331(KVECNPT))
ALLOCATE(TACCS(KMI)%K332(KVECNPT))
ALLOCATE(TACCS(KMI)%K333(KVECNPT))
ALLOCATE(TACCS(KMI)%K334(KVECNPT))
ALLOCATE(TACCS(KMI)%K335(KVECNPT))
ALLOCATE(TACCS(KMI)%K337(KVECNPT))
ALLOCATE(TACCS(KMI)%K338(KVECNPT))
ALLOCATE(TACCS(KMI)%K339(KVECNPT))
ALLOCATE(TACCS(KMI)%K340(KVECNPT))
ALLOCATE(TACCS(KMI)%K341(KVECNPT))
ALLOCATE(TACCS(KMI)%K342(KVECNPT))
ALLOCATE(TACCS(KMI)%K343(KVECNPT))
ALLOCATE(TACCS(KMI)%K344(KVECNPT))
ALLOCATE(TACCS(KMI)%K345(KVECNPT))
ALLOCATE(TACCS(KMI)%K346(KVECNPT))
ALLOCATE(TACCS(KMI)%K347(KVECNPT))
ALLOCATE(TACCS(KMI)%K348(KVECNPT))
ALLOCATE(TACCS(KMI)%K349(KVECNPT))
ALLOCATE(TACCS(KMI)%K350(KVECNPT))
ALLOCATE(TACCS(KMI)%K351(KVECNPT))
ALLOCATE(TACCS(KMI)%K352(KVECNPT))
ALLOCATE(TACCS(KMI)%K353(KVECNPT))
ALLOCATE(TACCS(KMI)%K354(KVECNPT))
ALLOCATE(TACCS(KMI)%K355(KVECNPT))
ALLOCATE(TACCS(KMI)%K356(KVECNPT))
ALLOCATE(TACCS(KMI)%K357(KVECNPT))
ALLOCATE(TACCS(KMI)%K358(KVECNPT))
ALLOCATE(TACCS(KMI)%K359(KVECNPT))
ALLOCATE(TACCS(KMI)%K360(KVECNPT))
ALLOCATE(TACCS(KMI)%K361(KVECNPT))
ALLOCATE(TACCS(KMI)%K362(KVECNPT))
ALLOCATE(TACCS(KMI)%K363(KVECNPT))
ALLOCATE(TACCS(KMI)%K364(KVECNPT))
ALLOCATE(TACCS(KMI)%K365(KVECNPT))
IF (TACCS(KMI)%LUSECHAQ) THEN
  ALLOCATE(TACCS(KMI)%KTC1(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC2(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC3(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC4(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC5(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC6(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC7(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC8(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC9(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC10(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC11(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC12(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC13(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC14(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC15(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC16(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC17(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC18(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC19(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC20(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC21(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC22(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC23(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC24(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC25(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC26(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC27(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC28(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC29(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC30(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC31(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC32(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC33(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC34(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC35(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC36(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC37(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC38(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC39(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC40(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC41(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC42(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC43(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC44(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC45(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC46(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC47(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC48(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC49(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC50(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC51(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC52(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC53(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC54(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC55(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC56(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC57(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC58(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC59(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC60(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC61(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTC62(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR1(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR2(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR3(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR4(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR5(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR6(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR7(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR8(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR9(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR10(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR11(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR12(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR13(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR14(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR15(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR16(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR17(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR18(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR19(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR20(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR21(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR22(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR23(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR24(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR25(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR26(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR27(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR28(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR29(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR30(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR31(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR32(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR33(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR34(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR35(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR36(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR37(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR38(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR39(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR40(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR41(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR42(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR43(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR44(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR45(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR46(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR47(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR48(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR49(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR50(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR51(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR52(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR53(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR54(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR55(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR56(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR57(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR58(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR59(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR60(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR61(KVECNPT))
  ALLOCATE(TACCS(KMI)%KTR62(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC1(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC2(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC3(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC4(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC5(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC6(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC7(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC8(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC9(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC10(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC11(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC12(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC13(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC14(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC15(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC16(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC17(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC18(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC19(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC20(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC21(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC22(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC23(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC24(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC25(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC26(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC27(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC28(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC29(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC30(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC31(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC32(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC33(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC34(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC35(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC36(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC37(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC38(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC39(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC40(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC41(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC42(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC43(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC44(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC45(KVECNPT))
  ALLOCATE(TACCS(KMI)%KC46(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR1(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR2(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR3(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR4(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR5(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR6(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR7(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR8(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR9(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR10(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR11(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR12(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR13(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR14(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR15(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR16(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR17(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR18(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR19(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR20(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR21(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR22(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR23(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR24(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR25(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR26(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR27(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR28(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR29(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR30(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR31(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR32(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR33(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR34(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR35(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR36(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR37(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR38(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR39(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR40(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR41(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR42(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR43(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR44(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR45(KVECNPT))
  ALLOCATE(TACCS(KMI)%KR46(KVECNPT))
END IF
ALLOCATE(TACCS(KMI)%NVERB(KVECNPT))
ALLOCATE(TACCS(KMI)%MODELLEVEL(KVECNPT))
ALLOCATE(TACCS(KMI)%LAT(KVECNPT))
ALLOCATE(TACCS(KMI)%LON(KVECNPT))
ALLOCATE(TACCS(KMI)%YEAR(KVECNPT))
ALLOCATE(TACCS(KMI)%MONTH(KVECNPT))
ALLOCATE(TACCS(KMI)%DAY(KVECNPT))
ALLOCATE(TACCS(KMI)%T(KVECNPT))
ALLOCATE(TACCS(KMI)%PRESSURE(KVECNPT))
ALLOCATE(TACCS(KMI)%M(KVECNPT))
ALLOCATE(TACCS(KMI)%H2O(KVECNPT))
ALLOCATE(TACCS(KMI)%CLOUDWATER(KVECNPT))
ALLOCATE(TACCS(KMI)%RAINWATER(KVECNPT))
ALLOCATE(TACCS(KMI)%RHODREF(KVECNPT))
ALLOCATE(TACCS(KMI)%O2(KVECNPT))
ALLOCATE(TACCS(KMI)%N2(KVECNPT))
ALLOCATE(TACCS(KMI)%H2(KVECNPT))
ALLOCATE(TACCS(KMI)%CO2(KVECNPT))
ALLOCATE(TACCS(KMI)%CH4(KVECNPT))
ALLOCATE(TACCS(KMI)%O (KVECNPT))
ALLOCATE(TACCS(KMI)%OSD (KVECNPT))
ALLOCATE(TACCS(KMI)%RO22 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO23 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO24 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO26 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO27 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO28(KVECNPT))
ALLOCATE(TACCS(KMI)%RO29 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO210 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO211 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO212 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO213 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO214 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO215 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO216 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO217 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO218 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO219 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO220 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO221 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO222 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO223 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO224 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO225 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO226 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO227 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO228 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO229 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO230 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO231 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO232 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO233 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO234 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO235 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO236 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO237 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO238 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO239 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO240 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO241 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO242 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO243 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO244 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO245 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO246 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO247 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO248 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO249 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO250 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO251 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO252 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO253 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO254 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO255 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO256 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO257 (KVECNPT))
ALLOCATE(TACCS(KMI)%RO258 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD1 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD2 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD3 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD4 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD5 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD6 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD7 (KVECNPT))
ALLOCATE(TACCS(KMI)%RAD8 (KVECNPT))
ALLOCATE(TACCS(KMI)%LWC(KVECNPT))
ALLOCATE(TACCS(KMI)%MOL2MOLECCLOUD(KVECNPT))
ALLOCATE(TACCS(KMI)%RADC(KVECNPT))
ALLOCATE(TACCS(KMI)%PHC(KVECNPT))
ALLOCATE(TACCS(KMI)%LWR(KVECNPT))
ALLOCATE(TACCS(KMI)%MOL2MOLECRAIN(KVECNPT))
ALLOCATE(TACCS(KMI)%RADR(KVECNPT))
ALLOCATE(TACCS(KMI)%PHR(KVECNPT))
ALLOCATE(TACCS(KMI)%RCH(KVECNPT))
ALLOCATE(TACCS(KMI)%W_O2(KVECNPT))
ALLOCATE(TACCS(KMI)%CF1(KVECNPT))
ALLOCATE(TACCS(KMI)%CF2(KVECNPT))
ALLOCATE(TACCS(KMI)%CF3(KVECNPT))
ALLOCATE(TACCS(KMI)%CF4(KVECNPT))
ALLOCATE(TACCS(KMI)%CF5(KVECNPT))
ALLOCATE(TACCS(KMI)%CF6(KVECNPT))
ALLOCATE(TACCS(KMI)%CF7(KVECNPT))
ALLOCATE(TACCS(KMI)%CF8(KVECNPT))
ALLOCATE(TACCS(KMI)%CF9(KVECNPT))
ALLOCATE(TACCS(KMI)%CF10(KVECNPT))
ALLOCATE(TACCS(KMI)%CF11(KVECNPT))
ALLOCATE(TACCS(KMI)%CF12(KVECNPT))
ALLOCATE(TACCS(KMI)%CF13(KVECNPT))
ALLOCATE(TACCS(KMI)%CF14(KVECNPT))
ALLOCATE(TACCS(KMI)%CF15(KVECNPT))
ALLOCATE(TACCS(KMI)%CF16(KVECNPT))
ALLOCATE(TACCS(KMI)%CF17(KVECNPT))
ALLOCATE(TACCS(KMI)%CF18(KVECNPT))
ALLOCATE(TACCS(KMI)%CF19(KVECNPT))
ALLOCATE(TACCS(KMI)%CF20(KVECNPT))
ALLOCATE(TACCS(KMI)%CF21(KVECNPT))
ALLOCATE(TACCS(KMI)%CF22(KVECNPT))
ALLOCATE(TACCS(KMI)%CF23(KVECNPT))
ALLOCATE(TACCS(KMI)%CF24(KVECNPT))
ALLOCATE(TACCS(KMI)%CF25(KVECNPT))
ALLOCATE(TACCS(KMI)%CF26(KVECNPT))
ALLOCATE(TACCS(KMI)%CF27(KVECNPT))
ALLOCATE(TACCS(KMI)%CF28(KVECNPT))
ALLOCATE(TACCS(KMI)%CF29(KVECNPT))
ALLOCATE(TACCS(KMI)%CF30(KVECNPT))
ALLOCATE(TACCS(KMI)%CF31(KVECNPT))
ALLOCATE(TACCS(KMI)%CF32(KVECNPT))
ALLOCATE(TACCS(KMI)%CF33(KVECNPT))
ALLOCATE(TACCS(KMI)%CF34(KVECNPT))
ALLOCATE(TACCS(KMI)%CF35(KVECNPT))
ALLOCATE(TACCS(KMI)%CF36(KVECNPT))
ALLOCATE(TACCS(KMI)%CF37(KVECNPT))
ALLOCATE(TACCS(KMI)%CF38(KVECNPT))
ALLOCATE(TACCS(KMI)%CF39(KVECNPT))
ALLOCATE(TACCS(KMI)%CF40(KVECNPT))
ALLOCATE(TACCS(KMI)%CF41(KVECNPT))
ALLOCATE(TACCS(KMI)%CF42(KVECNPT))
ALLOCATE(TACCS(KMI)%CF43(KVECNPT))
ALLOCATE(TACCS(KMI)%CF44(KVECNPT))
ALLOCATE(TACCS(KMI)%CF45(KVECNPT))
ALLOCATE(TACCS(KMI)%CF46(KVECNPT))
ALLOCATE(TACCS(KMI)%CF47(KVECNPT))
ALLOCATE(TACCS(KMI)%CF48(KVECNPT))
ALLOCATE(TACCS(KMI)%CF49(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA1(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA2(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA3(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA4(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA5(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA6(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA7(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA8(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA9(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA10(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA11(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA12(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA13(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA14(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA15(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA16(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA17(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA18(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA19(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA20(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA21(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA22(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA23(KVECNPT))
ALLOCATE(TACCS(KMI)%CFA24(KVECNPT))
END SUBROUTINE CH_ALLOCATE_TACCS
!
!========================================================================
!
!     ##########################
      MODULE MODI_CH_DEALLOCATE_TACCS
!     ##########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_DEALLOCATE_TACCS(KMI)
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI    ! model index
END SUBROUTINE CH_DEALLOCATE_TACCS
END INTERFACE
END MODULE MODI_CH_DEALLOCATE_TACCS
!
!========================================================================
!
!     ###################################
      SUBROUTINE CH_DEALLOCATE_TACCS(KMI)
!     ###################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_DEALLOCATE_TACCS*
!!
!!    PURPOSE
!!    -------
!       Deallocation of all CCSTYPE variables for model KMI
!!
!!**  METHOD
!!    ------
!!
!!   
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Gazen Didier (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 21/06/2005
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI    ! model index
!!
!!----------------------------------------------------------------------
! /BEGIN_INITIAL/
! /END_INITIAL/
! initialisation of the names of the chemical species
IF (ASSOCIATED(TACCS(KMI)%K001))  DEALLOCATE(TACCS(KMI)%K001)
IF (ASSOCIATED(TACCS(KMI)%K002))  DEALLOCATE(TACCS(KMI)%K002)
IF (ASSOCIATED(TACCS(KMI)%K003))  DEALLOCATE(TACCS(KMI)%K003)
IF (ASSOCIATED(TACCS(KMI)%K004))  DEALLOCATE(TACCS(KMI)%K004)
IF (ASSOCIATED(TACCS(KMI)%K005))  DEALLOCATE(TACCS(KMI)%K005)
IF (ASSOCIATED(TACCS(KMI)%K006))  DEALLOCATE(TACCS(KMI)%K006)
IF (ASSOCIATED(TACCS(KMI)%K007))  DEALLOCATE(TACCS(KMI)%K007)
IF (ASSOCIATED(TACCS(KMI)%K008))  DEALLOCATE(TACCS(KMI)%K008)
IF (ASSOCIATED(TACCS(KMI)%K009))  DEALLOCATE(TACCS(KMI)%K009)
IF (ASSOCIATED(TACCS(KMI)%K010))  DEALLOCATE(TACCS(KMI)%K010)
IF (ASSOCIATED(TACCS(KMI)%K011))  DEALLOCATE(TACCS(KMI)%K011)
IF (ASSOCIATED(TACCS(KMI)%K012))  DEALLOCATE(TACCS(KMI)%K012)
IF (ASSOCIATED(TACCS(KMI)%K013))  DEALLOCATE(TACCS(KMI)%K013)
IF (ASSOCIATED(TACCS(KMI)%K014))  DEALLOCATE(TACCS(KMI)%K014)
IF (ASSOCIATED(TACCS(KMI)%K015))  DEALLOCATE(TACCS(KMI)%K015)
IF (ASSOCIATED(TACCS(KMI)%K016))  DEALLOCATE(TACCS(KMI)%K016)
IF (ASSOCIATED(TACCS(KMI)%K017))  DEALLOCATE(TACCS(KMI)%K017)
IF (ASSOCIATED(TACCS(KMI)%K018A))  DEALLOCATE(TACCS(KMI)%K018A)
IF (ASSOCIATED(TACCS(KMI)%K018B))  DEALLOCATE(TACCS(KMI)%K018B)
IF (ASSOCIATED(TACCS(KMI)%K019))  DEALLOCATE(TACCS(KMI)%K019)
IF (ASSOCIATED(TACCS(KMI)%K020))  DEALLOCATE(TACCS(KMI)%K020)
IF (ASSOCIATED(TACCS(KMI)%K021))  DEALLOCATE(TACCS(KMI)%K021)
IF (ASSOCIATED(TACCS(KMI)%K022))  DEALLOCATE(TACCS(KMI)%K022)
IF (ASSOCIATED(TACCS(KMI)%K023))  DEALLOCATE(TACCS(KMI)%K023)
IF (ASSOCIATED(TACCS(KMI)%K024))  DEALLOCATE(TACCS(KMI)%K024)
IF (ASSOCIATED(TACCS(KMI)%K025))  DEALLOCATE(TACCS(KMI)%K025)
IF (ASSOCIATED(TACCS(KMI)%K026))  DEALLOCATE(TACCS(KMI)%K026)
IF (ASSOCIATED(TACCS(KMI)%K027))  DEALLOCATE(TACCS(KMI)%K027)
IF (ASSOCIATED(TACCS(KMI)%K028))  DEALLOCATE(TACCS(KMI)%K028)
IF (ASSOCIATED(TACCS(KMI)%K029))  DEALLOCATE(TACCS(KMI)%K029)
IF (ASSOCIATED(TACCS(KMI)%K030))  DEALLOCATE(TACCS(KMI)%K030)
IF (ASSOCIATED(TACCS(KMI)%K031))  DEALLOCATE(TACCS(KMI)%K031)
IF (ASSOCIATED(TACCS(KMI)%K032))  DEALLOCATE(TACCS(KMI)%K032)
IF (ASSOCIATED(TACCS(KMI)%K033))  DEALLOCATE(TACCS(KMI)%K033)
IF (ASSOCIATED(TACCS(KMI)%K034))  DEALLOCATE(TACCS(KMI)%K034)
IF (ASSOCIATED(TACCS(KMI)%K035))  DEALLOCATE(TACCS(KMI)%K035)
IF (ASSOCIATED(TACCS(KMI)%K036))  DEALLOCATE(TACCS(KMI)%K036)
IF (ASSOCIATED(TACCS(KMI)%K037))  DEALLOCATE(TACCS(KMI)%K037)
IF (ASSOCIATED(TACCS(KMI)%K038))  DEALLOCATE(TACCS(KMI)%K038)
IF (ASSOCIATED(TACCS(KMI)%K039))  DEALLOCATE(TACCS(KMI)%K039)
IF (ASSOCIATED(TACCS(KMI)%K040))  DEALLOCATE(TACCS(KMI)%K040)
IF (ASSOCIATED(TACCS(KMI)%K041))  DEALLOCATE(TACCS(KMI)%K041)
IF (ASSOCIATED(TACCS(KMI)%K042))  DEALLOCATE(TACCS(KMI)%K042)
IF (ASSOCIATED(TACCS(KMI)%K043))  DEALLOCATE(TACCS(KMI)%K043)
IF (ASSOCIATED(TACCS(KMI)%K044))  DEALLOCATE(TACCS(KMI)%K044)
IF (ASSOCIATED(TACCS(KMI)%K045))  DEALLOCATE(TACCS(KMI)%K045)
IF (ASSOCIATED(TACCS(KMI)%K046))  DEALLOCATE(TACCS(KMI)%K046)
IF (ASSOCIATED(TACCS(KMI)%K047))  DEALLOCATE(TACCS(KMI)%K047)
IF (ASSOCIATED(TACCS(KMI)%K048))  DEALLOCATE(TACCS(KMI)%K048)
IF (ASSOCIATED(TACCS(KMI)%K049))  DEALLOCATE(TACCS(KMI)%K049)
IF (ASSOCIATED(TACCS(KMI)%K050))  DEALLOCATE(TACCS(KMI)%K050)
IF (ASSOCIATED(TACCS(KMI)%K051))  DEALLOCATE(TACCS(KMI)%K051)
IF (ASSOCIATED(TACCS(KMI)%K052))  DEALLOCATE(TACCS(KMI)%K052)
IF (ASSOCIATED(TACCS(KMI)%K053))  DEALLOCATE(TACCS(KMI)%K053)
IF (ASSOCIATED(TACCS(KMI)%K054))  DEALLOCATE(TACCS(KMI)%K054)
IF (ASSOCIATED(TACCS(KMI)%K055))  DEALLOCATE(TACCS(KMI)%K055)
IF (ASSOCIATED(TACCS(KMI)%K056))  DEALLOCATE(TACCS(KMI)%K056)
IF (ASSOCIATED(TACCS(KMI)%K057))  DEALLOCATE(TACCS(KMI)%K057)
IF (ASSOCIATED(TACCS(KMI)%K058))  DEALLOCATE(TACCS(KMI)%K058)
IF (ASSOCIATED(TACCS(KMI)%K059))  DEALLOCATE(TACCS(KMI)%K059)
IF (ASSOCIATED(TACCS(KMI)%K060))  DEALLOCATE(TACCS(KMI)%K060)
IF (ASSOCIATED(TACCS(KMI)%K061))  DEALLOCATE(TACCS(KMI)%K061)
IF (ASSOCIATED(TACCS(KMI)%K062))  DEALLOCATE(TACCS(KMI)%K062)
IF (ASSOCIATED(TACCS(KMI)%K063))  DEALLOCATE(TACCS(KMI)%K063)
IF (ASSOCIATED(TACCS(KMI)%K064))  DEALLOCATE(TACCS(KMI)%K064)
IF (ASSOCIATED(TACCS(KMI)%K065))  DEALLOCATE(TACCS(KMI)%K065)
IF (ASSOCIATED(TACCS(KMI)%K066))  DEALLOCATE(TACCS(KMI)%K066)
IF (ASSOCIATED(TACCS(KMI)%K067))  DEALLOCATE(TACCS(KMI)%K067)
IF (ASSOCIATED(TACCS(KMI)%K068))  DEALLOCATE(TACCS(KMI)%K068)
IF (ASSOCIATED(TACCS(KMI)%K069))  DEALLOCATE(TACCS(KMI)%K069)
IF (ASSOCIATED(TACCS(KMI)%K070))  DEALLOCATE(TACCS(KMI)%K070)
IF (ASSOCIATED(TACCS(KMI)%K071))  DEALLOCATE(TACCS(KMI)%K071)
IF (ASSOCIATED(TACCS(KMI)%K072))  DEALLOCATE(TACCS(KMI)%K072)
IF (ASSOCIATED(TACCS(KMI)%K073))  DEALLOCATE(TACCS(KMI)%K073)
IF (ASSOCIATED(TACCS(KMI)%K074))  DEALLOCATE(TACCS(KMI)%K074)
IF (ASSOCIATED(TACCS(KMI)%K075))  DEALLOCATE(TACCS(KMI)%K075)
IF (ASSOCIATED(TACCS(KMI)%K076))  DEALLOCATE(TACCS(KMI)%K076)
IF (ASSOCIATED(TACCS(KMI)%K077))  DEALLOCATE(TACCS(KMI)%K077)
IF (ASSOCIATED(TACCS(KMI)%K078))  DEALLOCATE(TACCS(KMI)%K078)
IF (ASSOCIATED(TACCS(KMI)%K079))  DEALLOCATE(TACCS(KMI)%K079)
IF (ASSOCIATED(TACCS(KMI)%K080))  DEALLOCATE(TACCS(KMI)%K080)
IF (ASSOCIATED(TACCS(KMI)%K081))  DEALLOCATE(TACCS(KMI)%K081)
IF (ASSOCIATED(TACCS(KMI)%K082))  DEALLOCATE(TACCS(KMI)%K082)
IF (ASSOCIATED(TACCS(KMI)%K083))  DEALLOCATE(TACCS(KMI)%K083)
IF (ASSOCIATED(TACCS(KMI)%K084))  DEALLOCATE(TACCS(KMI)%K084)
IF (ASSOCIATED(TACCS(KMI)%K085))  DEALLOCATE(TACCS(KMI)%K085)
IF (ASSOCIATED(TACCS(KMI)%K086))  DEALLOCATE(TACCS(KMI)%K086)
IF (ASSOCIATED(TACCS(KMI)%K087))  DEALLOCATE(TACCS(KMI)%K087)
IF (ASSOCIATED(TACCS(KMI)%K088))  DEALLOCATE(TACCS(KMI)%K088)
IF (ASSOCIATED(TACCS(KMI)%K089))  DEALLOCATE(TACCS(KMI)%K089)
IF (ASSOCIATED(TACCS(KMI)%K090))  DEALLOCATE(TACCS(KMI)%K090)
IF (ASSOCIATED(TACCS(KMI)%K091))  DEALLOCATE(TACCS(KMI)%K091)
IF (ASSOCIATED(TACCS(KMI)%K092))  DEALLOCATE(TACCS(KMI)%K092)
IF (ASSOCIATED(TACCS(KMI)%K093))  DEALLOCATE(TACCS(KMI)%K093)
IF (ASSOCIATED(TACCS(KMI)%K094))  DEALLOCATE(TACCS(KMI)%K094)
IF (ASSOCIATED(TACCS(KMI)%K095))  DEALLOCATE(TACCS(KMI)%K095)
IF (ASSOCIATED(TACCS(KMI)%K096))  DEALLOCATE(TACCS(KMI)%K096)
IF (ASSOCIATED(TACCS(KMI)%K097))  DEALLOCATE(TACCS(KMI)%K097)
IF (ASSOCIATED(TACCS(KMI)%K098))  DEALLOCATE(TACCS(KMI)%K098)
IF (ASSOCIATED(TACCS(KMI)%K099))  DEALLOCATE(TACCS(KMI)%K099)
IF (ASSOCIATED(TACCS(KMI)%K100))  DEALLOCATE(TACCS(KMI)%K100)
IF (ASSOCIATED(TACCS(KMI)%K101))  DEALLOCATE(TACCS(KMI)%K101)
IF (ASSOCIATED(TACCS(KMI)%K102))  DEALLOCATE(TACCS(KMI)%K102)
IF (ASSOCIATED(TACCS(KMI)%K103))  DEALLOCATE(TACCS(KMI)%K103)
IF (ASSOCIATED(TACCS(KMI)%K104))  DEALLOCATE(TACCS(KMI)%K104)
IF (ASSOCIATED(TACCS(KMI)%K105))  DEALLOCATE(TACCS(KMI)%K105)
IF (ASSOCIATED(TACCS(KMI)%K106))  DEALLOCATE(TACCS(KMI)%K106)
IF (ASSOCIATED(TACCS(KMI)%K107))  DEALLOCATE(TACCS(KMI)%K107)
IF (ASSOCIATED(TACCS(KMI)%K108))  DEALLOCATE(TACCS(KMI)%K108)
IF (ASSOCIATED(TACCS(KMI)%K109))  DEALLOCATE(TACCS(KMI)%K109)
IF (ASSOCIATED(TACCS(KMI)%K110))  DEALLOCATE(TACCS(KMI)%K110)
IF (ASSOCIATED(TACCS(KMI)%K111))  DEALLOCATE(TACCS(KMI)%K111)
IF (ASSOCIATED(TACCS(KMI)%K112))  DEALLOCATE(TACCS(KMI)%K112)
IF (ASSOCIATED(TACCS(KMI)%K113))  DEALLOCATE(TACCS(KMI)%K113)
IF (ASSOCIATED(TACCS(KMI)%K114))  DEALLOCATE(TACCS(KMI)%K114)
IF (ASSOCIATED(TACCS(KMI)%K115))  DEALLOCATE(TACCS(KMI)%K115)
IF (ASSOCIATED(TACCS(KMI)%K116))  DEALLOCATE(TACCS(KMI)%K116)
IF (ASSOCIATED(TACCS(KMI)%K117))  DEALLOCATE(TACCS(KMI)%K117)
IF (ASSOCIATED(TACCS(KMI)%K118))  DEALLOCATE(TACCS(KMI)%K118)
IF (ASSOCIATED(TACCS(KMI)%K119))  DEALLOCATE(TACCS(KMI)%K119)
IF (ASSOCIATED(TACCS(KMI)%K120))  DEALLOCATE(TACCS(KMI)%K120)
IF (ASSOCIATED(TACCS(KMI)%K121))  DEALLOCATE(TACCS(KMI)%K121)
IF (ASSOCIATED(TACCS(KMI)%K122))  DEALLOCATE(TACCS(KMI)%K122)
IF (ASSOCIATED(TACCS(KMI)%K123))  DEALLOCATE(TACCS(KMI)%K123)
IF (ASSOCIATED(TACCS(KMI)%K124))  DEALLOCATE(TACCS(KMI)%K124)
IF (ASSOCIATED(TACCS(KMI)%K125))  DEALLOCATE(TACCS(KMI)%K125)
IF (ASSOCIATED(TACCS(KMI)%K126))  DEALLOCATE(TACCS(KMI)%K126)
IF (ASSOCIATED(TACCS(KMI)%K127))  DEALLOCATE(TACCS(KMI)%K127)
IF (ASSOCIATED(TACCS(KMI)%K128))  DEALLOCATE(TACCS(KMI)%K128)
IF (ASSOCIATED(TACCS(KMI)%K129))  DEALLOCATE(TACCS(KMI)%K129)
IF (ASSOCIATED(TACCS(KMI)%K130))  DEALLOCATE(TACCS(KMI)%K130)
IF (ASSOCIATED(TACCS(KMI)%K131))  DEALLOCATE(TACCS(KMI)%K131)
IF (ASSOCIATED(TACCS(KMI)%K132))  DEALLOCATE(TACCS(KMI)%K132)
IF (ASSOCIATED(TACCS(KMI)%K133))  DEALLOCATE(TACCS(KMI)%K133)
IF (ASSOCIATED(TACCS(KMI)%K134))  DEALLOCATE(TACCS(KMI)%K134)
IF (ASSOCIATED(TACCS(KMI)%K135))  DEALLOCATE(TACCS(KMI)%K135)
IF (ASSOCIATED(TACCS(KMI)%K136))  DEALLOCATE(TACCS(KMI)%K136)
IF (ASSOCIATED(TACCS(KMI)%K137))  DEALLOCATE(TACCS(KMI)%K137)
IF (ASSOCIATED(TACCS(KMI)%K138))  DEALLOCATE(TACCS(KMI)%K138)
IF (ASSOCIATED(TACCS(KMI)%K139))  DEALLOCATE(TACCS(KMI)%K139)
IF (ASSOCIATED(TACCS(KMI)%K140))  DEALLOCATE(TACCS(KMI)%K140)
IF (ASSOCIATED(TACCS(KMI)%K141))  DEALLOCATE(TACCS(KMI)%K141)
IF (ASSOCIATED(TACCS(KMI)%K142))  DEALLOCATE(TACCS(KMI)%K142)
IF (ASSOCIATED(TACCS(KMI)%K143))  DEALLOCATE(TACCS(KMI)%K143)
IF (ASSOCIATED(TACCS(KMI)%K144))  DEALLOCATE(TACCS(KMI)%K144)
IF (ASSOCIATED(TACCS(KMI)%K145))  DEALLOCATE(TACCS(KMI)%K145)
IF (ASSOCIATED(TACCS(KMI)%K146))  DEALLOCATE(TACCS(KMI)%K146)
IF (ASSOCIATED(TACCS(KMI)%K147))  DEALLOCATE(TACCS(KMI)%K147)
IF (ASSOCIATED(TACCS(KMI)%K148))  DEALLOCATE(TACCS(KMI)%K148)
IF (ASSOCIATED(TACCS(KMI)%K149))  DEALLOCATE(TACCS(KMI)%K149)
IF (ASSOCIATED(TACCS(KMI)%K150))  DEALLOCATE(TACCS(KMI)%K150)
IF (ASSOCIATED(TACCS(KMI)%K151))  DEALLOCATE(TACCS(KMI)%K151)
IF (ASSOCIATED(TACCS(KMI)%K152))  DEALLOCATE(TACCS(KMI)%K152)
IF (ASSOCIATED(TACCS(KMI)%K153))  DEALLOCATE(TACCS(KMI)%K153)
IF (ASSOCIATED(TACCS(KMI)%K154))  DEALLOCATE(TACCS(KMI)%K154)
IF (ASSOCIATED(TACCS(KMI)%K155))  DEALLOCATE(TACCS(KMI)%K155)
IF (ASSOCIATED(TACCS(KMI)%K156))  DEALLOCATE(TACCS(KMI)%K156)
IF (ASSOCIATED(TACCS(KMI)%K157))  DEALLOCATE(TACCS(KMI)%K157)
IF (ASSOCIATED(TACCS(KMI)%K158))  DEALLOCATE(TACCS(KMI)%K158)
IF (ASSOCIATED(TACCS(KMI)%K159))  DEALLOCATE(TACCS(KMI)%K159)
IF (ASSOCIATED(TACCS(KMI)%K160))  DEALLOCATE(TACCS(KMI)%K160)
IF (ASSOCIATED(TACCS(KMI)%K161))  DEALLOCATE(TACCS(KMI)%K161)
IF (ASSOCIATED(TACCS(KMI)%K162))  DEALLOCATE(TACCS(KMI)%K162)
IF (ASSOCIATED(TACCS(KMI)%K163))  DEALLOCATE(TACCS(KMI)%K163)
IF (ASSOCIATED(TACCS(KMI)%K164))  DEALLOCATE(TACCS(KMI)%K164)
IF (ASSOCIATED(TACCS(KMI)%K165))  DEALLOCATE(TACCS(KMI)%K165)
IF (ASSOCIATED(TACCS(KMI)%K166))  DEALLOCATE(TACCS(KMI)%K166)
IF (ASSOCIATED(TACCS(KMI)%K167))  DEALLOCATE(TACCS(KMI)%K167)
IF (ASSOCIATED(TACCS(KMI)%K168))  DEALLOCATE(TACCS(KMI)%K168)
IF (ASSOCIATED(TACCS(KMI)%K169))  DEALLOCATE(TACCS(KMI)%K169)
IF (ASSOCIATED(TACCS(KMI)%K170))  DEALLOCATE(TACCS(KMI)%K170)
IF (ASSOCIATED(TACCS(KMI)%K171))  DEALLOCATE(TACCS(KMI)%K171)
IF (ASSOCIATED(TACCS(KMI)%K172))  DEALLOCATE(TACCS(KMI)%K172)
IF (ASSOCIATED(TACCS(KMI)%K173))  DEALLOCATE(TACCS(KMI)%K173)
IF (ASSOCIATED(TACCS(KMI)%K174))  DEALLOCATE(TACCS(KMI)%K174)
IF (ASSOCIATED(TACCS(KMI)%K175))  DEALLOCATE(TACCS(KMI)%K175)
IF (ASSOCIATED(TACCS(KMI)%K176))  DEALLOCATE(TACCS(KMI)%K176)
IF (ASSOCIATED(TACCS(KMI)%K177))  DEALLOCATE(TACCS(KMI)%K177)
IF (ASSOCIATED(TACCS(KMI)%K178))  DEALLOCATE(TACCS(KMI)%K178)
IF (ASSOCIATED(TACCS(KMI)%K179))  DEALLOCATE(TACCS(KMI)%K179)
IF (ASSOCIATED(TACCS(KMI)%K180))  DEALLOCATE(TACCS(KMI)%K180)
IF (ASSOCIATED(TACCS(KMI)%K181))  DEALLOCATE(TACCS(KMI)%K181)
IF (ASSOCIATED(TACCS(KMI)%K182))  DEALLOCATE(TACCS(KMI)%K182)
IF (ASSOCIATED(TACCS(KMI)%K183))  DEALLOCATE(TACCS(KMI)%K183)
IF (ASSOCIATED(TACCS(KMI)%K184))  DEALLOCATE(TACCS(KMI)%K184)
IF (ASSOCIATED(TACCS(KMI)%K185))  DEALLOCATE(TACCS(KMI)%K185)
IF (ASSOCIATED(TACCS(KMI)%K186))  DEALLOCATE(TACCS(KMI)%K186)
IF (ASSOCIATED(TACCS(KMI)%K187))  DEALLOCATE(TACCS(KMI)%K187)
IF (ASSOCIATED(TACCS(KMI)%K188))  DEALLOCATE(TACCS(KMI)%K188)
IF (ASSOCIATED(TACCS(KMI)%K189))  DEALLOCATE(TACCS(KMI)%K189)
IF (ASSOCIATED(TACCS(KMI)%K190))  DEALLOCATE(TACCS(KMI)%K190)
IF (ASSOCIATED(TACCS(KMI)%K191))  DEALLOCATE(TACCS(KMI)%K191)
IF (ASSOCIATED(TACCS(KMI)%K192))  DEALLOCATE(TACCS(KMI)%K192)
IF (ASSOCIATED(TACCS(KMI)%K193))  DEALLOCATE(TACCS(KMI)%K193)
IF (ASSOCIATED(TACCS(KMI)%K194))  DEALLOCATE(TACCS(KMI)%K194)
IF (ASSOCIATED(TACCS(KMI)%K195))  DEALLOCATE(TACCS(KMI)%K195)
IF (ASSOCIATED(TACCS(KMI)%K196))  DEALLOCATE(TACCS(KMI)%K196)
IF (ASSOCIATED(TACCS(KMI)%K197))  DEALLOCATE(TACCS(KMI)%K197)
IF (ASSOCIATED(TACCS(KMI)%K198))  DEALLOCATE(TACCS(KMI)%K198)
IF (ASSOCIATED(TACCS(KMI)%K199))  DEALLOCATE(TACCS(KMI)%K199)
IF (ASSOCIATED(TACCS(KMI)%K200))  DEALLOCATE(TACCS(KMI)%K200)
IF (ASSOCIATED(TACCS(KMI)%K201))  DEALLOCATE(TACCS(KMI)%K201)
IF (ASSOCIATED(TACCS(KMI)%K202))  DEALLOCATE(TACCS(KMI)%K202)
IF (ASSOCIATED(TACCS(KMI)%K203))  DEALLOCATE(TACCS(KMI)%K203)
IF (ASSOCIATED(TACCS(KMI)%K204))  DEALLOCATE(TACCS(KMI)%K204)
IF (ASSOCIATED(TACCS(KMI)%K205))  DEALLOCATE(TACCS(KMI)%K205)
IF (ASSOCIATED(TACCS(KMI)%K206))  DEALLOCATE(TACCS(KMI)%K206)
IF (ASSOCIATED(TACCS(KMI)%K207))  DEALLOCATE(TACCS(KMI)%K207)
IF (ASSOCIATED(TACCS(KMI)%K208))  DEALLOCATE(TACCS(KMI)%K208)
IF (ASSOCIATED(TACCS(KMI)%K209))  DEALLOCATE(TACCS(KMI)%K209)
IF (ASSOCIATED(TACCS(KMI)%K210))  DEALLOCATE(TACCS(KMI)%K210)
IF (ASSOCIATED(TACCS(KMI)%K211))  DEALLOCATE(TACCS(KMI)%K211)
IF (ASSOCIATED(TACCS(KMI)%K212))  DEALLOCATE(TACCS(KMI)%K212)
IF (ASSOCIATED(TACCS(KMI)%K213))  DEALLOCATE(TACCS(KMI)%K213)
IF (ASSOCIATED(TACCS(KMI)%K214))  DEALLOCATE(TACCS(KMI)%K214)
IF (ASSOCIATED(TACCS(KMI)%K215))  DEALLOCATE(TACCS(KMI)%K215)
IF (ASSOCIATED(TACCS(KMI)%K216))  DEALLOCATE(TACCS(KMI)%K216)
IF (ASSOCIATED(TACCS(KMI)%K217))  DEALLOCATE(TACCS(KMI)%K217)
IF (ASSOCIATED(TACCS(KMI)%K218))  DEALLOCATE(TACCS(KMI)%K218)
IF (ASSOCIATED(TACCS(KMI)%K219))  DEALLOCATE(TACCS(KMI)%K219)
IF (ASSOCIATED(TACCS(KMI)%K220))  DEALLOCATE(TACCS(KMI)%K220)
IF (ASSOCIATED(TACCS(KMI)%K221))  DEALLOCATE(TACCS(KMI)%K221)
IF (ASSOCIATED(TACCS(KMI)%K222))  DEALLOCATE(TACCS(KMI)%K222)
IF (ASSOCIATED(TACCS(KMI)%K223))  DEALLOCATE(TACCS(KMI)%K223)
IF (ASSOCIATED(TACCS(KMI)%K224))  DEALLOCATE(TACCS(KMI)%K224)
IF (ASSOCIATED(TACCS(KMI)%K225))  DEALLOCATE(TACCS(KMI)%K225)
IF (ASSOCIATED(TACCS(KMI)%K226))  DEALLOCATE(TACCS(KMI)%K226)
IF (ASSOCIATED(TACCS(KMI)%K227))  DEALLOCATE(TACCS(KMI)%K227)
IF (ASSOCIATED(TACCS(KMI)%K228))  DEALLOCATE(TACCS(KMI)%K228)
IF (ASSOCIATED(TACCS(KMI)%K229))  DEALLOCATE(TACCS(KMI)%K229)
IF (ASSOCIATED(TACCS(KMI)%K230))  DEALLOCATE(TACCS(KMI)%K230)
IF (ASSOCIATED(TACCS(KMI)%K231))  DEALLOCATE(TACCS(KMI)%K231)
IF (ASSOCIATED(TACCS(KMI)%K232))  DEALLOCATE(TACCS(KMI)%K232)
IF (ASSOCIATED(TACCS(KMI)%K233))  DEALLOCATE(TACCS(KMI)%K233)
IF (ASSOCIATED(TACCS(KMI)%K234))  DEALLOCATE(TACCS(KMI)%K234)
IF (ASSOCIATED(TACCS(KMI)%K235))  DEALLOCATE(TACCS(KMI)%K235)
IF (ASSOCIATED(TACCS(KMI)%K236))  DEALLOCATE(TACCS(KMI)%K236)
IF (ASSOCIATED(TACCS(KMI)%K237))  DEALLOCATE(TACCS(KMI)%K237)
IF (ASSOCIATED(TACCS(KMI)%K238))  DEALLOCATE(TACCS(KMI)%K238)
IF (ASSOCIATED(TACCS(KMI)%K239))  DEALLOCATE(TACCS(KMI)%K239)
IF (ASSOCIATED(TACCS(KMI)%K240))  DEALLOCATE(TACCS(KMI)%K240)
IF (ASSOCIATED(TACCS(KMI)%K241))  DEALLOCATE(TACCS(KMI)%K241)
IF (ASSOCIATED(TACCS(KMI)%K242))  DEALLOCATE(TACCS(KMI)%K242)
IF (ASSOCIATED(TACCS(KMI)%K243))  DEALLOCATE(TACCS(KMI)%K243)
IF (ASSOCIATED(TACCS(KMI)%K244))  DEALLOCATE(TACCS(KMI)%K244)
IF (ASSOCIATED(TACCS(KMI)%K245))  DEALLOCATE(TACCS(KMI)%K245)
IF (ASSOCIATED(TACCS(KMI)%K246))  DEALLOCATE(TACCS(KMI)%K246)
IF (ASSOCIATED(TACCS(KMI)%K247))  DEALLOCATE(TACCS(KMI)%K247)
IF (ASSOCIATED(TACCS(KMI)%K248))  DEALLOCATE(TACCS(KMI)%K248)
IF (ASSOCIATED(TACCS(KMI)%K249))  DEALLOCATE(TACCS(KMI)%K249)
IF (ASSOCIATED(TACCS(KMI)%K250))  DEALLOCATE(TACCS(KMI)%K250)
IF (ASSOCIATED(TACCS(KMI)%K251))  DEALLOCATE(TACCS(KMI)%K251)
IF (ASSOCIATED(TACCS(KMI)%K252))  DEALLOCATE(TACCS(KMI)%K252)
IF (ASSOCIATED(TACCS(KMI)%K253))  DEALLOCATE(TACCS(KMI)%K253)
IF (ASSOCIATED(TACCS(KMI)%K254))  DEALLOCATE(TACCS(KMI)%K254)
IF (ASSOCIATED(TACCS(KMI)%K255))  DEALLOCATE(TACCS(KMI)%K255)
IF (ASSOCIATED(TACCS(KMI)%K256))  DEALLOCATE(TACCS(KMI)%K256)
IF (ASSOCIATED(TACCS(KMI)%K257))  DEALLOCATE(TACCS(KMI)%K257)
IF (ASSOCIATED(TACCS(KMI)%K258))  DEALLOCATE(TACCS(KMI)%K258)
IF (ASSOCIATED(TACCS(KMI)%K259))  DEALLOCATE(TACCS(KMI)%K259)
IF (ASSOCIATED(TACCS(KMI)%K260))  DEALLOCATE(TACCS(KMI)%K260)
IF (ASSOCIATED(TACCS(KMI)%K261))  DEALLOCATE(TACCS(KMI)%K261)
IF (ASSOCIATED(TACCS(KMI)%K262))  DEALLOCATE(TACCS(KMI)%K262)
IF (ASSOCIATED(TACCS(KMI)%K263))  DEALLOCATE(TACCS(KMI)%K263)
IF (ASSOCIATED(TACCS(KMI)%K264))  DEALLOCATE(TACCS(KMI)%K264)
IF (ASSOCIATED(TACCS(KMI)%K265))  DEALLOCATE(TACCS(KMI)%K265)
IF (ASSOCIATED(TACCS(KMI)%K266))  DEALLOCATE(TACCS(KMI)%K266)
IF (ASSOCIATED(TACCS(KMI)%K267))  DEALLOCATE(TACCS(KMI)%K267)
IF (ASSOCIATED(TACCS(KMI)%K268))  DEALLOCATE(TACCS(KMI)%K268)
IF (ASSOCIATED(TACCS(KMI)%K269))  DEALLOCATE(TACCS(KMI)%K269)
IF (ASSOCIATED(TACCS(KMI)%K270))  DEALLOCATE(TACCS(KMI)%K270)
IF (ASSOCIATED(TACCS(KMI)%K271))  DEALLOCATE(TACCS(KMI)%K271)
IF (ASSOCIATED(TACCS(KMI)%K272))  DEALLOCATE(TACCS(KMI)%K272)
IF (ASSOCIATED(TACCS(KMI)%K273))  DEALLOCATE(TACCS(KMI)%K273)
IF (ASSOCIATED(TACCS(KMI)%K274))  DEALLOCATE(TACCS(KMI)%K274)
IF (ASSOCIATED(TACCS(KMI)%K275))  DEALLOCATE(TACCS(KMI)%K275)
IF (ASSOCIATED(TACCS(KMI)%K276))  DEALLOCATE(TACCS(KMI)%K276)
IF (ASSOCIATED(TACCS(KMI)%K277))  DEALLOCATE(TACCS(KMI)%K277)
IF (ASSOCIATED(TACCS(KMI)%K278))  DEALLOCATE(TACCS(KMI)%K278)
IF (ASSOCIATED(TACCS(KMI)%K279))  DEALLOCATE(TACCS(KMI)%K279)
IF (ASSOCIATED(TACCS(KMI)%K280))  DEALLOCATE(TACCS(KMI)%K280)
IF (ASSOCIATED(TACCS(KMI)%K281))  DEALLOCATE(TACCS(KMI)%K281)
IF (ASSOCIATED(TACCS(KMI)%K282))  DEALLOCATE(TACCS(KMI)%K282)
IF (ASSOCIATED(TACCS(KMI)%K283))  DEALLOCATE(TACCS(KMI)%K283)
IF (ASSOCIATED(TACCS(KMI)%K284))  DEALLOCATE(TACCS(KMI)%K284)
IF (ASSOCIATED(TACCS(KMI)%K285))  DEALLOCATE(TACCS(KMI)%K285)
IF (ASSOCIATED(TACCS(KMI)%K286))  DEALLOCATE(TACCS(KMI)%K286)
IF (ASSOCIATED(TACCS(KMI)%K287))  DEALLOCATE(TACCS(KMI)%K287)
IF (ASSOCIATED(TACCS(KMI)%K288))  DEALLOCATE(TACCS(KMI)%K288)
IF (ASSOCIATED(TACCS(KMI)%K289))  DEALLOCATE(TACCS(KMI)%K289)
IF (ASSOCIATED(TACCS(KMI)%K290))  DEALLOCATE(TACCS(KMI)%K290)
IF (ASSOCIATED(TACCS(KMI)%K291))  DEALLOCATE(TACCS(KMI)%K291)
IF (ASSOCIATED(TACCS(KMI)%K292))  DEALLOCATE(TACCS(KMI)%K292)
IF (ASSOCIATED(TACCS(KMI)%K293))  DEALLOCATE(TACCS(KMI)%K293)
IF (ASSOCIATED(TACCS(KMI)%K294))  DEALLOCATE(TACCS(KMI)%K294)
IF (ASSOCIATED(TACCS(KMI)%K295))  DEALLOCATE(TACCS(KMI)%K295)
IF (ASSOCIATED(TACCS(KMI)%K296))  DEALLOCATE(TACCS(KMI)%K296)
IF (ASSOCIATED(TACCS(KMI)%K297))  DEALLOCATE(TACCS(KMI)%K297)
IF (ASSOCIATED(TACCS(KMI)%K298))  DEALLOCATE(TACCS(KMI)%K298)
IF (ASSOCIATED(TACCS(KMI)%K299))  DEALLOCATE(TACCS(KMI)%K299)
IF (ASSOCIATED(TACCS(KMI)%K300))  DEALLOCATE(TACCS(KMI)%K300)
IF (ASSOCIATED(TACCS(KMI)%K301))  DEALLOCATE(TACCS(KMI)%K301)
IF (ASSOCIATED(TACCS(KMI)%K302))  DEALLOCATE(TACCS(KMI)%K302)
IF (ASSOCIATED(TACCS(KMI)%K303))  DEALLOCATE(TACCS(KMI)%K303)
IF (ASSOCIATED(TACCS(KMI)%K304))  DEALLOCATE(TACCS(KMI)%K304)
IF (ASSOCIATED(TACCS(KMI)%K305))  DEALLOCATE(TACCS(KMI)%K305)
IF (ASSOCIATED(TACCS(KMI)%K306))  DEALLOCATE(TACCS(KMI)%K306)
IF (ASSOCIATED(TACCS(KMI)%K307))  DEALLOCATE(TACCS(KMI)%K307)
IF (ASSOCIATED(TACCS(KMI)%K308))  DEALLOCATE(TACCS(KMI)%K308)
IF (ASSOCIATED(TACCS(KMI)%K309))  DEALLOCATE(TACCS(KMI)%K309)
IF (ASSOCIATED(TACCS(KMI)%K310))  DEALLOCATE(TACCS(KMI)%K310)
IF (ASSOCIATED(TACCS(KMI)%K311))  DEALLOCATE(TACCS(KMI)%K311)
IF (ASSOCIATED(TACCS(KMI)%K312))  DEALLOCATE(TACCS(KMI)%K312)
IF (ASSOCIATED(TACCS(KMI)%K313))  DEALLOCATE(TACCS(KMI)%K313)
IF (ASSOCIATED(TACCS(KMI)%K314))  DEALLOCATE(TACCS(KMI)%K314)
IF (ASSOCIATED(TACCS(KMI)%K315))  DEALLOCATE(TACCS(KMI)%K315)
IF (ASSOCIATED(TACCS(KMI)%K316))  DEALLOCATE(TACCS(KMI)%K316)
IF (ASSOCIATED(TACCS(KMI)%K317))  DEALLOCATE(TACCS(KMI)%K317)
IF (ASSOCIATED(TACCS(KMI)%K318))  DEALLOCATE(TACCS(KMI)%K318)
IF (ASSOCIATED(TACCS(KMI)%K319))  DEALLOCATE(TACCS(KMI)%K319)
IF (ASSOCIATED(TACCS(KMI)%K320))  DEALLOCATE(TACCS(KMI)%K320)
IF (ASSOCIATED(TACCS(KMI)%K321))  DEALLOCATE(TACCS(KMI)%K321)
IF (ASSOCIATED(TACCS(KMI)%K322))  DEALLOCATE(TACCS(KMI)%K322)
IF (ASSOCIATED(TACCS(KMI)%K323))  DEALLOCATE(TACCS(KMI)%K323)
IF (ASSOCIATED(TACCS(KMI)%K324))  DEALLOCATE(TACCS(KMI)%K324)
IF (ASSOCIATED(TACCS(KMI)%K325))  DEALLOCATE(TACCS(KMI)%K325)
IF (ASSOCIATED(TACCS(KMI)%K326))  DEALLOCATE(TACCS(KMI)%K326)
IF (ASSOCIATED(TACCS(KMI)%K327))  DEALLOCATE(TACCS(KMI)%K327)
IF (ASSOCIATED(TACCS(KMI)%K328))  DEALLOCATE(TACCS(KMI)%K328)
IF (ASSOCIATED(TACCS(KMI)%K329))  DEALLOCATE(TACCS(KMI)%K329)
IF (ASSOCIATED(TACCS(KMI)%K330))  DEALLOCATE(TACCS(KMI)%K330)
IF (ASSOCIATED(TACCS(KMI)%K331))  DEALLOCATE(TACCS(KMI)%K331)
IF (ASSOCIATED(TACCS(KMI)%K332))  DEALLOCATE(TACCS(KMI)%K332)
IF (ASSOCIATED(TACCS(KMI)%K333))  DEALLOCATE(TACCS(KMI)%K333)
IF (ASSOCIATED(TACCS(KMI)%K334))  DEALLOCATE(TACCS(KMI)%K334)
IF (ASSOCIATED(TACCS(KMI)%K335))  DEALLOCATE(TACCS(KMI)%K335)
IF (ASSOCIATED(TACCS(KMI)%K337))  DEALLOCATE(TACCS(KMI)%K337)
IF (ASSOCIATED(TACCS(KMI)%K338))  DEALLOCATE(TACCS(KMI)%K338)
IF (ASSOCIATED(TACCS(KMI)%K339))  DEALLOCATE(TACCS(KMI)%K339)
IF (ASSOCIATED(TACCS(KMI)%K340))  DEALLOCATE(TACCS(KMI)%K340)
IF (ASSOCIATED(TACCS(KMI)%K341))  DEALLOCATE(TACCS(KMI)%K341)
IF (ASSOCIATED(TACCS(KMI)%K342))  DEALLOCATE(TACCS(KMI)%K342)
IF (ASSOCIATED(TACCS(KMI)%K343))  DEALLOCATE(TACCS(KMI)%K343)
IF (ASSOCIATED(TACCS(KMI)%K344))  DEALLOCATE(TACCS(KMI)%K344)
IF (ASSOCIATED(TACCS(KMI)%K345))  DEALLOCATE(TACCS(KMI)%K345)
IF (ASSOCIATED(TACCS(KMI)%K346))  DEALLOCATE(TACCS(KMI)%K346)
IF (ASSOCIATED(TACCS(KMI)%K347))  DEALLOCATE(TACCS(KMI)%K347)
IF (ASSOCIATED(TACCS(KMI)%K348))  DEALLOCATE(TACCS(KMI)%K348)
IF (ASSOCIATED(TACCS(KMI)%K349))  DEALLOCATE(TACCS(KMI)%K349)
IF (ASSOCIATED(TACCS(KMI)%K350))  DEALLOCATE(TACCS(KMI)%K350)
IF (ASSOCIATED(TACCS(KMI)%K351))  DEALLOCATE(TACCS(KMI)%K351)
IF (ASSOCIATED(TACCS(KMI)%K352))  DEALLOCATE(TACCS(KMI)%K352)
IF (ASSOCIATED(TACCS(KMI)%K353))  DEALLOCATE(TACCS(KMI)%K353)
IF (ASSOCIATED(TACCS(KMI)%K354))  DEALLOCATE(TACCS(KMI)%K354)
IF (ASSOCIATED(TACCS(KMI)%K355))  DEALLOCATE(TACCS(KMI)%K355)
IF (ASSOCIATED(TACCS(KMI)%K356))  DEALLOCATE(TACCS(KMI)%K356)
IF (ASSOCIATED(TACCS(KMI)%K357))  DEALLOCATE(TACCS(KMI)%K357)
IF (ASSOCIATED(TACCS(KMI)%K358))  DEALLOCATE(TACCS(KMI)%K358)
IF (ASSOCIATED(TACCS(KMI)%K359))  DEALLOCATE(TACCS(KMI)%K359)
IF (ASSOCIATED(TACCS(KMI)%K360))  DEALLOCATE(TACCS(KMI)%K360)
IF (ASSOCIATED(TACCS(KMI)%K361))  DEALLOCATE(TACCS(KMI)%K361)
IF (ASSOCIATED(TACCS(KMI)%K362))  DEALLOCATE(TACCS(KMI)%K362)
IF (ASSOCIATED(TACCS(KMI)%K363))  DEALLOCATE(TACCS(KMI)%K363)
IF (ASSOCIATED(TACCS(KMI)%K364))  DEALLOCATE(TACCS(KMI)%K364)
IF (ASSOCIATED(TACCS(KMI)%K365))  DEALLOCATE(TACCS(KMI)%K365)
IF (ASSOCIATED(TACCS(KMI)%KTC1))  DEALLOCATE(TACCS(KMI)%KTC1)
IF (ASSOCIATED(TACCS(KMI)%KTC2))  DEALLOCATE(TACCS(KMI)%KTC2)
IF (ASSOCIATED(TACCS(KMI)%KTC3))  DEALLOCATE(TACCS(KMI)%KTC3)
IF (ASSOCIATED(TACCS(KMI)%KTC4))  DEALLOCATE(TACCS(KMI)%KTC4)
IF (ASSOCIATED(TACCS(KMI)%KTC5))  DEALLOCATE(TACCS(KMI)%KTC5)
IF (ASSOCIATED(TACCS(KMI)%KTC6))  DEALLOCATE(TACCS(KMI)%KTC6)
IF (ASSOCIATED(TACCS(KMI)%KTC7))  DEALLOCATE(TACCS(KMI)%KTC7)
IF (ASSOCIATED(TACCS(KMI)%KTC8))  DEALLOCATE(TACCS(KMI)%KTC8)
IF (ASSOCIATED(TACCS(KMI)%KTC9))  DEALLOCATE(TACCS(KMI)%KTC9)
IF (ASSOCIATED(TACCS(KMI)%KTC10))  DEALLOCATE(TACCS(KMI)%KTC10)
IF (ASSOCIATED(TACCS(KMI)%KTC11))  DEALLOCATE(TACCS(KMI)%KTC11)
IF (ASSOCIATED(TACCS(KMI)%KTC12))  DEALLOCATE(TACCS(KMI)%KTC12)
IF (ASSOCIATED(TACCS(KMI)%KTC13))  DEALLOCATE(TACCS(KMI)%KTC13)
IF (ASSOCIATED(TACCS(KMI)%KTC14))  DEALLOCATE(TACCS(KMI)%KTC14)
IF (ASSOCIATED(TACCS(KMI)%KTC15))  DEALLOCATE(TACCS(KMI)%KTC15)
IF (ASSOCIATED(TACCS(KMI)%KTC16))  DEALLOCATE(TACCS(KMI)%KTC16)
IF (ASSOCIATED(TACCS(KMI)%KTC17))  DEALLOCATE(TACCS(KMI)%KTC17)
IF (ASSOCIATED(TACCS(KMI)%KTC18))  DEALLOCATE(TACCS(KMI)%KTC18)
IF (ASSOCIATED(TACCS(KMI)%KTC19))  DEALLOCATE(TACCS(KMI)%KTC19)
IF (ASSOCIATED(TACCS(KMI)%KTC20))  DEALLOCATE(TACCS(KMI)%KTC20)
IF (ASSOCIATED(TACCS(KMI)%KTC21))  DEALLOCATE(TACCS(KMI)%KTC21)
IF (ASSOCIATED(TACCS(KMI)%KTC22))  DEALLOCATE(TACCS(KMI)%KTC22)
IF (ASSOCIATED(TACCS(KMI)%KTC23))  DEALLOCATE(TACCS(KMI)%KTC23)
IF (ASSOCIATED(TACCS(KMI)%KTC24))  DEALLOCATE(TACCS(KMI)%KTC24)
IF (ASSOCIATED(TACCS(KMI)%KTC25))  DEALLOCATE(TACCS(KMI)%KTC25)
IF (ASSOCIATED(TACCS(KMI)%KTC26))  DEALLOCATE(TACCS(KMI)%KTC26)
IF (ASSOCIATED(TACCS(KMI)%KTC27))  DEALLOCATE(TACCS(KMI)%KTC27)
IF (ASSOCIATED(TACCS(KMI)%KTC28))  DEALLOCATE(TACCS(KMI)%KTC28)
IF (ASSOCIATED(TACCS(KMI)%KTC29))  DEALLOCATE(TACCS(KMI)%KTC29)
IF (ASSOCIATED(TACCS(KMI)%KTC30))  DEALLOCATE(TACCS(KMI)%KTC30)
IF (ASSOCIATED(TACCS(KMI)%KTC31))  DEALLOCATE(TACCS(KMI)%KTC31)
IF (ASSOCIATED(TACCS(KMI)%KTC32))  DEALLOCATE(TACCS(KMI)%KTC32)
IF (ASSOCIATED(TACCS(KMI)%KTC33))  DEALLOCATE(TACCS(KMI)%KTC33)
IF (ASSOCIATED(TACCS(KMI)%KTC34))  DEALLOCATE(TACCS(KMI)%KTC34)
IF (ASSOCIATED(TACCS(KMI)%KTC35))  DEALLOCATE(TACCS(KMI)%KTC35)
IF (ASSOCIATED(TACCS(KMI)%KTC36))  DEALLOCATE(TACCS(KMI)%KTC36)
IF (ASSOCIATED(TACCS(KMI)%KTC37))  DEALLOCATE(TACCS(KMI)%KTC37)
IF (ASSOCIATED(TACCS(KMI)%KTC38))  DEALLOCATE(TACCS(KMI)%KTC38)
IF (ASSOCIATED(TACCS(KMI)%KTC39))  DEALLOCATE(TACCS(KMI)%KTC39)
IF (ASSOCIATED(TACCS(KMI)%KTC40))  DEALLOCATE(TACCS(KMI)%KTC40)
IF (ASSOCIATED(TACCS(KMI)%KTC41))  DEALLOCATE(TACCS(KMI)%KTC41)
IF (ASSOCIATED(TACCS(KMI)%KTC42))  DEALLOCATE(TACCS(KMI)%KTC42)
IF (ASSOCIATED(TACCS(KMI)%KTC43))  DEALLOCATE(TACCS(KMI)%KTC43)
IF (ASSOCIATED(TACCS(KMI)%KTC44))  DEALLOCATE(TACCS(KMI)%KTC44)
IF (ASSOCIATED(TACCS(KMI)%KTC45))  DEALLOCATE(TACCS(KMI)%KTC45)
IF (ASSOCIATED(TACCS(KMI)%KTC46))  DEALLOCATE(TACCS(KMI)%KTC46)
IF (ASSOCIATED(TACCS(KMI)%KTC47))  DEALLOCATE(TACCS(KMI)%KTC47)
IF (ASSOCIATED(TACCS(KMI)%KTC48))  DEALLOCATE(TACCS(KMI)%KTC48)
IF (ASSOCIATED(TACCS(KMI)%KTC49))  DEALLOCATE(TACCS(KMI)%KTC49)
IF (ASSOCIATED(TACCS(KMI)%KTC50))  DEALLOCATE(TACCS(KMI)%KTC50)
IF (ASSOCIATED(TACCS(KMI)%KTC51))  DEALLOCATE(TACCS(KMI)%KTC51)
IF (ASSOCIATED(TACCS(KMI)%KTC52))  DEALLOCATE(TACCS(KMI)%KTC52)
IF (ASSOCIATED(TACCS(KMI)%KTC53))  DEALLOCATE(TACCS(KMI)%KTC53)
IF (ASSOCIATED(TACCS(KMI)%KTC54))  DEALLOCATE(TACCS(KMI)%KTC54)
IF (ASSOCIATED(TACCS(KMI)%KTC55))  DEALLOCATE(TACCS(KMI)%KTC55)
IF (ASSOCIATED(TACCS(KMI)%KTC56))  DEALLOCATE(TACCS(KMI)%KTC56)
IF (ASSOCIATED(TACCS(KMI)%KTC57))  DEALLOCATE(TACCS(KMI)%KTC57)
IF (ASSOCIATED(TACCS(KMI)%KTC58))  DEALLOCATE(TACCS(KMI)%KTC58)
IF (ASSOCIATED(TACCS(KMI)%KTC59))  DEALLOCATE(TACCS(KMI)%KTC59)
IF (ASSOCIATED(TACCS(KMI)%KTC60))  DEALLOCATE(TACCS(KMI)%KTC60)
IF (ASSOCIATED(TACCS(KMI)%KTC61))  DEALLOCATE(TACCS(KMI)%KTC61)
IF (ASSOCIATED(TACCS(KMI)%KTC62))  DEALLOCATE(TACCS(KMI)%KTC62)
IF (ASSOCIATED(TACCS(KMI)%KTR1))  DEALLOCATE(TACCS(KMI)%KTR1)
IF (ASSOCIATED(TACCS(KMI)%KTR2))  DEALLOCATE(TACCS(KMI)%KTR2)
IF (ASSOCIATED(TACCS(KMI)%KTR3))  DEALLOCATE(TACCS(KMI)%KTR3)
IF (ASSOCIATED(TACCS(KMI)%KTR4))  DEALLOCATE(TACCS(KMI)%KTR4)
IF (ASSOCIATED(TACCS(KMI)%KTR5))  DEALLOCATE(TACCS(KMI)%KTR5)
IF (ASSOCIATED(TACCS(KMI)%KTR6))  DEALLOCATE(TACCS(KMI)%KTR6)
IF (ASSOCIATED(TACCS(KMI)%KTR7))  DEALLOCATE(TACCS(KMI)%KTR7)
IF (ASSOCIATED(TACCS(KMI)%KTR8))  DEALLOCATE(TACCS(KMI)%KTR8)
IF (ASSOCIATED(TACCS(KMI)%KTR9))  DEALLOCATE(TACCS(KMI)%KTR9)
IF (ASSOCIATED(TACCS(KMI)%KTR10))  DEALLOCATE(TACCS(KMI)%KTR10)
IF (ASSOCIATED(TACCS(KMI)%KTR11))  DEALLOCATE(TACCS(KMI)%KTR11)
IF (ASSOCIATED(TACCS(KMI)%KTR12))  DEALLOCATE(TACCS(KMI)%KTR12)
IF (ASSOCIATED(TACCS(KMI)%KTR13))  DEALLOCATE(TACCS(KMI)%KTR13)
IF (ASSOCIATED(TACCS(KMI)%KTR14))  DEALLOCATE(TACCS(KMI)%KTR14)
IF (ASSOCIATED(TACCS(KMI)%KTR15))  DEALLOCATE(TACCS(KMI)%KTR15)
IF (ASSOCIATED(TACCS(KMI)%KTR16))  DEALLOCATE(TACCS(KMI)%KTR16)
IF (ASSOCIATED(TACCS(KMI)%KTR17))  DEALLOCATE(TACCS(KMI)%KTR17)
IF (ASSOCIATED(TACCS(KMI)%KTR18))  DEALLOCATE(TACCS(KMI)%KTR18)
IF (ASSOCIATED(TACCS(KMI)%KTR19))  DEALLOCATE(TACCS(KMI)%KTR19)
IF (ASSOCIATED(TACCS(KMI)%KTR20))  DEALLOCATE(TACCS(KMI)%KTR20)
IF (ASSOCIATED(TACCS(KMI)%KTR21))  DEALLOCATE(TACCS(KMI)%KTR21)
IF (ASSOCIATED(TACCS(KMI)%KTR22))  DEALLOCATE(TACCS(KMI)%KTR22)
IF (ASSOCIATED(TACCS(KMI)%KTR23))  DEALLOCATE(TACCS(KMI)%KTR23)
IF (ASSOCIATED(TACCS(KMI)%KTR24))  DEALLOCATE(TACCS(KMI)%KTR24)
IF (ASSOCIATED(TACCS(KMI)%KTR25))  DEALLOCATE(TACCS(KMI)%KTR25)
IF (ASSOCIATED(TACCS(KMI)%KTR26))  DEALLOCATE(TACCS(KMI)%KTR26)
IF (ASSOCIATED(TACCS(KMI)%KTR27))  DEALLOCATE(TACCS(KMI)%KTR27)
IF (ASSOCIATED(TACCS(KMI)%KTR28))  DEALLOCATE(TACCS(KMI)%KTR28)
IF (ASSOCIATED(TACCS(KMI)%KTR29))  DEALLOCATE(TACCS(KMI)%KTR29)
IF (ASSOCIATED(TACCS(KMI)%KTR30))  DEALLOCATE(TACCS(KMI)%KTR30)
IF (ASSOCIATED(TACCS(KMI)%KTR31))  DEALLOCATE(TACCS(KMI)%KTR31)
IF (ASSOCIATED(TACCS(KMI)%KTR32))  DEALLOCATE(TACCS(KMI)%KTR32)
IF (ASSOCIATED(TACCS(KMI)%KTR33))  DEALLOCATE(TACCS(KMI)%KTR33)
IF (ASSOCIATED(TACCS(KMI)%KTR34))  DEALLOCATE(TACCS(KMI)%KTR34)
IF (ASSOCIATED(TACCS(KMI)%KTR35))  DEALLOCATE(TACCS(KMI)%KTR35)
IF (ASSOCIATED(TACCS(KMI)%KTR36))  DEALLOCATE(TACCS(KMI)%KTR36)
IF (ASSOCIATED(TACCS(KMI)%KTR37))  DEALLOCATE(TACCS(KMI)%KTR37)
IF (ASSOCIATED(TACCS(KMI)%KTR38))  DEALLOCATE(TACCS(KMI)%KTR38)
IF (ASSOCIATED(TACCS(KMI)%KTR39))  DEALLOCATE(TACCS(KMI)%KTR39)
IF (ASSOCIATED(TACCS(KMI)%KTR40))  DEALLOCATE(TACCS(KMI)%KTR40)
IF (ASSOCIATED(TACCS(KMI)%KTR41))  DEALLOCATE(TACCS(KMI)%KTR41)
IF (ASSOCIATED(TACCS(KMI)%KTR42))  DEALLOCATE(TACCS(KMI)%KTR42)
IF (ASSOCIATED(TACCS(KMI)%KTR43))  DEALLOCATE(TACCS(KMI)%KTR43)
IF (ASSOCIATED(TACCS(KMI)%KTR44))  DEALLOCATE(TACCS(KMI)%KTR44)
IF (ASSOCIATED(TACCS(KMI)%KTR45))  DEALLOCATE(TACCS(KMI)%KTR45)
IF (ASSOCIATED(TACCS(KMI)%KTR46))  DEALLOCATE(TACCS(KMI)%KTR46)
IF (ASSOCIATED(TACCS(KMI)%KTR47))  DEALLOCATE(TACCS(KMI)%KTR47)
IF (ASSOCIATED(TACCS(KMI)%KTR48))  DEALLOCATE(TACCS(KMI)%KTR48)
IF (ASSOCIATED(TACCS(KMI)%KTR49))  DEALLOCATE(TACCS(KMI)%KTR49)
IF (ASSOCIATED(TACCS(KMI)%KTR50))  DEALLOCATE(TACCS(KMI)%KTR50)
IF (ASSOCIATED(TACCS(KMI)%KTR51))  DEALLOCATE(TACCS(KMI)%KTR51)
IF (ASSOCIATED(TACCS(KMI)%KTR52))  DEALLOCATE(TACCS(KMI)%KTR52)
IF (ASSOCIATED(TACCS(KMI)%KTR53))  DEALLOCATE(TACCS(KMI)%KTR53)
IF (ASSOCIATED(TACCS(KMI)%KTR54))  DEALLOCATE(TACCS(KMI)%KTR54)
IF (ASSOCIATED(TACCS(KMI)%KTR55))  DEALLOCATE(TACCS(KMI)%KTR55)
IF (ASSOCIATED(TACCS(KMI)%KTR56))  DEALLOCATE(TACCS(KMI)%KTR56)
IF (ASSOCIATED(TACCS(KMI)%KTR57))  DEALLOCATE(TACCS(KMI)%KTR57)
IF (ASSOCIATED(TACCS(KMI)%KTR58))  DEALLOCATE(TACCS(KMI)%KTR58)
IF (ASSOCIATED(TACCS(KMI)%KTR59))  DEALLOCATE(TACCS(KMI)%KTR59)
IF (ASSOCIATED(TACCS(KMI)%KTR60))  DEALLOCATE(TACCS(KMI)%KTR60)
IF (ASSOCIATED(TACCS(KMI)%KTR61))  DEALLOCATE(TACCS(KMI)%KTR61)
IF (ASSOCIATED(TACCS(KMI)%KTR62))  DEALLOCATE(TACCS(KMI)%KTR62)
IF (ASSOCIATED(TACCS(KMI)%KC1))  DEALLOCATE(TACCS(KMI)%KC1)
IF (ASSOCIATED(TACCS(KMI)%KC2))  DEALLOCATE(TACCS(KMI)%KC2)
IF (ASSOCIATED(TACCS(KMI)%KC3))  DEALLOCATE(TACCS(KMI)%KC3)
IF (ASSOCIATED(TACCS(KMI)%KC4))  DEALLOCATE(TACCS(KMI)%KC4)
IF (ASSOCIATED(TACCS(KMI)%KC5))  DEALLOCATE(TACCS(KMI)%KC5)
IF (ASSOCIATED(TACCS(KMI)%KC6))  DEALLOCATE(TACCS(KMI)%KC6)
IF (ASSOCIATED(TACCS(KMI)%KC7))  DEALLOCATE(TACCS(KMI)%KC7)
IF (ASSOCIATED(TACCS(KMI)%KC8))  DEALLOCATE(TACCS(KMI)%KC8)
IF (ASSOCIATED(TACCS(KMI)%KC9))  DEALLOCATE(TACCS(KMI)%KC9)
IF (ASSOCIATED(TACCS(KMI)%KC10))  DEALLOCATE(TACCS(KMI)%KC10)
IF (ASSOCIATED(TACCS(KMI)%KC11))  DEALLOCATE(TACCS(KMI)%KC11)
IF (ASSOCIATED(TACCS(KMI)%KC12))  DEALLOCATE(TACCS(KMI)%KC12)
IF (ASSOCIATED(TACCS(KMI)%KC13))  DEALLOCATE(TACCS(KMI)%KC13)
IF (ASSOCIATED(TACCS(KMI)%KC14))  DEALLOCATE(TACCS(KMI)%KC14)
IF (ASSOCIATED(TACCS(KMI)%KC15))  DEALLOCATE(TACCS(KMI)%KC15)
IF (ASSOCIATED(TACCS(KMI)%KC16))  DEALLOCATE(TACCS(KMI)%KC16)
IF (ASSOCIATED(TACCS(KMI)%KC17))  DEALLOCATE(TACCS(KMI)%KC17)
IF (ASSOCIATED(TACCS(KMI)%KC18))  DEALLOCATE(TACCS(KMI)%KC18)
IF (ASSOCIATED(TACCS(KMI)%KC19))  DEALLOCATE(TACCS(KMI)%KC19)
IF (ASSOCIATED(TACCS(KMI)%KC20))  DEALLOCATE(TACCS(KMI)%KC20)
IF (ASSOCIATED(TACCS(KMI)%KC21))  DEALLOCATE(TACCS(KMI)%KC21)
IF (ASSOCIATED(TACCS(KMI)%KC22))  DEALLOCATE(TACCS(KMI)%KC22)
IF (ASSOCIATED(TACCS(KMI)%KC23))  DEALLOCATE(TACCS(KMI)%KC23)
IF (ASSOCIATED(TACCS(KMI)%KC24))  DEALLOCATE(TACCS(KMI)%KC24)
IF (ASSOCIATED(TACCS(KMI)%KC25))  DEALLOCATE(TACCS(KMI)%KC25)
IF (ASSOCIATED(TACCS(KMI)%KC26))  DEALLOCATE(TACCS(KMI)%KC26)
IF (ASSOCIATED(TACCS(KMI)%KC27))  DEALLOCATE(TACCS(KMI)%KC27)
IF (ASSOCIATED(TACCS(KMI)%KC28))  DEALLOCATE(TACCS(KMI)%KC28)
IF (ASSOCIATED(TACCS(KMI)%KC29))  DEALLOCATE(TACCS(KMI)%KC29)
IF (ASSOCIATED(TACCS(KMI)%KC30))  DEALLOCATE(TACCS(KMI)%KC30)
IF (ASSOCIATED(TACCS(KMI)%KC31))  DEALLOCATE(TACCS(KMI)%KC31)
IF (ASSOCIATED(TACCS(KMI)%KC32))  DEALLOCATE(TACCS(KMI)%KC32)
IF (ASSOCIATED(TACCS(KMI)%KC33))  DEALLOCATE(TACCS(KMI)%KC33)
IF (ASSOCIATED(TACCS(KMI)%KC34))  DEALLOCATE(TACCS(KMI)%KC34)
IF (ASSOCIATED(TACCS(KMI)%KC35))  DEALLOCATE(TACCS(KMI)%KC35)
IF (ASSOCIATED(TACCS(KMI)%KC36))  DEALLOCATE(TACCS(KMI)%KC36)
IF (ASSOCIATED(TACCS(KMI)%KC37))  DEALLOCATE(TACCS(KMI)%KC37)
IF (ASSOCIATED(TACCS(KMI)%KC38))  DEALLOCATE(TACCS(KMI)%KC38)
IF (ASSOCIATED(TACCS(KMI)%KC39))  DEALLOCATE(TACCS(KMI)%KC39)
IF (ASSOCIATED(TACCS(KMI)%KC40))  DEALLOCATE(TACCS(KMI)%KC40)
IF (ASSOCIATED(TACCS(KMI)%KC41))  DEALLOCATE(TACCS(KMI)%KC41)
IF (ASSOCIATED(TACCS(KMI)%KC42))  DEALLOCATE(TACCS(KMI)%KC42)
IF (ASSOCIATED(TACCS(KMI)%KC43))  DEALLOCATE(TACCS(KMI)%KC43)
IF (ASSOCIATED(TACCS(KMI)%KC44))  DEALLOCATE(TACCS(KMI)%KC44)
IF (ASSOCIATED(TACCS(KMI)%KC45))  DEALLOCATE(TACCS(KMI)%KC45)
IF (ASSOCIATED(TACCS(KMI)%KC46))  DEALLOCATE(TACCS(KMI)%KC46)
IF (ASSOCIATED(TACCS(KMI)%KR1))  DEALLOCATE(TACCS(KMI)%KR1)
IF (ASSOCIATED(TACCS(KMI)%KR2))  DEALLOCATE(TACCS(KMI)%KR2)
IF (ASSOCIATED(TACCS(KMI)%KR3))  DEALLOCATE(TACCS(KMI)%KR3)
IF (ASSOCIATED(TACCS(KMI)%KR4))  DEALLOCATE(TACCS(KMI)%KR4)
IF (ASSOCIATED(TACCS(KMI)%KR5))  DEALLOCATE(TACCS(KMI)%KR5)
IF (ASSOCIATED(TACCS(KMI)%KR6))  DEALLOCATE(TACCS(KMI)%KR6)
IF (ASSOCIATED(TACCS(KMI)%KR7))  DEALLOCATE(TACCS(KMI)%KR7)
IF (ASSOCIATED(TACCS(KMI)%KR8))  DEALLOCATE(TACCS(KMI)%KR8)
IF (ASSOCIATED(TACCS(KMI)%KR9))  DEALLOCATE(TACCS(KMI)%KR9)
IF (ASSOCIATED(TACCS(KMI)%KR10))  DEALLOCATE(TACCS(KMI)%KR10)
IF (ASSOCIATED(TACCS(KMI)%KR11))  DEALLOCATE(TACCS(KMI)%KR11)
IF (ASSOCIATED(TACCS(KMI)%KR12))  DEALLOCATE(TACCS(KMI)%KR12)
IF (ASSOCIATED(TACCS(KMI)%KR13))  DEALLOCATE(TACCS(KMI)%KR13)
IF (ASSOCIATED(TACCS(KMI)%KR14))  DEALLOCATE(TACCS(KMI)%KR14)
IF (ASSOCIATED(TACCS(KMI)%KR15))  DEALLOCATE(TACCS(KMI)%KR15)
IF (ASSOCIATED(TACCS(KMI)%KR16))  DEALLOCATE(TACCS(KMI)%KR16)
IF (ASSOCIATED(TACCS(KMI)%KR17))  DEALLOCATE(TACCS(KMI)%KR17)
IF (ASSOCIATED(TACCS(KMI)%KR18))  DEALLOCATE(TACCS(KMI)%KR18)
IF (ASSOCIATED(TACCS(KMI)%KR19))  DEALLOCATE(TACCS(KMI)%KR19)
IF (ASSOCIATED(TACCS(KMI)%KR20))  DEALLOCATE(TACCS(KMI)%KR20)
IF (ASSOCIATED(TACCS(KMI)%KR21))  DEALLOCATE(TACCS(KMI)%KR21)
IF (ASSOCIATED(TACCS(KMI)%KR22))  DEALLOCATE(TACCS(KMI)%KR22)
IF (ASSOCIATED(TACCS(KMI)%KR23))  DEALLOCATE(TACCS(KMI)%KR23)
IF (ASSOCIATED(TACCS(KMI)%KR24))  DEALLOCATE(TACCS(KMI)%KR24)
IF (ASSOCIATED(TACCS(KMI)%KR25))  DEALLOCATE(TACCS(KMI)%KR25)
IF (ASSOCIATED(TACCS(KMI)%KR26))  DEALLOCATE(TACCS(KMI)%KR26)
IF (ASSOCIATED(TACCS(KMI)%KR27))  DEALLOCATE(TACCS(KMI)%KR27)
IF (ASSOCIATED(TACCS(KMI)%KR28))  DEALLOCATE(TACCS(KMI)%KR28)
IF (ASSOCIATED(TACCS(KMI)%KR29))  DEALLOCATE(TACCS(KMI)%KR29)
IF (ASSOCIATED(TACCS(KMI)%KR30))  DEALLOCATE(TACCS(KMI)%KR30)
IF (ASSOCIATED(TACCS(KMI)%KR31))  DEALLOCATE(TACCS(KMI)%KR31)
IF (ASSOCIATED(TACCS(KMI)%KR32))  DEALLOCATE(TACCS(KMI)%KR32)
IF (ASSOCIATED(TACCS(KMI)%KR33))  DEALLOCATE(TACCS(KMI)%KR33)
IF (ASSOCIATED(TACCS(KMI)%KR34))  DEALLOCATE(TACCS(KMI)%KR34)
IF (ASSOCIATED(TACCS(KMI)%KR35))  DEALLOCATE(TACCS(KMI)%KR35)
IF (ASSOCIATED(TACCS(KMI)%KR36))  DEALLOCATE(TACCS(KMI)%KR36)
IF (ASSOCIATED(TACCS(KMI)%KR37))  DEALLOCATE(TACCS(KMI)%KR37)
IF (ASSOCIATED(TACCS(KMI)%KR38))  DEALLOCATE(TACCS(KMI)%KR38)
IF (ASSOCIATED(TACCS(KMI)%KR39))  DEALLOCATE(TACCS(KMI)%KR39)
IF (ASSOCIATED(TACCS(KMI)%KR40))  DEALLOCATE(TACCS(KMI)%KR40)
IF (ASSOCIATED(TACCS(KMI)%KR41))  DEALLOCATE(TACCS(KMI)%KR41)
IF (ASSOCIATED(TACCS(KMI)%KR42))  DEALLOCATE(TACCS(KMI)%KR42)
IF (ASSOCIATED(TACCS(KMI)%KR43))  DEALLOCATE(TACCS(KMI)%KR43)
IF (ASSOCIATED(TACCS(KMI)%KR44))  DEALLOCATE(TACCS(KMI)%KR44)
IF (ASSOCIATED(TACCS(KMI)%KR45))  DEALLOCATE(TACCS(KMI)%KR45)
IF (ASSOCIATED(TACCS(KMI)%KR46))  DEALLOCATE(TACCS(KMI)%KR46)
IF (ASSOCIATED(TACCS(KMI)%NVERB)) DEALLOCATE(TACCS(KMI)%NVERB)
IF (ASSOCIATED(TACCS(KMI)%MODELLEVEL)) DEALLOCATE(TACCS(KMI)%MODELLEVEL)
IF (ASSOCIATED(TACCS(KMI)%LAT)) DEALLOCATE(TACCS(KMI)%LAT)
IF (ASSOCIATED(TACCS(KMI)%LON)) DEALLOCATE(TACCS(KMI)%LON)
IF (ASSOCIATED(TACCS(KMI)%YEAR)) DEALLOCATE(TACCS(KMI)%YEAR)
IF (ASSOCIATED(TACCS(KMI)%MONTH)) DEALLOCATE(TACCS(KMI)%MONTH)
IF (ASSOCIATED(TACCS(KMI)%DAY)) DEALLOCATE(TACCS(KMI)%DAY)
IF (ASSOCIATED(TACCS(KMI)%T)) DEALLOCATE(TACCS(KMI)%T)
IF (ASSOCIATED(TACCS(KMI)%PRESSURE)) DEALLOCATE(TACCS(KMI)%PRESSURE)
IF (ASSOCIATED(TACCS(KMI)%M)) DEALLOCATE(TACCS(KMI)%M)
IF (ASSOCIATED(TACCS(KMI)%H2O)) DEALLOCATE(TACCS(KMI)%H2O)
IF (ASSOCIATED(TACCS(KMI)%CLOUDWATER)) DEALLOCATE(TACCS(KMI)%CLOUDWATER)
IF (ASSOCIATED(TACCS(KMI)%RAINWATER)) DEALLOCATE(TACCS(KMI)%RAINWATER)
IF (ASSOCIATED(TACCS(KMI)%RHODREF)) DEALLOCATE(TACCS(KMI)%RHODREF)
IF (ASSOCIATED(TACCS(KMI)%O2)) DEALLOCATE(TACCS(KMI)%O2)
IF (ASSOCIATED(TACCS(KMI)%N2)) DEALLOCATE(TACCS(KMI)%N2)
IF (ASSOCIATED(TACCS(KMI)%H2)) DEALLOCATE(TACCS(KMI)%H2)
IF (ASSOCIATED(TACCS(KMI)%CO2)) DEALLOCATE(TACCS(KMI)%CO2)
IF (ASSOCIATED(TACCS(KMI)%CH4)) DEALLOCATE(TACCS(KMI)%CH4)
IF (ASSOCIATED(TACCS(KMI)%O )) DEALLOCATE(TACCS(KMI)%O )
IF (ASSOCIATED(TACCS(KMI)%OSD )) DEALLOCATE(TACCS(KMI)%OSD )
IF (ASSOCIATED(TACCS(KMI)%RO22 )) DEALLOCATE(TACCS(KMI)%RO22 )
IF (ASSOCIATED(TACCS(KMI)%RO23 )) DEALLOCATE(TACCS(KMI)%RO23 )
IF (ASSOCIATED(TACCS(KMI)%RO24 )) DEALLOCATE(TACCS(KMI)%RO24 )
IF (ASSOCIATED(TACCS(KMI)%RO26 )) DEALLOCATE(TACCS(KMI)%RO26 )
IF (ASSOCIATED(TACCS(KMI)%RO27 )) DEALLOCATE(TACCS(KMI)%RO27 )
IF (ASSOCIATED(TACCS(KMI)%RO28)) DEALLOCATE(TACCS(KMI)%RO28)
IF (ASSOCIATED(TACCS(KMI)%RO29 )) DEALLOCATE(TACCS(KMI)%RO29 )
IF (ASSOCIATED(TACCS(KMI)%RO210 )) DEALLOCATE(TACCS(KMI)%RO210 )
IF (ASSOCIATED(TACCS(KMI)%RO211 )) DEALLOCATE(TACCS(KMI)%RO211 )
IF (ASSOCIATED(TACCS(KMI)%RO212 )) DEALLOCATE(TACCS(KMI)%RO212 )
IF (ASSOCIATED(TACCS(KMI)%RO213 )) DEALLOCATE(TACCS(KMI)%RO213 )
IF (ASSOCIATED(TACCS(KMI)%RO214 )) DEALLOCATE(TACCS(KMI)%RO214 )
IF (ASSOCIATED(TACCS(KMI)%RO215 )) DEALLOCATE(TACCS(KMI)%RO215 )
IF (ASSOCIATED(TACCS(KMI)%RO216 )) DEALLOCATE(TACCS(KMI)%RO216 )
IF (ASSOCIATED(TACCS(KMI)%RO217 )) DEALLOCATE(TACCS(KMI)%RO217 )
IF (ASSOCIATED(TACCS(KMI)%RO218 )) DEALLOCATE(TACCS(KMI)%RO218 )
IF (ASSOCIATED(TACCS(KMI)%RO219 )) DEALLOCATE(TACCS(KMI)%RO219 )
IF (ASSOCIATED(TACCS(KMI)%RO220 )) DEALLOCATE(TACCS(KMI)%RO220 )
IF (ASSOCIATED(TACCS(KMI)%RO221 )) DEALLOCATE(TACCS(KMI)%RO221 )
IF (ASSOCIATED(TACCS(KMI)%RO222 )) DEALLOCATE(TACCS(KMI)%RO222 )
IF (ASSOCIATED(TACCS(KMI)%RO223 )) DEALLOCATE(TACCS(KMI)%RO223 )
IF (ASSOCIATED(TACCS(KMI)%RO224 )) DEALLOCATE(TACCS(KMI)%RO224 )
IF (ASSOCIATED(TACCS(KMI)%RO225 )) DEALLOCATE(TACCS(KMI)%RO225 )
IF (ASSOCIATED(TACCS(KMI)%RO226 )) DEALLOCATE(TACCS(KMI)%RO226 )
IF (ASSOCIATED(TACCS(KMI)%RO227 )) DEALLOCATE(TACCS(KMI)%RO227 )
IF (ASSOCIATED(TACCS(KMI)%RO228 )) DEALLOCATE(TACCS(KMI)%RO228 )
IF (ASSOCIATED(TACCS(KMI)%RO229 )) DEALLOCATE(TACCS(KMI)%RO229 )
IF (ASSOCIATED(TACCS(KMI)%RO230 )) DEALLOCATE(TACCS(KMI)%RO230 )
IF (ASSOCIATED(TACCS(KMI)%RO231 )) DEALLOCATE(TACCS(KMI)%RO231 )
IF (ASSOCIATED(TACCS(KMI)%RO232 )) DEALLOCATE(TACCS(KMI)%RO232 )
IF (ASSOCIATED(TACCS(KMI)%RO233 )) DEALLOCATE(TACCS(KMI)%RO233 )
IF (ASSOCIATED(TACCS(KMI)%RO234 )) DEALLOCATE(TACCS(KMI)%RO234 )
IF (ASSOCIATED(TACCS(KMI)%RO235 )) DEALLOCATE(TACCS(KMI)%RO235 )
IF (ASSOCIATED(TACCS(KMI)%RO236 )) DEALLOCATE(TACCS(KMI)%RO236 )
IF (ASSOCIATED(TACCS(KMI)%RO237 )) DEALLOCATE(TACCS(KMI)%RO237 )
IF (ASSOCIATED(TACCS(KMI)%RO238 )) DEALLOCATE(TACCS(KMI)%RO238 )
IF (ASSOCIATED(TACCS(KMI)%RO239 )) DEALLOCATE(TACCS(KMI)%RO239 )
IF (ASSOCIATED(TACCS(KMI)%RO240 )) DEALLOCATE(TACCS(KMI)%RO240 )
IF (ASSOCIATED(TACCS(KMI)%RO241 )) DEALLOCATE(TACCS(KMI)%RO241 )
IF (ASSOCIATED(TACCS(KMI)%RO242 )) DEALLOCATE(TACCS(KMI)%RO242 )
IF (ASSOCIATED(TACCS(KMI)%RO243 )) DEALLOCATE(TACCS(KMI)%RO243 )
IF (ASSOCIATED(TACCS(KMI)%RO244 )) DEALLOCATE(TACCS(KMI)%RO244 )
IF (ASSOCIATED(TACCS(KMI)%RO245 )) DEALLOCATE(TACCS(KMI)%RO245 )
IF (ASSOCIATED(TACCS(KMI)%RO246 )) DEALLOCATE(TACCS(KMI)%RO246 )
IF (ASSOCIATED(TACCS(KMI)%RO247 )) DEALLOCATE(TACCS(KMI)%RO247 )
IF (ASSOCIATED(TACCS(KMI)%RO248 )) DEALLOCATE(TACCS(KMI)%RO248 )
IF (ASSOCIATED(TACCS(KMI)%RO249 )) DEALLOCATE(TACCS(KMI)%RO249 )
IF (ASSOCIATED(TACCS(KMI)%RO250 )) DEALLOCATE(TACCS(KMI)%RO250 )
IF (ASSOCIATED(TACCS(KMI)%RO251 )) DEALLOCATE(TACCS(KMI)%RO251 )
IF (ASSOCIATED(TACCS(KMI)%RO252 )) DEALLOCATE(TACCS(KMI)%RO252 )
IF (ASSOCIATED(TACCS(KMI)%RO253 )) DEALLOCATE(TACCS(KMI)%RO253 )
IF (ASSOCIATED(TACCS(KMI)%RO254 )) DEALLOCATE(TACCS(KMI)%RO254 )
IF (ASSOCIATED(TACCS(KMI)%RO255 )) DEALLOCATE(TACCS(KMI)%RO255 )
IF (ASSOCIATED(TACCS(KMI)%RO256 )) DEALLOCATE(TACCS(KMI)%RO256 )
IF (ASSOCIATED(TACCS(KMI)%RO257 )) DEALLOCATE(TACCS(KMI)%RO257 )
IF (ASSOCIATED(TACCS(KMI)%RO258 )) DEALLOCATE(TACCS(KMI)%RO258 )
IF (ASSOCIATED(TACCS(KMI)%RAD1 )) DEALLOCATE(TACCS(KMI)%RAD1 )
IF (ASSOCIATED(TACCS(KMI)%RAD2 )) DEALLOCATE(TACCS(KMI)%RAD2 )
IF (ASSOCIATED(TACCS(KMI)%RAD3 )) DEALLOCATE(TACCS(KMI)%RAD3 )
IF (ASSOCIATED(TACCS(KMI)%RAD4 )) DEALLOCATE(TACCS(KMI)%RAD4 )
IF (ASSOCIATED(TACCS(KMI)%RAD5 )) DEALLOCATE(TACCS(KMI)%RAD5 )
IF (ASSOCIATED(TACCS(KMI)%RAD6 )) DEALLOCATE(TACCS(KMI)%RAD6 )
IF (ASSOCIATED(TACCS(KMI)%RAD7 )) DEALLOCATE(TACCS(KMI)%RAD7 )
IF (ASSOCIATED(TACCS(KMI)%RAD8 )) DEALLOCATE(TACCS(KMI)%RAD8 )
IF (ASSOCIATED(TACCS(KMI)%LWC)) DEALLOCATE(TACCS(KMI)%LWC)
IF (ASSOCIATED(TACCS(KMI)%MOL2MOLECCLOUD)) DEALLOCATE(TACCS(KMI)%MOL2MOLECCLOUD)
IF (ASSOCIATED(TACCS(KMI)%RADC)) DEALLOCATE(TACCS(KMI)%RADC)
IF (ASSOCIATED(TACCS(KMI)%PHC)) DEALLOCATE(TACCS(KMI)%PHC)
IF (ASSOCIATED(TACCS(KMI)%LWR)) DEALLOCATE(TACCS(KMI)%LWR)
IF (ASSOCIATED(TACCS(KMI)%MOL2MOLECRAIN)) DEALLOCATE(TACCS(KMI)%MOL2MOLECRAIN)
IF (ASSOCIATED(TACCS(KMI)%RADR)) DEALLOCATE(TACCS(KMI)%RADR)
IF (ASSOCIATED(TACCS(KMI)%PHR)) DEALLOCATE(TACCS(KMI)%PHR)
IF (ASSOCIATED(TACCS(KMI)%RCH)) DEALLOCATE(TACCS(KMI)%RCH)
IF (ASSOCIATED(TACCS(KMI)%W_O2)) DEALLOCATE(TACCS(KMI)%W_O2)
IF (ASSOCIATED(TACCS(KMI)%CF1)) DEALLOCATE(TACCS(KMI)%CF1)
IF (ASSOCIATED(TACCS(KMI)%CF2)) DEALLOCATE(TACCS(KMI)%CF2)
IF (ASSOCIATED(TACCS(KMI)%CF3)) DEALLOCATE(TACCS(KMI)%CF3)
IF (ASSOCIATED(TACCS(KMI)%CF4)) DEALLOCATE(TACCS(KMI)%CF4)
IF (ASSOCIATED(TACCS(KMI)%CF5)) DEALLOCATE(TACCS(KMI)%CF5)
IF (ASSOCIATED(TACCS(KMI)%CF6)) DEALLOCATE(TACCS(KMI)%CF6)
IF (ASSOCIATED(TACCS(KMI)%CF7)) DEALLOCATE(TACCS(KMI)%CF7)
IF (ASSOCIATED(TACCS(KMI)%CF8)) DEALLOCATE(TACCS(KMI)%CF8)
IF (ASSOCIATED(TACCS(KMI)%CF9)) DEALLOCATE(TACCS(KMI)%CF9)
IF (ASSOCIATED(TACCS(KMI)%CF10)) DEALLOCATE(TACCS(KMI)%CF10)
IF (ASSOCIATED(TACCS(KMI)%CF11)) DEALLOCATE(TACCS(KMI)%CF11)
IF (ASSOCIATED(TACCS(KMI)%CF12)) DEALLOCATE(TACCS(KMI)%CF12)
IF (ASSOCIATED(TACCS(KMI)%CF13)) DEALLOCATE(TACCS(KMI)%CF13)
IF (ASSOCIATED(TACCS(KMI)%CF14)) DEALLOCATE(TACCS(KMI)%CF14)
IF (ASSOCIATED(TACCS(KMI)%CF15)) DEALLOCATE(TACCS(KMI)%CF15)
IF (ASSOCIATED(TACCS(KMI)%CF16)) DEALLOCATE(TACCS(KMI)%CF16)
IF (ASSOCIATED(TACCS(KMI)%CF17)) DEALLOCATE(TACCS(KMI)%CF17)
IF (ASSOCIATED(TACCS(KMI)%CF18)) DEALLOCATE(TACCS(KMI)%CF18)
IF (ASSOCIATED(TACCS(KMI)%CF19)) DEALLOCATE(TACCS(KMI)%CF19)
IF (ASSOCIATED(TACCS(KMI)%CF20)) DEALLOCATE(TACCS(KMI)%CF20)
IF (ASSOCIATED(TACCS(KMI)%CF21)) DEALLOCATE(TACCS(KMI)%CF21)
IF (ASSOCIATED(TACCS(KMI)%CF22)) DEALLOCATE(TACCS(KMI)%CF22)
IF (ASSOCIATED(TACCS(KMI)%CF23)) DEALLOCATE(TACCS(KMI)%CF23)
IF (ASSOCIATED(TACCS(KMI)%CF24)) DEALLOCATE(TACCS(KMI)%CF24)
IF (ASSOCIATED(TACCS(KMI)%CF25)) DEALLOCATE(TACCS(KMI)%CF25)
IF (ASSOCIATED(TACCS(KMI)%CF26)) DEALLOCATE(TACCS(KMI)%CF26)
IF (ASSOCIATED(TACCS(KMI)%CF27)) DEALLOCATE(TACCS(KMI)%CF27)
IF (ASSOCIATED(TACCS(KMI)%CF28)) DEALLOCATE(TACCS(KMI)%CF28)
IF (ASSOCIATED(TACCS(KMI)%CF29)) DEALLOCATE(TACCS(KMI)%CF29)
IF (ASSOCIATED(TACCS(KMI)%CF30)) DEALLOCATE(TACCS(KMI)%CF30)
IF (ASSOCIATED(TACCS(KMI)%CF31)) DEALLOCATE(TACCS(KMI)%CF31)
IF (ASSOCIATED(TACCS(KMI)%CF32)) DEALLOCATE(TACCS(KMI)%CF32)
IF (ASSOCIATED(TACCS(KMI)%CF33)) DEALLOCATE(TACCS(KMI)%CF33)
IF (ASSOCIATED(TACCS(KMI)%CF34)) DEALLOCATE(TACCS(KMI)%CF34)
IF (ASSOCIATED(TACCS(KMI)%CF35)) DEALLOCATE(TACCS(KMI)%CF35)
IF (ASSOCIATED(TACCS(KMI)%CF36)) DEALLOCATE(TACCS(KMI)%CF36)
IF (ASSOCIATED(TACCS(KMI)%CF37)) DEALLOCATE(TACCS(KMI)%CF37)
IF (ASSOCIATED(TACCS(KMI)%CF38)) DEALLOCATE(TACCS(KMI)%CF38)
IF (ASSOCIATED(TACCS(KMI)%CF39)) DEALLOCATE(TACCS(KMI)%CF39)
IF (ASSOCIATED(TACCS(KMI)%CF40)) DEALLOCATE(TACCS(KMI)%CF40)
IF (ASSOCIATED(TACCS(KMI)%CF41)) DEALLOCATE(TACCS(KMI)%CF41)
IF (ASSOCIATED(TACCS(KMI)%CF42)) DEALLOCATE(TACCS(KMI)%CF42)
IF (ASSOCIATED(TACCS(KMI)%CF43)) DEALLOCATE(TACCS(KMI)%CF43)
IF (ASSOCIATED(TACCS(KMI)%CF44)) DEALLOCATE(TACCS(KMI)%CF44)
IF (ASSOCIATED(TACCS(KMI)%CF45)) DEALLOCATE(TACCS(KMI)%CF45)
IF (ASSOCIATED(TACCS(KMI)%CF46)) DEALLOCATE(TACCS(KMI)%CF46)
IF (ASSOCIATED(TACCS(KMI)%CF47)) DEALLOCATE(TACCS(KMI)%CF47)
IF (ASSOCIATED(TACCS(KMI)%CF48)) DEALLOCATE(TACCS(KMI)%CF48)
IF (ASSOCIATED(TACCS(KMI)%CF49)) DEALLOCATE(TACCS(KMI)%CF49)
IF (ASSOCIATED(TACCS(KMI)%CFA1)) DEALLOCATE(TACCS(KMI)%CFA1)
IF (ASSOCIATED(TACCS(KMI)%CFA2)) DEALLOCATE(TACCS(KMI)%CFA2)
IF (ASSOCIATED(TACCS(KMI)%CFA3)) DEALLOCATE(TACCS(KMI)%CFA3)
IF (ASSOCIATED(TACCS(KMI)%CFA4)) DEALLOCATE(TACCS(KMI)%CFA4)
IF (ASSOCIATED(TACCS(KMI)%CFA5)) DEALLOCATE(TACCS(KMI)%CFA5)
IF (ASSOCIATED(TACCS(KMI)%CFA6)) DEALLOCATE(TACCS(KMI)%CFA6)
IF (ASSOCIATED(TACCS(KMI)%CFA7)) DEALLOCATE(TACCS(KMI)%CFA7)
IF (ASSOCIATED(TACCS(KMI)%CFA8)) DEALLOCATE(TACCS(KMI)%CFA8)
IF (ASSOCIATED(TACCS(KMI)%CFA9)) DEALLOCATE(TACCS(KMI)%CFA9)
IF (ASSOCIATED(TACCS(KMI)%CFA10)) DEALLOCATE(TACCS(KMI)%CFA10)
IF (ASSOCIATED(TACCS(KMI)%CFA11)) DEALLOCATE(TACCS(KMI)%CFA11)
IF (ASSOCIATED(TACCS(KMI)%CFA12)) DEALLOCATE(TACCS(KMI)%CFA12)
IF (ASSOCIATED(TACCS(KMI)%CFA13)) DEALLOCATE(TACCS(KMI)%CFA13)
IF (ASSOCIATED(TACCS(KMI)%CFA14)) DEALLOCATE(TACCS(KMI)%CFA14)
IF (ASSOCIATED(TACCS(KMI)%CFA15)) DEALLOCATE(TACCS(KMI)%CFA15)
IF (ASSOCIATED(TACCS(KMI)%CFA16)) DEALLOCATE(TACCS(KMI)%CFA16)
IF (ASSOCIATED(TACCS(KMI)%CFA17)) DEALLOCATE(TACCS(KMI)%CFA17)
IF (ASSOCIATED(TACCS(KMI)%CFA18)) DEALLOCATE(TACCS(KMI)%CFA18)
IF (ASSOCIATED(TACCS(KMI)%CFA19)) DEALLOCATE(TACCS(KMI)%CFA19)
IF (ASSOCIATED(TACCS(KMI)%CFA20)) DEALLOCATE(TACCS(KMI)%CFA20)
IF (ASSOCIATED(TACCS(KMI)%CFA21)) DEALLOCATE(TACCS(KMI)%CFA21)
IF (ASSOCIATED(TACCS(KMI)%CFA22)) DEALLOCATE(TACCS(KMI)%CFA22)
IF (ASSOCIATED(TACCS(KMI)%CFA23)) DEALLOCATE(TACCS(KMI)%CFA23)
IF (ASSOCIATED(TACCS(KMI)%CFA24)) DEALLOCATE(TACCS(KMI)%CFA24)
END SUBROUTINE CH_DEALLOCATE_TACCS
!
!========================================================================
!
!     #######################
      MODULE MODI_CH_INIT_CCS
!     #######################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_INIT_CCS(KMI,OUSECHAQ,OCH_PH,KOUT,KVERB)
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI         ! model number
LOGICAL, INTENT(IN)  :: OUSECHAQ
LOGICAL, INTENT(IN)  :: OCH_PH
INTEGER, INTENT(IN)  :: KOUT, KVERB ! stdout output, verbosity level 
END SUBROUTINE CH_INIT_CCS
END INTERFACE
END MODULE MODI_CH_INIT_CCS
!
!========================================================================
!
!     ######################################################
      SUBROUTINE CH_INIT_CCS(KMI,OUSECHAQ,OCH_PH,KOUT,KVERB)
!     ######################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_INIT_CCS*
!!
!!    PURPOSE
!!    -------
!       initialization of the chemical reaction mechanism
!!
!!**  METHOD
!!    ------
!!
!!      The variables CNAMES and CREACS of MODD_CH_M9_SCHEME are defined here.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KMI         ! model number
LOGICAL, INTENT(IN)  :: OUSECHAQ
LOGICAL, INTENT(IN)  :: OCH_PH
INTEGER, INTENT(IN)  :: KOUT, KVERB ! stdout output, verbosity level 
!!
!!    LOCAL VARIABLES
!!    ---------------
LOGICAL, SAVE :: GFIRSTCALL = .TRUE.
INTEGER :: JII ! loop control
INTEGER :: INDX
!!
!!----------------------------------------------------------------------
! /BEGIN_INITIAL/
! /END_INITIAL/
INDX = 1
IF (OUSECHAQ) INDX = 2
TACCS(KMI)%NEQ    = JPNEQ(INDX)
TACCS(KMI)%NEQAQ  = JPNEQAQ(INDX)
TACCS(KMI)%NREAC  = JPNREAC(INDX)
TACCS(KMI)%NMETEOVARS  = JPNMETEOVARS(INDX)
TACCS(KMI)%NNONZEROTERMS  = JPNNONZEROTERMS(INDX)
!
TACCS(KMI)%LUSECHAQ = OUSECHAQ
TACCS(KMI)%LCH_PH   = OCH_PH
TACCS(KMI)%NOUT     = KOUT
!
IF (GFIRSTCALL) THEN
   GFIRSTCALL = .FALSE.
! initialisation of the names of the chemical species
  CNAMES(1) = 'NO'
  CNAMES(2) = 'NO2'
  CNAMES(3) = 'O3'
  CNAMES(4) = 'HONO'
  CNAMES(5) = 'HNO3'
  CNAMES(6) = 'HNO4'
  CNAMES(7) = 'N2O5'
  CNAMES(8) = 'NO3'
  CNAMES(9) = 'NH3'
  CNAMES(10) = 'HO2'
  CNAMES(11) = 'CO'
  CNAMES(12) = 'H2O2'
  CNAMES(13) = 'SO2'
  CNAMES(14) = 'H2SO4'
  CNAMES(15) = 'OH'
  CNAMES(16) = 'ETHE'
  CNAMES(17) = 'OLEL'
  CNAMES(18) = 'OLEH'
  CNAMES(19) = 'ALKL'
  CNAMES(20) = 'ALKM'
  CNAMES(21) = 'ALKH'
  CNAMES(22) = 'AROH'
  CNAMES(23) = 'AROL'
  CNAMES(24) = 'AROO'
  CNAMES(25) = 'ARAL'
  CNAMES(26) = 'ARAC'
  CNAMES(27) = 'PAH'
  CNAMES(28) = 'HCHO'
  CNAMES(29) = 'ALD2'
  CNAMES(30) = 'KETL'
  CNAMES(31) = 'KETH'
  CNAMES(32) = 'MEOH'
  CNAMES(33) = 'ETOH'
  CNAMES(34) = 'ALCH'
  CNAMES(35) = 'ISOP'
  CNAMES(36) = 'BIOL'
  CNAMES(37) = 'BIOH'
  CNAMES(38) = 'MTBE'
  CNAMES(39) = 'MVK'
  CNAMES(40) = 'MCR'
  CNAMES(41) = 'MGLY'
  CNAMES(42) = 'GLY'
  CNAMES(43) = 'ORA1'
  CNAMES(44) = 'ORA2'
  CNAMES(45) = 'ACID'
  CNAMES(46) = 'UR28'
  CNAMES(47) = 'UR21'
  CNAMES(48) = 'URG2'
  CNAMES(49) = 'UR26'
  CNAMES(50) = 'RPG2'
  CNAMES(51) = 'RP18'
  CNAMES(52) = 'RPG3'
  CNAMES(53) = 'URG4'
  CNAMES(54) = 'UR8'
  CNAMES(55) = 'UR17'
  CNAMES(56) = 'UR7'
  CNAMES(57) = 'RPR3'
  CNAMES(58) = 'URG6'
  CNAMES(59) = 'UR22'
  CNAMES(60) = 'URG7'
  CNAMES(61) = 'RPR4'
  CNAMES(62) = 'RPR7'
  CNAMES(63) = 'RPG7'
  CNAMES(64) = 'URG8'
  CNAMES(65) = 'UR19'
  CNAMES(66) = 'URG9'
  CNAMES(67) = 'AP7'
  CNAMES(68) = 'URG10'
  CNAMES(69) = 'RPR1'
  CNAMES(70) = 'RPR5'
  CNAMES(71) = 'RPR8'
  CNAMES(72) = 'RP10'
  CNAMES(73) = 'RP11'
  CNAMES(74) = 'RP16'
  CNAMES(75) = 'RPRL'
  CNAMES(76) = 'APAN'
  CNAMES(77) = 'PAN1'
  CNAMES(78) = 'PAN2'
  CNAMES(79) = 'PAN3'
  CNAMES(80) = 'PAN4'
  CNAMES(81) = 'PAN6'
  CNAMES(82) = 'PAN7'
  CNAMES(83) = 'PAN8'
  CNAMES(84) = 'PN10'
  CNAMES(85) = 'RO2T'
  CNAMES(86) = 'RO21'
  CNAMES(87) = 'RO25'
  CNAMES(88) = 'WC_O3'
  CNAMES(89) = 'WC_H2O2'
  CNAMES(90) = 'WC_NO'
  CNAMES(91) = 'WC_NO2'
  CNAMES(92) = 'WC_NO3'
  CNAMES(93) = 'WC_N2O5'
  CNAMES(94) = 'WC_HONO'
  CNAMES(95) = 'WC_HNO3'
  CNAMES(96) = 'WC_HNO4'
  CNAMES(97) = 'WC_NH3'
  CNAMES(98) = 'WC_OH'
  CNAMES(99) = 'WC_HO2'
  CNAMES(100) = 'WC_CO2'
  CNAMES(101) = 'WC_SO2'
  CNAMES(102) = 'WC_H2SO4'
  CNAMES(103) = 'WC_RO21'
  CNAMES(104) = 'WC_RO25'
  CNAMES(105) = 'WC_MEOH'
  CNAMES(106) = 'WC_ETOH'
  CNAMES(107) = 'WC_ALCH'
  CNAMES(108) = 'WC_HCHO'
  CNAMES(109) = 'WC_ALD2'
  CNAMES(110) = 'WC_GLY'
  CNAMES(111) = 'WC_MGLY'
  CNAMES(112) = 'WC_KETL'
  CNAMES(113) = 'WC_ORA1'
  CNAMES(114) = 'WC_ORA2'
  CNAMES(115) = 'WC_ACID'
  CNAMES(116) = 'WC_RP16'
  CNAMES(117) = 'WC_UR21'
  CNAMES(118) = 'WC_UR28'
  CNAMES(119) = 'WC_ACID2'
  CNAMES(120) = 'WC_ASO3'
  CNAMES(121) = 'WC_ASO4'
  CNAMES(122) = 'WC_ASO5'
  CNAMES(123) = 'WC_AHSO5'
  CNAMES(124) = 'WC_AHMS'
  CNAMES(125) = 'WR_O3'
  CNAMES(126) = 'WR_H2O2'
  CNAMES(127) = 'WR_NO'
  CNAMES(128) = 'WR_NO2'
  CNAMES(129) = 'WR_NO3'
  CNAMES(130) = 'WR_N2O5'
  CNAMES(131) = 'WR_HONO'
  CNAMES(132) = 'WR_HNO3'
  CNAMES(133) = 'WR_HNO4'
  CNAMES(134) = 'WR_NH3'
  CNAMES(135) = 'WR_OH'
  CNAMES(136) = 'WR_HO2'
  CNAMES(137) = 'WR_CO2'
  CNAMES(138) = 'WR_SO2'
  CNAMES(139) = 'WR_H2SO4'
  CNAMES(140) = 'WR_RO21'
  CNAMES(141) = 'WR_RO25'
  CNAMES(142) = 'WR_MEOH'
  CNAMES(143) = 'WR_ETOH'
  CNAMES(144) = 'WR_ALCH'
  CNAMES(145) = 'WR_HCHO'
  CNAMES(146) = 'WR_ALD2'
  CNAMES(147) = 'WR_GLY'
  CNAMES(148) = 'WR_MGLY'
  CNAMES(149) = 'WR_KETL'
  CNAMES(150) = 'WR_ORA1'
  CNAMES(151) = 'WR_ORA2'
  CNAMES(152) = 'WR_ACID'
  CNAMES(153) = 'WR_RP16'
  CNAMES(154) = 'WR_UR21'
  CNAMES(155) = 'WR_UR28'
  CNAMES(156) = 'WR_ACID2'
  CNAMES(157) = 'WR_ASO3'
  CNAMES(158) = 'WR_ASO4'
  CNAMES(159) = 'WR_ASO5'
  CNAMES(160) = 'WR_AHSO5'
  CNAMES(161) = 'WR_AHMS'
! initialisation of the names of the reactions
 CREACS(1) = 'K001'
 CREACS(2) = 'K002'
 CREACS(3) = 'K003'
 CREACS(4) = 'K004'
 CREACS(5) = 'K005'
 CREACS(6) = 'K006'
 CREACS(7) = 'K007'
 CREACS(8) = 'K008'
 CREACS(9) = 'K009'
 CREACS(10) = 'K010'
 CREACS(11) = 'K011'
 CREACS(12) = 'K012'
 CREACS(13) = 'K013'
 CREACS(14) = 'K014'
 CREACS(15) = 'K015'
 CREACS(16) = 'K016'
 CREACS(17) = 'K017'
 CREACS(18) = 'K018A'
 CREACS(19) = 'K018B'
 CREACS(20) = 'K019'
 CREACS(21) = 'K020'
 CREACS(22) = 'K021'
 CREACS(23) = 'K022'
 CREACS(24) = 'K023'
 CREACS(25) = 'K024'
 CREACS(26) = 'K025'
 CREACS(27) = 'K026'
 CREACS(28) = 'K027'
 CREACS(29) = 'K028'
 CREACS(30) = 'K029'
 CREACS(31) = 'K030'
 CREACS(32) = 'K031'
 CREACS(33) = 'K032'
 CREACS(34) = 'K033'
 CREACS(35) = 'K034'
 CREACS(36) = 'K035'
 CREACS(37) = 'K036'
 CREACS(38) = 'K037'
 CREACS(39) = 'K038'
 CREACS(40) = 'K039'
 CREACS(41) = 'K040'
 CREACS(42) = 'K041'
 CREACS(43) = 'K042'
 CREACS(44) = 'K043'
 CREACS(45) = 'K044'
 CREACS(46) = 'K045'
 CREACS(47) = 'K046'
 CREACS(48) = 'K047'
 CREACS(49) = 'K048'
 CREACS(50) = 'K049'
 CREACS(51) = 'K050'
 CREACS(52) = 'K051'
 CREACS(53) = 'K052'
 CREACS(54) = 'K053'
 CREACS(55) = 'K054'
 CREACS(56) = 'K055'
 CREACS(57) = 'K056'
 CREACS(58) = 'K057'
 CREACS(59) = 'K058'
 CREACS(60) = 'K059'
 CREACS(61) = 'K060'
 CREACS(62) = 'K061'
 CREACS(63) = 'K062'
 CREACS(64) = 'K063'
 CREACS(65) = 'K064'
 CREACS(66) = 'K065'
 CREACS(67) = 'K066'
 CREACS(68) = 'K067'
 CREACS(69) = 'K068'
 CREACS(70) = 'K069'
 CREACS(71) = 'K070'
 CREACS(72) = 'K071'
 CREACS(73) = 'K072'
 CREACS(74) = 'K073'
 CREACS(75) = 'K074'
 CREACS(76) = 'K075'
 CREACS(77) = 'K076'
 CREACS(78) = 'K077'
 CREACS(79) = 'K078'
 CREACS(80) = 'K079'
 CREACS(81) = 'K080'
 CREACS(82) = 'K081'
 CREACS(83) = 'K082'
 CREACS(84) = 'K083'
 CREACS(85) = 'K084'
 CREACS(86) = 'K085'
 CREACS(87) = 'K086'
 CREACS(88) = 'K087'
 CREACS(89) = 'K088'
 CREACS(90) = 'K089'
 CREACS(91) = 'K090'
 CREACS(92) = 'K091'
 CREACS(93) = 'K092'
 CREACS(94) = 'K093'
 CREACS(95) = 'K094'
 CREACS(96) = 'K095'
 CREACS(97) = 'K096'
 CREACS(98) = 'K097'
 CREACS(99) = 'K098'
 CREACS(100) = 'K099'
 CREACS(101) = 'K100'
 CREACS(102) = 'K101'
 CREACS(103) = 'K102'
 CREACS(104) = 'K103'
 CREACS(105) = 'K104'
 CREACS(106) = 'K105'
 CREACS(107) = 'K106'
 CREACS(108) = 'K107'
 CREACS(109) = 'K108'
 CREACS(110) = 'K109'
 CREACS(111) = 'K110'
 CREACS(112) = 'K111'
 CREACS(113) = 'K112'
 CREACS(114) = 'K113'
 CREACS(115) = 'K114'
 CREACS(116) = 'K115'
 CREACS(117) = 'K116'
 CREACS(118) = 'K117'
 CREACS(119) = 'K118'
 CREACS(120) = 'K119'
 CREACS(121) = 'K120'
 CREACS(122) = 'K121'
 CREACS(123) = 'K122'
 CREACS(124) = 'K123'
 CREACS(125) = 'K124'
 CREACS(126) = 'K125'
 CREACS(127) = 'K126'
 CREACS(128) = 'K127'
 CREACS(129) = 'K128'
 CREACS(130) = 'K129'
 CREACS(131) = 'K130'
 CREACS(132) = 'K131'
 CREACS(133) = 'K132'
 CREACS(134) = 'K133'
 CREACS(135) = 'K134'
 CREACS(136) = 'K135'
 CREACS(137) = 'K136'
 CREACS(138) = 'K137'
 CREACS(139) = 'K138'
 CREACS(140) = 'K139'
 CREACS(141) = 'K140'
 CREACS(142) = 'K141'
 CREACS(143) = 'K142'
 CREACS(144) = 'K143'
 CREACS(145) = 'K144'
 CREACS(146) = 'K145'
 CREACS(147) = 'K146'
 CREACS(148) = 'K147'
 CREACS(149) = 'K148'
 CREACS(150) = 'K149'
 CREACS(151) = 'K150'
 CREACS(152) = 'K151'
 CREACS(153) = 'K152'
 CREACS(154) = 'K153'
 CREACS(155) = 'K154'
 CREACS(156) = 'K155'
 CREACS(157) = 'K156'
 CREACS(158) = 'K157'
 CREACS(159) = 'K158'
 CREACS(160) = 'K159'
 CREACS(161) = 'K160'
 CREACS(162) = 'K161'
 CREACS(163) = 'K162'
 CREACS(164) = 'K163'
 CREACS(165) = 'K164'
 CREACS(166) = 'K165'
 CREACS(167) = 'K166'
 CREACS(168) = 'K167'
 CREACS(169) = 'K168'
 CREACS(170) = 'K169'
 CREACS(171) = 'K170'
 CREACS(172) = 'K171'
 CREACS(173) = 'K172'
 CREACS(174) = 'K173'
 CREACS(175) = 'K174'
 CREACS(176) = 'K175'
 CREACS(177) = 'K176'
 CREACS(178) = 'K177'
 CREACS(179) = 'K178'
 CREACS(180) = 'K179'
 CREACS(181) = 'K180'
 CREACS(182) = 'K181'
 CREACS(183) = 'K182'
 CREACS(184) = 'K183'
 CREACS(185) = 'K184'
 CREACS(186) = 'K185'
 CREACS(187) = 'K186'
 CREACS(188) = 'K187'
 CREACS(189) = 'K188'
 CREACS(190) = 'K189'
 CREACS(191) = 'K190'
 CREACS(192) = 'K191'
 CREACS(193) = 'K192'
 CREACS(194) = 'K193'
 CREACS(195) = 'K194'
 CREACS(196) = 'K195'
 CREACS(197) = 'K196'
 CREACS(198) = 'K197'
 CREACS(199) = 'K198'
 CREACS(200) = 'K199'
 CREACS(201) = 'K200'
 CREACS(202) = 'K201'
 CREACS(203) = 'K202'
 CREACS(204) = 'K203'
 CREACS(205) = 'K204'
 CREACS(206) = 'K205'
 CREACS(207) = 'K206'
 CREACS(208) = 'K207'
 CREACS(209) = 'K208'
 CREACS(210) = 'K209'
 CREACS(211) = 'K210'
 CREACS(212) = 'K211'
 CREACS(213) = 'K212'
 CREACS(214) = 'K213'
 CREACS(215) = 'K214'
 CREACS(216) = 'K215'
 CREACS(217) = 'K216'
 CREACS(218) = 'K217'
 CREACS(219) = 'K218'
 CREACS(220) = 'K219'
 CREACS(221) = 'K220'
 CREACS(222) = 'K221'
 CREACS(223) = 'K222'
 CREACS(224) = 'K223'
 CREACS(225) = 'K224'
 CREACS(226) = 'K225'
 CREACS(227) = 'K226'
 CREACS(228) = 'K227'
 CREACS(229) = 'K228'
 CREACS(230) = 'K229'
 CREACS(231) = 'K230'
 CREACS(232) = 'K231'
 CREACS(233) = 'K232'
 CREACS(234) = 'K233'
 CREACS(235) = 'K234'
 CREACS(236) = 'K235'
 CREACS(237) = 'K236'
 CREACS(238) = 'K237'
 CREACS(239) = 'K238'
 CREACS(240) = 'K239'
 CREACS(241) = 'K240'
 CREACS(242) = 'K241'
 CREACS(243) = 'K242'
 CREACS(244) = 'K243'
 CREACS(245) = 'K244'
 CREACS(246) = 'K245'
 CREACS(247) = 'K246'
 CREACS(248) = 'K247'
 CREACS(249) = 'K248'
 CREACS(250) = 'K249'
 CREACS(251) = 'K250'
 CREACS(252) = 'K251'
 CREACS(253) = 'K252'
 CREACS(254) = 'K253'
 CREACS(255) = 'K254'
 CREACS(256) = 'K255'
 CREACS(257) = 'K256'
 CREACS(258) = 'K257'
 CREACS(259) = 'K258'
 CREACS(260) = 'K259'
 CREACS(261) = 'K260'
 CREACS(262) = 'K261'
 CREACS(263) = 'K262'
 CREACS(264) = 'K263'
 CREACS(265) = 'K264'
 CREACS(266) = 'K265'
 CREACS(267) = 'K266'
 CREACS(268) = 'K267'
 CREACS(269) = 'K268'
 CREACS(270) = 'K269'
 CREACS(271) = 'K270'
 CREACS(272) = 'K271'
 CREACS(273) = 'K272'
 CREACS(274) = 'K273'
 CREACS(275) = 'K274'
 CREACS(276) = 'K275'
 CREACS(277) = 'K276'
 CREACS(278) = 'K277'
 CREACS(279) = 'K278'
 CREACS(280) = 'K279'
 CREACS(281) = 'K280'
 CREACS(282) = 'K281'
 CREACS(283) = 'K282'
 CREACS(284) = 'K283'
 CREACS(285) = 'K284'
 CREACS(286) = 'K285'
 CREACS(287) = 'K286'
 CREACS(288) = 'K287'
 CREACS(289) = 'K288'
 CREACS(290) = 'K289'
 CREACS(291) = 'K290'
 CREACS(292) = 'K291'
 CREACS(293) = 'K292'
 CREACS(294) = 'K293'
 CREACS(295) = 'K294'
 CREACS(296) = 'K295'
 CREACS(297) = 'K296'
 CREACS(298) = 'K297'
 CREACS(299) = 'K298'
 CREACS(300) = 'K299'
 CREACS(301) = 'K300'
 CREACS(302) = 'K301'
 CREACS(303) = 'K302'
 CREACS(304) = 'K303'
 CREACS(305) = 'K304'
 CREACS(306) = 'K305'
 CREACS(307) = 'K306'
 CREACS(308) = 'K307'
 CREACS(309) = 'K308'
 CREACS(310) = 'K309'
 CREACS(311) = 'K310'
 CREACS(312) = 'K311'
 CREACS(313) = 'K312'
 CREACS(314) = 'K313'
 CREACS(315) = 'K314'
 CREACS(316) = 'K315'
 CREACS(317) = 'K316'
 CREACS(318) = 'K317'
 CREACS(319) = 'K318'
 CREACS(320) = 'K319'
 CREACS(321) = 'K320'
 CREACS(322) = 'K321'
 CREACS(323) = 'K322'
 CREACS(324) = 'K323'
 CREACS(325) = 'K324'
 CREACS(326) = 'K325'
 CREACS(327) = 'K326'
 CREACS(328) = 'K327'
 CREACS(329) = 'K328'
 CREACS(330) = 'K329'
 CREACS(331) = 'K330'
 CREACS(332) = 'K331'
 CREACS(333) = 'K332'
 CREACS(334) = 'K333'
 CREACS(335) = 'K334'
 CREACS(336) = 'K335'
 CREACS(337) = 'K337'
 CREACS(338) = 'K338'
 CREACS(339) = 'K339'
 CREACS(340) = 'K340'
 CREACS(341) = 'K341'
 CREACS(342) = 'K342'
 CREACS(343) = 'K343'
 CREACS(344) = 'K344'
 CREACS(345) = 'K345'
 CREACS(346) = 'K346'
 CREACS(347) = 'K347'
 CREACS(348) = 'K348'
 CREACS(349) = 'K349'
 CREACS(350) = 'K350'
 CREACS(351) = 'K351'
 CREACS(352) = 'K352'
 CREACS(353) = 'K353'
 CREACS(354) = 'K354'
 CREACS(355) = 'K355'
 CREACS(356) = 'K356'
 CREACS(357) = 'K357'
 CREACS(358) = 'K358'
 CREACS(359) = 'K359'
 CREACS(360) = 'K360'
 CREACS(361) = 'K361'
 CREACS(362) = 'K362'
 CREACS(363) = 'K363'
 CREACS(364) = 'K364'
 CREACS(365) = 'K365'
 CREACS(366) = 'KTC1'
 CREACS(367) = 'KTC2'
 CREACS(368) = 'KTC3'
 CREACS(369) = 'KTC4'
 CREACS(370) = 'KTC5'
 CREACS(371) = 'KTC6'
 CREACS(372) = 'KTC7'
 CREACS(373) = 'KTC8'
 CREACS(374) = 'KTC9'
 CREACS(375) = 'KTC10'
 CREACS(376) = 'KTC11'
 CREACS(377) = 'KTC12'
 CREACS(378) = 'KTC13'
 CREACS(379) = 'KTC14'
 CREACS(380) = 'KTC15'
 CREACS(381) = 'KTC16'
 CREACS(382) = 'KTC17'
 CREACS(383) = 'KTC18'
 CREACS(384) = 'KTC19'
 CREACS(385) = 'KTC20'
 CREACS(386) = 'KTC21'
 CREACS(387) = 'KTC22'
 CREACS(388) = 'KTC23'
 CREACS(389) = 'KTC24'
 CREACS(390) = 'KTC25'
 CREACS(391) = 'KTC26'
 CREACS(392) = 'KTC27'
 CREACS(393) = 'KTC28'
 CREACS(394) = 'KTC29'
 CREACS(395) = 'KTC30'
 CREACS(396) = 'KTC31'
 CREACS(397) = 'KTC32'
 CREACS(398) = 'KTC33'
 CREACS(399) = 'KTC34'
 CREACS(400) = 'KTC35'
 CREACS(401) = 'KTC36'
 CREACS(402) = 'KTC37'
 CREACS(403) = 'KTC38'
 CREACS(404) = 'KTC39'
 CREACS(405) = 'KTC40'
 CREACS(406) = 'KTC41'
 CREACS(407) = 'KTC42'
 CREACS(408) = 'KTC43'
 CREACS(409) = 'KTC44'
 CREACS(410) = 'KTC45'
 CREACS(411) = 'KTC46'
 CREACS(412) = 'KTC47'
 CREACS(413) = 'KTC48'
 CREACS(414) = 'KTC49'
 CREACS(415) = 'KTC50'
 CREACS(416) = 'KTC51'
 CREACS(417) = 'KTC52'
 CREACS(418) = 'KTC53'
 CREACS(419) = 'KTC54'
 CREACS(420) = 'KTC55'
 CREACS(421) = 'KTC56'
 CREACS(422) = 'KTC57'
 CREACS(423) = 'KTC58'
 CREACS(424) = 'KTC59'
 CREACS(425) = 'KTC60'
 CREACS(426) = 'KTC61'
 CREACS(427) = 'KTC62'
 CREACS(428) = 'KTR1'
 CREACS(429) = 'KTR2'
 CREACS(430) = 'KTR3'
 CREACS(431) = 'KTR4'
 CREACS(432) = 'KTR5'
 CREACS(433) = 'KTR6'
 CREACS(434) = 'KTR7'
 CREACS(435) = 'KTR8'
 CREACS(436) = 'KTR9'
 CREACS(437) = 'KTR10'
 CREACS(438) = 'KTR11'
 CREACS(439) = 'KTR12'
 CREACS(440) = 'KTR13'
 CREACS(441) = 'KTR14'
 CREACS(442) = 'KTR15'
 CREACS(443) = 'KTR16'
 CREACS(444) = 'KTR17'
 CREACS(445) = 'KTR18'
 CREACS(446) = 'KTR19'
 CREACS(447) = 'KTR20'
 CREACS(448) = 'KTR21'
 CREACS(449) = 'KTR22'
 CREACS(450) = 'KTR23'
 CREACS(451) = 'KTR24'
 CREACS(452) = 'KTR25'
 CREACS(453) = 'KTR26'
 CREACS(454) = 'KTR27'
 CREACS(455) = 'KTR28'
 CREACS(456) = 'KTR29'
 CREACS(457) = 'KTR30'
 CREACS(458) = 'KTR31'
 CREACS(459) = 'KTR32'
 CREACS(460) = 'KTR33'
 CREACS(461) = 'KTR34'
 CREACS(462) = 'KTR35'
 CREACS(463) = 'KTR36'
 CREACS(464) = 'KTR37'
 CREACS(465) = 'KTR38'
 CREACS(466) = 'KTR39'
 CREACS(467) = 'KTR40'
 CREACS(468) = 'KTR41'
 CREACS(469) = 'KTR42'
 CREACS(470) = 'KTR43'
 CREACS(471) = 'KTR44'
 CREACS(472) = 'KTR45'
 CREACS(473) = 'KTR46'
 CREACS(474) = 'KTR47'
 CREACS(475) = 'KTR48'
 CREACS(476) = 'KTR49'
 CREACS(477) = 'KTR50'
 CREACS(478) = 'KTR51'
 CREACS(479) = 'KTR52'
 CREACS(480) = 'KTR53'
 CREACS(481) = 'KTR54'
 CREACS(482) = 'KTR55'
 CREACS(483) = 'KTR56'
 CREACS(484) = 'KTR57'
 CREACS(485) = 'KTR58'
 CREACS(486) = 'KTR59'
 CREACS(487) = 'KTR60'
 CREACS(488) = 'KTR61'
 CREACS(489) = 'KTR62'
 CREACS(490) = 'KC1'
 CREACS(491) = 'KC2'
 CREACS(492) = 'KC3'
 CREACS(493) = 'KC4'
 CREACS(494) = 'KC5'
 CREACS(495) = 'KC6'
 CREACS(496) = 'KC7'
 CREACS(497) = 'KC8'
 CREACS(498) = 'KC9'
 CREACS(499) = 'KC10'
 CREACS(500) = 'KC11'
 CREACS(501) = 'KC12'
 CREACS(502) = 'KC13'
 CREACS(503) = 'KC14'
 CREACS(504) = 'KC15'
 CREACS(505) = 'KC16'
 CREACS(506) = 'KC17'
 CREACS(507) = 'KC18'
 CREACS(508) = 'KC19'
 CREACS(509) = 'KC20'
 CREACS(510) = 'KC21'
 CREACS(511) = 'KC22'
 CREACS(512) = 'KC23'
 CREACS(513) = 'KC24'
 CREACS(514) = 'KC25'
 CREACS(515) = 'KC26'
 CREACS(516) = 'KC27'
 CREACS(517) = 'KC28'
 CREACS(518) = 'KC29'
 CREACS(519) = 'KC30'
 CREACS(520) = 'KC31'
 CREACS(521) = 'KC32'
 CREACS(522) = 'KC33'
 CREACS(523) = 'KC34'
 CREACS(524) = 'KC35'
 CREACS(525) = 'KC36'
 CREACS(526) = 'KC37'
 CREACS(527) = 'KC38'
 CREACS(528) = 'KC39'
 CREACS(529) = 'KC40'
 CREACS(530) = 'KC41'
 CREACS(531) = 'KC42'
 CREACS(532) = 'KC43'
 CREACS(533) = 'KC44'
 CREACS(534) = 'KC45'
 CREACS(535) = 'KC46'
 CREACS(536) = 'KR1'
 CREACS(537) = 'KR2'
 CREACS(538) = 'KR3'
 CREACS(539) = 'KR4'
 CREACS(540) = 'KR5'
 CREACS(541) = 'KR6'
 CREACS(542) = 'KR7'
 CREACS(543) = 'KR8'
 CREACS(544) = 'KR9'
 CREACS(545) = 'KR10'
 CREACS(546) = 'KR11'
 CREACS(547) = 'KR12'
 CREACS(548) = 'KR13'
 CREACS(549) = 'KR14'
 CREACS(550) = 'KR15'
 CREACS(551) = 'KR16'
 CREACS(552) = 'KR17'
 CREACS(553) = 'KR18'
 CREACS(554) = 'KR19'
 CREACS(555) = 'KR20'
 CREACS(556) = 'KR21'
 CREACS(557) = 'KR22'
 CREACS(558) = 'KR23'
 CREACS(559) = 'KR24'
 CREACS(560) = 'KR25'
 CREACS(561) = 'KR26'
 CREACS(562) = 'KR27'
 CREACS(563) = 'KR28'
 CREACS(564) = 'KR29'
 CREACS(565) = 'KR30'
 CREACS(566) = 'KR31'
 CREACS(567) = 'KR32'
 CREACS(568) = 'KR33'
 CREACS(569) = 'KR34'
 CREACS(570) = 'KR35'
 CREACS(571) = 'KR36'
 CREACS(572) = 'KR37'
 CREACS(573) = 'KR38'
 CREACS(574) = 'KR39'
 CREACS(575) = 'KR40'
 CREACS(576) = 'KR41'
 CREACS(577) = 'KR42'
 CREACS(578) = 'KR43'
 CREACS(579) = 'KR44'
 CREACS(580) = 'KR45'
 CREACS(581) = 'KR46'
! initialisation of the full reactions
 CFULLREACS(1) = 'K001=!ZRATES(:,001)::NO2-->NO+O'
 CFULLREACS(2) = 'K002=TPK%M*5.60E-34*(TPK%T/300)**(-2.6)::O+O2-->O3'
 CFULLREACS(3) = 'K003=6.5E-12*EXP(119.8/TPK%T)::O+NO2-->NO+O2'
 CFULLREACS(4) = 'K004=@TROE(1.,9.0E-32,2.,2.2E-11,0.,0.8,TPK%M,TPK%T,KVECNPT):&
&:O+NO2-->NO3'
 CFULLREACS(5) = 'K005=1.8E-12*EXP(-1368.9/TPK%T)::NO+O3-->NO2+O2'
 CFULLREACS(6) = 'K006=1.4E-13*EXP(-2471.1/TPK%T)::NO2+O3-->NO3+O2'
 CFULLREACS(7) = 'K007=1.8E-11*EXP(110.7/TPK%T)::NO+NO3-->2.*NO2'
 CFULLREACS(8) = 'K008=5.09E-18/TPK%T*EXP(528.4/TPK%T)::NO+NO-->2.*NO2'
 CFULLREACS(9) = 'K009=@TROE(1.,2.8E-30,3.5,2.0E-12,0.2,0.45,TPK%M,TPK%T,KVECNP&
&T)::NO2+NO3-->N2O5'
 CFULLREACS(10) = 'K010=@TROE_EQUIL(2.8E-30,3.5,2.0E-12,0.2,3.70E+26,11000.0,0.&
&45,TPK%M,TPK%T,KVECNPT)::N2O5-->NO2+NO3'
 CFULLREACS(11) = 'K011=2.59E-22::N2O5+H2O-->2.*HNO3'
 CFULLREACS(12) = 'K012=4.5E-14*EXP(-1258.2/TPK%T)::NO2+NO3-->NO+NO2+O2'
 CFULLREACS(13) = 'K013=!ZRATES(:,007)::NO3-->NO+O2'
 CFULLREACS(14) = 'K014=!ZRATES(:,008)::NO3-->NO2+O'
 CFULLREACS(15) = 'K015=!ZRATES(:,003)::O3-->O+O2'
 CFULLREACS(16) = 'K016=!ZRATES(:,002)::O3-->OSD+O2'
 CFULLREACS(17) = 'K017=2.2E-10::OSD+H2O-->OH+OH'
 CFULLREACS(18) = 'K018A=1.80E-11*exp(-(-110.0/TPK%T))::OSD+N2-->O+N2'
 CFULLREACS(19) = 'K018B=3.20E-11*exp(-(-70.0/TPK%T))::OSD+O2-->O+O2'
 CFULLREACS(20) = 'K019=@TROE(1.,7.0E-31,2.6,3.6E-11,0.1,0.6,TPK%M,TPK%T,KVECNP&
&T)::NO+OH-->HONO'
 CFULLREACS(21) = 'K020=!ZRATES(:,004)::HONO-->0.9*NO+0.1*NO2+0.9*OH+0.1*HO2'
 CFULLREACS(22) = 'K021=4.0E-24::NO2+H2O-->0.5*HONO+0.5*HNO3'
 CFULLREACS(23) = 'K022=@TROE(1.,2.85E-30,2.67,3.13E-11,0.,0.6,TPK%M,TPK%T,KVEC&
&NPT)::NO2+OH-->HNO3'
 CFULLREACS(24) = 'K023=@TROE_KA(7.2E-15,785.1,4.1E-16,1439.4,1.9E-33,724.7,TPK&
&%M,TPK%T,KVECNPT)::HNO3+OH-->NO3+H2O'
 CFULLREACS(25) = 'K024=@TROE_KB(1.3E-13,0.,3.19E-33,0.,TPK%M,TPK%T,KVECNPT)::C&
&O+OH-->HO2+CO2'
 CFULLREACS(26) = 'K025=1.9E-12*EXP(-1001.5/TPK%T)::O3+OH-->HO2+O2'
 CFULLREACS(27) = 'K026=3.41E-12*EXP(271.8/TPK%T)::NO+HO2-->NO2+OH'
 CFULLREACS(28) = 'K027=@TROE(1.,1.8E-31,3.2,4.7E-12,0.,0.6,TPK%M,TPK%T,KVECNPT&
&)::NO2+HO2-->HNO4'
 CFULLREACS(29) = 'K028=@TROE_EQUIL(1.8E-31,3.2,4.7E-12,0.,4.76E+26,10900.,0.6,&
&TPK%M,TPK%T,KVECNPT)::HNO4-->NO2+HO2'
 CFULLREACS(30) = 'K029=1.5E-12*EXP(362.4/TPK%T)::HNO4+OH-->NO2+O2+H2O'
 CFULLREACS(31) = 'K030=1.4E-14*EXP(-598.9/TPK%T)::O3+HO2-->OH+2.*O2'
 CFULLREACS(32) = 'K031=@TROE_KB(2.2E-13,598.9,1.85E-33,981.4,TPK%M,TPK%T,KVECN&
&PT)::HO2+HO2-->H2O2'
 CFULLREACS(33) = 'K032=@TROE_KB(3.08E-34,2798.2,2.59E-54,3180.7,TPK%M,TPK%T,KV&
&ECNPT)::HO2+HO2+H2O-->H2O2+O2+H2O'
 CFULLREACS(34) = 'K033=4.0E-12::NO3+HO2-->0.8*NO2+0.2*HNO3+0.8*OH+O2'
 CFULLREACS(35) = 'K034=8.0E-12*EXP(-2058.4/TPK%T)::O+O3-->2.*O2'
 CFULLREACS(36) = 'K035=@TROE(1.,4.1E-31,3.3,2.0E-12,0.,0.45,TPK%M,TPK%T,KVECNP&
&T)::SO2+OH-->H2SO4+HO2'
 CFULLREACS(37) = 'K036=!ZRATES(:,009)::H2O2-->2.*OH'
 CFULLREACS(38) = 'K037=2.91E-12*EXP(-161/TPK%T)::H2O2+OH-->HO2+H2O'
 CFULLREACS(39) = 'K038=@TROE(1.,9.00E-32,1.5,3.00E-11,0.0,0.6,TPK%M,TPK%T,KVEC&
&NPT)::O+NO-->NO2'
 CFULLREACS(40) = 'K039=2.7E-12*EXP(261.7/TPK%T)::HONO+OH-->NO2+H2O'
 CFULLREACS(41) = 'K040=2.0E-11::NO3+OH-->NO2+HO2'
 CFULLREACS(42) = 'K041=8.5E-13*EXP(-2450.9/TPK%T)::NO3+NO3-->2.*NO2+O2'
 CFULLREACS(43) = 'K042=4.8E-11*EXP(251.6/TPK%T)::OH+HO2-->H2O+O2'
 CFULLREACS(44) = 'K043=2.66E-12*EXP(-1800.2/TPK%T)::CH4+OH-->RO21+RO2T+H2O'
 CFULLREACS(45) = 'K044=!ZRATES(:,011)::HCHO-->CO+2.0*HO2'
 CFULLREACS(46) = 'K045=!ZRATES(:,010)::HCHO-->CO+H2'
 CFULLREACS(47) = 'K046=1.2E-14*TPK%T*EXP(286.9/TPK%T)::HCHO+OH-->CO+HO2+H2O'
 CFULLREACS(48) = 'K047=2.0E-12*EXP(-2430.8/TPK%T)::HCHO+NO3-->HNO3+CO+HO2'
 CFULLREACS(49) = 'K048=6.0E-18*TPK%T**2*EXP(170.1/TPK%T)::MEOH+OH-->HO2+HCHO+H&
&2O'
 CFULLREACS(50) = 'K049=1.96E-12*EXP(437.8/TPK%T)::ETHE+OH-->RO22+RO2T'
 CFULLREACS(51) = 'K050=4.89E-18*TPK%T**2*EXP(-2282.3/TPK%T)::ETHE+NO3-->RO23+R&
&O2T'
 CFULLREACS(52) = 'K051=9.14E-15*EXP(-2580.3/TPK%T)::ETHE+O3-->0.315*CO+0.06*HO&
&2+0.06*OH+0.5*HCHO+0.07*H2O+0.185*ORA1'
 CFULLREACS(53) = 'K052=7.3E-13::ETHE+O-->0.6*CO+HO2+0.6*RO21+0.4*RO24+RO2T'
 CFULLREACS(54) = 'K053=6.18E-18*TPK%T**2*EXP(532/TPK%T)::ETOH+OH-->TPK%CF1*HO2&
&+TPK%CF1*ALD2+TPK%CF2*RO22+TPK%CF2*RO2T+H2O'
 CFULLREACS(55) = 'K054=5.86E-12*EXP(500.3/TPK%T)::OLEL+OH-->RO22+RO2T'
 CFULLREACS(56) = 'K055=1.0E-13*EXP(-800.2/TPK%T)::OLEL+NO3-->RO23+RO2T'
 CFULLREACS(57) = 'K056=1.0E-17::OLEL+O3-->0.56*CO+0.2*CO2+0.36*OH+0.28*HO2+0.5&
&*HCHO+0.5*ALD2+0.1*ALKL+0.28*RO25+0.28*RO2T+0.12*ORA1+0.12*ORA2'
 CFULLREACS(58) = 'K057=4.66E-12::OLEL+O-->0.5*ALKL+0.4*ALD2+0.1*RO24+0.1*RO25+&
&0.2*RO2T'
 CFULLREACS(59) = 'K058=3.91E-12::ALKL+OH-->RO25+RO2T+H2O'
 CFULLREACS(60) = 'K059=!ZRATES(:,012)::ALD2-->CO+HO2+RO25+RO2T'
 CFULLREACS(61) = 'K060=6.91E-12*EXP(250/TPK%T)::ALD2+OH-->RO26+RO2T+H2O'
 CFULLREACS(62) = 'K061=3.0E-13*EXP(-1427/TPK%T)::ALD2+NO3-->HNO3+RO26+RO2T'
 CFULLREACS(63) = 'K062=4.91E-12::KETL+OH-->RO27+RO2T+H2O'
 CFULLREACS(64) = 'K063=!ZRATES(:,023)::KETL-->RO25+RO28+2.*RO2T'
 CFULLREACS(65) = 'K064=2.55E-11*EXP(410.2/TPK%T)::ISOP+OH-->0.66*RO29+0.34*RO2&
&10+RO2T'
 CFULLREACS(66) = 'K065=3.02E-12*EXP(-445.9/TPK%T)::ISOP+NO3-->0.66*RO211+0.34*&
&RO212+RO2T'
 CFULLREACS(67) = 'K066=7.86E-15*EXP(-1912.9/TPK%T)::ISOP+O3-->0.068*CO2+0.461*&
&CO+0.5*HCHO+0.664*OH+0.366*HO2+0.054*OLEL+0.389*MVK+0.17*MCR+0.271*RO213+0.095&
&*RO214+0.366*RO2T+0.121*ORA1'
 CFULLREACS(68) = 'K067=3.5E-11::ISOP+O-->0.925*OLEL+0.075*ALD2'
 CFULLREACS(69) = 'K068=3.2E-12::MTBE+OH-->RO215+RO2T+H2O'
 CFULLREACS(70) = 'K069=1.28E-11::ALCH+OH-->RO22+RO2T+H2O'
 CFULLREACS(71) = 'K070=5.1E-12::KETH+OH-->RO216+RO2T+H2O'
 CFULLREACS(72) = 'K071=!ZRATES(:,016)::KETH-->RO25+RO28+2.*RO2T'
 CFULLREACS(73) = 'K072=3.77E-12::AROO+NO3-->HNO3+RAD1'
 CFULLREACS(74) = 'K073=2.264E-10::AROO+OH-->0.16*HO2+0.16*AROO+0.1*RO217+0.1*R&
&O2T+0.74*RAD2+0.1*H2O'
 CFULLREACS(75) = 'K074=3.47E-11::OLEH+OH-->RO218+RO2T'
 CFULLREACS(76) = 'K075=3.47E-11*1.0E-13*EXP(-800.2/TPK%T)/(5.86E-12*EXP(500.3/&
&TPK%T))::OLEH+NO3-->RO219+RO2T'
 CFULLREACS(77) = 'K076=3.47E-11*1.0E-17/(5.86E-12*EXP(500.3/TPK%T))::OLEH+O3--&
&>0.56*CO+0.2*CO2+0.36*OH+0.28*HO2+0.5*HCHO+0.5*RPR1+0.12*ACID+0.1*ALKM+0.28*RO&
&220+0.28*RO2T'
 CFULLREACS(78) = 'K077=3.47E-11*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))::OLEH+O--&
&>0.5*ALKM+0.4*RPR1+0.1*RO24+0.1*RO220+0.2*RO2T'
 CFULLREACS(79) = 'K078=1.03E-11::ALKM+OH-->RO220+RO2T+H2O'
 CFULLREACS(80) = 'K079=3.27E-11::AROL+OH-->0.16*HO2+0.16*AROO+0.1*RO221+0.74*R&
&AD3+0.06*RO2T+0.06*H2O'
 CFULLREACS(81) = 'K080=1.52E-11::AROH+OH-->0.16*HO2+0.16*AROO+0.84*RAD4'
 CFULLREACS(82) = 'K081=1.4E-12*EXP(-1872.2/TPK%T)::ARAL+NO3-->HNO3+O3+ARAC'
 CFULLREACS(83) = 'K082=1.29E-11::ARAL+OH-->0.9983609*RPRL+TPK%CF48*HO2+TPK%CF3&
&9*O3+TPK%CF39*ARAC+TPK%CF45*RO222+TPK%CF40*RAD5+TPK%CF45*RO2T+TPK%CF48*H2O'
 CFULLREACS(84) = 'K083=1.1E-12::ARAC+OH-->0.16*HO2+0.1599999*URG7+0.1*RO223+0.&
&74*RAD6+0.1*RO2T+0.1*H2O'
 CFULLREACS(85) = 'K084=1.7E-10::BIOL+OH-->RO224+RO2T'
 CFULLREACS(86) = 'K085=1.46E-11::BIOL+NO3-->RO225+RO2T'
 CFULLREACS(87) = 'K086=2.5E-16::BIOL+O3-->0.445*CO+0.055*H2O2+0.445*HO2+0.89*O&
&H+5.5000000E-02*URG4+0.055*RPR3+0.445*RO226+0.445*RO2T'
 CFULLREACS(88) = 'K087=1.7E-10*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))::BIOL+O-->&
&0.7500000*URG10+0.2500000*URG10'
 CFULLREACS(89) = 'K088=1.77E-10::BIOH+OH-->RO227+RO2T'
 CFULLREACS(90) = 'K089=2.91E-11::BIOH+NO3-->RO228+RO2T'
 CFULLREACS(91) = 'K090=1.4E-16::BIOH+O3-->0.445*CO+0.055*H2O2+0.89*OH+0.055*UR&
&7+0.055*UR8+0.445*RO229+0.445*RO230+0.89*RO2T'
 CFULLREACS(92) = 'K091=8.59E-11::BIOH+O-->'
 CFULLREACS(93) = 'K092=7.7E-11::PAH+OH-->0.16*HO2+0.1600000*URG8+0.1*RO231+0.7&
&4*RAD7+0.1*RO2T+0.1*H2O'
 CFULLREACS(94) = 'K093=1.97E-11::ALKH+OH-->RO232+RO2T+H2O'
 CFULLREACS(95) = 'K094=3.41E-13*EXP(800.2/TPK%T)::RO2T+HO2-->HO2'
 CFULLREACS(96) = 'K095=4.2E-12*EXP(181.2/TPK%T)::RO2T+NO-->NO'
 CFULLREACS(97) = 'K096=1.0E-15::RO2T+RO2T-->RO2T'
 CFULLREACS(98) = 'K097=0.9*7.7E5/TPK%T::RAD2-->RO233+RO2T'
 CFULLREACS(99) = 'K098=0.9*7.7E5/TPK%T::RAD3-->RO234+RO2T'
 CFULLREACS(100) = 'K099=0.9*7.7E5/TPK%T::RAD4-->RO235+RO2T'
 CFULLREACS(101) = 'K100=0.9*7.7E5/TPK%T::RAD5-->RO236+RO2T'
 CFULLREACS(102) = 'K101=0.9*7.7E5/TPK%T::RAD6-->RO237+RO2T'
 CFULLREACS(103) = 'K102=0.9*7.7E5/TPK%T::RAD7-->RO238+RO2T'
 CFULLREACS(104) = 'K103=1.7*3.0E-11::RAD1+NO2-->RPR4'
 CFULLREACS(105) = 'K104=1.7*3.0E-11::RAD2+NO2-->RPR4+H2O'
 CFULLREACS(106) = 'K105=1.7*3.0E-11::RAD3+NO2-->H2O'
 CFULLREACS(107) = 'K106=1.7*3.0E-11::RAD4+NO2-->H2O'
 CFULLREACS(108) = 'K107=1.7*3.0E-11::RAD5+NO2-->RPR5+H2O'
 CFULLREACS(109) = 'K108=1.7*3.0E-11::RAD6+NO2-->0.9999993*URG7+H2O'
 CFULLREACS(110) = 'K109=1.7*3.0E-11::RAD7+NO2-->1.0000000*URG8+H2O'
 CFULLREACS(111) = 'K110=4.09E-12*EXP(180.2/TPK%T)::RO21+NO-->NO2+HO2+HCHO'
 CFULLREACS(112) = 'K111=1.0E-15::RO21+RO2T-->HO2+HCHO+RO2T+O2'
 CFULLREACS(113) = 'K112=3.41E-13*EXP(800.2/TPK%T)::RO21+HO2-->HO2+OH+HCHO'
 CFULLREACS(114) = 'K113=2.45E-12*EXP(180.2/TPK%T)::RO22+NO-->NO2+HO2+HCHO+ALD2&
&'
 CFULLREACS(115) = 'K114=1.0E-15::RO22+RO2T-->HO2+HCHO+ALD2+RO2T+O2'
 CFULLREACS(116) = 'K115=3.41E-13*EXP(800.2/TPK%T)::RO22+HO2-->OH+HO2+HCHO+ALD2&
&'
 CFULLREACS(117) = 'K116=2.45E-12*EXP(180.2/TPK%T)::RO23+NO-->2.*NO2+HCHO+ALD2'
 CFULLREACS(118) = 'K117=1.0E-15::RO23+RO2T-->NO2+HO2+HCHO+ALD2+O2+RO2T'
 CFULLREACS(119) = 'K118=3.41E-13*EXP(800.2/TPK%T)::RO23+HO2-->NO2+HO2+OH+HCHO+&
&ALD2'
 CFULLREACS(120) = 'K119=3.45E-12*EXP(180.2/TPK%T)::RO24+NO-->NO2+CO+HO2+HCHO'
 CFULLREACS(121) = 'K120=1.0E-15::RO24+RO2T-->CO+HO2+HCHO+RO2T+O2'
 CFULLREACS(122) = 'K121=3.41E-13*EXP(800.2/TPK%T)::RO24+HO2-->CO+HO2+OH+HCHO'
 CFULLREACS(123) = 'K122=2.91E-12*EXP(180.2/TPK%T)::RO25+NO-->TPK%CF3*ALKL+TPK%&
&CF4*NO2+TPK%CF4*HO2+TPK%CF4*ALD2'
 CFULLREACS(124) = 'K123=1.0E-15::RO25+RO2T-->HO2+ALD2+RO2T+O2'
 CFULLREACS(125) = 'K124=3.41E-13*EXP(800.2/TPK%T)::RO25+HO2-->HO2+OH+ALD2'
 CFULLREACS(126) = 'K125=1.11E-11*EXP(180.2/TPK%T)::RO26+NO-->NO2+CO2+RO25+RO2T&
&'
 CFULLREACS(127) = 'K126=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO26+NO2-->PAN1'
 CFULLREACS(128) = 'K127=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO28+NO2-->PAN2'
 CFULLREACS(129) = 'K128=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO239+NO2-->PAN3'
 CFULLREACS(130) = 'K129=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO248+NO2-->PAN4'
 CFULLREACS(131) = 'K130=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO250+NO2-->APAN'
 CFULLREACS(132) = 'K131=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO254+NO2-->PAN6'
 CFULLREACS(133) = 'K132=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO255+NO2-->PAN7'
 CFULLREACS(134) = 'K133=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO257+NO2-->APAN'
 CFULLREACS(135) = 'K134=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO258+NO2-->PN10'
 CFULLREACS(136) = 'K135=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN1-->NO2+RO26+RO2T'
 CFULLREACS(137) = 'K136=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN2-->NO2+RO28+RO2T'
 CFULLREACS(138) = 'K137=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN3-->NO2+RO239+RO2T'
 CFULLREACS(139) = 'K138=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PN10-->NO2+RO258+RO2T'
 CFULLREACS(140) = 'K139=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::APAN-->1.0000000*NO2+0.3750353*RO250+0.6249651*RO257+1&
&.0000000*RO2T'
 CFULLREACS(141) = 'K140=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN6-->NO2+RO254+RO2T'
 CFULLREACS(142) = 'K141=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN4-->NO2+RO248+RO2T'
 CFULLREACS(143) = 'K142=3.41E-13*EXP(800.2/TPK%T)/3.5::RO26+HO2-->O3+ACID+ORA2&
&'
 CFULLREACS(144) = 'K143=1.0E-15::RO26+RO2T-->CO2+RO25+2.*RO2T+O2'
 CFULLREACS(145) = 'K144=2.45E-12*EXP(180.2/TPK%T)::RO27+NO-->NO2+ALD2+RO28+RO2&
&T'
 CFULLREACS(146) = 'K145=1.0E-15::RO27+RO2T-->ALD2+RO28+2.*RO2T+O2'
 CFULLREACS(147) = 'K146=3.41E-13*EXP(800.2/TPK%T)::RO27+HO2-->OH+ALD2+RO28+RO2&
&T'
 CFULLREACS(148) = 'K147=1.11E-11*EXP(180.2/TPK%T)::RO28+NO-->NO2+CO2+RO21+RO2T&
&'
 CFULLREACS(149) = 'K148=3.41E-13*EXP(800.2/TPK%T)/3.5::RO28+HO2-->O3+ORA2'
 CFULLREACS(150) = 'K149=1.0E-15::RO28+RO2T-->CO2+RO21+2.*RO2T+O2'
 CFULLREACS(151) = 'K150=2.08E-12*EXP(180.2/TPK%T)::RO29+NO-->TPK%CF5*OLEL+TPK%&
&CF6*NO2+TPK%CF6*HO2+TPK%CF6*HCHO+TPK%CF6*MVK'
 CFULLREACS(152) = 'K151=1.0E-15::RO29+RO2T-->HO2+MVK+HCHO+RO2T+O2'
 CFULLREACS(153) = 'K152=3.41E-13*EXP(800.2/TPK%T)::RO29+HO2-->HO2+OH+MVK+HCHO'
 CFULLREACS(154) = 'K153=2.08E-12*EXP(180.2/TPK%T)::RO210+NO-->NO2+HO2+HCHO+MCR&
&'
 CFULLREACS(155) = 'K154=1.0E-15::RO210+RO2T-->HO2+HCHO+MCR+RO2T+O2'
 CFULLREACS(156) = 'K155=3.41E-13*EXP(800.2/TPK%T)::RO210+HO2-->HO2+OH+HCHO+MCR&
&'
 CFULLREACS(157) = 'K156=2.08E-12*EXP(180.2/TPK%T)::RO211+NO-->2.*NO2+HCHO+MVK'
 CFULLREACS(158) = 'K157=1.0E-15::RO211+RO2T-->NO2+HCHO+MVK+RO2T+O2'
 CFULLREACS(159) = 'K158=3.41E-13*EXP(800.2/TPK%T)::RO211+HO2-->NO2+OH+HCHO+MVK&
&'
 CFULLREACS(160) = 'K159=2.08E-12*EXP(180.2/TPK%T)::RO212+NO-->2.*NO2+HCHO+MCR'
 CFULLREACS(161) = 'K160=1.0E-15::RO212+RO2T-->NO2+HCHO+MCR+RO2T+O2'
 CFULLREACS(162) = 'K161=3.41E-13*EXP(800.2/TPK%T)::RO212+HO2-->NO2+OH+HCHO+MCR&
&'
 CFULLREACS(163) = 'K162=2.45E-12*EXP(180.2/TPK%T)::RO213+NO-->NO2+HCHO+RO239+R&
&O2T'
 CFULLREACS(164) = 'K163=1.0E-15::RO213+RO2T-->HCHO+RO239+2.*RO2T+O2'
 CFULLREACS(165) = 'K164=3.41E-13*EXP(800.2/TPK%T)::RO213+HO2-->HCHO+OH+RO239+R&
&O2T'
 CFULLREACS(166) = 'K165=1.11E-11*EXP(180.2/TPK%T)::RO239+NO-->NO2+CO2+RO214+RO&
&2T'
 CFULLREACS(167) = 'K166=3.41E-13*EXP(800.2/TPK%T)/3.5::RO239+HO2-->O3+0.5*OLEL&
&+0.5*ORA2'
 CFULLREACS(168) = 'K167=1.0E-15::RO239+RO2T-->CO2+RO214+2.*RO2T+O2'
 CFULLREACS(169) = 'K168=2.91E-12*EXP(180.2/TPK%T)::RO214+NO-->TPK%CF7*OLEL+TPK&
&%CF8*NO2+TPK%CF8*RO27+TPK%CF8*RO2T'
 CFULLREACS(170) = 'K169=1.0E-15::RO214+RO2T-->RO27+2.*RO2T+O2'
 CFULLREACS(171) = 'K170=3.41E-13*EXP(800.2/TPK%T)::RO214+HO2-->OH+RO27+RO2T'
 CFULLREACS(172) = 'K171=2.08E-12*EXP(180.2/TPK%T)::RO215+NO-->NO2+HO2+TPK%CF9*&
&ALD2+TPK%CF10*HCHO+TPK%CF11*KETL+TPK%CF12*ALKL'
 CFULLREACS(173) = 'K172=1.0E-15::RO215+RO2T-->HO2+TPK%CF13*ALD2+TPK%CF14*HCHO+&
&TPK%CF15*KETL+TPK%CF16*ALKL+RO2T+O2'
 CFULLREACS(174) = 'K173=3.41E-13*EXP(800.2/TPK%T)::RO215+HO2-->OH+HO2+TPK%CF13&
&*ALD2+TPK%CF14*HCHO+TPK%CF15*KETL+TPK%CF16*ALKL'
 CFULLREACS(175) = 'K174=1.48E-12*EXP(180.2/TPK%T)::RO216+NO-->NO2+ALD2+RO28+RO&
&2T'
 CFULLREACS(176) = 'K175=1.0E-15::RO216+RO2T-->ALD2+RO28+2.*RO2T+O2'
 CFULLREACS(177) = 'K176=3.41E-13*EXP(800.2/TPK%T)::RO216+HO2-->OH+ALD2+RO28+RO&
&2T'
 CFULLREACS(178) = 'K177=1.25E-12*EXP(180.2/TPK%T)::RO217+NO-->TPK%CF21*URG6+TP&
&K%CF22*NO2+TPK%CF22*HO2+TPK%CFA2*RPRL'
 CFULLREACS(179) = 'K178=1.0E-15::RO217+RO2T-->HO2+0.9983609*RPRL+RO2T+O2'
 CFULLREACS(180) = 'K179=3.41E-13*EXP(800.2/TPK%T)::RO217+HO2-->HO2+OH+0.998360&
&9*RPRL'
 CFULLREACS(181) = 'K180=1.25E-12*EXP(180.2/TPK%T)::RO218+NO-->TPK%CF20*NO2+TPK&
&%CF20*HO2'
 CFULLREACS(182) = 'K181=1.0E-15::RO218+RO2T-->HO2+RO2T+O2'
 CFULLREACS(183) = 'K182=3.41E-13*EXP(800.2/TPK%T)::RO218+HO2-->HO2+OH'
 CFULLREACS(184) = 'K183=1.05E-12*EXP(180.2/TPK%T)::RO219+NO-->2.*NO2+HCHO+RPR1&
&'
 CFULLREACS(185) = 'K184=1.0E-15::RO219+RO2T-->NO2+HCHO+RPR1+RO2T+O2'
 CFULLREACS(186) = 'K185=3.41E-13*EXP(800.2/TPK%T)::RO219+HO2-->NO2+OH+HCHO+RPR&
&1'
 CFULLREACS(187) = 'K186=1.25E-12*EXP(180.2/TPK%T)::RO220+NO-->TPK%CF18*NO2+TPK&
&%CF18*RO218+TPK%CF18*RO2T'
 CFULLREACS(188) = 'K187=1.0E-15::RO220+RO2T-->RO218+2.*RO2T+O2'
 CFULLREACS(189) = 'K188=3.41E-13*EXP(800.2/TPK%T)::RO220+HO2-->OH+RO218+RO2T'
 CFULLREACS(190) = 'K189=1.05E-12*EXP(180.2/TPK%T)::RO221+NO-->TPK%CF24*NO2+TPK&
&%CF24*HO2+TPK%CF24*ARAL'
 CFULLREACS(191) = 'K190=1.0E-15::RO221+RO2T-->HO2+ARAL+RO2T+O2'
 CFULLREACS(192) = 'K191=3.41E-13*EXP(800.2/TPK%T)::RO221+HO2-->HO2+OH+ARAL'
 CFULLREACS(193) = 'K192=1.25E-12*EXP(180.2/TPK%T)::RO222+NO-->TPK%CF42*NO2+TPK&
&%CF42*HO2+TPK%CFA7*RPRL'
 CFULLREACS(194) = 'K193=1.0E-15::RO222+RO2T-->HO2+0.9983609*RPRL+RO2T+O2'
 CFULLREACS(195) = 'K194=3.41E-13*EXP(800.2/TPK%T)::RO222+HO2-->HO2+OH+0.998360&
&9*RPRL'
 CFULLREACS(196) = 'K195=1.25E-12*EXP(180.2/TPK%T)::RO223+NO-->TPK%CF43*URG6+TP&
&K%CF44*NO2+TPK%CF44*HO2+TPK%CF44*RPR7'
 CFULLREACS(197) = 'K196=1.0E-15::RO223+RO2T-->HO2+RPR7+RO2T+O2'
 CFULLREACS(198) = 'K197=3.41E-13*EXP(800.2/TPK%T)::RO223+HO2-->HO2+OH+RPR7'
 CFULLREACS(199) = 'K198=8.89E-13*EXP(180.2/TPK%T)::RO224+NO-->TPK%CFA23*AP7+TP&
&K%CFA10*RPR3+TPK%CF26*NO2+TPK%CF26*HO2'
 CFULLREACS(200) = 'K199=1.0E-15::RO224+RO2T-->HO2+RPR3+RO2T+O2'
 CFULLREACS(201) = 'K200=3.41E-13*EXP(800.2/TPK%T)::RO224+HO2-->HO2+OH+RPR3'
 CFULLREACS(202) = 'K201=8.89E-13*EXP(180.2/TPK%T)::RO225+NO-->2.*NO2+RPR3'
 CFULLREACS(203) = 'K202=1.0E-15::RO225+RO2T-->NO2+RPR3+RO2T+O2'
 CFULLREACS(204) = 'K203=3.41E-13*EXP(800.2/TPK%T)::RO225+HO2-->NO2+OH+RPR3'
 CFULLREACS(205) = 'K204=8.89E-13*EXP(180.2/TPK%T)::RO226+NO-->NO2+1.0000000*UR&
&17+RO28+RO2T'
 CFULLREACS(206) = 'K205=1.0E-15::RO226+RO2T-->1.0000000*UR17+RO28+2.*RO2T+O2'
 CFULLREACS(207) = 'K206=3.41E-13*EXP(800.2/TPK%T)::RO226+HO2-->1.0000000*UR17+&
&OH+RO28+RO2T'
 CFULLREACS(208) = 'K207=8.89E-13*EXP(180.2/TPK%T)::RO227+NO-->TPK%CF27*URG10+T&
&PK%CF28*NO2+TPK%CF28*HO2+TPK%CFA12*UR7'
 CFULLREACS(209) = 'K208=1.0E-15::RO227+RO2T-->HO2+UR7+RO2T+O2'
 CFULLREACS(210) = 'K209=3.41E-13*EXP(800.2/TPK%T)::RO227+HO2-->HO2+OH+0.3*UR7'
 CFULLREACS(211) = 'K210=8.89E-13*EXP(180.2/TPK%T)::RO228+NO-->2.*NO2+0.3*UR7'
 CFULLREACS(212) = 'K211=1.0E-15::RO228+RO2T-->NO2+0.3*UR7+RO2T+O2'
 CFULLREACS(213) = 'K212=3.41E-13*EXP(800.2/TPK%T)::RO228+HO2-->NO2+OH+0.3*UR7'
 CFULLREACS(214) = 'K213=1.05E-12*EXP(180.2/TPK%T)::RO229+NO-->TPK%CF30*NO2+TPK&
&%CF30*RO240+TPK%CF30*RO2T'
 CFULLREACS(215) = 'K214=1.0E-15::RO229+RO2T-->RO240+2.*RO2T+O2'
 CFULLREACS(216) = 'K215=3.41E-13*EXP(800.2/TPK%T)::RO229+HO2-->OH+RO240+RO2T'
 CFULLREACS(217) = 'K216=1.05E-12*EXP(180.2/TPK%T)::RO240+NO-->NO2+RPR8+RO28+RO&
&2T'
 CFULLREACS(218) = 'K217=1.0E-15::RO240+RO2T-->RPR8+RO28+2.*RO2T+O2'
 CFULLREACS(219) = 'K218=3.41E-13*EXP(800.2/TPK%T)::RO240+HO2-->OH+RPR8+RO28+RO&
&2T'
 CFULLREACS(220) = 'K219=1.0E-15::RO230+RO2T-->RO28+2.*RO2T+O2'
 CFULLREACS(221) = 'K220=3.41E-13*EXP(800.2/TPK%T)::RO230+HO2-->OH+RO28+RO2T'
 CFULLREACS(222) = 'K221=6.32E-13*EXP(180.2/TPK%T)::RO231+NO-->TPK%CF31*URG8+TP&
&K%CF32*NO2+TPK%CF32*HO2+TPK%CF32*UR19'
 CFULLREACS(223) = 'K222=1.0E-15::RO231+RO2T-->HO2+UR19+RO2T+O2'
 CFULLREACS(224) = 'K223=3.41E-13*EXP(800.2/TPK%T)::RO231+HO2-->HO2+OH+UR19'
 CFULLREACS(225) = 'K224=3.2E-13*EXP(180.2/TPK%T)::RO232+NO-->TPK%CFA14*URG9+TP&
&K%CF34*NO2+TPK%CF34*RO241+TPK%CF34*RO2T'
 CFULLREACS(226) = 'K225=1.0E-15::RO232+RO2T-->RO241+2.*RO2T+O2'
 CFULLREACS(227) = 'K226=3.41E-13*EXP(800.2/TPK%T)::RO232+HO2-->OH+RO241+RO2T'
 CFULLREACS(228) = 'K227=3.2E-13*EXP(180.2/TPK%T)::RO241+NO-->TPK%CFA15*URG9+TP&
&K%CF36*NO2+TPK%CF36*HO2+TPK%CFA16*URG9'
 CFULLREACS(229) = 'K228=1.0E-15::RO241+RO2T-->HO2+0.9999996*URG9+RO2T+O2'
 CFULLREACS(230) = 'K229=3.41E-13*EXP(800.2/TPK%T)::RO241+HO2-->HO2+OH+0.999999&
&6*URG9'
 CFULLREACS(231) = 'K230=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO233-->R&
&O242+RO2T'
 CFULLREACS(232) = 'K231=1.25E-12*EXP(180.2/TPK%T)::RO233+NO-->NO2+HO2+0.300000&
&0*RPG3'
 CFULLREACS(233) = 'K232=1.0E-15::RO233+RO2T-->HO2+1.0000000*RPG3+RO2T+O2'
 CFULLREACS(234) = 'K233=3.41E-13*EXP(800.2/TPK%T)::RO233+HO2-->HO2+OH+0.300000&
&0*RPG3'
 CFULLREACS(235) = 'K234=1.25E-12*EXP(180.2/TPK%T)::RO242+NO-->NO2+HO2+RP10+MGL&
&Y'
 CFULLREACS(236) = 'K235=1.0E-15::RO242+RO2T-->HO2+RP10+O2+RO2T+MGLY'
 CFULLREACS(237) = 'K236=3.41E-13*EXP(800.2/TPK%T)::RO242+HO2-->HO2+OH+RP10+MGL&
&Y'
 CFULLREACS(238) = 'K237=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO234-->R&
&O243+RO2T'
 CFULLREACS(239) = 'K238=1.05E-12*EXP(180.2/TPK%T)::RO234+NO-->NO2+HO2+0.3*RP11&
&'
 CFULLREACS(240) = 'K239=1.0E-15::RO234+RO2T-->HO2+RP11+RO2T+O2'
 CFULLREACS(241) = 'K240=3.41E-13*EXP(800.2/TPK%T)::RO234+HO2-->HO2+OH+0.3*RP11&
&'
 CFULLREACS(242) = 'K241=1.05E-12*EXP(180.2/TPK%T)::RO243+NO-->NO2+HO2+RP10+MGL&
&Y'
 CFULLREACS(243) = 'K242=1.0E-15::RO243+RO2T-->HO2+RP10+MGLY+O2+RO2T'
 CFULLREACS(244) = 'K243=3.41E-13*EXP(800.2/TPK%T)::RO243+HO2-->HO2+OH+RP10+MGL&
&Y'
 CFULLREACS(245) = 'K244=1.1*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO235-->R&
&O244+RO2T'
 CFULLREACS(246) = 'K245=8.89E-13*EXP(180.2/TPK%T)::RO235+NO-->NO2+HO2+0.5*RP11&
&'
 CFULLREACS(247) = 'K246=1.0E-15::RO235+RO2T-->HO2+RP11+RO2T+O2'
 CFULLREACS(248) = 'K247=3.41E-13*EXP(800.2/TPK%T)::RO235+HO2-->HO2+OH+RP11'
 CFULLREACS(249) = 'K248=8.89E-13*EXP(180.2/TPK%T)::RO244+NO-->NO2+HO2+RP10+MGL&
&Y'
 CFULLREACS(250) = 'K249=1.0E-15::RO244+RO2T-->HO2+RP10+MGLY+O2+RO2T'
 CFULLREACS(251) = 'K250=3.41E-13*EXP(800.2/TPK%T)::RO244+HO2-->HO2+OH+RP10+MGL&
&Y'
 CFULLREACS(252) = 'K251=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO236-->R&
&O245+RO2T'
 CFULLREACS(253) = 'K252=1.25E-12*EXP(180.2/TPK%T)::RO236+NO-->NO2+HO2+0.300000&
&0*RPG3'
 CFULLREACS(254) = 'K253=1.0E-15::RO236+RO2T-->HO2+1.0000000*RPG3+RO2T+O2'
 CFULLREACS(255) = 'K254=3.41E-13*EXP(800.2/TPK%T)::RO236+HO2-->HO2+OH+0.300000&
&0*RPG3'
 CFULLREACS(256) = 'K255=1.25E-12*EXP(180.2/TPK%T)::RO245+NO-->NO2+HO2+RP10+MGL&
&Y'
 CFULLREACS(257) = 'K256=1.0E-15::RO245+RO2T-->HO2+RP10+MGLY+O2+RO2T'
 CFULLREACS(258) = 'K257=3.41E-13*EXP(800.2/TPK%T)::RO245+HO2-->HO2+OH+RP10+MGL&
&Y'
 CFULLREACS(259) = 'K258=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO237-->R&
&O246+RO2T'
 CFULLREACS(260) = 'K259=1.25E-12*EXP(180.2/TPK%T)::RO237+NO-->NO2+HO2+0.300000&
&0*RPG2'
 CFULLREACS(261) = 'K260=1.0E-15::RO237+RO2T-->HO2+1.0000000*RPG2+RO2T+O2'
 CFULLREACS(262) = 'K261=3.41E-13*EXP(800.2/TPK%T)::RO237+HO2-->HO2+OH+0.300000&
&0*RPG2'
 CFULLREACS(263) = 'K262=1.25E-12*EXP(180.2/TPK%T)::RO246+NO-->NO2+HO2+RP10+MGL&
&Y'
 CFULLREACS(264) = 'K263=1.0E-15::RO246+RO2T-->HO2+RP10+MGLY+O2+RO2T'
 CFULLREACS(265) = 'K264=3.41E-13*EXP(800.2/TPK%T)::RO246+HO2-->HO2+OH+RP10+MGL&
&Y'
 CFULLREACS(266) = 'K265=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)::RO238-->R&
&O247+RO2T'
 CFULLREACS(267) = 'K266=6.32E-13*EXP(180.2/TPK%T)::RO238+NO-->NO2+HO2+1.000001&
&3*RPG7'
 CFULLREACS(268) = 'K267=1.0E-15::RO238+RO2T-->HO2+1.0000013*RPG7+RO2T+O2'
 CFULLREACS(269) = 'K268=3.41E-13*EXP(800.2/TPK%T)::RO238+HO2-->HO2+OH+1.000001&
&3*RPG7'
 CFULLREACS(270) = 'K269=6.32E-13*EXP(180.2/TPK%T)::RO247+NO-->NO2+HO2+1.002399&
&8*RPRL+MGLY'
 CFULLREACS(271) = 'K270=1.0E-15::RO247+RO2T-->HO2+1.0023998*RPRL+MGLY+O2+RO2T'
 CFULLREACS(272) = 'K271=3.41E-13*EXP(800.2/TPK%T)::RO247+HO2-->HO2+OH+1.002399&
&8*RPRL+MGLY'
 CFULLREACS(273) = 'K272=4.14E-12*EXP(452.9/TPK%T)::MVK+OH-->RO249+RO2T'
 CFULLREACS(274) = 'K273=1.86E-11*EXP(176.1/TPK%T)::MCR+OH-->TPK%CF46*RO250+TPK&
&%CF46*H2O+TPK%CF47*RO251+RO2T'
 CFULLREACS(275) = 'K274=1.72E-11::MGLY+OH-->RO248+RO2T+H2O'
 CFULLREACS(276) = 'K275=1.5E-12*EXP(-1726.2/TPK%T)::MCR+NO3-->TPK%CF46*HNO3+TP&
&K%CF46*RO250+TPK%CF47*RO252+RO2T'
 CFULLREACS(277) = 'K276=!ZRATES(:,019)::MGLY-->CO+HO2+RO28+RO2T'
 CFULLREACS(278) = 'K277=1.11E-11*EXP(180.2/TPK%T)::RO248+NO-->NO2+CO2+RO28+RO2&
&T'
 CFULLREACS(279) = 'K278=1.4E-12*EXP(-1897.3/TPK%T)::MGLY+NO3-->HNO3+RO248+RO2T&
&'
 CFULLREACS(280) = 'K279=3.41E-13*EXP(800.2/TPK%T)/3.5::RO248+HO2-->O3+UR21'
 CFULLREACS(281) = 'K280=1.0E-15::RO248+RO2T-->CO2+RO28+2.*RO2T+O2'
 CFULLREACS(282) = 'K281=7.5E-16*EXP(-1519.9/TPK%T)::MVK+O3-->0.56*CO+0.2*CO2+0&
&.28*HO2+0.36*OH+0.5*MGLY+0.5*HCHO+0.1*ALD2+0.12*ORA1+0.12*UR21+0.28*RO28+0.28*&
&RO2T+0.2*H2O'
 CFULLREACS(283) = 'K282=1.36E-15*EXP(-2113.7/TPK%T)::MCR+O3-->0.41*CO+0.41*HO2&
&+0.82*OH+0.5*HCHO+0.59*MGLY+0.09*ORA1+0.41*RO253+0.41*RO2T'
 CFULLREACS(284) = 'K283=4.32E-12::MVK+O-->0.85*KETL+0.15*RO24+0.15*RO28+0.3*RO&
&2T'
 CFULLREACS(285) = 'K284=6.34E-12::MCR+O-->0.15*CO+0.15*HO2+0.85*ALD2+0.15*RO27&
&+0.15*RO2T'
 CFULLREACS(286) = 'K285=2.45E-12*EXP(180.2/TPK%T)::RO249+NO-->NO2+HO2+MGLY+HCH&
&O'
 CFULLREACS(287) = 'K286=1.0E-15::RO249+RO2T-->HO2+MGLY+HCHO+RO2T+O2'
 CFULLREACS(288) = 'K287=3.41E-13*EXP(800.2/TPK%T)::RO249+HO2-->HO2+OH+MGLY+HCH&
&O'
 CFULLREACS(289) = 'K288=1.11E-11*EXP(180.2/TPK%T)::RO250+NO-->CO2+NO2+RO214+RO&
&2T'
 CFULLREACS(290) = 'K289=3.41E-13*EXP(800.2/TPK%T)/3.5::RO250+HO2-->O3+0.5*ORA2&
&+0.5*OLEL'
 CFULLREACS(291) = 'K290=1.0E-15::RO250+RO2T-->CO2+RO214+2.*RO2T+O2'
 CFULLREACS(292) = 'K291=2.45E-12*EXP(180.2/TPK%T)::RO251+NO-->NO2+HO2+HCHO+MGL&
&Y'
 CFULLREACS(293) = 'K292=3.41E-13*EXP(800.2/TPK%T)::RO251+HO2-->HO2+HCHO+MGLY+R&
&O2T+O2'
 CFULLREACS(294) = 'K293=1.0E-15::RO251+RO2T-->HO2+OH+MGLY+HCHO'
 CFULLREACS(295) = 'K294=2.45E-12*EXP(180.2/TPK%T)::RO252+NO-->2.*NO2+MGLY+HCHO&
&'
 CFULLREACS(296) = 'K295=3.41E-13*EXP(800.2/TPK%T)::RO252+HO2-->NO2+MGLY+HCHO+R&
&O2T+O2'
 CFULLREACS(297) = 'K296=1.0E-15::RO252+RO2T-->NO2+OH+MGLY+HCHO'
 CFULLREACS(298) = 'K297=2.91E-12*EXP(180.2/TPK%T)::RO253+NO-->NO2+HCHO+RO254+R&
&O2T'
 CFULLREACS(299) = 'K298=3.41E-13*EXP(800.2/TPK%T)::RO253+HO2-->HCHO+RO254+2.*R&
&O2T+O2'
 CFULLREACS(300) = 'K299=1.0E-15::RO253+RO2T-->OH+HCHO+RO254+RO2T'
 CFULLREACS(301) = 'K300=1.11E-11*EXP(180.2/TPK%T)::RO254+NO-->CO2+CO+NO2+HO2'
 CFULLREACS(302) = 'K301=3.41E-13*EXP(800.2/TPK%T)/3.5::RO254+HO2-->O3+RP16'
 CFULLREACS(303) = 'K302=1.0E-15::RO254+RO2T-->CO2+CO+HO2+RO2T+O2'
 CFULLREACS(304) = 'K303=1.29E-11::RPR5+OH-->O3+0.9999993*URG7+H2O'
 CFULLREACS(305) = 'K304=3.54E-11::RPR1+OH-->RO255+RO2T+H2O'
 CFULLREACS(306) = 'K305=1.72E-11::RP16+OH-->RO258+RO2T+H2O'
 CFULLREACS(307) = 'K306=1.2940467E-11::RPRL+OH-->1.0000011*H2O+1.0000011*O3+2.&
&0714202E-03*RPR7+0.9979297*URG7'
 CFULLREACS(308) = 'K307=3.0E-13*EXP(-1427/TPK%T)*3.54E-11/(6.91E-12*EXP(250/TP&
&K%T))::RPR1+NO3-->HNO3+RO255+RO2T'
 CFULLREACS(309) = 'K308=!ZRATES(:,012)::RPR1-->CO+HO2+RO220+RO2T'
 CFULLREACS(310) = 'K309=1.11E-11*EXP(180.2/TPK%T)::RO255+NO-->NO2+CO2+RO220+RO&
&2T'
 CFULLREACS(311) = 'K310=3.41E-13*EXP(800.2/TPK%T)/3.5::RO255+HO2-->O3+ACID'
 CFULLREACS(312) = 'K311=1.0E-15::RO255+RO2T-->CO2+RO220+2.*RO2T+O2'
 CFULLREACS(313) = 'K312=4.24E-11::RPR3+OH-->RO256+RO2T+H2O'
 CFULLREACS(314) = 'K313=3.0E-13*EXP(-1427/TPK%T)*4.24E-11/(6.91E-12*EXP(250/TP&
&K%T))::RPR3+NO3-->HNO3+RO256+RO2T'
 CFULLREACS(315) = 'K314=!ZRATES(:,012)::RPR3-->CO+2.*HO2'
 CFULLREACS(316) = 'K315=1.11E-11*EXP(180.2/TPK%T)::RO256+NO-->NO2+CO2+HO2'
 CFULLREACS(317) = 'K316=@TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECN&
&PT)::RO256+NO2-->PAN8'
 CFULLREACS(318) = 'K317=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN8-->NO2+RO256+RO2T'
 CFULLREACS(319) = 'K318=3.41E-13*EXP(800.2/TPK%T)/3.5::RO256+HO2-->O3+1.000000&
&0*URG4'
 CFULLREACS(320) = 'K319=1.0E-15::RO256+RO2T-->CO2+HO2+RO2T+O2'
 CFULLREACS(321) = 'K320=3.77E-12::RPR4+NO3-->HNO3+RAD8'
 CFULLREACS(322) = 'K321=2.30E-11*EXP(151.0/TPK%T)::RAD8+NO2-->UR22+H2O'
 CFULLREACS(323) = 'K322=1.29E-11::RPR7+OH-->O3+0.9999993*URG7+H2O'
 CFULLREACS(324) = 'K323=1.3918362E-10::RPG7+OH-->1.0000005*O3+1.0000005*H2O+0.&
&5021558*RPG7+0.4978440*URG6'
 CFULLREACS(325) = 'K324=1.145E-10::RPR8+OH-->RO257+RO2T+H2O'
 CFULLREACS(326) = 'K325=1.098E-10::RP10+OH-->HO2+H2O'
 CFULLREACS(327) = 'K326=1.964E-10::RP11+OH-->O3+0.67*UR26+H2O'
 CFULLREACS(328) = 'K327=3.0E-13*EXP(-1427/TPK%T)*1.145E-10/(6.91E-12*EXP(250/T&
&PK%T))::RPR8+NO3-->HNO3+RO257+RO2T'
 CFULLREACS(329) = 'K328=!ZRATES(:,012)::RP10-->'
 CFULLREACS(330) = 'K329=!ZRATES(:,012)::RPR8-->CO+HO2+RO29+RO2T'
 CFULLREACS(331) = 'K330=!ZRATES(:,012)::RPR8-->HO2+RO257+RO2T'
 CFULLREACS(332) = 'K331=1.11E-11*EXP(180.2/TPK%T)::RO257+NO-->NO2+CO2+RO29+RO2&
&T'
 CFULLREACS(333) = 'K332=3.41E-13*EXP(800.2/TPK%T)/3.5::RO257+HO2-->1.0000000*U&
&RG4+O3'
 CFULLREACS(334) = 'K333=1.0E-15::RO257+RO2T-->CO2+RO29+2.*RO2T+O2'
 CFULLREACS(335) = 'K334=2.4131647E-10::RPG3+OH-->1.0000000*O3+0.1191897*RPG2+1&
&.0000000*H2O+0.8808107*RPG2'
 CFULLREACS(336) = 'K335=2.1923330E-10::RPG2+OH-->1.0000000*O3+0.5562513*URG2+1&
&.0000000*H2O+0.4437492*RP18'
 CFULLREACS(337) = 'K337=1.97E-10::RP18+OH-->O3+URG2+H2O'
 CFULLREACS(338) = 'K338=1.4E-12*EXP(-1897.3/TPK%T)::RP16+NO3-->HNO3+RO258+RO2T&
&'
 CFULLREACS(339) = 'K339=!ZRATES(:,019)::RP16-->2.*CO+OH+HO2'
 CFULLREACS(340) = 'K340=1.11E-11*EXP(180.2/TPK%T)::RO258+NO-->CO+CO2+NO2+OH'
 CFULLREACS(341) = 'K341=3.41E-13*EXP(800.2/TPK%T)::RO258+HO2-->O3+UR28'
 CFULLREACS(342) = 'K342=1.0E-15::RO258+RO2T-->CO+CO2+OH+RO2T+O2'
 CFULLREACS(343) = 'K343=@TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.&
&6,TPK%M,TPK%T,KVECNPT)::PAN7-->NO2+RO255+RO2T'
 CFULLREACS(344) = 'K344=8.89E-13*EXP(180.2/TPK%T)::RO230+NO-->NO2+RO28+RO2T'
 CFULLREACS(345) = 'K345=3.30E-12*exp(-(900.0/TPK%T))::NH3+OH-->'
 CFULLREACS(346) = 'K346=1.00E-40::H2SO4-->'
 CFULLREACS(347) = 'K347=4.50E-13::ORA1+OH-->HO2+CO2+H2O'
 CFULLREACS(348) = 'K348=6.00E-13::ORA2+OH-->'
 CFULLREACS(349) = 'K349=1.20E-12::ACID+OH-->'
 CFULLREACS(350) = 'K350=1.00E-40::URG2-->'
 CFULLREACS(351) = 'K351=1.00E-40::URG4-->'
 CFULLREACS(352) = 'K352=1.00E-40::URG6-->'
 CFULLREACS(353) = 'K353=1.00E-40::URG7-->'
 CFULLREACS(354) = 'K354=1.00E-40::URG8-->'
 CFULLREACS(355) = 'K355=1.00E-40::URG9-->'
 CFULLREACS(356) = 'K356=1.00E-40::URG10-->'
 CFULLREACS(357) = 'K357=1.00E-40::UR7-->'
 CFULLREACS(358) = 'K358=1.00E-40::UR8-->'
 CFULLREACS(359) = 'K359=1.00E-40::UR17-->'
 CFULLREACS(360) = 'K360=1.00E-40::UR19-->'
 CFULLREACS(361) = 'K361=1.00E-40::UR21-->'
 CFULLREACS(362) = 'K362=1.00E-40::UR22-->'
 CFULLREACS(363) = 'K363=1.00E-40::UR26-->'
 CFULLREACS(364) = 'K364=1.00E-40::UR28-->'
 CFULLREACS(365) = 'K365=1.00E-40::AP7-->'
 CFULLREACS(366) = 'KTC1=@KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::O3-->WC_&
&O3'
 CFULLREACS(367) = 'KTC2=@KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::H2O2-->W&
&C_H2O2'
 CFULLREACS(368) = 'KTC3=@KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO-->W&
&C_NO'
 CFULLREACS(369) = 'KTC4=@KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO2-->&
&WC_NO2'
 CFULLREACS(370) = 'KTC5=@KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NO3-->WC&
&_NO3'
 CFULLREACS(371) = 'KTC6=@KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::N2O5-&
&->WC_N2O5'
 CFULLREACS(372) = 'KTC7=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HONO-->W&
&C_HONO'
 CFULLREACS(373) = 'KTC8=@KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HNO3-->&
&WC_HNO3'
 CFULLREACS(374) = 'KTC9=@KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HNO4-->W&
&C_HNO4'
 CFULLREACS(375) = 'KTC10=@KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::NH3-->W&
&C_NH3'
 CFULLREACS(376) = 'KTC11=@KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::OH-->WC&
&_OH'
 CFULLREACS(377) = 'KTC12=@KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HO2-->WC&
&_HO2'
 CFULLREACS(378) = 'KTC13=@KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::CO2--&
&>WC_CO2'
 CFULLREACS(379) = 'KTC14=@KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::SO2-->W&
&C_SO2'
 CFULLREACS(380) = 'KTC15=@KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::H2SO4--&
&>WC_H2SO4'
 CFULLREACS(381) = 'KTC16=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RO21-->&
&WC_RO21'
 CFULLREACS(382) = 'KTC17=@KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RO25-->&
&WC_RO25'
 CFULLREACS(383) = 'KTC18=@KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::MEOH--&
&>WC_MEOH'
 CFULLREACS(384) = 'KTC19=@KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ETOH--&
&>WC_ETOH'
 CFULLREACS(385) = 'KTC20=@KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ALCH--&
&>WC_ALCH'
 CFULLREACS(386) = 'KTC21=@KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::HCHO-->&
&WC_HCHO'
 CFULLREACS(387) = 'KTC22=@KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ALD2-->&
&WC_ALD2'
 CFULLREACS(388) = 'KTC23=@KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::GLY-->W&
&C_GLY'
 CFULLREACS(389) = 'KTC24=@KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::KETL--&
&>WC_KETL'
 CFULLREACS(390) = 'KTC25=@KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::MGLY-&
&->WC_MGLY'
 CFULLREACS(391) = 'KTC26=@KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ORA1--&
&>WC_ORA1'
 CFULLREACS(392) = 'KTC27=@KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ORA2--&
&>WC_ORA2'
 CFULLREACS(393) = 'KTC28=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::ACID-->&
&WC_ACID'
 CFULLREACS(394) = 'KTC29=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::RP16-->&
&WC_RP16'
 CFULLREACS(395) = 'KTC30=@KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::UR21-->&
&WC_UR21'
 CFULLREACS(396) = 'KTC31=@KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC::UR28-->&
&WC_UR28'
 CFULLREACS(397) = 'KTC32=@KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.1e-2,-&
&2830.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_O3-->O3'
 CFULLREACS(398) = 'KTC33=@KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(7.73e4,-&
&7310.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_H2O2-->H2O2'
 CFULLREACS(399) = 'KTC34=@KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.92e-&
&3,-1790.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO-->NO'
 CFULLREACS(400) = 'KTC35=@KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.4e-2&
&,-2516.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO2-->NO2'
 CFULLREACS(401) = 'KTC36=@KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.8e-2,-&
&8707.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NO3-->NO3'
 CFULLREACS(402) = 'KTC37=@KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.1e0&
&,-3400.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_N2O5-->N2O5'
 CFULLREACS(403) = 'KTC38=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.0e1,-4&
&880.,1.6e-3,1760.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HONO-->HONO'
 CFULLREACS(404) = 'KTC39=@KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(2.1e5,-&
&8700.,2.2e1,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HNO3-->HNO3'
 CFULLREACS(405) = 'KTC40=@KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(1.2e4,-6&
&900.,1.26e-6,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HNO4-->HNO4'
 CFULLREACS(406) = 'KTC41=@KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFB(6.02e1,-&
&4160.,1.7e-5,4350.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_NH3-->NH3'
 CFULLREACS(407) = 'KTC42=@KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.9e1,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_OH-->OH'
 CFULLREACS(408) = 'KTC43=@KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(6.9e2,-66&
&43.,1.6e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HO2-->HO2'
 CFULLREACS(409) = 'KTC44=@KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(3.4e-2&
&,-2710.,4.3e-7,920.,4.7e-11,1780.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_CO&
&2-->CO2'
 CFULLREACS(410) = 'KTC45=@KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(1.36,-29&
&30.,1.3e-2,-1965.,6.4e-8,-1430.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_SO2-&
&->SO2'
 CFULLREACS(411) = 'KTC46=@KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(2.1e5,-8&
&700.,1.0e3,0.,1.0e-2,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_H2SO4-->H2SO&
&4'
 CFULLREACS(412) = 'KTC47=@KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.7e0,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RO21-->RO21'
 CFULLREACS(413) = 'KTC48=@KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(7.5e1,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RO25-->RO25'
 CFULLREACS(414) = 'KTC49=@KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.2e2,-&
&5210.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_MEOH-->MEOH'
 CFULLREACS(415) = 'KTC50=@KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.9e2,-&
&6600.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ETOH-->ETOH'
 CFULLREACS(416) = 'KTC51=@KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.3e2,-&
&7500.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ALCH-->ALCH'
 CFULLREACS(417) = 'KTC52=@KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.23e3,-&
&7100.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_HCHO-->HCHO'
 CFULLREACS(418) = 'KTC53=@KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(1.29e1,-&
&5890.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ALD2-->ALD2'
 CFULLREACS(419) = 'KTC54=@KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.6e5,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_GLY-->GLY'
 CFULLREACS(420) = 'KTC55=@KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(2.81e1,&
&-5050.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_KETL-->KETL'
 CFULLREACS(421) = 'KTC56=@KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)/(@HENRY(3.7e3,&
&0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_MGLY-->MGLY'
 CFULLREACS(422) = 'KTC57=@KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(8.9e3,-&
&6100.,1.8e-4,150.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ORA1-->ORA1'
 CFULLREACS(423) = 'KTC58=@KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(4.1e3,-&
&6200.,1.75e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ORA2-->ORA2'
 CFULLREACS(424) = 'KTC59=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.7e3,0.&
&,1.35e-5,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_ACID-->ACID'
 CFULLREACS(425) = 'KTC60=@KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(9.0e3,0.&
&,3.2e-4,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_RP16-->RP16'
 CFULLREACS(426) = 'KTC61=@KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(3.11e5,-&
&5090.,3.55e-3,0.,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_UR21-->UR21'
 CFULLREACS(427) = 'KTC62=@KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)/(@HEFFA(5.0e8,0.&
&,5.6e-2,0.,5.4e-5,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WC_UR28-->UR28'
 CFULLREACS(428) = 'KTR1=@KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::O3-->WR_&
&O3'
 CFULLREACS(429) = 'KTR2=@KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::H2O2-->W&
&R_H2O2'
 CFULLREACS(430) = 'KTR3=@KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO-->W&
&R_NO'
 CFULLREACS(431) = 'KTR4=@KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO2-->&
&WR_NO2'
 CFULLREACS(432) = 'KTR5=@KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NO3-->WR&
&_NO3'
 CFULLREACS(433) = 'KTR6=@KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::N2O5-&
&->WR_N2O5'
 CFULLREACS(434) = 'KTR7=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HONO-->W&
&R_HONO'
 CFULLREACS(435) = 'KTR8=@KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HNO3-->&
&WR_HNO3'
 CFULLREACS(436) = 'KTR9=@KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HNO4-->W&
&R_HNO4'
 CFULLREACS(437) = 'KTR10=@KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::NH3-->W&
&R_NH3'
 CFULLREACS(438) = 'KTR11=@KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::OH-->WR&
&_OH'
 CFULLREACS(439) = 'KTR12=@KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HO2-->WR&
&_HO2'
 CFULLREACS(440) = 'KTR13=@KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::CO2--&
&>WR_CO2'
 CFULLREACS(441) = 'KTR14=@KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::SO2-->W&
&R_SO2'
 CFULLREACS(442) = 'KTR15=@KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::H2SO4--&
&>WR_H2SO4'
 CFULLREACS(443) = 'KTR16=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RO21-->&
&WR_RO21'
 CFULLREACS(444) = 'KTR17=@KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RO25-->&
&WR_RO25'
 CFULLREACS(445) = 'KTR18=@KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::MEOH--&
&>WR_MEOH'
 CFULLREACS(446) = 'KTR19=@KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ETOH--&
&>WR_ETOH'
 CFULLREACS(447) = 'KTR20=@KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ALCH--&
&>WR_ALCH'
 CFULLREACS(448) = 'KTR21=@KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::HCHO-->&
&WR_HCHO'
 CFULLREACS(449) = 'KTR22=@KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ALD2-->&
&WR_ALD2'
 CFULLREACS(450) = 'KTR23=@KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::GLY-->W&
&R_GLY'
 CFULLREACS(451) = 'KTR24=@KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::KETL--&
&>WR_KETL'
 CFULLREACS(452) = 'KTR25=@KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::MGLY-&
&->WR_MGLY'
 CFULLREACS(453) = 'KTR26=@KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ORA1--&
&>WR_ORA1'
 CFULLREACS(454) = 'KTR27=@KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ORA2--&
&>WR_ORA2'
 CFULLREACS(455) = 'KTR28=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::ACID-->&
&WR_ACID'
 CFULLREACS(456) = 'KTR29=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::RP16-->&
&WR_RP16'
 CFULLREACS(457) = 'KTR30=@KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::UR21-->&
&WR_UR21'
 CFULLREACS(458) = 'KTR31=@KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR::UR28-->&
&WR_UR28'
 CFULLREACS(459) = 'KTR32=@KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.1e-2,-&
&2830.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_O3-->O3'
 CFULLREACS(460) = 'KTR33=@KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(7.73e4,-&
&7310.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_H2O2-->H2O2'
 CFULLREACS(461) = 'KTR34=@KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.92e-&
&3,-1790.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO-->NO'
 CFULLREACS(462) = 'KTR35=@KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.4e-2&
&,-2516.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO2-->NO2'
 CFULLREACS(463) = 'KTR36=@KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.8e-2,-&
&8707.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NO3-->NO3'
 CFULLREACS(464) = 'KTR37=@KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.1e0&
&,-3400.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_N2O5-->N2O5'
 CFULLREACS(465) = 'KTR38=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.0e1,-4&
&880.,1.6e-3,1760.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HONO-->HONO'
 CFULLREACS(466) = 'KTR39=@KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(2.1e5,-&
&8700.,2.2e1,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HNO3-->HNO3'
 CFULLREACS(467) = 'KTR40=@KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(1.2e4,-6&
&900.,1.26e-6,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HNO4-->HNO4'
 CFULLREACS(468) = 'KTR41=@KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFB(6.02e1,-&
&4160.,1.7e-5,4350.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_NH3-->NH3'
 CFULLREACS(469) = 'KTR42=@KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.9e1,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_OH-->OH'
 CFULLREACS(470) = 'KTR43=@KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(6.9e2,-66&
&43.,1.6e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HO2-->HO2'
 CFULLREACS(471) = 'KTR44=@KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(3.4e-2&
&,-2710.,4.3e-7,920.,4.7e-11,1780.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_CO&
&2-->CO2'
 CFULLREACS(472) = 'KTR45=@KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(1.36,-29&
&30.,1.3e-2,-1965.,6.4e-8,-1430.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_SO2-&
&->SO2'
 CFULLREACS(473) = 'KTR46=@KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(2.1e5,-8&
&700.,1.0e3,0.,1.0e-2,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_H2SO4-->H2SO&
&4'
 CFULLREACS(474) = 'KTR47=@KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.7e0,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RO21-->RO21'
 CFULLREACS(475) = 'KTR48=@KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(7.5e1,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RO25-->RO25'
 CFULLREACS(476) = 'KTR49=@KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.2e2,-&
&5210.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_MEOH-->MEOH'
 CFULLREACS(477) = 'KTR50=@KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.9e2,-&
&6600.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ETOH-->ETOH'
 CFULLREACS(478) = 'KTR51=@KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.3e2,-&
&7500.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ALCH-->ALCH'
 CFULLREACS(479) = 'KTR52=@KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.23e3,-&
&7100.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_HCHO-->HCHO'
 CFULLREACS(480) = 'KTR53=@KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(1.29e1,-&
&5890.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ALD2-->ALD2'
 CFULLREACS(481) = 'KTR54=@KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.6e5,0.&
&,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_GLY-->GLY'
 CFULLREACS(482) = 'KTR55=@KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(2.81e1,&
&-5050.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_KETL-->KETL'
 CFULLREACS(483) = 'KTR56=@KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)/(@HENRY(3.7e3,&
&0.,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_MGLY-->MGLY'
 CFULLREACS(484) = 'KTR57=@KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(8.9e3,-&
&6100.,1.8e-4,150.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ORA1-->ORA1'
 CFULLREACS(485) = 'KTR58=@KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(4.1e3,-&
&6200.,1.75e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ORA2-->ORA2'
 CFULLREACS(486) = 'KTR59=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.7e3,0.&
&,1.35e-5,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_ACID-->ACID'
 CFULLREACS(487) = 'KTR60=@KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(9.0e3,0.&
&,3.2e-4,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_RP16-->RP16'
 CFULLREACS(488) = 'KTR61=@KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(3.11e5,-&
&5090.,3.55e-3,0.,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_UR21-->UR21'
 CFULLREACS(489) = 'KTR62=@KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)/(@HEFFA(5.0e8,0.&
&,5.6e-2,0.,5.4e-5,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)::WR_UR28-->UR28'
 CFULLREACS(490) = 'KC1=!ZRATES(:,024)::WC_H2O2-->WC_OH+WC_OH'
 CFULLREACS(491) = 'KC2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECC&
&LOUD::WC_OH+WC_OH-->WC_H2O2'
 CFULLREACS(492) = 'KC3=((2.8E+10*10.**(-TPK%PHC)+3.5E+10*exp(-720.*(1./TPK%T-1&
&./298.15))*1.6e-5)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_OH+WC_HO2-&
&->'
 CFULLREACS(493) = 'KC4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLEC&
&CLOUD::WC_H2O2+WC_OH-->WC_HO2'
 CFULLREACS(494) = 'KC5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%P&
&HC))**2.+9.6E+7*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*1.6e-5)/(1.6e-&
&5+10.**(-TPK%PHC))**2.)/TPK%MOL2MOLECCLOUD::WC_HO2+WC_HO2-->WC_H2O2'
 CFULLREACS(495) = 'KC6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5&
&+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_O3+WC_HO2-->WC_OH'
 CFULLREACS(496) = 'KC7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-T&
&PK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./&
&298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PH&
&C))**2.))/TPK%MOL2MOLECCLOUD::WC_OH+WC_SO2-->WC_ASO3'
 CFULLREACS(497) = 'KC8=(1.0E+10*10.**(-TPK%PHC)/(1.6e-3*exp(-1760.*(1./TPK%T-1&
&./298.15))+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_HONO+WC_OH-->WC_NO2'
 CFULLREACS(498) = 'KC9=((1.8E+9*10.**(-TPK%PHC)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-&
&TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_NO2+WC_HO2-->WC_HNO4'
 CFULLREACS(499) = 'KC10=2.6E-2*10.**(-TPK%PHC)/(1.26e-6+10.**(-TPK%PHC))::WC_H&
&NO4-->WC_HO2+WC_NO2'
 CFULLREACS(500) = 'KC11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHC))::WC_HNO4-->WC_&
&HONO'
 CFULLREACS(501) = 'KC12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(&
&-TPK%PHC))**2./((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./T&
&PK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**&
&(-TPK%PHC))**2.)*(1.26e-6+10.**(-TPK%PHC))))/TPK%MOL2MOLECCLOUD::WC_HNO4+WC_SO&
&2-->WC_H2SO4+WC_HNO3'
 CFULLREACS(502) = 'KC13=!ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHC))::WC_HNO&
&3-->WC_NO2+WC_OH'
 CFULLREACS(503) = 'KC14=1.0E+10::WC_N2O5-->WC_HNO3+WC_HNO3'
 CFULLREACS(504) = 'KC15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK&
&%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_NO3+WC_H2SO4-->WC_HNO3+WC&
&_ASO4'
 CFULLREACS(505) = 'KC16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(19&
&65.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.1&
&5))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.1&
&5))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_NO3+WC_SO2-&
&->WC_HNO3+WC_ASO3'
 CFULLREACS(506) = 'KC17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1&
&965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.&
&15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.&
&15)))/((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./2&
&98.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC&
&))**2.)*(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECCLOUD::WC_SO&
&2+WC_HCHO-->WC_AHMS'
 CFULLREACS(507) = 'KC18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*&
&EXP(-6716*(1./TPK%T-1./298.15))/10.**(-TPK%PHC)::WC_AHMS-->WC_SO2+WC_HCHO'
 CFULLREACS(508) = 'KC19=3.0E+8/TPK%MOL2MOLECCLOUD::WC_AHMS+WC_OH-->WC_HO2+WC_O&
&RA1+WC_SO2'
 CFULLREACS(509) = 'KC20=1.1E+9::WC_ASO3+W_O2-->WC_ASO5'
 CFULLREACS(510) = 'KC21=(1.7E+9*10.**(-TPK%PHC)/(1.6e-5+10.**(-TPK%PHC)))/TPK%&
&MOL2MOLECCLOUD::WC_ASO5+WC_HO2-->WC_AHSO5'
 CFULLREACS(511) = 'KC22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CCLOUD::WC_ASO5+WC_ASO5-->WC_ASO4+WC_ASO4'
 CFULLREACS(512) = 'KC23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-&
&TPK%PHC)*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(14&
&30.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&C)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD::WC_AHSO5+WC_SO2-->2.00*WC_H2SO4&
&'
 CFULLREACS(513) = 'KC24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))::WC_ASO4-->WC_&
&H2SO4+WC_OH'
 CFULLREACS(514) = 'KC25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1&
&965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.&
&15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.&
&15)))/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./29&
&8.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC)&
&)**2.))/TPK%MOL2MOLECCLOUD::WC_SO2+WC_O3-->WC_H2SO4'
 CFULLREACS(515) = 'KC26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(19&
&65.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1&
&./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1&
&./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD&
&::WC_SO2+WC_H2O2-->WC_H2SO4'
 CFULLREACS(516) = 'KC27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CCLOUD::WC_RO21+WC_RO21-->2.00*WC_HCHO+2.00*WC_HO2'
 CFULLREACS(517) = 'KC28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-&
&TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1.&
&/298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%P&
&HC))**2.))/TPK%MOL2MOLECCLOUD::WC_RO21+WC_SO2-->WC_HCHO+WC_ASO3'
 CFULLREACS(518) = 'KC29=1.5E+8/TPK%MOL2MOLECCLOUD::WC_RO25+WC_RO25-->WC_ORA2+W&
&C_H2O2+WC_ALD2+WC_HO2'
 CFULLREACS(519) = 'KC30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLEC&
&CLOUD::WC_MEOH+WC_OH-->WC_HCHO+WC_HO2'
 CFULLREACS(520) = 'KC31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CCLOUD::WC_ETOH+WC_OH-->WC_ALD2+WC_HO2'
 CFULLREACS(521) = 'KC32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CCLOUD::WC_ALCH+WC_OH-->0.50*WC_ALD2+0.50*WC_KETL+WC_HO2'
 CFULLREACS(522) = 'KC33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(403&
&0.*(1./TPK%T-1./298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2M&
&OLECCLOUD::WC_HCHO+WC_OH-->WC_ORA1+WC_HO2'
 CFULLREACS(523) = 'KC34=3.4E+9/TPK%MOL2MOLECCLOUD::WC_ALD2+WC_OH-->0.50*WC_RO2&
&1+0.50*WC_RO25+WC_CO2'
 CFULLREACS(524) = 'KC35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9&
&e3))/TPK%MOL2MOLECCLOUD::WC_GLY+WC_OH-->WC_RP16+WC_HO2'
 CFULLREACS(525) = 'KC36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.&
&86e2))/TPK%MOL2MOLECCLOUD::WC_MGLY+WC_OH-->WC_UR21+WC_HO2'
 CFULLREACS(526) = 'KC37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CCLOUD::WC_KETL+WC_OH-->WC_MGLY+WC_KETL+WC_HCHO+WC_UR21+WC_ALD2+WC_RO21+WC_CO2&
&+WC_H2O2+WC_HO2'
 CFULLREACS(527) = 'KC38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HC)+3.4E+9*exp(-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.1&
&5)))/(1.8e-4*exp(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLO&
&UD::WC_ORA1+WC_OH-->WC_CO2+WC_HO2'
 CFULLREACS(528) = 'KC39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HC)+1.0E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHC))&
&)/TPK%MOL2MOLECCLOUD::WC_ORA2+WC_OH-->WC_RP16+0.5*WC_H2O2'
 CFULLREACS(529) = 'KC40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&C)/(1.35e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ACID+WC_OH-->WC_RO25+WC_C&
&O2'
 CFULLREACS(530) = 'KC41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35&
&e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD::WC_ACID+WC_OH-->0.56*WC_UR21+0.15*WC&
&_ACID2+0.29*WC_ALD2+0.29*WC_H2O2+0.11*WC_HO2'
 CFULLREACS(531) = 'KC42=((4.7E+7*10.**(-TPK%PHC)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/&
&(5.6E-2*5.4E-5+5.4E-5*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLO&
&UD::WC_UR28+WC_OH-->2*WC_CO2+WC_HO2'
 CFULLREACS(532) = 'KC43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HC)+7.0E+8*exp(-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHC))&
&)/TPK%MOL2MOLECCLOUD::WC_UR21+WC_OH-->0.56*WC_ACID2+0.43*WC_ALD2+0.43*WC_CO2+0&
&.3*WC_H2O2+0.81*WC_HO2'
 CFULLREACS(533) = 'KC44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&C)/(10.**(-TPK%PHC)+3.2E-4))/TPK%MOL2MOLECCLOUD::WC_RP16+WC_OH-->WC_UR28+WC_HO&
&2'
 CFULLREACS(534) = 'KC45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**&
&(-TPK%PHC)+3.2E-4))/TPK%MOL2MOLECCLOUD::WC_RP16+WC_OH-->2*WC_CO2+0.45*WC_H2O2+&
&0.71*WC_HO2'
 CFULLREACS(535) = 'KC46=1.6E+7/TPK%MOL2MOLECCLOUD::WC_ACID2+WC_OH-->'
 CFULLREACS(536) = 'KR1=!ZRATES(:,024)::WR_H2O2-->WR_OH+WR_OH'
 CFULLREACS(537) = 'KR2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECR&
&AIN::WR_OH+WR_OH-->WR_H2O2'
 CFULLREACS(538) = 'KR3=((2.8E+10*10.**(-TPK%PHR)+3.5E+10*exp(-720.*(1./TPK%T-1&
&./298.15))*1.6e-5)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_OH+WR_HO2--&
&>'
 CFULLREACS(539) = 'KR4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLEC&
&RAIN::WR_H2O2+WR_OH-->WR_HO2'
 CFULLREACS(540) = 'KR5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%P&
&HR))**2.+9.6E+7*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*1.6e-5)/(1.6e-&
&5+10.**(-TPK%PHR))**2.)/TPK%MOL2MOLECRAIN::WR_HO2+WR_HO2-->WR_H2O2'
 CFULLREACS(541) = 'KR6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5&
&+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_O3+WR_HO2-->WR_OH'
 CFULLREACS(542) = 'KR7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-T&
&PK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./&
&298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PH&
&R))**2.))/TPK%MOL2MOLECRAIN::WR_OH+WR_SO2-->WR_ASO3'
 CFULLREACS(543) = 'KR8=(1.0E+10*10.**(-TPK%PHR)/(1.6e-3*exp(-1760.*(1./TPK%T-1&
&./298.15))+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_HONO+WR_OH-->WR_NO2'
 CFULLREACS(544) = 'KR9=((1.8E+9*10.**(-TPK%PHR)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-&
&TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_NO2+WR_HO2-->WR_HNO4'
 CFULLREACS(545) = 'KR10=2.6E-2*10.**(-TPK%PHR)/(1.26e-6+10.**(-TPK%PHR))::WR_H&
&NO4-->WR_HO2+WR_NO2'
 CFULLREACS(546) = 'KR11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHR))::WR_HNO4-->WR_&
&HONO'
 CFULLREACS(547) = 'KR12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(&
&-TPK%PHR))**2./((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./T&
&PK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**&
&(-TPK%PHR))**2.)*(1.26e-6+10.**(-TPK%PHR))))/TPK%MOL2MOLECRAIN::WR_HNO4+WR_SO2&
&-->WR_H2SO4+WR_HNO3'
 CFULLREACS(548) = 'KR13=!ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHR))::WR_HNO&
&3-->WR_NO2+WR_OH'
 CFULLREACS(549) = 'KR14=1.0E+10::WR_N2O5-->WR_HNO3+WR_HNO3'
 CFULLREACS(550) = 'KR15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK&
&%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_NO3+WR_H2SO4-->WR_HNO3+WR_&
&ASO4'
 CFULLREACS(551) = 'KR16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(19&
&65.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.1&
&5))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.1&
&5))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_NO3+WR_SO2--&
&>WR_HNO3+WR_ASO3'
 CFULLREACS(552) = 'KR17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1&
&965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.&
&15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.&
&15)))/((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./2&
&98.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR&
&))**2.)*(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECRAIN::WR_SO2&
&+WR_HCHO-->WR_AHMS'
 CFULLREACS(553) = 'KR18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*&
&EXP(-6716*(1./TPK%T-1./298.15))/10.**(-TPK%PHR)::WR_AHMS-->WR_SO2+WR_HCHO'
 CFULLREACS(554) = 'KR19=3.0E+8/TPK%MOL2MOLECRAIN::WR_AHMS+WR_OH-->WR_HO2+WR_OR&
&A1+WR_SO2'
 CFULLREACS(555) = 'KR20=1.1E+9::WR_ASO3+W_O2-->WR_ASO5'
 CFULLREACS(556) = 'KR21=(1.7E+9*10.**(-TPK%PHR)/(1.6e-5+10.**(-TPK%PHR)))/TPK%&
&MOL2MOLECRAIN::WR_ASO5+WR_HO2-->WR_AHSO5'
 CFULLREACS(557) = 'KR22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CRAIN::WR_ASO5+WR_ASO5-->WR_ASO4+WR_ASO4'
 CFULLREACS(558) = 'KR23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-&
&TPK%PHR)*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(14&
&30.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&R)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN::WR_AHSO5+WR_SO2-->2.00*WR_H2SO4'
 CFULLREACS(559) = 'KR24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))::WR_ASO4-->WR_&
&H2SO4+WR_OH'
 CFULLREACS(560) = 'KR25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1&
&965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.&
&15))*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.&
&15)))/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./29&
&8.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR)&
&)**2.))/TPK%MOL2MOLECRAIN::WR_SO2+WR_O3-->WR_H2SO4'
 CFULLREACS(561) = 'KR26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(19&
&65.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1&
&./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1&
&./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN:&
&:WR_SO2+WR_H2O2-->WR_H2SO4'
 CFULLREACS(562) = 'KR27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CRAIN::WR_RO21+WR_RO21-->2.00*WR_HCHO+2.00*WR_HO2'
 CFULLREACS(563) = 'KR28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-&
&TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1.&
&/298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%P&
&HR))**2.))/TPK%MOL2MOLECRAIN::WR_RO21+WR_SO2-->WR_HCHO+WR_ASO3'
 CFULLREACS(564) = 'KR29=1.5E+8/TPK%MOL2MOLECRAIN::WR_RO25+WR_RO25-->WR_ORA2+WR&
&_H2O2+WR_ALD2+WR_HO2'
 CFULLREACS(565) = 'KR30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLEC&
&RAIN::WR_MEOH+WR_OH-->WR_HCHO+WR_HO2'
 CFULLREACS(566) = 'KR31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CRAIN::WR_ETOH+WR_OH-->WR_ALD2+WR_HO2'
 CFULLREACS(567) = 'KR32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CRAIN::WR_ALCH+WR_OH-->0.50*WR_ALD2+0.50*WR_KETL+WR_HO2'
 CFULLREACS(568) = 'KR33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(403&
&0.*(1./TPK%T-1./298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2M&
&OLECRAIN::WR_HCHO+WR_OH-->WR_ORA1+WR_HO2'
 CFULLREACS(569) = 'KR34=3.4E+9/TPK%MOL2MOLECRAIN::WR_ALD2+WR_OH-->0.50*WR_RO21&
&+0.50*WR_RO25+WR_CO2'
 CFULLREACS(570) = 'KR35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9&
&e3))/TPK%MOL2MOLECRAIN::WR_GLY+WR_OH-->WR_RP16+WR_HO2'
 CFULLREACS(571) = 'KR36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.&
&86e2))/TPK%MOL2MOLECRAIN::WR_MGLY+WR_OH-->WR_UR21+WR_HO2'
 CFULLREACS(572) = 'KR37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLE&
&CRAIN::WR_KETL+WR_OH-->WR_MGLY+WR_KETL+WR_HCHO+WR_UR21+WR_ALD2+WR_RO21+WR_CO2+&
&WR_H2O2+WR_HO2'
 CFULLREACS(573) = 'KR38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HR)+3.4E+9*exp(-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.1&
&5)))/(1.8e-4*exp(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAI&
&N::WR_ORA1+WR_OH-->WR_CO2+WR_HO2'
 CFULLREACS(574) = 'KR39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HR)+1.0E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHR))&
&)/TPK%MOL2MOLECRAIN::WR_ORA2+WR_OH-->WR_RP16+0.5*WR_H2O2'
 CFULLREACS(575) = 'KR40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&R)/(1.35e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ACID+WR_OH-->WR_RO25+WR_CO&
&2'
 CFULLREACS(576) = 'KR41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35&
&e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN::WR_ACID+WR_OH-->0.56*WR_UR21+0.15*WR_&
&ACID2+0.29*WR_ALD2+0.29*WR_H2O2+0.11*WR_HO2'
 CFULLREACS(577) = 'KR42=((4.7E+7*10.**(-TPK%PHR)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/&
&(5.6E-2*5.4E-5+5.4E-5*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAI&
&N::WR_UR28+WR_OH-->2*WR_CO2+WR_HO2'
 CFULLREACS(578) = 'KR43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%P&
&HR)+7.0E+8*exp(-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHR))&
&)/TPK%MOL2MOLECRAIN::WR_UR21+WR_OH-->0.56*WR_ACID2+0.43*WR_ALD2+0.43*WR_CO2+0.&
&3*WR_H2O2+0.81*WR_HO2'
 CFULLREACS(579) = 'KR44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PH&
&R)/(10.**(-TPK%PHR)+3.2E-4))/TPK%MOL2MOLECRAIN::WR_RP16+WR_OH-->WR_UR28+WR_HO2&
&'
 CFULLREACS(580) = 'KR45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**&
&(-TPK%PHR)+3.2E-4))/TPK%MOL2MOLECRAIN::WR_RP16+WR_OH-->2*WR_CO2+0.45*WR_H2O2+0&
&.71*WR_HO2'
 CFULLREACS(581) = 'KR46=1.6E+7/TPK%MOL2MOLECRAIN::WR_ACID2+WR_OH-->'
END IF
IF (KVERB >= 5) THEN
! print information to KOUT
  WRITE(KOUT,*) 'CH_INIT_CCS: prognostic variables for model ',KMI
  DO JII = 1, TACCS(KMI)%NEQ
    WRITE(KOUT,'(I4,2A)') JII, '. ', TRIM(CNAMES(JII))
  END DO
  WRITE(KOUT,*) 'CH_INIT_CCS: implemented reactions for model ',KMI
  DO JII = 1, TACCS(KMI)%NREAC
    WRITE(KOUT,'(I4,2A)') JII, '. ', TRIM(CFULLREACS(JII))
  END DO
END IF
RETURN
END SUBROUTINE CH_INIT_CCS
!
!========================================================================
!
!!    ##########################
      MODULE MODI_CH_GET_CNAMES
!!    ##########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_GET_CNAMES(HNAMES)
IMPLICIT NONE
CHARACTER(LEN=32), DIMENSION(:), INTENT(OUT) :: HNAMES
END SUBROUTINE CH_GET_CNAMES
END INTERFACE
END MODULE MODI_CH_GET_CNAMES
!
!========================================================================
!
!!    #################################
      SUBROUTINE CH_GET_CNAMES(HNAMES)
!!    #################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *CH_GET_CNAMES*
!!
!!    PURPOSE
!!    -------
!       return the names for the chemical species in HNAMES
!!
!!**  METHOD
!!    ------
!!      simple
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
!!
!!    LOCAL VARIABLES
!!    ---------------
CHARACTER(LEN=32), DIMENSION(:), INTENT(OUT) :: HNAMES
INTEGER :: ISIZE
!!
!!----------------------------------------------------------------------
!!
! copy the names of the chemical species into HNAMES
ISIZE = SIZE(HNAMES)
HNAMES = CNAMES(1:ISIZE)
RETURN
END SUBROUTINE CH_GET_CNAMES
!
!========================================================================
!
!!    #######################
      MODULE MODI_CH_PRODLOSS
!!    #######################
INTERFACE
SUBROUTINE CH_PRODLOSS(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                          :: PTIME
INTEGER, INTENT(IN)                          :: KVECNPT
INTEGER, INTENT(IN)                          :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ) :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ) :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
END SUBROUTINE CH_PRODLOSS
END INTERFACE
END MODULE MODI_CH_PRODLOSS
!
!========================================================================
!
!!    ###################################################
      SUBROUTINE CH_PRODLOSS(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
!!    ###################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_PRODLOSS*
!!
!!    PURPOSE
!!    -------
!       calculation of production and loss terms for diagnostics
!!
!!**  METHOD
!!    ------
!!      The terms of temporal derivative of the chemical species,
!!    written as:
!!    d/dt PCONC = CH_FCN = PPROD - PCONC*PLOSS,
!!    are calculated for diagnostic purposes.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
USE MODI_CH_PRODLOSS_AQ
USE MODI_CH_PRODLOSS_GAZ
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                      :: PTIME
INTEGER, INTENT(IN)                      :: KVECNPT
INTEGER, INTENT(IN)                      :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ)     :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
TYPE(CCSTYPE), POINTER         :: TPK
TPK=>TACCS(KMI)
IF (TPK%LUSECHAQ) THEN
   CALL CH_PRODLOSS_AQ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
ELSE
   CALL CH_PRODLOSS_GAZ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
END IF
END SUBROUTINE CH_PRODLOSS
!
!========================================================================
!
!!    ##########################
      MODULE MODI_CH_PRODLOSS_GAZ
!!    ##########################
INTERFACE
SUBROUTINE CH_PRODLOSS_GAZ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                          :: PTIME
INTEGER, INTENT(IN)                          :: KVECNPT
INTEGER, INTENT(IN)                          :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ) :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ) :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
END SUBROUTINE CH_PRODLOSS_GAZ
END INTERFACE
END MODULE MODI_CH_PRODLOSS_GAZ
!
!========================================================================
!
!!    ##################################################################
      SUBROUTINE CH_PRODLOSS_GAZ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
!!    ##################################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_PRODLOSS*
!!
!!    PURPOSE
!!    -------
!       calculation of production and loss terms for diagnostics
!!
!!**  METHOD
!!    ------
!!      The terms of temporal derivative of the chemical species,
!!    written as:
!!    d/dt PCONC = CH_FCN = PPROD - PCONC*PLOSS,
!!    are calculated for diagnostic purposes.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                      :: PTIME
INTEGER, INTENT(IN)                      :: KVECNPT
INTEGER, INTENT(IN)                      :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ)     :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
TYPE(CCSTYPE), POINTER         :: TPK
TPK=>TACCS(KMI)
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
CALL SUB0
CALL SUB1
CALL SUB2
CALL SUB3
CALL SUB4
CALL SUB5
CALL SUB6
CALL SUB7
CALL SUB8

CONTAINS

SUBROUTINE SUB0
!
!Indices 1 a 10
!
!
!PPROD(NO) = +K001*<NO2>+K003*<NO2>*<O>+K012*<NO3>*<NO2>+K013*<NO3>+0.9*K020*<H
!ONO>+K095*<NO>*<RO2T>
 PPROD(:,1) = +TPK%K001(:)*PCONC(:,2)+TPK%K003(:)*PCONC(:,2)*TPK%O(:)+TPK%K012(&
&:)*PCONC(:,8)*PCONC(:,2)+TPK%K013(:)*PCONC(:,8)+0.9*TPK%K020(:)*PCONC(:,4)+TPK&
&%K095(:)*PCONC(:,1)*PCONC(:,85)
!PLOSS(NO) = +K005*<O3>+K007*<NO3>+K008*<NO>+K008*<NO>+K019*<OH>+K026*<HO2>+K03
!8*<O>+K095*<RO2T>+K110*<RO21>+K113*<RO22>+K116*<RO23>+K119*<RO24>+K122*<RO25>+
!K125*<RO26>+K144*<RO27>+K147*<RO28>+K150*<RO29>+K153*<RO210>+K156*<RO211>+K159
!*<RO212>+K162*<RO213>+K165*<RO239>+K168*<RO214>+K171*<RO215>+K174*<RO216>+K177
!*<RO217>+K180*<RO218>+K183*<RO219>+K186*<RO220>+K189*<RO221>+K192*<RO222>+K195
!*<RO223>+K198*<RO224>+K201*<RO225>+K204*<RO226>+K207*<RO227>+K210*<RO228>+K213
!*<RO229>+K216*<RO240>+K221*<RO231>+K224*<RO232>+K227*<RO241>+K231*<RO233>+K234
!*<RO242>+K238*<RO234>+K241*<RO243>+K245*<RO235>+K248*<RO244>+K252*<RO236>+K255
!*<RO245>+K259*<RO237>+K262*<RO246>+K266*<RO238>+K269*<RO247>+K277*<RO248>+K285
!*<RO249>+K288*<RO250>+K291*<RO251>+K294*<RO252>+K297*<RO253>+K300*<RO254>+K309
!*<RO255>+K315*<RO256>+K331*<RO257>+K340*<RO258>+K344*<RO230>
 PLOSS(:,1) = +TPK%K005(:)*PCONC(:,3)+TPK%K007(:)*PCONC(:,8)+TPK%K008(:)*PCONC(&
&:,1)+TPK%K008(:)*PCONC(:,1)+TPK%K019(:)*PCONC(:,15)+TPK%K026(:)*PCONC(:,10)+TP&
&K%K038(:)*TPK%O(:)+TPK%K095(:)*PCONC(:,85)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)&
&*TPK%RO22(:)+TPK%K116(:)*TPK%RO23(:)+TPK%K119(:)*TPK%RO24(:)+TPK%K122(:)*PCONC&
&(:,87)+TPK%K125(:)*TPK%RO26(:)+TPK%K144(:)*TPK%RO27(:)+TPK%K147(:)*TPK%RO28(:)&
&+TPK%K150(:)*TPK%RO29(:)+TPK%K153(:)*TPK%RO210(:)+TPK%K156(:)*TPK%RO211(:)+TPK&
&%K159(:)*TPK%RO212(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239(:)+TPK%K1&
&68(:)*TPK%RO214(:)+TPK%K171(:)*TPK%RO215(:)+TPK%K174(:)*TPK%RO216(:)+TPK%K177(&
&:)*TPK%RO217(:)+TPK%K180(:)*TPK%RO218(:)+TPK%K183(:)*TPK%RO219(:)+TPK%K186(:)*&
&TPK%RO220(:)+TPK%K189(:)*TPK%RO221(:)+TPK%K192(:)*TPK%RO222(:)+TPK%K195(:)*TPK&
&%RO223(:)+TPK%K198(:)*TPK%RO224(:)+TPK%K201(:)*TPK%RO225(:)+TPK%K204(:)*TPK%RO&
&226(:)+TPK%K207(:)*TPK%RO227(:)+TPK%K210(:)*TPK%RO228(:)+TPK%K213(:)*TPK%RO229&
&(:)+TPK%K216(:)*TPK%RO240(:)+TPK%K221(:)*TPK%RO231(:)+TPK%K224(:)*TPK%RO232(:)&
&+TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%RO233(:)+TPK%K234(:)*TPK%RO242(:)+TP&
&K%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K245(:)*TPK%RO235(:)+TPK%K&
&248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K259&
&(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+TPK%K266(:)*TPK%RO238(:)+TPK%K269(:)&
&*TPK%RO247(:)+TPK%K277(:)*TPK%RO248(:)+TPK%K285(:)*TPK%RO249(:)+TPK%K288(:)*TP&
&K%RO250(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO252(:)+TPK%K297(:)*TPK%R&
&O253(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K309(:)*TPK%RO255(:)+TPK%K315(:)*TPK%RO25&
&6(:)+TPK%K331(:)*TPK%RO257(:)+TPK%K340(:)*TPK%RO258(:)+TPK%K344(:)*TPK%RO230(:&
&)
!
!PPROD(NO2) = +K005*<O3>*<NO>+2.*K007*<NO3>*<NO>+2.*K008*<NO>*<NO>+K010*<N2O5>+
!K012*<NO3>*<NO2>+K014*<NO3>+0.1*K020*<HONO>+K026*<HO2>*<NO>+K028*<HNO4>+K029*<
!OH>*<HNO4>+0.8*K033*<HO2>*<NO3>+K038*<NO>*<O>+K039*<OH>*<HONO>+K040*<OH>*<NO3>
!+2.*K041*<NO3>*<NO3>+K110*<NO>*<RO21>+K113*<NO>*<RO22>+2.*K116*<NO>*<RO23>+K11
!7*<RO2T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+TPK%CF4*K122*<NO>*<RO25>+K1
!25*<NO>*<RO26>+K135*<PAN1>+K136*<PAN2>+K137*<PAN3>+K138*<PN10>+1.0000000*K139*
!<APAN>+K140*<PAN6>+K141*<PAN4>+K144*<NO>*<RO27>+K147*<NO>*<RO28>+TPK%CF6*K150*
!<NO>*<RO29>+K153*<NO>*<RO210>+2.*K156*<NO>*<RO211>+K157*<RO2T>*<RO211>+K158*<H
!O2>*<RO211>+2.*K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+K161*<HO2>*<RO212>+K162*<
!NO>*<RO213>+K165*<NO>*<RO239>+TPK%CF8*K168*<NO>*<RO214>+K171*<NO>*<RO215>+K174
!*<NO>*<RO216>+TPK%CF22*K177*<NO>*<RO217>+TPK%CF20*K180*<NO>*<RO218>+2.*K183*<N
!O>*<RO219>+K184*<RO2T>*<RO219>+K185*<HO2>*<RO219>+TPK%CF18*K186*<NO>*<RO220>+T
!PK%CF24*K189*<NO>*<RO221>+TPK%CF42*K192*<NO>*<RO222>+TPK%CF44*K195*<NO>*<RO223
!>+TPK%CF26*K198*<NO>*<RO224>+2.*K201*<NO>*<RO225>+K202*<RO2T>*<RO225>+K203*<HO
!2>*<RO225>+K204*<NO>*<RO226>+TPK%CF28*K207*<NO>*<RO227>+2.*K210*<NO>*<RO228>+K
!211*<RO2T>*<RO228>+K212*<HO2>*<RO228>+TPK%CF30*K213*<NO>*<RO229>+K216*<NO>*<RO
!240>+TPK%CF32*K221*<NO>*<RO231>+TPK%CF34*K224*<NO>*<RO232>+TPK%CF36*K227*<NO>*
!<RO241>+K231*<NO>*<RO233>+K234*<NO>*<RO242>+K238*<NO>*<RO234>+K241*<NO>*<RO243
!>+K245*<NO>*<RO235>+K248*<NO>*<RO244>+K252*<NO>*<RO236>+K255*<NO>*<RO245>+K259
!*<NO>*<RO237>+K262*<NO>*<RO246>+K266*<NO>*<RO238>+K269*<NO>*<RO247>+K277*<NO>*
!<RO248>+K285*<NO>*<RO249>+K288*<NO>*<RO250>+K291*<NO>*<RO251>+2.*K294*<NO>*<RO
!252>+K295*<HO2>*<RO252>+K296*<RO2T>*<RO252>+K297*<NO>*<RO253>+K300*<NO>*<RO254
!>+K309*<NO>*<RO255>+K315*<NO>*<RO256>+K317*<PAN8>+K331*<NO>*<RO257>+K340*<NO>*
!<RO258>+K343*<PAN7>+K344*<NO>*<RO230>
 PPROD(:,2) = +TPK%K005(:)*PCONC(:,3)*PCONC(:,1)+2.*TPK%K007(:)*PCONC(:,8)*PCON&
&C(:,1)+2.*TPK%K008(:)*PCONC(:,1)*PCONC(:,1)+TPK%K010(:)*PCONC(:,7)+TPK%K012(:)&
&*PCONC(:,8)*PCONC(:,2)+TPK%K014(:)*PCONC(:,8)+0.1*TPK%K020(:)*PCONC(:,4)+TPK%K&
&026(:)*PCONC(:,10)*PCONC(:,1)+TPK%K028(:)*PCONC(:,6)+TPK%K029(:)*PCONC(:,15)*P&
&CONC(:,6)+0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)+TPK%K038(:)*PCONC(:,1)*TPK%O(&
&:)+TPK%K039(:)*PCONC(:,15)*PCONC(:,4)+TPK%K040(:)*PCONC(:,15)*PCONC(:,8)+2.*TP&
&K%K041(:)*PCONC(:,8)*PCONC(:,8)+TPK%K110(:)*PCONC(:,1)*PCONC(:,86)+TPK%K113(:)&
&*PCONC(:,1)*TPK%RO22(:)+2.*TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)+TPK%K117(:)*PCON&
&C(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K119(:)*PCONC(:,1)&
&*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%K125(:)*PCONC(:,1)&
&*TPK%RO26(:)+TPK%K135(:)*PCONC(:,77)+TPK%K136(:)*PCONC(:,78)+TPK%K137(:)*PCONC&
&(:,79)+TPK%K138(:)*PCONC(:,84)+1.0000000*TPK%K139(:)*PCONC(:,76)+TPK%K140(:)*P&
&CONC(:,81)+TPK%K141(:)*PCONC(:,80)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+TPK%K147&
&(:)*PCONC(:,1)*TPK%RO28(:)+TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K153&
&(:)*PCONC(:,1)*TPK%RO210(:)+2.*TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)&
&*PCONC(:,85)*TPK%RO211(:)+TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)+2.*TPK%K159(:)*&
&PCONC(:,1)*TPK%RO212(:)+TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K161(:)*PCONC&
&(:,10)*TPK%RO212(:)+TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)+TPK%K165(:)*PCONC(:,1)&
&*TPK%RO239(:)+TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+TPK%K171(:)*PCONC(:,&
&1)*TPK%RO215(:)+TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)+TPK%CF22*TPK%K177(:)*PCONC&
&(:,1)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)+2.*TPK%K183(:)&
&*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%K185(:)*PCON&
&C(:,10)*TPK%RO219(:)+TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)+TPK%CF24*TPK&
&%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)+&
&TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%CF26*TPK%K198(:)*PCONC(:,1)*T&
&PK%RO224(:)+2.*TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)+TPK%K202(:)*PCONC(:,85)*TPK&
&%RO225(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)+TPK%K204(:)*PCONC(:,1)*TPK%RO22&
&6(:)+TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)+2.*TPK%K210(:)*PCONC(:,1)*TP&
&K%RO228(:)+TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)+TPK%K212(:)*PCONC(:,10)*TPK%RO&
&228(:)+TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)+TPK%K216(:)*PCONC(:,1)*TPK&
&%RO240(:)+TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%CF34*TPK%K224(:)*PC&
&ONC(:,1)*TPK%RO232(:)+TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+TPK%K231(:)&
&*PCONC(:,1)*TPK%RO233(:)+TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K238(:)*PCONC&
&(:,1)*TPK%RO234(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)+TPK%K245(:)*PCONC(:,1)*&
&TPK%RO235(:)+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K252(:)*PCONC(:,1)*TPK%RO&
&236(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)&
&+TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)+TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+TPK%K&
&269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)+TPK%K285(:)&
&*PCONC(:,1)*TPK%RO249(:)+TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)+TPK%K291(:)*PCONC&
&(:,1)*TPK%RO251(:)+2.*TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%K295(:)*PCONC(:,&
&10)*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*T&
&PK%RO253(:)+TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)+TPK%K309(:)*PCONC(:,1)*TPK%RO2&
&55(:)+TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)+TPK%K317(:)*PCONC(:,83)+TPK%K331(:)*&
&PCONC(:,1)*TPK%RO257(:)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K343(:)*PCONC(&
&:,82)+TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!PLOSS(NO2) = +K001+K003*<O>+K004*<O>+K006*<O3>+K009*<NO3>+K012*<NO3>+K021*<H2O
!>+K022*<OH>+K027*<HO2>+K103*<RAD1>+K104*<RAD2>+K105*<RAD3>+K106*<RAD4>+K107*<R
!AD5>+K108*<RAD6>+K109*<RAD7>+K126*<RO26>+K127*<RO28>+K128*<RO239>+K129*<RO248>
!+K130*<RO250>+K131*<RO254>+K132*<RO255>+K133*<RO257>+K134*<RO258>+K316*<RO256>
!+K321*<RAD8>
 PLOSS(:,2) = +TPK%K001(:)+TPK%K003(:)*TPK%O(:)+TPK%K004(:)*TPK%O(:)+TPK%K006(:&
&)*PCONC(:,3)+TPK%K009(:)*PCONC(:,8)+TPK%K012(:)*PCONC(:,8)+TPK%K021(:)*TPK%H2O&
&(:)+TPK%K022(:)*PCONC(:,15)+TPK%K027(:)*PCONC(:,10)+TPK%K103(:)*TPK%RAD1(:)+TP&
&K%K104(:)*TPK%RAD2(:)+TPK%K105(:)*TPK%RAD3(:)+TPK%K106(:)*TPK%RAD4(:)+TPK%K107&
&(:)*TPK%RAD5(:)+TPK%K108(:)*TPK%RAD6(:)+TPK%K109(:)*TPK%RAD7(:)+TPK%K126(:)*TP&
&K%RO26(:)+TPK%K127(:)*TPK%RO28(:)+TPK%K128(:)*TPK%RO239(:)+TPK%K129(:)*TPK%RO2&
&48(:)+TPK%K130(:)*TPK%RO250(:)+TPK%K131(:)*TPK%RO254(:)+TPK%K132(:)*TPK%RO255(&
&:)+TPK%K133(:)*TPK%RO257(:)+TPK%K134(:)*TPK%RO258(:)+TPK%K316(:)*TPK%RO256(:)+&
&TPK%K321(:)*TPK%RAD8(:)
!
!PPROD(O3) = +K002*<O2>*<O>+K081*<NO3>*<ARAL>+TPK%CF39*K082*<OH>*<ARAL>+K142*<H
!O2>*<RO26>+K148*<HO2>*<RO28>+K166*<HO2>*<RO239>+K279*<HO2>*<RO248>+K289*<HO2>*
!<RO250>+K301*<HO2>*<RO254>+K303*<OH>*<RPR5>+1.0000011*K306*<OH>*<RPRL>+K310*<H
!O2>*<RO255>+K318*<HO2>*<RO256>+K322*<OH>*<RPR7>+1.0000005*K323*<OH>*<RPG7>+K32
!6*<OH>*<RP11>+K332*<HO2>*<RO257>+1.0000000*K334*<OH>*<RPG3>+1.0000000*K335*<OH
!>*<RPG2>+K337*<OH>*<RP18>+K341*<HO2>*<RO258>
 PPROD(:,3) = +TPK%K002(:)*TPK%O2(:)*TPK%O(:)+TPK%K081(:)*PCONC(:,8)*PCONC(:,25&
&)+TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)+TPK%K142(:)*PCONC(:,10)*TPK%RO2&
&6(:)+TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)+TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)+&
&TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)+TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)+TPK%&
&K301(:)*PCONC(:,10)*TPK%RO254(:)+TPK%K303(:)*PCONC(:,15)*PCONC(:,70)+1.0000011&
&*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)+TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)+TPK%&
&K318(:)*PCONC(:,10)*TPK%RO256(:)+TPK%K322(:)*PCONC(:,15)*PCONC(:,62)+1.0000005&
&*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)+TPK%K326(:)*PCONC(:,15)*PCONC(:,73)+TPK%K&
&332(:)*PCONC(:,10)*TPK%RO257(:)+1.0000000*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)+&
&1.0000000*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)+TPK%K337(:)*PCONC(:,15)*PCONC(:,&
&51)+TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!PLOSS(O3) = +K005*<NO>+K006*<NO2>+K015+K016+K025*<OH>+K030*<HO2>+K034*<O>+K051
!*<ETHE>+K056*<OLEL>+K066*<ISOP>+K076*<OLEH>+K086*<BIOL>+K090*<BIOH>+K281*<MVK>
!+K282*<MCR>
 PLOSS(:,3) = +TPK%K005(:)*PCONC(:,1)+TPK%K006(:)*PCONC(:,2)+TPK%K015(:)+TPK%K0&
&16(:)+TPK%K025(:)*PCONC(:,15)+TPK%K030(:)*PCONC(:,10)+TPK%K034(:)*TPK%O(:)+TPK&
&%K051(:)*PCONC(:,16)+TPK%K056(:)*PCONC(:,17)+TPK%K066(:)*PCONC(:,35)+TPK%K076(&
&:)*PCONC(:,18)+TPK%K086(:)*PCONC(:,36)+TPK%K090(:)*PCONC(:,37)+TPK%K281(:)*PCO&
&NC(:,39)+TPK%K282(:)*PCONC(:,40)
!
!PPROD(HONO) = +K019*<OH>*<NO>+0.5*K021*<H2O>*<NO2>
 PPROD(:,4) = +TPK%K019(:)*PCONC(:,15)*PCONC(:,1)+0.5*TPK%K021(:)*TPK%H2O(:)*PC&
&ONC(:,2)
!PLOSS(HONO) = +K020+K039*<OH>
 PLOSS(:,4) = +TPK%K020(:)+TPK%K039(:)*PCONC(:,15)
!
!PPROD(HNO3) = +2.*K011*<H2O>*<N2O5>+0.5*K021*<H2O>*<NO2>+K022*<OH>*<NO2>+0.2*K
!033*<HO2>*<NO3>+K047*<NO3>*<HCHO>+K061*<NO3>*<ALD2>+K072*<NO3>*<AROO>+K081*<NO
!3>*<ARAL>+TPK%CF46*K275*<NO3>*<MCR>+K278*<NO3>*<MGLY>+K307*<NO3>*<RPR1>+K313*<
!NO3>*<RPR3>+K320*<NO3>*<RPR4>+K327*<NO3>*<RPR8>+K338*<NO3>*<RP16>
 PPROD(:,5) = +2.*TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)+0.5*TPK%K021(:)*TPK%H2O(:)*&
&PCONC(:,2)+TPK%K022(:)*PCONC(:,15)*PCONC(:,2)+0.2*TPK%K033(:)*PCONC(:,10)*PCON&
&C(:,8)+TPK%K047(:)*PCONC(:,8)*PCONC(:,28)+TPK%K061(:)*PCONC(:,8)*PCONC(:,29)+T&
&PK%K072(:)*PCONC(:,8)*PCONC(:,24)+TPK%K081(:)*PCONC(:,8)*PCONC(:,25)+TPK%CF46*&
&TPK%K275(:)*PCONC(:,8)*PCONC(:,40)+TPK%K278(:)*PCONC(:,8)*PCONC(:,41)+TPK%K307&
&(:)*PCONC(:,8)*PCONC(:,69)+TPK%K313(:)*PCONC(:,8)*PCONC(:,57)+TPK%K320(:)*PCON&
&C(:,8)*PCONC(:,61)+TPK%K327(:)*PCONC(:,8)*PCONC(:,71)+TPK%K338(:)*PCONC(:,8)*P&
&CONC(:,74)
!PLOSS(HNO3) = +K023*<OH>
 PLOSS(:,5) = +TPK%K023(:)*PCONC(:,15)
!
!PPROD(HNO4) = +K027*<HO2>*<NO2>
 PPROD(:,6) = +TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!PLOSS(HNO4) = +K028+K029*<OH>
 PLOSS(:,6) = +TPK%K028(:)+TPK%K029(:)*PCONC(:,15)
!
!PPROD(N2O5) = +K009*<NO3>*<NO2>
 PPROD(:,7) = +TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!PLOSS(N2O5) = +K010+K011*<H2O>
 PLOSS(:,7) = +TPK%K010(:)+TPK%K011(:)*TPK%H2O(:)
!
!PPROD(NO3) = +K004*<NO2>*<O>+K006*<O3>*<NO2>+K010*<N2O5>+K023*<OH>*<HNO3>
 PPROD(:,8) = +TPK%K004(:)*PCONC(:,2)*TPK%O(:)+TPK%K006(:)*PCONC(:,3)*PCONC(:,2&
&)+TPK%K010(:)*PCONC(:,7)+TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!PLOSS(NO3) = +K007*<NO>+K009*<NO2>+K012*<NO2>+K013+K014+K033*<HO2>+K040*<OH>+K
!041*<NO3>+K041*<NO3>+K047*<HCHO>+K050*<ETHE>+K055*<OLEL>+K061*<ALD2>+K065*<ISO
!P>+K072*<AROO>+K075*<OLEH>+K081*<ARAL>+K085*<BIOL>+K089*<BIOH>+K275*<MCR>+K278
!*<MGLY>+K307*<RPR1>+K313*<RPR3>+K320*<RPR4>+K327*<RPR8>+K338*<RP16>
 PLOSS(:,8) = +TPK%K007(:)*PCONC(:,1)+TPK%K009(:)*PCONC(:,2)+TPK%K012(:)*PCONC(&
&:,2)+TPK%K013(:)+TPK%K014(:)+TPK%K033(:)*PCONC(:,10)+TPK%K040(:)*PCONC(:,15)+T&
&PK%K041(:)*PCONC(:,8)+TPK%K041(:)*PCONC(:,8)+TPK%K047(:)*PCONC(:,28)+TPK%K050(&
&:)*PCONC(:,16)+TPK%K055(:)*PCONC(:,17)+TPK%K061(:)*PCONC(:,29)+TPK%K065(:)*PCO&
&NC(:,35)+TPK%K072(:)*PCONC(:,24)+TPK%K075(:)*PCONC(:,18)+TPK%K081(:)*PCONC(:,2&
&5)+TPK%K085(:)*PCONC(:,36)+TPK%K089(:)*PCONC(:,37)+TPK%K275(:)*PCONC(:,40)+TPK&
&%K278(:)*PCONC(:,41)+TPK%K307(:)*PCONC(:,69)+TPK%K313(:)*PCONC(:,57)+TPK%K320(&
&:)*PCONC(:,61)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:)*PCONC(:,74)
!
!PPROD(NH3) = 0.0
 PPROD(:,9) = 0.0
!PLOSS(NH3) = +K345*<OH>
 PLOSS(:,9) = +TPK%K345(:)*PCONC(:,15)
!
!PPROD(HO2) = +0.1*K020*<HONO>+K024*<OH>*<CO>+K025*<OH>*<O3>+K028*<HNO4>+K035*<
!OH>*<SO2>+K037*<OH>*<H2O2>+K040*<OH>*<NO3>+2.0*K044*<HCHO>+K046*<OH>*<HCHO>+K0
!47*<NO3>*<HCHO>+K048*<OH>*<MEOH>+0.06*K051*<O3>*<ETHE>+K052*<O>*<ETHE>+TPK%CF1
!*K053*<OH>*<ETOH>+0.28*K056*<O3>*<OLEL>+K059*<ALD2>+0.366*K066*<O3>*<ISOP>+0.1
!6*K073*<OH>*<AROO>+0.28*K076*<O3>*<OLEH>+0.16*K079*<OH>*<AROL>+0.16*K080*<OH>*
!<AROH>+TPK%CF48*K082*<OH>*<ARAL>+0.16*K083*<OH>*<ARAC>+0.445*K086*<O3>*<BIOL>+
!0.16*K092*<OH>*<PAH>+K094*<HO2>*<RO2T>+K110*<NO>*<RO21>+K111*<RO2T>*<RO21>+K11
!2*<HO2>*<RO21>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>+K117*<RO2
!T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24>+K121*<HO2>*<RO
!24>+TPK%CF4*K122*<NO>*<RO25>+K123*<RO2T>*<RO25>+K124*<HO2>*<RO25>+TPK%CF6*K150
!*<NO>*<RO29>+K151*<RO2T>*<RO29>+K152*<HO2>*<RO29>+K153*<NO>*<RO210>+K154*<RO2T
!>*<RO210>+K155*<HO2>*<RO210>+K171*<NO>*<RO215>+K172*<RO2T>*<RO215>+K173*<HO2>*
!<RO215>+TPK%CF22*K177*<NO>*<RO217>+K178*<RO2T>*<RO217>+K179*<HO2>*<RO217>+TPK%
!CF20*K180*<NO>*<RO218>+K181*<RO2T>*<RO218>+K182*<HO2>*<RO218>+TPK%CF24*K189*<N
!O>*<RO221>+K190*<RO2T>*<RO221>+K191*<HO2>*<RO221>+TPK%CF42*K192*<NO>*<RO222>+K
!193*<RO2T>*<RO222>+K194*<HO2>*<RO222>+TPK%CF44*K195*<NO>*<RO223>+K196*<RO2T>*<
!RO223>+K197*<HO2>*<RO223>+TPK%CF26*K198*<NO>*<RO224>+K199*<RO2T>*<RO224>+K200*
!<HO2>*<RO224>+TPK%CF28*K207*<NO>*<RO227>+K208*<RO2T>*<RO227>+K209*<HO2>*<RO227
!>+TPK%CF32*K221*<NO>*<RO231>+K222*<RO2T>*<RO231>+K223*<HO2>*<RO231>+TPK%CF36*K
!227*<NO>*<RO241>+K228*<RO2T>*<RO241>+K229*<HO2>*<RO241>+K231*<NO>*<RO233>+K232
!*<RO2T>*<RO233>+K233*<HO2>*<RO233>+K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*
!<HO2>*<RO242>+K238*<NO>*<RO234>+K239*<RO2T>*<RO234>+K240*<HO2>*<RO234>+K241*<N
!O>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K245*<NO>*<RO235>+K246*<RO2T
!>*<RO235>+K247*<HO2>*<RO235>+K248*<NO>*<RO244>+K249*<RO2T>*<RO244>+K250*<HO2>*
!<RO244>+K252*<NO>*<RO236>+K253*<RO2T>*<RO236>+K254*<HO2>*<RO236>+K255*<NO>*<RO
!245>+K256*<RO2T>*<RO245>+K257*<HO2>*<RO245>+K259*<NO>*<RO237>+K260*<RO2T>*<RO2
!37>+K261*<HO2>*<RO237>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246
!>+K266*<NO>*<RO238>+K267*<RO2T>*<RO238>+K268*<HO2>*<RO238>+K269*<NO>*<RO247>+K
!270*<RO2T>*<RO247>+K271*<HO2>*<RO247>+K276*<MGLY>+0.28*K281*<O3>*<MVK>+0.41*K2
!82*<O3>*<MCR>+0.15*K284*<O>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<
!HO2>*<RO249>+K291*<NO>*<RO251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K300*<NO
!>*<RO254>+K302*<RO2T>*<RO254>+K308*<RPR1>+2.*K314*<RPR3>+K315*<NO>*<RO256>+K31
!9*<RO2T>*<RO256>+K325*<OH>*<RP10>+K329*<RPR8>+K330*<RPR8>+K339*<RP16>+K347*<OH
!>*<ORA1>
 PPROD(:,10) = +0.1*TPK%K020(:)*PCONC(:,4)+TPK%K024(:)*PCONC(:,15)*PCONC(:,11)+&
&TPK%K025(:)*PCONC(:,15)*PCONC(:,3)+TPK%K028(:)*PCONC(:,6)+TPK%K035(:)*PCONC(:,&
&15)*PCONC(:,13)+TPK%K037(:)*PCONC(:,15)*PCONC(:,12)+TPK%K040(:)*PCONC(:,15)*PC&
&ONC(:,8)+2.0*TPK%K044(:)*PCONC(:,28)+TPK%K046(:)*PCONC(:,15)*PCONC(:,28)+TPK%K&
&047(:)*PCONC(:,8)*PCONC(:,28)+TPK%K048(:)*PCONC(:,15)*PCONC(:,32)+0.06*TPK%K05&
&1(:)*PCONC(:,3)*PCONC(:,16)+TPK%K052(:)*TPK%O(:)*PCONC(:,16)+TPK%CF1*TPK%K053(&
&:)*PCONC(:,15)*PCONC(:,33)+0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+TPK%K059(:)&
&*PCONC(:,29)+0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.16*TPK%K073(:)*PCONC(:&
&,15)*PCONC(:,24)+0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.16*TPK%K079(:)*PCON&
&C(:,15)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)+TPK%CF48*TPK%K082&
&(:)*PCONC(:,15)*PCONC(:,25)+0.16*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+0.445*TPK&
&%K086(:)*PCONC(:,3)*PCONC(:,36)+0.16*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+TPK%K&
&094(:)*PCONC(:,10)*PCONC(:,85)+TPK%K110(:)*PCONC(:,1)*PCONC(:,86)+TPK%K111(:)*&
&PCONC(:,85)*PCONC(:,86)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86)+TPK%K113(:)*PCONC(&
&:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K115(:)*PCONC(:,10)*T&
&PK%RO22(:)+TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO2&
&3(:)+TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TP&
&K%K121(:)*PCONC(:,10)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+T&
&PK%K123(:)*PCONC(:,85)*PCONC(:,87)+TPK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%CF6&
&*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)+TPK%K1&
&52(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)+TPK%K154(:)*&
&PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)+TPK%K171(:)*PCON&
&C(:,1)*TPK%RO215(:)+TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%K173(:)*PCONC(:,1&
&0)*TPK%RO215(:)+TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)+TPK%K178(:)*PCONC&
&(:,85)*TPK%RO217(:)+TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*&
&PCONC(:,1)*TPK%RO218(:)+TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)+TPK%K182(:)*PCONC&
&(:,10)*TPK%RO218(:)+TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%K190(:)*P&
&CONC(:,85)*TPK%RO221(:)+TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)+TPK%CF42*TPK%K192&
&(:)*PCONC(:,1)*TPK%RO222(:)+TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)+TPK%K194(:)*P&
&CONC(:,10)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%K196(&
&:)*PCONC(:,85)*TPK%RO223(:)+TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)+TPK%CF26*TPK%&
&K198(:)*PCONC(:,1)*TPK%RO224(:)+TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)+TPK%K200(&
&:)*PCONC(:,10)*TPK%RO224(:)+TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)+TPK%K&
&208(:)*PCONC(:,85)*TPK%RO227(:)+TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)+TPK%CF32*&
&TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)+TPK%K&
&223(:)*PCONC(:,10)*TPK%RO231(:)+TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+T&
&PK%K228(:)*PCONC(:,85)*TPK%RO241(:)+TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)+TPK%K&
&231(:)*PCONC(:,1)*TPK%RO233(:)+TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)+TPK%K233(:&
&)*PCONC(:,10)*TPK%RO233(:)+TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCO&
&NC(:,85)*TPK%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K238(:)*PCONC(:&
&,1)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)+TPK%K240(:)*PCONC(:,10)*&
&TPK%RO234(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)+TPK%K242(:)*PCONC(:,85)*TPK%R&
&O243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)+TPK%K245(:)*PCONC(:,1)*TPK%RO235(&
&:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)+T&
&PK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%K2&
&50(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)+TPK%K253(:)&
&*PCONC(:,85)*TPK%RO236(:)+TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)+TPK%K255(:)*PCO&
&NC(:,1)*TPK%RO245(:)+TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,&
&10)*TPK%RO245(:)+TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)+TPK%K260(:)*PCONC(:,85)*T&
&PK%RO237(:)+TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+TPK%K262(:)*PCONC(:,1)*TPK%RO&
&246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(:,10)*TPK%RO246(&
&:)+TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)+TP&
&K%K268(:)*PCONC(:,10)*TPK%RO238(:)+TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K27&
&0(:)*PCONC(:,85)*TPK%RO247(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)+TPK%K276(:)&
&*PCONC(:,41)+0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,&
&3)*PCONC(:,40)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TP&
&K%RO249(:)+TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO&
&249(:)+TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:&
&)+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)+TPK&
&%K302(:)*PCONC(:,85)*TPK%RO254(:)+TPK%K308(:)*PCONC(:,69)+2.*TPK%K314(:)*PCONC&
&(:,57)+TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)+TPK%K319(:)*PCONC(:,85)*TPK%RO256(:&
&)+TPK%K325(:)*PCONC(:,15)*PCONC(:,72)+TPK%K329(:)*PCONC(:,71)+TPK%K330(:)*PCON&
&C(:,71)+TPK%K339(:)*PCONC(:,74)+TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!PLOSS(HO2) = +K026*<NO>+K027*<NO2>+K030*<O3>+K031*<HO2>+K031*<HO2>+K032*<H2O>*
!<HO2>+K032*<H2O>*<HO2>+K033*<NO3>+K042*<OH>+K094*<RO2T>+K112*<RO21>+K115*<RO22
!>+K118*<RO23>+K121*<RO24>+K124*<RO25>+K142*<RO26>+K146*<RO27>+K148*<RO28>+K152
!*<RO29>+K155*<RO210>+K158*<RO211>+K161*<RO212>+K164*<RO213>+K166*<RO239>+K170*
!<RO214>+K173*<RO215>+K176*<RO216>+K179*<RO217>+K182*<RO218>+K185*<RO219>+K188*
!<RO220>+K191*<RO221>+K194*<RO222>+K197*<RO223>+K200*<RO224>+K203*<RO225>+K206*
!<RO226>+K209*<RO227>+K212*<RO228>+K215*<RO229>+K218*<RO240>+K220*<RO230>+K223*
!<RO231>+K226*<RO232>+K229*<RO241>+K233*<RO233>+K236*<RO242>+K240*<RO234>+K243*
!<RO243>+K247*<RO235>+K250*<RO244>+K254*<RO236>+K257*<RO245>+K261*<RO237>+K264*
!<RO246>+K268*<RO238>+K271*<RO247>+K279*<RO248>+K287*<RO249>+K289*<RO250>+K292*
!<RO251>+K295*<RO252>+K298*<RO253>+K301*<RO254>+K310*<RO255>+K318*<RO256>+K332*
!<RO257>+K341*<RO258>
 PLOSS(:,10) = +TPK%K026(:)*PCONC(:,1)+TPK%K027(:)*PCONC(:,2)+TPK%K030(:)*PCONC&
&(:,3)+TPK%K031(:)*PCONC(:,10)+TPK%K031(:)*PCONC(:,10)+TPK%K032(:)*TPK%H2O(:)*P&
&CONC(:,10)+TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)+TPK%K033(:)*PCONC(:,8)+TPK%K042(&
&:)*PCONC(:,15)+TPK%K094(:)*PCONC(:,85)+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK&
&%RO22(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC(:,8&
&7)+TPK%K142(:)*TPK%RO26(:)+TPK%K146(:)*TPK%RO27(:)+TPK%K148(:)*TPK%RO28(:)+TPK&
&%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K16&
&1(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)+TPK%K166(:)*TPK%RO239(:)+TPK%K170(:&
&)*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K179(:)*T&
&PK%RO217(:)+TPK%K182(:)*TPK%RO218(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K188(:)*TPK%&
&RO220(:)+TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO2&
&23(:)+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K206(:)*TPK%RO226(&
&:)+TPK%K209(:)*TPK%RO227(:)+TPK%K212(:)*TPK%RO228(:)+TPK%K215(:)*TPK%RO229(:)+&
&TPK%K218(:)*TPK%RO240(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)+TPK&
&%K226(:)*TPK%RO232(:)+TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%RO233(:)+TPK%K2&
&36(:)*TPK%RO242(:)+TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K247(&
&:)*TPK%RO235(:)+TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)+TPK%K257(:)*&
&TPK%RO245(:)+TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K268(:)*TPK&
&%RO238(:)+TPK%K271(:)*TPK%RO247(:)+TPK%K279(:)*TPK%RO248(:)+TPK%K287(:)*TPK%RO&
&249(:)+TPK%K289(:)*TPK%RO250(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO252&
&(:)+TPK%K298(:)*TPK%RO253(:)+TPK%K301(:)*TPK%RO254(:)+TPK%K310(:)*TPK%RO255(:)&
&+TPK%K318(:)*TPK%RO256(:)+TPK%K332(:)*TPK%RO257(:)+TPK%K341(:)*TPK%RO258(:)
!
RETURN
END SUBROUTINE SUB0
!
SUBROUTINE SUB1
!
!Indices 11 a 20
!
!
!PPROD(CO) = +K044*<HCHO>+K045*<HCHO>+K046*<OH>*<HCHO>+K047*<NO3>*<HCHO>+0.315*
!K051*<O3>*<ETHE>+0.6*K052*<O>*<ETHE>+0.56*K056*<O3>*<OLEL>+K059*<ALD2>+0.461*K
!066*<O3>*<ISOP>+0.56*K076*<O3>*<OLEH>+0.445*K086*<O3>*<BIOL>+0.445*K090*<O3>*<
!BIOH>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24>+K121*<HO2>*<RO24>+K276*<MGLY>+0.56*K
!281*<O3>*<MVK>+0.41*K282*<O3>*<MCR>+0.15*K284*<O>*<MCR>+K300*<NO>*<RO254>+K302
!*<RO2T>*<RO254>+K308*<RPR1>+K314*<RPR3>+K329*<RPR8>+2.*K339*<RP16>+K340*<NO>*<
!RO258>+K342*<RO2T>*<RO258>
 PPROD(:,11) = +TPK%K044(:)*PCONC(:,28)+TPK%K045(:)*PCONC(:,28)+TPK%K046(:)*PCO&
&NC(:,15)*PCONC(:,28)+TPK%K047(:)*PCONC(:,8)*PCONC(:,28)+0.315*TPK%K051(:)*PCON&
&C(:,3)*PCONC(:,16)+0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)+0.56*TPK%K056(:)*PCONC&
&(:,3)*PCONC(:,17)+TPK%K059(:)*PCONC(:,29)+0.461*TPK%K066(:)*PCONC(:,3)*PCONC(:&
&,35)+0.56*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,3)*PCON&
&C(:,36)+0.445*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)+TPK%K119(:)*PCONC(:,1)*TPK%RO&
&24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)+&
&TPK%K276(:)*PCONC(:,41)+0.56*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(&
&:)*PCONC(:,3)*PCONC(:,40)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K300(:)*PC&
&ONC(:,1)*TPK%RO254(:)+TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)+TPK%K308(:)*PCONC(:&
&,69)+TPK%K314(:)*PCONC(:,57)+TPK%K329(:)*PCONC(:,71)+2.*TPK%K339(:)*PCONC(:,74&
&)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!PLOSS(CO) = +K024*<OH>
 PLOSS(:,11) = +TPK%K024(:)*PCONC(:,15)
!
!PPROD(H2O2) = +K031*<HO2>*<HO2>+K032*<HO2>*<H2O>*<HO2>+0.055*K086*<O3>*<BIOL>+
!0.055*K090*<O3>*<BIOH>
 PPROD(:,12) = +TPK%K031(:)*PCONC(:,10)*PCONC(:,10)+TPK%K032(:)*PCONC(:,10)*TPK&
&%H2O(:)*PCONC(:,10)+0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+0.055*TPK%K090(:)&
&*PCONC(:,3)*PCONC(:,37)
!PLOSS(H2O2) = +K036+K037*<OH>
 PLOSS(:,12) = +TPK%K036(:)+TPK%K037(:)*PCONC(:,15)
!
!PPROD(SO2) = 0.0
 PPROD(:,13) = 0.0
!PLOSS(SO2) = +K035*<OH>
 PLOSS(:,13) = +TPK%K035(:)*PCONC(:,15)
!
!PPROD(H2SO4) = +K035*<OH>*<SO2>
 PPROD(:,14) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!PLOSS(H2SO4) = +K346
 PLOSS(:,14) = +TPK%K346(:)
!
!PPROD(OH) = +K017*<H2O>*<OSD>+K017*<H2O>*<OSD>+0.9*K020*<HONO>+K026*<HO2>*<NO>
!+K030*<HO2>*<O3>+0.8*K033*<HO2>*<NO3>+2.*K036*<H2O2>+0.06*K051*<O3>*<ETHE>+0.3
!6*K056*<O3>*<OLEL>+0.664*K066*<O3>*<ISOP>+0.36*K076*<O3>*<OLEH>+0.89*K086*<O3>
!*<BIOL>+0.89*K090*<O3>*<BIOH>+K112*<HO2>*<RO21>+K115*<HO2>*<RO22>+K118*<HO2>*<
!RO23>+K121*<HO2>*<RO24>+K124*<HO2>*<RO25>+K146*<HO2>*<RO27>+K152*<HO2>*<RO29>+
!K155*<HO2>*<RO210>+K158*<HO2>*<RO211>+K161*<HO2>*<RO212>+K164*<HO2>*<RO213>+K1
!70*<HO2>*<RO214>+K173*<HO2>*<RO215>+K176*<HO2>*<RO216>+K179*<HO2>*<RO217>+K182
!*<HO2>*<RO218>+K185*<HO2>*<RO219>+K188*<HO2>*<RO220>+K191*<HO2>*<RO221>+K194*<
!HO2>*<RO222>+K197*<HO2>*<RO223>+K200*<HO2>*<RO224>+K203*<HO2>*<RO225>+K206*<HO
!2>*<RO226>+K209*<HO2>*<RO227>+K212*<HO2>*<RO228>+K215*<HO2>*<RO229>+K218*<HO2>
!*<RO240>+K220*<HO2>*<RO230>+K223*<HO2>*<RO231>+K226*<HO2>*<RO232>+K229*<HO2>*<
!RO241>+K233*<HO2>*<RO233>+K236*<HO2>*<RO242>+K240*<HO2>*<RO234>+K243*<HO2>*<RO
!243>+K247*<HO2>*<RO235>+K250*<HO2>*<RO244>+K254*<HO2>*<RO236>+K257*<HO2>*<RO24
!5>+K261*<HO2>*<RO237>+K264*<HO2>*<RO246>+K268*<HO2>*<RO238>+K271*<HO2>*<RO247>
!+0.36*K281*<O3>*<MVK>+0.82*K282*<O3>*<MCR>+K287*<HO2>*<RO249>+K293*<RO2T>*<RO2
!51>+K296*<RO2T>*<RO252>+K299*<RO2T>*<RO253>+K339*<RP16>+K340*<NO>*<RO258>+K342
!*<RO2T>*<RO258>
 PPROD(:,15) = +TPK%K017(:)*TPK%H2O(:)*TPK%OSD(:)+TPK%K017(:)*TPK%H2O(:)*TPK%OS&
&D(:)+0.9*TPK%K020(:)*PCONC(:,4)+TPK%K026(:)*PCONC(:,10)*PCONC(:,1)+TPK%K030(:)&
&*PCONC(:,10)*PCONC(:,3)+0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)+2.*TPK%K036(:)*&
&PCONC(:,12)+0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)+0.36*TPK%K056(:)*PCONC(:,3&
&)*PCONC(:,17)+0.664*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.36*TPK%K076(:)*PCONC(&
&:,3)*PCONC(:,18)+0.89*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+0.89*TPK%K090(:)*PCON&
&C(:,3)*PCONC(:,37)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86)+TPK%K115(:)*PCONC(:,10)&
&*TPK%RO22(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K121(:)*PCONC(:,10)*TPK%R&
&O24(:)+TPK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)&
&+TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)+TPK%&
&K158(:)*PCONC(:,10)*TPK%RO211(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)+TPK%K164&
&(:)*PCONC(:,10)*TPK%RO213(:)+TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)+TPK%K173(:)*&
&PCONC(:,10)*TPK%RO215(:)+TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)+TPK%K179(:)*PCON&
&C(:,10)*TPK%RO217(:)+TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)+TPK%K185(:)*PCONC(:,&
&10)*TPK%RO219(:)+TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)+TPK%K191(:)*PCONC(:,10)*&
&TPK%RO221(:)+TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)+TPK%K197(:)*PCONC(:,10)*TPK%&
&RO223(:)+TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO22&
&5(:)+TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)+TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)&
&+TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)+TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)+TPK&
&%K218(:)*PCONC(:,10)*TPK%RO240(:)+TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)+TPK%K22&
&3(:)*PCONC(:,10)*TPK%RO231(:)+TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)+TPK%K229(:)&
&*PCONC(:,10)*TPK%RO241(:)+TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)+TPK%K236(:)*PCO&
&NC(:,10)*TPK%RO242(:)+TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)+TPK%K243(:)*PCONC(:&
&,10)*TPK%RO243(:)+TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)+TPK%K250(:)*PCONC(:,10)&
&*TPK%RO244(:)+TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)+TPK%K257(:)*PCONC(:,10)*TPK&
&%RO245(:)+TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+TPK%K264(:)*PCONC(:,10)*TPK%RO2&
&46(:)+TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:&
&)+0.36*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.82*TPK%K282(:)*PCONC(:,3)*PCONC(:,&
&40)+TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+&
&TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)+TPK%&
&K339(:)*PCONC(:,74)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K342(:)*PCONC(:,85&
&)*TPK%RO258(:)
!PLOSS(OH) = +K019*<NO>+K022*<NO2>+K023*<HNO3>+K024*<CO>+K025*<O3>+K029*<HNO4>+
!K035*<SO2>+K037*<H2O2>+K039*<HONO>+K040*<NO3>+K042*<HO2>+K043*<CH4>+K046*<HCHO
!>+K048*<MEOH>+K049*<ETHE>+K053*<ETOH>+K054*<OLEL>+K058*<ALKL>+K060*<ALD2>+K062
!*<KETL>+K064*<ISOP>+K068*<MTBE>+K069*<ALCH>+K070*<KETH>+K073*<AROO>+K074*<OLEH
!>+K078*<ALKM>+K079*<AROL>+K080*<AROH>+K082*<ARAL>+K083*<ARAC>+K084*<BIOL>+K088
!*<BIOH>+K092*<PAH>+K093*<ALKH>+K272*<MVK>+K273*<MCR>+K274*<MGLY>+K303*<RPR5>+K
!304*<RPR1>+K305*<RP16>+K306*<RPRL>+K312*<RPR3>+K322*<RPR7>+K323*<RPG7>+K324*<R
!PR8>+K325*<RP10>+K326*<RP11>+K334*<RPG3>+K335*<RPG2>+K337*<RP18>+K345*<NH3>+K3
!47*<ORA1>+K348*<ORA2>+K349*<ACID>
 PLOSS(:,15) = +TPK%K019(:)*PCONC(:,1)+TPK%K022(:)*PCONC(:,2)+TPK%K023(:)*PCONC&
&(:,5)+TPK%K024(:)*PCONC(:,11)+TPK%K025(:)*PCONC(:,3)+TPK%K029(:)*PCONC(:,6)+TP&
&K%K035(:)*PCONC(:,13)+TPK%K037(:)*PCONC(:,12)+TPK%K039(:)*PCONC(:,4)+TPK%K040(&
&:)*PCONC(:,8)+TPK%K042(:)*PCONC(:,10)+TPK%K043(:)*TPK%CH4(:)+TPK%K046(:)*PCONC&
&(:,28)+TPK%K048(:)*PCONC(:,32)+TPK%K049(:)*PCONC(:,16)+TPK%K053(:)*PCONC(:,33)&
&+TPK%K054(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,19)+TPK%K060(:)*PCONC(:,29)+TPK%K&
&062(:)*PCONC(:,30)+TPK%K064(:)*PCONC(:,35)+TPK%K068(:)*PCONC(:,38)+TPK%K069(:)&
&*PCONC(:,34)+TPK%K070(:)*PCONC(:,31)+TPK%K073(:)*PCONC(:,24)+TPK%K074(:)*PCONC&
&(:,18)+TPK%K078(:)*PCONC(:,20)+TPK%K079(:)*PCONC(:,23)+TPK%K080(:)*PCONC(:,22)&
&+TPK%K082(:)*PCONC(:,25)+TPK%K083(:)*PCONC(:,26)+TPK%K084(:)*PCONC(:,36)+TPK%K&
&088(:)*PCONC(:,37)+TPK%K092(:)*PCONC(:,27)+TPK%K093(:)*PCONC(:,21)+TPK%K272(:)&
&*PCONC(:,39)+TPK%K273(:)*PCONC(:,40)+TPK%K274(:)*PCONC(:,41)+TPK%K303(:)*PCONC&
&(:,70)+TPK%K304(:)*PCONC(:,69)+TPK%K305(:)*PCONC(:,74)+TPK%K306(:)*PCONC(:,75)&
&+TPK%K312(:)*PCONC(:,57)+TPK%K322(:)*PCONC(:,62)+TPK%K323(:)*PCONC(:,63)+TPK%K&
&324(:)*PCONC(:,71)+TPK%K325(:)*PCONC(:,72)+TPK%K326(:)*PCONC(:,73)+TPK%K334(:)&
&*PCONC(:,52)+TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)+TPK%K345(:)*PCONC&
&(:,9)+TPK%K347(:)*PCONC(:,43)+TPK%K348(:)*PCONC(:,44)+TPK%K349(:)*PCONC(:,45)
!
!PPROD(ETHE) = 0.0
 PPROD(:,16) = 0.0
!PLOSS(ETHE) = +K049*<OH>+K050*<NO3>+K051*<O3>+K052*<O>
 PLOSS(:,16) = +TPK%K049(:)*PCONC(:,15)+TPK%K050(:)*PCONC(:,8)+TPK%K051(:)*PCON&
&C(:,3)+TPK%K052(:)*TPK%O(:)
!
!PPROD(OLEL) = +0.054*K066*<O3>*<ISOP>+0.925*K067*<O>*<ISOP>+TPK%CF5*K150*<NO>*
!<RO29>+0.5*K166*<HO2>*<RO239>+TPK%CF7*K168*<NO>*<RO214>+0.5*K289*<HO2>*<RO250>
 PPROD(:,17) = +0.054*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.925*TPK%K067(:)*TPK%&
&O(:)*PCONC(:,35)+TPK%CF5*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+0.5*TPK%K166(:)*PC&
&ONC(:,10)*TPK%RO239(:)+TPK%CF7*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+0.5*TPK%K28&
&9(:)*PCONC(:,10)*TPK%RO250(:)
!PLOSS(OLEL) = +K054*<OH>+K055*<NO3>+K056*<O3>+K057*<O>
 PLOSS(:,17) = +TPK%K054(:)*PCONC(:,15)+TPK%K055(:)*PCONC(:,8)+TPK%K056(:)*PCON&
&C(:,3)+TPK%K057(:)*TPK%O(:)
!
!PPROD(OLEH) = 0.0
 PPROD(:,18) = 0.0
!PLOSS(OLEH) = +K074*<OH>+K075*<NO3>+K076*<O3>+K077*<O>
 PLOSS(:,18) = +TPK%K074(:)*PCONC(:,15)+TPK%K075(:)*PCONC(:,8)+TPK%K076(:)*PCON&
&C(:,3)+TPK%K077(:)*TPK%O(:)
!
!PPROD(ALKL) = +0.1*K056*<O3>*<OLEL>+0.5*K057*<O>*<OLEL>+TPK%CF3*K122*<NO>*<RO2
!5>+TPK%CF12*K171*<NO>*<RO215>+TPK%CF16*K172*<RO2T>*<RO215>+TPK%CF16*K173*<HO2>
!*<RO215>
 PPROD(:,19) = +0.1*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.5*TPK%K057(:)*TPK%O(:)&
&*PCONC(:,17)+TPK%CF3*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%CF12*TPK%K171(:)*P&
&CONC(:,1)*TPK%RO215(:)+TPK%CF16*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF16*&
&TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!PLOSS(ALKL) = +K058*<OH>
 PLOSS(:,19) = +TPK%K058(:)*PCONC(:,15)
!
!PPROD(ALKM) = +0.1*K076*<O3>*<OLEH>+0.5*K077*<O>*<OLEH>
 PPROD(:,20) = +0.1*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.5*TPK%K077(:)*TPK%O(:)&
&*PCONC(:,18)
!PLOSS(ALKM) = +K078*<OH>
 PLOSS(:,20) = +TPK%K078(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB1
!
SUBROUTINE SUB2
!
!Indices 21 a 30
!
!
!PPROD(ALKH) = 0.0
 PPROD(:,21) = 0.0
!PLOSS(ALKH) = +K093*<OH>
 PLOSS(:,21) = +TPK%K093(:)*PCONC(:,15)
!
!PPROD(AROH) = 0.0
 PPROD(:,22) = 0.0
!PLOSS(AROH) = +K080*<OH>
 PLOSS(:,22) = +TPK%K080(:)*PCONC(:,15)
!
!PPROD(AROL) = 0.0
 PPROD(:,23) = 0.0
!PLOSS(AROL) = +K079*<OH>
 PLOSS(:,23) = +TPK%K079(:)*PCONC(:,15)
!
!PPROD(AROO) = +0.16*K073*<OH>*<AROO>+0.16*K079*<OH>*<AROL>+0.16*K080*<OH>*<ARO
!H>
 PPROD(:,24) = +0.16*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)+0.16*TPK%K079(:)*PCONC&
&(:,15)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!PLOSS(AROO) = +K072*<NO3>+K073*<OH>
 PLOSS(:,24) = +TPK%K072(:)*PCONC(:,8)+TPK%K073(:)*PCONC(:,15)
!
!PPROD(ARAL) = +TPK%CF24*K189*<NO>*<RO221>+K190*<RO2T>*<RO221>+K191*<HO2>*<RO22
!1>
 PPROD(:,25) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%K190(:)*PCONC(&
&:,85)*TPK%RO221(:)+TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!PLOSS(ARAL) = +K081*<NO3>+K082*<OH>
 PLOSS(:,25) = +TPK%K081(:)*PCONC(:,8)+TPK%K082(:)*PCONC(:,15)
!
!PPROD(ARAC) = +K081*<NO3>*<ARAL>+TPK%CF39*K082*<OH>*<ARAL>
 PPROD(:,26) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)+TPK%CF39*TPK%K082(:)*PCONC(:&
&,15)*PCONC(:,25)
!PLOSS(ARAC) = +K083*<OH>
 PLOSS(:,26) = +TPK%K083(:)*PCONC(:,15)
!
!PPROD(PAH) = 0.0
 PPROD(:,27) = 0.0
!PLOSS(PAH) = +K092*<OH>
 PLOSS(:,27) = +TPK%K092(:)*PCONC(:,15)
!
!PPROD(HCHO) = +K048*<OH>*<MEOH>+0.5*K051*<O3>*<ETHE>+0.5*K056*<O3>*<OLEL>+0.5*
!K066*<O3>*<ISOP>+0.5*K076*<O3>*<OLEH>+K110*<NO>*<RO21>+K111*<RO2T>*<RO21>+K112
!*<HO2>*<RO21>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>+K116*<NO>*
!<RO23>+K117*<RO2T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24
!>+K121*<HO2>*<RO24>+TPK%CF6*K150*<NO>*<RO29>+K151*<RO2T>*<RO29>+K152*<HO2>*<RO
!29>+K153*<NO>*<RO210>+K154*<RO2T>*<RO210>+K155*<HO2>*<RO210>+K156*<NO>*<RO211>
!+K157*<RO2T>*<RO211>+K158*<HO2>*<RO211>+K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+
!K161*<HO2>*<RO212>+K162*<NO>*<RO213>+K163*<RO2T>*<RO213>+K164*<HO2>*<RO213>+TP
!K%CF10*K171*<NO>*<RO215>+TPK%CF14*K172*<RO2T>*<RO215>+TPK%CF14*K173*<HO2>*<RO2
!15>+K183*<NO>*<RO219>+K184*<RO2T>*<RO219>+K185*<HO2>*<RO219>+0.5*K281*<O3>*<MV
!K>+0.5*K282*<O3>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<HO2>*<RO249
!>+K291*<NO>*<RO251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K294*<NO>*<RO252>+K
!295*<HO2>*<RO252>+K296*<RO2T>*<RO252>+K297*<NO>*<RO253>+K298*<HO2>*<RO253>+K29
!9*<RO2T>*<RO253>
 PPROD(:,28) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)+0.5*TPK%K051(:)*PCONC(:,3)*&
&PCONC(:,16)+0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.5*TPK%K066(:)*PCONC(:,3)*&
&PCONC(:,35)+0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+TPK%K110(:)*PCONC(:,1)*PCON&
&C(:,86)+TPK%K111(:)*PCONC(:,85)*PCONC(:,86)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86&
&)+TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K&
&115(:)*PCONC(:,10)*TPK%RO22(:)+TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)+TPK%K117(:)*&
&PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K119(:)*PCONC(&
&:,1)*TPK%RO24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K121(:)*PCONC(:,10)*T&
&PK%RO24(:)+TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*&
&TPK%RO29(:)+TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K153(:)*PCONC(:,1)*TPK%RO2&
&10(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:&
&)+TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)+TPK&
&%K158(:)*PCONC(:,10)*TPK%RO211(:)+TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)+TPK%K160&
&(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)+TPK%K162(:)*&
&PCONC(:,1)*TPK%RO213(:)+TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)+TPK%K164(:)*PCONC&
&(:,10)*TPK%RO213(:)+TPK%CF10*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF14*TPK%&
&K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF14*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)&
&+TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%&
&K185(:)*PCONC(:,10)*TPK%RO219(:)+0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.5*TP&
&K%K282(:)*PCONC(:,3)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)+TPK%K286(&
&:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)+TPK%K291(:)*P&
&CONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)+TPK%K293(:)*PCONC(&
&:,85)*TPK%RO251(:)+TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%K295(:)*PCONC(:,10)&
&*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*TPK%&
&RO253(:)+TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO25&
&3(:)
!PLOSS(HCHO) = +K044+K045+K046*<OH>+K047*<NO3>
 PLOSS(:,28) = +TPK%K044(:)+TPK%K045(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCO&
&NC(:,8)
!
!PPROD(ALD2) = +TPK%CF1*K053*<OH>*<ETOH>+0.5*K056*<O3>*<OLEL>+0.4*K057*<O>*<OLE
!L>+0.075*K067*<O>*<ISOP>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>
!+K116*<NO>*<RO23>+K117*<RO2T>*<RO23>+K118*<HO2>*<RO23>+TPK%CF4*K122*<NO>*<RO25
!>+K123*<RO2T>*<RO25>+K124*<HO2>*<RO25>+K144*<NO>*<RO27>+K145*<RO2T>*<RO27>+K14
!6*<HO2>*<RO27>+TPK%CF9*K171*<NO>*<RO215>+TPK%CF13*K172*<RO2T>*<RO215>+TPK%CF13
!*K173*<HO2>*<RO215>+K174*<NO>*<RO216>+K175*<RO2T>*<RO216>+K176*<HO2>*<RO216>+0
!.1*K281*<O3>*<MVK>+0.85*K284*<O>*<MCR>
 PPROD(:,29) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)+0.5*TPK%K056(:)*PCO&
&NC(:,3)*PCONC(:,17)+0.4*TPK%K057(:)*TPK%O(:)*PCONC(:,17)+0.075*TPK%K067(:)*TPK&
&%O(:)*PCONC(:,35)+TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*T&
&PK%RO22(:)+TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)+TPK%K116(:)*PCONC(:,1)*TPK%RO23&
&(:)+TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TP&
&K%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%K123(:)*PCONC(:,85)*PCONC(:,87)+T&
&PK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+TPK%K145&
&(:)*PCONC(:,85)*TPK%RO27(:)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)+TPK%CF9*TPK%K1&
&71(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF13*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TP&
&K%CF13*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)+TPK%K174(:)*PCONC(:,1)*TPK%RO216(:&
&)+TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)+TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)+0.&
&1*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.85*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!PLOSS(ALD2) = +K059+K060*<OH>+K061*<NO3>
 PLOSS(:,29) = +TPK%K059(:)+TPK%K060(:)*PCONC(:,15)+TPK%K061(:)*PCONC(:,8)
!
!PPROD(KETL) = +TPK%CF11*K171*<NO>*<RO215>+TPK%CF15*K172*<RO2T>*<RO215>+TPK%CF1
!5*K173*<HO2>*<RO215>+0.85*K283*<O>*<MVK>
 PPROD(:,30) = +TPK%CF11*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF15*TPK%K172(&
&:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF15*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)+0.85&
&*TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!PLOSS(KETL) = +K062*<OH>+K063
 PLOSS(:,30) = +TPK%K062(:)*PCONC(:,15)+TPK%K063(:)
!
RETURN
END SUBROUTINE SUB2
!
SUBROUTINE SUB3
!
!Indices 31 a 40
!
!
!PPROD(KETH) = 0.0
 PPROD(:,31) = 0.0
!PLOSS(KETH) = +K070*<OH>+K071
 PLOSS(:,31) = +TPK%K070(:)*PCONC(:,15)+TPK%K071(:)
!
!PPROD(MEOH) = 0.0
 PPROD(:,32) = 0.0
!PLOSS(MEOH) = +K048*<OH>
 PLOSS(:,32) = +TPK%K048(:)*PCONC(:,15)
!
!PPROD(ETOH) = 0.0
 PPROD(:,33) = 0.0
!PLOSS(ETOH) = +K053*<OH>
 PLOSS(:,33) = +TPK%K053(:)*PCONC(:,15)
!
!PPROD(ALCH) = 0.0
 PPROD(:,34) = 0.0
!PLOSS(ALCH) = +K069*<OH>
 PLOSS(:,34) = +TPK%K069(:)*PCONC(:,15)
!
!PPROD(ISOP) = 0.0
 PPROD(:,35) = 0.0
!PLOSS(ISOP) = +K064*<OH>+K065*<NO3>+K066*<O3>+K067*<O>
 PLOSS(:,35) = +TPK%K064(:)*PCONC(:,15)+TPK%K065(:)*PCONC(:,8)+TPK%K066(:)*PCON&
&C(:,3)+TPK%K067(:)*TPK%O(:)
!
!PPROD(BIOL) = 0.0
 PPROD(:,36) = 0.0
!PLOSS(BIOL) = +K084*<OH>+K085*<NO3>+K086*<O3>+K087*<O>
 PLOSS(:,36) = +TPK%K084(:)*PCONC(:,15)+TPK%K085(:)*PCONC(:,8)+TPK%K086(:)*PCON&
&C(:,3)+TPK%K087(:)*TPK%O(:)
!
!PPROD(BIOH) = 0.0
 PPROD(:,37) = 0.0
!PLOSS(BIOH) = +K088*<OH>+K089*<NO3>+K090*<O3>+K091*<O>
 PLOSS(:,37) = +TPK%K088(:)*PCONC(:,15)+TPK%K089(:)*PCONC(:,8)+TPK%K090(:)*PCON&
&C(:,3)+TPK%K091(:)*TPK%O(:)
!
!PPROD(MTBE) = 0.0
 PPROD(:,38) = 0.0
!PLOSS(MTBE) = +K068*<OH>
 PLOSS(:,38) = +TPK%K068(:)*PCONC(:,15)
!
!PPROD(MVK) = +0.389*K066*<O3>*<ISOP>+TPK%CF6*K150*<NO>*<RO29>+K151*<RO2T>*<RO2
!9>+K152*<HO2>*<RO29>+K156*<NO>*<RO211>+K157*<RO2T>*<RO211>+K158*<HO2>*<RO211>
 PPROD(:,39) = +0.389*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+TPK%CF6*TPK%K150(:)*PC&
&ONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)+TPK%K152(:)*PCONC(:,1&
&0)*TPK%RO29(:)+TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)*PCONC(:,85)*TPK&
&%RO211(:)+TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!PLOSS(MVK) = +K272*<OH>+K281*<O3>+K283*<O>
 PLOSS(:,39) = +TPK%K272(:)*PCONC(:,15)+TPK%K281(:)*PCONC(:,3)+TPK%K283(:)*TPK%&
&O(:)
!
!PPROD(MCR) = +0.17*K066*<O3>*<ISOP>+K153*<NO>*<RO210>+K154*<RO2T>*<RO210>+K155
!*<HO2>*<RO210>+K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+K161*<HO2>*<RO212>
 PPROD(:,40) = +0.17*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+TPK%K153(:)*PCONC(:,1)*&
&TPK%RO210(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%&
&RO210(:)+TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)+TPK%K160(:)*PCONC(:,85)*TPK%RO212&
&(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!PLOSS(MCR) = +K273*<OH>+K275*<NO3>+K282*<O3>+K284*<O>
 PLOSS(:,40) = +TPK%K273(:)*PCONC(:,15)+TPK%K275(:)*PCONC(:,8)+TPK%K282(:)*PCON&
&C(:,3)+TPK%K284(:)*TPK%O(:)
!
RETURN
END SUBROUTINE SUB3
!
SUBROUTINE SUB4
!
!Indices 41 a 50
!
!
!PPROD(MGLY) = +K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*<HO2>*<RO242>+K241*<
!NO>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K248*<NO>*<RO244>+K249*<RO2
!T>*<RO244>+K250*<HO2>*<RO244>+K255*<NO>*<RO245>+K256*<RO2T>*<RO245>+K257*<HO2>
!*<RO245>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246>+K269*<NO>*<R
!O247>+K270*<RO2T>*<RO247>+K271*<HO2>*<RO247>+0.5*K281*<O3>*<MVK>+0.59*K282*<O3
!>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<HO2>*<RO249>+K291*<NO>*<RO
!251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K294*<NO>*<RO252>+K295*<HO2>*<RO25
!2>+K296*<RO2T>*<RO252>
 PPROD(:,41) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCONC(:,85)*TPK&
&%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO24&
&3(:)+TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)&
&+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%&
&K250(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K256(&
&:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)+TPK%K262(:)*P&
&CONC(:,1)*TPK%RO246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(&
&:,10)*TPK%RO246(:)+TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K270(:)*PCONC(:,85)&
&*TPK%RO247(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)+0.5*TPK%K281(:)*PCONC(:,3)*&
&PCONC(:,39)+0.59*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TPK&
&%RO249(:)+TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO2&
&49(:)+TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)&
&+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%&
&K295(:)*PCONC(:,10)*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!PLOSS(MGLY) = +K274*<OH>+K276+K278*<NO3>
 PLOSS(:,41) = +TPK%K274(:)*PCONC(:,15)+TPK%K276(:)+TPK%K278(:)*PCONC(:,8)
!
!PPROD(GLY) = 0.0
 PPROD(:,42) = 0.0
!PLOSS(GLY) = 0.0
 PLOSS(:,42) = 0.0
!
!PPROD(ORA1) = +0.185*K051*<O3>*<ETHE>+0.12*K056*<O3>*<OLEL>+0.121*K066*<O3>*<I
!SOP>+0.12*K281*<O3>*<MVK>+0.09*K282*<O3>*<MCR>
 PPROD(:,43) = +0.185*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)+0.12*TPK%K056(:)*PCONC&
&(:,3)*PCONC(:,17)+0.121*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.12*TPK%K281(:)*PC&
&ONC(:,3)*PCONC(:,39)+0.09*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!PLOSS(ORA1) = +K347*<OH>
 PLOSS(:,43) = +TPK%K347(:)*PCONC(:,15)
!
!PPROD(ORA2) = +0.12*K056*<O3>*<OLEL>+K142*<HO2>*<RO26>+K148*<HO2>*<RO28>+0.5*K
!166*<HO2>*<RO239>+0.5*K289*<HO2>*<RO250>
 PPROD(:,44) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+TPK%K142(:)*PCONC(:,10)&
&*TPK%RO26(:)+TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)+0.5*TPK%K166(:)*PCONC(:,10)*T&
&PK%RO239(:)+0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!PLOSS(ORA2) = +K348*<OH>
 PLOSS(:,44) = +TPK%K348(:)*PCONC(:,15)
!
!PPROD(ACID) = +0.12*K076*<O3>*<OLEH>+K142*<HO2>*<RO26>+K310*<HO2>*<RO255>
 PPROD(:,45) = +0.12*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+TPK%K142(:)*PCONC(:,10)&
&*TPK%RO26(:)+TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!PLOSS(ACID) = +K349*<OH>
 PLOSS(:,45) = +TPK%K349(:)*PCONC(:,15)
!
!PPROD(UR28) = +K341*<HO2>*<RO258>
 PPROD(:,46) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!PLOSS(UR28) = +K364
 PLOSS(:,46) = +TPK%K364(:)
!
!PPROD(UR21) = +K279*<HO2>*<RO248>+0.12*K281*<O3>*<MVK>
 PPROD(:,47) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)+0.12*TPK%K281(:)*PCONC(:,3&
&)*PCONC(:,39)
!PLOSS(UR21) = +K361
 PLOSS(:,47) = +TPK%K361(:)
!
!PPROD(URG2) = +0.5562513*K335*<OH>*<RPG2>+K337*<OH>*<RP18>
 PPROD(:,48) = +0.5562513*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)+TPK%K337(:)*PCONC&
&(:,15)*PCONC(:,51)
!PLOSS(URG2) = +K350
 PLOSS(:,48) = +TPK%K350(:)
!
!PPROD(UR26) = +0.67*K326*<OH>*<RP11>
 PPROD(:,49) = +0.67*TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!PLOSS(UR26) = +K363
 PLOSS(:,49) = +TPK%K363(:)
!
!PPROD(RPG2) = +0.3000000*K259*<NO>*<RO237>+1.0000000*K260*<RO2T>*<RO237>+0.300
!0000*K261*<HO2>*<RO237>+0.1191897*K334*<OH>*<RPG3>+0.8808107*K334*<OH>*<RPG3>
 PPROD(:,50) = +0.3000000*TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)+1.0000000*TPK%K26&
&0(:)*PCONC(:,85)*TPK%RO237(:)+0.3000000*TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+0&
&.1191897*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)+0.8808107*TPK%K334(:)*PCONC(:,15)&
&*PCONC(:,52)
!PLOSS(RPG2) = +K335*<OH>
 PLOSS(:,50) = +TPK%K335(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB4
!
SUBROUTINE SUB5
!
!Indices 51 a 60
!
!
!PPROD(RP18) = +0.4437492*K335*<OH>*<RPG2>
 PPROD(:,51) = +0.4437492*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!PLOSS(RP18) = +K337*<OH>
 PLOSS(:,51) = +TPK%K337(:)*PCONC(:,15)
!
!PPROD(RPG3) = +0.3000000*K231*<NO>*<RO233>+1.0000000*K232*<RO2T>*<RO233>+0.300
!0000*K233*<HO2>*<RO233>+0.3000000*K252*<NO>*<RO236>+1.0000000*K253*<RO2T>*<RO2
!36>+0.3000000*K254*<HO2>*<RO236>
 PPROD(:,52) = +0.3000000*TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)+1.0000000*TPK%K23&
&2(:)*PCONC(:,85)*TPK%RO233(:)+0.3000000*TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)+0&
&.3000000*TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)+1.0000000*TPK%K253(:)*PCONC(:,85)&
&*TPK%RO236(:)+0.3000000*TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!PLOSS(RPG3) = +K334*<OH>
 PLOSS(:,52) = +TPK%K334(:)*PCONC(:,15)
!
!PPROD(URG4) = +5.5000000E-02*K086*<O3>*<BIOL>+1.0000000*K318*<HO2>*<RO256>+1.0
!000000*K332*<HO2>*<RO257>
 PPROD(:,53) = +5.5000000E-02*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+1.0000000*TPK%&
&K318(:)*PCONC(:,10)*TPK%RO256(:)+1.0000000*TPK%K332(:)*PCONC(:,10)*TPK%RO257(:&
&)
!PLOSS(URG4) = +K351
 PLOSS(:,53) = +TPK%K351(:)
!
!PPROD(UR8) = +0.055*K090*<O3>*<BIOH>
 PPROD(:,54) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!PLOSS(UR8) = +K358
 PLOSS(:,54) = +TPK%K358(:)
!
!PPROD(UR17) = +1.0000000*K204*<NO>*<RO226>+1.0000000*K205*<RO2T>*<RO226>+1.000
!0000*K206*<HO2>*<RO226>
 PPROD(:,55) = +1.0000000*TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)+1.0000000*TPK%K20&
&5(:)*PCONC(:,85)*TPK%RO226(:)+1.0000000*TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!PLOSS(UR17) = +K359
 PLOSS(:,55) = +TPK%K359(:)
!
!PPROD(UR7) = +0.055*K090*<O3>*<BIOH>+TPK%CFA12*K207*<NO>*<RO227>+K208*<RO2T>*<
!RO227>+0.3*K209*<HO2>*<RO227>+0.3*K210*<NO>*<RO228>+0.3*K211*<RO2T>*<RO228>+0.
!3*K212*<HO2>*<RO228>
 PPROD(:,56) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)+TPK%CFA12*TPK%K207(:)*&
&PCONC(:,1)*TPK%RO227(:)+TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)+0.3*TPK%K209(:)*P&
&CONC(:,10)*TPK%RO227(:)+0.3*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)+0.3*TPK%K211(:&
&)*PCONC(:,85)*TPK%RO228(:)+0.3*TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!PLOSS(UR7) = +K357
 PLOSS(:,56) = +TPK%K357(:)
!
!PPROD(RPR3) = +0.055*K086*<O3>*<BIOL>+TPK%CFA10*K198*<NO>*<RO224>+K199*<RO2T>*
!<RO224>+K200*<HO2>*<RO224>+K201*<NO>*<RO225>+K202*<RO2T>*<RO225>+K203*<HO2>*<R
!O225>
 PPROD(:,57) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+TPK%CFA10*TPK%K198(:)*&
&PCONC(:,1)*TPK%RO224(:)+TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)+TPK%K200(:)*PCONC&
&(:,10)*TPK%RO224(:)+TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)+TPK%K202(:)*PCONC(:,85&
&)*TPK%RO225(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!PLOSS(RPR3) = +K312*<OH>+K313*<NO3>+K314
 PLOSS(:,57) = +TPK%K312(:)*PCONC(:,15)+TPK%K313(:)*PCONC(:,8)+TPK%K314(:)
!
!PPROD(URG6) = +TPK%CF21*K177*<NO>*<RO217>+TPK%CF43*K195*<NO>*<RO223>+0.4978440
!*K323*<OH>*<RPG7>
 PPROD(:,58) = +TPK%CF21*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)+TPK%CF43*TPK%K195(&
&:)*PCONC(:,1)*TPK%RO223(:)+0.4978440*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!PLOSS(URG6) = +K352
 PLOSS(:,58) = +TPK%K352(:)
!
!PPROD(UR22) = +K321*<NO2>*<RAD8>
 PPROD(:,59) = +TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!PLOSS(UR22) = +K362
 PLOSS(:,59) = +TPK%K362(:)
!
!PPROD(URG7) = +0.1599999*K083*<OH>*<ARAC>+0.9999993*K108*<NO2>*<RAD6>+0.999999
!3*K303*<OH>*<RPR5>+0.9979297*K306*<OH>*<RPRL>+0.9999993*K322*<OH>*<RPR7>
 PPROD(:,60) = +0.1599999*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+0.9999993*TPK%K10&
&8(:)*PCONC(:,2)*TPK%RAD6(:)+0.9999993*TPK%K303(:)*PCONC(:,15)*PCONC(:,70)+0.99&
&79297*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)+0.9999993*TPK%K322(:)*PCONC(:,15)*PC&
&ONC(:,62)
!PLOSS(URG7) = +K353
 PLOSS(:,60) = +TPK%K353(:)
!
RETURN
END SUBROUTINE SUB5
!
SUBROUTINE SUB6
!
!Indices 61 a 70
!
!
!PPROD(RPR4) = +K103*<NO2>*<RAD1>+K104*<NO2>*<RAD2>
 PPROD(:,61) = +TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)+TPK%K104(:)*PCONC(:,2)*TPK%R&
&AD2(:)
!PLOSS(RPR4) = +K320*<NO3>
 PLOSS(:,61) = +TPK%K320(:)*PCONC(:,8)
!
!PPROD(RPR7) = +TPK%CF44*K195*<NO>*<RO223>+K196*<RO2T>*<RO223>+K197*<HO2>*<RO22
!3>+2.0714202E-03*K306*<OH>*<RPRL>
 PPROD(:,62) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%K196(:)*PCONC(&
&:,85)*TPK%RO223(:)+TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)+2.0714202E-03*TPK%K306&
&(:)*PCONC(:,15)*PCONC(:,75)
!PLOSS(RPR7) = +K322*<OH>
 PLOSS(:,62) = +TPK%K322(:)*PCONC(:,15)
!
!PPROD(RPG7) = +1.0000013*K266*<NO>*<RO238>+1.0000013*K267*<RO2T>*<RO238>+1.000
!0013*K268*<HO2>*<RO238>+0.5021558*K323*<OH>*<RPG7>
 PPROD(:,63) = +1.0000013*TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+1.0000013*TPK%K26&
&7(:)*PCONC(:,85)*TPK%RO238(:)+1.0000013*TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)+0&
&.5021558*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!PLOSS(RPG7) = +K323*<OH>
 PLOSS(:,63) = +TPK%K323(:)*PCONC(:,15)
!
!PPROD(URG8) = +0.1600000*K092*<OH>*<PAH>+1.0000000*K109*<NO2>*<RAD7>+TPK%CF31*
!K221*<NO>*<RO231>
 PPROD(:,64) = +0.1600000*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+1.0000000*TPK%K10&
&9(:)*PCONC(:,2)*TPK%RAD7(:)+TPK%CF31*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!PLOSS(URG8) = +K354
 PLOSS(:,64) = +TPK%K354(:)
!
!PPROD(UR19) = +TPK%CF32*K221*<NO>*<RO231>+K222*<RO2T>*<RO231>+K223*<HO2>*<RO23
!1>
 PPROD(:,65) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%K222(:)*PCONC(&
&:,85)*TPK%RO231(:)+TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!PLOSS(UR19) = +K360
 PLOSS(:,65) = +TPK%K360(:)
!
!PPROD(URG9) = +TPK%CFA14*K224*<NO>*<RO232>+TPK%CFA16*K227*<NO>*<RO241>+TPK%CFA
!15*K227*<NO>*<RO241>+0.9999996*K228*<RO2T>*<RO241>+0.9999996*K229*<HO2>*<RO241
!>
 PPROD(:,66) = +TPK%CFA14*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)+TPK%CFA16*TPK%K22&
&7(:)*PCONC(:,1)*TPK%RO241(:)+TPK%CFA15*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+0.9&
&999996*TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)+0.9999996*TPK%K229(:)*PCONC(:,10)*&
&TPK%RO241(:)
!PLOSS(URG9) = +K355
 PLOSS(:,66) = +TPK%K355(:)
!
!PPROD(AP7) = +TPK%CFA23*K198*<NO>*<RO224>
 PPROD(:,67) = +TPK%CFA23*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!PLOSS(AP7) = +K365
 PLOSS(:,67) = +TPK%K365(:)
!
!PPROD(URG10) = +0.2500000*K087*<O>*<BIOL>+0.7500000*K087*<O>*<BIOL>+TPK%CF27*K
!207*<NO>*<RO227>
 PPROD(:,68) = +0.2500000*TPK%K087(:)*TPK%O(:)*PCONC(:,36)+0.7500000*TPK%K087(:&
&)*TPK%O(:)*PCONC(:,36)+TPK%CF27*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!PLOSS(URG10) = +K356
 PLOSS(:,68) = +TPK%K356(:)
!
!PPROD(RPR1) = +0.5*K076*<O3>*<OLEH>+0.4*K077*<O>*<OLEH>+K183*<NO>*<RO219>+K184
!*<RO2T>*<RO219>+K185*<HO2>*<RO219>
 PPROD(:,69) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.4*TPK%K077(:)*TPK%O(:)&
&*PCONC(:,18)+TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%R&
&O219(:)+TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!PLOSS(RPR1) = +K304*<OH>+K307*<NO3>+K308
 PLOSS(:,69) = +TPK%K304(:)*PCONC(:,15)+TPK%K307(:)*PCONC(:,8)+TPK%K308(:)
!
!PPROD(RPR5) = +K107*<NO2>*<RAD5>
 PPROD(:,70) = +TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!PLOSS(RPR5) = +K303*<OH>
 PLOSS(:,70) = +TPK%K303(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB6
!
SUBROUTINE SUB7
!
!Indices 71 a 80
!
!
!PPROD(RPR8) = +K216*<NO>*<RO240>+K217*<RO2T>*<RO240>+K218*<HO2>*<RO240>
 PPROD(:,71) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)+TPK%K217(:)*PCONC(:,85)*TPK&
&%RO240(:)+TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!PLOSS(RPR8) = +K324*<OH>+K327*<NO3>+K329+K330
 PLOSS(:,71) = +TPK%K324(:)*PCONC(:,15)+TPK%K327(:)*PCONC(:,8)+TPK%K329(:)+TPK%&
&K330(:)
!
!PPROD(RP10) = +K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*<HO2>*<RO242>+K241*<
!NO>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K248*<NO>*<RO244>+K249*<RO2
!T>*<RO244>+K250*<HO2>*<RO244>+K255*<NO>*<RO245>+K256*<RO2T>*<RO245>+K257*<HO2>
!*<RO245>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246>
 PPROD(:,72) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCONC(:,85)*TPK&
&%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO24&
&3(:)+TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)&
&+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%&
&K250(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K256(&
&:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)+TPK%K262(:)*P&
&CONC(:,1)*TPK%RO246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(&
&:,10)*TPK%RO246(:)
!PLOSS(RP10) = +K325*<OH>+K328
 PLOSS(:,72) = +TPK%K325(:)*PCONC(:,15)+TPK%K328(:)
!
!PPROD(RP11) = +0.3*K238*<NO>*<RO234>+K239*<RO2T>*<RO234>+0.3*K240*<HO2>*<RO234
!>+0.5*K245*<NO>*<RO235>+K246*<RO2T>*<RO235>+K247*<HO2>*<RO235>
 PPROD(:,73) = +0.3*TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)&
&*TPK%RO234(:)+0.3*TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)+0.5*TPK%K245(:)*PCONC(:&
&,1)*TPK%RO235(:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+TPK%K247(:)*PCONC(:,10)*&
&TPK%RO235(:)
!PLOSS(RP11) = +K326*<OH>
 PLOSS(:,73) = +TPK%K326(:)*PCONC(:,15)
!
!PPROD(RP16) = +K301*<HO2>*<RO254>
 PPROD(:,74) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!PLOSS(RP16) = +K305*<OH>+K338*<NO3>+K339
 PLOSS(:,74) = +TPK%K305(:)*PCONC(:,15)+TPK%K338(:)*PCONC(:,8)+TPK%K339(:)
!
!PPROD(RPRL) = +0.9983609*K082*<OH>*<ARAL>+TPK%CFA2*K177*<NO>*<RO217>+0.9983609
!*K178*<RO2T>*<RO217>+0.9983609*K179*<HO2>*<RO217>+TPK%CFA7*K192*<NO>*<RO222>+0
!.9983609*K193*<RO2T>*<RO222>+0.9983609*K194*<HO2>*<RO222>+1.0023998*K269*<NO>*
!<RO247>+1.0023998*K270*<RO2T>*<RO247>+1.0023998*K271*<HO2>*<RO247>
 PPROD(:,75) = +0.9983609*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)+TPK%CFA2*TPK%K177&
&(:)*PCONC(:,1)*TPK%RO217(:)+0.9983609*TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)+0.9&
&983609*TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)+TPK%CFA7*TPK%K192(:)*PCONC(:,1)*TP&
&K%RO222(:)+0.9983609*TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)+0.9983609*TPK%K194(:&
&)*PCONC(:,10)*TPK%RO222(:)+1.0023998*TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+1.002&
&3998*TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)+1.0023998*TPK%K271(:)*PCONC(:,10)*TP&
&K%RO247(:)
!PLOSS(RPRL) = +K306*<OH>
 PLOSS(:,75) = +TPK%K306(:)*PCONC(:,15)
!
!PPROD(APAN) = +K130*<NO2>*<RO250>+K133*<NO2>*<RO257>
 PPROD(:,76) = +TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)+TPK%K133(:)*PCONC(:,2)*TPK%&
&RO257(:)
!PLOSS(APAN) = +K139
 PLOSS(:,76) = +TPK%K139(:)
!
!PPROD(PAN1) = +K126*<NO2>*<RO26>
 PPROD(:,77) = +TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!PLOSS(PAN1) = +K135
 PLOSS(:,77) = +TPK%K135(:)
!
!PPROD(PAN2) = +K127*<NO2>*<RO28>
 PPROD(:,78) = +TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!PLOSS(PAN2) = +K136
 PLOSS(:,78) = +TPK%K136(:)
!
!PPROD(PAN3) = +K128*<NO2>*<RO239>
 PPROD(:,79) = +TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!PLOSS(PAN3) = +K137
 PLOSS(:,79) = +TPK%K137(:)
!
!PPROD(PAN4) = +K129*<NO2>*<RO248>
 PPROD(:,80) = +TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!PLOSS(PAN4) = +K141
 PLOSS(:,80) = +TPK%K141(:)
!
RETURN
END SUBROUTINE SUB7
!
SUBROUTINE SUB8
!
!Indices 81 a 87
!
!
!PPROD(PAN6) = +K131*<NO2>*<RO254>
 PPROD(:,81) = +TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!PLOSS(PAN6) = +K140
 PLOSS(:,81) = +TPK%K140(:)
!
!PPROD(PAN7) = +K132*<NO2>*<RO255>
 PPROD(:,82) = +TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!PLOSS(PAN7) = +K343
 PLOSS(:,82) = +TPK%K343(:)
!
!PPROD(PAN8) = +K316*<NO2>*<RO256>
 PPROD(:,83) = +TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!PLOSS(PAN8) = +K317
 PLOSS(:,83) = +TPK%K317(:)
!
!PPROD(PN10) = +K134*<NO2>*<RO258>
 PPROD(:,84) = +TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!PLOSS(PN10) = +K138
 PLOSS(:,84) = +TPK%K138(:)
!
!PPROD(RO2T) = +K043*<OH>*<CH4>+K049*<OH>*<ETHE>+K050*<NO3>*<ETHE>+K052*<O>*<ET
!HE>+TPK%CF2*K053*<OH>*<ETOH>+K054*<OH>*<OLEL>+K055*<NO3>*<OLEL>+0.28*K056*<O3>
!*<OLEL>+0.2*K057*<O>*<OLEL>+K058*<OH>*<ALKL>+K059*<ALD2>+K060*<OH>*<ALD2>+K061
!*<NO3>*<ALD2>+K062*<OH>*<KETL>+2.*K063*<KETL>+K064*<OH>*<ISOP>+K065*<NO3>*<ISO
!P>+0.366*K066*<O3>*<ISOP>+K068*<OH>*<MTBE>+K069*<OH>*<ALCH>+K070*<OH>*<KETH>+2
!.*K071*<KETH>+0.1*K073*<OH>*<AROO>+K074*<OH>*<OLEH>+K075*<NO3>*<OLEH>+0.28*K07
!6*<O3>*<OLEH>+0.2*K077*<O>*<OLEH>+K078*<OH>*<ALKM>+0.06*K079*<OH>*<AROL>+TPK%C
!F45*K082*<OH>*<ARAL>+0.1*K083*<OH>*<ARAC>+K084*<OH>*<BIOL>+K085*<NO3>*<BIOL>+0
!.445*K086*<O3>*<BIOL>+K088*<OH>*<BIOH>+K089*<NO3>*<BIOH>+0.89*K090*<O3>*<BIOH>
!+0.1*K092*<OH>*<PAH>+K093*<OH>*<ALKH>+K096*<RO2T>*<RO2T>+K097*<RAD2>+K098*<RAD
!3>+K099*<RAD4>+K100*<RAD5>+K101*<RAD6>+K102*<RAD7>+K111*<RO2T>*<RO21>+K114*<RO
!2T>*<RO22>+K117*<RO2T>*<RO23>+K120*<RO2T>*<RO24>+K123*<RO2T>*<RO25>+K125*<NO>*
!<RO26>+K135*<PAN1>+K136*<PAN2>+K137*<PAN3>+K138*<PN10>+1.0000000*K139*<APAN>+K
!140*<PAN6>+K141*<PAN4>+2.*K143*<RO2T>*<RO26>+K144*<NO>*<RO27>+2.*K145*<RO2T>*<
!RO27>+K146*<HO2>*<RO27>+K147*<NO>*<RO28>+2.*K149*<RO2T>*<RO28>+K151*<RO2T>*<RO
!29>+K154*<RO2T>*<RO210>+K157*<RO2T>*<RO211>+K160*<RO2T>*<RO212>+K162*<NO>*<RO2
!13>+2.*K163*<RO2T>*<RO213>+K164*<HO2>*<RO213>+K165*<NO>*<RO239>+2.*K167*<RO2T>
!*<RO239>+TPK%CF8*K168*<NO>*<RO214>+2.*K169*<RO2T>*<RO214>+K170*<HO2>*<RO214>+K
!172*<RO2T>*<RO215>+K174*<NO>*<RO216>+2.*K175*<RO2T>*<RO216>+K176*<HO2>*<RO216>
!+K178*<RO2T>*<RO217>+K181*<RO2T>*<RO218>+K184*<RO2T>*<RO219>+TPK%CF18*K186*<NO
!>*<RO220>+2.*K187*<RO2T>*<RO220>+K188*<HO2>*<RO220>+K190*<RO2T>*<RO221>+K193*<
!RO2T>*<RO222>+K196*<RO2T>*<RO223>+K199*<RO2T>*<RO224>+K202*<RO2T>*<RO225>+K204
!*<NO>*<RO226>+2.*K205*<RO2T>*<RO226>+K206*<HO2>*<RO226>+K208*<RO2T>*<RO227>+K2
!11*<RO2T>*<RO228>+TPK%CF30*K213*<NO>*<RO229>+2.*K214*<RO2T>*<RO229>+K215*<HO2>
!*<RO229>+K216*<NO>*<RO240>+2.*K217*<RO2T>*<RO240>+K218*<HO2>*<RO240>+2.*K219*<
!RO2T>*<RO230>+K220*<HO2>*<RO230>+K222*<RO2T>*<RO231>+TPK%CF34*K224*<NO>*<RO232
!>+2.*K225*<RO2T>*<RO232>+K226*<HO2>*<RO232>+K228*<RO2T>*<RO241>+K230*<RO233>+K
!232*<RO2T>*<RO233>+K235*<RO2T>*<RO242>+K237*<RO234>+K239*<RO2T>*<RO234>+K242*<
!RO2T>*<RO243>+K244*<RO235>+K246*<RO2T>*<RO235>+K249*<RO2T>*<RO244>+K251*<RO236
!>+K253*<RO2T>*<RO236>+K256*<RO2T>*<RO245>+K258*<RO237>+K260*<RO2T>*<RO237>+K26
!3*<RO2T>*<RO246>+K265*<RO238>+K267*<RO2T>*<RO238>+K270*<RO2T>*<RO247>+K272*<OH
!>*<MVK>+K273*<OH>*<MCR>+K274*<OH>*<MGLY>+K275*<NO3>*<MCR>+K276*<MGLY>+K277*<NO
!>*<RO248>+K278*<NO3>*<MGLY>+2.*K280*<RO2T>*<RO248>+0.28*K281*<O3>*<MVK>+0.41*K
!282*<O3>*<MCR>+0.3*K283*<O>*<MVK>+0.15*K284*<O>*<MCR>+K286*<RO2T>*<RO249>+K288
!*<NO>*<RO250>+2.*K290*<RO2T>*<RO250>+K292*<HO2>*<RO251>+K295*<HO2>*<RO252>+K29
!7*<NO>*<RO253>+2.*K298*<HO2>*<RO253>+K299*<RO2T>*<RO253>+K302*<RO2T>*<RO254>+K
!304*<OH>*<RPR1>+K305*<OH>*<RP16>+K307*<NO3>*<RPR1>+K308*<RPR1>+K309*<NO>*<RO25
!5>+2.*K311*<RO2T>*<RO255>+K312*<OH>*<RPR3>+K313*<NO3>*<RPR3>+K317*<PAN8>+K319*
!<RO2T>*<RO256>+K324*<OH>*<RPR8>+K327*<NO3>*<RPR8>+K329*<RPR8>+K330*<RPR8>+K331
!*<NO>*<RO257>+2.*K333*<RO2T>*<RO257>+K338*<NO3>*<RP16>+K342*<RO2T>*<RO258>+K34
!3*<PAN7>+K344*<NO>*<RO230>
 PPROD(:,85) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)+TPK%K049(:)*PCONC(:,15)*PCON&
&C(:,16)+TPK%K050(:)*PCONC(:,8)*PCONC(:,16)+TPK%K052(:)*TPK%O(:)*PCONC(:,16)+TP&
&K%CF2*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)+TPK%K054(:)*PCONC(:,15)*PCONC(:,17)+&
&TPK%K055(:)*PCONC(:,8)*PCONC(:,17)+0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.2&
&*TPK%K057(:)*TPK%O(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,15)*PCONC(:,19)+TPK%K059&
&(:)*PCONC(:,29)+TPK%K060(:)*PCONC(:,15)*PCONC(:,29)+TPK%K061(:)*PCONC(:,8)*PCO&
&NC(:,29)+TPK%K062(:)*PCONC(:,15)*PCONC(:,30)+2.*TPK%K063(:)*PCONC(:,30)+TPK%K0&
&64(:)*PCONC(:,15)*PCONC(:,35)+TPK%K065(:)*PCONC(:,8)*PCONC(:,35)+0.366*TPK%K06&
&6(:)*PCONC(:,3)*PCONC(:,35)+TPK%K068(:)*PCONC(:,15)*PCONC(:,38)+TPK%K069(:)*PC&
&ONC(:,15)*PCONC(:,34)+TPK%K070(:)*PCONC(:,15)*PCONC(:,31)+2.*TPK%K071(:)*PCONC&
&(:,31)+0.1*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)+TPK%K074(:)*PCONC(:,15)*PCONC(:&
&,18)+TPK%K075(:)*PCONC(:,8)*PCONC(:,18)+0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18&
&)+0.2*TPK%K077(:)*TPK%O(:)*PCONC(:,18)+TPK%K078(:)*PCONC(:,15)*PCONC(:,20)+0.0&
&6*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)+TPK%CF45*TPK%K082(:)*PCONC(:,15)*PCONC(:&
&,25)+0.1*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+TPK%K084(:)*PCONC(:,15)*PCONC(:,3&
&6)+TPK%K085(:)*PCONC(:,8)*PCONC(:,36)+0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)&
&+TPK%K088(:)*PCONC(:,15)*PCONC(:,37)+TPK%K089(:)*PCONC(:,8)*PCONC(:,37)+0.89*T&
&PK%K090(:)*PCONC(:,3)*PCONC(:,37)+0.1*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+TPK%&
&K093(:)*PCONC(:,15)*PCONC(:,21)+TPK%K096(:)*PCONC(:,85)*PCONC(:,85)+TPK%K097(:&
&)*TPK%RAD2(:)+TPK%K098(:)*TPK%RAD3(:)+TPK%K099(:)*TPK%RAD4(:)+TPK%K100(:)*TPK%&
&RAD5(:)+TPK%K101(:)*TPK%RAD6(:)+TPK%K102(:)*TPK%RAD7(:)+TPK%K111(:)*PCONC(:,85&
&)*PCONC(:,86)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K117(:)*PCONC(:,85)*TPK%&
&RO23(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K123(:)*PCONC(:,85)*PCONC(:,87&
&)+TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)+TPK%K135(:)*PCONC(:,77)+TPK%K136(:)*PCONC&
&(:,78)+TPK%K137(:)*PCONC(:,79)+TPK%K138(:)*PCONC(:,84)+1.0000000*TPK%K139(:)*P&
&CONC(:,76)+TPK%K140(:)*PCONC(:,81)+TPK%K141(:)*PCONC(:,80)+2.*TPK%K143(:)*PCON&
&C(:,85)*TPK%RO26(:)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+2.*TPK%K145(:)*PCONC(:,&
&85)*TPK%RO27(:)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)+TPK%K147(:)*PCONC(:,1)*TPK&
&%RO28(:)+2.*TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO&
&29(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K157(:)*PCONC(:,85)*TPK%RO211(:&
&)+TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)+2.*&
&TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)+TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)+TPK%&
&K165(:)*PCONC(:,1)*TPK%RO239(:)+2.*TPK%K167(:)*PCONC(:,85)*TPK%RO239(:)+TPK%CF&
&8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+2.*TPK%K169(:)*PCONC(:,85)*TPK%RO214(:)+&
&TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)+TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%&
&K174(:)*PCONC(:,1)*TPK%RO216(:)+2.*TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)+TPK%K1&
&76(:)*PCONC(:,10)*TPK%RO216(:)+TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)+TPK%K181(:&
&)*PCONC(:,85)*TPK%RO218(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%CF18*TPK%K&
&186(:)*PCONC(:,1)*TPK%RO220(:)+2.*TPK%K187(:)*PCONC(:,85)*TPK%RO220(:)+TPK%K18&
&8(:)*PCONC(:,10)*TPK%RO220(:)+TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)+TPK%K193(:)&
&*PCONC(:,85)*TPK%RO222(:)+TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)+TPK%K199(:)*PCO&
&NC(:,85)*TPK%RO224(:)+TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)+TPK%K204(:)*PCONC(:&
&,1)*TPK%RO226(:)+2.*TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)+TPK%K206(:)*PCONC(:,1&
&0)*TPK%RO226(:)+TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)+TPK%K211(:)*PCONC(:,85)*T&
&PK%RO228(:)+TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)+2.*TPK%K214(:)*PCONC(&
&:,85)*TPK%RO229(:)+TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)+TPK%K216(:)*PCONC(:,1)&
&*TPK%RO240(:)+2.*TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)+TPK%K218(:)*PCONC(:,10)*&
&TPK%RO240(:)+2.*TPK%K219(:)*PCONC(:,85)*TPK%RO230(:)+TPK%K220(:)*PCONC(:,10)*T&
&PK%RO230(:)+TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)+TPK%CF34*TPK%K224(:)*PCONC(:,&
&1)*TPK%RO232(:)+2.*TPK%K225(:)*PCONC(:,85)*TPK%RO232(:)+TPK%K226(:)*PCONC(:,10&
&)*TPK%RO232(:)+TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)+TPK%K230(:)*TPK%RO233(:)+T&
&PK%K232(:)*PCONC(:,85)*TPK%RO233(:)+TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)+TPK%K&
&237(:)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)+TPK%K242(:)*PCONC(:,8&
&5)*TPK%RO243(:)+TPK%K244(:)*TPK%RO235(:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+&
&TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%K251(:)*TPK%RO236(:)+TPK%K253(:)*PCON&
&C(:,85)*TPK%RO236(:)+TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)+TPK%K258(:)*TPK%RO23&
&7(:)+TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)&
&+TPK%K265(:)*TPK%RO238(:)+TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)+TPK%K270(:)*PCO&
&NC(:,85)*TPK%RO247(:)+TPK%K272(:)*PCONC(:,15)*PCONC(:,39)+TPK%K273(:)*PCONC(:,&
&15)*PCONC(:,40)+TPK%K274(:)*PCONC(:,15)*PCONC(:,41)+TPK%K275(:)*PCONC(:,8)*PCO&
&NC(:,40)+TPK%K276(:)*PCONC(:,41)+TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)+TPK%K278(&
&:)*PCONC(:,8)*PCONC(:,41)+2.*TPK%K280(:)*PCONC(:,85)*TPK%RO248(:)+0.28*TPK%K28&
&1(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)+0.3*TPK%K2&
&83(:)*TPK%O(:)*PCONC(:,39)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K286(:)*P&
&CONC(:,85)*TPK%RO249(:)+TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)+2.*TPK%K290(:)*PCO&
&NC(:,85)*TPK%RO250(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)+TPK%K295(:)*PCONC(:&
&,10)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)+2.*TPK%K298(:)*PCONC(:,1&
&0)*TPK%RO253(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)+TPK%K302(:)*PCONC(:,85)*T&
&PK%RO254(:)+TPK%K304(:)*PCONC(:,15)*PCONC(:,69)+TPK%K305(:)*PCONC(:,15)*PCONC(&
&:,74)+TPK%K307(:)*PCONC(:,8)*PCONC(:,69)+TPK%K308(:)*PCONC(:,69)+TPK%K309(:)*P&
&CONC(:,1)*TPK%RO255(:)+2.*TPK%K311(:)*PCONC(:,85)*TPK%RO255(:)+TPK%K312(:)*PCO&
&NC(:,15)*PCONC(:,57)+TPK%K313(:)*PCONC(:,8)*PCONC(:,57)+TPK%K317(:)*PCONC(:,83&
&)+TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)+TPK%K324(:)*PCONC(:,15)*PCONC(:,71)+TPK&
&%K327(:)*PCONC(:,8)*PCONC(:,71)+TPK%K329(:)*PCONC(:,71)+TPK%K330(:)*PCONC(:,71&
&)+TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)+2.*TPK%K333(:)*PCONC(:,85)*TPK%RO257(:)+&
&TPK%K338(:)*PCONC(:,8)*PCONC(:,74)+TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)+TPK%K3&
&43(:)*PCONC(:,82)+TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!PLOSS(RO2T) = +K094*<HO2>+K095*<NO>+K096*<RO2T>+K096*<RO2T>+K111*<RO21>+K114*<
!RO22>+K117*<RO23>+K120*<RO24>+K123*<RO25>+K143*<RO26>+K145*<RO27>+K149*<RO28>+
!K151*<RO29>+K154*<RO210>+K157*<RO211>+K160*<RO212>+K163*<RO213>+K167*<RO239>+K
!169*<RO214>+K172*<RO215>+K175*<RO216>+K178*<RO217>+K181*<RO218>+K184*<RO219>+K
!187*<RO220>+K190*<RO221>+K193*<RO222>+K196*<RO223>+K199*<RO224>+K202*<RO225>+K
!205*<RO226>+K208*<RO227>+K211*<RO228>+K214*<RO229>+K217*<RO240>+K219*<RO230>+K
!222*<RO231>+K225*<RO232>+K228*<RO241>+K232*<RO233>+K235*<RO242>+K239*<RO234>+K
!242*<RO243>+K246*<RO235>+K249*<RO244>+K253*<RO236>+K256*<RO245>+K260*<RO237>+K
!263*<RO246>+K267*<RO238>+K270*<RO247>+K280*<RO248>+K286*<RO249>+K290*<RO250>+K
!293*<RO251>+K296*<RO252>+K299*<RO253>+K302*<RO254>+K311*<RO255>+K319*<RO256>+K
!333*<RO257>+K342*<RO258>
 PLOSS(:,85) = +TPK%K094(:)*PCONC(:,10)+TPK%K095(:)*PCONC(:,1)+TPK%K096(:)*PCON&
&C(:,85)+TPK%K096(:)*PCONC(:,85)+TPK%K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:&
&)+TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(:)+TPK%K123(:)*PCONC(:,87)+TPK%&
&K143(:)*TPK%RO26(:)+TPK%K145(:)*TPK%RO27(:)+TPK%K149(:)*TPK%RO28(:)+TPK%K151(:&
&)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TP&
&K%RO212(:)+TPK%K163(:)*TPK%RO213(:)+TPK%K167(:)*TPK%RO239(:)+TPK%K169(:)*TPK%R&
&O214(:)+TPK%K172(:)*TPK%RO215(:)+TPK%K175(:)*TPK%RO216(:)+TPK%K178(:)*TPK%RO21&
&7(:)+TPK%K181(:)*TPK%RO218(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K187(:)*TPK%RO220(:&
&)+TPK%K190(:)*TPK%RO221(:)+TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)+T&
&PK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO225(:)+TPK%K205(:)*TPK%RO226(:)+TPK%&
&K208(:)*TPK%RO227(:)+TPK%K211(:)*TPK%RO228(:)+TPK%K214(:)*TPK%RO229(:)+TPK%K21&
&7(:)*TPK%RO240(:)+TPK%K219(:)*TPK%RO230(:)+TPK%K222(:)*TPK%RO231(:)+TPK%K225(:&
&)*TPK%RO232(:)+TPK%K228(:)*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)+TPK%K235(:)*T&
&PK%RO242(:)+TPK%K239(:)*TPK%RO234(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K246(:)*TPK%&
&RO235(:)+TPK%K249(:)*TPK%RO244(:)+TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*TPK%RO2&
&45(:)+TPK%K260(:)*TPK%RO237(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO238(&
&:)+TPK%K270(:)*TPK%RO247(:)+TPK%K280(:)*TPK%RO248(:)+TPK%K286(:)*TPK%RO249(:)+&
&TPK%K290(:)*TPK%RO250(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK&
&%K299(:)*TPK%RO253(:)+TPK%K302(:)*TPK%RO254(:)+TPK%K311(:)*TPK%RO255(:)+TPK%K3&
&19(:)*TPK%RO256(:)+TPK%K333(:)*TPK%RO257(:)+TPK%K342(:)*TPK%RO258(:)
!
!PPROD(RO21) = +K043*<OH>*<CH4>+0.6*K052*<O>*<ETHE>+K147*<NO>*<RO28>+K149*<RO2T
!>*<RO28>
 PPROD(:,86) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)+0.6*TPK%K052(:)*TPK%O(:)*PCO&
&NC(:,16)+TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)+TPK%K149(:)*PCONC(:,85)*TPK%RO28(:&
&)
!PLOSS(RO21) = +K110*<NO>+K111*<RO2T>+K112*<HO2>
 PLOSS(:,86) = +TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)
!
!PPROD(RO25) = +0.28*K056*<O3>*<OLEL>+0.1*K057*<O>*<OLEL>+K058*<OH>*<ALKL>+K059
!*<ALD2>+K063*<KETL>+K071*<KETH>+K125*<NO>*<RO26>+K143*<RO2T>*<RO26>
 PPROD(:,87) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.1*TPK%K057(:)*TPK%O(:&
&)*PCONC(:,17)+TPK%K058(:)*PCONC(:,15)*PCONC(:,19)+TPK%K059(:)*PCONC(:,29)+TPK%&
&K063(:)*PCONC(:,30)+TPK%K071(:)*PCONC(:,31)+TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)&
&+TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)
!PLOSS(RO25) = +K122*<NO>+K123*<RO2T>+K124*<HO2>
 PLOSS(:,87) = +TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124(:)*PCON&
&C(:,10)
!
RETURN
END SUBROUTINE SUB8
!
END SUBROUTINE CH_PRODLOSS_GAZ
!
!
!========================================================================
!
!!    ##########################
      MODULE MODI_CH_PRODLOSS_AQ
!!    ##########################
INTERFACE
SUBROUTINE CH_PRODLOSS_AQ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                          :: PTIME
INTEGER, INTENT(IN)                          :: KVECNPT
INTEGER, INTENT(IN)                          :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ) :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ) :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
END SUBROUTINE CH_PRODLOSS_AQ
END INTERFACE
END MODULE MODI_CH_PRODLOSS_AQ
!
!========================================================================
!
!!    ##################################################################
      SUBROUTINE CH_PRODLOSS_AQ(PTIME,PCONC,PPROD,PLOSS,KMI,KVECNPT,KEQ)
!!    ##################################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_PRODLOSS*
!!
!!    PURPOSE
!!    -------
!       calculation of production and loss terms for diagnostics
!!
!!**  METHOD
!!    ------
!!      The terms of temporal derivative of the chemical species,
!!    written as:
!!    d/dt PCONC = CH_FCN = PPROD - PCONC*PLOSS,
!!    are calculated for diagnostic purposes.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                      :: PTIME
INTEGER, INTENT(IN)                      :: KVECNPT
INTEGER, INTENT(IN)                      :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ)     :: PPROD, PLOSS
INTEGER, INTENT(IN)                          :: KMI
TYPE(CCSTYPE), POINTER         :: TPK
TPK=>TACCS(KMI)
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
CALL SUB0
CALL SUB1
CALL SUB2
CALL SUB3
CALL SUB4
CALL SUB5
CALL SUB6
CALL SUB7
CALL SUB8
CALL SUB9
CALL SUB10
CALL SUB11
CALL SUB12
CALL SUB13
CALL SUB14
CALL SUB15
CALL SUB16

CONTAINS

SUBROUTINE SUB0
!
!Indices 1 a 10
!
!
!PPROD(NO) = +K001*<NO2>+K003*<NO2>*<O>+K012*<NO3>*<NO2>+K013*<NO3>+0.9*K020*<H
!ONO>+K095*<NO>*<RO2T>+KTC34*<WC_NO>+KTR34*<WR_NO>
 PPROD(:,1) = +TPK%K001(:)*PCONC(:,2)+TPK%K003(:)*PCONC(:,2)*TPK%O(:)+TPK%K012(&
&:)*PCONC(:,8)*PCONC(:,2)+TPK%K013(:)*PCONC(:,8)+0.9*TPK%K020(:)*PCONC(:,4)+TPK&
&%K095(:)*PCONC(:,1)*PCONC(:,85)+TPK%KTC34(:)*PCONC(:,90)+TPK%KTR34(:)*PCONC(:,&
&127)
!PLOSS(NO) = +K005*<O3>+K007*<NO3>+K008*<NO>+K008*<NO>+K019*<OH>+K026*<HO2>+K03
!8*<O>+K095*<RO2T>+K110*<RO21>+K113*<RO22>+K116*<RO23>+K119*<RO24>+K122*<RO25>+
!K125*<RO26>+K144*<RO27>+K147*<RO28>+K150*<RO29>+K153*<RO210>+K156*<RO211>+K159
!*<RO212>+K162*<RO213>+K165*<RO239>+K168*<RO214>+K171*<RO215>+K174*<RO216>+K177
!*<RO217>+K180*<RO218>+K183*<RO219>+K186*<RO220>+K189*<RO221>+K192*<RO222>+K195
!*<RO223>+K198*<RO224>+K201*<RO225>+K204*<RO226>+K207*<RO227>+K210*<RO228>+K213
!*<RO229>+K216*<RO240>+K221*<RO231>+K224*<RO232>+K227*<RO241>+K231*<RO233>+K234
!*<RO242>+K238*<RO234>+K241*<RO243>+K245*<RO235>+K248*<RO244>+K252*<RO236>+K255
!*<RO245>+K259*<RO237>+K262*<RO246>+K266*<RO238>+K269*<RO247>+K277*<RO248>+K285
!*<RO249>+K288*<RO250>+K291*<RO251>+K294*<RO252>+K297*<RO253>+K300*<RO254>+K309
!*<RO255>+K315*<RO256>+K331*<RO257>+K340*<RO258>+K344*<RO230>+KTC3+KTR3
 PLOSS(:,1) = +TPK%K005(:)*PCONC(:,3)+TPK%K007(:)*PCONC(:,8)+TPK%K008(:)*PCONC(&
&:,1)+TPK%K008(:)*PCONC(:,1)+TPK%K019(:)*PCONC(:,15)+TPK%K026(:)*PCONC(:,10)+TP&
&K%K038(:)*TPK%O(:)+TPK%K095(:)*PCONC(:,85)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)&
&*TPK%RO22(:)+TPK%K116(:)*TPK%RO23(:)+TPK%K119(:)*TPK%RO24(:)+TPK%K122(:)*PCONC&
&(:,87)+TPK%K125(:)*TPK%RO26(:)+TPK%K144(:)*TPK%RO27(:)+TPK%K147(:)*TPK%RO28(:)&
&+TPK%K150(:)*TPK%RO29(:)+TPK%K153(:)*TPK%RO210(:)+TPK%K156(:)*TPK%RO211(:)+TPK&
&%K159(:)*TPK%RO212(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239(:)+TPK%K1&
&68(:)*TPK%RO214(:)+TPK%K171(:)*TPK%RO215(:)+TPK%K174(:)*TPK%RO216(:)+TPK%K177(&
&:)*TPK%RO217(:)+TPK%K180(:)*TPK%RO218(:)+TPK%K183(:)*TPK%RO219(:)+TPK%K186(:)*&
&TPK%RO220(:)+TPK%K189(:)*TPK%RO221(:)+TPK%K192(:)*TPK%RO222(:)+TPK%K195(:)*TPK&
&%RO223(:)+TPK%K198(:)*TPK%RO224(:)+TPK%K201(:)*TPK%RO225(:)+TPK%K204(:)*TPK%RO&
&226(:)+TPK%K207(:)*TPK%RO227(:)+TPK%K210(:)*TPK%RO228(:)+TPK%K213(:)*TPK%RO229&
&(:)+TPK%K216(:)*TPK%RO240(:)+TPK%K221(:)*TPK%RO231(:)+TPK%K224(:)*TPK%RO232(:)&
&+TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%RO233(:)+TPK%K234(:)*TPK%RO242(:)+TP&
&K%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K245(:)*TPK%RO235(:)+TPK%K&
&248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K259&
&(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+TPK%K266(:)*TPK%RO238(:)+TPK%K269(:)&
&*TPK%RO247(:)+TPK%K277(:)*TPK%RO248(:)+TPK%K285(:)*TPK%RO249(:)+TPK%K288(:)*TP&
&K%RO250(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO252(:)+TPK%K297(:)*TPK%R&
&O253(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K309(:)*TPK%RO255(:)+TPK%K315(:)*TPK%RO25&
&6(:)+TPK%K331(:)*TPK%RO257(:)+TPK%K340(:)*TPK%RO258(:)+TPK%K344(:)*TPK%RO230(:&
&)+TPK%KTC3(:)+TPK%KTR3(:)
!
!PPROD(NO2) = +K005*<O3>*<NO>+2.*K007*<NO3>*<NO>+2.*K008*<NO>*<NO>+K010*<N2O5>+
!K012*<NO3>*<NO2>+K014*<NO3>+0.1*K020*<HONO>+K026*<HO2>*<NO>+K028*<HNO4>+K029*<
!OH>*<HNO4>+0.8*K033*<HO2>*<NO3>+K038*<NO>*<O>+K039*<OH>*<HONO>+K040*<OH>*<NO3>
!+2.*K041*<NO3>*<NO3>+K110*<NO>*<RO21>+K113*<NO>*<RO22>+2.*K116*<NO>*<RO23>+K11
!7*<RO2T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+TPK%CF4*K122*<NO>*<RO25>+K1
!25*<NO>*<RO26>+K135*<PAN1>+K136*<PAN2>+K137*<PAN3>+K138*<PN10>+1.0000000*K139*
!<APAN>+K140*<PAN6>+K141*<PAN4>+K144*<NO>*<RO27>+K147*<NO>*<RO28>+TPK%CF6*K150*
!<NO>*<RO29>+K153*<NO>*<RO210>+2.*K156*<NO>*<RO211>+K157*<RO2T>*<RO211>+K158*<H
!O2>*<RO211>+2.*K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+K161*<HO2>*<RO212>+K162*<
!NO>*<RO213>+K165*<NO>*<RO239>+TPK%CF8*K168*<NO>*<RO214>+K171*<NO>*<RO215>+K174
!*<NO>*<RO216>+TPK%CF22*K177*<NO>*<RO217>+TPK%CF20*K180*<NO>*<RO218>+2.*K183*<N
!O>*<RO219>+K184*<RO2T>*<RO219>+K185*<HO2>*<RO219>+TPK%CF18*K186*<NO>*<RO220>+T
!PK%CF24*K189*<NO>*<RO221>+TPK%CF42*K192*<NO>*<RO222>+TPK%CF44*K195*<NO>*<RO223
!>+TPK%CF26*K198*<NO>*<RO224>+2.*K201*<NO>*<RO225>+K202*<RO2T>*<RO225>+K203*<HO
!2>*<RO225>+K204*<NO>*<RO226>+TPK%CF28*K207*<NO>*<RO227>+2.*K210*<NO>*<RO228>+K
!211*<RO2T>*<RO228>+K212*<HO2>*<RO228>+TPK%CF30*K213*<NO>*<RO229>+K216*<NO>*<RO
!240>+TPK%CF32*K221*<NO>*<RO231>+TPK%CF34*K224*<NO>*<RO232>+TPK%CF36*K227*<NO>*
!<RO241>+K231*<NO>*<RO233>+K234*<NO>*<RO242>+K238*<NO>*<RO234>+K241*<NO>*<RO243
!>+K245*<NO>*<RO235>+K248*<NO>*<RO244>+K252*<NO>*<RO236>+K255*<NO>*<RO245>+K259
!*<NO>*<RO237>+K262*<NO>*<RO246>+K266*<NO>*<RO238>+K269*<NO>*<RO247>+K277*<NO>*
!<RO248>+K285*<NO>*<RO249>+K288*<NO>*<RO250>+K291*<NO>*<RO251>+2.*K294*<NO>*<RO
!252>+K295*<HO2>*<RO252>+K296*<RO2T>*<RO252>+K297*<NO>*<RO253>+K300*<NO>*<RO254
!>+K309*<NO>*<RO255>+K315*<NO>*<RO256>+K317*<PAN8>+K331*<NO>*<RO257>+K340*<NO>*
!<RO258>+K343*<PAN7>+K344*<NO>*<RO230>+KTC35*<WC_NO2>+KTR35*<WR_NO2>
 PPROD(:,2) = +TPK%K005(:)*PCONC(:,3)*PCONC(:,1)+2.*TPK%K007(:)*PCONC(:,8)*PCON&
&C(:,1)+2.*TPK%K008(:)*PCONC(:,1)*PCONC(:,1)+TPK%K010(:)*PCONC(:,7)+TPK%K012(:)&
&*PCONC(:,8)*PCONC(:,2)+TPK%K014(:)*PCONC(:,8)+0.1*TPK%K020(:)*PCONC(:,4)+TPK%K&
&026(:)*PCONC(:,10)*PCONC(:,1)+TPK%K028(:)*PCONC(:,6)+TPK%K029(:)*PCONC(:,15)*P&
&CONC(:,6)+0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)+TPK%K038(:)*PCONC(:,1)*TPK%O(&
&:)+TPK%K039(:)*PCONC(:,15)*PCONC(:,4)+TPK%K040(:)*PCONC(:,15)*PCONC(:,8)+2.*TP&
&K%K041(:)*PCONC(:,8)*PCONC(:,8)+TPK%K110(:)*PCONC(:,1)*PCONC(:,86)+TPK%K113(:)&
&*PCONC(:,1)*TPK%RO22(:)+2.*TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)+TPK%K117(:)*PCON&
&C(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K119(:)*PCONC(:,1)&
&*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%K125(:)*PCONC(:,1)&
&*TPK%RO26(:)+TPK%K135(:)*PCONC(:,77)+TPK%K136(:)*PCONC(:,78)+TPK%K137(:)*PCONC&
&(:,79)+TPK%K138(:)*PCONC(:,84)+1.0000000*TPK%K139(:)*PCONC(:,76)+TPK%K140(:)*P&
&CONC(:,81)+TPK%K141(:)*PCONC(:,80)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+TPK%K147&
&(:)*PCONC(:,1)*TPK%RO28(:)+TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K153&
&(:)*PCONC(:,1)*TPK%RO210(:)+2.*TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)&
&*PCONC(:,85)*TPK%RO211(:)+TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)+2.*TPK%K159(:)*&
&PCONC(:,1)*TPK%RO212(:)+TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K161(:)*PCONC&
&(:,10)*TPK%RO212(:)+TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)+TPK%K165(:)*PCONC(:,1)&
&*TPK%RO239(:)+TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+TPK%K171(:)*PCONC(:,&
&1)*TPK%RO215(:)+TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)+TPK%CF22*TPK%K177(:)*PCONC&
&(:,1)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)+2.*TPK%K183(:)&
&*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%K185(:)*PCON&
&C(:,10)*TPK%RO219(:)+TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)+TPK%CF24*TPK&
&%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)+&
&TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%CF26*TPK%K198(:)*PCONC(:,1)*T&
&PK%RO224(:)+2.*TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)+TPK%K202(:)*PCONC(:,85)*TPK&
&%RO225(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)+TPK%K204(:)*PCONC(:,1)*TPK%RO22&
&6(:)+TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)+2.*TPK%K210(:)*PCONC(:,1)*TP&
&K%RO228(:)+TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)+TPK%K212(:)*PCONC(:,10)*TPK%RO&
&228(:)+TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)+TPK%K216(:)*PCONC(:,1)*TPK&
&%RO240(:)+TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%CF34*TPK%K224(:)*PC&
&ONC(:,1)*TPK%RO232(:)+TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+TPK%K231(:)&
&*PCONC(:,1)*TPK%RO233(:)+TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K238(:)*PCONC&
&(:,1)*TPK%RO234(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)+TPK%K245(:)*PCONC(:,1)*&
&TPK%RO235(:)+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K252(:)*PCONC(:,1)*TPK%RO&
&236(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)&
&+TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)+TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+TPK%K&
&269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)+TPK%K285(:)&
&*PCONC(:,1)*TPK%RO249(:)+TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)+TPK%K291(:)*PCONC&
&(:,1)*TPK%RO251(:)+2.*TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%K295(:)*PCONC(:,&
&10)*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*T&
&PK%RO253(:)+TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)+TPK%K309(:)*PCONC(:,1)*TPK%RO2&
&55(:)+TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)+TPK%K317(:)*PCONC(:,83)+TPK%K331(:)*&
&PCONC(:,1)*TPK%RO257(:)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K343(:)*PCONC(&
&:,82)+TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)+TPK%KTC35(:)*PCONC(:,91)+TPK%KTR35(:&
&)*PCONC(:,128)
!PLOSS(NO2) = +K001+K003*<O>+K004*<O>+K006*<O3>+K009*<NO3>+K012*<NO3>+K021*<H2O
!>+K022*<OH>+K027*<HO2>+K103*<RAD1>+K104*<RAD2>+K105*<RAD3>+K106*<RAD4>+K107*<R
!AD5>+K108*<RAD6>+K109*<RAD7>+K126*<RO26>+K127*<RO28>+K128*<RO239>+K129*<RO248>
!+K130*<RO250>+K131*<RO254>+K132*<RO255>+K133*<RO257>+K134*<RO258>+K316*<RO256>
!+K321*<RAD8>+KTC4+KTR4
 PLOSS(:,2) = +TPK%K001(:)+TPK%K003(:)*TPK%O(:)+TPK%K004(:)*TPK%O(:)+TPK%K006(:&
&)*PCONC(:,3)+TPK%K009(:)*PCONC(:,8)+TPK%K012(:)*PCONC(:,8)+TPK%K021(:)*TPK%H2O&
&(:)+TPK%K022(:)*PCONC(:,15)+TPK%K027(:)*PCONC(:,10)+TPK%K103(:)*TPK%RAD1(:)+TP&
&K%K104(:)*TPK%RAD2(:)+TPK%K105(:)*TPK%RAD3(:)+TPK%K106(:)*TPK%RAD4(:)+TPK%K107&
&(:)*TPK%RAD5(:)+TPK%K108(:)*TPK%RAD6(:)+TPK%K109(:)*TPK%RAD7(:)+TPK%K126(:)*TP&
&K%RO26(:)+TPK%K127(:)*TPK%RO28(:)+TPK%K128(:)*TPK%RO239(:)+TPK%K129(:)*TPK%RO2&
&48(:)+TPK%K130(:)*TPK%RO250(:)+TPK%K131(:)*TPK%RO254(:)+TPK%K132(:)*TPK%RO255(&
&:)+TPK%K133(:)*TPK%RO257(:)+TPK%K134(:)*TPK%RO258(:)+TPK%K316(:)*TPK%RO256(:)+&
&TPK%K321(:)*TPK%RAD8(:)+TPK%KTC4(:)+TPK%KTR4(:)
!
!PPROD(O3) = +K002*<O2>*<O>+K081*<NO3>*<ARAL>+TPK%CF39*K082*<OH>*<ARAL>+K142*<H
!O2>*<RO26>+K148*<HO2>*<RO28>+K166*<HO2>*<RO239>+K279*<HO2>*<RO248>+K289*<HO2>*
!<RO250>+K301*<HO2>*<RO254>+K303*<OH>*<RPR5>+1.0000011*K306*<OH>*<RPRL>+K310*<H
!O2>*<RO255>+K318*<HO2>*<RO256>+K322*<OH>*<RPR7>+1.0000005*K323*<OH>*<RPG7>+K32
!6*<OH>*<RP11>+K332*<HO2>*<RO257>+1.0000000*K334*<OH>*<RPG3>+1.0000000*K335*<OH
!>*<RPG2>+K337*<OH>*<RP18>+K341*<HO2>*<RO258>+KTC32*<WC_O3>+KTR32*<WR_O3>
 PPROD(:,3) = +TPK%K002(:)*TPK%O2(:)*TPK%O(:)+TPK%K081(:)*PCONC(:,8)*PCONC(:,25&
&)+TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)+TPK%K142(:)*PCONC(:,10)*TPK%RO2&
&6(:)+TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)+TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)+&
&TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)+TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)+TPK%&
&K301(:)*PCONC(:,10)*TPK%RO254(:)+TPK%K303(:)*PCONC(:,15)*PCONC(:,70)+1.0000011&
&*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)+TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)+TPK%&
&K318(:)*PCONC(:,10)*TPK%RO256(:)+TPK%K322(:)*PCONC(:,15)*PCONC(:,62)+1.0000005&
&*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)+TPK%K326(:)*PCONC(:,15)*PCONC(:,73)+TPK%K&
&332(:)*PCONC(:,10)*TPK%RO257(:)+1.0000000*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)+&
&1.0000000*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)+TPK%K337(:)*PCONC(:,15)*PCONC(:,&
&51)+TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)+TPK%KTC32(:)*PCONC(:,88)+TPK%KTR32(:)&
&*PCONC(:,125)
!PLOSS(O3) = +K005*<NO>+K006*<NO2>+K015+K016+K025*<OH>+K030*<HO2>+K034*<O>+K051
!*<ETHE>+K056*<OLEL>+K066*<ISOP>+K076*<OLEH>+K086*<BIOL>+K090*<BIOH>+K281*<MVK>
!+K282*<MCR>+KTC1+KTR1
 PLOSS(:,3) = +TPK%K005(:)*PCONC(:,1)+TPK%K006(:)*PCONC(:,2)+TPK%K015(:)+TPK%K0&
&16(:)+TPK%K025(:)*PCONC(:,15)+TPK%K030(:)*PCONC(:,10)+TPK%K034(:)*TPK%O(:)+TPK&
&%K051(:)*PCONC(:,16)+TPK%K056(:)*PCONC(:,17)+TPK%K066(:)*PCONC(:,35)+TPK%K076(&
&:)*PCONC(:,18)+TPK%K086(:)*PCONC(:,36)+TPK%K090(:)*PCONC(:,37)+TPK%K281(:)*PCO&
&NC(:,39)+TPK%K282(:)*PCONC(:,40)+TPK%KTC1(:)+TPK%KTR1(:)
!
!PPROD(HONO) = +K019*<OH>*<NO>+0.5*K021*<H2O>*<NO2>+KTC38*<WC_HONO>+KTR38*<WR_H
!ONO>
 PPROD(:,4) = +TPK%K019(:)*PCONC(:,15)*PCONC(:,1)+0.5*TPK%K021(:)*TPK%H2O(:)*PC&
&ONC(:,2)+TPK%KTC38(:)*PCONC(:,94)+TPK%KTR38(:)*PCONC(:,131)
!PLOSS(HONO) = +K020+K039*<OH>+KTC7+KTR7
 PLOSS(:,4) = +TPK%K020(:)+TPK%K039(:)*PCONC(:,15)+TPK%KTC7(:)+TPK%KTR7(:)
!
!PPROD(HNO3) = +2.*K011*<H2O>*<N2O5>+0.5*K021*<H2O>*<NO2>+K022*<OH>*<NO2>+0.2*K
!033*<HO2>*<NO3>+K047*<NO3>*<HCHO>+K061*<NO3>*<ALD2>+K072*<NO3>*<AROO>+K081*<NO
!3>*<ARAL>+TPK%CF46*K275*<NO3>*<MCR>+K278*<NO3>*<MGLY>+K307*<NO3>*<RPR1>+K313*<
!NO3>*<RPR3>+K320*<NO3>*<RPR4>+K327*<NO3>*<RPR8>+K338*<NO3>*<RP16>+KTC39*<WC_HN
!O3>+KTR39*<WR_HNO3>
 PPROD(:,5) = +2.*TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)+0.5*TPK%K021(:)*TPK%H2O(:)*&
&PCONC(:,2)+TPK%K022(:)*PCONC(:,15)*PCONC(:,2)+0.2*TPK%K033(:)*PCONC(:,10)*PCON&
&C(:,8)+TPK%K047(:)*PCONC(:,8)*PCONC(:,28)+TPK%K061(:)*PCONC(:,8)*PCONC(:,29)+T&
&PK%K072(:)*PCONC(:,8)*PCONC(:,24)+TPK%K081(:)*PCONC(:,8)*PCONC(:,25)+TPK%CF46*&
&TPK%K275(:)*PCONC(:,8)*PCONC(:,40)+TPK%K278(:)*PCONC(:,8)*PCONC(:,41)+TPK%K307&
&(:)*PCONC(:,8)*PCONC(:,69)+TPK%K313(:)*PCONC(:,8)*PCONC(:,57)+TPK%K320(:)*PCON&
&C(:,8)*PCONC(:,61)+TPK%K327(:)*PCONC(:,8)*PCONC(:,71)+TPK%K338(:)*PCONC(:,8)*P&
&CONC(:,74)+TPK%KTC39(:)*PCONC(:,95)+TPK%KTR39(:)*PCONC(:,132)
!PLOSS(HNO3) = +K023*<OH>+KTC8+KTR8
 PLOSS(:,5) = +TPK%K023(:)*PCONC(:,15)+TPK%KTC8(:)+TPK%KTR8(:)
!
!PPROD(HNO4) = +K027*<HO2>*<NO2>+KTC40*<WC_HNO4>+KTR40*<WR_HNO4>
 PPROD(:,6) = +TPK%K027(:)*PCONC(:,10)*PCONC(:,2)+TPK%KTC40(:)*PCONC(:,96)+TPK%&
&KTR40(:)*PCONC(:,133)
!PLOSS(HNO4) = +K028+K029*<OH>+KTC9+KTR9
 PLOSS(:,6) = +TPK%K028(:)+TPK%K029(:)*PCONC(:,15)+TPK%KTC9(:)+TPK%KTR9(:)
!
!PPROD(N2O5) = +K009*<NO3>*<NO2>+KTC37*<WC_N2O5>+KTR37*<WR_N2O5>
 PPROD(:,7) = +TPK%K009(:)*PCONC(:,8)*PCONC(:,2)+TPK%KTC37(:)*PCONC(:,93)+TPK%K&
&TR37(:)*PCONC(:,130)
!PLOSS(N2O5) = +K010+K011*<H2O>+KTC6+KTR6
 PLOSS(:,7) = +TPK%K010(:)+TPK%K011(:)*TPK%H2O(:)+TPK%KTC6(:)+TPK%KTR6(:)
!
!PPROD(NO3) = +K004*<NO2>*<O>+K006*<O3>*<NO2>+K010*<N2O5>+K023*<OH>*<HNO3>+KTC3
!6*<WC_NO3>+KTR36*<WR_NO3>
 PPROD(:,8) = +TPK%K004(:)*PCONC(:,2)*TPK%O(:)+TPK%K006(:)*PCONC(:,3)*PCONC(:,2&
&)+TPK%K010(:)*PCONC(:,7)+TPK%K023(:)*PCONC(:,15)*PCONC(:,5)+TPK%KTC36(:)*PCONC&
&(:,92)+TPK%KTR36(:)*PCONC(:,129)
!PLOSS(NO3) = +K007*<NO>+K009*<NO2>+K012*<NO2>+K013+K014+K033*<HO2>+K040*<OH>+K
!041*<NO3>+K041*<NO3>+K047*<HCHO>+K050*<ETHE>+K055*<OLEL>+K061*<ALD2>+K065*<ISO
!P>+K072*<AROO>+K075*<OLEH>+K081*<ARAL>+K085*<BIOL>+K089*<BIOH>+K275*<MCR>+K278
!*<MGLY>+K307*<RPR1>+K313*<RPR3>+K320*<RPR4>+K327*<RPR8>+K338*<RP16>+KTC5+KTR5
 PLOSS(:,8) = +TPK%K007(:)*PCONC(:,1)+TPK%K009(:)*PCONC(:,2)+TPK%K012(:)*PCONC(&
&:,2)+TPK%K013(:)+TPK%K014(:)+TPK%K033(:)*PCONC(:,10)+TPK%K040(:)*PCONC(:,15)+T&
&PK%K041(:)*PCONC(:,8)+TPK%K041(:)*PCONC(:,8)+TPK%K047(:)*PCONC(:,28)+TPK%K050(&
&:)*PCONC(:,16)+TPK%K055(:)*PCONC(:,17)+TPK%K061(:)*PCONC(:,29)+TPK%K065(:)*PCO&
&NC(:,35)+TPK%K072(:)*PCONC(:,24)+TPK%K075(:)*PCONC(:,18)+TPK%K081(:)*PCONC(:,2&
&5)+TPK%K085(:)*PCONC(:,36)+TPK%K089(:)*PCONC(:,37)+TPK%K275(:)*PCONC(:,40)+TPK&
&%K278(:)*PCONC(:,41)+TPK%K307(:)*PCONC(:,69)+TPK%K313(:)*PCONC(:,57)+TPK%K320(&
&:)*PCONC(:,61)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:)*PCONC(:,74)+TPK%KTC5(:)+TPK&
&%KTR5(:)
!
!PPROD(NH3) = +KTC41*<WC_NH3>+KTR41*<WR_NH3>
 PPROD(:,9) = +TPK%KTC41(:)*PCONC(:,97)+TPK%KTR41(:)*PCONC(:,134)
!PLOSS(NH3) = +K345*<OH>+KTC10+KTR10
 PLOSS(:,9) = +TPK%K345(:)*PCONC(:,15)+TPK%KTC10(:)+TPK%KTR10(:)
!
!PPROD(HO2) = +0.1*K020*<HONO>+K024*<OH>*<CO>+K025*<OH>*<O3>+K028*<HNO4>+K035*<
!OH>*<SO2>+K037*<OH>*<H2O2>+K040*<OH>*<NO3>+2.0*K044*<HCHO>+K046*<OH>*<HCHO>+K0
!47*<NO3>*<HCHO>+K048*<OH>*<MEOH>+0.06*K051*<O3>*<ETHE>+K052*<O>*<ETHE>+TPK%CF1
!*K053*<OH>*<ETOH>+0.28*K056*<O3>*<OLEL>+K059*<ALD2>+0.366*K066*<O3>*<ISOP>+0.1
!6*K073*<OH>*<AROO>+0.28*K076*<O3>*<OLEH>+0.16*K079*<OH>*<AROL>+0.16*K080*<OH>*
!<AROH>+TPK%CF48*K082*<OH>*<ARAL>+0.16*K083*<OH>*<ARAC>+0.445*K086*<O3>*<BIOL>+
!0.16*K092*<OH>*<PAH>+K094*<HO2>*<RO2T>+K110*<NO>*<RO21>+K111*<RO2T>*<RO21>+K11
!2*<HO2>*<RO21>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>+K117*<RO2
!T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24>+K121*<HO2>*<RO
!24>+TPK%CF4*K122*<NO>*<RO25>+K123*<RO2T>*<RO25>+K124*<HO2>*<RO25>+TPK%CF6*K150
!*<NO>*<RO29>+K151*<RO2T>*<RO29>+K152*<HO2>*<RO29>+K153*<NO>*<RO210>+K154*<RO2T
!>*<RO210>+K155*<HO2>*<RO210>+K171*<NO>*<RO215>+K172*<RO2T>*<RO215>+K173*<HO2>*
!<RO215>+TPK%CF22*K177*<NO>*<RO217>+K178*<RO2T>*<RO217>+K179*<HO2>*<RO217>+TPK%
!CF20*K180*<NO>*<RO218>+K181*<RO2T>*<RO218>+K182*<HO2>*<RO218>+TPK%CF24*K189*<N
!O>*<RO221>+K190*<RO2T>*<RO221>+K191*<HO2>*<RO221>+TPK%CF42*K192*<NO>*<RO222>+K
!193*<RO2T>*<RO222>+K194*<HO2>*<RO222>+TPK%CF44*K195*<NO>*<RO223>+K196*<RO2T>*<
!RO223>+K197*<HO2>*<RO223>+TPK%CF26*K198*<NO>*<RO224>+K199*<RO2T>*<RO224>+K200*
!<HO2>*<RO224>+TPK%CF28*K207*<NO>*<RO227>+K208*<RO2T>*<RO227>+K209*<HO2>*<RO227
!>+TPK%CF32*K221*<NO>*<RO231>+K222*<RO2T>*<RO231>+K223*<HO2>*<RO231>+TPK%CF36*K
!227*<NO>*<RO241>+K228*<RO2T>*<RO241>+K229*<HO2>*<RO241>+K231*<NO>*<RO233>+K232
!*<RO2T>*<RO233>+K233*<HO2>*<RO233>+K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*
!<HO2>*<RO242>+K238*<NO>*<RO234>+K239*<RO2T>*<RO234>+K240*<HO2>*<RO234>+K241*<N
!O>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K245*<NO>*<RO235>+K246*<RO2T
!>*<RO235>+K247*<HO2>*<RO235>+K248*<NO>*<RO244>+K249*<RO2T>*<RO244>+K250*<HO2>*
!<RO244>+K252*<NO>*<RO236>+K253*<RO2T>*<RO236>+K254*<HO2>*<RO236>+K255*<NO>*<RO
!245>+K256*<RO2T>*<RO245>+K257*<HO2>*<RO245>+K259*<NO>*<RO237>+K260*<RO2T>*<RO2
!37>+K261*<HO2>*<RO237>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246
!>+K266*<NO>*<RO238>+K267*<RO2T>*<RO238>+K268*<HO2>*<RO238>+K269*<NO>*<RO247>+K
!270*<RO2T>*<RO247>+K271*<HO2>*<RO247>+K276*<MGLY>+0.28*K281*<O3>*<MVK>+0.41*K2
!82*<O3>*<MCR>+0.15*K284*<O>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<
!HO2>*<RO249>+K291*<NO>*<RO251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K300*<NO
!>*<RO254>+K302*<RO2T>*<RO254>+K308*<RPR1>+2.*K314*<RPR3>+K315*<NO>*<RO256>+K31
!9*<RO2T>*<RO256>+K325*<OH>*<RP10>+K329*<RPR8>+K330*<RPR8>+K339*<RP16>+K347*<OH
!>*<ORA1>+KTC43*<WC_HO2>+KTR43*<WR_HO2>
 PPROD(:,10) = +0.1*TPK%K020(:)*PCONC(:,4)+TPK%K024(:)*PCONC(:,15)*PCONC(:,11)+&
&TPK%K025(:)*PCONC(:,15)*PCONC(:,3)+TPK%K028(:)*PCONC(:,6)+TPK%K035(:)*PCONC(:,&
&15)*PCONC(:,13)+TPK%K037(:)*PCONC(:,15)*PCONC(:,12)+TPK%K040(:)*PCONC(:,15)*PC&
&ONC(:,8)+2.0*TPK%K044(:)*PCONC(:,28)+TPK%K046(:)*PCONC(:,15)*PCONC(:,28)+TPK%K&
&047(:)*PCONC(:,8)*PCONC(:,28)+TPK%K048(:)*PCONC(:,15)*PCONC(:,32)+0.06*TPK%K05&
&1(:)*PCONC(:,3)*PCONC(:,16)+TPK%K052(:)*TPK%O(:)*PCONC(:,16)+TPK%CF1*TPK%K053(&
&:)*PCONC(:,15)*PCONC(:,33)+0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+TPK%K059(:)&
&*PCONC(:,29)+0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.16*TPK%K073(:)*PCONC(:&
&,15)*PCONC(:,24)+0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.16*TPK%K079(:)*PCON&
&C(:,15)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)+TPK%CF48*TPK%K082&
&(:)*PCONC(:,15)*PCONC(:,25)+0.16*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+0.445*TPK&
&%K086(:)*PCONC(:,3)*PCONC(:,36)+0.16*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+TPK%K&
&094(:)*PCONC(:,10)*PCONC(:,85)+TPK%K110(:)*PCONC(:,1)*PCONC(:,86)+TPK%K111(:)*&
&PCONC(:,85)*PCONC(:,86)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86)+TPK%K113(:)*PCONC(&
&:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K115(:)*PCONC(:,10)*T&
&PK%RO22(:)+TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO2&
&3(:)+TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TP&
&K%K121(:)*PCONC(:,10)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+T&
&PK%K123(:)*PCONC(:,85)*PCONC(:,87)+TPK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%CF6&
&*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)+TPK%K1&
&52(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)+TPK%K154(:)*&
&PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)+TPK%K171(:)*PCON&
&C(:,1)*TPK%RO215(:)+TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%K173(:)*PCONC(:,1&
&0)*TPK%RO215(:)+TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)+TPK%K178(:)*PCONC&
&(:,85)*TPK%RO217(:)+TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*&
&PCONC(:,1)*TPK%RO218(:)+TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)+TPK%K182(:)*PCONC&
&(:,10)*TPK%RO218(:)+TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%K190(:)*P&
&CONC(:,85)*TPK%RO221(:)+TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)+TPK%CF42*TPK%K192&
&(:)*PCONC(:,1)*TPK%RO222(:)+TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)+TPK%K194(:)*P&
&CONC(:,10)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%K196(&
&:)*PCONC(:,85)*TPK%RO223(:)+TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)+TPK%CF26*TPK%&
&K198(:)*PCONC(:,1)*TPK%RO224(:)+TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)+TPK%K200(&
&:)*PCONC(:,10)*TPK%RO224(:)+TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)+TPK%K&
&208(:)*PCONC(:,85)*TPK%RO227(:)+TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)+TPK%CF32*&
&TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)+TPK%K&
&223(:)*PCONC(:,10)*TPK%RO231(:)+TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+T&
&PK%K228(:)*PCONC(:,85)*TPK%RO241(:)+TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)+TPK%K&
&231(:)*PCONC(:,1)*TPK%RO233(:)+TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)+TPK%K233(:&
&)*PCONC(:,10)*TPK%RO233(:)+TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCO&
&NC(:,85)*TPK%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K238(:)*PCONC(:&
&,1)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)+TPK%K240(:)*PCONC(:,10)*&
&TPK%RO234(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)+TPK%K242(:)*PCONC(:,85)*TPK%R&
&O243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)+TPK%K245(:)*PCONC(:,1)*TPK%RO235(&
&:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)+T&
&PK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%K2&
&50(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)+TPK%K253(:)&
&*PCONC(:,85)*TPK%RO236(:)+TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)+TPK%K255(:)*PCO&
&NC(:,1)*TPK%RO245(:)+TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,&
&10)*TPK%RO245(:)+TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)+TPK%K260(:)*PCONC(:,85)*T&
&PK%RO237(:)+TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+TPK%K262(:)*PCONC(:,1)*TPK%RO&
&246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(:,10)*TPK%RO246(&
&:)+TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)+TP&
&K%K268(:)*PCONC(:,10)*TPK%RO238(:)+TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K27&
&0(:)*PCONC(:,85)*TPK%RO247(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)+TPK%K276(:)&
&*PCONC(:,41)+0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,&
&3)*PCONC(:,40)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TP&
&K%RO249(:)+TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO&
&249(:)+TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:&
&)+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)+TPK&
&%K302(:)*PCONC(:,85)*TPK%RO254(:)+TPK%K308(:)*PCONC(:,69)+2.*TPK%K314(:)*PCONC&
&(:,57)+TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)+TPK%K319(:)*PCONC(:,85)*TPK%RO256(:&
&)+TPK%K325(:)*PCONC(:,15)*PCONC(:,72)+TPK%K329(:)*PCONC(:,71)+TPK%K330(:)*PCON&
&C(:,71)+TPK%K339(:)*PCONC(:,74)+TPK%K347(:)*PCONC(:,15)*PCONC(:,43)+TPK%KTC43(&
&:)*PCONC(:,99)+TPK%KTR43(:)*PCONC(:,136)
!PLOSS(HO2) = +K026*<NO>+K027*<NO2>+K030*<O3>+K031*<HO2>+K031*<HO2>+K032*<H2O>*
!<HO2>+K032*<H2O>*<HO2>+K033*<NO3>+K042*<OH>+K094*<RO2T>+K112*<RO21>+K115*<RO22
!>+K118*<RO23>+K121*<RO24>+K124*<RO25>+K142*<RO26>+K146*<RO27>+K148*<RO28>+K152
!*<RO29>+K155*<RO210>+K158*<RO211>+K161*<RO212>+K164*<RO213>+K166*<RO239>+K170*
!<RO214>+K173*<RO215>+K176*<RO216>+K179*<RO217>+K182*<RO218>+K185*<RO219>+K188*
!<RO220>+K191*<RO221>+K194*<RO222>+K197*<RO223>+K200*<RO224>+K203*<RO225>+K206*
!<RO226>+K209*<RO227>+K212*<RO228>+K215*<RO229>+K218*<RO240>+K220*<RO230>+K223*
!<RO231>+K226*<RO232>+K229*<RO241>+K233*<RO233>+K236*<RO242>+K240*<RO234>+K243*
!<RO243>+K247*<RO235>+K250*<RO244>+K254*<RO236>+K257*<RO245>+K261*<RO237>+K264*
!<RO246>+K268*<RO238>+K271*<RO247>+K279*<RO248>+K287*<RO249>+K289*<RO250>+K292*
!<RO251>+K295*<RO252>+K298*<RO253>+K301*<RO254>+K310*<RO255>+K318*<RO256>+K332*
!<RO257>+K341*<RO258>+KTC12+KTR12
 PLOSS(:,10) = +TPK%K026(:)*PCONC(:,1)+TPK%K027(:)*PCONC(:,2)+TPK%K030(:)*PCONC&
&(:,3)+TPK%K031(:)*PCONC(:,10)+TPK%K031(:)*PCONC(:,10)+TPK%K032(:)*TPK%H2O(:)*P&
&CONC(:,10)+TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)+TPK%K033(:)*PCONC(:,8)+TPK%K042(&
&:)*PCONC(:,15)+TPK%K094(:)*PCONC(:,85)+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK&
&%RO22(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC(:,8&
&7)+TPK%K142(:)*TPK%RO26(:)+TPK%K146(:)*TPK%RO27(:)+TPK%K148(:)*TPK%RO28(:)+TPK&
&%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K16&
&1(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)+TPK%K166(:)*TPK%RO239(:)+TPK%K170(:&
&)*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K179(:)*T&
&PK%RO217(:)+TPK%K182(:)*TPK%RO218(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K188(:)*TPK%&
&RO220(:)+TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO2&
&23(:)+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K206(:)*TPK%RO226(&
&:)+TPK%K209(:)*TPK%RO227(:)+TPK%K212(:)*TPK%RO228(:)+TPK%K215(:)*TPK%RO229(:)+&
&TPK%K218(:)*TPK%RO240(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)+TPK&
&%K226(:)*TPK%RO232(:)+TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%RO233(:)+TPK%K2&
&36(:)*TPK%RO242(:)+TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K247(&
&:)*TPK%RO235(:)+TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)+TPK%K257(:)*&
&TPK%RO245(:)+TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K268(:)*TPK&
&%RO238(:)+TPK%K271(:)*TPK%RO247(:)+TPK%K279(:)*TPK%RO248(:)+TPK%K287(:)*TPK%RO&
&249(:)+TPK%K289(:)*TPK%RO250(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO252&
&(:)+TPK%K298(:)*TPK%RO253(:)+TPK%K301(:)*TPK%RO254(:)+TPK%K310(:)*TPK%RO255(:)&
&+TPK%K318(:)*TPK%RO256(:)+TPK%K332(:)*TPK%RO257(:)+TPK%K341(:)*TPK%RO258(:)+TP&
&K%KTC12(:)+TPK%KTR12(:)
!
RETURN
END SUBROUTINE SUB0
!
SUBROUTINE SUB1
!
!Indices 11 a 20
!
!
!PPROD(CO) = +K044*<HCHO>+K045*<HCHO>+K046*<OH>*<HCHO>+K047*<NO3>*<HCHO>+0.315*
!K051*<O3>*<ETHE>+0.6*K052*<O>*<ETHE>+0.56*K056*<O3>*<OLEL>+K059*<ALD2>+0.461*K
!066*<O3>*<ISOP>+0.56*K076*<O3>*<OLEH>+0.445*K086*<O3>*<BIOL>+0.445*K090*<O3>*<
!BIOH>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24>+K121*<HO2>*<RO24>+K276*<MGLY>+0.56*K
!281*<O3>*<MVK>+0.41*K282*<O3>*<MCR>+0.15*K284*<O>*<MCR>+K300*<NO>*<RO254>+K302
!*<RO2T>*<RO254>+K308*<RPR1>+K314*<RPR3>+K329*<RPR8>+2.*K339*<RP16>+K340*<NO>*<
!RO258>+K342*<RO2T>*<RO258>
 PPROD(:,11) = +TPK%K044(:)*PCONC(:,28)+TPK%K045(:)*PCONC(:,28)+TPK%K046(:)*PCO&
&NC(:,15)*PCONC(:,28)+TPK%K047(:)*PCONC(:,8)*PCONC(:,28)+0.315*TPK%K051(:)*PCON&
&C(:,3)*PCONC(:,16)+0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)+0.56*TPK%K056(:)*PCONC&
&(:,3)*PCONC(:,17)+TPK%K059(:)*PCONC(:,29)+0.461*TPK%K066(:)*PCONC(:,3)*PCONC(:&
&,35)+0.56*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,3)*PCON&
&C(:,36)+0.445*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)+TPK%K119(:)*PCONC(:,1)*TPK%RO&
&24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)+&
&TPK%K276(:)*PCONC(:,41)+0.56*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(&
&:)*PCONC(:,3)*PCONC(:,40)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K300(:)*PC&
&ONC(:,1)*TPK%RO254(:)+TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)+TPK%K308(:)*PCONC(:&
&,69)+TPK%K314(:)*PCONC(:,57)+TPK%K329(:)*PCONC(:,71)+2.*TPK%K339(:)*PCONC(:,74&
&)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!PLOSS(CO) = +K024*<OH>
 PLOSS(:,11) = +TPK%K024(:)*PCONC(:,15)
!
!PPROD(H2O2) = +K031*<HO2>*<HO2>+K032*<HO2>*<H2O>*<HO2>+0.055*K086*<O3>*<BIOL>+
!0.055*K090*<O3>*<BIOH>+KTC33*<WC_H2O2>+KTR33*<WR_H2O2>
 PPROD(:,12) = +TPK%K031(:)*PCONC(:,10)*PCONC(:,10)+TPK%K032(:)*PCONC(:,10)*TPK&
&%H2O(:)*PCONC(:,10)+0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+0.055*TPK%K090(:)&
&*PCONC(:,3)*PCONC(:,37)+TPK%KTC33(:)*PCONC(:,89)+TPK%KTR33(:)*PCONC(:,126)
!PLOSS(H2O2) = +K036+K037*<OH>+KTC2+KTR2
 PLOSS(:,12) = +TPK%K036(:)+TPK%K037(:)*PCONC(:,15)+TPK%KTC2(:)+TPK%KTR2(:)
!
!PPROD(SO2) = +KTC45*<WC_SO2>+KTR45*<WR_SO2>
 PPROD(:,13) = +TPK%KTC45(:)*PCONC(:,101)+TPK%KTR45(:)*PCONC(:,138)
!PLOSS(SO2) = +K035*<OH>+KTC14+KTR14
 PLOSS(:,13) = +TPK%K035(:)*PCONC(:,15)+TPK%KTC14(:)+TPK%KTR14(:)
!
!PPROD(H2SO4) = +K035*<OH>*<SO2>+KTC46*<WC_H2SO4>+KTR46*<WR_H2SO4>
 PPROD(:,14) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)+TPK%KTC46(:)*PCONC(:,102)+T&
&PK%KTR46(:)*PCONC(:,139)
!PLOSS(H2SO4) = +K346+KTC15+KTR15
 PLOSS(:,14) = +TPK%K346(:)+TPK%KTC15(:)+TPK%KTR15(:)
!
!PPROD(OH) = +K017*<H2O>*<OSD>+K017*<H2O>*<OSD>+0.9*K020*<HONO>+K026*<HO2>*<NO>
!+K030*<HO2>*<O3>+0.8*K033*<HO2>*<NO3>+2.*K036*<H2O2>+0.06*K051*<O3>*<ETHE>+0.3
!6*K056*<O3>*<OLEL>+0.664*K066*<O3>*<ISOP>+0.36*K076*<O3>*<OLEH>+0.89*K086*<O3>
!*<BIOL>+0.89*K090*<O3>*<BIOH>+K112*<HO2>*<RO21>+K115*<HO2>*<RO22>+K118*<HO2>*<
!RO23>+K121*<HO2>*<RO24>+K124*<HO2>*<RO25>+K146*<HO2>*<RO27>+K152*<HO2>*<RO29>+
!K155*<HO2>*<RO210>+K158*<HO2>*<RO211>+K161*<HO2>*<RO212>+K164*<HO2>*<RO213>+K1
!70*<HO2>*<RO214>+K173*<HO2>*<RO215>+K176*<HO2>*<RO216>+K179*<HO2>*<RO217>+K182
!*<HO2>*<RO218>+K185*<HO2>*<RO219>+K188*<HO2>*<RO220>+K191*<HO2>*<RO221>+K194*<
!HO2>*<RO222>+K197*<HO2>*<RO223>+K200*<HO2>*<RO224>+K203*<HO2>*<RO225>+K206*<HO
!2>*<RO226>+K209*<HO2>*<RO227>+K212*<HO2>*<RO228>+K215*<HO2>*<RO229>+K218*<HO2>
!*<RO240>+K220*<HO2>*<RO230>+K223*<HO2>*<RO231>+K226*<HO2>*<RO232>+K229*<HO2>*<
!RO241>+K233*<HO2>*<RO233>+K236*<HO2>*<RO242>+K240*<HO2>*<RO234>+K243*<HO2>*<RO
!243>+K247*<HO2>*<RO235>+K250*<HO2>*<RO244>+K254*<HO2>*<RO236>+K257*<HO2>*<RO24
!5>+K261*<HO2>*<RO237>+K264*<HO2>*<RO246>+K268*<HO2>*<RO238>+K271*<HO2>*<RO247>
!+0.36*K281*<O3>*<MVK>+0.82*K282*<O3>*<MCR>+K287*<HO2>*<RO249>+K293*<RO2T>*<RO2
!51>+K296*<RO2T>*<RO252>+K299*<RO2T>*<RO253>+K339*<RP16>+K340*<NO>*<RO258>+K342
!*<RO2T>*<RO258>+KTC42*<WC_OH>+KTR42*<WR_OH>
 PPROD(:,15) = +TPK%K017(:)*TPK%H2O(:)*TPK%OSD(:)+TPK%K017(:)*TPK%H2O(:)*TPK%OS&
&D(:)+0.9*TPK%K020(:)*PCONC(:,4)+TPK%K026(:)*PCONC(:,10)*PCONC(:,1)+TPK%K030(:)&
&*PCONC(:,10)*PCONC(:,3)+0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)+2.*TPK%K036(:)*&
&PCONC(:,12)+0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)+0.36*TPK%K056(:)*PCONC(:,3&
&)*PCONC(:,17)+0.664*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.36*TPK%K076(:)*PCONC(&
&:,3)*PCONC(:,18)+0.89*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+0.89*TPK%K090(:)*PCON&
&C(:,3)*PCONC(:,37)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86)+TPK%K115(:)*PCONC(:,10)&
&*TPK%RO22(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K121(:)*PCONC(:,10)*TPK%R&
&O24(:)+TPK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)&
&+TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)+TPK%&
&K158(:)*PCONC(:,10)*TPK%RO211(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)+TPK%K164&
&(:)*PCONC(:,10)*TPK%RO213(:)+TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)+TPK%K173(:)*&
&PCONC(:,10)*TPK%RO215(:)+TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)+TPK%K179(:)*PCON&
&C(:,10)*TPK%RO217(:)+TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)+TPK%K185(:)*PCONC(:,&
&10)*TPK%RO219(:)+TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)+TPK%K191(:)*PCONC(:,10)*&
&TPK%RO221(:)+TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)+TPK%K197(:)*PCONC(:,10)*TPK%&
&RO223(:)+TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO22&
&5(:)+TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)+TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)&
&+TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)+TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)+TPK&
&%K218(:)*PCONC(:,10)*TPK%RO240(:)+TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)+TPK%K22&
&3(:)*PCONC(:,10)*TPK%RO231(:)+TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)+TPK%K229(:)&
&*PCONC(:,10)*TPK%RO241(:)+TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)+TPK%K236(:)*PCO&
&NC(:,10)*TPK%RO242(:)+TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)+TPK%K243(:)*PCONC(:&
&,10)*TPK%RO243(:)+TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)+TPK%K250(:)*PCONC(:,10)&
&*TPK%RO244(:)+TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)+TPK%K257(:)*PCONC(:,10)*TPK&
&%RO245(:)+TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+TPK%K264(:)*PCONC(:,10)*TPK%RO2&
&46(:)+TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:&
&)+0.36*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.82*TPK%K282(:)*PCONC(:,3)*PCONC(:,&
&40)+TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+&
&TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)+TPK%&
&K339(:)*PCONC(:,74)+TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)+TPK%K342(:)*PCONC(:,85&
&)*TPK%RO258(:)+TPK%KTC42(:)*PCONC(:,98)+TPK%KTR42(:)*PCONC(:,135)
!PLOSS(OH) = +K019*<NO>+K022*<NO2>+K023*<HNO3>+K024*<CO>+K025*<O3>+K029*<HNO4>+
!K035*<SO2>+K037*<H2O2>+K039*<HONO>+K040*<NO3>+K042*<HO2>+K043*<CH4>+K046*<HCHO
!>+K048*<MEOH>+K049*<ETHE>+K053*<ETOH>+K054*<OLEL>+K058*<ALKL>+K060*<ALD2>+K062
!*<KETL>+K064*<ISOP>+K068*<MTBE>+K069*<ALCH>+K070*<KETH>+K073*<AROO>+K074*<OLEH
!>+K078*<ALKM>+K079*<AROL>+K080*<AROH>+K082*<ARAL>+K083*<ARAC>+K084*<BIOL>+K088
!*<BIOH>+K092*<PAH>+K093*<ALKH>+K272*<MVK>+K273*<MCR>+K274*<MGLY>+K303*<RPR5>+K
!304*<RPR1>+K305*<RP16>+K306*<RPRL>+K312*<RPR3>+K322*<RPR7>+K323*<RPG7>+K324*<R
!PR8>+K325*<RP10>+K326*<RP11>+K334*<RPG3>+K335*<RPG2>+K337*<RP18>+K345*<NH3>+K3
!47*<ORA1>+K348*<ORA2>+K349*<ACID>+KTC11+KTR11
 PLOSS(:,15) = +TPK%K019(:)*PCONC(:,1)+TPK%K022(:)*PCONC(:,2)+TPK%K023(:)*PCONC&
&(:,5)+TPK%K024(:)*PCONC(:,11)+TPK%K025(:)*PCONC(:,3)+TPK%K029(:)*PCONC(:,6)+TP&
&K%K035(:)*PCONC(:,13)+TPK%K037(:)*PCONC(:,12)+TPK%K039(:)*PCONC(:,4)+TPK%K040(&
&:)*PCONC(:,8)+TPK%K042(:)*PCONC(:,10)+TPK%K043(:)*TPK%CH4(:)+TPK%K046(:)*PCONC&
&(:,28)+TPK%K048(:)*PCONC(:,32)+TPK%K049(:)*PCONC(:,16)+TPK%K053(:)*PCONC(:,33)&
&+TPK%K054(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,19)+TPK%K060(:)*PCONC(:,29)+TPK%K&
&062(:)*PCONC(:,30)+TPK%K064(:)*PCONC(:,35)+TPK%K068(:)*PCONC(:,38)+TPK%K069(:)&
&*PCONC(:,34)+TPK%K070(:)*PCONC(:,31)+TPK%K073(:)*PCONC(:,24)+TPK%K074(:)*PCONC&
&(:,18)+TPK%K078(:)*PCONC(:,20)+TPK%K079(:)*PCONC(:,23)+TPK%K080(:)*PCONC(:,22)&
&+TPK%K082(:)*PCONC(:,25)+TPK%K083(:)*PCONC(:,26)+TPK%K084(:)*PCONC(:,36)+TPK%K&
&088(:)*PCONC(:,37)+TPK%K092(:)*PCONC(:,27)+TPK%K093(:)*PCONC(:,21)+TPK%K272(:)&
&*PCONC(:,39)+TPK%K273(:)*PCONC(:,40)+TPK%K274(:)*PCONC(:,41)+TPK%K303(:)*PCONC&
&(:,70)+TPK%K304(:)*PCONC(:,69)+TPK%K305(:)*PCONC(:,74)+TPK%K306(:)*PCONC(:,75)&
&+TPK%K312(:)*PCONC(:,57)+TPK%K322(:)*PCONC(:,62)+TPK%K323(:)*PCONC(:,63)+TPK%K&
&324(:)*PCONC(:,71)+TPK%K325(:)*PCONC(:,72)+TPK%K326(:)*PCONC(:,73)+TPK%K334(:)&
&*PCONC(:,52)+TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)+TPK%K345(:)*PCONC&
&(:,9)+TPK%K347(:)*PCONC(:,43)+TPK%K348(:)*PCONC(:,44)+TPK%K349(:)*PCONC(:,45)+&
&TPK%KTC11(:)+TPK%KTR11(:)
!
!PPROD(ETHE) = 0.0
 PPROD(:,16) = 0.0
!PLOSS(ETHE) = +K049*<OH>+K050*<NO3>+K051*<O3>+K052*<O>
 PLOSS(:,16) = +TPK%K049(:)*PCONC(:,15)+TPK%K050(:)*PCONC(:,8)+TPK%K051(:)*PCON&
&C(:,3)+TPK%K052(:)*TPK%O(:)
!
!PPROD(OLEL) = +0.054*K066*<O3>*<ISOP>+0.925*K067*<O>*<ISOP>+TPK%CF5*K150*<NO>*
!<RO29>+0.5*K166*<HO2>*<RO239>+TPK%CF7*K168*<NO>*<RO214>+0.5*K289*<HO2>*<RO250>
 PPROD(:,17) = +0.054*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.925*TPK%K067(:)*TPK%&
&O(:)*PCONC(:,35)+TPK%CF5*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+0.5*TPK%K166(:)*PC&
&ONC(:,10)*TPK%RO239(:)+TPK%CF7*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+0.5*TPK%K28&
&9(:)*PCONC(:,10)*TPK%RO250(:)
!PLOSS(OLEL) = +K054*<OH>+K055*<NO3>+K056*<O3>+K057*<O>
 PLOSS(:,17) = +TPK%K054(:)*PCONC(:,15)+TPK%K055(:)*PCONC(:,8)+TPK%K056(:)*PCON&
&C(:,3)+TPK%K057(:)*TPK%O(:)
!
!PPROD(OLEH) = 0.0
 PPROD(:,18) = 0.0
!PLOSS(OLEH) = +K074*<OH>+K075*<NO3>+K076*<O3>+K077*<O>
 PLOSS(:,18) = +TPK%K074(:)*PCONC(:,15)+TPK%K075(:)*PCONC(:,8)+TPK%K076(:)*PCON&
&C(:,3)+TPK%K077(:)*TPK%O(:)
!
!PPROD(ALKL) = +0.1*K056*<O3>*<OLEL>+0.5*K057*<O>*<OLEL>+TPK%CF3*K122*<NO>*<RO2
!5>+TPK%CF12*K171*<NO>*<RO215>+TPK%CF16*K172*<RO2T>*<RO215>+TPK%CF16*K173*<HO2>
!*<RO215>
 PPROD(:,19) = +0.1*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.5*TPK%K057(:)*TPK%O(:)&
&*PCONC(:,17)+TPK%CF3*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%CF12*TPK%K171(:)*P&
&CONC(:,1)*TPK%RO215(:)+TPK%CF16*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF16*&
&TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!PLOSS(ALKL) = +K058*<OH>
 PLOSS(:,19) = +TPK%K058(:)*PCONC(:,15)
!
!PPROD(ALKM) = +0.1*K076*<O3>*<OLEH>+0.5*K077*<O>*<OLEH>
 PPROD(:,20) = +0.1*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.5*TPK%K077(:)*TPK%O(:)&
&*PCONC(:,18)
!PLOSS(ALKM) = +K078*<OH>
 PLOSS(:,20) = +TPK%K078(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB1
!
SUBROUTINE SUB2
!
!Indices 21 a 30
!
!
!PPROD(ALKH) = 0.0
 PPROD(:,21) = 0.0
!PLOSS(ALKH) = +K093*<OH>
 PLOSS(:,21) = +TPK%K093(:)*PCONC(:,15)
!
!PPROD(AROH) = 0.0
 PPROD(:,22) = 0.0
!PLOSS(AROH) = +K080*<OH>
 PLOSS(:,22) = +TPK%K080(:)*PCONC(:,15)
!
!PPROD(AROL) = 0.0
 PPROD(:,23) = 0.0
!PLOSS(AROL) = +K079*<OH>
 PLOSS(:,23) = +TPK%K079(:)*PCONC(:,15)
!
!PPROD(AROO) = +0.16*K073*<OH>*<AROO>+0.16*K079*<OH>*<AROL>+0.16*K080*<OH>*<ARO
!H>
 PPROD(:,24) = +0.16*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)+0.16*TPK%K079(:)*PCONC&
&(:,15)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!PLOSS(AROO) = +K072*<NO3>+K073*<OH>
 PLOSS(:,24) = +TPK%K072(:)*PCONC(:,8)+TPK%K073(:)*PCONC(:,15)
!
!PPROD(ARAL) = +TPK%CF24*K189*<NO>*<RO221>+K190*<RO2T>*<RO221>+K191*<HO2>*<RO22
!1>
 PPROD(:,25) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)+TPK%K190(:)*PCONC(&
&:,85)*TPK%RO221(:)+TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!PLOSS(ARAL) = +K081*<NO3>+K082*<OH>
 PLOSS(:,25) = +TPK%K081(:)*PCONC(:,8)+TPK%K082(:)*PCONC(:,15)
!
!PPROD(ARAC) = +K081*<NO3>*<ARAL>+TPK%CF39*K082*<OH>*<ARAL>
 PPROD(:,26) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)+TPK%CF39*TPK%K082(:)*PCONC(:&
&,15)*PCONC(:,25)
!PLOSS(ARAC) = +K083*<OH>
 PLOSS(:,26) = +TPK%K083(:)*PCONC(:,15)
!
!PPROD(PAH) = 0.0
 PPROD(:,27) = 0.0
!PLOSS(PAH) = +K092*<OH>
 PLOSS(:,27) = +TPK%K092(:)*PCONC(:,15)
!
!PPROD(HCHO) = +K048*<OH>*<MEOH>+0.5*K051*<O3>*<ETHE>+0.5*K056*<O3>*<OLEL>+0.5*
!K066*<O3>*<ISOP>+0.5*K076*<O3>*<OLEH>+K110*<NO>*<RO21>+K111*<RO2T>*<RO21>+K112
!*<HO2>*<RO21>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>+K116*<NO>*
!<RO23>+K117*<RO2T>*<RO23>+K118*<HO2>*<RO23>+K119*<NO>*<RO24>+K120*<RO2T>*<RO24
!>+K121*<HO2>*<RO24>+TPK%CF6*K150*<NO>*<RO29>+K151*<RO2T>*<RO29>+K152*<HO2>*<RO
!29>+K153*<NO>*<RO210>+K154*<RO2T>*<RO210>+K155*<HO2>*<RO210>+K156*<NO>*<RO211>
!+K157*<RO2T>*<RO211>+K158*<HO2>*<RO211>+K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+
!K161*<HO2>*<RO212>+K162*<NO>*<RO213>+K163*<RO2T>*<RO213>+K164*<HO2>*<RO213>+TP
!K%CF10*K171*<NO>*<RO215>+TPK%CF14*K172*<RO2T>*<RO215>+TPK%CF14*K173*<HO2>*<RO2
!15>+K183*<NO>*<RO219>+K184*<RO2T>*<RO219>+K185*<HO2>*<RO219>+0.5*K281*<O3>*<MV
!K>+0.5*K282*<O3>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<HO2>*<RO249
!>+K291*<NO>*<RO251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K294*<NO>*<RO252>+K
!295*<HO2>*<RO252>+K296*<RO2T>*<RO252>+K297*<NO>*<RO253>+K298*<HO2>*<RO253>+K29
!9*<RO2T>*<RO253>+KTC52*<WC_HCHO>+KTR52*<WR_HCHO>
 PPROD(:,28) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)+0.5*TPK%K051(:)*PCONC(:,3)*&
&PCONC(:,16)+0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.5*TPK%K066(:)*PCONC(:,3)*&
&PCONC(:,35)+0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+TPK%K110(:)*PCONC(:,1)*PCON&
&C(:,86)+TPK%K111(:)*PCONC(:,85)*PCONC(:,86)+TPK%K112(:)*PCONC(:,10)*PCONC(:,86&
&)+TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K&
&115(:)*PCONC(:,10)*TPK%RO22(:)+TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)+TPK%K117(:)*&
&PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TPK%K119(:)*PCONC(&
&:,1)*TPK%RO24(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K121(:)*PCONC(:,10)*T&
&PK%RO24(:)+TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*&
&TPK%RO29(:)+TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)+TPK%K153(:)*PCONC(:,1)*TPK%RO2&
&10(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%RO210(:&
&)+TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)+TPK&
&%K158(:)*PCONC(:,10)*TPK%RO211(:)+TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)+TPK%K160&
&(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)+TPK%K162(:)*&
&PCONC(:,1)*TPK%RO213(:)+TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)+TPK%K164(:)*PCONC&
&(:,10)*TPK%RO213(:)+TPK%CF10*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF14*TPK%&
&K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF14*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)&
&+TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%&
&K185(:)*PCONC(:,10)*TPK%RO219(:)+0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.5*TP&
&K%K282(:)*PCONC(:,3)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)+TPK%K286(&
&:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)+TPK%K291(:)*P&
&CONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)+TPK%K293(:)*PCONC(&
&:,85)*TPK%RO251(:)+TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%K295(:)*PCONC(:,10)&
&*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*TPK%&
&RO253(:)+TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO25&
&3(:)+TPK%KTC52(:)*PCONC(:,108)+TPK%KTR52(:)*PCONC(:,145)
!PLOSS(HCHO) = +K044+K045+K046*<OH>+K047*<NO3>+KTC21+KTR21
 PLOSS(:,28) = +TPK%K044(:)+TPK%K045(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCO&
&NC(:,8)+TPK%KTC21(:)+TPK%KTR21(:)
!
!PPROD(ALD2) = +TPK%CF1*K053*<OH>*<ETOH>+0.5*K056*<O3>*<OLEL>+0.4*K057*<O>*<OLE
!L>+0.075*K067*<O>*<ISOP>+K113*<NO>*<RO22>+K114*<RO2T>*<RO22>+K115*<HO2>*<RO22>
!+K116*<NO>*<RO23>+K117*<RO2T>*<RO23>+K118*<HO2>*<RO23>+TPK%CF4*K122*<NO>*<RO25
!>+K123*<RO2T>*<RO25>+K124*<HO2>*<RO25>+K144*<NO>*<RO27>+K145*<RO2T>*<RO27>+K14
!6*<HO2>*<RO27>+TPK%CF9*K171*<NO>*<RO215>+TPK%CF13*K172*<RO2T>*<RO215>+TPK%CF13
!*K173*<HO2>*<RO215>+K174*<NO>*<RO216>+K175*<RO2T>*<RO216>+K176*<HO2>*<RO216>+0
!.1*K281*<O3>*<MVK>+0.85*K284*<O>*<MCR>+KTC53*<WC_ALD2>+KTR53*<WR_ALD2>
 PPROD(:,29) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)+0.5*TPK%K056(:)*PCO&
&NC(:,3)*PCONC(:,17)+0.4*TPK%K057(:)*TPK%O(:)*PCONC(:,17)+0.075*TPK%K067(:)*TPK&
&%O(:)*PCONC(:,35)+TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)+TPK%K114(:)*PCONC(:,85)*T&
&PK%RO22(:)+TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)+TPK%K116(:)*PCONC(:,1)*TPK%RO23&
&(:)+TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)+TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)+TP&
&K%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)+TPK%K123(:)*PCONC(:,85)*PCONC(:,87)+T&
&PK%K124(:)*PCONC(:,10)*PCONC(:,87)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+TPK%K145&
&(:)*PCONC(:,85)*TPK%RO27(:)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)+TPK%CF9*TPK%K1&
&71(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF13*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TP&
&K%CF13*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)+TPK%K174(:)*PCONC(:,1)*TPK%RO216(:&
&)+TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)+TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)+0.&
&1*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)+0.85*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK&
&%KTC53(:)*PCONC(:,109)+TPK%KTR53(:)*PCONC(:,146)
!PLOSS(ALD2) = +K059+K060*<OH>+K061*<NO3>+KTC22+KTR22
 PLOSS(:,29) = +TPK%K059(:)+TPK%K060(:)*PCONC(:,15)+TPK%K061(:)*PCONC(:,8)+TPK%&
&KTC22(:)+TPK%KTR22(:)
!
!PPROD(KETL) = +TPK%CF11*K171*<NO>*<RO215>+TPK%CF15*K172*<RO2T>*<RO215>+TPK%CF1
!5*K173*<HO2>*<RO215>+0.85*K283*<O>*<MVK>+KTC55*<WC_KETL>+KTR55*<WR_KETL>
 PPROD(:,30) = +TPK%CF11*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)+TPK%CF15*TPK%K172(&
&:)*PCONC(:,85)*TPK%RO215(:)+TPK%CF15*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)+0.85&
&*TPK%K283(:)*TPK%O(:)*PCONC(:,39)+TPK%KTC55(:)*PCONC(:,112)+TPK%KTR55(:)*PCONC&
&(:,149)
!PLOSS(KETL) = +K062*<OH>+K063+KTC24+KTR24
 PLOSS(:,30) = +TPK%K062(:)*PCONC(:,15)+TPK%K063(:)+TPK%KTC24(:)+TPK%KTR24(:)
!
RETURN
END SUBROUTINE SUB2
!
SUBROUTINE SUB3
!
!Indices 31 a 40
!
!
!PPROD(KETH) = 0.0
 PPROD(:,31) = 0.0
!PLOSS(KETH) = +K070*<OH>+K071
 PLOSS(:,31) = +TPK%K070(:)*PCONC(:,15)+TPK%K071(:)
!
!PPROD(MEOH) = +KTC49*<WC_MEOH>+KTR49*<WR_MEOH>
 PPROD(:,32) = +TPK%KTC49(:)*PCONC(:,105)+TPK%KTR49(:)*PCONC(:,142)
!PLOSS(MEOH) = +K048*<OH>+KTC18+KTR18
 PLOSS(:,32) = +TPK%K048(:)*PCONC(:,15)+TPK%KTC18(:)+TPK%KTR18(:)
!
!PPROD(ETOH) = +KTC50*<WC_ETOH>+KTR50*<WR_ETOH>
 PPROD(:,33) = +TPK%KTC50(:)*PCONC(:,106)+TPK%KTR50(:)*PCONC(:,143)
!PLOSS(ETOH) = +K053*<OH>+KTC19+KTR19
 PLOSS(:,33) = +TPK%K053(:)*PCONC(:,15)+TPK%KTC19(:)+TPK%KTR19(:)
!
!PPROD(ALCH) = +KTC51*<WC_ALCH>+KTR51*<WR_ALCH>
 PPROD(:,34) = +TPK%KTC51(:)*PCONC(:,107)+TPK%KTR51(:)*PCONC(:,144)
!PLOSS(ALCH) = +K069*<OH>+KTC20+KTR20
 PLOSS(:,34) = +TPK%K069(:)*PCONC(:,15)+TPK%KTC20(:)+TPK%KTR20(:)
!
!PPROD(ISOP) = 0.0
 PPROD(:,35) = 0.0
!PLOSS(ISOP) = +K064*<OH>+K065*<NO3>+K066*<O3>+K067*<O>
 PLOSS(:,35) = +TPK%K064(:)*PCONC(:,15)+TPK%K065(:)*PCONC(:,8)+TPK%K066(:)*PCON&
&C(:,3)+TPK%K067(:)*TPK%O(:)
!
!PPROD(BIOL) = 0.0
 PPROD(:,36) = 0.0
!PLOSS(BIOL) = +K084*<OH>+K085*<NO3>+K086*<O3>+K087*<O>
 PLOSS(:,36) = +TPK%K084(:)*PCONC(:,15)+TPK%K085(:)*PCONC(:,8)+TPK%K086(:)*PCON&
&C(:,3)+TPK%K087(:)*TPK%O(:)
!
!PPROD(BIOH) = 0.0
 PPROD(:,37) = 0.0
!PLOSS(BIOH) = +K088*<OH>+K089*<NO3>+K090*<O3>+K091*<O>
 PLOSS(:,37) = +TPK%K088(:)*PCONC(:,15)+TPK%K089(:)*PCONC(:,8)+TPK%K090(:)*PCON&
&C(:,3)+TPK%K091(:)*TPK%O(:)
!
!PPROD(MTBE) = 0.0
 PPROD(:,38) = 0.0
!PLOSS(MTBE) = +K068*<OH>
 PLOSS(:,38) = +TPK%K068(:)*PCONC(:,15)
!
!PPROD(MVK) = +0.389*K066*<O3>*<ISOP>+TPK%CF6*K150*<NO>*<RO29>+K151*<RO2T>*<RO2
!9>+K152*<HO2>*<RO29>+K156*<NO>*<RO211>+K157*<RO2T>*<RO211>+K158*<HO2>*<RO211>
 PPROD(:,39) = +0.389*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+TPK%CF6*TPK%K150(:)*PC&
&ONC(:,1)*TPK%RO29(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)+TPK%K152(:)*PCONC(:,1&
&0)*TPK%RO29(:)+TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)+TPK%K157(:)*PCONC(:,85)*TPK&
&%RO211(:)+TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!PLOSS(MVK) = +K272*<OH>+K281*<O3>+K283*<O>
 PLOSS(:,39) = +TPK%K272(:)*PCONC(:,15)+TPK%K281(:)*PCONC(:,3)+TPK%K283(:)*TPK%&
&O(:)
!
!PPROD(MCR) = +0.17*K066*<O3>*<ISOP>+K153*<NO>*<RO210>+K154*<RO2T>*<RO210>+K155
!*<HO2>*<RO210>+K159*<NO>*<RO212>+K160*<RO2T>*<RO212>+K161*<HO2>*<RO212>
 PPROD(:,40) = +0.17*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+TPK%K153(:)*PCONC(:,1)*&
&TPK%RO210(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K155(:)*PCONC(:,10)*TPK%&
&RO210(:)+TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)+TPK%K160(:)*PCONC(:,85)*TPK%RO212&
&(:)+TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!PLOSS(MCR) = +K273*<OH>+K275*<NO3>+K282*<O3>+K284*<O>
 PLOSS(:,40) = +TPK%K273(:)*PCONC(:,15)+TPK%K275(:)*PCONC(:,8)+TPK%K282(:)*PCON&
&C(:,3)+TPK%K284(:)*TPK%O(:)
!
RETURN
END SUBROUTINE SUB3
!
SUBROUTINE SUB4
!
!Indices 41 a 50
!
!
!PPROD(MGLY) = +K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*<HO2>*<RO242>+K241*<
!NO>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K248*<NO>*<RO244>+K249*<RO2
!T>*<RO244>+K250*<HO2>*<RO244>+K255*<NO>*<RO245>+K256*<RO2T>*<RO245>+K257*<HO2>
!*<RO245>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246>+K269*<NO>*<R
!O247>+K270*<RO2T>*<RO247>+K271*<HO2>*<RO247>+0.5*K281*<O3>*<MVK>+0.59*K282*<O3
!>*<MCR>+K285*<NO>*<RO249>+K286*<RO2T>*<RO249>+K287*<HO2>*<RO249>+K291*<NO>*<RO
!251>+K292*<HO2>*<RO251>+K293*<RO2T>*<RO251>+K294*<NO>*<RO252>+K295*<HO2>*<RO25
!2>+K296*<RO2T>*<RO252>+KTC56*<WC_MGLY>+KTR56*<WR_MGLY>
 PPROD(:,41) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCONC(:,85)*TPK&
&%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO24&
&3(:)+TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)&
&+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%&
&K250(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K256(&
&:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)+TPK%K262(:)*P&
&CONC(:,1)*TPK%RO246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(&
&:,10)*TPK%RO246(:)+TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+TPK%K270(:)*PCONC(:,85)&
&*TPK%RO247(:)+TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)+0.5*TPK%K281(:)*PCONC(:,3)*&
&PCONC(:,39)+0.59*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)+TPK%K285(:)*PCONC(:,1)*TPK&
&%RO249(:)+TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)+TPK%K287(:)*PCONC(:,10)*TPK%RO2&
&49(:)+TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)&
&+TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)+TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)+TPK%&
&K295(:)*PCONC(:,10)*TPK%RO252(:)+TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)+TPK%KTC5&
&6(:)*PCONC(:,111)+TPK%KTR56(:)*PCONC(:,148)
!PLOSS(MGLY) = +K274*<OH>+K276+K278*<NO3>+KTC25+KTR25
 PLOSS(:,41) = +TPK%K274(:)*PCONC(:,15)+TPK%K276(:)+TPK%K278(:)*PCONC(:,8)+TPK%&
&KTC25(:)+TPK%KTR25(:)
!
!PPROD(GLY) = +KTC54*<WC_GLY>+KTR54*<WR_GLY>
 PPROD(:,42) = +TPK%KTC54(:)*PCONC(:,110)+TPK%KTR54(:)*PCONC(:,147)
!PLOSS(GLY) = +KTC23+KTR23
 PLOSS(:,42) = +TPK%KTC23(:)+TPK%KTR23(:)
!
!PPROD(ORA1) = +0.185*K051*<O3>*<ETHE>+0.12*K056*<O3>*<OLEL>+0.121*K066*<O3>*<I
!SOP>+0.12*K281*<O3>*<MVK>+0.09*K282*<O3>*<MCR>+KTC57*<WC_ORA1>+KTR57*<WR_ORA1>
 PPROD(:,43) = +0.185*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)+0.12*TPK%K056(:)*PCONC&
&(:,3)*PCONC(:,17)+0.121*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)+0.12*TPK%K281(:)*PC&
&ONC(:,3)*PCONC(:,39)+0.09*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)+TPK%KTC57(:)*PCON&
&C(:,113)+TPK%KTR57(:)*PCONC(:,150)
!PLOSS(ORA1) = +K347*<OH>+KTC26+KTR26
 PLOSS(:,43) = +TPK%K347(:)*PCONC(:,15)+TPK%KTC26(:)+TPK%KTR26(:)
!
!PPROD(ORA2) = +0.12*K056*<O3>*<OLEL>+K142*<HO2>*<RO26>+K148*<HO2>*<RO28>+0.5*K
!166*<HO2>*<RO239>+0.5*K289*<HO2>*<RO250>+KTC58*<WC_ORA2>+KTR58*<WR_ORA2>
 PPROD(:,44) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+TPK%K142(:)*PCONC(:,10)&
&*TPK%RO26(:)+TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)+0.5*TPK%K166(:)*PCONC(:,10)*T&
&PK%RO239(:)+0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)+TPK%KTC58(:)*PCONC(:,114)&
&+TPK%KTR58(:)*PCONC(:,151)
!PLOSS(ORA2) = +K348*<OH>+KTC27+KTR27
 PLOSS(:,44) = +TPK%K348(:)*PCONC(:,15)+TPK%KTC27(:)+TPK%KTR27(:)
!
!PPROD(ACID) = +0.12*K076*<O3>*<OLEH>+K142*<HO2>*<RO26>+K310*<HO2>*<RO255>+KTC5
!9*<WC_ACID>+KTR59*<WR_ACID>
 PPROD(:,45) = +0.12*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+TPK%K142(:)*PCONC(:,10)&
&*TPK%RO26(:)+TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)+TPK%KTC59(:)*PCONC(:,115)+TP&
&K%KTR59(:)*PCONC(:,152)
!PLOSS(ACID) = +K349*<OH>+KTC28+KTR28
 PLOSS(:,45) = +TPK%K349(:)*PCONC(:,15)+TPK%KTC28(:)+TPK%KTR28(:)
!
!PPROD(UR28) = +K341*<HO2>*<RO258>+KTC62*<WC_UR28>+KTR62*<WR_UR28>
 PPROD(:,46) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)+TPK%KTC62(:)*PCONC(:,118)+&
&TPK%KTR62(:)*PCONC(:,155)
!PLOSS(UR28) = +K364+KTC31+KTR31
 PLOSS(:,46) = +TPK%K364(:)+TPK%KTC31(:)+TPK%KTR31(:)
!
!PPROD(UR21) = +K279*<HO2>*<RO248>+0.12*K281*<O3>*<MVK>+KTC61*<WC_UR21>+KTR61*<
!WR_UR21>
 PPROD(:,47) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)+0.12*TPK%K281(:)*PCONC(:,3&
&)*PCONC(:,39)+TPK%KTC61(:)*PCONC(:,117)+TPK%KTR61(:)*PCONC(:,154)
!PLOSS(UR21) = +K361+KTC30+KTR30
 PLOSS(:,47) = +TPK%K361(:)+TPK%KTC30(:)+TPK%KTR30(:)
!
!PPROD(URG2) = +0.5562513*K335*<OH>*<RPG2>+K337*<OH>*<RP18>
 PPROD(:,48) = +0.5562513*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)+TPK%K337(:)*PCONC&
&(:,15)*PCONC(:,51)
!PLOSS(URG2) = +K350
 PLOSS(:,48) = +TPK%K350(:)
!
!PPROD(UR26) = +0.67*K326*<OH>*<RP11>
 PPROD(:,49) = +0.67*TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!PLOSS(UR26) = +K363
 PLOSS(:,49) = +TPK%K363(:)
!
!PPROD(RPG2) = +0.3000000*K259*<NO>*<RO237>+1.0000000*K260*<RO2T>*<RO237>+0.300
!0000*K261*<HO2>*<RO237>+0.1191897*K334*<OH>*<RPG3>+0.8808107*K334*<OH>*<RPG3>
 PPROD(:,50) = +0.3000000*TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)+1.0000000*TPK%K26&
&0(:)*PCONC(:,85)*TPK%RO237(:)+0.3000000*TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)+0&
&.1191897*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)+0.8808107*TPK%K334(:)*PCONC(:,15)&
&*PCONC(:,52)
!PLOSS(RPG2) = +K335*<OH>
 PLOSS(:,50) = +TPK%K335(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB4
!
SUBROUTINE SUB5
!
!Indices 51 a 60
!
!
!PPROD(RP18) = +0.4437492*K335*<OH>*<RPG2>
 PPROD(:,51) = +0.4437492*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!PLOSS(RP18) = +K337*<OH>
 PLOSS(:,51) = +TPK%K337(:)*PCONC(:,15)
!
!PPROD(RPG3) = +0.3000000*K231*<NO>*<RO233>+1.0000000*K232*<RO2T>*<RO233>+0.300
!0000*K233*<HO2>*<RO233>+0.3000000*K252*<NO>*<RO236>+1.0000000*K253*<RO2T>*<RO2
!36>+0.3000000*K254*<HO2>*<RO236>
 PPROD(:,52) = +0.3000000*TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)+1.0000000*TPK%K23&
&2(:)*PCONC(:,85)*TPK%RO233(:)+0.3000000*TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)+0&
&.3000000*TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)+1.0000000*TPK%K253(:)*PCONC(:,85)&
&*TPK%RO236(:)+0.3000000*TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!PLOSS(RPG3) = +K334*<OH>
 PLOSS(:,52) = +TPK%K334(:)*PCONC(:,15)
!
!PPROD(URG4) = +5.5000000E-02*K086*<O3>*<BIOL>+1.0000000*K318*<HO2>*<RO256>+1.0
!000000*K332*<HO2>*<RO257>
 PPROD(:,53) = +5.5000000E-02*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+1.0000000*TPK%&
&K318(:)*PCONC(:,10)*TPK%RO256(:)+1.0000000*TPK%K332(:)*PCONC(:,10)*TPK%RO257(:&
&)
!PLOSS(URG4) = +K351
 PLOSS(:,53) = +TPK%K351(:)
!
!PPROD(UR8) = +0.055*K090*<O3>*<BIOH>
 PPROD(:,54) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!PLOSS(UR8) = +K358
 PLOSS(:,54) = +TPK%K358(:)
!
!PPROD(UR17) = +1.0000000*K204*<NO>*<RO226>+1.0000000*K205*<RO2T>*<RO226>+1.000
!0000*K206*<HO2>*<RO226>
 PPROD(:,55) = +1.0000000*TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)+1.0000000*TPK%K20&
&5(:)*PCONC(:,85)*TPK%RO226(:)+1.0000000*TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!PLOSS(UR17) = +K359
 PLOSS(:,55) = +TPK%K359(:)
!
!PPROD(UR7) = +0.055*K090*<O3>*<BIOH>+TPK%CFA12*K207*<NO>*<RO227>+K208*<RO2T>*<
!RO227>+0.3*K209*<HO2>*<RO227>+0.3*K210*<NO>*<RO228>+0.3*K211*<RO2T>*<RO228>+0.
!3*K212*<HO2>*<RO228>
 PPROD(:,56) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)+TPK%CFA12*TPK%K207(:)*&
&PCONC(:,1)*TPK%RO227(:)+TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)+0.3*TPK%K209(:)*P&
&CONC(:,10)*TPK%RO227(:)+0.3*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)+0.3*TPK%K211(:&
&)*PCONC(:,85)*TPK%RO228(:)+0.3*TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!PLOSS(UR7) = +K357
 PLOSS(:,56) = +TPK%K357(:)
!
!PPROD(RPR3) = +0.055*K086*<O3>*<BIOL>+TPK%CFA10*K198*<NO>*<RO224>+K199*<RO2T>*
!<RO224>+K200*<HO2>*<RO224>+K201*<NO>*<RO225>+K202*<RO2T>*<RO225>+K203*<HO2>*<R
!O225>
 PPROD(:,57) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)+TPK%CFA10*TPK%K198(:)*&
&PCONC(:,1)*TPK%RO224(:)+TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)+TPK%K200(:)*PCONC&
&(:,10)*TPK%RO224(:)+TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)+TPK%K202(:)*PCONC(:,85&
&)*TPK%RO225(:)+TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!PLOSS(RPR3) = +K312*<OH>+K313*<NO3>+K314
 PLOSS(:,57) = +TPK%K312(:)*PCONC(:,15)+TPK%K313(:)*PCONC(:,8)+TPK%K314(:)
!
!PPROD(URG6) = +TPK%CF21*K177*<NO>*<RO217>+TPK%CF43*K195*<NO>*<RO223>+0.4978440
!*K323*<OH>*<RPG7>
 PPROD(:,58) = +TPK%CF21*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)+TPK%CF43*TPK%K195(&
&:)*PCONC(:,1)*TPK%RO223(:)+0.4978440*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!PLOSS(URG6) = +K352
 PLOSS(:,58) = +TPK%K352(:)
!
!PPROD(UR22) = +K321*<NO2>*<RAD8>
 PPROD(:,59) = +TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!PLOSS(UR22) = +K362
 PLOSS(:,59) = +TPK%K362(:)
!
!PPROD(URG7) = +0.1599999*K083*<OH>*<ARAC>+0.9999993*K108*<NO2>*<RAD6>+0.999999
!3*K303*<OH>*<RPR5>+0.9979297*K306*<OH>*<RPRL>+0.9999993*K322*<OH>*<RPR7>
 PPROD(:,60) = +0.1599999*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+0.9999993*TPK%K10&
&8(:)*PCONC(:,2)*TPK%RAD6(:)+0.9999993*TPK%K303(:)*PCONC(:,15)*PCONC(:,70)+0.99&
&79297*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)+0.9999993*TPK%K322(:)*PCONC(:,15)*PC&
&ONC(:,62)
!PLOSS(URG7) = +K353
 PLOSS(:,60) = +TPK%K353(:)
!
RETURN
END SUBROUTINE SUB5
!
SUBROUTINE SUB6
!
!Indices 61 a 70
!
!
!PPROD(RPR4) = +K103*<NO2>*<RAD1>+K104*<NO2>*<RAD2>
 PPROD(:,61) = +TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)+TPK%K104(:)*PCONC(:,2)*TPK%R&
&AD2(:)
!PLOSS(RPR4) = +K320*<NO3>
 PLOSS(:,61) = +TPK%K320(:)*PCONC(:,8)
!
!PPROD(RPR7) = +TPK%CF44*K195*<NO>*<RO223>+K196*<RO2T>*<RO223>+K197*<HO2>*<RO22
!3>+2.0714202E-03*K306*<OH>*<RPRL>
 PPROD(:,62) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)+TPK%K196(:)*PCONC(&
&:,85)*TPK%RO223(:)+TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)+2.0714202E-03*TPK%K306&
&(:)*PCONC(:,15)*PCONC(:,75)
!PLOSS(RPR7) = +K322*<OH>
 PLOSS(:,62) = +TPK%K322(:)*PCONC(:,15)
!
!PPROD(RPG7) = +1.0000013*K266*<NO>*<RO238>+1.0000013*K267*<RO2T>*<RO238>+1.000
!0013*K268*<HO2>*<RO238>+0.5021558*K323*<OH>*<RPG7>
 PPROD(:,63) = +1.0000013*TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)+1.0000013*TPK%K26&
&7(:)*PCONC(:,85)*TPK%RO238(:)+1.0000013*TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)+0&
&.5021558*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!PLOSS(RPG7) = +K323*<OH>
 PLOSS(:,63) = +TPK%K323(:)*PCONC(:,15)
!
!PPROD(URG8) = +0.1600000*K092*<OH>*<PAH>+1.0000000*K109*<NO2>*<RAD7>+TPK%CF31*
!K221*<NO>*<RO231>
 PPROD(:,64) = +0.1600000*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+1.0000000*TPK%K10&
&9(:)*PCONC(:,2)*TPK%RAD7(:)+TPK%CF31*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!PLOSS(URG8) = +K354
 PLOSS(:,64) = +TPK%K354(:)
!
!PPROD(UR19) = +TPK%CF32*K221*<NO>*<RO231>+K222*<RO2T>*<RO231>+K223*<HO2>*<RO23
!1>
 PPROD(:,65) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)+TPK%K222(:)*PCONC(&
&:,85)*TPK%RO231(:)+TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!PLOSS(UR19) = +K360
 PLOSS(:,65) = +TPK%K360(:)
!
!PPROD(URG9) = +TPK%CFA14*K224*<NO>*<RO232>+TPK%CFA16*K227*<NO>*<RO241>+TPK%CFA
!15*K227*<NO>*<RO241>+0.9999996*K228*<RO2T>*<RO241>+0.9999996*K229*<HO2>*<RO241
!>
 PPROD(:,66) = +TPK%CFA14*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)+TPK%CFA16*TPK%K22&
&7(:)*PCONC(:,1)*TPK%RO241(:)+TPK%CFA15*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)+0.9&
&999996*TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)+0.9999996*TPK%K229(:)*PCONC(:,10)*&
&TPK%RO241(:)
!PLOSS(URG9) = +K355
 PLOSS(:,66) = +TPK%K355(:)
!
!PPROD(AP7) = +TPK%CFA23*K198*<NO>*<RO224>
 PPROD(:,67) = +TPK%CFA23*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!PLOSS(AP7) = +K365
 PLOSS(:,67) = +TPK%K365(:)
!
!PPROD(URG10) = +0.2500000*K087*<O>*<BIOL>+0.7500000*K087*<O>*<BIOL>+TPK%CF27*K
!207*<NO>*<RO227>
 PPROD(:,68) = +0.2500000*TPK%K087(:)*TPK%O(:)*PCONC(:,36)+0.7500000*TPK%K087(:&
&)*TPK%O(:)*PCONC(:,36)+TPK%CF27*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!PLOSS(URG10) = +K356
 PLOSS(:,68) = +TPK%K356(:)
!
!PPROD(RPR1) = +0.5*K076*<O3>*<OLEH>+0.4*K077*<O>*<OLEH>+K183*<NO>*<RO219>+K184
!*<RO2T>*<RO219>+K185*<HO2>*<RO219>
 PPROD(:,69) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)+0.4*TPK%K077(:)*TPK%O(:)&
&*PCONC(:,18)+TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)+TPK%K184(:)*PCONC(:,85)*TPK%R&
&O219(:)+TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!PLOSS(RPR1) = +K304*<OH>+K307*<NO3>+K308
 PLOSS(:,69) = +TPK%K304(:)*PCONC(:,15)+TPK%K307(:)*PCONC(:,8)+TPK%K308(:)
!
!PPROD(RPR5) = +K107*<NO2>*<RAD5>
 PPROD(:,70) = +TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!PLOSS(RPR5) = +K303*<OH>
 PLOSS(:,70) = +TPK%K303(:)*PCONC(:,15)
!
RETURN
END SUBROUTINE SUB6
!
SUBROUTINE SUB7
!
!Indices 71 a 80
!
!
!PPROD(RPR8) = +K216*<NO>*<RO240>+K217*<RO2T>*<RO240>+K218*<HO2>*<RO240>
 PPROD(:,71) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)+TPK%K217(:)*PCONC(:,85)*TPK&
&%RO240(:)+TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!PLOSS(RPR8) = +K324*<OH>+K327*<NO3>+K329+K330
 PLOSS(:,71) = +TPK%K324(:)*PCONC(:,15)+TPK%K327(:)*PCONC(:,8)+TPK%K329(:)+TPK%&
&K330(:)
!
!PPROD(RP10) = +K234*<NO>*<RO242>+K235*<RO2T>*<RO242>+K236*<HO2>*<RO242>+K241*<
!NO>*<RO243>+K242*<RO2T>*<RO243>+K243*<HO2>*<RO243>+K248*<NO>*<RO244>+K249*<RO2
!T>*<RO244>+K250*<HO2>*<RO244>+K255*<NO>*<RO245>+K256*<RO2T>*<RO245>+K257*<HO2>
!*<RO245>+K262*<NO>*<RO246>+K263*<RO2T>*<RO246>+K264*<HO2>*<RO246>
 PPROD(:,72) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)+TPK%K235(:)*PCONC(:,85)*TPK&
&%RO242(:)+TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)+TPK%K241(:)*PCONC(:,1)*TPK%RO24&
&3(:)+TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)+TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)&
&+TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)+TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%&
&K250(:)*PCONC(:,10)*TPK%RO244(:)+TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)+TPK%K256(&
&:)*PCONC(:,85)*TPK%RO245(:)+TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)+TPK%K262(:)*P&
&CONC(:,1)*TPK%RO246(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)+TPK%K264(:)*PCONC(&
&:,10)*TPK%RO246(:)
!PLOSS(RP10) = +K325*<OH>+K328
 PLOSS(:,72) = +TPK%K325(:)*PCONC(:,15)+TPK%K328(:)
!
!PPROD(RP11) = +0.3*K238*<NO>*<RO234>+K239*<RO2T>*<RO234>+0.3*K240*<HO2>*<RO234
!>+0.5*K245*<NO>*<RO235>+K246*<RO2T>*<RO235>+K247*<HO2>*<RO235>
 PPROD(:,73) = +0.3*TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)&
&*TPK%RO234(:)+0.3*TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)+0.5*TPK%K245(:)*PCONC(:&
&,1)*TPK%RO235(:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+TPK%K247(:)*PCONC(:,10)*&
&TPK%RO235(:)
!PLOSS(RP11) = +K326*<OH>
 PLOSS(:,73) = +TPK%K326(:)*PCONC(:,15)
!
!PPROD(RP16) = +K301*<HO2>*<RO254>+KTC60*<WC_RP16>+KTR60*<WR_RP16>
 PPROD(:,74) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)+TPK%KTC60(:)*PCONC(:,116)+&
&TPK%KTR60(:)*PCONC(:,153)
!PLOSS(RP16) = +K305*<OH>+K338*<NO3>+K339+KTC29+KTR29
 PLOSS(:,74) = +TPK%K305(:)*PCONC(:,15)+TPK%K338(:)*PCONC(:,8)+TPK%K339(:)+TPK%&
&KTC29(:)+TPK%KTR29(:)
!
!PPROD(RPRL) = +0.9983609*K082*<OH>*<ARAL>+TPK%CFA2*K177*<NO>*<RO217>+0.9983609
!*K178*<RO2T>*<RO217>+0.9983609*K179*<HO2>*<RO217>+TPK%CFA7*K192*<NO>*<RO222>+0
!.9983609*K193*<RO2T>*<RO222>+0.9983609*K194*<HO2>*<RO222>+1.0023998*K269*<NO>*
!<RO247>+1.0023998*K270*<RO2T>*<RO247>+1.0023998*K271*<HO2>*<RO247>
 PPROD(:,75) = +0.9983609*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)+TPK%CFA2*TPK%K177&
&(:)*PCONC(:,1)*TPK%RO217(:)+0.9983609*TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)+0.9&
&983609*TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)+TPK%CFA7*TPK%K192(:)*PCONC(:,1)*TP&
&K%RO222(:)+0.9983609*TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)+0.9983609*TPK%K194(:&
&)*PCONC(:,10)*TPK%RO222(:)+1.0023998*TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)+1.002&
&3998*TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)+1.0023998*TPK%K271(:)*PCONC(:,10)*TP&
&K%RO247(:)
!PLOSS(RPRL) = +K306*<OH>
 PLOSS(:,75) = +TPK%K306(:)*PCONC(:,15)
!
!PPROD(APAN) = +K130*<NO2>*<RO250>+K133*<NO2>*<RO257>
 PPROD(:,76) = +TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)+TPK%K133(:)*PCONC(:,2)*TPK%&
&RO257(:)
!PLOSS(APAN) = +K139
 PLOSS(:,76) = +TPK%K139(:)
!
!PPROD(PAN1) = +K126*<NO2>*<RO26>
 PPROD(:,77) = +TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!PLOSS(PAN1) = +K135
 PLOSS(:,77) = +TPK%K135(:)
!
!PPROD(PAN2) = +K127*<NO2>*<RO28>
 PPROD(:,78) = +TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!PLOSS(PAN2) = +K136
 PLOSS(:,78) = +TPK%K136(:)
!
!PPROD(PAN3) = +K128*<NO2>*<RO239>
 PPROD(:,79) = +TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!PLOSS(PAN3) = +K137
 PLOSS(:,79) = +TPK%K137(:)
!
!PPROD(PAN4) = +K129*<NO2>*<RO248>
 PPROD(:,80) = +TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!PLOSS(PAN4) = +K141
 PLOSS(:,80) = +TPK%K141(:)
!
RETURN
END SUBROUTINE SUB7
!
SUBROUTINE SUB8
!
!Indices 81 a 90
!
!
!PPROD(PAN6) = +K131*<NO2>*<RO254>
 PPROD(:,81) = +TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!PLOSS(PAN6) = +K140
 PLOSS(:,81) = +TPK%K140(:)
!
!PPROD(PAN7) = +K132*<NO2>*<RO255>
 PPROD(:,82) = +TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!PLOSS(PAN7) = +K343
 PLOSS(:,82) = +TPK%K343(:)
!
!PPROD(PAN8) = +K316*<NO2>*<RO256>
 PPROD(:,83) = +TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!PLOSS(PAN8) = +K317
 PLOSS(:,83) = +TPK%K317(:)
!
!PPROD(PN10) = +K134*<NO2>*<RO258>
 PPROD(:,84) = +TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!PLOSS(PN10) = +K138
 PLOSS(:,84) = +TPK%K138(:)
!
!PPROD(RO2T) = +K043*<OH>*<CH4>+K049*<OH>*<ETHE>+K050*<NO3>*<ETHE>+K052*<O>*<ET
!HE>+TPK%CF2*K053*<OH>*<ETOH>+K054*<OH>*<OLEL>+K055*<NO3>*<OLEL>+0.28*K056*<O3>
!*<OLEL>+0.2*K057*<O>*<OLEL>+K058*<OH>*<ALKL>+K059*<ALD2>+K060*<OH>*<ALD2>+K061
!*<NO3>*<ALD2>+K062*<OH>*<KETL>+2.*K063*<KETL>+K064*<OH>*<ISOP>+K065*<NO3>*<ISO
!P>+0.366*K066*<O3>*<ISOP>+K068*<OH>*<MTBE>+K069*<OH>*<ALCH>+K070*<OH>*<KETH>+2
!.*K071*<KETH>+0.1*K073*<OH>*<AROO>+K074*<OH>*<OLEH>+K075*<NO3>*<OLEH>+0.28*K07
!6*<O3>*<OLEH>+0.2*K077*<O>*<OLEH>+K078*<OH>*<ALKM>+0.06*K079*<OH>*<AROL>+TPK%C
!F45*K082*<OH>*<ARAL>+0.1*K083*<OH>*<ARAC>+K084*<OH>*<BIOL>+K085*<NO3>*<BIOL>+0
!.445*K086*<O3>*<BIOL>+K088*<OH>*<BIOH>+K089*<NO3>*<BIOH>+0.89*K090*<O3>*<BIOH>
!+0.1*K092*<OH>*<PAH>+K093*<OH>*<ALKH>+K096*<RO2T>*<RO2T>+K097*<RAD2>+K098*<RAD
!3>+K099*<RAD4>+K100*<RAD5>+K101*<RAD6>+K102*<RAD7>+K111*<RO2T>*<RO21>+K114*<RO
!2T>*<RO22>+K117*<RO2T>*<RO23>+K120*<RO2T>*<RO24>+K123*<RO2T>*<RO25>+K125*<NO>*
!<RO26>+K135*<PAN1>+K136*<PAN2>+K137*<PAN3>+K138*<PN10>+1.0000000*K139*<APAN>+K
!140*<PAN6>+K141*<PAN4>+2.*K143*<RO2T>*<RO26>+K144*<NO>*<RO27>+2.*K145*<RO2T>*<
!RO27>+K146*<HO2>*<RO27>+K147*<NO>*<RO28>+2.*K149*<RO2T>*<RO28>+K151*<RO2T>*<RO
!29>+K154*<RO2T>*<RO210>+K157*<RO2T>*<RO211>+K160*<RO2T>*<RO212>+K162*<NO>*<RO2
!13>+2.*K163*<RO2T>*<RO213>+K164*<HO2>*<RO213>+K165*<NO>*<RO239>+2.*K167*<RO2T>
!*<RO239>+TPK%CF8*K168*<NO>*<RO214>+2.*K169*<RO2T>*<RO214>+K170*<HO2>*<RO214>+K
!172*<RO2T>*<RO215>+K174*<NO>*<RO216>+2.*K175*<RO2T>*<RO216>+K176*<HO2>*<RO216>
!+K178*<RO2T>*<RO217>+K181*<RO2T>*<RO218>+K184*<RO2T>*<RO219>+TPK%CF18*K186*<NO
!>*<RO220>+2.*K187*<RO2T>*<RO220>+K188*<HO2>*<RO220>+K190*<RO2T>*<RO221>+K193*<
!RO2T>*<RO222>+K196*<RO2T>*<RO223>+K199*<RO2T>*<RO224>+K202*<RO2T>*<RO225>+K204
!*<NO>*<RO226>+2.*K205*<RO2T>*<RO226>+K206*<HO2>*<RO226>+K208*<RO2T>*<RO227>+K2
!11*<RO2T>*<RO228>+TPK%CF30*K213*<NO>*<RO229>+2.*K214*<RO2T>*<RO229>+K215*<HO2>
!*<RO229>+K216*<NO>*<RO240>+2.*K217*<RO2T>*<RO240>+K218*<HO2>*<RO240>+2.*K219*<
!RO2T>*<RO230>+K220*<HO2>*<RO230>+K222*<RO2T>*<RO231>+TPK%CF34*K224*<NO>*<RO232
!>+2.*K225*<RO2T>*<RO232>+K226*<HO2>*<RO232>+K228*<RO2T>*<RO241>+K230*<RO233>+K
!232*<RO2T>*<RO233>+K235*<RO2T>*<RO242>+K237*<RO234>+K239*<RO2T>*<RO234>+K242*<
!RO2T>*<RO243>+K244*<RO235>+K246*<RO2T>*<RO235>+K249*<RO2T>*<RO244>+K251*<RO236
!>+K253*<RO2T>*<RO236>+K256*<RO2T>*<RO245>+K258*<RO237>+K260*<RO2T>*<RO237>+K26
!3*<RO2T>*<RO246>+K265*<RO238>+K267*<RO2T>*<RO238>+K270*<RO2T>*<RO247>+K272*<OH
!>*<MVK>+K273*<OH>*<MCR>+K274*<OH>*<MGLY>+K275*<NO3>*<MCR>+K276*<MGLY>+K277*<NO
!>*<RO248>+K278*<NO3>*<MGLY>+2.*K280*<RO2T>*<RO248>+0.28*K281*<O3>*<MVK>+0.41*K
!282*<O3>*<MCR>+0.3*K283*<O>*<MVK>+0.15*K284*<O>*<MCR>+K286*<RO2T>*<RO249>+K288
!*<NO>*<RO250>+2.*K290*<RO2T>*<RO250>+K292*<HO2>*<RO251>+K295*<HO2>*<RO252>+K29
!7*<NO>*<RO253>+2.*K298*<HO2>*<RO253>+K299*<RO2T>*<RO253>+K302*<RO2T>*<RO254>+K
!304*<OH>*<RPR1>+K305*<OH>*<RP16>+K307*<NO3>*<RPR1>+K308*<RPR1>+K309*<NO>*<RO25
!5>+2.*K311*<RO2T>*<RO255>+K312*<OH>*<RPR3>+K313*<NO3>*<RPR3>+K317*<PAN8>+K319*
!<RO2T>*<RO256>+K324*<OH>*<RPR8>+K327*<NO3>*<RPR8>+K329*<RPR8>+K330*<RPR8>+K331
!*<NO>*<RO257>+2.*K333*<RO2T>*<RO257>+K338*<NO3>*<RP16>+K342*<RO2T>*<RO258>+K34
!3*<PAN7>+K344*<NO>*<RO230>
 PPROD(:,85) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)+TPK%K049(:)*PCONC(:,15)*PCON&
&C(:,16)+TPK%K050(:)*PCONC(:,8)*PCONC(:,16)+TPK%K052(:)*TPK%O(:)*PCONC(:,16)+TP&
&K%CF2*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)+TPK%K054(:)*PCONC(:,15)*PCONC(:,17)+&
&TPK%K055(:)*PCONC(:,8)*PCONC(:,17)+0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.2&
&*TPK%K057(:)*TPK%O(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,15)*PCONC(:,19)+TPK%K059&
&(:)*PCONC(:,29)+TPK%K060(:)*PCONC(:,15)*PCONC(:,29)+TPK%K061(:)*PCONC(:,8)*PCO&
&NC(:,29)+TPK%K062(:)*PCONC(:,15)*PCONC(:,30)+2.*TPK%K063(:)*PCONC(:,30)+TPK%K0&
&64(:)*PCONC(:,15)*PCONC(:,35)+TPK%K065(:)*PCONC(:,8)*PCONC(:,35)+0.366*TPK%K06&
&6(:)*PCONC(:,3)*PCONC(:,35)+TPK%K068(:)*PCONC(:,15)*PCONC(:,38)+TPK%K069(:)*PC&
&ONC(:,15)*PCONC(:,34)+TPK%K070(:)*PCONC(:,15)*PCONC(:,31)+2.*TPK%K071(:)*PCONC&
&(:,31)+0.1*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)+TPK%K074(:)*PCONC(:,15)*PCONC(:&
&,18)+TPK%K075(:)*PCONC(:,8)*PCONC(:,18)+0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18&
&)+0.2*TPK%K077(:)*TPK%O(:)*PCONC(:,18)+TPK%K078(:)*PCONC(:,15)*PCONC(:,20)+0.0&
&6*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)+TPK%CF45*TPK%K082(:)*PCONC(:,15)*PCONC(:&
&,25)+0.1*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)+TPK%K084(:)*PCONC(:,15)*PCONC(:,3&
&6)+TPK%K085(:)*PCONC(:,8)*PCONC(:,36)+0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)&
&+TPK%K088(:)*PCONC(:,15)*PCONC(:,37)+TPK%K089(:)*PCONC(:,8)*PCONC(:,37)+0.89*T&
&PK%K090(:)*PCONC(:,3)*PCONC(:,37)+0.1*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)+TPK%&
&K093(:)*PCONC(:,15)*PCONC(:,21)+TPK%K096(:)*PCONC(:,85)*PCONC(:,85)+TPK%K097(:&
&)*TPK%RAD2(:)+TPK%K098(:)*TPK%RAD3(:)+TPK%K099(:)*TPK%RAD4(:)+TPK%K100(:)*TPK%&
&RAD5(:)+TPK%K101(:)*TPK%RAD6(:)+TPK%K102(:)*TPK%RAD7(:)+TPK%K111(:)*PCONC(:,85&
&)*PCONC(:,86)+TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)+TPK%K117(:)*PCONC(:,85)*TPK%&
&RO23(:)+TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)+TPK%K123(:)*PCONC(:,85)*PCONC(:,87&
&)+TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)+TPK%K135(:)*PCONC(:,77)+TPK%K136(:)*PCONC&
&(:,78)+TPK%K137(:)*PCONC(:,79)+TPK%K138(:)*PCONC(:,84)+1.0000000*TPK%K139(:)*P&
&CONC(:,76)+TPK%K140(:)*PCONC(:,81)+TPK%K141(:)*PCONC(:,80)+2.*TPK%K143(:)*PCON&
&C(:,85)*TPK%RO26(:)+TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)+2.*TPK%K145(:)*PCONC(:,&
&85)*TPK%RO27(:)+TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)+TPK%K147(:)*PCONC(:,1)*TPK&
&%RO28(:)+2.*TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)+TPK%K151(:)*PCONC(:,85)*TPK%RO&
&29(:)+TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)+TPK%K157(:)*PCONC(:,85)*TPK%RO211(:&
&)+TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)+TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)+2.*&
&TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)+TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)+TPK%&
&K165(:)*PCONC(:,1)*TPK%RO239(:)+2.*TPK%K167(:)*PCONC(:,85)*TPK%RO239(:)+TPK%CF&
&8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)+2.*TPK%K169(:)*PCONC(:,85)*TPK%RO214(:)+&
&TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)+TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)+TPK%&
&K174(:)*PCONC(:,1)*TPK%RO216(:)+2.*TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)+TPK%K1&
&76(:)*PCONC(:,10)*TPK%RO216(:)+TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)+TPK%K181(:&
&)*PCONC(:,85)*TPK%RO218(:)+TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)+TPK%CF18*TPK%K&
&186(:)*PCONC(:,1)*TPK%RO220(:)+2.*TPK%K187(:)*PCONC(:,85)*TPK%RO220(:)+TPK%K18&
&8(:)*PCONC(:,10)*TPK%RO220(:)+TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)+TPK%K193(:)&
&*PCONC(:,85)*TPK%RO222(:)+TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)+TPK%K199(:)*PCO&
&NC(:,85)*TPK%RO224(:)+TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)+TPK%K204(:)*PCONC(:&
&,1)*TPK%RO226(:)+2.*TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)+TPK%K206(:)*PCONC(:,1&
&0)*TPK%RO226(:)+TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)+TPK%K211(:)*PCONC(:,85)*T&
&PK%RO228(:)+TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)+2.*TPK%K214(:)*PCONC(&
&:,85)*TPK%RO229(:)+TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)+TPK%K216(:)*PCONC(:,1)&
&*TPK%RO240(:)+2.*TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)+TPK%K218(:)*PCONC(:,10)*&
&TPK%RO240(:)+2.*TPK%K219(:)*PCONC(:,85)*TPK%RO230(:)+TPK%K220(:)*PCONC(:,10)*T&
&PK%RO230(:)+TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)+TPK%CF34*TPK%K224(:)*PCONC(:,&
&1)*TPK%RO232(:)+2.*TPK%K225(:)*PCONC(:,85)*TPK%RO232(:)+TPK%K226(:)*PCONC(:,10&
&)*TPK%RO232(:)+TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)+TPK%K230(:)*TPK%RO233(:)+T&
&PK%K232(:)*PCONC(:,85)*TPK%RO233(:)+TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)+TPK%K&
&237(:)*TPK%RO234(:)+TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)+TPK%K242(:)*PCONC(:,8&
&5)*TPK%RO243(:)+TPK%K244(:)*TPK%RO235(:)+TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)+&
&TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)+TPK%K251(:)*TPK%RO236(:)+TPK%K253(:)*PCON&
&C(:,85)*TPK%RO236(:)+TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)+TPK%K258(:)*TPK%RO23&
&7(:)+TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)+TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)&
&+TPK%K265(:)*TPK%RO238(:)+TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)+TPK%K270(:)*PCO&
&NC(:,85)*TPK%RO247(:)+TPK%K272(:)*PCONC(:,15)*PCONC(:,39)+TPK%K273(:)*PCONC(:,&
&15)*PCONC(:,40)+TPK%K274(:)*PCONC(:,15)*PCONC(:,41)+TPK%K275(:)*PCONC(:,8)*PCO&
&NC(:,40)+TPK%K276(:)*PCONC(:,41)+TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)+TPK%K278(&
&:)*PCONC(:,8)*PCONC(:,41)+2.*TPK%K280(:)*PCONC(:,85)*TPK%RO248(:)+0.28*TPK%K28&
&1(:)*PCONC(:,3)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)+0.3*TPK%K2&
&83(:)*TPK%O(:)*PCONC(:,39)+0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)+TPK%K286(:)*P&
&CONC(:,85)*TPK%RO249(:)+TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)+2.*TPK%K290(:)*PCO&
&NC(:,85)*TPK%RO250(:)+TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)+TPK%K295(:)*PCONC(:&
&,10)*TPK%RO252(:)+TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)+2.*TPK%K298(:)*PCONC(:,1&
&0)*TPK%RO253(:)+TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)+TPK%K302(:)*PCONC(:,85)*T&
&PK%RO254(:)+TPK%K304(:)*PCONC(:,15)*PCONC(:,69)+TPK%K305(:)*PCONC(:,15)*PCONC(&
&:,74)+TPK%K307(:)*PCONC(:,8)*PCONC(:,69)+TPK%K308(:)*PCONC(:,69)+TPK%K309(:)*P&
&CONC(:,1)*TPK%RO255(:)+2.*TPK%K311(:)*PCONC(:,85)*TPK%RO255(:)+TPK%K312(:)*PCO&
&NC(:,15)*PCONC(:,57)+TPK%K313(:)*PCONC(:,8)*PCONC(:,57)+TPK%K317(:)*PCONC(:,83&
&)+TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)+TPK%K324(:)*PCONC(:,15)*PCONC(:,71)+TPK&
&%K327(:)*PCONC(:,8)*PCONC(:,71)+TPK%K329(:)*PCONC(:,71)+TPK%K330(:)*PCONC(:,71&
&)+TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)+2.*TPK%K333(:)*PCONC(:,85)*TPK%RO257(:)+&
&TPK%K338(:)*PCONC(:,8)*PCONC(:,74)+TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)+TPK%K3&
&43(:)*PCONC(:,82)+TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!PLOSS(RO2T) = +K094*<HO2>+K095*<NO>+K096*<RO2T>+K096*<RO2T>+K111*<RO21>+K114*<
!RO22>+K117*<RO23>+K120*<RO24>+K123*<RO25>+K143*<RO26>+K145*<RO27>+K149*<RO28>+
!K151*<RO29>+K154*<RO210>+K157*<RO211>+K160*<RO212>+K163*<RO213>+K167*<RO239>+K
!169*<RO214>+K172*<RO215>+K175*<RO216>+K178*<RO217>+K181*<RO218>+K184*<RO219>+K
!187*<RO220>+K190*<RO221>+K193*<RO222>+K196*<RO223>+K199*<RO224>+K202*<RO225>+K
!205*<RO226>+K208*<RO227>+K211*<RO228>+K214*<RO229>+K217*<RO240>+K219*<RO230>+K
!222*<RO231>+K225*<RO232>+K228*<RO241>+K232*<RO233>+K235*<RO242>+K239*<RO234>+K
!242*<RO243>+K246*<RO235>+K249*<RO244>+K253*<RO236>+K256*<RO245>+K260*<RO237>+K
!263*<RO246>+K267*<RO238>+K270*<RO247>+K280*<RO248>+K286*<RO249>+K290*<RO250>+K
!293*<RO251>+K296*<RO252>+K299*<RO253>+K302*<RO254>+K311*<RO255>+K319*<RO256>+K
!333*<RO257>+K342*<RO258>
 PLOSS(:,85) = +TPK%K094(:)*PCONC(:,10)+TPK%K095(:)*PCONC(:,1)+TPK%K096(:)*PCON&
&C(:,85)+TPK%K096(:)*PCONC(:,85)+TPK%K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:&
&)+TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(:)+TPK%K123(:)*PCONC(:,87)+TPK%&
&K143(:)*TPK%RO26(:)+TPK%K145(:)*TPK%RO27(:)+TPK%K149(:)*TPK%RO28(:)+TPK%K151(:&
&)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TP&
&K%RO212(:)+TPK%K163(:)*TPK%RO213(:)+TPK%K167(:)*TPK%RO239(:)+TPK%K169(:)*TPK%R&
&O214(:)+TPK%K172(:)*TPK%RO215(:)+TPK%K175(:)*TPK%RO216(:)+TPK%K178(:)*TPK%RO21&
&7(:)+TPK%K181(:)*TPK%RO218(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K187(:)*TPK%RO220(:&
&)+TPK%K190(:)*TPK%RO221(:)+TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)+T&
&PK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO225(:)+TPK%K205(:)*TPK%RO226(:)+TPK%&
&K208(:)*TPK%RO227(:)+TPK%K211(:)*TPK%RO228(:)+TPK%K214(:)*TPK%RO229(:)+TPK%K21&
&7(:)*TPK%RO240(:)+TPK%K219(:)*TPK%RO230(:)+TPK%K222(:)*TPK%RO231(:)+TPK%K225(:&
&)*TPK%RO232(:)+TPK%K228(:)*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)+TPK%K235(:)*T&
&PK%RO242(:)+TPK%K239(:)*TPK%RO234(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K246(:)*TPK%&
&RO235(:)+TPK%K249(:)*TPK%RO244(:)+TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*TPK%RO2&
&45(:)+TPK%K260(:)*TPK%RO237(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO238(&
&:)+TPK%K270(:)*TPK%RO247(:)+TPK%K280(:)*TPK%RO248(:)+TPK%K286(:)*TPK%RO249(:)+&
&TPK%K290(:)*TPK%RO250(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK&
&%K299(:)*TPK%RO253(:)+TPK%K302(:)*TPK%RO254(:)+TPK%K311(:)*TPK%RO255(:)+TPK%K3&
&19(:)*TPK%RO256(:)+TPK%K333(:)*TPK%RO257(:)+TPK%K342(:)*TPK%RO258(:)
!
!PPROD(RO21) = +K043*<OH>*<CH4>+0.6*K052*<O>*<ETHE>+K147*<NO>*<RO28>+K149*<RO2T
!>*<RO28>+KTC47*<WC_RO21>+KTR47*<WR_RO21>
 PPROD(:,86) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)+0.6*TPK%K052(:)*TPK%O(:)*PCO&
&NC(:,16)+TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)+TPK%K149(:)*PCONC(:,85)*TPK%RO28(:&
&)+TPK%KTC47(:)*PCONC(:,103)+TPK%KTR47(:)*PCONC(:,140)
!PLOSS(RO21) = +K110*<NO>+K111*<RO2T>+K112*<HO2>+KTC16+KTR16
 PLOSS(:,86) = +TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)+TPK%KTC16(:)+TPK%KTR16(:)
!
!PPROD(RO25) = +0.28*K056*<O3>*<OLEL>+0.1*K057*<O>*<OLEL>+K058*<OH>*<ALKL>+K059
!*<ALD2>+K063*<KETL>+K071*<KETH>+K125*<NO>*<RO26>+K143*<RO2T>*<RO26>+KTC48*<WC_
!RO25>+KTR48*<WR_RO25>
 PPROD(:,87) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)+0.1*TPK%K057(:)*TPK%O(:&
&)*PCONC(:,17)+TPK%K058(:)*PCONC(:,15)*PCONC(:,19)+TPK%K059(:)*PCONC(:,29)+TPK%&
&K063(:)*PCONC(:,30)+TPK%K071(:)*PCONC(:,31)+TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)&
&+TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)+TPK%KTC48(:)*PCONC(:,104)+TPK%KTR48(:)*PC&
&ONC(:,141)
!PLOSS(RO25) = +K122*<NO>+K123*<RO2T>+K124*<HO2>+KTC17+KTR17
 PLOSS(:,87) = +TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124(:)*PCON&
&C(:,10)+TPK%KTC17(:)+TPK%KTR17(:)
!
!PPROD(WC_O3) = +KTC1*<O3>
 PPROD(:,88) = +TPK%KTC1(:)*PCONC(:,3)
!PLOSS(WC_O3) = +KTC32+KC6*<WC_HO2>+KC25*<WC_SO2>
 PLOSS(:,88) = +TPK%KTC32(:)+TPK%KC6(:)*PCONC(:,99)+TPK%KC25(:)*PCONC(:,101)
!
!PPROD(WC_H2O2) = +KTC2*<H2O2>+KC2*<WC_OH>*<WC_OH>+KC5*<WC_HO2>*<WC_HO2>+KC29*<
!WC_RO25>*<WC_RO25>+KC37*<WC_OH>*<WC_KETL>+0.5*KC39*<WC_OH>*<WC_ORA2>+0.29*KC41
!*<WC_OH>*<WC_ACID>+0.3*KC43*<WC_OH>*<WC_UR21>+0.45*KC45*<WC_OH>*<WC_RP16>
 PPROD(:,89) = +TPK%KTC2(:)*PCONC(:,12)+TPK%KC2(:)*PCONC(:,98)*PCONC(:,98)+TPK%&
&KC5(:)*PCONC(:,99)*PCONC(:,99)+TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)+TPK%KC37(&
&:)*PCONC(:,98)*PCONC(:,112)+0.5*TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)+0.29*TPK%&
&KC41(:)*PCONC(:,98)*PCONC(:,115)+0.3*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)+0.45&
&*TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!PLOSS(WC_H2O2) = +KTC33+KC1+KC4*<WC_OH>+KC26*<WC_SO2>
 PLOSS(:,89) = +TPK%KTC33(:)+TPK%KC1(:)+TPK%KC4(:)*PCONC(:,98)+TPK%KC26(:)*PCON&
&C(:,101)
!
!PPROD(WC_NO) = +KTC3*<NO>
 PPROD(:,90) = +TPK%KTC3(:)*PCONC(:,1)
!PLOSS(WC_NO) = +KTC34
 PLOSS(:,90) = +TPK%KTC34(:)
!
RETURN
END SUBROUTINE SUB8
!
SUBROUTINE SUB9
!
!Indices 91 a 100
!
!
!PPROD(WC_NO2) = +KTC4*<NO2>+KC8*<WC_OH>*<WC_HONO>+KC10*<WC_HNO4>+KC13*<WC_HNO3
!>
 PPROD(:,91) = +TPK%KTC4(:)*PCONC(:,2)+TPK%KC8(:)*PCONC(:,98)*PCONC(:,94)+TPK%K&
&C10(:)*PCONC(:,96)+TPK%KC13(:)*PCONC(:,95)
!PLOSS(WC_NO2) = +KTC35+KC9*<WC_HO2>
 PLOSS(:,91) = +TPK%KTC35(:)+TPK%KC9(:)*PCONC(:,99)
!
!PPROD(WC_NO3) = +KTC5*<NO3>
 PPROD(:,92) = +TPK%KTC5(:)*PCONC(:,8)
!PLOSS(WC_NO3) = +KTC36+KC15*<WC_H2SO4>+KC16*<WC_SO2>
 PLOSS(:,92) = +TPK%KTC36(:)+TPK%KC15(:)*PCONC(:,102)+TPK%KC16(:)*PCONC(:,101)
!
!PPROD(WC_N2O5) = +KTC6*<N2O5>
 PPROD(:,93) = +TPK%KTC6(:)*PCONC(:,7)
!PLOSS(WC_N2O5) = +KTC37+KC14
 PLOSS(:,93) = +TPK%KTC37(:)+TPK%KC14(:)
!
!PPROD(WC_HONO) = +KTC7*<HONO>+KC11*<WC_HNO4>
 PPROD(:,94) = +TPK%KTC7(:)*PCONC(:,4)+TPK%KC11(:)*PCONC(:,96)
!PLOSS(WC_HONO) = +KTC38+KC8*<WC_OH>
 PLOSS(:,94) = +TPK%KTC38(:)+TPK%KC8(:)*PCONC(:,98)
!
!PPROD(WC_HNO3) = +KTC8*<HNO3>+KC12*<WC_SO2>*<WC_HNO4>+KC14*<WC_N2O5>+KC14*<WC_
!N2O5>+KC15*<WC_H2SO4>*<WC_NO3>+KC16*<WC_SO2>*<WC_NO3>
 PPROD(:,95) = +TPK%KTC8(:)*PCONC(:,5)+TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)+TPK&
&%KC14(:)*PCONC(:,93)+TPK%KC14(:)*PCONC(:,93)+TPK%KC15(:)*PCONC(:,102)*PCONC(:,&
&92)+TPK%KC16(:)*PCONC(:,101)*PCONC(:,92)
!PLOSS(WC_HNO3) = +KTC39+KC13
 PLOSS(:,95) = +TPK%KTC39(:)+TPK%KC13(:)
!
!PPROD(WC_HNO4) = +KTC9*<HNO4>+KC9*<WC_HO2>*<WC_NO2>
 PPROD(:,96) = +TPK%KTC9(:)*PCONC(:,6)+TPK%KC9(:)*PCONC(:,99)*PCONC(:,91)
!PLOSS(WC_HNO4) = +KTC40+KC10+KC11+KC12*<WC_SO2>
 PLOSS(:,96) = +TPK%KTC40(:)+TPK%KC10(:)+TPK%KC11(:)+TPK%KC12(:)*PCONC(:,101)
!
!PPROD(WC_NH3) = +KTC10*<NH3>
 PPROD(:,97) = +TPK%KTC10(:)*PCONC(:,9)
!PLOSS(WC_NH3) = +KTC41
 PLOSS(:,97) = +TPK%KTC41(:)
!
!PPROD(WC_OH) = +KTC11*<OH>+KC1*<WC_H2O2>+KC1*<WC_H2O2>+KC6*<WC_HO2>*<WC_O3>+KC
!13*<WC_HNO3>+KC24*<WC_ASO4>
 PPROD(:,98) = +TPK%KTC11(:)*PCONC(:,15)+TPK%KC1(:)*PCONC(:,89)+TPK%KC1(:)*PCON&
&C(:,89)+TPK%KC6(:)*PCONC(:,99)*PCONC(:,88)+TPK%KC13(:)*PCONC(:,95)+TPK%KC24(:)&
&*PCONC(:,121)
!PLOSS(WC_OH) = +KTC42+KC2*<WC_OH>+KC2*<WC_OH>+KC3*<WC_HO2>+KC4*<WC_H2O2>+KC7*<
!WC_SO2>+KC8*<WC_HONO>+KC19*<WC_AHMS>+KC30*<WC_MEOH>+KC31*<WC_ETOH>+KC32*<WC_AL
!CH>+KC33*<WC_HCHO>+KC34*<WC_ALD2>+KC35*<WC_GLY>+KC36*<WC_MGLY>+KC37*<WC_KETL>+
!KC38*<WC_ORA1>+KC39*<WC_ORA2>+KC40*<WC_ACID>+KC41*<WC_ACID>+KC42*<WC_UR28>+KC4
!3*<WC_UR21>+KC44*<WC_RP16>+KC45*<WC_RP16>+KC46*<WC_ACID2>
 PLOSS(:,98) = +TPK%KTC42(:)+TPK%KC2(:)*PCONC(:,98)+TPK%KC2(:)*PCONC(:,98)+TPK%&
&KC3(:)*PCONC(:,99)+TPK%KC4(:)*PCONC(:,89)+TPK%KC7(:)*PCONC(:,101)+TPK%KC8(:)*P&
&CONC(:,94)+TPK%KC19(:)*PCONC(:,124)+TPK%KC30(:)*PCONC(:,105)+TPK%KC31(:)*PCONC&
&(:,106)+TPK%KC32(:)*PCONC(:,107)+TPK%KC33(:)*PCONC(:,108)+TPK%KC34(:)*PCONC(:,&
&109)+TPK%KC35(:)*PCONC(:,110)+TPK%KC36(:)*PCONC(:,111)+TPK%KC37(:)*PCONC(:,112&
&)+TPK%KC38(:)*PCONC(:,113)+TPK%KC39(:)*PCONC(:,114)+TPK%KC40(:)*PCONC(:,115)+T&
&PK%KC41(:)*PCONC(:,115)+TPK%KC42(:)*PCONC(:,118)+TPK%KC43(:)*PCONC(:,117)+TPK%&
&KC44(:)*PCONC(:,116)+TPK%KC45(:)*PCONC(:,116)+TPK%KC46(:)*PCONC(:,119)
!
!PPROD(WC_HO2) = +KTC12*<HO2>+KC4*<WC_OH>*<WC_H2O2>+KC10*<WC_HNO4>+KC19*<WC_OH>
!*<WC_AHMS>+2.00*KC27*<WC_RO21>*<WC_RO21>+KC29*<WC_RO25>*<WC_RO25>+KC30*<WC_OH>
!*<WC_MEOH>+KC31*<WC_OH>*<WC_ETOH>+KC32*<WC_OH>*<WC_ALCH>+KC33*<WC_OH>*<WC_HCHO
!>+KC35*<WC_OH>*<WC_GLY>+KC36*<WC_OH>*<WC_MGLY>+KC37*<WC_OH>*<WC_KETL>+KC38*<WC
!_OH>*<WC_ORA1>+0.11*KC41*<WC_OH>*<WC_ACID>+KC42*<WC_OH>*<WC_UR28>+0.81*KC43*<W
!C_OH>*<WC_UR21>+KC44*<WC_OH>*<WC_RP16>+0.71*KC45*<WC_OH>*<WC_RP16>
 PPROD(:,99) = +TPK%KTC12(:)*PCONC(:,10)+TPK%KC4(:)*PCONC(:,98)*PCONC(:,89)+TPK&
&%KC10(:)*PCONC(:,96)+TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)+2.00*TPK%KC27(:)*PCO&
&NC(:,103)*PCONC(:,103)+TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)+TPK%KC30(:)*PCONC&
&(:,98)*PCONC(:,105)+TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)+TPK%KC32(:)*PCONC(:,9&
&8)*PCONC(:,107)+TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)+TPK%KC35(:)*PCONC(:,98)*P&
&CONC(:,110)+TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)+TPK%KC37(:)*PCONC(:,98)*PCONC&
&(:,112)+TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)+0.11*TPK%KC41(:)*PCONC(:,98)*PCON&
&C(:,115)+TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)+0.81*TPK%KC43(:)*PCONC(:,98)*PCO&
&NC(:,117)+TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)+0.71*TPK%KC45(:)*PCONC(:,98)*PC&
&ONC(:,116)
!PLOSS(WC_HO2) = +KTC43+KC3*<WC_OH>+KC5*<WC_HO2>+KC5*<WC_HO2>+KC6*<WC_O3>+KC9*<
!WC_NO2>+KC21*<WC_ASO5>
 PLOSS(:,99) = +TPK%KTC43(:)+TPK%KC3(:)*PCONC(:,98)+TPK%KC5(:)*PCONC(:,99)+TPK%&
&KC5(:)*PCONC(:,99)+TPK%KC6(:)*PCONC(:,88)+TPK%KC9(:)*PCONC(:,91)+TPK%KC21(:)*P&
&CONC(:,122)
!
!PPROD(WC_CO2) = +KTC13*<CO2>+KC34*<WC_OH>*<WC_ALD2>+KC37*<WC_OH>*<WC_KETL>+KC3
!8*<WC_OH>*<WC_ORA1>+KC40*<WC_OH>*<WC_ACID>+2*KC42*<WC_OH>*<WC_UR28>+0.43*KC43*
!<WC_OH>*<WC_UR21>+2*KC45*<WC_OH>*<WC_RP16>
 PPROD(:,100) = +TPK%KTC13(:)*TPK%CO2(:)+TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)+T&
&PK%KC37(:)*PCONC(:,98)*PCONC(:,112)+TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)+TPK%K&
&C40(:)*PCONC(:,98)*PCONC(:,115)+2*TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)+0.43*TP&
&K%KC43(:)*PCONC(:,98)*PCONC(:,117)+2*TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!PLOSS(WC_CO2) = +KTC44
 PLOSS(:,100) = +TPK%KTC44(:)
!
RETURN
END SUBROUTINE SUB9
!
SUBROUTINE SUB10
!
!Indices 101 a 110
!
!
!PPROD(WC_SO2) = +KTC14*<SO2>+KC18*<WC_AHMS>+KC19*<WC_OH>*<WC_AHMS>
 PPROD(:,101) = +TPK%KTC14(:)*PCONC(:,13)+TPK%KC18(:)*PCONC(:,124)+TPK%KC19(:)*&
&PCONC(:,98)*PCONC(:,124)
!PLOSS(WC_SO2) = +KTC45+KC7*<WC_OH>+KC12*<WC_HNO4>+KC16*<WC_NO3>+KC17*<WC_HCHO>
!+KC23*<WC_AHSO5>+KC25*<WC_O3>+KC26*<WC_H2O2>+KC28*<WC_RO21>
 PLOSS(:,101) = +TPK%KTC45(:)+TPK%KC7(:)*PCONC(:,98)+TPK%KC12(:)*PCONC(:,96)+TP&
&K%KC16(:)*PCONC(:,92)+TPK%KC17(:)*PCONC(:,108)+TPK%KC23(:)*PCONC(:,123)+TPK%KC&
&25(:)*PCONC(:,88)+TPK%KC26(:)*PCONC(:,89)+TPK%KC28(:)*PCONC(:,103)
!
!PPROD(WC_H2SO4) = +KTC15*<H2SO4>+KC12*<WC_SO2>*<WC_HNO4>+2.00*KC23*<WC_SO2>*<W
!C_AHSO5>+KC24*<WC_ASO4>+KC25*<WC_O3>*<WC_SO2>+KC26*<WC_H2O2>*<WC_SO2>
 PPROD(:,102) = +TPK%KTC15(:)*PCONC(:,14)+TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)+&
&2.00*TPK%KC23(:)*PCONC(:,101)*PCONC(:,123)+TPK%KC24(:)*PCONC(:,121)+TPK%KC25(:&
&)*PCONC(:,88)*PCONC(:,101)+TPK%KC26(:)*PCONC(:,89)*PCONC(:,101)
!PLOSS(WC_H2SO4) = +KTC46+KC15*<WC_NO3>
 PLOSS(:,102) = +TPK%KTC46(:)+TPK%KC15(:)*PCONC(:,92)
!
!PPROD(WC_RO21) = +KTC16*<RO21>+0.50*KC34*<WC_OH>*<WC_ALD2>+KC37*<WC_OH>*<WC_KE
!TL>
 PPROD(:,103) = +TPK%KTC16(:)*PCONC(:,86)+0.50*TPK%KC34(:)*PCONC(:,98)*PCONC(:,&
&109)+TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!PLOSS(WC_RO21) = +KTC47+KC27*<WC_RO21>+KC27*<WC_RO21>+KC28*<WC_SO2>
 PLOSS(:,103) = +TPK%KTC47(:)+TPK%KC27(:)*PCONC(:,103)+TPK%KC27(:)*PCONC(:,103)&
&+TPK%KC28(:)*PCONC(:,101)
!
!PPROD(WC_RO25) = +KTC17*<RO25>+0.50*KC34*<WC_OH>*<WC_ALD2>+KC40*<WC_OH>*<WC_AC
!ID>
 PPROD(:,104) = +TPK%KTC17(:)*PCONC(:,87)+0.50*TPK%KC34(:)*PCONC(:,98)*PCONC(:,&
&109)+TPK%KC40(:)*PCONC(:,98)*PCONC(:,115)
!PLOSS(WC_RO25) = +KTC48+KC29*<WC_RO25>+KC29*<WC_RO25>
 PLOSS(:,104) = +TPK%KTC48(:)+TPK%KC29(:)*PCONC(:,104)+TPK%KC29(:)*PCONC(:,104)
!
!PPROD(WC_MEOH) = +KTC18*<MEOH>
 PPROD(:,105) = +TPK%KTC18(:)*PCONC(:,32)
!PLOSS(WC_MEOH) = +KTC49+KC30*<WC_OH>
 PLOSS(:,105) = +TPK%KTC49(:)+TPK%KC30(:)*PCONC(:,98)
!
!PPROD(WC_ETOH) = +KTC19*<ETOH>
 PPROD(:,106) = +TPK%KTC19(:)*PCONC(:,33)
!PLOSS(WC_ETOH) = +KTC50+KC31*<WC_OH>
 PLOSS(:,106) = +TPK%KTC50(:)+TPK%KC31(:)*PCONC(:,98)
!
!PPROD(WC_ALCH) = +KTC20*<ALCH>
 PPROD(:,107) = +TPK%KTC20(:)*PCONC(:,34)
!PLOSS(WC_ALCH) = +KTC51+KC32*<WC_OH>
 PLOSS(:,107) = +TPK%KTC51(:)+TPK%KC32(:)*PCONC(:,98)
!
!PPROD(WC_HCHO) = +KTC21*<HCHO>+KC18*<WC_AHMS>+2.00*KC27*<WC_RO21>*<WC_RO21>+KC
!28*<WC_SO2>*<WC_RO21>+KC30*<WC_OH>*<WC_MEOH>+KC37*<WC_OH>*<WC_KETL>
 PPROD(:,108) = +TPK%KTC21(:)*PCONC(:,28)+TPK%KC18(:)*PCONC(:,124)+2.00*TPK%KC2&
&7(:)*PCONC(:,103)*PCONC(:,103)+TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)+TPK%KC30(&
&:)*PCONC(:,98)*PCONC(:,105)+TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!PLOSS(WC_HCHO) = +KTC52+KC17*<WC_SO2>+KC33*<WC_OH>
 PLOSS(:,108) = +TPK%KTC52(:)+TPK%KC17(:)*PCONC(:,101)+TPK%KC33(:)*PCONC(:,98)
!
!PPROD(WC_ALD2) = +KTC22*<ALD2>+KC29*<WC_RO25>*<WC_RO25>+KC31*<WC_OH>*<WC_ETOH>
!+0.50*KC32*<WC_OH>*<WC_ALCH>+KC37*<WC_OH>*<WC_KETL>+0.29*KC41*<WC_OH>*<WC_ACID
!>+0.43*KC43*<WC_OH>*<WC_UR21>
 PPROD(:,109) = +TPK%KTC22(:)*PCONC(:,29)+TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)&
&+TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)+0.50*TPK%KC32(:)*PCONC(:,98)*PCONC(:,107&
&)+TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)+0.29*TPK%KC41(:)*PCONC(:,98)*PCONC(:,11&
&5)+0.43*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!PLOSS(WC_ALD2) = +KTC53+KC34*<WC_OH>
 PLOSS(:,109) = +TPK%KTC53(:)+TPK%KC34(:)*PCONC(:,98)
!
!PPROD(WC_GLY) = +KTC23*<GLY>
 PPROD(:,110) = +TPK%KTC23(:)*PCONC(:,42)
!PLOSS(WC_GLY) = +KTC54+KC35*<WC_OH>
 PLOSS(:,110) = +TPK%KTC54(:)+TPK%KC35(:)*PCONC(:,98)
!
RETURN
END SUBROUTINE SUB10
!
SUBROUTINE SUB11
!
!Indices 111 a 120
!
!
!PPROD(WC_MGLY) = +KTC25*<MGLY>+KC37*<WC_OH>*<WC_KETL>
 PPROD(:,111) = +TPK%KTC25(:)*PCONC(:,41)+TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!PLOSS(WC_MGLY) = +KTC56+KC36*<WC_OH>
 PLOSS(:,111) = +TPK%KTC56(:)+TPK%KC36(:)*PCONC(:,98)
!
!PPROD(WC_KETL) = +KTC24*<KETL>+0.50*KC32*<WC_OH>*<WC_ALCH>+KC37*<WC_OH>*<WC_KE
!TL>
 PPROD(:,112) = +TPK%KTC24(:)*PCONC(:,30)+0.50*TPK%KC32(:)*PCONC(:,98)*PCONC(:,&
&107)+TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!PLOSS(WC_KETL) = +KTC55+KC37*<WC_OH>
 PLOSS(:,112) = +TPK%KTC55(:)+TPK%KC37(:)*PCONC(:,98)
!
!PPROD(WC_ORA1) = +KTC26*<ORA1>+KC19*<WC_OH>*<WC_AHMS>+KC33*<WC_OH>*<WC_HCHO>
 PPROD(:,113) = +TPK%KTC26(:)*PCONC(:,43)+TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)+&
&TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)
!PLOSS(WC_ORA1) = +KTC57+KC38*<WC_OH>
 PLOSS(:,113) = +TPK%KTC57(:)+TPK%KC38(:)*PCONC(:,98)
!
!PPROD(WC_ORA2) = +KTC27*<ORA2>+KC29*<WC_RO25>*<WC_RO25>
 PPROD(:,114) = +TPK%KTC27(:)*PCONC(:,44)+TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!PLOSS(WC_ORA2) = +KTC58+KC39*<WC_OH>
 PLOSS(:,114) = +TPK%KTC58(:)+TPK%KC39(:)*PCONC(:,98)
!
!PPROD(WC_ACID) = +KTC28*<ACID>
 PPROD(:,115) = +TPK%KTC28(:)*PCONC(:,45)
!PLOSS(WC_ACID) = +KTC59+KC40*<WC_OH>+KC41*<WC_OH>
 PLOSS(:,115) = +TPK%KTC59(:)+TPK%KC40(:)*PCONC(:,98)+TPK%KC41(:)*PCONC(:,98)
!
!PPROD(WC_RP16) = +KTC29*<RP16>+KC35*<WC_OH>*<WC_GLY>+KC39*<WC_OH>*<WC_ORA2>
 PPROD(:,116) = +TPK%KTC29(:)*PCONC(:,74)+TPK%KC35(:)*PCONC(:,98)*PCONC(:,110)+&
&TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)
!PLOSS(WC_RP16) = +KTC60+KC44*<WC_OH>+KC45*<WC_OH>
 PLOSS(:,116) = +TPK%KTC60(:)+TPK%KC44(:)*PCONC(:,98)+TPK%KC45(:)*PCONC(:,98)
!
!PPROD(WC_UR21) = +KTC30*<UR21>+KC36*<WC_OH>*<WC_MGLY>+KC37*<WC_OH>*<WC_KETL>+0
!.56*KC41*<WC_OH>*<WC_ACID>
 PPROD(:,117) = +TPK%KTC30(:)*PCONC(:,47)+TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)+&
&TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)+0.56*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!PLOSS(WC_UR21) = +KTC61+KC43*<WC_OH>
 PLOSS(:,117) = +TPK%KTC61(:)+TPK%KC43(:)*PCONC(:,98)
!
!PPROD(WC_UR28) = +KTC31*<UR28>+KC44*<WC_OH>*<WC_RP16>
 PPROD(:,118) = +TPK%KTC31(:)*PCONC(:,46)+TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)
!PLOSS(WC_UR28) = +KTC62+KC42*<WC_OH>
 PLOSS(:,118) = +TPK%KTC62(:)+TPK%KC42(:)*PCONC(:,98)
!
!PPROD(WC_ACID2) = +0.15*KC41*<WC_OH>*<WC_ACID>+0.56*KC43*<WC_OH>*<WC_UR21>
 PPROD(:,119) = +0.15*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)+0.56*TPK%KC43(:)*PCO&
&NC(:,98)*PCONC(:,117)
!PLOSS(WC_ACID2) = +KC46*<WC_OH>
 PLOSS(:,119) = +TPK%KC46(:)*PCONC(:,98)
!
!PPROD(WC_ASO3) = +KC7*<WC_SO2>*<WC_OH>+KC16*<WC_SO2>*<WC_NO3>+KC28*<WC_SO2>*<W
!C_RO21>
 PPROD(:,120) = +TPK%KC7(:)*PCONC(:,101)*PCONC(:,98)+TPK%KC16(:)*PCONC(:,101)*P&
&CONC(:,92)+TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)
!PLOSS(WC_ASO3) = +KC20*<W_O2>
 PLOSS(:,120) = +TPK%KC20(:)*TPK%W_O2(:)
!
RETURN
END SUBROUTINE SUB11
!
SUBROUTINE SUB12
!
!Indices 121 a 130
!
!
!PPROD(WC_ASO4) = +KC15*<WC_H2SO4>*<WC_NO3>+KC22*<WC_ASO5>*<WC_ASO5>+KC22*<WC_A
!SO5>*<WC_ASO5>
 PPROD(:,121) = +TPK%KC15(:)*PCONC(:,102)*PCONC(:,92)+TPK%KC22(:)*PCONC(:,122)*&
&PCONC(:,122)+TPK%KC22(:)*PCONC(:,122)*PCONC(:,122)
!PLOSS(WC_ASO4) = +KC24
 PLOSS(:,121) = +TPK%KC24(:)
!
!PPROD(WC_ASO5) = +KC20*<W_O2>*<WC_ASO3>
 PPROD(:,122) = +TPK%KC20(:)*TPK%W_O2(:)*PCONC(:,120)
!PLOSS(WC_ASO5) = +KC21*<WC_HO2>+KC22*<WC_ASO5>+KC22*<WC_ASO5>
 PLOSS(:,122) = +TPK%KC21(:)*PCONC(:,99)+TPK%KC22(:)*PCONC(:,122)+TPK%KC22(:)*P&
&CONC(:,122)
!
!PPROD(WC_AHSO5) = +KC21*<WC_HO2>*<WC_ASO5>
 PPROD(:,123) = +TPK%KC21(:)*PCONC(:,99)*PCONC(:,122)
!PLOSS(WC_AHSO5) = +KC23*<WC_SO2>
 PLOSS(:,123) = +TPK%KC23(:)*PCONC(:,101)
!
!PPROD(WC_AHMS) = +KC17*<WC_HCHO>*<WC_SO2>
 PPROD(:,124) = +TPK%KC17(:)*PCONC(:,108)*PCONC(:,101)
!PLOSS(WC_AHMS) = +KC18+KC19*<WC_OH>
 PLOSS(:,124) = +TPK%KC18(:)+TPK%KC19(:)*PCONC(:,98)
!
!PPROD(WR_O3) = +KTR1*<O3>
 PPROD(:,125) = +TPK%KTR1(:)*PCONC(:,3)
!PLOSS(WR_O3) = +KTR32+KR6*<WR_HO2>+KR25*<WR_SO2>
 PLOSS(:,125) = +TPK%KTR32(:)+TPK%KR6(:)*PCONC(:,136)+TPK%KR25(:)*PCONC(:,138)
!
!PPROD(WR_H2O2) = +KTR2*<H2O2>+KR2*<WR_OH>*<WR_OH>+KR5*<WR_HO2>*<WR_HO2>+KR29*<
!WR_RO25>*<WR_RO25>+KR37*<WR_OH>*<WR_KETL>+0.5*KR39*<WR_OH>*<WR_ORA2>+0.29*KR41
!*<WR_OH>*<WR_ACID>+0.3*KR43*<WR_OH>*<WR_UR21>+0.45*KR45*<WR_OH>*<WR_RP16>
 PPROD(:,126) = +TPK%KTR2(:)*PCONC(:,12)+TPK%KR2(:)*PCONC(:,135)*PCONC(:,135)+T&
&PK%KR5(:)*PCONC(:,136)*PCONC(:,136)+TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)+TPK%&
&KR37(:)*PCONC(:,135)*PCONC(:,149)+0.5*TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)+0.&
&29*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)+0.3*TPK%KR43(:)*PCONC(:,135)*PCONC(:,&
&154)+0.45*TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!PLOSS(WR_H2O2) = +KTR33+KR1+KR4*<WR_OH>+KR26*<WR_SO2>
 PLOSS(:,126) = +TPK%KTR33(:)+TPK%KR1(:)+TPK%KR4(:)*PCONC(:,135)+TPK%KR26(:)*PC&
&ONC(:,138)
!
!PPROD(WR_NO) = +KTR3*<NO>
 PPROD(:,127) = +TPK%KTR3(:)*PCONC(:,1)
!PLOSS(WR_NO) = +KTR34
 PLOSS(:,127) = +TPK%KTR34(:)
!
!PPROD(WR_NO2) = +KTR4*<NO2>+KR8*<WR_OH>*<WR_HONO>+KR10*<WR_HNO4>+KR13*<WR_HNO3
!>
 PPROD(:,128) = +TPK%KTR4(:)*PCONC(:,2)+TPK%KR8(:)*PCONC(:,135)*PCONC(:,131)+TP&
&K%KR10(:)*PCONC(:,133)+TPK%KR13(:)*PCONC(:,132)
!PLOSS(WR_NO2) = +KTR35+KR9*<WR_HO2>
 PLOSS(:,128) = +TPK%KTR35(:)+TPK%KR9(:)*PCONC(:,136)
!
!PPROD(WR_NO3) = +KTR5*<NO3>
 PPROD(:,129) = +TPK%KTR5(:)*PCONC(:,8)
!PLOSS(WR_NO3) = +KTR36+KR15*<WR_H2SO4>+KR16*<WR_SO2>
 PLOSS(:,129) = +TPK%KTR36(:)+TPK%KR15(:)*PCONC(:,139)+TPK%KR16(:)*PCONC(:,138)
!
!PPROD(WR_N2O5) = +KTR6*<N2O5>
 PPROD(:,130) = +TPK%KTR6(:)*PCONC(:,7)
!PLOSS(WR_N2O5) = +KTR37+KR14
 PLOSS(:,130) = +TPK%KTR37(:)+TPK%KR14(:)
!
RETURN
END SUBROUTINE SUB12
!
SUBROUTINE SUB13
!
!Indices 131 a 140
!
!
!PPROD(WR_HONO) = +KTR7*<HONO>+KR11*<WR_HNO4>
 PPROD(:,131) = +TPK%KTR7(:)*PCONC(:,4)+TPK%KR11(:)*PCONC(:,133)
!PLOSS(WR_HONO) = +KTR38+KR8*<WR_OH>
 PLOSS(:,131) = +TPK%KTR38(:)+TPK%KR8(:)*PCONC(:,135)
!
!PPROD(WR_HNO3) = +KTR8*<HNO3>+KR12*<WR_SO2>*<WR_HNO4>+KR14*<WR_N2O5>+KR14*<WR_
!N2O5>+KR15*<WR_H2SO4>*<WR_NO3>+KR16*<WR_SO2>*<WR_NO3>
 PPROD(:,132) = +TPK%KTR8(:)*PCONC(:,5)+TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)+T&
&PK%KR14(:)*PCONC(:,130)+TPK%KR14(:)*PCONC(:,130)+TPK%KR15(:)*PCONC(:,139)*PCON&
&C(:,129)+TPK%KR16(:)*PCONC(:,138)*PCONC(:,129)
!PLOSS(WR_HNO3) = +KTR39+KR13
 PLOSS(:,132) = +TPK%KTR39(:)+TPK%KR13(:)
!
!PPROD(WR_HNO4) = +KTR9*<HNO4>+KR9*<WR_HO2>*<WR_NO2>
 PPROD(:,133) = +TPK%KTR9(:)*PCONC(:,6)+TPK%KR9(:)*PCONC(:,136)*PCONC(:,128)
!PLOSS(WR_HNO4) = +KTR40+KR10+KR11+KR12*<WR_SO2>
 PLOSS(:,133) = +TPK%KTR40(:)+TPK%KR10(:)+TPK%KR11(:)+TPK%KR12(:)*PCONC(:,138)
!
!PPROD(WR_NH3) = +KTR10*<NH3>
 PPROD(:,134) = +TPK%KTR10(:)*PCONC(:,9)
!PLOSS(WR_NH3) = +KTR41
 PLOSS(:,134) = +TPK%KTR41(:)
!
!PPROD(WR_OH) = +KTR11*<OH>+KR1*<WR_H2O2>+KR1*<WR_H2O2>+KR6*<WR_HO2>*<WR_O3>+KR
!13*<WR_HNO3>+KR24*<WR_ASO4>
 PPROD(:,135) = +TPK%KTR11(:)*PCONC(:,15)+TPK%KR1(:)*PCONC(:,126)+TPK%KR1(:)*PC&
&ONC(:,126)+TPK%KR6(:)*PCONC(:,136)*PCONC(:,125)+TPK%KR13(:)*PCONC(:,132)+TPK%K&
&R24(:)*PCONC(:,158)
!PLOSS(WR_OH) = +KTR42+KR2*<WR_OH>+KR2*<WR_OH>+KR3*<WR_HO2>+KR4*<WR_H2O2>+KR7*<
!WR_SO2>+KR8*<WR_HONO>+KR19*<WR_AHMS>+KR30*<WR_MEOH>+KR31*<WR_ETOH>+KR32*<WR_AL
!CH>+KR33*<WR_HCHO>+KR34*<WR_ALD2>+KR35*<WR_GLY>+KR36*<WR_MGLY>+KR37*<WR_KETL>+
!KR38*<WR_ORA1>+KR39*<WR_ORA2>+KR40*<WR_ACID>+KR41*<WR_ACID>+KR42*<WR_UR28>+KR4
!3*<WR_UR21>+KR44*<WR_RP16>+KR45*<WR_RP16>+KR46*<WR_ACID2>
 PLOSS(:,135) = +TPK%KTR42(:)+TPK%KR2(:)*PCONC(:,135)+TPK%KR2(:)*PCONC(:,135)+T&
&PK%KR3(:)*PCONC(:,136)+TPK%KR4(:)*PCONC(:,126)+TPK%KR7(:)*PCONC(:,138)+TPK%KR8&
&(:)*PCONC(:,131)+TPK%KR19(:)*PCONC(:,161)+TPK%KR30(:)*PCONC(:,142)+TPK%KR31(:)&
&*PCONC(:,143)+TPK%KR32(:)*PCONC(:,144)+TPK%KR33(:)*PCONC(:,145)+TPK%KR34(:)*PC&
&ONC(:,146)+TPK%KR35(:)*PCONC(:,147)+TPK%KR36(:)*PCONC(:,148)+TPK%KR37(:)*PCONC&
&(:,149)+TPK%KR38(:)*PCONC(:,150)+TPK%KR39(:)*PCONC(:,151)+TPK%KR40(:)*PCONC(:,&
&152)+TPK%KR41(:)*PCONC(:,152)+TPK%KR42(:)*PCONC(:,155)+TPK%KR43(:)*PCONC(:,154&
&)+TPK%KR44(:)*PCONC(:,153)+TPK%KR45(:)*PCONC(:,153)+TPK%KR46(:)*PCONC(:,156)
!
!PPROD(WR_HO2) = +KTR12*<HO2>+KR4*<WR_OH>*<WR_H2O2>+KR10*<WR_HNO4>+KR19*<WR_OH>
!*<WR_AHMS>+2.00*KR27*<WR_RO21>*<WR_RO21>+KR29*<WR_RO25>*<WR_RO25>+KR30*<WR_OH>
!*<WR_MEOH>+KR31*<WR_OH>*<WR_ETOH>+KR32*<WR_OH>*<WR_ALCH>+KR33*<WR_OH>*<WR_HCHO
!>+KR35*<WR_OH>*<WR_GLY>+KR36*<WR_OH>*<WR_MGLY>+KR37*<WR_OH>*<WR_KETL>+KR38*<WR
!_OH>*<WR_ORA1>+0.11*KR41*<WR_OH>*<WR_ACID>+KR42*<WR_OH>*<WR_UR28>+0.81*KR43*<W
!R_OH>*<WR_UR21>+KR44*<WR_OH>*<WR_RP16>+0.71*KR45*<WR_OH>*<WR_RP16>
 PPROD(:,136) = +TPK%KTR12(:)*PCONC(:,10)+TPK%KR4(:)*PCONC(:,135)*PCONC(:,126)+&
&TPK%KR10(:)*PCONC(:,133)+TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)+2.00*TPK%KR27(:&
&)*PCONC(:,140)*PCONC(:,140)+TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)+TPK%KR30(:)*&
&PCONC(:,135)*PCONC(:,142)+TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)+TPK%KR32(:)*PC&
&ONC(:,135)*PCONC(:,144)+TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)+TPK%KR35(:)*PCON&
&C(:,135)*PCONC(:,147)+TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)+TPK%KR37(:)*PCONC(&
&:,135)*PCONC(:,149)+TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)+0.11*TPK%KR41(:)*PCO&
&NC(:,135)*PCONC(:,152)+TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)+0.81*TPK%KR43(:)*&
&PCONC(:,135)*PCONC(:,154)+TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)+0.71*TPK%KR45(&
&:)*PCONC(:,135)*PCONC(:,153)
!PLOSS(WR_HO2) = +KTR43+KR3*<WR_OH>+KR5*<WR_HO2>+KR5*<WR_HO2>+KR6*<WR_O3>+KR9*<
!WR_NO2>+KR21*<WR_ASO5>
 PLOSS(:,136) = +TPK%KTR43(:)+TPK%KR3(:)*PCONC(:,135)+TPK%KR5(:)*PCONC(:,136)+T&
&PK%KR5(:)*PCONC(:,136)+TPK%KR6(:)*PCONC(:,125)+TPK%KR9(:)*PCONC(:,128)+TPK%KR2&
&1(:)*PCONC(:,159)
!
!PPROD(WR_CO2) = +KTR13*<CO2>+KR34*<WR_OH>*<WR_ALD2>+KR37*<WR_OH>*<WR_KETL>+KR3
!8*<WR_OH>*<WR_ORA1>+KR40*<WR_OH>*<WR_ACID>+2*KR42*<WR_OH>*<WR_UR28>+0.43*KR43*
!<WR_OH>*<WR_UR21>+2*KR45*<WR_OH>*<WR_RP16>
 PPROD(:,137) = +TPK%KTR13(:)*TPK%CO2(:)+TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)+&
&TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)+TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)+TP&
&K%KR40(:)*PCONC(:,135)*PCONC(:,152)+2*TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)+0.&
&43*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)+2*TPK%KR45(:)*PCONC(:,135)*PCONC(:,15&
&3)
!PLOSS(WR_CO2) = +KTR44
 PLOSS(:,137) = +TPK%KTR44(:)
!
!PPROD(WR_SO2) = +KTR14*<SO2>+KR18*<WR_AHMS>+KR19*<WR_OH>*<WR_AHMS>
 PPROD(:,138) = +TPK%KTR14(:)*PCONC(:,13)+TPK%KR18(:)*PCONC(:,161)+TPK%KR19(:)*&
&PCONC(:,135)*PCONC(:,161)
!PLOSS(WR_SO2) = +KTR45+KR7*<WR_OH>+KR12*<WR_HNO4>+KR16*<WR_NO3>+KR17*<WR_HCHO>
!+KR23*<WR_AHSO5>+KR25*<WR_O3>+KR26*<WR_H2O2>+KR28*<WR_RO21>
 PLOSS(:,138) = +TPK%KTR45(:)+TPK%KR7(:)*PCONC(:,135)+TPK%KR12(:)*PCONC(:,133)+&
&TPK%KR16(:)*PCONC(:,129)+TPK%KR17(:)*PCONC(:,145)+TPK%KR23(:)*PCONC(:,160)+TPK&
&%KR25(:)*PCONC(:,125)+TPK%KR26(:)*PCONC(:,126)+TPK%KR28(:)*PCONC(:,140)
!
!PPROD(WR_H2SO4) = +KTR15*<H2SO4>+KR12*<WR_SO2>*<WR_HNO4>+2.00*KR23*<WR_SO2>*<W
!R_AHSO5>+KR24*<WR_ASO4>+KR25*<WR_O3>*<WR_SO2>+KR26*<WR_H2O2>*<WR_SO2>
 PPROD(:,139) = +TPK%KTR15(:)*PCONC(:,14)+TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)&
&+2.00*TPK%KR23(:)*PCONC(:,138)*PCONC(:,160)+TPK%KR24(:)*PCONC(:,158)+TPK%KR25(&
&:)*PCONC(:,125)*PCONC(:,138)+TPK%KR26(:)*PCONC(:,126)*PCONC(:,138)
!PLOSS(WR_H2SO4) = +KTR46+KR15*<WR_NO3>
 PLOSS(:,139) = +TPK%KTR46(:)+TPK%KR15(:)*PCONC(:,129)
!
!PPROD(WR_RO21) = +KTR16*<RO21>+0.50*KR34*<WR_OH>*<WR_ALD2>+KR37*<WR_OH>*<WR_KE
!TL>
 PPROD(:,140) = +TPK%KTR16(:)*PCONC(:,86)+0.50*TPK%KR34(:)*PCONC(:,135)*PCONC(:&
&,146)+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!PLOSS(WR_RO21) = +KTR47+KR27*<WR_RO21>+KR27*<WR_RO21>+KR28*<WR_SO2>
 PLOSS(:,140) = +TPK%KTR47(:)+TPK%KR27(:)*PCONC(:,140)+TPK%KR27(:)*PCONC(:,140)&
&+TPK%KR28(:)*PCONC(:,138)
!
RETURN
END SUBROUTINE SUB13
!
SUBROUTINE SUB14
!
!Indices 141 a 150
!
!
!PPROD(WR_RO25) = +KTR17*<RO25>+0.50*KR34*<WR_OH>*<WR_ALD2>+KR40*<WR_OH>*<WR_AC
!ID>
 PPROD(:,141) = +TPK%KTR17(:)*PCONC(:,87)+0.50*TPK%KR34(:)*PCONC(:,135)*PCONC(:&
&,146)+TPK%KR40(:)*PCONC(:,135)*PCONC(:,152)
!PLOSS(WR_RO25) = +KTR48+KR29*<WR_RO25>+KR29*<WR_RO25>
 PLOSS(:,141) = +TPK%KTR48(:)+TPK%KR29(:)*PCONC(:,141)+TPK%KR29(:)*PCONC(:,141)
!
!PPROD(WR_MEOH) = +KTR18*<MEOH>
 PPROD(:,142) = +TPK%KTR18(:)*PCONC(:,32)
!PLOSS(WR_MEOH) = +KTR49+KR30*<WR_OH>
 PLOSS(:,142) = +TPK%KTR49(:)+TPK%KR30(:)*PCONC(:,135)
!
!PPROD(WR_ETOH) = +KTR19*<ETOH>
 PPROD(:,143) = +TPK%KTR19(:)*PCONC(:,33)
!PLOSS(WR_ETOH) = +KTR50+KR31*<WR_OH>
 PLOSS(:,143) = +TPK%KTR50(:)+TPK%KR31(:)*PCONC(:,135)
!
!PPROD(WR_ALCH) = +KTR20*<ALCH>
 PPROD(:,144) = +TPK%KTR20(:)*PCONC(:,34)
!PLOSS(WR_ALCH) = +KTR51+KR32*<WR_OH>
 PLOSS(:,144) = +TPK%KTR51(:)+TPK%KR32(:)*PCONC(:,135)
!
!PPROD(WR_HCHO) = +KTR21*<HCHO>+KR18*<WR_AHMS>+2.00*KR27*<WR_RO21>*<WR_RO21>+KR
!28*<WR_SO2>*<WR_RO21>+KR30*<WR_OH>*<WR_MEOH>+KR37*<WR_OH>*<WR_KETL>
 PPROD(:,145) = +TPK%KTR21(:)*PCONC(:,28)+TPK%KR18(:)*PCONC(:,161)+2.00*TPK%KR2&
&7(:)*PCONC(:,140)*PCONC(:,140)+TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)+TPK%KR30(&
&:)*PCONC(:,135)*PCONC(:,142)+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!PLOSS(WR_HCHO) = +KTR52+KR17*<WR_SO2>+KR33*<WR_OH>
 PLOSS(:,145) = +TPK%KTR52(:)+TPK%KR17(:)*PCONC(:,138)+TPK%KR33(:)*PCONC(:,135)
!
!PPROD(WR_ALD2) = +KTR22*<ALD2>+KR29*<WR_RO25>*<WR_RO25>+KR31*<WR_OH>*<WR_ETOH>
!+0.50*KR32*<WR_OH>*<WR_ALCH>+KR37*<WR_OH>*<WR_KETL>+0.29*KR41*<WR_OH>*<WR_ACID
!>+0.43*KR43*<WR_OH>*<WR_UR21>
 PPROD(:,146) = +TPK%KTR22(:)*PCONC(:,29)+TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)&
&+TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)+0.50*TPK%KR32(:)*PCONC(:,135)*PCONC(:,1&
&44)+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)+0.29*TPK%KR41(:)*PCONC(:,135)*PCONC(&
&:,152)+0.43*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!PLOSS(WR_ALD2) = +KTR53+KR34*<WR_OH>
 PLOSS(:,146) = +TPK%KTR53(:)+TPK%KR34(:)*PCONC(:,135)
!
!PPROD(WR_GLY) = +KTR23*<GLY>
 PPROD(:,147) = +TPK%KTR23(:)*PCONC(:,42)
!PLOSS(WR_GLY) = +KTR54+KR35*<WR_OH>
 PLOSS(:,147) = +TPK%KTR54(:)+TPK%KR35(:)*PCONC(:,135)
!
!PPROD(WR_MGLY) = +KTR25*<MGLY>+KR37*<WR_OH>*<WR_KETL>
 PPROD(:,148) = +TPK%KTR25(:)*PCONC(:,41)+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!PLOSS(WR_MGLY) = +KTR56+KR36*<WR_OH>
 PLOSS(:,148) = +TPK%KTR56(:)+TPK%KR36(:)*PCONC(:,135)
!
!PPROD(WR_KETL) = +KTR24*<KETL>+0.50*KR32*<WR_OH>*<WR_ALCH>+KR37*<WR_OH>*<WR_KE
!TL>
 PPROD(:,149) = +TPK%KTR24(:)*PCONC(:,30)+0.50*TPK%KR32(:)*PCONC(:,135)*PCONC(:&
&,144)+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!PLOSS(WR_KETL) = +KTR55+KR37*<WR_OH>
 PLOSS(:,149) = +TPK%KTR55(:)+TPK%KR37(:)*PCONC(:,135)
!
!PPROD(WR_ORA1) = +KTR26*<ORA1>+KR19*<WR_OH>*<WR_AHMS>+KR33*<WR_OH>*<WR_HCHO>
 PPROD(:,150) = +TPK%KTR26(:)*PCONC(:,43)+TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)&
&+TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)
!PLOSS(WR_ORA1) = +KTR57+KR38*<WR_OH>
 PLOSS(:,150) = +TPK%KTR57(:)+TPK%KR38(:)*PCONC(:,135)
!
RETURN
END SUBROUTINE SUB14
!
SUBROUTINE SUB15
!
!Indices 151 a 160
!
!
!PPROD(WR_ORA2) = +KTR27*<ORA2>+KR29*<WR_RO25>*<WR_RO25>
 PPROD(:,151) = +TPK%KTR27(:)*PCONC(:,44)+TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!PLOSS(WR_ORA2) = +KTR58+KR39*<WR_OH>
 PLOSS(:,151) = +TPK%KTR58(:)+TPK%KR39(:)*PCONC(:,135)
!
!PPROD(WR_ACID) = +KTR28*<ACID>
 PPROD(:,152) = +TPK%KTR28(:)*PCONC(:,45)
!PLOSS(WR_ACID) = +KTR59+KR40*<WR_OH>+KR41*<WR_OH>
 PLOSS(:,152) = +TPK%KTR59(:)+TPK%KR40(:)*PCONC(:,135)+TPK%KR41(:)*PCONC(:,135)
!
!PPROD(WR_RP16) = +KTR29*<RP16>+KR35*<WR_OH>*<WR_GLY>+KR39*<WR_OH>*<WR_ORA2>
 PPROD(:,153) = +TPK%KTR29(:)*PCONC(:,74)+TPK%KR35(:)*PCONC(:,135)*PCONC(:,147)&
&+TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)
!PLOSS(WR_RP16) = +KTR60+KR44*<WR_OH>+KR45*<WR_OH>
 PLOSS(:,153) = +TPK%KTR60(:)+TPK%KR44(:)*PCONC(:,135)+TPK%KR45(:)*PCONC(:,135)
!
!PPROD(WR_UR21) = +KTR30*<UR21>+KR36*<WR_OH>*<WR_MGLY>+KR37*<WR_OH>*<WR_KETL>+0
!.56*KR41*<WR_OH>*<WR_ACID>
 PPROD(:,154) = +TPK%KTR30(:)*PCONC(:,47)+TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)&
&+TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)+0.56*TPK%KR41(:)*PCONC(:,135)*PCONC(:,1&
&52)
!PLOSS(WR_UR21) = +KTR61+KR43*<WR_OH>
 PLOSS(:,154) = +TPK%KTR61(:)+TPK%KR43(:)*PCONC(:,135)
!
!PPROD(WR_UR28) = +KTR31*<UR28>+KR44*<WR_OH>*<WR_RP16>
 PPROD(:,155) = +TPK%KTR31(:)*PCONC(:,46)+TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)
!PLOSS(WR_UR28) = +KTR62+KR42*<WR_OH>
 PLOSS(:,155) = +TPK%KTR62(:)+TPK%KR42(:)*PCONC(:,135)
!
!PPROD(WR_ACID2) = +0.15*KR41*<WR_OH>*<WR_ACID>+0.56*KR43*<WR_OH>*<WR_UR21>
 PPROD(:,156) = +0.15*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)+0.56*TPK%KR43(:)*PC&
&ONC(:,135)*PCONC(:,154)
!PLOSS(WR_ACID2) = +KR46*<WR_OH>
 PLOSS(:,156) = +TPK%KR46(:)*PCONC(:,135)
!
!PPROD(WR_ASO3) = +KR7*<WR_SO2>*<WR_OH>+KR16*<WR_SO2>*<WR_NO3>+KR28*<WR_SO2>*<W
!R_RO21>
 PPROD(:,157) = +TPK%KR7(:)*PCONC(:,138)*PCONC(:,135)+TPK%KR16(:)*PCONC(:,138)*&
&PCONC(:,129)+TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)
!PLOSS(WR_ASO3) = +KR20*<W_O2>
 PLOSS(:,157) = +TPK%KR20(:)*TPK%W_O2(:)
!
!PPROD(WR_ASO4) = +KR15*<WR_H2SO4>*<WR_NO3>+KR22*<WR_ASO5>*<WR_ASO5>+KR22*<WR_A
!SO5>*<WR_ASO5>
 PPROD(:,158) = +TPK%KR15(:)*PCONC(:,139)*PCONC(:,129)+TPK%KR22(:)*PCONC(:,159)&
&*PCONC(:,159)+TPK%KR22(:)*PCONC(:,159)*PCONC(:,159)
!PLOSS(WR_ASO4) = +KR24
 PLOSS(:,158) = +TPK%KR24(:)
!
!PPROD(WR_ASO5) = +KR20*<W_O2>*<WR_ASO3>
 PPROD(:,159) = +TPK%KR20(:)*TPK%W_O2(:)*PCONC(:,157)
!PLOSS(WR_ASO5) = +KR21*<WR_HO2>+KR22*<WR_ASO5>+KR22*<WR_ASO5>
 PLOSS(:,159) = +TPK%KR21(:)*PCONC(:,136)+TPK%KR22(:)*PCONC(:,159)+TPK%KR22(:)*&
&PCONC(:,159)
!
!PPROD(WR_AHSO5) = +KR21*<WR_HO2>*<WR_ASO5>
 PPROD(:,160) = +TPK%KR21(:)*PCONC(:,136)*PCONC(:,159)
!PLOSS(WR_AHSO5) = +KR23*<WR_SO2>
 PLOSS(:,160) = +TPK%KR23(:)*PCONC(:,138)
!
RETURN
END SUBROUTINE SUB15
!
SUBROUTINE SUB16
!
!Indices 161 a 161
!
!
!PPROD(WR_AHMS) = +KR17*<WR_HCHO>*<WR_SO2>
 PPROD(:,161) = +TPK%KR17(:)*PCONC(:,145)*PCONC(:,138)
!PLOSS(WR_AHMS) = +KR18+KR19*<WR_OH>
 PLOSS(:,161) = +TPK%KR18(:)+TPK%KR19(:)*PCONC(:,135)
!
RETURN
END SUBROUTINE SUB16
!
END SUBROUTINE CH_PRODLOSS_AQ
!
!
!========================================================================
!
!!    ##################
      MODULE MODI_CH_FCN
!!    ##################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_FCN(PTIME,PCONC,PDCDT,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                          :: PTIME
INTEGER, INTENT(IN)                          :: KVECNPT
INTEGER, INTENT(IN)                          :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ) :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ) :: PDCDT
INTEGER, INTENT(IN)                          :: KMI
!!
END SUBROUTINE CH_FCN
END INTERFACE
END MODULE MODI_CH_FCN
!
!========================================================================
!
!!    ########################################
      SUBROUTINE CH_FCN(PTIME,PCONC,PDCDT,KMI,KVECNPT,KEQ)
!!    ########################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_FCN*
!!
!!    PURPOSE
!!    -------
!       calculation of first derivative for the chemical reaction mechanism
!!
!!**  METHOD
!!    ------
!!      For each prognostic chemical species the first derivative is
!!    calculated as defined by the chemical reaction mechanism.
!!    The reaction rates and other user-defined auxiliary variables are
!!    transfered in the TYPE(CCSTYPE) variable TPK%.
!!    The subroutine PRODLOSS is called in order to calculate P and L
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
USE MODI_CH_PRODLOSS
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!    none
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                          :: PTIME
INTEGER, INTENT(IN)                          :: KVECNPT
INTEGER, INTENT(IN)                          :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ) :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ) :: PDCDT
INTEGER, INTENT(IN)                          :: KMI
!!
!!    LOCAL VARIABLES
!!    ---------------
REAL, DIMENSION(KVECNPT,KEQ)       :: ZPROD, ZLOSS
!!
!!----------------------------------------------------------------------
!!
CALL CH_PRODLOSS(PTIME,PCONC,ZPROD,ZLOSS,KMI,KVECNPT,KEQ)
PDCDT(:,:) = ZPROD(:,:) - PCONC(:,:) * ZLOSS(:,:)
RETURN
END SUBROUTINE CH_FCN
!
!
!========================================================================
!
!!    ##################
      MODULE MODI_CH_JAC
!!    ##################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_JAC(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
END SUBROUTINE CH_JAC
END INTERFACE
END MODULE MODI_CH_JAC
!
!========================================================================
!
!!    #######################################
      SUBROUTINE CH_JAC(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
!!    #######################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_JAC*
!!
!!    PURPOSE
!!    -------
!       calculation of the JACOBIAN matrix
!!
!!**  METHOD
!!    ------
!!      The Jacobian matrix J is calculated as defined by the chemical
!!    reaction mechanism.
!!    The reaction rates and other user-defined auxiliary variables are
!!    transfered in the TYPE(CCSTYPE) variable TPK%.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
USE MODI_CH_JAC_AQ
USE MODI_CH_JAC_GAZ
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
!
TYPE(CCSTYPE),                    POINTER        :: TPK
!!
!!----------------------------------------------------------------------
!!
TPK=>TACCS(KMI)
IF (TPK%LUSECHAQ) THEN
  CALL CH_JAC_AQ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
ELSE
  CALL CH_JAC_GAZ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
END IF
END SUBROUTINE CH_JAC
!
!========================================================================
!
!!    ##################
      MODULE MODI_CH_JAC_GAZ
!!    ##################
INTERFACE
SUBROUTINE CH_JAC_GAZ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
END SUBROUTINE CH_JAC_GAZ
END INTERFACE
END MODULE MODI_CH_JAC_GAZ
!
!========================================================================
!
!!    ####################
      SUBROUTINE CH_JAC_GAZ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
!!    ####################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_JAC*
!!
!!    PURPOSE
!!    -------
!       calculation of the JACOBIAN matrix
!!
!!**  METHOD
!!    ------
!!      The Jacobian matrix J is calculated as defined by the chemical
!!    reaction mechanism.
!!    The reaction rates and other user-defined auxiliary variables are
!!    transfered in the TYPE(CCSTYPE) variable TPK%.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
!
TYPE(CCSTYPE),                    POINTER        :: TPK
TPK=>TACCS(KMI)
!
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
PJAC(:,:,:) = 0.0
CALL SUBJ0
CALL SUBJ1
CALL SUBJ2
CALL SUBJ3
CALL SUBJ4
CALL SUBJ5
CALL SUBJ6
CALL SUBJ7
CALL SUBJ8
CALL SUBJ9
CALL SUBJ10
CALL SUBJ11
CALL SUBJ12
CALL SUBJ13
CALL SUBJ14
CALL SUBJ15
CALL SUBJ16
CALL SUBJ17
!

CONTAINS

SUBROUTINE SUBJ0
!
!Indices 1 a 5
!
!
!NO/NO=-K005*<O3>-K007*<NO3>-K008*<NO>-K008*<NO>-K008*<NO>-K008*<NO>-K019*<OH>-
!K026*<HO2>-K038*<O>+K095*<RO2T>-K095*<RO2T>-K110*<RO21>-K113*<RO22>-K116*<RO23
!>-K119*<RO24>-K122*<RO25>-K125*<RO26>-K144*<RO27>-K147*<RO28>-K150*<RO29>-K153
!*<RO210>-K156*<RO211>-K159*<RO212>-K162*<RO213>-K165*<RO239>-K168*<RO214>-K171
!*<RO215>-K174*<RO216>-K177*<RO217>-K180*<RO218>-K183*<RO219>-K186*<RO220>-K189
!*<RO221>-K192*<RO222>-K195*<RO223>-K198*<RO224>-K201*<RO225>-K204*<RO226>-K207
!*<RO227>-K210*<RO228>-K213*<RO229>-K216*<RO240>-K221*<RO231>-K224*<RO232>-K227
!*<RO241>-K231*<RO233>-K234*<RO242>-K238*<RO234>-K241*<RO243>-K245*<RO235>-K248
!*<RO244>-K252*<RO236>-K255*<RO245>-K259*<RO237>-K262*<RO246>-K266*<RO238>-K269
!*<RO247>-K277*<RO248>-K285*<RO249>-K288*<RO250>-K291*<RO251>-K294*<RO252>-K297
!*<RO253>-K300*<RO254>-K309*<RO255>-K315*<RO256>-K331*<RO257>-K340*<RO258>-K344
!*<RO230>
 PJAC(:,1,1)=-TPK%K005(:)*PCONC(:,3)-TPK%K007(:)*PCONC(:,8)-TPK%K008(:)*PCONC(:&
&,1)-TPK%K008(:)*PCONC(:,1)-TPK%K008(:)*PCONC(:,1)-TPK%K008(:)*PCONC(:,1)-TPK%K&
&019(:)*PCONC(:,15)-TPK%K026(:)*PCONC(:,10)-TPK%K038(:)*TPK%O(:)+TPK%K095(:)*PC&
&ONC(:,85)-TPK%K095(:)*PCONC(:,85)-TPK%K110(:)*PCONC(:,86)-TPK%K113(:)*TPK%RO22&
&(:)-TPK%K116(:)*TPK%RO23(:)-TPK%K119(:)*TPK%RO24(:)-TPK%K122(:)*PCONC(:,87)-TP&
&K%K125(:)*TPK%RO26(:)-TPK%K144(:)*TPK%RO27(:)-TPK%K147(:)*TPK%RO28(:)-TPK%K150&
&(:)*TPK%RO29(:)-TPK%K153(:)*TPK%RO210(:)-TPK%K156(:)*TPK%RO211(:)-TPK%K159(:)*&
&TPK%RO212(:)-TPK%K162(:)*TPK%RO213(:)-TPK%K165(:)*TPK%RO239(:)-TPK%K168(:)*TPK&
&%RO214(:)-TPK%K171(:)*TPK%RO215(:)-TPK%K174(:)*TPK%RO216(:)-TPK%K177(:)*TPK%RO&
&217(:)-TPK%K180(:)*TPK%RO218(:)-TPK%K183(:)*TPK%RO219(:)-TPK%K186(:)*TPK%RO220&
&(:)-TPK%K189(:)*TPK%RO221(:)-TPK%K192(:)*TPK%RO222(:)-TPK%K195(:)*TPK%RO223(:)&
&-TPK%K198(:)*TPK%RO224(:)-TPK%K201(:)*TPK%RO225(:)-TPK%K204(:)*TPK%RO226(:)-TP&
&K%K207(:)*TPK%RO227(:)-TPK%K210(:)*TPK%RO228(:)-TPK%K213(:)*TPK%RO229(:)-TPK%K&
&216(:)*TPK%RO240(:)-TPK%K221(:)*TPK%RO231(:)-TPK%K224(:)*TPK%RO232(:)-TPK%K227&
&(:)*TPK%RO241(:)-TPK%K231(:)*TPK%RO233(:)-TPK%K234(:)*TPK%RO242(:)-TPK%K238(:)&
&*TPK%RO234(:)-TPK%K241(:)*TPK%RO243(:)-TPK%K245(:)*TPK%RO235(:)-TPK%K248(:)*TP&
&K%RO244(:)-TPK%K252(:)*TPK%RO236(:)-TPK%K255(:)*TPK%RO245(:)-TPK%K259(:)*TPK%R&
&O237(:)-TPK%K262(:)*TPK%RO246(:)-TPK%K266(:)*TPK%RO238(:)-TPK%K269(:)*TPK%RO24&
&7(:)-TPK%K277(:)*TPK%RO248(:)-TPK%K285(:)*TPK%RO249(:)-TPK%K288(:)*TPK%RO250(:&
&)-TPK%K291(:)*TPK%RO251(:)-TPK%K294(:)*TPK%RO252(:)-TPK%K297(:)*TPK%RO253(:)-T&
&PK%K300(:)*TPK%RO254(:)-TPK%K309(:)*TPK%RO255(:)-TPK%K315(:)*TPK%RO256(:)-TPK%&
&K331(:)*TPK%RO257(:)-TPK%K340(:)*TPK%RO258(:)-TPK%K344(:)*TPK%RO230(:)
!
!NO/NO2=+K001+K003*<O>+K012*<NO3>
 PJAC(:,1,2)=+TPK%K001(:)+TPK%K003(:)*TPK%O(:)+TPK%K012(:)*PCONC(:,8)
!
!NO/O3=-K005*<NO>
 PJAC(:,1,3)=-TPK%K005(:)*PCONC(:,1)
!
!NO/HONO=+0.9*K020
 PJAC(:,1,4)=+0.9*TPK%K020(:)
!
!NO/HNO3=0.0
!
!NO/HNO4=0.0
!
!NO/N2O5=0.0
!
!NO/NO3=-K007*<NO>+K012*<NO2>+K013
 PJAC(:,1,8)=-TPK%K007(:)*PCONC(:,1)+TPK%K012(:)*PCONC(:,2)+TPK%K013(:)
!
!NO/NH3=0.0
!
!NO/HO2=-K026*<NO>
 PJAC(:,1,10)=-TPK%K026(:)*PCONC(:,1)
!
!NO/CO=0.0
!
!NO/H2O2=0.0
!
!NO/SO2=0.0
!
!NO/H2SO4=0.0
!
!NO/OH=-K019*<NO>
 PJAC(:,1,15)=-TPK%K019(:)*PCONC(:,1)
!
!NO/ETHE=0.0
!
!NO/OLEL=0.0
!
!NO/OLEH=0.0
!
!NO/ALKL=0.0
!
!NO/ALKM=0.0
!
!NO/ALKH=0.0
!
!NO/AROH=0.0
!
!NO/AROL=0.0
!
!NO/AROO=0.0
!
!NO/ARAL=0.0
!
!NO/ARAC=0.0
!
!NO/PAH=0.0
!
!NO/HCHO=0.0
!
!NO/ALD2=0.0
!
!NO/KETL=0.0
!
!NO/KETH=0.0
!
!NO/MEOH=0.0
!
!NO/ETOH=0.0
!
!NO/ALCH=0.0
!
!NO/ISOP=0.0
!
!NO/BIOL=0.0
!
!NO/BIOH=0.0
!
!NO/MTBE=0.0
!
!NO/MVK=0.0
!
!NO/MCR=0.0
!
!NO/MGLY=0.0
!
!NO/GLY=0.0
!
!NO/ORA1=0.0
!
!NO/ORA2=0.0
!
!NO/ACID=0.0
!
!NO/UR28=0.0
!
!NO/UR21=0.0
!
!NO/URG2=0.0
!
!NO/UR26=0.0
!
!NO/RPG2=0.0
!
!NO/RP18=0.0
!
!NO/RPG3=0.0
!
!NO/URG4=0.0
!
!NO/UR8=0.0
!
!NO/UR17=0.0
!
!NO/UR7=0.0
!
!NO/RPR3=0.0
!
!NO/URG6=0.0
!
!NO/UR22=0.0
!
!NO/URG7=0.0
!
!NO/RPR4=0.0
!
!NO/RPR7=0.0
!
!NO/RPG7=0.0
!
!NO/URG8=0.0
!
!NO/UR19=0.0
!
!NO/URG9=0.0
!
!NO/AP7=0.0
!
!NO/URG10=0.0
!
!NO/RPR1=0.0
!
!NO/RPR5=0.0
!
!NO/RPR8=0.0
!
!NO/RP10=0.0
!
!NO/RP11=0.0
!
!NO/RP16=0.0
!
!NO/RPRL=0.0
!
!NO/APAN=0.0
!
!NO/PAN1=0.0
!
!NO/PAN2=0.0
!
!NO/PAN3=0.0
!
!NO/PAN4=0.0
!
!NO/PAN6=0.0
!
!NO/PAN7=0.0
!
!NO/PAN8=0.0
!
!NO/PN10=0.0
!
!NO/RO2T=+K095*<NO>-K095*<NO>
 PJAC(:,1,85)=+TPK%K095(:)*PCONC(:,1)-TPK%K095(:)*PCONC(:,1)
!
!NO/RO21=-K110*<NO>
 PJAC(:,1,86)=-TPK%K110(:)*PCONC(:,1)
!
!NO/RO25=-K122*<NO>
 PJAC(:,1,87)=-TPK%K122(:)*PCONC(:,1)
!
!NO2/NO=+K005*<O3>+2.*K007*<NO3>+2.*K008*<NO>+2.*K008*<NO>+K026*<HO2>+K038*<O>+
!K110*<RO21>+K113*<RO22>+2.*K116*<RO23>+K119*<RO24>+TPK%CF4*K122*<RO25>+K125*<R
!O26>+K144*<RO27>+K147*<RO28>+TPK%CF6*K150*<RO29>+K153*<RO210>+2.*K156*<RO211>+
!2.*K159*<RO212>+K162*<RO213>+K165*<RO239>+TPK%CF8*K168*<RO214>+K171*<RO215>+K1
!74*<RO216>+TPK%CF22*K177*<RO217>+TPK%CF20*K180*<RO218>+2.*K183*<RO219>+TPK%CF1
!8*K186*<RO220>+TPK%CF24*K189*<RO221>+TPK%CF42*K192*<RO222>+TPK%CF44*K195*<RO22
!3>+TPK%CF26*K198*<RO224>+2.*K201*<RO225>+K204*<RO226>+TPK%CF28*K207*<RO227>+2.
!*K210*<RO228>+TPK%CF30*K213*<RO229>+K216*<RO240>+TPK%CF32*K221*<RO231>+TPK%CF3
!4*K224*<RO232>+TPK%CF36*K227*<RO241>+K231*<RO233>+K234*<RO242>+K238*<RO234>+K2
!41*<RO243>+K245*<RO235>+K248*<RO244>+K252*<RO236>+K255*<RO245>+K259*<RO237>+K2
!62*<RO246>+K266*<RO238>+K269*<RO247>+K277*<RO248>+K285*<RO249>+K288*<RO250>+K2
!91*<RO251>+2.*K294*<RO252>+K297*<RO253>+K300*<RO254>+K309*<RO255>+K315*<RO256>
!+K331*<RO257>+K340*<RO258>+K344*<RO230>
 PJAC(:,2,1)=+TPK%K005(:)*PCONC(:,3)+2.*TPK%K007(:)*PCONC(:,8)+2.*TPK%K008(:)*P&
&CONC(:,1)+2.*TPK%K008(:)*PCONC(:,1)+TPK%K026(:)*PCONC(:,10)+TPK%K038(:)*TPK%O(&
&:)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%RO22(:)+2.*TPK%K116(:)*TPK%RO23(:)+&
&TPK%K119(:)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,87)+TPK%K125(:)*TPK%RO26(:&
&)+TPK%K144(:)*TPK%RO27(:)+TPK%K147(:)*TPK%RO28(:)+TPK%CF6*TPK%K150(:)*TPK%RO29&
&(:)+TPK%K153(:)*TPK%RO210(:)+2.*TPK%K156(:)*TPK%RO211(:)+2.*TPK%K159(:)*TPK%RO&
&212(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239(:)+TPK%CF8*TPK%K168(:)*T&
&PK%RO214(:)+TPK%K171(:)*TPK%RO215(:)+TPK%K174(:)*TPK%RO216(:)+TPK%CF22*TPK%K17&
&7(:)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*TPK%RO218(:)+2.*TPK%K183(:)*TPK%RO219(:&
&)+TPK%CF18*TPK%K186(:)*TPK%RO220(:)+TPK%CF24*TPK%K189(:)*TPK%RO221(:)+TPK%CF42&
&*TPK%K192(:)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*TPK%RO223(:)+TPK%CF26*TPK%K198(&
&:)*TPK%RO224(:)+2.*TPK%K201(:)*TPK%RO225(:)+TPK%K204(:)*TPK%RO226(:)+TPK%CF28*&
&TPK%K207(:)*TPK%RO227(:)+2.*TPK%K210(:)*TPK%RO228(:)+TPK%CF30*TPK%K213(:)*TPK%&
&RO229(:)+TPK%K216(:)*TPK%RO240(:)+TPK%CF32*TPK%K221(:)*TPK%RO231(:)+TPK%CF34*T&
&PK%K224(:)*TPK%RO232(:)+TPK%CF36*TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%RO23&
&3(:)+TPK%K234(:)*TPK%RO242(:)+TPK%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO243(:&
&)+TPK%K245(:)*TPK%RO235(:)+TPK%K248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(:)+T&
&PK%K255(:)*TPK%RO245(:)+TPK%K259(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+TPK%&
&K266(:)*TPK%RO238(:)+TPK%K269(:)*TPK%RO247(:)+TPK%K277(:)*TPK%RO248(:)+TPK%K28&
&5(:)*TPK%RO249(:)+TPK%K288(:)*TPK%RO250(:)+TPK%K291(:)*TPK%RO251(:)+2.*TPK%K29&
&4(:)*TPK%RO252(:)+TPK%K297(:)*TPK%RO253(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K309(:&
&)*TPK%RO255(:)+TPK%K315(:)*TPK%RO256(:)+TPK%K331(:)*TPK%RO257(:)+TPK%K340(:)*T&
&PK%RO258(:)+TPK%K344(:)*TPK%RO230(:)
!
!NO2/NO2=-K001-K003*<O>-K004*<O>-K006*<O3>-K009*<NO3>+K012*<NO3>-K012*<NO3>-K02
!1*<H2O>-K022*<OH>-K027*<HO2>-K103*<RAD1>-K104*<RAD2>-K105*<RAD3>-K106*<RAD4>-K
!107*<RAD5>-K108*<RAD6>-K109*<RAD7>-K126*<RO26>-K127*<RO28>-K128*<RO239>-K129*<
!RO248>-K130*<RO250>-K131*<RO254>-K132*<RO255>-K133*<RO257>-K134*<RO258>-K316*<
!RO256>-K321*<RAD8>
 PJAC(:,2,2)=-TPK%K001(:)-TPK%K003(:)*TPK%O(:)-TPK%K004(:)*TPK%O(:)-TPK%K006(:)&
&*PCONC(:,3)-TPK%K009(:)*PCONC(:,8)+TPK%K012(:)*PCONC(:,8)-TPK%K012(:)*PCONC(:,&
&8)-TPK%K021(:)*TPK%H2O(:)-TPK%K022(:)*PCONC(:,15)-TPK%K027(:)*PCONC(:,10)-TPK%&
&K103(:)*TPK%RAD1(:)-TPK%K104(:)*TPK%RAD2(:)-TPK%K105(:)*TPK%RAD3(:)-TPK%K106(:&
&)*TPK%RAD4(:)-TPK%K107(:)*TPK%RAD5(:)-TPK%K108(:)*TPK%RAD6(:)-TPK%K109(:)*TPK%&
&RAD7(:)-TPK%K126(:)*TPK%RO26(:)-TPK%K127(:)*TPK%RO28(:)-TPK%K128(:)*TPK%RO239(&
&:)-TPK%K129(:)*TPK%RO248(:)-TPK%K130(:)*TPK%RO250(:)-TPK%K131(:)*TPK%RO254(:)-&
&TPK%K132(:)*TPK%RO255(:)-TPK%K133(:)*TPK%RO257(:)-TPK%K134(:)*TPK%RO258(:)-TPK&
&%K316(:)*TPK%RO256(:)-TPK%K321(:)*TPK%RAD8(:)
!
!NO2/O3=+K005*<NO>-K006*<NO2>
 PJAC(:,2,3)=+TPK%K005(:)*PCONC(:,1)-TPK%K006(:)*PCONC(:,2)
!
!NO2/HONO=+0.1*K020+K039*<OH>
 PJAC(:,2,4)=+0.1*TPK%K020(:)+TPK%K039(:)*PCONC(:,15)
!
!NO2/HNO3=0.0
!
!NO2/HNO4=+K028+K029*<OH>
 PJAC(:,2,6)=+TPK%K028(:)+TPK%K029(:)*PCONC(:,15)
!
!NO2/N2O5=+K010
 PJAC(:,2,7)=+TPK%K010(:)
!
!NO2/NO3=+2.*K007*<NO>-K009*<NO2>+K012*<NO2>-K012*<NO2>+K014+0.8*K033*<HO2>+K04
!0*<OH>+2.*K041*<NO3>+2.*K041*<NO3>
 PJAC(:,2,8)=+2.*TPK%K007(:)*PCONC(:,1)-TPK%K009(:)*PCONC(:,2)+TPK%K012(:)*PCON&
&C(:,2)-TPK%K012(:)*PCONC(:,2)+TPK%K014(:)+0.8*TPK%K033(:)*PCONC(:,10)+TPK%K040&
&(:)*PCONC(:,15)+2.*TPK%K041(:)*PCONC(:,8)+2.*TPK%K041(:)*PCONC(:,8)
!
!NO2/NH3=0.0
!
!NO2/HO2=+K026*<NO>-K027*<NO2>+0.8*K033*<NO3>+K118*<RO23>+K158*<RO211>+K161*<RO
!212>+K185*<RO219>+K203*<RO225>+K212*<RO228>+K295*<RO252>
 PJAC(:,2,10)=+TPK%K026(:)*PCONC(:,1)-TPK%K027(:)*PCONC(:,2)+0.8*TPK%K033(:)*PC&
&ONC(:,8)+TPK%K118(:)*TPK%RO23(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO21&
&2(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K212(:)*TPK%RO228(:&
&)+TPK%K295(:)*TPK%RO252(:)
!
!NO2/CO=0.0
!
!NO2/H2O2=0.0
!
!NO2/SO2=0.0
!
!NO2/H2SO4=0.0
!
!NO2/OH=-K022*<NO2>+K029*<HNO4>+K039*<HONO>+K040*<NO3>
 PJAC(:,2,15)=-TPK%K022(:)*PCONC(:,2)+TPK%K029(:)*PCONC(:,6)+TPK%K039(:)*PCONC(&
&:,4)+TPK%K040(:)*PCONC(:,8)
!
!NO2/ETHE=0.0
!
!NO2/OLEL=0.0
!
!NO2/OLEH=0.0
!
!NO2/ALKL=0.0
!
!NO2/ALKM=0.0
!
!NO2/ALKH=0.0
!
!NO2/AROH=0.0
!
!NO2/AROL=0.0
!
!NO2/AROO=0.0
!
!NO2/ARAL=0.0
!
!NO2/ARAC=0.0
!
!NO2/PAH=0.0
!
!NO2/HCHO=0.0
!
!NO2/ALD2=0.0
!
!NO2/KETL=0.0
!
!NO2/KETH=0.0
!
!NO2/MEOH=0.0
!
!NO2/ETOH=0.0
!
!NO2/ALCH=0.0
!
!NO2/ISOP=0.0
!
!NO2/BIOL=0.0
!
!NO2/BIOH=0.0
!
!NO2/MTBE=0.0
!
!NO2/MVK=0.0
!
!NO2/MCR=0.0
!
!NO2/MGLY=0.0
!
!NO2/GLY=0.0
!
!NO2/ORA1=0.0
!
!NO2/ORA2=0.0
!
!NO2/ACID=0.0
!
!NO2/UR28=0.0
!
!NO2/UR21=0.0
!
!NO2/URG2=0.0
!
!NO2/UR26=0.0
!
!NO2/RPG2=0.0
!
!NO2/RP18=0.0
!
!NO2/RPG3=0.0
!
!NO2/URG4=0.0
!
!NO2/UR8=0.0
!
!NO2/UR17=0.0
!
!NO2/UR7=0.0
!
!NO2/RPR3=0.0
!
!NO2/URG6=0.0
!
!NO2/UR22=0.0
!
!NO2/URG7=0.0
!
!NO2/RPR4=0.0
!
!NO2/RPR7=0.0
!
!NO2/RPG7=0.0
!
!NO2/URG8=0.0
!
!NO2/UR19=0.0
!
!NO2/URG9=0.0
!
!NO2/AP7=0.0
!
!NO2/URG10=0.0
!
!NO2/RPR1=0.0
!
!NO2/RPR5=0.0
!
!NO2/RPR8=0.0
!
!NO2/RP10=0.0
!
!NO2/RP11=0.0
!
!NO2/RP16=0.0
!
!NO2/RPRL=0.0
!
!NO2/APAN=+1.0000000*K139
 PJAC(:,2,76)=+1.0000000*TPK%K139(:)
!
!NO2/PAN1=+K135
 PJAC(:,2,77)=+TPK%K135(:)
!
!NO2/PAN2=+K136
 PJAC(:,2,78)=+TPK%K136(:)
!
!NO2/PAN3=+K137
 PJAC(:,2,79)=+TPK%K137(:)
!
!NO2/PAN4=+K141
 PJAC(:,2,80)=+TPK%K141(:)
!
!NO2/PAN6=+K140
 PJAC(:,2,81)=+TPK%K140(:)
!
!NO2/PAN7=+K343
 PJAC(:,2,82)=+TPK%K343(:)
!
!NO2/PAN8=+K317
 PJAC(:,2,83)=+TPK%K317(:)
!
!NO2/PN10=+K138
 PJAC(:,2,84)=+TPK%K138(:)
!
!NO2/RO2T=+K117*<RO23>+K157*<RO211>+K160*<RO212>+K184*<RO219>+K202*<RO225>+K211
!*<RO228>+K296*<RO252>
 PJAC(:,2,85)=+TPK%K117(:)*TPK%RO23(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK&
&%RO212(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K202(:)*TPK%RO225(:)+TPK%K211(:)*TPK%RO&
&228(:)+TPK%K296(:)*TPK%RO252(:)
!
!NO2/RO21=+K110*<NO>
 PJAC(:,2,86)=+TPK%K110(:)*PCONC(:,1)
!
!NO2/RO25=+TPK%CF4*K122*<NO>
 PJAC(:,2,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)
!
!O3/NO=-K005*<O3>
 PJAC(:,3,1)=-TPK%K005(:)*PCONC(:,3)
!
!O3/NO2=-K006*<O3>
 PJAC(:,3,2)=-TPK%K006(:)*PCONC(:,3)
!
!O3/O3=-K005*<NO>-K006*<NO2>-K015-K016-K025*<OH>-K030*<HO2>-K034*<O>-K051*<ETHE
!>-K056*<OLEL>-K066*<ISOP>-K076*<OLEH>-K086*<BIOL>-K090*<BIOH>-K281*<MVK>-K282*
!<MCR>
 PJAC(:,3,3)=-TPK%K005(:)*PCONC(:,1)-TPK%K006(:)*PCONC(:,2)-TPK%K015(:)-TPK%K01&
&6(:)-TPK%K025(:)*PCONC(:,15)-TPK%K030(:)*PCONC(:,10)-TPK%K034(:)*TPK%O(:)-TPK%&
&K051(:)*PCONC(:,16)-TPK%K056(:)*PCONC(:,17)-TPK%K066(:)*PCONC(:,35)-TPK%K076(:&
&)*PCONC(:,18)-TPK%K086(:)*PCONC(:,36)-TPK%K090(:)*PCONC(:,37)-TPK%K281(:)*PCON&
&C(:,39)-TPK%K282(:)*PCONC(:,40)
!
!O3/HONO=0.0
!
!O3/HNO3=0.0
!
!O3/HNO4=0.0
!
!O3/N2O5=0.0
!
!O3/NO3=+K081*<ARAL>
 PJAC(:,3,8)=+TPK%K081(:)*PCONC(:,25)
!
!O3/NH3=0.0
!
!O3/HO2=-K030*<O3>+K142*<RO26>+K148*<RO28>+K166*<RO239>+K279*<RO248>+K289*<RO25
!0>+K301*<RO254>+K310*<RO255>+K318*<RO256>+K332*<RO257>+K341*<RO258>
 PJAC(:,3,10)=-TPK%K030(:)*PCONC(:,3)+TPK%K142(:)*TPK%RO26(:)+TPK%K148(:)*TPK%R&
&O28(:)+TPK%K166(:)*TPK%RO239(:)+TPK%K279(:)*TPK%RO248(:)+TPK%K289(:)*TPK%RO250&
&(:)+TPK%K301(:)*TPK%RO254(:)+TPK%K310(:)*TPK%RO255(:)+TPK%K318(:)*TPK%RO256(:)&
&+TPK%K332(:)*TPK%RO257(:)+TPK%K341(:)*TPK%RO258(:)
!
!O3/CO=0.0
!
!O3/H2O2=0.0
!
!O3/SO2=0.0
!
!O3/H2SO4=0.0
!
!O3/OH=-K025*<O3>+TPK%CF39*K082*<ARAL>+K303*<RPR5>+1.0000011*K306*<RPRL>+K322*<
!RPR7>+1.0000005*K323*<RPG7>+K326*<RP11>+1.0000000*K334*<RPG3>+1.0000000*K335*<
!RPG2>+K337*<RP18>
 PJAC(:,3,15)=-TPK%K025(:)*PCONC(:,3)+TPK%CF39*TPK%K082(:)*PCONC(:,25)+TPK%K303&
&(:)*PCONC(:,70)+1.0000011*TPK%K306(:)*PCONC(:,75)+TPK%K322(:)*PCONC(:,62)+1.00&
&00005*TPK%K323(:)*PCONC(:,63)+TPK%K326(:)*PCONC(:,73)+1.0000000*TPK%K334(:)*PC&
&ONC(:,52)+1.0000000*TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)
!
!O3/ETHE=-K051*<O3>
 PJAC(:,3,16)=-TPK%K051(:)*PCONC(:,3)
!
!O3/OLEL=-K056*<O3>
 PJAC(:,3,17)=-TPK%K056(:)*PCONC(:,3)
!
!O3/OLEH=-K076*<O3>
 PJAC(:,3,18)=-TPK%K076(:)*PCONC(:,3)
!
!O3/ALKL=0.0
!
!O3/ALKM=0.0
!
!O3/ALKH=0.0
!
!O3/AROH=0.0
!
!O3/AROL=0.0
!
!O3/AROO=0.0
!
!O3/ARAL=+K081*<NO3>+TPK%CF39*K082*<OH>
 PJAC(:,3,25)=+TPK%K081(:)*PCONC(:,8)+TPK%CF39*TPK%K082(:)*PCONC(:,15)
!
!O3/ARAC=0.0
!
!O3/PAH=0.0
!
!O3/HCHO=0.0
!
!O3/ALD2=0.0
!
!O3/KETL=0.0
!
!O3/KETH=0.0
!
!O3/MEOH=0.0
!
!O3/ETOH=0.0
!
!O3/ALCH=0.0
!
!O3/ISOP=-K066*<O3>
 PJAC(:,3,35)=-TPK%K066(:)*PCONC(:,3)
!
!O3/BIOL=-K086*<O3>
 PJAC(:,3,36)=-TPK%K086(:)*PCONC(:,3)
!
!O3/BIOH=-K090*<O3>
 PJAC(:,3,37)=-TPK%K090(:)*PCONC(:,3)
!
!O3/MTBE=0.0
!
!O3/MVK=-K281*<O3>
 PJAC(:,3,39)=-TPK%K281(:)*PCONC(:,3)
!
!O3/MCR=-K282*<O3>
 PJAC(:,3,40)=-TPK%K282(:)*PCONC(:,3)
!
!O3/MGLY=0.0
!
!O3/GLY=0.0
!
!O3/ORA1=0.0
!
!O3/ORA2=0.0
!
!O3/ACID=0.0
!
!O3/UR28=0.0
!
!O3/UR21=0.0
!
!O3/URG2=0.0
!
!O3/UR26=0.0
!
!O3/RPG2=+1.0000000*K335*<OH>
 PJAC(:,3,50)=+1.0000000*TPK%K335(:)*PCONC(:,15)
!
!O3/RP18=+K337*<OH>
 PJAC(:,3,51)=+TPK%K337(:)*PCONC(:,15)
!
!O3/RPG3=+1.0000000*K334*<OH>
 PJAC(:,3,52)=+1.0000000*TPK%K334(:)*PCONC(:,15)
!
!O3/URG4=0.0
!
!O3/UR8=0.0
!
!O3/UR17=0.0
!
!O3/UR7=0.0
!
!O3/RPR3=0.0
!
!O3/URG6=0.0
!
!O3/UR22=0.0
!
!O3/URG7=0.0
!
!O3/RPR4=0.0
!
!O3/RPR7=+K322*<OH>
 PJAC(:,3,62)=+TPK%K322(:)*PCONC(:,15)
!
!O3/RPG7=+1.0000005*K323*<OH>
 PJAC(:,3,63)=+1.0000005*TPK%K323(:)*PCONC(:,15)
!
!O3/URG8=0.0
!
!O3/UR19=0.0
!
!O3/URG9=0.0
!
!O3/AP7=0.0
!
!O3/URG10=0.0
!
!O3/RPR1=0.0
!
!O3/RPR5=+K303*<OH>
 PJAC(:,3,70)=+TPK%K303(:)*PCONC(:,15)
!
!O3/RPR8=0.0
!
!O3/RP10=0.0
!
!O3/RP11=+K326*<OH>
 PJAC(:,3,73)=+TPK%K326(:)*PCONC(:,15)
!
!O3/RP16=0.0
!
!O3/RPRL=+1.0000011*K306*<OH>
 PJAC(:,3,75)=+1.0000011*TPK%K306(:)*PCONC(:,15)
!
!O3/APAN=0.0
!
!O3/PAN1=0.0
!
!O3/PAN2=0.0
!
!O3/PAN3=0.0
!
!O3/PAN4=0.0
!
!O3/PAN6=0.0
!
!O3/PAN7=0.0
!
!O3/PAN8=0.0
!
!O3/PN10=0.0
!
!O3/RO2T=0.0
!
!O3/RO21=0.0
!
!O3/RO25=0.0
!
!HONO/NO=+K019*<OH>
 PJAC(:,4,1)=+TPK%K019(:)*PCONC(:,15)
!
!HONO/NO2=+0.5*K021*<H2O>
 PJAC(:,4,2)=+0.5*TPK%K021(:)*TPK%H2O(:)
!
!HONO/O3=0.0
!
!HONO/HONO=-K020-K039*<OH>
 PJAC(:,4,4)=-TPK%K020(:)-TPK%K039(:)*PCONC(:,15)
!
!HONO/HNO3=0.0
!
!HONO/HNO4=0.0
!
!HONO/N2O5=0.0
!
!HONO/NO3=0.0
!
!HONO/NH3=0.0
!
!HONO/HO2=0.0
!
!HONO/CO=0.0
!
!HONO/H2O2=0.0
!
!HONO/SO2=0.0
!
!HONO/H2SO4=0.0
!
!HONO/OH=+K019*<NO>-K039*<HONO>
 PJAC(:,4,15)=+TPK%K019(:)*PCONC(:,1)-TPK%K039(:)*PCONC(:,4)
!
!HONO/ETHE=0.0
!
!HONO/OLEL=0.0
!
!HONO/OLEH=0.0
!
!HONO/ALKL=0.0
!
!HONO/ALKM=0.0
!
!HONO/ALKH=0.0
!
!HONO/AROH=0.0
!
!HONO/AROL=0.0
!
!HONO/AROO=0.0
!
!HONO/ARAL=0.0
!
!HONO/ARAC=0.0
!
!HONO/PAH=0.0
!
!HONO/HCHO=0.0
!
!HONO/ALD2=0.0
!
!HONO/KETL=0.0
!
!HONO/KETH=0.0
!
!HONO/MEOH=0.0
!
!HONO/ETOH=0.0
!
!HONO/ALCH=0.0
!
!HONO/ISOP=0.0
!
!HONO/BIOL=0.0
!
!HONO/BIOH=0.0
!
!HONO/MTBE=0.0
!
!HONO/MVK=0.0
!
!HONO/MCR=0.0
!
!HONO/MGLY=0.0
!
!HONO/GLY=0.0
!
!HONO/ORA1=0.0
!
!HONO/ORA2=0.0
!
!HONO/ACID=0.0
!
!HONO/UR28=0.0
!
!HONO/UR21=0.0
!
!HONO/URG2=0.0
!
!HONO/UR26=0.0
!
!HONO/RPG2=0.0
!
!HONO/RP18=0.0
!
!HONO/RPG3=0.0
!
!HONO/URG4=0.0
!
!HONO/UR8=0.0
!
!HONO/UR17=0.0
!
!HONO/UR7=0.0
!
!HONO/RPR3=0.0
!
!HONO/URG6=0.0
!
!HONO/UR22=0.0
!
!HONO/URG7=0.0
!
!HONO/RPR4=0.0
!
!HONO/RPR7=0.0
!
!HONO/RPG7=0.0
!
!HONO/URG8=0.0
!
!HONO/UR19=0.0
!
!HONO/URG9=0.0
!
!HONO/AP7=0.0
!
!HONO/URG10=0.0
!
!HONO/RPR1=0.0
!
!HONO/RPR5=0.0
!
!HONO/RPR8=0.0
!
!HONO/RP10=0.0
!
!HONO/RP11=0.0
!
!HONO/RP16=0.0
!
!HONO/RPRL=0.0
!
!HONO/APAN=0.0
!
!HONO/PAN1=0.0
!
!HONO/PAN2=0.0
!
!HONO/PAN3=0.0
!
!HONO/PAN4=0.0
!
!HONO/PAN6=0.0
!
!HONO/PAN7=0.0
!
!HONO/PAN8=0.0
!
!HONO/PN10=0.0
!
!HONO/RO2T=0.0
!
!HONO/RO21=0.0
!
!HONO/RO25=0.0
!
!HNO3/NO=0.0
!
!HNO3/NO2=+0.5*K021*<H2O>+K022*<OH>
 PJAC(:,5,2)=+0.5*TPK%K021(:)*TPK%H2O(:)+TPK%K022(:)*PCONC(:,15)
!
!HNO3/O3=0.0
!
!HNO3/HONO=0.0
!
!HNO3/HNO3=-K023*<OH>
 PJAC(:,5,5)=-TPK%K023(:)*PCONC(:,15)
!
!HNO3/HNO4=0.0
!
!HNO3/N2O5=+2.*K011*<H2O>
 PJAC(:,5,7)=+2.*TPK%K011(:)*TPK%H2O(:)
!
!HNO3/NO3=+0.2*K033*<HO2>+K047*<HCHO>+K061*<ALD2>+K072*<AROO>+K081*<ARAL>+TPK%C
!F46*K275*<MCR>+K278*<MGLY>+K307*<RPR1>+K313*<RPR3>+K320*<RPR4>+K327*<RPR8>+K33
!8*<RP16>
 PJAC(:,5,8)=+0.2*TPK%K033(:)*PCONC(:,10)+TPK%K047(:)*PCONC(:,28)+TPK%K061(:)*P&
&CONC(:,29)+TPK%K072(:)*PCONC(:,24)+TPK%K081(:)*PCONC(:,25)+TPK%CF46*TPK%K275(:&
&)*PCONC(:,40)+TPK%K278(:)*PCONC(:,41)+TPK%K307(:)*PCONC(:,69)+TPK%K313(:)*PCON&
&C(:,57)+TPK%K320(:)*PCONC(:,61)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:)*PCONC(:,74&
&)
!
!HNO3/NH3=0.0
!
!HNO3/HO2=+0.2*K033*<NO3>
 PJAC(:,5,10)=+0.2*TPK%K033(:)*PCONC(:,8)
!
!HNO3/CO=0.0
!
!HNO3/H2O2=0.0
!
!HNO3/SO2=0.0
!
!HNO3/H2SO4=0.0
!
!HNO3/OH=+K022*<NO2>-K023*<HNO3>
 PJAC(:,5,15)=+TPK%K022(:)*PCONC(:,2)-TPK%K023(:)*PCONC(:,5)
!
!HNO3/ETHE=0.0
!
!HNO3/OLEL=0.0
!
!HNO3/OLEH=0.0
!
!HNO3/ALKL=0.0
!
!HNO3/ALKM=0.0
!
!HNO3/ALKH=0.0
!
!HNO3/AROH=0.0
!
!HNO3/AROL=0.0
!
!HNO3/AROO=+K072*<NO3>
 PJAC(:,5,24)=+TPK%K072(:)*PCONC(:,8)
!
!HNO3/ARAL=+K081*<NO3>
 PJAC(:,5,25)=+TPK%K081(:)*PCONC(:,8)
!
!HNO3/ARAC=0.0
!
!HNO3/PAH=0.0
!
!HNO3/HCHO=+K047*<NO3>
 PJAC(:,5,28)=+TPK%K047(:)*PCONC(:,8)
!
!HNO3/ALD2=+K061*<NO3>
 PJAC(:,5,29)=+TPK%K061(:)*PCONC(:,8)
!
!HNO3/KETL=0.0
!
!HNO3/KETH=0.0
!
!HNO3/MEOH=0.0
!
!HNO3/ETOH=0.0
!
!HNO3/ALCH=0.0
!
!HNO3/ISOP=0.0
!
!HNO3/BIOL=0.0
!
!HNO3/BIOH=0.0
!
!HNO3/MTBE=0.0
!
!HNO3/MVK=0.0
!
!HNO3/MCR=+TPK%CF46*K275*<NO3>
 PJAC(:,5,40)=+TPK%CF46*TPK%K275(:)*PCONC(:,8)
!
!HNO3/MGLY=+K278*<NO3>
 PJAC(:,5,41)=+TPK%K278(:)*PCONC(:,8)
!
!HNO3/GLY=0.0
!
!HNO3/ORA1=0.0
!
!HNO3/ORA2=0.0
!
!HNO3/ACID=0.0
!
!HNO3/UR28=0.0
!
!HNO3/UR21=0.0
!
!HNO3/URG2=0.0
!
!HNO3/UR26=0.0
!
!HNO3/RPG2=0.0
!
!HNO3/RP18=0.0
!
!HNO3/RPG3=0.0
!
!HNO3/URG4=0.0
!
!HNO3/UR8=0.0
!
!HNO3/UR17=0.0
!
!HNO3/UR7=0.0
!
!HNO3/RPR3=+K313*<NO3>
 PJAC(:,5,57)=+TPK%K313(:)*PCONC(:,8)
!
!HNO3/URG6=0.0
!
!HNO3/UR22=0.0
!
!HNO3/URG7=0.0
!
!HNO3/RPR4=+K320*<NO3>
 PJAC(:,5,61)=+TPK%K320(:)*PCONC(:,8)
!
!HNO3/RPR7=0.0
!
!HNO3/RPG7=0.0
!
!HNO3/URG8=0.0
!
!HNO3/UR19=0.0
!
!HNO3/URG9=0.0
!
!HNO3/AP7=0.0
!
!HNO3/URG10=0.0
!
!HNO3/RPR1=+K307*<NO3>
 PJAC(:,5,69)=+TPK%K307(:)*PCONC(:,8)
!
!HNO3/RPR5=0.0
!
!HNO3/RPR8=+K327*<NO3>
 PJAC(:,5,71)=+TPK%K327(:)*PCONC(:,8)
!
!HNO3/RP10=0.0
!
!HNO3/RP11=0.0
!
!HNO3/RP16=+K338*<NO3>
 PJAC(:,5,74)=+TPK%K338(:)*PCONC(:,8)
!
!HNO3/RPRL=0.0
!
!HNO3/APAN=0.0
!
!HNO3/PAN1=0.0
!
!HNO3/PAN2=0.0
!
!HNO3/PAN3=0.0
!
!HNO3/PAN4=0.0
!
!HNO3/PAN6=0.0
!
!HNO3/PAN7=0.0
!
!HNO3/PAN8=0.0
!
!HNO3/PN10=0.0
!
!HNO3/RO2T=0.0
!
!HNO3/RO21=0.0
!
!HNO3/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ0
!
SUBROUTINE SUBJ1
!
!Indices 6 a 10
!
!
!HNO4/NO=0.0
!
!HNO4/NO2=+K027*<HO2>
 PJAC(:,6,2)=+TPK%K027(:)*PCONC(:,10)
!
!HNO4/O3=0.0
!
!HNO4/HONO=0.0
!
!HNO4/HNO3=0.0
!
!HNO4/HNO4=-K028-K029*<OH>
 PJAC(:,6,6)=-TPK%K028(:)-TPK%K029(:)*PCONC(:,15)
!
!HNO4/N2O5=0.0
!
!HNO4/NO3=0.0
!
!HNO4/NH3=0.0
!
!HNO4/HO2=+K027*<NO2>
 PJAC(:,6,10)=+TPK%K027(:)*PCONC(:,2)
!
!HNO4/CO=0.0
!
!HNO4/H2O2=0.0
!
!HNO4/SO2=0.0
!
!HNO4/H2SO4=0.0
!
!HNO4/OH=-K029*<HNO4>
 PJAC(:,6,15)=-TPK%K029(:)*PCONC(:,6)
!
!HNO4/ETHE=0.0
!
!HNO4/OLEL=0.0
!
!HNO4/OLEH=0.0
!
!HNO4/ALKL=0.0
!
!HNO4/ALKM=0.0
!
!HNO4/ALKH=0.0
!
!HNO4/AROH=0.0
!
!HNO4/AROL=0.0
!
!HNO4/AROO=0.0
!
!HNO4/ARAL=0.0
!
!HNO4/ARAC=0.0
!
!HNO4/PAH=0.0
!
!HNO4/HCHO=0.0
!
!HNO4/ALD2=0.0
!
!HNO4/KETL=0.0
!
!HNO4/KETH=0.0
!
!HNO4/MEOH=0.0
!
!HNO4/ETOH=0.0
!
!HNO4/ALCH=0.0
!
!HNO4/ISOP=0.0
!
!HNO4/BIOL=0.0
!
!HNO4/BIOH=0.0
!
!HNO4/MTBE=0.0
!
!HNO4/MVK=0.0
!
!HNO4/MCR=0.0
!
!HNO4/MGLY=0.0
!
!HNO4/GLY=0.0
!
!HNO4/ORA1=0.0
!
!HNO4/ORA2=0.0
!
!HNO4/ACID=0.0
!
!HNO4/UR28=0.0
!
!HNO4/UR21=0.0
!
!HNO4/URG2=0.0
!
!HNO4/UR26=0.0
!
!HNO4/RPG2=0.0
!
!HNO4/RP18=0.0
!
!HNO4/RPG3=0.0
!
!HNO4/URG4=0.0
!
!HNO4/UR8=0.0
!
!HNO4/UR17=0.0
!
!HNO4/UR7=0.0
!
!HNO4/RPR3=0.0
!
!HNO4/URG6=0.0
!
!HNO4/UR22=0.0
!
!HNO4/URG7=0.0
!
!HNO4/RPR4=0.0
!
!HNO4/RPR7=0.0
!
!HNO4/RPG7=0.0
!
!HNO4/URG8=0.0
!
!HNO4/UR19=0.0
!
!HNO4/URG9=0.0
!
!HNO4/AP7=0.0
!
!HNO4/URG10=0.0
!
!HNO4/RPR1=0.0
!
!HNO4/RPR5=0.0
!
!HNO4/RPR8=0.0
!
!HNO4/RP10=0.0
!
!HNO4/RP11=0.0
!
!HNO4/RP16=0.0
!
!HNO4/RPRL=0.0
!
!HNO4/APAN=0.0
!
!HNO4/PAN1=0.0
!
!HNO4/PAN2=0.0
!
!HNO4/PAN3=0.0
!
!HNO4/PAN4=0.0
!
!HNO4/PAN6=0.0
!
!HNO4/PAN7=0.0
!
!HNO4/PAN8=0.0
!
!HNO4/PN10=0.0
!
!HNO4/RO2T=0.0
!
!HNO4/RO21=0.0
!
!HNO4/RO25=0.0
!
!N2O5/NO=0.0
!
!N2O5/NO2=+K009*<NO3>
 PJAC(:,7,2)=+TPK%K009(:)*PCONC(:,8)
!
!N2O5/O3=0.0
!
!N2O5/HONO=0.0
!
!N2O5/HNO3=0.0
!
!N2O5/HNO4=0.0
!
!N2O5/N2O5=-K010-K011*<H2O>
 PJAC(:,7,7)=-TPK%K010(:)-TPK%K011(:)*TPK%H2O(:)
!
!N2O5/NO3=+K009*<NO2>
 PJAC(:,7,8)=+TPK%K009(:)*PCONC(:,2)
!
!N2O5/NH3=0.0
!
!N2O5/HO2=0.0
!
!N2O5/CO=0.0
!
!N2O5/H2O2=0.0
!
!N2O5/SO2=0.0
!
!N2O5/H2SO4=0.0
!
!N2O5/OH=0.0
!
!N2O5/ETHE=0.0
!
!N2O5/OLEL=0.0
!
!N2O5/OLEH=0.0
!
!N2O5/ALKL=0.0
!
!N2O5/ALKM=0.0
!
!N2O5/ALKH=0.0
!
!N2O5/AROH=0.0
!
!N2O5/AROL=0.0
!
!N2O5/AROO=0.0
!
!N2O5/ARAL=0.0
!
!N2O5/ARAC=0.0
!
!N2O5/PAH=0.0
!
!N2O5/HCHO=0.0
!
!N2O5/ALD2=0.0
!
!N2O5/KETL=0.0
!
!N2O5/KETH=0.0
!
!N2O5/MEOH=0.0
!
!N2O5/ETOH=0.0
!
!N2O5/ALCH=0.0
!
!N2O5/ISOP=0.0
!
!N2O5/BIOL=0.0
!
!N2O5/BIOH=0.0
!
!N2O5/MTBE=0.0
!
!N2O5/MVK=0.0
!
!N2O5/MCR=0.0
!
!N2O5/MGLY=0.0
!
!N2O5/GLY=0.0
!
!N2O5/ORA1=0.0
!
!N2O5/ORA2=0.0
!
!N2O5/ACID=0.0
!
!N2O5/UR28=0.0
!
!N2O5/UR21=0.0
!
!N2O5/URG2=0.0
!
!N2O5/UR26=0.0
!
!N2O5/RPG2=0.0
!
!N2O5/RP18=0.0
!
!N2O5/RPG3=0.0
!
!N2O5/URG4=0.0
!
!N2O5/UR8=0.0
!
!N2O5/UR17=0.0
!
!N2O5/UR7=0.0
!
!N2O5/RPR3=0.0
!
!N2O5/URG6=0.0
!
!N2O5/UR22=0.0
!
!N2O5/URG7=0.0
!
!N2O5/RPR4=0.0
!
!N2O5/RPR7=0.0
!
!N2O5/RPG7=0.0
!
!N2O5/URG8=0.0
!
!N2O5/UR19=0.0
!
!N2O5/URG9=0.0
!
!N2O5/AP7=0.0
!
!N2O5/URG10=0.0
!
!N2O5/RPR1=0.0
!
!N2O5/RPR5=0.0
!
!N2O5/RPR8=0.0
!
!N2O5/RP10=0.0
!
!N2O5/RP11=0.0
!
!N2O5/RP16=0.0
!
!N2O5/RPRL=0.0
!
!N2O5/APAN=0.0
!
!N2O5/PAN1=0.0
!
!N2O5/PAN2=0.0
!
!N2O5/PAN3=0.0
!
!N2O5/PAN4=0.0
!
!N2O5/PAN6=0.0
!
!N2O5/PAN7=0.0
!
!N2O5/PAN8=0.0
!
!N2O5/PN10=0.0
!
!N2O5/RO2T=0.0
!
!N2O5/RO21=0.0
!
!N2O5/RO25=0.0
!
!NO3/NO=-K007*<NO3>
 PJAC(:,8,1)=-TPK%K007(:)*PCONC(:,8)
!
!NO3/NO2=+K004*<O>+K006*<O3>-K009*<NO3>-K012*<NO3>
 PJAC(:,8,2)=+TPK%K004(:)*TPK%O(:)+TPK%K006(:)*PCONC(:,3)-TPK%K009(:)*PCONC(:,8&
&)-TPK%K012(:)*PCONC(:,8)
!
!NO3/O3=+K006*<NO2>
 PJAC(:,8,3)=+TPK%K006(:)*PCONC(:,2)
!
!NO3/HONO=0.0
!
!NO3/HNO3=+K023*<OH>
 PJAC(:,8,5)=+TPK%K023(:)*PCONC(:,15)
!
!NO3/HNO4=0.0
!
!NO3/N2O5=+K010
 PJAC(:,8,7)=+TPK%K010(:)
!
!NO3/NO3=-K007*<NO>-K009*<NO2>-K012*<NO2>-K013-K014-K033*<HO2>-K040*<OH>-K041*<
!NO3>-K041*<NO3>-K041*<NO3>-K041*<NO3>-K047*<HCHO>-K050*<ETHE>-K055*<OLEL>-K061
!*<ALD2>-K065*<ISOP>-K072*<AROO>-K075*<OLEH>-K081*<ARAL>-K085*<BIOL>-K089*<BIOH
!>-K275*<MCR>-K278*<MGLY>-K307*<RPR1>-K313*<RPR3>-K320*<RPR4>-K327*<RPR8>-K338*
!<RP16>
 PJAC(:,8,8)=-TPK%K007(:)*PCONC(:,1)-TPK%K009(:)*PCONC(:,2)-TPK%K012(:)*PCONC(:&
&,2)-TPK%K013(:)-TPK%K014(:)-TPK%K033(:)*PCONC(:,10)-TPK%K040(:)*PCONC(:,15)-TP&
&K%K041(:)*PCONC(:,8)-TPK%K041(:)*PCONC(:,8)-TPK%K041(:)*PCONC(:,8)-TPK%K041(:)&
&*PCONC(:,8)-TPK%K047(:)*PCONC(:,28)-TPK%K050(:)*PCONC(:,16)-TPK%K055(:)*PCONC(&
&:,17)-TPK%K061(:)*PCONC(:,29)-TPK%K065(:)*PCONC(:,35)-TPK%K072(:)*PCONC(:,24)-&
&TPK%K075(:)*PCONC(:,18)-TPK%K081(:)*PCONC(:,25)-TPK%K085(:)*PCONC(:,36)-TPK%K0&
&89(:)*PCONC(:,37)-TPK%K275(:)*PCONC(:,40)-TPK%K278(:)*PCONC(:,41)-TPK%K307(:)*&
&PCONC(:,69)-TPK%K313(:)*PCONC(:,57)-TPK%K320(:)*PCONC(:,61)-TPK%K327(:)*PCONC(&
&:,71)-TPK%K338(:)*PCONC(:,74)
!
!NO3/NH3=0.0
!
!NO3/HO2=-K033*<NO3>
 PJAC(:,8,10)=-TPK%K033(:)*PCONC(:,8)
!
!NO3/CO=0.0
!
!NO3/H2O2=0.0
!
!NO3/SO2=0.0
!
!NO3/H2SO4=0.0
!
!NO3/OH=+K023*<HNO3>-K040*<NO3>
 PJAC(:,8,15)=+TPK%K023(:)*PCONC(:,5)-TPK%K040(:)*PCONC(:,8)
!
!NO3/ETHE=-K050*<NO3>
 PJAC(:,8,16)=-TPK%K050(:)*PCONC(:,8)
!
!NO3/OLEL=-K055*<NO3>
 PJAC(:,8,17)=-TPK%K055(:)*PCONC(:,8)
!
!NO3/OLEH=-K075*<NO3>
 PJAC(:,8,18)=-TPK%K075(:)*PCONC(:,8)
!
!NO3/ALKL=0.0
!
!NO3/ALKM=0.0
!
!NO3/ALKH=0.0
!
!NO3/AROH=0.0
!
!NO3/AROL=0.0
!
!NO3/AROO=-K072*<NO3>
 PJAC(:,8,24)=-TPK%K072(:)*PCONC(:,8)
!
!NO3/ARAL=-K081*<NO3>
 PJAC(:,8,25)=-TPK%K081(:)*PCONC(:,8)
!
!NO3/ARAC=0.0
!
!NO3/PAH=0.0
!
!NO3/HCHO=-K047*<NO3>
 PJAC(:,8,28)=-TPK%K047(:)*PCONC(:,8)
!
!NO3/ALD2=-K061*<NO3>
 PJAC(:,8,29)=-TPK%K061(:)*PCONC(:,8)
!
!NO3/KETL=0.0
!
!NO3/KETH=0.0
!
!NO3/MEOH=0.0
!
!NO3/ETOH=0.0
!
!NO3/ALCH=0.0
!
!NO3/ISOP=-K065*<NO3>
 PJAC(:,8,35)=-TPK%K065(:)*PCONC(:,8)
!
!NO3/BIOL=-K085*<NO3>
 PJAC(:,8,36)=-TPK%K085(:)*PCONC(:,8)
!
!NO3/BIOH=-K089*<NO3>
 PJAC(:,8,37)=-TPK%K089(:)*PCONC(:,8)
!
!NO3/MTBE=0.0
!
!NO3/MVK=0.0
!
!NO3/MCR=-K275*<NO3>
 PJAC(:,8,40)=-TPK%K275(:)*PCONC(:,8)
!
!NO3/MGLY=-K278*<NO3>
 PJAC(:,8,41)=-TPK%K278(:)*PCONC(:,8)
!
!NO3/GLY=0.0
!
!NO3/ORA1=0.0
!
!NO3/ORA2=0.0
!
!NO3/ACID=0.0
!
!NO3/UR28=0.0
!
!NO3/UR21=0.0
!
!NO3/URG2=0.0
!
!NO3/UR26=0.0
!
!NO3/RPG2=0.0
!
!NO3/RP18=0.0
!
!NO3/RPG3=0.0
!
!NO3/URG4=0.0
!
!NO3/UR8=0.0
!
!NO3/UR17=0.0
!
!NO3/UR7=0.0
!
!NO3/RPR3=-K313*<NO3>
 PJAC(:,8,57)=-TPK%K313(:)*PCONC(:,8)
!
!NO3/URG6=0.0
!
!NO3/UR22=0.0
!
!NO3/URG7=0.0
!
!NO3/RPR4=-K320*<NO3>
 PJAC(:,8,61)=-TPK%K320(:)*PCONC(:,8)
!
!NO3/RPR7=0.0
!
!NO3/RPG7=0.0
!
!NO3/URG8=0.0
!
!NO3/UR19=0.0
!
!NO3/URG9=0.0
!
!NO3/AP7=0.0
!
!NO3/URG10=0.0
!
!NO3/RPR1=-K307*<NO3>
 PJAC(:,8,69)=-TPK%K307(:)*PCONC(:,8)
!
!NO3/RPR5=0.0
!
!NO3/RPR8=-K327*<NO3>
 PJAC(:,8,71)=-TPK%K327(:)*PCONC(:,8)
!
!NO3/RP10=0.0
!
!NO3/RP11=0.0
!
!NO3/RP16=-K338*<NO3>
 PJAC(:,8,74)=-TPK%K338(:)*PCONC(:,8)
!
!NO3/RPRL=0.0
!
!NO3/APAN=0.0
!
!NO3/PAN1=0.0
!
!NO3/PAN2=0.0
!
!NO3/PAN3=0.0
!
!NO3/PAN4=0.0
!
!NO3/PAN6=0.0
!
!NO3/PAN7=0.0
!
!NO3/PAN8=0.0
!
!NO3/PN10=0.0
!
!NO3/RO2T=0.0
!
!NO3/RO21=0.0
!
!NO3/RO25=0.0
!
!NH3/NO=0.0
!
!NH3/NO2=0.0
!
!NH3/O3=0.0
!
!NH3/HONO=0.0
!
!NH3/HNO3=0.0
!
!NH3/HNO4=0.0
!
!NH3/N2O5=0.0
!
!NH3/NO3=0.0
!
!NH3/NH3=-K345*<OH>
 PJAC(:,9,9)=-TPK%K345(:)*PCONC(:,15)
!
!NH3/HO2=0.0
!
!NH3/CO=0.0
!
!NH3/H2O2=0.0
!
!NH3/SO2=0.0
!
!NH3/H2SO4=0.0
!
!NH3/OH=-K345*<NH3>
 PJAC(:,9,15)=-TPK%K345(:)*PCONC(:,9)
!
!NH3/ETHE=0.0
!
!NH3/OLEL=0.0
!
!NH3/OLEH=0.0
!
!NH3/ALKL=0.0
!
!NH3/ALKM=0.0
!
!NH3/ALKH=0.0
!
!NH3/AROH=0.0
!
!NH3/AROL=0.0
!
!NH3/AROO=0.0
!
!NH3/ARAL=0.0
!
!NH3/ARAC=0.0
!
!NH3/PAH=0.0
!
!NH3/HCHO=0.0
!
!NH3/ALD2=0.0
!
!NH3/KETL=0.0
!
!NH3/KETH=0.0
!
!NH3/MEOH=0.0
!
!NH3/ETOH=0.0
!
!NH3/ALCH=0.0
!
!NH3/ISOP=0.0
!
!NH3/BIOL=0.0
!
!NH3/BIOH=0.0
!
!NH3/MTBE=0.0
!
!NH3/MVK=0.0
!
!NH3/MCR=0.0
!
!NH3/MGLY=0.0
!
!NH3/GLY=0.0
!
!NH3/ORA1=0.0
!
!NH3/ORA2=0.0
!
!NH3/ACID=0.0
!
!NH3/UR28=0.0
!
!NH3/UR21=0.0
!
!NH3/URG2=0.0
!
!NH3/UR26=0.0
!
!NH3/RPG2=0.0
!
!NH3/RP18=0.0
!
!NH3/RPG3=0.0
!
!NH3/URG4=0.0
!
!NH3/UR8=0.0
!
!NH3/UR17=0.0
!
!NH3/UR7=0.0
!
!NH3/RPR3=0.0
!
!NH3/URG6=0.0
!
!NH3/UR22=0.0
!
!NH3/URG7=0.0
!
!NH3/RPR4=0.0
!
!NH3/RPR7=0.0
!
!NH3/RPG7=0.0
!
!NH3/URG8=0.0
!
!NH3/UR19=0.0
!
!NH3/URG9=0.0
!
!NH3/AP7=0.0
!
!NH3/URG10=0.0
!
!NH3/RPR1=0.0
!
!NH3/RPR5=0.0
!
!NH3/RPR8=0.0
!
!NH3/RP10=0.0
!
!NH3/RP11=0.0
!
!NH3/RP16=0.0
!
!NH3/RPRL=0.0
!
!NH3/APAN=0.0
!
!NH3/PAN1=0.0
!
!NH3/PAN2=0.0
!
!NH3/PAN3=0.0
!
!NH3/PAN4=0.0
!
!NH3/PAN6=0.0
!
!NH3/PAN7=0.0
!
!NH3/PAN8=0.0
!
!NH3/PN10=0.0
!
!NH3/RO2T=0.0
!
!NH3/RO21=0.0
!
!NH3/RO25=0.0
!
!HO2/NO=-K026*<HO2>+K110*<RO21>+K113*<RO22>+K119*<RO24>+TPK%CF4*K122*<RO25>+TPK
!%CF6*K150*<RO29>+K153*<RO210>+K171*<RO215>+TPK%CF22*K177*<RO217>+TPK%CF20*K180
!*<RO218>+TPK%CF24*K189*<RO221>+TPK%CF42*K192*<RO222>+TPK%CF44*K195*<RO223>+TPK
!%CF26*K198*<RO224>+TPK%CF28*K207*<RO227>+TPK%CF32*K221*<RO231>+TPK%CF36*K227*<
!RO241>+K231*<RO233>+K234*<RO242>+K238*<RO234>+K241*<RO243>+K245*<RO235>+K248*<
!RO244>+K252*<RO236>+K255*<RO245>+K259*<RO237>+K262*<RO246>+K266*<RO238>+K269*<
!RO247>+K285*<RO249>+K291*<RO251>+K300*<RO254>+K315*<RO256>
 PJAC(:,10,1)=-TPK%K026(:)*PCONC(:,10)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%&
&RO22(:)+TPK%K119(:)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,87)+TPK%CF6*TPK%K1&
&50(:)*TPK%RO29(:)+TPK%K153(:)*TPK%RO210(:)+TPK%K171(:)*TPK%RO215(:)+TPK%CF22*T&
&PK%K177(:)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*TPK%RO218(:)+TPK%CF24*TPK%K189(:)&
&*TPK%RO221(:)+TPK%CF42*TPK%K192(:)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*TPK%RO223&
&(:)+TPK%CF26*TPK%K198(:)*TPK%RO224(:)+TPK%CF28*TPK%K207(:)*TPK%RO227(:)+TPK%CF&
&32*TPK%K221(:)*TPK%RO231(:)+TPK%CF36*TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%&
&RO233(:)+TPK%K234(:)*TPK%RO242(:)+TPK%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO2&
&43(:)+TPK%K245(:)*TPK%RO235(:)+TPK%K248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(&
&:)+TPK%K255(:)*TPK%RO245(:)+TPK%K259(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+&
&TPK%K266(:)*TPK%RO238(:)+TPK%K269(:)*TPK%RO247(:)+TPK%K285(:)*TPK%RO249(:)+TPK&
&%K291(:)*TPK%RO251(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K315(:)*TPK%RO256(:)
!
!HO2/NO2=-K027*<HO2>
 PJAC(:,10,2)=-TPK%K027(:)*PCONC(:,10)
!
!HO2/O3=+K025*<OH>-K030*<HO2>+0.06*K051*<ETHE>+0.28*K056*<OLEL>+0.366*K066*<ISO
!P>+0.28*K076*<OLEH>+0.445*K086*<BIOL>+0.28*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,10,3)=+TPK%K025(:)*PCONC(:,15)-TPK%K030(:)*PCONC(:,10)+0.06*TPK%K051(:)&
&*PCONC(:,16)+0.28*TPK%K056(:)*PCONC(:,17)+0.366*TPK%K066(:)*PCONC(:,35)+0.28*T&
&PK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,36)+0.28*TPK%K281(:)*PCONC(:,&
&39)+0.41*TPK%K282(:)*PCONC(:,40)
!
!HO2/HONO=+0.1*K020
 PJAC(:,10,4)=+0.1*TPK%K020(:)
!
!HO2/HNO3=0.0
!
!HO2/HNO4=+K028
 PJAC(:,10,6)=+TPK%K028(:)
!
!HO2/N2O5=0.0
!
!HO2/NO3=-K033*<HO2>+K040*<OH>+K047*<HCHO>
 PJAC(:,10,8)=-TPK%K033(:)*PCONC(:,10)+TPK%K040(:)*PCONC(:,15)+TPK%K047(:)*PCON&
&C(:,28)
!
!HO2/NH3=0.0
!
!HO2/HO2=-K026*<NO>-K027*<NO2>-K030*<O3>-K031*<HO2>-K031*<HO2>-K031*<HO2>-K031*
!<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K033
!*<NO3>-K042*<OH>+K094*<RO2T>-K094*<RO2T>+K112*<RO21>-K112*<RO21>+K115*<RO22>-K
!115*<RO22>+K118*<RO23>-K118*<RO23>+K121*<RO24>-K121*<RO24>+K124*<RO25>-K124*<R
!O25>-K142*<RO26>-K146*<RO27>-K148*<RO28>+K152*<RO29>-K152*<RO29>+K155*<RO210>-
!K155*<RO210>-K158*<RO211>-K161*<RO212>-K164*<RO213>-K166*<RO239>-K170*<RO214>+
!K173*<RO215>-K173*<RO215>-K176*<RO216>+K179*<RO217>-K179*<RO217>+K182*<RO218>-
!K182*<RO218>-K185*<RO219>-K188*<RO220>+K191*<RO221>-K191*<RO221>+K194*<RO222>-
!K194*<RO222>+K197*<RO223>-K197*<RO223>+K200*<RO224>-K200*<RO224>-K203*<RO225>-
!K206*<RO226>+K209*<RO227>-K209*<RO227>-K212*<RO228>-K215*<RO229>-K218*<RO240>-
!K220*<RO230>+K223*<RO231>-K223*<RO231>-K226*<RO232>+K229*<RO241>-K229*<RO241>+
!K233*<RO233>-K233*<RO233>+K236*<RO242>-K236*<RO242>+K240*<RO234>-K240*<RO234>+
!K243*<RO243>-K243*<RO243>+K247*<RO235>-K247*<RO235>+K250*<RO244>-K250*<RO244>+
!K254*<RO236>-K254*<RO236>+K257*<RO245>-K257*<RO245>+K261*<RO237>-K261*<RO237>+
!K264*<RO246>-K264*<RO246>+K268*<RO238>-K268*<RO238>+K271*<RO247>-K271*<RO247>-
!K279*<RO248>+K287*<RO249>-K287*<RO249>-K289*<RO250>+K292*<RO251>-K292*<RO251>-
!K295*<RO252>-K298*<RO253>-K301*<RO254>-K310*<RO255>-K318*<RO256>-K332*<RO257>-
!K341*<RO258>
 PJAC(:,10,10)=-TPK%K026(:)*PCONC(:,1)-TPK%K027(:)*PCONC(:,2)-TPK%K030(:)*PCONC&
&(:,3)-TPK%K031(:)*PCONC(:,10)-TPK%K031(:)*PCONC(:,10)-TPK%K031(:)*PCONC(:,10)-&
&TPK%K031(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O&
&(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCON&
&C(:,10)-TPK%K033(:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,15)+TPK%K094(:)*PCONC(:,85)&
&-TPK%K094(:)*PCONC(:,85)+TPK%K112(:)*PCONC(:,86)-TPK%K112(:)*PCONC(:,86)+TPK%K&
&115(:)*TPK%RO22(:)-TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK%RO23(:)-TPK%K118(:)&
&*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)-TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC&
&(:,87)-TPK%K124(:)*PCONC(:,87)-TPK%K142(:)*TPK%RO26(:)-TPK%K146(:)*TPK%RO27(:)&
&-TPK%K148(:)*TPK%RO28(:)+TPK%K152(:)*TPK%RO29(:)-TPK%K152(:)*TPK%RO29(:)+TPK%K&
&155(:)*TPK%RO210(:)-TPK%K155(:)*TPK%RO210(:)-TPK%K158(:)*TPK%RO211(:)-TPK%K161&
&(:)*TPK%RO212(:)-TPK%K164(:)*TPK%RO213(:)-TPK%K166(:)*TPK%RO239(:)-TPK%K170(:)&
&*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)-TPK%K173(:)*TPK%RO215(:)-TPK%K176(:)*TP&
&K%RO216(:)+TPK%K179(:)*TPK%RO217(:)-TPK%K179(:)*TPK%RO217(:)+TPK%K182(:)*TPK%R&
&O218(:)-TPK%K182(:)*TPK%RO218(:)-TPK%K185(:)*TPK%RO219(:)-TPK%K188(:)*TPK%RO22&
&0(:)+TPK%K191(:)*TPK%RO221(:)-TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:&
&)-TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO223(:)-TPK%K197(:)*TPK%RO223(:)+T&
&PK%K200(:)*TPK%RO224(:)-TPK%K200(:)*TPK%RO224(:)-TPK%K203(:)*TPK%RO225(:)-TPK%&
&K206(:)*TPK%RO226(:)+TPK%K209(:)*TPK%RO227(:)-TPK%K209(:)*TPK%RO227(:)-TPK%K21&
&2(:)*TPK%RO228(:)-TPK%K215(:)*TPK%RO229(:)-TPK%K218(:)*TPK%RO240(:)-TPK%K220(:&
&)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)-TPK%K223(:)*TPK%RO231(:)-TPK%K226(:)*T&
&PK%RO232(:)+TPK%K229(:)*TPK%RO241(:)-TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%&
&RO233(:)-TPK%K233(:)*TPK%RO233(:)+TPK%K236(:)*TPK%RO242(:)-TPK%K236(:)*TPK%RO2&
&42(:)+TPK%K240(:)*TPK%RO234(:)-TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(&
&:)-TPK%K243(:)*TPK%RO243(:)+TPK%K247(:)*TPK%RO235(:)-TPK%K247(:)*TPK%RO235(:)+&
&TPK%K250(:)*TPK%RO244(:)-TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)-TPK&
&%K254(:)*TPK%RO236(:)+TPK%K257(:)*TPK%RO245(:)-TPK%K257(:)*TPK%RO245(:)+TPK%K2&
&61(:)*TPK%RO237(:)-TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)-TPK%K264(&
&:)*TPK%RO246(:)+TPK%K268(:)*TPK%RO238(:)-TPK%K268(:)*TPK%RO238(:)+TPK%K271(:)*&
&TPK%RO247(:)-TPK%K271(:)*TPK%RO247(:)-TPK%K279(:)*TPK%RO248(:)+TPK%K287(:)*TPK&
&%RO249(:)-TPK%K287(:)*TPK%RO249(:)-TPK%K289(:)*TPK%RO250(:)+TPK%K292(:)*TPK%RO&
&251(:)-TPK%K292(:)*TPK%RO251(:)-TPK%K295(:)*TPK%RO252(:)-TPK%K298(:)*TPK%RO253&
&(:)-TPK%K301(:)*TPK%RO254(:)-TPK%K310(:)*TPK%RO255(:)-TPK%K318(:)*TPK%RO256(:)&
&-TPK%K332(:)*TPK%RO257(:)-TPK%K341(:)*TPK%RO258(:)
!
!HO2/CO=+K024*<OH>
 PJAC(:,10,11)=+TPK%K024(:)*PCONC(:,15)
!
!HO2/H2O2=+K037*<OH>
 PJAC(:,10,12)=+TPK%K037(:)*PCONC(:,15)
!
!HO2/SO2=+K035*<OH>
 PJAC(:,10,13)=+TPK%K035(:)*PCONC(:,15)
!
!HO2/H2SO4=0.0
!
!HO2/OH=+K024*<CO>+K025*<O3>+K035*<SO2>+K037*<H2O2>+K040*<NO3>-K042*<HO2>+K046*
!<HCHO>+K048*<MEOH>+TPK%CF1*K053*<ETOH>+0.16*K073*<AROO>+0.16*K079*<AROL>+0.16*
!K080*<AROH>+TPK%CF48*K082*<ARAL>+0.16*K083*<ARAC>+0.16*K092*<PAH>+K325*<RP10>+
!K347*<ORA1>
 PJAC(:,10,15)=+TPK%K024(:)*PCONC(:,11)+TPK%K025(:)*PCONC(:,3)+TPK%K035(:)*PCON&
&C(:,13)+TPK%K037(:)*PCONC(:,12)+TPK%K040(:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,10)&
&+TPK%K046(:)*PCONC(:,28)+TPK%K048(:)*PCONC(:,32)+TPK%CF1*TPK%K053(:)*PCONC(:,3&
&3)+0.16*TPK%K073(:)*PCONC(:,24)+0.16*TPK%K079(:)*PCONC(:,23)+0.16*TPK%K080(:)*&
&PCONC(:,22)+TPK%CF48*TPK%K082(:)*PCONC(:,25)+0.16*TPK%K083(:)*PCONC(:,26)+0.16&
&*TPK%K092(:)*PCONC(:,27)+TPK%K325(:)*PCONC(:,72)+TPK%K347(:)*PCONC(:,43)
!
!HO2/ETHE=+0.06*K051*<O3>+K052*<O>
 PJAC(:,10,16)=+0.06*TPK%K051(:)*PCONC(:,3)+TPK%K052(:)*TPK%O(:)
!
!HO2/OLEL=+0.28*K056*<O3>
 PJAC(:,10,17)=+0.28*TPK%K056(:)*PCONC(:,3)
!
!HO2/OLEH=+0.28*K076*<O3>
 PJAC(:,10,18)=+0.28*TPK%K076(:)*PCONC(:,3)
!
!HO2/ALKL=0.0
!
!HO2/ALKM=0.0
!
!HO2/ALKH=0.0
!
!HO2/AROH=+0.16*K080*<OH>
 PJAC(:,10,22)=+0.16*TPK%K080(:)*PCONC(:,15)
!
!HO2/AROL=+0.16*K079*<OH>
 PJAC(:,10,23)=+0.16*TPK%K079(:)*PCONC(:,15)
!
!HO2/AROO=+0.16*K073*<OH>
 PJAC(:,10,24)=+0.16*TPK%K073(:)*PCONC(:,15)
!
!HO2/ARAL=+TPK%CF48*K082*<OH>
 PJAC(:,10,25)=+TPK%CF48*TPK%K082(:)*PCONC(:,15)
!
!HO2/ARAC=+0.16*K083*<OH>
 PJAC(:,10,26)=+0.16*TPK%K083(:)*PCONC(:,15)
!
!HO2/PAH=+0.16*K092*<OH>
 PJAC(:,10,27)=+0.16*TPK%K092(:)*PCONC(:,15)
!
!HO2/HCHO=+2.0*K044+K046*<OH>+K047*<NO3>
 PJAC(:,10,28)=+2.0*TPK%K044(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCONC(:,8)
!
!HO2/ALD2=+K059
 PJAC(:,10,29)=+TPK%K059(:)
!
!HO2/KETL=0.0
!
!HO2/KETH=0.0
!
!HO2/MEOH=+K048*<OH>
 PJAC(:,10,32)=+TPK%K048(:)*PCONC(:,15)
!
!HO2/ETOH=+TPK%CF1*K053*<OH>
 PJAC(:,10,33)=+TPK%CF1*TPK%K053(:)*PCONC(:,15)
!
!HO2/ALCH=0.0
!
!HO2/ISOP=+0.366*K066*<O3>
 PJAC(:,10,35)=+0.366*TPK%K066(:)*PCONC(:,3)
!
!HO2/BIOL=+0.445*K086*<O3>
 PJAC(:,10,36)=+0.445*TPK%K086(:)*PCONC(:,3)
!
!HO2/BIOH=0.0
!
!HO2/MTBE=0.0
!
!HO2/MVK=+0.28*K281*<O3>
 PJAC(:,10,39)=+0.28*TPK%K281(:)*PCONC(:,3)
!
!HO2/MCR=+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,10,40)=+0.41*TPK%K282(:)*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!HO2/MGLY=+K276
 PJAC(:,10,41)=+TPK%K276(:)
!
!HO2/GLY=0.0
!
!HO2/ORA1=+K347*<OH>
 PJAC(:,10,43)=+TPK%K347(:)*PCONC(:,15)
!
!HO2/ORA2=0.0
!
!HO2/ACID=0.0
!
!HO2/UR28=0.0
!
!HO2/UR21=0.0
!
!HO2/URG2=0.0
!
!HO2/UR26=0.0
!
!HO2/RPG2=0.0
!
!HO2/RP18=0.0
!
!HO2/RPG3=0.0
!
!HO2/URG4=0.0
!
!HO2/UR8=0.0
!
!HO2/UR17=0.0
!
!HO2/UR7=0.0
!
!HO2/RPR3=+2.*K314
 PJAC(:,10,57)=+2.*TPK%K314(:)
!
!HO2/URG6=0.0
!
!HO2/UR22=0.0
!
!HO2/URG7=0.0
!
!HO2/RPR4=0.0
!
!HO2/RPR7=0.0
!
!HO2/RPG7=0.0
!
!HO2/URG8=0.0
!
!HO2/UR19=0.0
!
!HO2/URG9=0.0
!
!HO2/AP7=0.0
!
!HO2/URG10=0.0
!
!HO2/RPR1=+K308
 PJAC(:,10,69)=+TPK%K308(:)
!
!HO2/RPR5=0.0
!
!HO2/RPR8=+K329+K330
 PJAC(:,10,71)=+TPK%K329(:)+TPK%K330(:)
!
!HO2/RP10=+K325*<OH>
 PJAC(:,10,72)=+TPK%K325(:)*PCONC(:,15)
!
!HO2/RP11=0.0
!
!HO2/RP16=+K339
 PJAC(:,10,74)=+TPK%K339(:)
!
!HO2/RPRL=0.0
!
!HO2/APAN=0.0
!
!HO2/PAN1=0.0
!
!HO2/PAN2=0.0
!
!HO2/PAN3=0.0
!
!HO2/PAN4=0.0
!
!HO2/PAN6=0.0
!
!HO2/PAN7=0.0
!
!HO2/PAN8=0.0
!
!HO2/PN10=0.0
!
!HO2/RO2T=+K094*<HO2>-K094*<HO2>+K111*<RO21>+K114*<RO22>+K117*<RO23>+K120*<RO24
!>+K123*<RO25>+K151*<RO29>+K154*<RO210>+K172*<RO215>+K178*<RO217>+K181*<RO218>+
!K190*<RO221>+K193*<RO222>+K196*<RO223>+K199*<RO224>+K208*<RO227>+K222*<RO231>+
!K228*<RO241>+K232*<RO233>+K235*<RO242>+K239*<RO234>+K242*<RO243>+K246*<RO235>+
!K249*<RO244>+K253*<RO236>+K256*<RO245>+K260*<RO237>+K263*<RO246>+K267*<RO238>+
!K270*<RO247>+K286*<RO249>+K293*<RO251>+K302*<RO254>+K319*<RO256>
 PJAC(:,10,85)=+TPK%K094(:)*PCONC(:,10)-TPK%K094(:)*PCONC(:,10)+TPK%K111(:)*PCO&
&NC(:,86)+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(&
&:)+TPK%K123(:)*PCONC(:,87)+TPK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)+TP&
&K%K172(:)*TPK%RO215(:)+TPK%K178(:)*TPK%RO217(:)+TPK%K181(:)*TPK%RO218(:)+TPK%K&
&190(:)*TPK%RO221(:)+TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)+TPK%K199&
&(:)*TPK%RO224(:)+TPK%K208(:)*TPK%RO227(:)+TPK%K222(:)*TPK%RO231(:)+TPK%K228(:)&
&*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)+TPK%K235(:)*TPK%RO242(:)+TPK%K239(:)*TP&
&K%RO234(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K246(:)*TPK%RO235(:)+TPK%K249(:)*TPK%R&
&O244(:)+TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K260(:)*TPK%RO23&
&7(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO238(:)+TPK%K270(:)*TPK%RO247(:&
&)+TPK%K286(:)*TPK%RO249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K302(:)*TPK%RO254(:)+T&
&PK%K319(:)*TPK%RO256(:)
!
!HO2/RO21=+K110*<NO>+K111*<RO2T>+K112*<HO2>-K112*<HO2>
 PJAC(:,10,86)=+TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)-TPK%K112(:)*PCONC(:,10)
!
!HO2/RO25=+TPK%CF4*K122*<NO>+K123*<RO2T>+K124*<HO2>-K124*<HO2>
 PJAC(:,10,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124&
&(:)*PCONC(:,10)-TPK%K124(:)*PCONC(:,10)
!
RETURN
END SUBROUTINE SUBJ1
!
SUBROUTINE SUBJ2
!
!Indices 11 a 15
!
!
!CO/NO=+K119*<RO24>+K300*<RO254>+K340*<RO258>
 PJAC(:,11,1)=+TPK%K119(:)*TPK%RO24(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K340(:)*TPK&
&%RO258(:)
!
!CO/NO2=0.0
!
!CO/O3=+0.315*K051*<ETHE>+0.56*K056*<OLEL>+0.461*K066*<ISOP>+0.56*K076*<OLEH>+0
!.445*K086*<BIOL>+0.445*K090*<BIOH>+0.56*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,11,3)=+0.315*TPK%K051(:)*PCONC(:,16)+0.56*TPK%K056(:)*PCONC(:,17)+0.461&
&*TPK%K066(:)*PCONC(:,35)+0.56*TPK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(&
&:,36)+0.445*TPK%K090(:)*PCONC(:,37)+0.56*TPK%K281(:)*PCONC(:,39)+0.41*TPK%K282&
&(:)*PCONC(:,40)
!
!CO/HONO=0.0
!
!CO/HNO3=0.0
!
!CO/HNO4=0.0
!
!CO/N2O5=0.0
!
!CO/NO3=+K047*<HCHO>
 PJAC(:,11,8)=+TPK%K047(:)*PCONC(:,28)
!
!CO/NH3=0.0
!
!CO/HO2=+K121*<RO24>
 PJAC(:,11,10)=+TPK%K121(:)*TPK%RO24(:)
!
!CO/CO=-K024*<OH>
 PJAC(:,11,11)=-TPK%K024(:)*PCONC(:,15)
!
!CO/H2O2=0.0
!
!CO/SO2=0.0
!
!CO/H2SO4=0.0
!
!CO/OH=-K024*<CO>+K046*<HCHO>
 PJAC(:,11,15)=-TPK%K024(:)*PCONC(:,11)+TPK%K046(:)*PCONC(:,28)
!
!CO/ETHE=+0.315*K051*<O3>+0.6*K052*<O>
 PJAC(:,11,16)=+0.315*TPK%K051(:)*PCONC(:,3)+0.6*TPK%K052(:)*TPK%O(:)
!
!CO/OLEL=+0.56*K056*<O3>
 PJAC(:,11,17)=+0.56*TPK%K056(:)*PCONC(:,3)
!
!CO/OLEH=+0.56*K076*<O3>
 PJAC(:,11,18)=+0.56*TPK%K076(:)*PCONC(:,3)
!
!CO/ALKL=0.0
!
!CO/ALKM=0.0
!
!CO/ALKH=0.0
!
!CO/AROH=0.0
!
!CO/AROL=0.0
!
!CO/AROO=0.0
!
!CO/ARAL=0.0
!
!CO/ARAC=0.0
!
!CO/PAH=0.0
!
!CO/HCHO=+K044+K045+K046*<OH>+K047*<NO3>
 PJAC(:,11,28)=+TPK%K044(:)+TPK%K045(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCO&
&NC(:,8)
!
!CO/ALD2=+K059
 PJAC(:,11,29)=+TPK%K059(:)
!
!CO/KETL=0.0
!
!CO/KETH=0.0
!
!CO/MEOH=0.0
!
!CO/ETOH=0.0
!
!CO/ALCH=0.0
!
!CO/ISOP=+0.461*K066*<O3>
 PJAC(:,11,35)=+0.461*TPK%K066(:)*PCONC(:,3)
!
!CO/BIOL=+0.445*K086*<O3>
 PJAC(:,11,36)=+0.445*TPK%K086(:)*PCONC(:,3)
!
!CO/BIOH=+0.445*K090*<O3>
 PJAC(:,11,37)=+0.445*TPK%K090(:)*PCONC(:,3)
!
!CO/MTBE=0.0
!
!CO/MVK=+0.56*K281*<O3>
 PJAC(:,11,39)=+0.56*TPK%K281(:)*PCONC(:,3)
!
!CO/MCR=+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,11,40)=+0.41*TPK%K282(:)*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!CO/MGLY=+K276
 PJAC(:,11,41)=+TPK%K276(:)
!
!CO/GLY=0.0
!
!CO/ORA1=0.0
!
!CO/ORA2=0.0
!
!CO/ACID=0.0
!
!CO/UR28=0.0
!
!CO/UR21=0.0
!
!CO/URG2=0.0
!
!CO/UR26=0.0
!
!CO/RPG2=0.0
!
!CO/RP18=0.0
!
!CO/RPG3=0.0
!
!CO/URG4=0.0
!
!CO/UR8=0.0
!
!CO/UR17=0.0
!
!CO/UR7=0.0
!
!CO/RPR3=+K314
 PJAC(:,11,57)=+TPK%K314(:)
!
!CO/URG6=0.0
!
!CO/UR22=0.0
!
!CO/URG7=0.0
!
!CO/RPR4=0.0
!
!CO/RPR7=0.0
!
!CO/RPG7=0.0
!
!CO/URG8=0.0
!
!CO/UR19=0.0
!
!CO/URG9=0.0
!
!CO/AP7=0.0
!
!CO/URG10=0.0
!
!CO/RPR1=+K308
 PJAC(:,11,69)=+TPK%K308(:)
!
!CO/RPR5=0.0
!
!CO/RPR8=+K329
 PJAC(:,11,71)=+TPK%K329(:)
!
!CO/RP10=0.0
!
!CO/RP11=0.0
!
!CO/RP16=+2.*K339
 PJAC(:,11,74)=+2.*TPK%K339(:)
!
!CO/RPRL=0.0
!
!CO/APAN=0.0
!
!CO/PAN1=0.0
!
!CO/PAN2=0.0
!
!CO/PAN3=0.0
!
!CO/PAN4=0.0
!
!CO/PAN6=0.0
!
!CO/PAN7=0.0
!
!CO/PAN8=0.0
!
!CO/PN10=0.0
!
!CO/RO2T=+K120*<RO24>+K302*<RO254>+K342*<RO258>
 PJAC(:,11,85)=+TPK%K120(:)*TPK%RO24(:)+TPK%K302(:)*TPK%RO254(:)+TPK%K342(:)*TP&
&K%RO258(:)
!
!CO/RO21=0.0
!
!CO/RO25=0.0
!
!H2O2/NO=0.0
!
!H2O2/NO2=0.0
!
!H2O2/O3=+0.055*K086*<BIOL>+0.055*K090*<BIOH>
 PJAC(:,12,3)=+0.055*TPK%K086(:)*PCONC(:,36)+0.055*TPK%K090(:)*PCONC(:,37)
!
!H2O2/HONO=0.0
!
!H2O2/HNO3=0.0
!
!H2O2/HNO4=0.0
!
!H2O2/N2O5=0.0
!
!H2O2/NO3=0.0
!
!H2O2/NH3=0.0
!
!H2O2/HO2=+K031*<HO2>+K031*<HO2>+K032*<H2O>*<HO2>+K032*<H2O>*<HO2>
 PJAC(:,12,10)=+TPK%K031(:)*PCONC(:,10)+TPK%K031(:)*PCONC(:,10)+TPK%K032(:)*TPK&
&%H2O(:)*PCONC(:,10)+TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)
!
!H2O2/CO=0.0
!
!H2O2/H2O2=-K036-K037*<OH>
 PJAC(:,12,12)=-TPK%K036(:)-TPK%K037(:)*PCONC(:,15)
!
!H2O2/SO2=0.0
!
!H2O2/H2SO4=0.0
!
!H2O2/OH=-K037*<H2O2>
 PJAC(:,12,15)=-TPK%K037(:)*PCONC(:,12)
!
!H2O2/ETHE=0.0
!
!H2O2/OLEL=0.0
!
!H2O2/OLEH=0.0
!
!H2O2/ALKL=0.0
!
!H2O2/ALKM=0.0
!
!H2O2/ALKH=0.0
!
!H2O2/AROH=0.0
!
!H2O2/AROL=0.0
!
!H2O2/AROO=0.0
!
!H2O2/ARAL=0.0
!
!H2O2/ARAC=0.0
!
!H2O2/PAH=0.0
!
!H2O2/HCHO=0.0
!
!H2O2/ALD2=0.0
!
!H2O2/KETL=0.0
!
!H2O2/KETH=0.0
!
!H2O2/MEOH=0.0
!
!H2O2/ETOH=0.0
!
!H2O2/ALCH=0.0
!
!H2O2/ISOP=0.0
!
!H2O2/BIOL=+0.055*K086*<O3>
 PJAC(:,12,36)=+0.055*TPK%K086(:)*PCONC(:,3)
!
!H2O2/BIOH=+0.055*K090*<O3>
 PJAC(:,12,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!H2O2/MTBE=0.0
!
!H2O2/MVK=0.0
!
!H2O2/MCR=0.0
!
!H2O2/MGLY=0.0
!
!H2O2/GLY=0.0
!
!H2O2/ORA1=0.0
!
!H2O2/ORA2=0.0
!
!H2O2/ACID=0.0
!
!H2O2/UR28=0.0
!
!H2O2/UR21=0.0
!
!H2O2/URG2=0.0
!
!H2O2/UR26=0.0
!
!H2O2/RPG2=0.0
!
!H2O2/RP18=0.0
!
!H2O2/RPG3=0.0
!
!H2O2/URG4=0.0
!
!H2O2/UR8=0.0
!
!H2O2/UR17=0.0
!
!H2O2/UR7=0.0
!
!H2O2/RPR3=0.0
!
!H2O2/URG6=0.0
!
!H2O2/UR22=0.0
!
!H2O2/URG7=0.0
!
!H2O2/RPR4=0.0
!
!H2O2/RPR7=0.0
!
!H2O2/RPG7=0.0
!
!H2O2/URG8=0.0
!
!H2O2/UR19=0.0
!
!H2O2/URG9=0.0
!
!H2O2/AP7=0.0
!
!H2O2/URG10=0.0
!
!H2O2/RPR1=0.0
!
!H2O2/RPR5=0.0
!
!H2O2/RPR8=0.0
!
!H2O2/RP10=0.0
!
!H2O2/RP11=0.0
!
!H2O2/RP16=0.0
!
!H2O2/RPRL=0.0
!
!H2O2/APAN=0.0
!
!H2O2/PAN1=0.0
!
!H2O2/PAN2=0.0
!
!H2O2/PAN3=0.0
!
!H2O2/PAN4=0.0
!
!H2O2/PAN6=0.0
!
!H2O2/PAN7=0.0
!
!H2O2/PAN8=0.0
!
!H2O2/PN10=0.0
!
!H2O2/RO2T=0.0
!
!H2O2/RO21=0.0
!
!H2O2/RO25=0.0
!
!SO2/NO=0.0
!
!SO2/NO2=0.0
!
!SO2/O3=0.0
!
!SO2/HONO=0.0
!
!SO2/HNO3=0.0
!
!SO2/HNO4=0.0
!
!SO2/N2O5=0.0
!
!SO2/NO3=0.0
!
!SO2/NH3=0.0
!
!SO2/HO2=0.0
!
!SO2/CO=0.0
!
!SO2/H2O2=0.0
!
!SO2/SO2=-K035*<OH>
 PJAC(:,13,13)=-TPK%K035(:)*PCONC(:,15)
!
!SO2/H2SO4=0.0
!
!SO2/OH=-K035*<SO2>
 PJAC(:,13,15)=-TPK%K035(:)*PCONC(:,13)
!
!SO2/ETHE=0.0
!
!SO2/OLEL=0.0
!
!SO2/OLEH=0.0
!
!SO2/ALKL=0.0
!
!SO2/ALKM=0.0
!
!SO2/ALKH=0.0
!
!SO2/AROH=0.0
!
!SO2/AROL=0.0
!
!SO2/AROO=0.0
!
!SO2/ARAL=0.0
!
!SO2/ARAC=0.0
!
!SO2/PAH=0.0
!
!SO2/HCHO=0.0
!
!SO2/ALD2=0.0
!
!SO2/KETL=0.0
!
!SO2/KETH=0.0
!
!SO2/MEOH=0.0
!
!SO2/ETOH=0.0
!
!SO2/ALCH=0.0
!
!SO2/ISOP=0.0
!
!SO2/BIOL=0.0
!
!SO2/BIOH=0.0
!
!SO2/MTBE=0.0
!
!SO2/MVK=0.0
!
!SO2/MCR=0.0
!
!SO2/MGLY=0.0
!
!SO2/GLY=0.0
!
!SO2/ORA1=0.0
!
!SO2/ORA2=0.0
!
!SO2/ACID=0.0
!
!SO2/UR28=0.0
!
!SO2/UR21=0.0
!
!SO2/URG2=0.0
!
!SO2/UR26=0.0
!
!SO2/RPG2=0.0
!
!SO2/RP18=0.0
!
!SO2/RPG3=0.0
!
!SO2/URG4=0.0
!
!SO2/UR8=0.0
!
!SO2/UR17=0.0
!
!SO2/UR7=0.0
!
!SO2/RPR3=0.0
!
!SO2/URG6=0.0
!
!SO2/UR22=0.0
!
!SO2/URG7=0.0
!
!SO2/RPR4=0.0
!
!SO2/RPR7=0.0
!
!SO2/RPG7=0.0
!
!SO2/URG8=0.0
!
!SO2/UR19=0.0
!
!SO2/URG9=0.0
!
!SO2/AP7=0.0
!
!SO2/URG10=0.0
!
!SO2/RPR1=0.0
!
!SO2/RPR5=0.0
!
!SO2/RPR8=0.0
!
!SO2/RP10=0.0
!
!SO2/RP11=0.0
!
!SO2/RP16=0.0
!
!SO2/RPRL=0.0
!
!SO2/APAN=0.0
!
!SO2/PAN1=0.0
!
!SO2/PAN2=0.0
!
!SO2/PAN3=0.0
!
!SO2/PAN4=0.0
!
!SO2/PAN6=0.0
!
!SO2/PAN7=0.0
!
!SO2/PAN8=0.0
!
!SO2/PN10=0.0
!
!SO2/RO2T=0.0
!
!SO2/RO21=0.0
!
!SO2/RO25=0.0
!
!H2SO4/NO=0.0
!
!H2SO4/NO2=0.0
!
!H2SO4/O3=0.0
!
!H2SO4/HONO=0.0
!
!H2SO4/HNO3=0.0
!
!H2SO4/HNO4=0.0
!
!H2SO4/N2O5=0.0
!
!H2SO4/NO3=0.0
!
!H2SO4/NH3=0.0
!
!H2SO4/HO2=0.0
!
!H2SO4/CO=0.0
!
!H2SO4/H2O2=0.0
!
!H2SO4/SO2=+K035*<OH>
 PJAC(:,14,13)=+TPK%K035(:)*PCONC(:,15)
!
!H2SO4/H2SO4=-K346
 PJAC(:,14,14)=-TPK%K346(:)
!
!H2SO4/OH=+K035*<SO2>
 PJAC(:,14,15)=+TPK%K035(:)*PCONC(:,13)
!
!H2SO4/ETHE=0.0
!
!H2SO4/OLEL=0.0
!
!H2SO4/OLEH=0.0
!
!H2SO4/ALKL=0.0
!
!H2SO4/ALKM=0.0
!
!H2SO4/ALKH=0.0
!
!H2SO4/AROH=0.0
!
!H2SO4/AROL=0.0
!
!H2SO4/AROO=0.0
!
!H2SO4/ARAL=0.0
!
!H2SO4/ARAC=0.0
!
!H2SO4/PAH=0.0
!
!H2SO4/HCHO=0.0
!
!H2SO4/ALD2=0.0
!
!H2SO4/KETL=0.0
!
!H2SO4/KETH=0.0
!
!H2SO4/MEOH=0.0
!
!H2SO4/ETOH=0.0
!
!H2SO4/ALCH=0.0
!
!H2SO4/ISOP=0.0
!
!H2SO4/BIOL=0.0
!
!H2SO4/BIOH=0.0
!
!H2SO4/MTBE=0.0
!
!H2SO4/MVK=0.0
!
!H2SO4/MCR=0.0
!
!H2SO4/MGLY=0.0
!
!H2SO4/GLY=0.0
!
!H2SO4/ORA1=0.0
!
!H2SO4/ORA2=0.0
!
!H2SO4/ACID=0.0
!
!H2SO4/UR28=0.0
!
!H2SO4/UR21=0.0
!
!H2SO4/URG2=0.0
!
!H2SO4/UR26=0.0
!
!H2SO4/RPG2=0.0
!
!H2SO4/RP18=0.0
!
!H2SO4/RPG3=0.0
!
!H2SO4/URG4=0.0
!
!H2SO4/UR8=0.0
!
!H2SO4/UR17=0.0
!
!H2SO4/UR7=0.0
!
!H2SO4/RPR3=0.0
!
!H2SO4/URG6=0.0
!
!H2SO4/UR22=0.0
!
!H2SO4/URG7=0.0
!
!H2SO4/RPR4=0.0
!
!H2SO4/RPR7=0.0
!
!H2SO4/RPG7=0.0
!
!H2SO4/URG8=0.0
!
!H2SO4/UR19=0.0
!
!H2SO4/URG9=0.0
!
!H2SO4/AP7=0.0
!
!H2SO4/URG10=0.0
!
!H2SO4/RPR1=0.0
!
!H2SO4/RPR5=0.0
!
!H2SO4/RPR8=0.0
!
!H2SO4/RP10=0.0
!
!H2SO4/RP11=0.0
!
!H2SO4/RP16=0.0
!
!H2SO4/RPRL=0.0
!
!H2SO4/APAN=0.0
!
!H2SO4/PAN1=0.0
!
!H2SO4/PAN2=0.0
!
!H2SO4/PAN3=0.0
!
!H2SO4/PAN4=0.0
!
!H2SO4/PAN6=0.0
!
!H2SO4/PAN7=0.0
!
!H2SO4/PAN8=0.0
!
!H2SO4/PN10=0.0
!
!H2SO4/RO2T=0.0
!
!H2SO4/RO21=0.0
!
!H2SO4/RO25=0.0
!
!OH/NO=-K019*<OH>+K026*<HO2>+K340*<RO258>
 PJAC(:,15,1)=-TPK%K019(:)*PCONC(:,15)+TPK%K026(:)*PCONC(:,10)+TPK%K340(:)*TPK%&
&RO258(:)
!
!OH/NO2=-K022*<OH>
 PJAC(:,15,2)=-TPK%K022(:)*PCONC(:,15)
!
!OH/O3=-K025*<OH>+K030*<HO2>+0.06*K051*<ETHE>+0.36*K056*<OLEL>+0.664*K066*<ISOP
!>+0.36*K076*<OLEH>+0.89*K086*<BIOL>+0.89*K090*<BIOH>+0.36*K281*<MVK>+0.82*K282
!*<MCR>
 PJAC(:,15,3)=-TPK%K025(:)*PCONC(:,15)+TPK%K030(:)*PCONC(:,10)+0.06*TPK%K051(:)&
&*PCONC(:,16)+0.36*TPK%K056(:)*PCONC(:,17)+0.664*TPK%K066(:)*PCONC(:,35)+0.36*T&
&PK%K076(:)*PCONC(:,18)+0.89*TPK%K086(:)*PCONC(:,36)+0.89*TPK%K090(:)*PCONC(:,3&
&7)+0.36*TPK%K281(:)*PCONC(:,39)+0.82*TPK%K282(:)*PCONC(:,40)
!
!OH/HONO=+0.9*K020-K039*<OH>
 PJAC(:,15,4)=+0.9*TPK%K020(:)-TPK%K039(:)*PCONC(:,15)
!
!OH/HNO3=-K023*<OH>
 PJAC(:,15,5)=-TPK%K023(:)*PCONC(:,15)
!
!OH/HNO4=-K029*<OH>
 PJAC(:,15,6)=-TPK%K029(:)*PCONC(:,15)
!
!OH/N2O5=0.0
!
!OH/NO3=+0.8*K033*<HO2>-K040*<OH>
 PJAC(:,15,8)=+0.8*TPK%K033(:)*PCONC(:,10)-TPK%K040(:)*PCONC(:,15)
!
!OH/NH3=-K345*<OH>
 PJAC(:,15,9)=-TPK%K345(:)*PCONC(:,15)
!
!OH/HO2=+K026*<NO>+K030*<O3>+0.8*K033*<NO3>-K042*<OH>+K112*<RO21>+K115*<RO22>+K
!118*<RO23>+K121*<RO24>+K124*<RO25>+K146*<RO27>+K152*<RO29>+K155*<RO210>+K158*<
!RO211>+K161*<RO212>+K164*<RO213>+K170*<RO214>+K173*<RO215>+K176*<RO216>+K179*<
!RO217>+K182*<RO218>+K185*<RO219>+K188*<RO220>+K191*<RO221>+K194*<RO222>+K197*<
!RO223>+K200*<RO224>+K203*<RO225>+K206*<RO226>+K209*<RO227>+K212*<RO228>+K215*<
!RO229>+K218*<RO240>+K220*<RO230>+K223*<RO231>+K226*<RO232>+K229*<RO241>+K233*<
!RO233>+K236*<RO242>+K240*<RO234>+K243*<RO243>+K247*<RO235>+K250*<RO244>+K254*<
!RO236>+K257*<RO245>+K261*<RO237>+K264*<RO246>+K268*<RO238>+K271*<RO247>+K287*<
!RO249>
 PJAC(:,15,10)=+TPK%K026(:)*PCONC(:,1)+TPK%K030(:)*PCONC(:,3)+0.8*TPK%K033(:)*P&
&CONC(:,8)-TPK%K042(:)*PCONC(:,15)+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK%RO22&
&(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC(:,87)+TP&
&K%K146(:)*TPK%RO27(:)+TPK%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210(:)+TPK%K15&
&8(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)+TPK%K170(:&
&)*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K179(:)*T&
&PK%RO217(:)+TPK%K182(:)*TPK%RO218(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K188(:)*TPK%&
&RO220(:)+TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO2&
&23(:)+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K206(:)*TPK%RO226(&
&:)+TPK%K209(:)*TPK%RO227(:)+TPK%K212(:)*TPK%RO228(:)+TPK%K215(:)*TPK%RO229(:)+&
&TPK%K218(:)*TPK%RO240(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)+TPK&
&%K226(:)*TPK%RO232(:)+TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%RO233(:)+TPK%K2&
&36(:)*TPK%RO242(:)+TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K247(&
&:)*TPK%RO235(:)+TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)+TPK%K257(:)*&
&TPK%RO245(:)+TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K268(:)*TPK&
&%RO238(:)+TPK%K271(:)*TPK%RO247(:)+TPK%K287(:)*TPK%RO249(:)
!
!OH/CO=-K024*<OH>
 PJAC(:,15,11)=-TPK%K024(:)*PCONC(:,15)
!
!OH/H2O2=+2.*K036-K037*<OH>
 PJAC(:,15,12)=+2.*TPK%K036(:)-TPK%K037(:)*PCONC(:,15)
!
!OH/SO2=-K035*<OH>
 PJAC(:,15,13)=-TPK%K035(:)*PCONC(:,15)
!
!OH/H2SO4=0.0
!
!OH/OH=-K019*<NO>-K022*<NO2>-K023*<HNO3>-K024*<CO>-K025*<O3>-K029*<HNO4>-K035*<
!SO2>-K037*<H2O2>-K039*<HONO>-K040*<NO3>-K042*<HO2>-K043*<CH4>-K046*<HCHO>-K048
!*<MEOH>-K049*<ETHE>-K053*<ETOH>-K054*<OLEL>-K058*<ALKL>-K060*<ALD2>-K062*<KETL
!>-K064*<ISOP>-K068*<MTBE>-K069*<ALCH>-K070*<KETH>-K073*<AROO>-K074*<OLEH>-K078
!*<ALKM>-K079*<AROL>-K080*<AROH>-K082*<ARAL>-K083*<ARAC>-K084*<BIOL>-K088*<BIOH
!>-K092*<PAH>-K093*<ALKH>-K272*<MVK>-K273*<MCR>-K274*<MGLY>-K303*<RPR5>-K304*<R
!PR1>-K305*<RP16>-K306*<RPRL>-K312*<RPR3>-K322*<RPR7>-K323*<RPG7>-K324*<RPR8>-K
!325*<RP10>-K326*<RP11>-K334*<RPG3>-K335*<RPG2>-K337*<RP18>-K345*<NH3>-K347*<OR
!A1>-K348*<ORA2>-K349*<ACID>
 PJAC(:,15,15)=-TPK%K019(:)*PCONC(:,1)-TPK%K022(:)*PCONC(:,2)-TPK%K023(:)*PCONC&
&(:,5)-TPK%K024(:)*PCONC(:,11)-TPK%K025(:)*PCONC(:,3)-TPK%K029(:)*PCONC(:,6)-TP&
&K%K035(:)*PCONC(:,13)-TPK%K037(:)*PCONC(:,12)-TPK%K039(:)*PCONC(:,4)-TPK%K040(&
&:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,10)-TPK%K043(:)*TPK%CH4(:)-TPK%K046(:)*PCONC&
&(:,28)-TPK%K048(:)*PCONC(:,32)-TPK%K049(:)*PCONC(:,16)-TPK%K053(:)*PCONC(:,33)&
&-TPK%K054(:)*PCONC(:,17)-TPK%K058(:)*PCONC(:,19)-TPK%K060(:)*PCONC(:,29)-TPK%K&
&062(:)*PCONC(:,30)-TPK%K064(:)*PCONC(:,35)-TPK%K068(:)*PCONC(:,38)-TPK%K069(:)&
&*PCONC(:,34)-TPK%K070(:)*PCONC(:,31)-TPK%K073(:)*PCONC(:,24)-TPK%K074(:)*PCONC&
&(:,18)-TPK%K078(:)*PCONC(:,20)-TPK%K079(:)*PCONC(:,23)-TPK%K080(:)*PCONC(:,22)&
&-TPK%K082(:)*PCONC(:,25)-TPK%K083(:)*PCONC(:,26)-TPK%K084(:)*PCONC(:,36)-TPK%K&
&088(:)*PCONC(:,37)-TPK%K092(:)*PCONC(:,27)-TPK%K093(:)*PCONC(:,21)-TPK%K272(:)&
&*PCONC(:,39)-TPK%K273(:)*PCONC(:,40)-TPK%K274(:)*PCONC(:,41)-TPK%K303(:)*PCONC&
&(:,70)-TPK%K304(:)*PCONC(:,69)-TPK%K305(:)*PCONC(:,74)-TPK%K306(:)*PCONC(:,75)&
&-TPK%K312(:)*PCONC(:,57)-TPK%K322(:)*PCONC(:,62)-TPK%K323(:)*PCONC(:,63)-TPK%K&
&324(:)*PCONC(:,71)-TPK%K325(:)*PCONC(:,72)-TPK%K326(:)*PCONC(:,73)-TPK%K334(:)&
&*PCONC(:,52)-TPK%K335(:)*PCONC(:,50)-TPK%K337(:)*PCONC(:,51)-TPK%K345(:)*PCONC&
&(:,9)-TPK%K347(:)*PCONC(:,43)-TPK%K348(:)*PCONC(:,44)-TPK%K349(:)*PCONC(:,45)
!
!OH/ETHE=-K049*<OH>+0.06*K051*<O3>
 PJAC(:,15,16)=-TPK%K049(:)*PCONC(:,15)+0.06*TPK%K051(:)*PCONC(:,3)
!
!OH/OLEL=-K054*<OH>+0.36*K056*<O3>
 PJAC(:,15,17)=-TPK%K054(:)*PCONC(:,15)+0.36*TPK%K056(:)*PCONC(:,3)
!
!OH/OLEH=-K074*<OH>+0.36*K076*<O3>
 PJAC(:,15,18)=-TPK%K074(:)*PCONC(:,15)+0.36*TPK%K076(:)*PCONC(:,3)
!
!OH/ALKL=-K058*<OH>
 PJAC(:,15,19)=-TPK%K058(:)*PCONC(:,15)
!
!OH/ALKM=-K078*<OH>
 PJAC(:,15,20)=-TPK%K078(:)*PCONC(:,15)
!
!OH/ALKH=-K093*<OH>
 PJAC(:,15,21)=-TPK%K093(:)*PCONC(:,15)
!
!OH/AROH=-K080*<OH>
 PJAC(:,15,22)=-TPK%K080(:)*PCONC(:,15)
!
!OH/AROL=-K079*<OH>
 PJAC(:,15,23)=-TPK%K079(:)*PCONC(:,15)
!
!OH/AROO=-K073*<OH>
 PJAC(:,15,24)=-TPK%K073(:)*PCONC(:,15)
!
!OH/ARAL=-K082*<OH>
 PJAC(:,15,25)=-TPK%K082(:)*PCONC(:,15)
!
!OH/ARAC=-K083*<OH>
 PJAC(:,15,26)=-TPK%K083(:)*PCONC(:,15)
!
!OH/PAH=-K092*<OH>
 PJAC(:,15,27)=-TPK%K092(:)*PCONC(:,15)
!
!OH/HCHO=-K046*<OH>
 PJAC(:,15,28)=-TPK%K046(:)*PCONC(:,15)
!
!OH/ALD2=-K060*<OH>
 PJAC(:,15,29)=-TPK%K060(:)*PCONC(:,15)
!
!OH/KETL=-K062*<OH>
 PJAC(:,15,30)=-TPK%K062(:)*PCONC(:,15)
!
!OH/KETH=-K070*<OH>
 PJAC(:,15,31)=-TPK%K070(:)*PCONC(:,15)
!
!OH/MEOH=-K048*<OH>
 PJAC(:,15,32)=-TPK%K048(:)*PCONC(:,15)
!
!OH/ETOH=-K053*<OH>
 PJAC(:,15,33)=-TPK%K053(:)*PCONC(:,15)
!
!OH/ALCH=-K069*<OH>
 PJAC(:,15,34)=-TPK%K069(:)*PCONC(:,15)
!
!OH/ISOP=-K064*<OH>+0.664*K066*<O3>
 PJAC(:,15,35)=-TPK%K064(:)*PCONC(:,15)+0.664*TPK%K066(:)*PCONC(:,3)
!
!OH/BIOL=-K084*<OH>+0.89*K086*<O3>
 PJAC(:,15,36)=-TPK%K084(:)*PCONC(:,15)+0.89*TPK%K086(:)*PCONC(:,3)
!
!OH/BIOH=-K088*<OH>+0.89*K090*<O3>
 PJAC(:,15,37)=-TPK%K088(:)*PCONC(:,15)+0.89*TPK%K090(:)*PCONC(:,3)
!
!OH/MTBE=-K068*<OH>
 PJAC(:,15,38)=-TPK%K068(:)*PCONC(:,15)
!
!OH/MVK=-K272*<OH>+0.36*K281*<O3>
 PJAC(:,15,39)=-TPK%K272(:)*PCONC(:,15)+0.36*TPK%K281(:)*PCONC(:,3)
!
!OH/MCR=-K273*<OH>+0.82*K282*<O3>
 PJAC(:,15,40)=-TPK%K273(:)*PCONC(:,15)+0.82*TPK%K282(:)*PCONC(:,3)
!
!OH/MGLY=-K274*<OH>
 PJAC(:,15,41)=-TPK%K274(:)*PCONC(:,15)
!
!OH/GLY=0.0
!
!OH/ORA1=-K347*<OH>
 PJAC(:,15,43)=-TPK%K347(:)*PCONC(:,15)
!
!OH/ORA2=-K348*<OH>
 PJAC(:,15,44)=-TPK%K348(:)*PCONC(:,15)
!
!OH/ACID=-K349*<OH>
 PJAC(:,15,45)=-TPK%K349(:)*PCONC(:,15)
!
!OH/UR28=0.0
!
!OH/UR21=0.0
!
!OH/URG2=0.0
!
!OH/UR26=0.0
!
!OH/RPG2=-K335*<OH>
 PJAC(:,15,50)=-TPK%K335(:)*PCONC(:,15)
!
!OH/RP18=-K337*<OH>
 PJAC(:,15,51)=-TPK%K337(:)*PCONC(:,15)
!
!OH/RPG3=-K334*<OH>
 PJAC(:,15,52)=-TPK%K334(:)*PCONC(:,15)
!
!OH/URG4=0.0
!
!OH/UR8=0.0
!
!OH/UR17=0.0
!
!OH/UR7=0.0
!
!OH/RPR3=-K312*<OH>
 PJAC(:,15,57)=-TPK%K312(:)*PCONC(:,15)
!
!OH/URG6=0.0
!
!OH/UR22=0.0
!
!OH/URG7=0.0
!
!OH/RPR4=0.0
!
!OH/RPR7=-K322*<OH>
 PJAC(:,15,62)=-TPK%K322(:)*PCONC(:,15)
!
!OH/RPG7=-K323*<OH>
 PJAC(:,15,63)=-TPK%K323(:)*PCONC(:,15)
!
!OH/URG8=0.0
!
!OH/UR19=0.0
!
!OH/URG9=0.0
!
!OH/AP7=0.0
!
!OH/URG10=0.0
!
!OH/RPR1=-K304*<OH>
 PJAC(:,15,69)=-TPK%K304(:)*PCONC(:,15)
!
!OH/RPR5=-K303*<OH>
 PJAC(:,15,70)=-TPK%K303(:)*PCONC(:,15)
!
!OH/RPR8=-K324*<OH>
 PJAC(:,15,71)=-TPK%K324(:)*PCONC(:,15)
!
!OH/RP10=-K325*<OH>
 PJAC(:,15,72)=-TPK%K325(:)*PCONC(:,15)
!
!OH/RP11=-K326*<OH>
 PJAC(:,15,73)=-TPK%K326(:)*PCONC(:,15)
!
!OH/RP16=-K305*<OH>+K339
 PJAC(:,15,74)=-TPK%K305(:)*PCONC(:,15)+TPK%K339(:)
!
!OH/RPRL=-K306*<OH>
 PJAC(:,15,75)=-TPK%K306(:)*PCONC(:,15)
!
!OH/APAN=0.0
!
!OH/PAN1=0.0
!
!OH/PAN2=0.0
!
!OH/PAN3=0.0
!
!OH/PAN4=0.0
!
!OH/PAN6=0.0
!
!OH/PAN7=0.0
!
!OH/PAN8=0.0
!
!OH/PN10=0.0
!
!OH/RO2T=+K293*<RO251>+K296*<RO252>+K299*<RO253>+K342*<RO258>
 PJAC(:,15,85)=+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*T&
&PK%RO253(:)+TPK%K342(:)*TPK%RO258(:)
!
!OH/RO21=+K112*<HO2>
 PJAC(:,15,86)=+TPK%K112(:)*PCONC(:,10)
!
!OH/RO25=+K124*<HO2>
 PJAC(:,15,87)=+TPK%K124(:)*PCONC(:,10)
!
RETURN
END SUBROUTINE SUBJ2
!
SUBROUTINE SUBJ3
!
!Indices 16 a 20
!
!
!ETHE/NO=0.0
!
!ETHE/NO2=0.0
!
!ETHE/O3=-K051*<ETHE>
 PJAC(:,16,3)=-TPK%K051(:)*PCONC(:,16)
!
!ETHE/HONO=0.0
!
!ETHE/HNO3=0.0
!
!ETHE/HNO4=0.0
!
!ETHE/N2O5=0.0
!
!ETHE/NO3=-K050*<ETHE>
 PJAC(:,16,8)=-TPK%K050(:)*PCONC(:,16)
!
!ETHE/NH3=0.0
!
!ETHE/HO2=0.0
!
!ETHE/CO=0.0
!
!ETHE/H2O2=0.0
!
!ETHE/SO2=0.0
!
!ETHE/H2SO4=0.0
!
!ETHE/OH=-K049*<ETHE>
 PJAC(:,16,15)=-TPK%K049(:)*PCONC(:,16)
!
!ETHE/ETHE=-K049*<OH>-K050*<NO3>-K051*<O3>-K052*<O>
 PJAC(:,16,16)=-TPK%K049(:)*PCONC(:,15)-TPK%K050(:)*PCONC(:,8)-TPK%K051(:)*PCON&
&C(:,3)-TPK%K052(:)*TPK%O(:)
!
!ETHE/OLEL=0.0
!
!ETHE/OLEH=0.0
!
!ETHE/ALKL=0.0
!
!ETHE/ALKM=0.0
!
!ETHE/ALKH=0.0
!
!ETHE/AROH=0.0
!
!ETHE/AROL=0.0
!
!ETHE/AROO=0.0
!
!ETHE/ARAL=0.0
!
!ETHE/ARAC=0.0
!
!ETHE/PAH=0.0
!
!ETHE/HCHO=0.0
!
!ETHE/ALD2=0.0
!
!ETHE/KETL=0.0
!
!ETHE/KETH=0.0
!
!ETHE/MEOH=0.0
!
!ETHE/ETOH=0.0
!
!ETHE/ALCH=0.0
!
!ETHE/ISOP=0.0
!
!ETHE/BIOL=0.0
!
!ETHE/BIOH=0.0
!
!ETHE/MTBE=0.0
!
!ETHE/MVK=0.0
!
!ETHE/MCR=0.0
!
!ETHE/MGLY=0.0
!
!ETHE/GLY=0.0
!
!ETHE/ORA1=0.0
!
!ETHE/ORA2=0.0
!
!ETHE/ACID=0.0
!
!ETHE/UR28=0.0
!
!ETHE/UR21=0.0
!
!ETHE/URG2=0.0
!
!ETHE/UR26=0.0
!
!ETHE/RPG2=0.0
!
!ETHE/RP18=0.0
!
!ETHE/RPG3=0.0
!
!ETHE/URG4=0.0
!
!ETHE/UR8=0.0
!
!ETHE/UR17=0.0
!
!ETHE/UR7=0.0
!
!ETHE/RPR3=0.0
!
!ETHE/URG6=0.0
!
!ETHE/UR22=0.0
!
!ETHE/URG7=0.0
!
!ETHE/RPR4=0.0
!
!ETHE/RPR7=0.0
!
!ETHE/RPG7=0.0
!
!ETHE/URG8=0.0
!
!ETHE/UR19=0.0
!
!ETHE/URG9=0.0
!
!ETHE/AP7=0.0
!
!ETHE/URG10=0.0
!
!ETHE/RPR1=0.0
!
!ETHE/RPR5=0.0
!
!ETHE/RPR8=0.0
!
!ETHE/RP10=0.0
!
!ETHE/RP11=0.0
!
!ETHE/RP16=0.0
!
!ETHE/RPRL=0.0
!
!ETHE/APAN=0.0
!
!ETHE/PAN1=0.0
!
!ETHE/PAN2=0.0
!
!ETHE/PAN3=0.0
!
!ETHE/PAN4=0.0
!
!ETHE/PAN6=0.0
!
!ETHE/PAN7=0.0
!
!ETHE/PAN8=0.0
!
!ETHE/PN10=0.0
!
!ETHE/RO2T=0.0
!
!ETHE/RO21=0.0
!
!ETHE/RO25=0.0
!
!OLEL/NO=+TPK%CF5*K150*<RO29>+TPK%CF7*K168*<RO214>
 PJAC(:,17,1)=+TPK%CF5*TPK%K150(:)*TPK%RO29(:)+TPK%CF7*TPK%K168(:)*TPK%RO214(:)
!
!OLEL/NO2=0.0
!
!OLEL/O3=-K056*<OLEL>+0.054*K066*<ISOP>
 PJAC(:,17,3)=-TPK%K056(:)*PCONC(:,17)+0.054*TPK%K066(:)*PCONC(:,35)
!
!OLEL/HONO=0.0
!
!OLEL/HNO3=0.0
!
!OLEL/HNO4=0.0
!
!OLEL/N2O5=0.0
!
!OLEL/NO3=-K055*<OLEL>
 PJAC(:,17,8)=-TPK%K055(:)*PCONC(:,17)
!
!OLEL/NH3=0.0
!
!OLEL/HO2=+0.5*K166*<RO239>+0.5*K289*<RO250>
 PJAC(:,17,10)=+0.5*TPK%K166(:)*TPK%RO239(:)+0.5*TPK%K289(:)*TPK%RO250(:)
!
!OLEL/CO=0.0
!
!OLEL/H2O2=0.0
!
!OLEL/SO2=0.0
!
!OLEL/H2SO4=0.0
!
!OLEL/OH=-K054*<OLEL>
 PJAC(:,17,15)=-TPK%K054(:)*PCONC(:,17)
!
!OLEL/ETHE=0.0
!
!OLEL/OLEL=-K054*<OH>-K055*<NO3>-K056*<O3>-K057*<O>
 PJAC(:,17,17)=-TPK%K054(:)*PCONC(:,15)-TPK%K055(:)*PCONC(:,8)-TPK%K056(:)*PCON&
&C(:,3)-TPK%K057(:)*TPK%O(:)
!
!OLEL/OLEH=0.0
!
!OLEL/ALKL=0.0
!
!OLEL/ALKM=0.0
!
!OLEL/ALKH=0.0
!
!OLEL/AROH=0.0
!
!OLEL/AROL=0.0
!
!OLEL/AROO=0.0
!
!OLEL/ARAL=0.0
!
!OLEL/ARAC=0.0
!
!OLEL/PAH=0.0
!
!OLEL/HCHO=0.0
!
!OLEL/ALD2=0.0
!
!OLEL/KETL=0.0
!
!OLEL/KETH=0.0
!
!OLEL/MEOH=0.0
!
!OLEL/ETOH=0.0
!
!OLEL/ALCH=0.0
!
!OLEL/ISOP=+0.054*K066*<O3>+0.925*K067*<O>
 PJAC(:,17,35)=+0.054*TPK%K066(:)*PCONC(:,3)+0.925*TPK%K067(:)*TPK%O(:)
!
!OLEL/BIOL=0.0
!
!OLEL/BIOH=0.0
!
!OLEL/MTBE=0.0
!
!OLEL/MVK=0.0
!
!OLEL/MCR=0.0
!
!OLEL/MGLY=0.0
!
!OLEL/GLY=0.0
!
!OLEL/ORA1=0.0
!
!OLEL/ORA2=0.0
!
!OLEL/ACID=0.0
!
!OLEL/UR28=0.0
!
!OLEL/UR21=0.0
!
!OLEL/URG2=0.0
!
!OLEL/UR26=0.0
!
!OLEL/RPG2=0.0
!
!OLEL/RP18=0.0
!
!OLEL/RPG3=0.0
!
!OLEL/URG4=0.0
!
!OLEL/UR8=0.0
!
!OLEL/UR17=0.0
!
!OLEL/UR7=0.0
!
!OLEL/RPR3=0.0
!
!OLEL/URG6=0.0
!
!OLEL/UR22=0.0
!
!OLEL/URG7=0.0
!
!OLEL/RPR4=0.0
!
!OLEL/RPR7=0.0
!
!OLEL/RPG7=0.0
!
!OLEL/URG8=0.0
!
!OLEL/UR19=0.0
!
!OLEL/URG9=0.0
!
!OLEL/AP7=0.0
!
!OLEL/URG10=0.0
!
!OLEL/RPR1=0.0
!
!OLEL/RPR5=0.0
!
!OLEL/RPR8=0.0
!
!OLEL/RP10=0.0
!
!OLEL/RP11=0.0
!
!OLEL/RP16=0.0
!
!OLEL/RPRL=0.0
!
!OLEL/APAN=0.0
!
!OLEL/PAN1=0.0
!
!OLEL/PAN2=0.0
!
!OLEL/PAN3=0.0
!
!OLEL/PAN4=0.0
!
!OLEL/PAN6=0.0
!
!OLEL/PAN7=0.0
!
!OLEL/PAN8=0.0
!
!OLEL/PN10=0.0
!
!OLEL/RO2T=0.0
!
!OLEL/RO21=0.0
!
!OLEL/RO25=0.0
!
!OLEH/NO=0.0
!
!OLEH/NO2=0.0
!
!OLEH/O3=-K076*<OLEH>
 PJAC(:,18,3)=-TPK%K076(:)*PCONC(:,18)
!
!OLEH/HONO=0.0
!
!OLEH/HNO3=0.0
!
!OLEH/HNO4=0.0
!
!OLEH/N2O5=0.0
!
!OLEH/NO3=-K075*<OLEH>
 PJAC(:,18,8)=-TPK%K075(:)*PCONC(:,18)
!
!OLEH/NH3=0.0
!
!OLEH/HO2=0.0
!
!OLEH/CO=0.0
!
!OLEH/H2O2=0.0
!
!OLEH/SO2=0.0
!
!OLEH/H2SO4=0.0
!
!OLEH/OH=-K074*<OLEH>
 PJAC(:,18,15)=-TPK%K074(:)*PCONC(:,18)
!
!OLEH/ETHE=0.0
!
!OLEH/OLEL=0.0
!
!OLEH/OLEH=-K074*<OH>-K075*<NO3>-K076*<O3>-K077*<O>
 PJAC(:,18,18)=-TPK%K074(:)*PCONC(:,15)-TPK%K075(:)*PCONC(:,8)-TPK%K076(:)*PCON&
&C(:,3)-TPK%K077(:)*TPK%O(:)
!
!OLEH/ALKL=0.0
!
!OLEH/ALKM=0.0
!
!OLEH/ALKH=0.0
!
!OLEH/AROH=0.0
!
!OLEH/AROL=0.0
!
!OLEH/AROO=0.0
!
!OLEH/ARAL=0.0
!
!OLEH/ARAC=0.0
!
!OLEH/PAH=0.0
!
!OLEH/HCHO=0.0
!
!OLEH/ALD2=0.0
!
!OLEH/KETL=0.0
!
!OLEH/KETH=0.0
!
!OLEH/MEOH=0.0
!
!OLEH/ETOH=0.0
!
!OLEH/ALCH=0.0
!
!OLEH/ISOP=0.0
!
!OLEH/BIOL=0.0
!
!OLEH/BIOH=0.0
!
!OLEH/MTBE=0.0
!
!OLEH/MVK=0.0
!
!OLEH/MCR=0.0
!
!OLEH/MGLY=0.0
!
!OLEH/GLY=0.0
!
!OLEH/ORA1=0.0
!
!OLEH/ORA2=0.0
!
!OLEH/ACID=0.0
!
!OLEH/UR28=0.0
!
!OLEH/UR21=0.0
!
!OLEH/URG2=0.0
!
!OLEH/UR26=0.0
!
!OLEH/RPG2=0.0
!
!OLEH/RP18=0.0
!
!OLEH/RPG3=0.0
!
!OLEH/URG4=0.0
!
!OLEH/UR8=0.0
!
!OLEH/UR17=0.0
!
!OLEH/UR7=0.0
!
!OLEH/RPR3=0.0
!
!OLEH/URG6=0.0
!
!OLEH/UR22=0.0
!
!OLEH/URG7=0.0
!
!OLEH/RPR4=0.0
!
!OLEH/RPR7=0.0
!
!OLEH/RPG7=0.0
!
!OLEH/URG8=0.0
!
!OLEH/UR19=0.0
!
!OLEH/URG9=0.0
!
!OLEH/AP7=0.0
!
!OLEH/URG10=0.0
!
!OLEH/RPR1=0.0
!
!OLEH/RPR5=0.0
!
!OLEH/RPR8=0.0
!
!OLEH/RP10=0.0
!
!OLEH/RP11=0.0
!
!OLEH/RP16=0.0
!
!OLEH/RPRL=0.0
!
!OLEH/APAN=0.0
!
!OLEH/PAN1=0.0
!
!OLEH/PAN2=0.0
!
!OLEH/PAN3=0.0
!
!OLEH/PAN4=0.0
!
!OLEH/PAN6=0.0
!
!OLEH/PAN7=0.0
!
!OLEH/PAN8=0.0
!
!OLEH/PN10=0.0
!
!OLEH/RO2T=0.0
!
!OLEH/RO21=0.0
!
!OLEH/RO25=0.0
!
!ALKL/NO=+TPK%CF3*K122*<RO25>+TPK%CF12*K171*<RO215>
 PJAC(:,19,1)=+TPK%CF3*TPK%K122(:)*PCONC(:,87)+TPK%CF12*TPK%K171(:)*TPK%RO215(:&
&)
!
!ALKL/NO2=0.0
!
!ALKL/O3=+0.1*K056*<OLEL>
 PJAC(:,19,3)=+0.1*TPK%K056(:)*PCONC(:,17)
!
!ALKL/HONO=0.0
!
!ALKL/HNO3=0.0
!
!ALKL/HNO4=0.0
!
!ALKL/N2O5=0.0
!
!ALKL/NO3=0.0
!
!ALKL/NH3=0.0
!
!ALKL/HO2=+TPK%CF16*K173*<RO215>
 PJAC(:,19,10)=+TPK%CF16*TPK%K173(:)*TPK%RO215(:)
!
!ALKL/CO=0.0
!
!ALKL/H2O2=0.0
!
!ALKL/SO2=0.0
!
!ALKL/H2SO4=0.0
!
!ALKL/OH=-K058*<ALKL>
 PJAC(:,19,15)=-TPK%K058(:)*PCONC(:,19)
!
!ALKL/ETHE=0.0
!
!ALKL/OLEL=+0.1*K056*<O3>+0.5*K057*<O>
 PJAC(:,19,17)=+0.1*TPK%K056(:)*PCONC(:,3)+0.5*TPK%K057(:)*TPK%O(:)
!
!ALKL/OLEH=0.0
!
!ALKL/ALKL=-K058*<OH>
 PJAC(:,19,19)=-TPK%K058(:)*PCONC(:,15)
!
!ALKL/ALKM=0.0
!
!ALKL/ALKH=0.0
!
!ALKL/AROH=0.0
!
!ALKL/AROL=0.0
!
!ALKL/AROO=0.0
!
!ALKL/ARAL=0.0
!
!ALKL/ARAC=0.0
!
!ALKL/PAH=0.0
!
!ALKL/HCHO=0.0
!
!ALKL/ALD2=0.0
!
!ALKL/KETL=0.0
!
!ALKL/KETH=0.0
!
!ALKL/MEOH=0.0
!
!ALKL/ETOH=0.0
!
!ALKL/ALCH=0.0
!
!ALKL/ISOP=0.0
!
!ALKL/BIOL=0.0
!
!ALKL/BIOH=0.0
!
!ALKL/MTBE=0.0
!
!ALKL/MVK=0.0
!
!ALKL/MCR=0.0
!
!ALKL/MGLY=0.0
!
!ALKL/GLY=0.0
!
!ALKL/ORA1=0.0
!
!ALKL/ORA2=0.0
!
!ALKL/ACID=0.0
!
!ALKL/UR28=0.0
!
!ALKL/UR21=0.0
!
!ALKL/URG2=0.0
!
!ALKL/UR26=0.0
!
!ALKL/RPG2=0.0
!
!ALKL/RP18=0.0
!
!ALKL/RPG3=0.0
!
!ALKL/URG4=0.0
!
!ALKL/UR8=0.0
!
!ALKL/UR17=0.0
!
!ALKL/UR7=0.0
!
!ALKL/RPR3=0.0
!
!ALKL/URG6=0.0
!
!ALKL/UR22=0.0
!
!ALKL/URG7=0.0
!
!ALKL/RPR4=0.0
!
!ALKL/RPR7=0.0
!
!ALKL/RPG7=0.0
!
!ALKL/URG8=0.0
!
!ALKL/UR19=0.0
!
!ALKL/URG9=0.0
!
!ALKL/AP7=0.0
!
!ALKL/URG10=0.0
!
!ALKL/RPR1=0.0
!
!ALKL/RPR5=0.0
!
!ALKL/RPR8=0.0
!
!ALKL/RP10=0.0
!
!ALKL/RP11=0.0
!
!ALKL/RP16=0.0
!
!ALKL/RPRL=0.0
!
!ALKL/APAN=0.0
!
!ALKL/PAN1=0.0
!
!ALKL/PAN2=0.0
!
!ALKL/PAN3=0.0
!
!ALKL/PAN4=0.0
!
!ALKL/PAN6=0.0
!
!ALKL/PAN7=0.0
!
!ALKL/PAN8=0.0
!
!ALKL/PN10=0.0
!
!ALKL/RO2T=+TPK%CF16*K172*<RO215>
 PJAC(:,19,85)=+TPK%CF16*TPK%K172(:)*TPK%RO215(:)
!
!ALKL/RO21=0.0
!
!ALKL/RO25=+TPK%CF3*K122*<NO>
 PJAC(:,19,87)=+TPK%CF3*TPK%K122(:)*PCONC(:,1)
!
!ALKM/NO=0.0
!
!ALKM/NO2=0.0
!
!ALKM/O3=+0.1*K076*<OLEH>
 PJAC(:,20,3)=+0.1*TPK%K076(:)*PCONC(:,18)
!
!ALKM/HONO=0.0
!
!ALKM/HNO3=0.0
!
!ALKM/HNO4=0.0
!
!ALKM/N2O5=0.0
!
!ALKM/NO3=0.0
!
!ALKM/NH3=0.0
!
!ALKM/HO2=0.0
!
!ALKM/CO=0.0
!
!ALKM/H2O2=0.0
!
!ALKM/SO2=0.0
!
!ALKM/H2SO4=0.0
!
!ALKM/OH=-K078*<ALKM>
 PJAC(:,20,15)=-TPK%K078(:)*PCONC(:,20)
!
!ALKM/ETHE=0.0
!
!ALKM/OLEL=0.0
!
!ALKM/OLEH=+0.1*K076*<O3>+0.5*K077*<O>
 PJAC(:,20,18)=+0.1*TPK%K076(:)*PCONC(:,3)+0.5*TPK%K077(:)*TPK%O(:)
!
!ALKM/ALKL=0.0
!
!ALKM/ALKM=-K078*<OH>
 PJAC(:,20,20)=-TPK%K078(:)*PCONC(:,15)
!
!ALKM/ALKH=0.0
!
!ALKM/AROH=0.0
!
!ALKM/AROL=0.0
!
!ALKM/AROO=0.0
!
!ALKM/ARAL=0.0
!
!ALKM/ARAC=0.0
!
!ALKM/PAH=0.0
!
!ALKM/HCHO=0.0
!
!ALKM/ALD2=0.0
!
!ALKM/KETL=0.0
!
!ALKM/KETH=0.0
!
!ALKM/MEOH=0.0
!
!ALKM/ETOH=0.0
!
!ALKM/ALCH=0.0
!
!ALKM/ISOP=0.0
!
!ALKM/BIOL=0.0
!
!ALKM/BIOH=0.0
!
!ALKM/MTBE=0.0
!
!ALKM/MVK=0.0
!
!ALKM/MCR=0.0
!
!ALKM/MGLY=0.0
!
!ALKM/GLY=0.0
!
!ALKM/ORA1=0.0
!
!ALKM/ORA2=0.0
!
!ALKM/ACID=0.0
!
!ALKM/UR28=0.0
!
!ALKM/UR21=0.0
!
!ALKM/URG2=0.0
!
!ALKM/UR26=0.0
!
!ALKM/RPG2=0.0
!
!ALKM/RP18=0.0
!
!ALKM/RPG3=0.0
!
!ALKM/URG4=0.0
!
!ALKM/UR8=0.0
!
!ALKM/UR17=0.0
!
!ALKM/UR7=0.0
!
!ALKM/RPR3=0.0
!
!ALKM/URG6=0.0
!
!ALKM/UR22=0.0
!
!ALKM/URG7=0.0
!
!ALKM/RPR4=0.0
!
!ALKM/RPR7=0.0
!
!ALKM/RPG7=0.0
!
!ALKM/URG8=0.0
!
!ALKM/UR19=0.0
!
!ALKM/URG9=0.0
!
!ALKM/AP7=0.0
!
!ALKM/URG10=0.0
!
!ALKM/RPR1=0.0
!
!ALKM/RPR5=0.0
!
!ALKM/RPR8=0.0
!
!ALKM/RP10=0.0
!
!ALKM/RP11=0.0
!
!ALKM/RP16=0.0
!
!ALKM/RPRL=0.0
!
!ALKM/APAN=0.0
!
!ALKM/PAN1=0.0
!
!ALKM/PAN2=0.0
!
!ALKM/PAN3=0.0
!
!ALKM/PAN4=0.0
!
!ALKM/PAN6=0.0
!
!ALKM/PAN7=0.0
!
!ALKM/PAN8=0.0
!
!ALKM/PN10=0.0
!
!ALKM/RO2T=0.0
!
!ALKM/RO21=0.0
!
!ALKM/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ3
!
SUBROUTINE SUBJ4
!
!Indices 21 a 25
!
!
!ALKH/NO=0.0
!
!ALKH/NO2=0.0
!
!ALKH/O3=0.0
!
!ALKH/HONO=0.0
!
!ALKH/HNO3=0.0
!
!ALKH/HNO4=0.0
!
!ALKH/N2O5=0.0
!
!ALKH/NO3=0.0
!
!ALKH/NH3=0.0
!
!ALKH/HO2=0.0
!
!ALKH/CO=0.0
!
!ALKH/H2O2=0.0
!
!ALKH/SO2=0.0
!
!ALKH/H2SO4=0.0
!
!ALKH/OH=-K093*<ALKH>
 PJAC(:,21,15)=-TPK%K093(:)*PCONC(:,21)
!
!ALKH/ETHE=0.0
!
!ALKH/OLEL=0.0
!
!ALKH/OLEH=0.0
!
!ALKH/ALKL=0.0
!
!ALKH/ALKM=0.0
!
!ALKH/ALKH=-K093*<OH>
 PJAC(:,21,21)=-TPK%K093(:)*PCONC(:,15)
!
!ALKH/AROH=0.0
!
!ALKH/AROL=0.0
!
!ALKH/AROO=0.0
!
!ALKH/ARAL=0.0
!
!ALKH/ARAC=0.0
!
!ALKH/PAH=0.0
!
!ALKH/HCHO=0.0
!
!ALKH/ALD2=0.0
!
!ALKH/KETL=0.0
!
!ALKH/KETH=0.0
!
!ALKH/MEOH=0.0
!
!ALKH/ETOH=0.0
!
!ALKH/ALCH=0.0
!
!ALKH/ISOP=0.0
!
!ALKH/BIOL=0.0
!
!ALKH/BIOH=0.0
!
!ALKH/MTBE=0.0
!
!ALKH/MVK=0.0
!
!ALKH/MCR=0.0
!
!ALKH/MGLY=0.0
!
!ALKH/GLY=0.0
!
!ALKH/ORA1=0.0
!
!ALKH/ORA2=0.0
!
!ALKH/ACID=0.0
!
!ALKH/UR28=0.0
!
!ALKH/UR21=0.0
!
!ALKH/URG2=0.0
!
!ALKH/UR26=0.0
!
!ALKH/RPG2=0.0
!
!ALKH/RP18=0.0
!
!ALKH/RPG3=0.0
!
!ALKH/URG4=0.0
!
!ALKH/UR8=0.0
!
!ALKH/UR17=0.0
!
!ALKH/UR7=0.0
!
!ALKH/RPR3=0.0
!
!ALKH/URG6=0.0
!
!ALKH/UR22=0.0
!
!ALKH/URG7=0.0
!
!ALKH/RPR4=0.0
!
!ALKH/RPR7=0.0
!
!ALKH/RPG7=0.0
!
!ALKH/URG8=0.0
!
!ALKH/UR19=0.0
!
!ALKH/URG9=0.0
!
!ALKH/AP7=0.0
!
!ALKH/URG10=0.0
!
!ALKH/RPR1=0.0
!
!ALKH/RPR5=0.0
!
!ALKH/RPR8=0.0
!
!ALKH/RP10=0.0
!
!ALKH/RP11=0.0
!
!ALKH/RP16=0.0
!
!ALKH/RPRL=0.0
!
!ALKH/APAN=0.0
!
!ALKH/PAN1=0.0
!
!ALKH/PAN2=0.0
!
!ALKH/PAN3=0.0
!
!ALKH/PAN4=0.0
!
!ALKH/PAN6=0.0
!
!ALKH/PAN7=0.0
!
!ALKH/PAN8=0.0
!
!ALKH/PN10=0.0
!
!ALKH/RO2T=0.0
!
!ALKH/RO21=0.0
!
!ALKH/RO25=0.0
!
!AROH/NO=0.0
!
!AROH/NO2=0.0
!
!AROH/O3=0.0
!
!AROH/HONO=0.0
!
!AROH/HNO3=0.0
!
!AROH/HNO4=0.0
!
!AROH/N2O5=0.0
!
!AROH/NO3=0.0
!
!AROH/NH3=0.0
!
!AROH/HO2=0.0
!
!AROH/CO=0.0
!
!AROH/H2O2=0.0
!
!AROH/SO2=0.0
!
!AROH/H2SO4=0.0
!
!AROH/OH=-K080*<AROH>
 PJAC(:,22,15)=-TPK%K080(:)*PCONC(:,22)
!
!AROH/ETHE=0.0
!
!AROH/OLEL=0.0
!
!AROH/OLEH=0.0
!
!AROH/ALKL=0.0
!
!AROH/ALKM=0.0
!
!AROH/ALKH=0.0
!
!AROH/AROH=-K080*<OH>
 PJAC(:,22,22)=-TPK%K080(:)*PCONC(:,15)
!
!AROH/AROL=0.0
!
!AROH/AROO=0.0
!
!AROH/ARAL=0.0
!
!AROH/ARAC=0.0
!
!AROH/PAH=0.0
!
!AROH/HCHO=0.0
!
!AROH/ALD2=0.0
!
!AROH/KETL=0.0
!
!AROH/KETH=0.0
!
!AROH/MEOH=0.0
!
!AROH/ETOH=0.0
!
!AROH/ALCH=0.0
!
!AROH/ISOP=0.0
!
!AROH/BIOL=0.0
!
!AROH/BIOH=0.0
!
!AROH/MTBE=0.0
!
!AROH/MVK=0.0
!
!AROH/MCR=0.0
!
!AROH/MGLY=0.0
!
!AROH/GLY=0.0
!
!AROH/ORA1=0.0
!
!AROH/ORA2=0.0
!
!AROH/ACID=0.0
!
!AROH/UR28=0.0
!
!AROH/UR21=0.0
!
!AROH/URG2=0.0
!
!AROH/UR26=0.0
!
!AROH/RPG2=0.0
!
!AROH/RP18=0.0
!
!AROH/RPG3=0.0
!
!AROH/URG4=0.0
!
!AROH/UR8=0.0
!
!AROH/UR17=0.0
!
!AROH/UR7=0.0
!
!AROH/RPR3=0.0
!
!AROH/URG6=0.0
!
!AROH/UR22=0.0
!
!AROH/URG7=0.0
!
!AROH/RPR4=0.0
!
!AROH/RPR7=0.0
!
!AROH/RPG7=0.0
!
!AROH/URG8=0.0
!
!AROH/UR19=0.0
!
!AROH/URG9=0.0
!
!AROH/AP7=0.0
!
!AROH/URG10=0.0
!
!AROH/RPR1=0.0
!
!AROH/RPR5=0.0
!
!AROH/RPR8=0.0
!
!AROH/RP10=0.0
!
!AROH/RP11=0.0
!
!AROH/RP16=0.0
!
!AROH/RPRL=0.0
!
!AROH/APAN=0.0
!
!AROH/PAN1=0.0
!
!AROH/PAN2=0.0
!
!AROH/PAN3=0.0
!
!AROH/PAN4=0.0
!
!AROH/PAN6=0.0
!
!AROH/PAN7=0.0
!
!AROH/PAN8=0.0
!
!AROH/PN10=0.0
!
!AROH/RO2T=0.0
!
!AROH/RO21=0.0
!
!AROH/RO25=0.0
!
!AROL/NO=0.0
!
!AROL/NO2=0.0
!
!AROL/O3=0.0
!
!AROL/HONO=0.0
!
!AROL/HNO3=0.0
!
!AROL/HNO4=0.0
!
!AROL/N2O5=0.0
!
!AROL/NO3=0.0
!
!AROL/NH3=0.0
!
!AROL/HO2=0.0
!
!AROL/CO=0.0
!
!AROL/H2O2=0.0
!
!AROL/SO2=0.0
!
!AROL/H2SO4=0.0
!
!AROL/OH=-K079*<AROL>
 PJAC(:,23,15)=-TPK%K079(:)*PCONC(:,23)
!
!AROL/ETHE=0.0
!
!AROL/OLEL=0.0
!
!AROL/OLEH=0.0
!
!AROL/ALKL=0.0
!
!AROL/ALKM=0.0
!
!AROL/ALKH=0.0
!
!AROL/AROH=0.0
!
!AROL/AROL=-K079*<OH>
 PJAC(:,23,23)=-TPK%K079(:)*PCONC(:,15)
!
!AROL/AROO=0.0
!
!AROL/ARAL=0.0
!
!AROL/ARAC=0.0
!
!AROL/PAH=0.0
!
!AROL/HCHO=0.0
!
!AROL/ALD2=0.0
!
!AROL/KETL=0.0
!
!AROL/KETH=0.0
!
!AROL/MEOH=0.0
!
!AROL/ETOH=0.0
!
!AROL/ALCH=0.0
!
!AROL/ISOP=0.0
!
!AROL/BIOL=0.0
!
!AROL/BIOH=0.0
!
!AROL/MTBE=0.0
!
!AROL/MVK=0.0
!
!AROL/MCR=0.0
!
!AROL/MGLY=0.0
!
!AROL/GLY=0.0
!
!AROL/ORA1=0.0
!
!AROL/ORA2=0.0
!
!AROL/ACID=0.0
!
!AROL/UR28=0.0
!
!AROL/UR21=0.0
!
!AROL/URG2=0.0
!
!AROL/UR26=0.0
!
!AROL/RPG2=0.0
!
!AROL/RP18=0.0
!
!AROL/RPG3=0.0
!
!AROL/URG4=0.0
!
!AROL/UR8=0.0
!
!AROL/UR17=0.0
!
!AROL/UR7=0.0
!
!AROL/RPR3=0.0
!
!AROL/URG6=0.0
!
!AROL/UR22=0.0
!
!AROL/URG7=0.0
!
!AROL/RPR4=0.0
!
!AROL/RPR7=0.0
!
!AROL/RPG7=0.0
!
!AROL/URG8=0.0
!
!AROL/UR19=0.0
!
!AROL/URG9=0.0
!
!AROL/AP7=0.0
!
!AROL/URG10=0.0
!
!AROL/RPR1=0.0
!
!AROL/RPR5=0.0
!
!AROL/RPR8=0.0
!
!AROL/RP10=0.0
!
!AROL/RP11=0.0
!
!AROL/RP16=0.0
!
!AROL/RPRL=0.0
!
!AROL/APAN=0.0
!
!AROL/PAN1=0.0
!
!AROL/PAN2=0.0
!
!AROL/PAN3=0.0
!
!AROL/PAN4=0.0
!
!AROL/PAN6=0.0
!
!AROL/PAN7=0.0
!
!AROL/PAN8=0.0
!
!AROL/PN10=0.0
!
!AROL/RO2T=0.0
!
!AROL/RO21=0.0
!
!AROL/RO25=0.0
!
!AROO/NO=0.0
!
!AROO/NO2=0.0
!
!AROO/O3=0.0
!
!AROO/HONO=0.0
!
!AROO/HNO3=0.0
!
!AROO/HNO4=0.0
!
!AROO/N2O5=0.0
!
!AROO/NO3=-K072*<AROO>
 PJAC(:,24,8)=-TPK%K072(:)*PCONC(:,24)
!
!AROO/NH3=0.0
!
!AROO/HO2=0.0
!
!AROO/CO=0.0
!
!AROO/H2O2=0.0
!
!AROO/SO2=0.0
!
!AROO/H2SO4=0.0
!
!AROO/OH=+0.16*K073*<AROO>-K073*<AROO>+0.16*K079*<AROL>+0.16*K080*<AROH>
 PJAC(:,24,15)=+0.16*TPK%K073(:)*PCONC(:,24)-TPK%K073(:)*PCONC(:,24)+0.16*TPK%K&
&079(:)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,22)
!
!AROO/ETHE=0.0
!
!AROO/OLEL=0.0
!
!AROO/OLEH=0.0
!
!AROO/ALKL=0.0
!
!AROO/ALKM=0.0
!
!AROO/ALKH=0.0
!
!AROO/AROH=+0.16*K080*<OH>
 PJAC(:,24,22)=+0.16*TPK%K080(:)*PCONC(:,15)
!
!AROO/AROL=+0.16*K079*<OH>
 PJAC(:,24,23)=+0.16*TPK%K079(:)*PCONC(:,15)
!
!AROO/AROO=-K072*<NO3>+0.16*K073*<OH>-K073*<OH>
 PJAC(:,24,24)=-TPK%K072(:)*PCONC(:,8)+0.16*TPK%K073(:)*PCONC(:,15)-TPK%K073(:)&
&*PCONC(:,15)
!
!AROO/ARAL=0.0
!
!AROO/ARAC=0.0
!
!AROO/PAH=0.0
!
!AROO/HCHO=0.0
!
!AROO/ALD2=0.0
!
!AROO/KETL=0.0
!
!AROO/KETH=0.0
!
!AROO/MEOH=0.0
!
!AROO/ETOH=0.0
!
!AROO/ALCH=0.0
!
!AROO/ISOP=0.0
!
!AROO/BIOL=0.0
!
!AROO/BIOH=0.0
!
!AROO/MTBE=0.0
!
!AROO/MVK=0.0
!
!AROO/MCR=0.0
!
!AROO/MGLY=0.0
!
!AROO/GLY=0.0
!
!AROO/ORA1=0.0
!
!AROO/ORA2=0.0
!
!AROO/ACID=0.0
!
!AROO/UR28=0.0
!
!AROO/UR21=0.0
!
!AROO/URG2=0.0
!
!AROO/UR26=0.0
!
!AROO/RPG2=0.0
!
!AROO/RP18=0.0
!
!AROO/RPG3=0.0
!
!AROO/URG4=0.0
!
!AROO/UR8=0.0
!
!AROO/UR17=0.0
!
!AROO/UR7=0.0
!
!AROO/RPR3=0.0
!
!AROO/URG6=0.0
!
!AROO/UR22=0.0
!
!AROO/URG7=0.0
!
!AROO/RPR4=0.0
!
!AROO/RPR7=0.0
!
!AROO/RPG7=0.0
!
!AROO/URG8=0.0
!
!AROO/UR19=0.0
!
!AROO/URG9=0.0
!
!AROO/AP7=0.0
!
!AROO/URG10=0.0
!
!AROO/RPR1=0.0
!
!AROO/RPR5=0.0
!
!AROO/RPR8=0.0
!
!AROO/RP10=0.0
!
!AROO/RP11=0.0
!
!AROO/RP16=0.0
!
!AROO/RPRL=0.0
!
!AROO/APAN=0.0
!
!AROO/PAN1=0.0
!
!AROO/PAN2=0.0
!
!AROO/PAN3=0.0
!
!AROO/PAN4=0.0
!
!AROO/PAN6=0.0
!
!AROO/PAN7=0.0
!
!AROO/PAN8=0.0
!
!AROO/PN10=0.0
!
!AROO/RO2T=0.0
!
!AROO/RO21=0.0
!
!AROO/RO25=0.0
!
!ARAL/NO=+TPK%CF24*K189*<RO221>
 PJAC(:,25,1)=+TPK%CF24*TPK%K189(:)*TPK%RO221(:)
!
!ARAL/NO2=0.0
!
!ARAL/O3=0.0
!
!ARAL/HONO=0.0
!
!ARAL/HNO3=0.0
!
!ARAL/HNO4=0.0
!
!ARAL/N2O5=0.0
!
!ARAL/NO3=-K081*<ARAL>
 PJAC(:,25,8)=-TPK%K081(:)*PCONC(:,25)
!
!ARAL/NH3=0.0
!
!ARAL/HO2=+K191*<RO221>
 PJAC(:,25,10)=+TPK%K191(:)*TPK%RO221(:)
!
!ARAL/CO=0.0
!
!ARAL/H2O2=0.0
!
!ARAL/SO2=0.0
!
!ARAL/H2SO4=0.0
!
!ARAL/OH=-K082*<ARAL>
 PJAC(:,25,15)=-TPK%K082(:)*PCONC(:,25)
!
!ARAL/ETHE=0.0
!
!ARAL/OLEL=0.0
!
!ARAL/OLEH=0.0
!
!ARAL/ALKL=0.0
!
!ARAL/ALKM=0.0
!
!ARAL/ALKH=0.0
!
!ARAL/AROH=0.0
!
!ARAL/AROL=0.0
!
!ARAL/AROO=0.0
!
!ARAL/ARAL=-K081*<NO3>-K082*<OH>
 PJAC(:,25,25)=-TPK%K081(:)*PCONC(:,8)-TPK%K082(:)*PCONC(:,15)
!
!ARAL/ARAC=0.0
!
!ARAL/PAH=0.0
!
!ARAL/HCHO=0.0
!
!ARAL/ALD2=0.0
!
!ARAL/KETL=0.0
!
!ARAL/KETH=0.0
!
!ARAL/MEOH=0.0
!
!ARAL/ETOH=0.0
!
!ARAL/ALCH=0.0
!
!ARAL/ISOP=0.0
!
!ARAL/BIOL=0.0
!
!ARAL/BIOH=0.0
!
!ARAL/MTBE=0.0
!
!ARAL/MVK=0.0
!
!ARAL/MCR=0.0
!
!ARAL/MGLY=0.0
!
!ARAL/GLY=0.0
!
!ARAL/ORA1=0.0
!
!ARAL/ORA2=0.0
!
!ARAL/ACID=0.0
!
!ARAL/UR28=0.0
!
!ARAL/UR21=0.0
!
!ARAL/URG2=0.0
!
!ARAL/UR26=0.0
!
!ARAL/RPG2=0.0
!
!ARAL/RP18=0.0
!
!ARAL/RPG3=0.0
!
!ARAL/URG4=0.0
!
!ARAL/UR8=0.0
!
!ARAL/UR17=0.0
!
!ARAL/UR7=0.0
!
!ARAL/RPR3=0.0
!
!ARAL/URG6=0.0
!
!ARAL/UR22=0.0
!
!ARAL/URG7=0.0
!
!ARAL/RPR4=0.0
!
!ARAL/RPR7=0.0
!
!ARAL/RPG7=0.0
!
!ARAL/URG8=0.0
!
!ARAL/UR19=0.0
!
!ARAL/URG9=0.0
!
!ARAL/AP7=0.0
!
!ARAL/URG10=0.0
!
!ARAL/RPR1=0.0
!
!ARAL/RPR5=0.0
!
!ARAL/RPR8=0.0
!
!ARAL/RP10=0.0
!
!ARAL/RP11=0.0
!
!ARAL/RP16=0.0
!
!ARAL/RPRL=0.0
!
!ARAL/APAN=0.0
!
!ARAL/PAN1=0.0
!
!ARAL/PAN2=0.0
!
!ARAL/PAN3=0.0
!
!ARAL/PAN4=0.0
!
!ARAL/PAN6=0.0
!
!ARAL/PAN7=0.0
!
!ARAL/PAN8=0.0
!
!ARAL/PN10=0.0
!
!ARAL/RO2T=+K190*<RO221>
 PJAC(:,25,85)=+TPK%K190(:)*TPK%RO221(:)
!
!ARAL/RO21=0.0
!
!ARAL/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ4
!
SUBROUTINE SUBJ5
!
!Indices 26 a 30
!
!
!ARAC/NO=0.0
!
!ARAC/NO2=0.0
!
!ARAC/O3=0.0
!
!ARAC/HONO=0.0
!
!ARAC/HNO3=0.0
!
!ARAC/HNO4=0.0
!
!ARAC/N2O5=0.0
!
!ARAC/NO3=+K081*<ARAL>
 PJAC(:,26,8)=+TPK%K081(:)*PCONC(:,25)
!
!ARAC/NH3=0.0
!
!ARAC/HO2=0.0
!
!ARAC/CO=0.0
!
!ARAC/H2O2=0.0
!
!ARAC/SO2=0.0
!
!ARAC/H2SO4=0.0
!
!ARAC/OH=+TPK%CF39*K082*<ARAL>-K083*<ARAC>
 PJAC(:,26,15)=+TPK%CF39*TPK%K082(:)*PCONC(:,25)-TPK%K083(:)*PCONC(:,26)
!
!ARAC/ETHE=0.0
!
!ARAC/OLEL=0.0
!
!ARAC/OLEH=0.0
!
!ARAC/ALKL=0.0
!
!ARAC/ALKM=0.0
!
!ARAC/ALKH=0.0
!
!ARAC/AROH=0.0
!
!ARAC/AROL=0.0
!
!ARAC/AROO=0.0
!
!ARAC/ARAL=+K081*<NO3>+TPK%CF39*K082*<OH>
 PJAC(:,26,25)=+TPK%K081(:)*PCONC(:,8)+TPK%CF39*TPK%K082(:)*PCONC(:,15)
!
!ARAC/ARAC=-K083*<OH>
 PJAC(:,26,26)=-TPK%K083(:)*PCONC(:,15)
!
!ARAC/PAH=0.0
!
!ARAC/HCHO=0.0
!
!ARAC/ALD2=0.0
!
!ARAC/KETL=0.0
!
!ARAC/KETH=0.0
!
!ARAC/MEOH=0.0
!
!ARAC/ETOH=0.0
!
!ARAC/ALCH=0.0
!
!ARAC/ISOP=0.0
!
!ARAC/BIOL=0.0
!
!ARAC/BIOH=0.0
!
!ARAC/MTBE=0.0
!
!ARAC/MVK=0.0
!
!ARAC/MCR=0.0
!
!ARAC/MGLY=0.0
!
!ARAC/GLY=0.0
!
!ARAC/ORA1=0.0
!
!ARAC/ORA2=0.0
!
!ARAC/ACID=0.0
!
!ARAC/UR28=0.0
!
!ARAC/UR21=0.0
!
!ARAC/URG2=0.0
!
!ARAC/UR26=0.0
!
!ARAC/RPG2=0.0
!
!ARAC/RP18=0.0
!
!ARAC/RPG3=0.0
!
!ARAC/URG4=0.0
!
!ARAC/UR8=0.0
!
!ARAC/UR17=0.0
!
!ARAC/UR7=0.0
!
!ARAC/RPR3=0.0
!
!ARAC/URG6=0.0
!
!ARAC/UR22=0.0
!
!ARAC/URG7=0.0
!
!ARAC/RPR4=0.0
!
!ARAC/RPR7=0.0
!
!ARAC/RPG7=0.0
!
!ARAC/URG8=0.0
!
!ARAC/UR19=0.0
!
!ARAC/URG9=0.0
!
!ARAC/AP7=0.0
!
!ARAC/URG10=0.0
!
!ARAC/RPR1=0.0
!
!ARAC/RPR5=0.0
!
!ARAC/RPR8=0.0
!
!ARAC/RP10=0.0
!
!ARAC/RP11=0.0
!
!ARAC/RP16=0.0
!
!ARAC/RPRL=0.0
!
!ARAC/APAN=0.0
!
!ARAC/PAN1=0.0
!
!ARAC/PAN2=0.0
!
!ARAC/PAN3=0.0
!
!ARAC/PAN4=0.0
!
!ARAC/PAN6=0.0
!
!ARAC/PAN7=0.0
!
!ARAC/PAN8=0.0
!
!ARAC/PN10=0.0
!
!ARAC/RO2T=0.0
!
!ARAC/RO21=0.0
!
!ARAC/RO25=0.0
!
!PAH/NO=0.0
!
!PAH/NO2=0.0
!
!PAH/O3=0.0
!
!PAH/HONO=0.0
!
!PAH/HNO3=0.0
!
!PAH/HNO4=0.0
!
!PAH/N2O5=0.0
!
!PAH/NO3=0.0
!
!PAH/NH3=0.0
!
!PAH/HO2=0.0
!
!PAH/CO=0.0
!
!PAH/H2O2=0.0
!
!PAH/SO2=0.0
!
!PAH/H2SO4=0.0
!
!PAH/OH=-K092*<PAH>
 PJAC(:,27,15)=-TPK%K092(:)*PCONC(:,27)
!
!PAH/ETHE=0.0
!
!PAH/OLEL=0.0
!
!PAH/OLEH=0.0
!
!PAH/ALKL=0.0
!
!PAH/ALKM=0.0
!
!PAH/ALKH=0.0
!
!PAH/AROH=0.0
!
!PAH/AROL=0.0
!
!PAH/AROO=0.0
!
!PAH/ARAL=0.0
!
!PAH/ARAC=0.0
!
!PAH/PAH=-K092*<OH>
 PJAC(:,27,27)=-TPK%K092(:)*PCONC(:,15)
!
!PAH/HCHO=0.0
!
!PAH/ALD2=0.0
!
!PAH/KETL=0.0
!
!PAH/KETH=0.0
!
!PAH/MEOH=0.0
!
!PAH/ETOH=0.0
!
!PAH/ALCH=0.0
!
!PAH/ISOP=0.0
!
!PAH/BIOL=0.0
!
!PAH/BIOH=0.0
!
!PAH/MTBE=0.0
!
!PAH/MVK=0.0
!
!PAH/MCR=0.0
!
!PAH/MGLY=0.0
!
!PAH/GLY=0.0
!
!PAH/ORA1=0.0
!
!PAH/ORA2=0.0
!
!PAH/ACID=0.0
!
!PAH/UR28=0.0
!
!PAH/UR21=0.0
!
!PAH/URG2=0.0
!
!PAH/UR26=0.0
!
!PAH/RPG2=0.0
!
!PAH/RP18=0.0
!
!PAH/RPG3=0.0
!
!PAH/URG4=0.0
!
!PAH/UR8=0.0
!
!PAH/UR17=0.0
!
!PAH/UR7=0.0
!
!PAH/RPR3=0.0
!
!PAH/URG6=0.0
!
!PAH/UR22=0.0
!
!PAH/URG7=0.0
!
!PAH/RPR4=0.0
!
!PAH/RPR7=0.0
!
!PAH/RPG7=0.0
!
!PAH/URG8=0.0
!
!PAH/UR19=0.0
!
!PAH/URG9=0.0
!
!PAH/AP7=0.0
!
!PAH/URG10=0.0
!
!PAH/RPR1=0.0
!
!PAH/RPR5=0.0
!
!PAH/RPR8=0.0
!
!PAH/RP10=0.0
!
!PAH/RP11=0.0
!
!PAH/RP16=0.0
!
!PAH/RPRL=0.0
!
!PAH/APAN=0.0
!
!PAH/PAN1=0.0
!
!PAH/PAN2=0.0
!
!PAH/PAN3=0.0
!
!PAH/PAN4=0.0
!
!PAH/PAN6=0.0
!
!PAH/PAN7=0.0
!
!PAH/PAN8=0.0
!
!PAH/PN10=0.0
!
!PAH/RO2T=0.0
!
!PAH/RO21=0.0
!
!PAH/RO25=0.0
!
!HCHO/NO=+K110*<RO21>+K113*<RO22>+K116*<RO23>+K119*<RO24>+TPK%CF6*K150*<RO29>+K
!153*<RO210>+K156*<RO211>+K159*<RO212>+K162*<RO213>+TPK%CF10*K171*<RO215>+K183*
!<RO219>+K285*<RO249>+K291*<RO251>+K294*<RO252>+K297*<RO253>
 PJAC(:,28,1)=+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%RO22(:)+TPK%K116(:)*TPK%&
&RO23(:)+TPK%K119(:)*TPK%RO24(:)+TPK%CF6*TPK%K150(:)*TPK%RO29(:)+TPK%K153(:)*TP&
&K%RO210(:)+TPK%K156(:)*TPK%RO211(:)+TPK%K159(:)*TPK%RO212(:)+TPK%K162(:)*TPK%R&
&O213(:)+TPK%CF10*TPK%K171(:)*TPK%RO215(:)+TPK%K183(:)*TPK%RO219(:)+TPK%K285(:)&
&*TPK%RO249(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO252(:)+TPK%K297(:)*TP&
&K%RO253(:)
!
!HCHO/NO2=0.0
!
!HCHO/O3=+0.5*K051*<ETHE>+0.5*K056*<OLEL>+0.5*K066*<ISOP>+0.5*K076*<OLEH>+0.5*K
!281*<MVK>+0.5*K282*<MCR>
 PJAC(:,28,3)=+0.5*TPK%K051(:)*PCONC(:,16)+0.5*TPK%K056(:)*PCONC(:,17)+0.5*TPK%&
&K066(:)*PCONC(:,35)+0.5*TPK%K076(:)*PCONC(:,18)+0.5*TPK%K281(:)*PCONC(:,39)+0.&
&5*TPK%K282(:)*PCONC(:,40)
!
!HCHO/HONO=0.0
!
!HCHO/HNO3=0.0
!
!HCHO/HNO4=0.0
!
!HCHO/N2O5=0.0
!
!HCHO/NO3=-K047*<HCHO>
 PJAC(:,28,8)=-TPK%K047(:)*PCONC(:,28)
!
!HCHO/NH3=0.0
!
!HCHO/HO2=+K112*<RO21>+K115*<RO22>+K118*<RO23>+K121*<RO24>+K152*<RO29>+K155*<RO
!210>+K158*<RO211>+K161*<RO212>+K164*<RO213>+TPK%CF14*K173*<RO215>+K185*<RO219>
!+K287*<RO249>+K292*<RO251>+K295*<RO252>+K298*<RO253>
 PJAC(:,28,10)=+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK&
&%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210&
&(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)&
&+TPK%CF14*TPK%K173(:)*TPK%RO215(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K287(:)*TPK%RO&
&249(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO252(:)+TPK%K298(:)*TPK%RO253&
&(:)
!
!HCHO/CO=0.0
!
!HCHO/H2O2=0.0
!
!HCHO/SO2=0.0
!
!HCHO/H2SO4=0.0
!
!HCHO/OH=-K046*<HCHO>+K048*<MEOH>
 PJAC(:,28,15)=-TPK%K046(:)*PCONC(:,28)+TPK%K048(:)*PCONC(:,32)
!
!HCHO/ETHE=+0.5*K051*<O3>
 PJAC(:,28,16)=+0.5*TPK%K051(:)*PCONC(:,3)
!
!HCHO/OLEL=+0.5*K056*<O3>
 PJAC(:,28,17)=+0.5*TPK%K056(:)*PCONC(:,3)
!
!HCHO/OLEH=+0.5*K076*<O3>
 PJAC(:,28,18)=+0.5*TPK%K076(:)*PCONC(:,3)
!
!HCHO/ALKL=0.0
!
!HCHO/ALKM=0.0
!
!HCHO/ALKH=0.0
!
!HCHO/AROH=0.0
!
!HCHO/AROL=0.0
!
!HCHO/AROO=0.0
!
!HCHO/ARAL=0.0
!
!HCHO/ARAC=0.0
!
!HCHO/PAH=0.0
!
!HCHO/HCHO=-K044-K045-K046*<OH>-K047*<NO3>
 PJAC(:,28,28)=-TPK%K044(:)-TPK%K045(:)-TPK%K046(:)*PCONC(:,15)-TPK%K047(:)*PCO&
&NC(:,8)
!
!HCHO/ALD2=0.0
!
!HCHO/KETL=0.0
!
!HCHO/KETH=0.0
!
!HCHO/MEOH=+K048*<OH>
 PJAC(:,28,32)=+TPK%K048(:)*PCONC(:,15)
!
!HCHO/ETOH=0.0
!
!HCHO/ALCH=0.0
!
!HCHO/ISOP=+0.5*K066*<O3>
 PJAC(:,28,35)=+0.5*TPK%K066(:)*PCONC(:,3)
!
!HCHO/BIOL=0.0
!
!HCHO/BIOH=0.0
!
!HCHO/MTBE=0.0
!
!HCHO/MVK=+0.5*K281*<O3>
 PJAC(:,28,39)=+0.5*TPK%K281(:)*PCONC(:,3)
!
!HCHO/MCR=+0.5*K282*<O3>
 PJAC(:,28,40)=+0.5*TPK%K282(:)*PCONC(:,3)
!
!HCHO/MGLY=0.0
!
!HCHO/GLY=0.0
!
!HCHO/ORA1=0.0
!
!HCHO/ORA2=0.0
!
!HCHO/ACID=0.0
!
!HCHO/UR28=0.0
!
!HCHO/UR21=0.0
!
!HCHO/URG2=0.0
!
!HCHO/UR26=0.0
!
!HCHO/RPG2=0.0
!
!HCHO/RP18=0.0
!
!HCHO/RPG3=0.0
!
!HCHO/URG4=0.0
!
!HCHO/UR8=0.0
!
!HCHO/UR17=0.0
!
!HCHO/UR7=0.0
!
!HCHO/RPR3=0.0
!
!HCHO/URG6=0.0
!
!HCHO/UR22=0.0
!
!HCHO/URG7=0.0
!
!HCHO/RPR4=0.0
!
!HCHO/RPR7=0.0
!
!HCHO/RPG7=0.0
!
!HCHO/URG8=0.0
!
!HCHO/UR19=0.0
!
!HCHO/URG9=0.0
!
!HCHO/AP7=0.0
!
!HCHO/URG10=0.0
!
!HCHO/RPR1=0.0
!
!HCHO/RPR5=0.0
!
!HCHO/RPR8=0.0
!
!HCHO/RP10=0.0
!
!HCHO/RP11=0.0
!
!HCHO/RP16=0.0
!
!HCHO/RPRL=0.0
!
!HCHO/APAN=0.0
!
!HCHO/PAN1=0.0
!
!HCHO/PAN2=0.0
!
!HCHO/PAN3=0.0
!
!HCHO/PAN4=0.0
!
!HCHO/PAN6=0.0
!
!HCHO/PAN7=0.0
!
!HCHO/PAN8=0.0
!
!HCHO/PN10=0.0
!
!HCHO/RO2T=+K111*<RO21>+K114*<RO22>+K117*<RO23>+K120*<RO24>+K151*<RO29>+K154*<R
!O210>+K157*<RO211>+K160*<RO212>+K163*<RO213>+TPK%CF14*K172*<RO215>+K184*<RO219
!>+K286*<RO249>+K293*<RO251>+K296*<RO252>+K299*<RO253>
 PJAC(:,28,85)=+TPK%K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK&
&%RO23(:)+TPK%K120(:)*TPK%RO24(:)+TPK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210&
&(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK%RO212(:)+TPK%K163(:)*TPK%RO213(:)&
&+TPK%CF14*TPK%K172(:)*TPK%RO215(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K286(:)*TPK%RO&
&249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*TPK%RO253&
&(:)
!
!HCHO/RO21=+K110*<NO>+K111*<RO2T>+K112*<HO2>
 PJAC(:,28,86)=+TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)
!
!HCHO/RO25=0.0
!
!ALD2/NO=+K113*<RO22>+K116*<RO23>+TPK%CF4*K122*<RO25>+K144*<RO27>+TPK%CF9*K171*
!<RO215>+K174*<RO216>
 PJAC(:,29,1)=+TPK%K113(:)*TPK%RO22(:)+TPK%K116(:)*TPK%RO23(:)+TPK%CF4*TPK%K122&
&(:)*PCONC(:,87)+TPK%K144(:)*TPK%RO27(:)+TPK%CF9*TPK%K171(:)*TPK%RO215(:)+TPK%K&
&174(:)*TPK%RO216(:)
!
!ALD2/NO2=0.0
!
!ALD2/O3=+0.5*K056*<OLEL>+0.1*K281*<MVK>
 PJAC(:,29,3)=+0.5*TPK%K056(:)*PCONC(:,17)+0.1*TPK%K281(:)*PCONC(:,39)
!
!ALD2/HONO=0.0
!
!ALD2/HNO3=0.0
!
!ALD2/HNO4=0.0
!
!ALD2/N2O5=0.0
!
!ALD2/NO3=-K061*<ALD2>
 PJAC(:,29,8)=-TPK%K061(:)*PCONC(:,29)
!
!ALD2/NH3=0.0
!
!ALD2/HO2=+K115*<RO22>+K118*<RO23>+K124*<RO25>+K146*<RO27>+TPK%CF13*K173*<RO215
!>+K176*<RO216>
 PJAC(:,29,10)=+TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K124(:)*PCO&
&NC(:,87)+TPK%K146(:)*TPK%RO27(:)+TPK%CF13*TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)&
&*TPK%RO216(:)
!
!ALD2/CO=0.0
!
!ALD2/H2O2=0.0
!
!ALD2/SO2=0.0
!
!ALD2/H2SO4=0.0
!
!ALD2/OH=+TPK%CF1*K053*<ETOH>-K060*<ALD2>
 PJAC(:,29,15)=+TPK%CF1*TPK%K053(:)*PCONC(:,33)-TPK%K060(:)*PCONC(:,29)
!
!ALD2/ETHE=0.0
!
!ALD2/OLEL=+0.5*K056*<O3>+0.4*K057*<O>
 PJAC(:,29,17)=+0.5*TPK%K056(:)*PCONC(:,3)+0.4*TPK%K057(:)*TPK%O(:)
!
!ALD2/OLEH=0.0
!
!ALD2/ALKL=0.0
!
!ALD2/ALKM=0.0
!
!ALD2/ALKH=0.0
!
!ALD2/AROH=0.0
!
!ALD2/AROL=0.0
!
!ALD2/AROO=0.0
!
!ALD2/ARAL=0.0
!
!ALD2/ARAC=0.0
!
!ALD2/PAH=0.0
!
!ALD2/HCHO=0.0
!
!ALD2/ALD2=-K059-K060*<OH>-K061*<NO3>
 PJAC(:,29,29)=-TPK%K059(:)-TPK%K060(:)*PCONC(:,15)-TPK%K061(:)*PCONC(:,8)
!
!ALD2/KETL=0.0
!
!ALD2/KETH=0.0
!
!ALD2/MEOH=0.0
!
!ALD2/ETOH=+TPK%CF1*K053*<OH>
 PJAC(:,29,33)=+TPK%CF1*TPK%K053(:)*PCONC(:,15)
!
!ALD2/ALCH=0.0
!
!ALD2/ISOP=+0.075*K067*<O>
 PJAC(:,29,35)=+0.075*TPK%K067(:)*TPK%O(:)
!
!ALD2/BIOL=0.0
!
!ALD2/BIOH=0.0
!
!ALD2/MTBE=0.0
!
!ALD2/MVK=+0.1*K281*<O3>
 PJAC(:,29,39)=+0.1*TPK%K281(:)*PCONC(:,3)
!
!ALD2/MCR=+0.85*K284*<O>
 PJAC(:,29,40)=+0.85*TPK%K284(:)*TPK%O(:)
!
!ALD2/MGLY=0.0
!
!ALD2/GLY=0.0
!
!ALD2/ORA1=0.0
!
!ALD2/ORA2=0.0
!
!ALD2/ACID=0.0
!
!ALD2/UR28=0.0
!
!ALD2/UR21=0.0
!
!ALD2/URG2=0.0
!
!ALD2/UR26=0.0
!
!ALD2/RPG2=0.0
!
!ALD2/RP18=0.0
!
!ALD2/RPG3=0.0
!
!ALD2/URG4=0.0
!
!ALD2/UR8=0.0
!
!ALD2/UR17=0.0
!
!ALD2/UR7=0.0
!
!ALD2/RPR3=0.0
!
!ALD2/URG6=0.0
!
!ALD2/UR22=0.0
!
!ALD2/URG7=0.0
!
!ALD2/RPR4=0.0
!
!ALD2/RPR7=0.0
!
!ALD2/RPG7=0.0
!
!ALD2/URG8=0.0
!
!ALD2/UR19=0.0
!
!ALD2/URG9=0.0
!
!ALD2/AP7=0.0
!
!ALD2/URG10=0.0
!
!ALD2/RPR1=0.0
!
!ALD2/RPR5=0.0
!
!ALD2/RPR8=0.0
!
!ALD2/RP10=0.0
!
!ALD2/RP11=0.0
!
!ALD2/RP16=0.0
!
!ALD2/RPRL=0.0
!
!ALD2/APAN=0.0
!
!ALD2/PAN1=0.0
!
!ALD2/PAN2=0.0
!
!ALD2/PAN3=0.0
!
!ALD2/PAN4=0.0
!
!ALD2/PAN6=0.0
!
!ALD2/PAN7=0.0
!
!ALD2/PAN8=0.0
!
!ALD2/PN10=0.0
!
!ALD2/RO2T=+K114*<RO22>+K117*<RO23>+K123*<RO25>+K145*<RO27>+TPK%CF13*K172*<RO21
!5>+K175*<RO216>
 PJAC(:,29,85)=+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK%RO23(:)+TPK%K123(:)*PCO&
&NC(:,87)+TPK%K145(:)*TPK%RO27(:)+TPK%CF13*TPK%K172(:)*TPK%RO215(:)+TPK%K175(:)&
&*TPK%RO216(:)
!
!ALD2/RO21=0.0
!
!ALD2/RO25=+TPK%CF4*K122*<NO>+K123*<RO2T>+K124*<HO2>
 PJAC(:,29,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124&
&(:)*PCONC(:,10)
!
!KETL/NO=+TPK%CF11*K171*<RO215>
 PJAC(:,30,1)=+TPK%CF11*TPK%K171(:)*TPK%RO215(:)
!
!KETL/NO2=0.0
!
!KETL/O3=0.0
!
!KETL/HONO=0.0
!
!KETL/HNO3=0.0
!
!KETL/HNO4=0.0
!
!KETL/N2O5=0.0
!
!KETL/NO3=0.0
!
!KETL/NH3=0.0
!
!KETL/HO2=+TPK%CF15*K173*<RO215>
 PJAC(:,30,10)=+TPK%CF15*TPK%K173(:)*TPK%RO215(:)
!
!KETL/CO=0.0
!
!KETL/H2O2=0.0
!
!KETL/SO2=0.0
!
!KETL/H2SO4=0.0
!
!KETL/OH=-K062*<KETL>
 PJAC(:,30,15)=-TPK%K062(:)*PCONC(:,30)
!
!KETL/ETHE=0.0
!
!KETL/OLEL=0.0
!
!KETL/OLEH=0.0
!
!KETL/ALKL=0.0
!
!KETL/ALKM=0.0
!
!KETL/ALKH=0.0
!
!KETL/AROH=0.0
!
!KETL/AROL=0.0
!
!KETL/AROO=0.0
!
!KETL/ARAL=0.0
!
!KETL/ARAC=0.0
!
!KETL/PAH=0.0
!
!KETL/HCHO=0.0
!
!KETL/ALD2=0.0
!
!KETL/KETL=-K062*<OH>-K063
 PJAC(:,30,30)=-TPK%K062(:)*PCONC(:,15)-TPK%K063(:)
!
!KETL/KETH=0.0
!
!KETL/MEOH=0.0
!
!KETL/ETOH=0.0
!
!KETL/ALCH=0.0
!
!KETL/ISOP=0.0
!
!KETL/BIOL=0.0
!
!KETL/BIOH=0.0
!
!KETL/MTBE=0.0
!
!KETL/MVK=+0.85*K283*<O>
 PJAC(:,30,39)=+0.85*TPK%K283(:)*TPK%O(:)
!
!KETL/MCR=0.0
!
!KETL/MGLY=0.0
!
!KETL/GLY=0.0
!
!KETL/ORA1=0.0
!
!KETL/ORA2=0.0
!
!KETL/ACID=0.0
!
!KETL/UR28=0.0
!
!KETL/UR21=0.0
!
!KETL/URG2=0.0
!
!KETL/UR26=0.0
!
!KETL/RPG2=0.0
!
!KETL/RP18=0.0
!
!KETL/RPG3=0.0
!
!KETL/URG4=0.0
!
!KETL/UR8=0.0
!
!KETL/UR17=0.0
!
!KETL/UR7=0.0
!
!KETL/RPR3=0.0
!
!KETL/URG6=0.0
!
!KETL/UR22=0.0
!
!KETL/URG7=0.0
!
!KETL/RPR4=0.0
!
!KETL/RPR7=0.0
!
!KETL/RPG7=0.0
!
!KETL/URG8=0.0
!
!KETL/UR19=0.0
!
!KETL/URG9=0.0
!
!KETL/AP7=0.0
!
!KETL/URG10=0.0
!
!KETL/RPR1=0.0
!
!KETL/RPR5=0.0
!
!KETL/RPR8=0.0
!
!KETL/RP10=0.0
!
!KETL/RP11=0.0
!
!KETL/RP16=0.0
!
!KETL/RPRL=0.0
!
!KETL/APAN=0.0
!
!KETL/PAN1=0.0
!
!KETL/PAN2=0.0
!
!KETL/PAN3=0.0
!
!KETL/PAN4=0.0
!
!KETL/PAN6=0.0
!
!KETL/PAN7=0.0
!
!KETL/PAN8=0.0
!
!KETL/PN10=0.0
!
!KETL/RO2T=+TPK%CF15*K172*<RO215>
 PJAC(:,30,85)=+TPK%CF15*TPK%K172(:)*TPK%RO215(:)
!
!KETL/RO21=0.0
!
!KETL/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ5
!
SUBROUTINE SUBJ6
!
!Indices 31 a 35
!
!
!KETH/NO=0.0
!
!KETH/NO2=0.0
!
!KETH/O3=0.0
!
!KETH/HONO=0.0
!
!KETH/HNO3=0.0
!
!KETH/HNO4=0.0
!
!KETH/N2O5=0.0
!
!KETH/NO3=0.0
!
!KETH/NH3=0.0
!
!KETH/HO2=0.0
!
!KETH/CO=0.0
!
!KETH/H2O2=0.0
!
!KETH/SO2=0.0
!
!KETH/H2SO4=0.0
!
!KETH/OH=-K070*<KETH>
 PJAC(:,31,15)=-TPK%K070(:)*PCONC(:,31)
!
!KETH/ETHE=0.0
!
!KETH/OLEL=0.0
!
!KETH/OLEH=0.0
!
!KETH/ALKL=0.0
!
!KETH/ALKM=0.0
!
!KETH/ALKH=0.0
!
!KETH/AROH=0.0
!
!KETH/AROL=0.0
!
!KETH/AROO=0.0
!
!KETH/ARAL=0.0
!
!KETH/ARAC=0.0
!
!KETH/PAH=0.0
!
!KETH/HCHO=0.0
!
!KETH/ALD2=0.0
!
!KETH/KETL=0.0
!
!KETH/KETH=-K070*<OH>-K071
 PJAC(:,31,31)=-TPK%K070(:)*PCONC(:,15)-TPK%K071(:)
!
!KETH/MEOH=0.0
!
!KETH/ETOH=0.0
!
!KETH/ALCH=0.0
!
!KETH/ISOP=0.0
!
!KETH/BIOL=0.0
!
!KETH/BIOH=0.0
!
!KETH/MTBE=0.0
!
!KETH/MVK=0.0
!
!KETH/MCR=0.0
!
!KETH/MGLY=0.0
!
!KETH/GLY=0.0
!
!KETH/ORA1=0.0
!
!KETH/ORA2=0.0
!
!KETH/ACID=0.0
!
!KETH/UR28=0.0
!
!KETH/UR21=0.0
!
!KETH/URG2=0.0
!
!KETH/UR26=0.0
!
!KETH/RPG2=0.0
!
!KETH/RP18=0.0
!
!KETH/RPG3=0.0
!
!KETH/URG4=0.0
!
!KETH/UR8=0.0
!
!KETH/UR17=0.0
!
!KETH/UR7=0.0
!
!KETH/RPR3=0.0
!
!KETH/URG6=0.0
!
!KETH/UR22=0.0
!
!KETH/URG7=0.0
!
!KETH/RPR4=0.0
!
!KETH/RPR7=0.0
!
!KETH/RPG7=0.0
!
!KETH/URG8=0.0
!
!KETH/UR19=0.0
!
!KETH/URG9=0.0
!
!KETH/AP7=0.0
!
!KETH/URG10=0.0
!
!KETH/RPR1=0.0
!
!KETH/RPR5=0.0
!
!KETH/RPR8=0.0
!
!KETH/RP10=0.0
!
!KETH/RP11=0.0
!
!KETH/RP16=0.0
!
!KETH/RPRL=0.0
!
!KETH/APAN=0.0
!
!KETH/PAN1=0.0
!
!KETH/PAN2=0.0
!
!KETH/PAN3=0.0
!
!KETH/PAN4=0.0
!
!KETH/PAN6=0.0
!
!KETH/PAN7=0.0
!
!KETH/PAN8=0.0
!
!KETH/PN10=0.0
!
!KETH/RO2T=0.0
!
!KETH/RO21=0.0
!
!KETH/RO25=0.0
!
!MEOH/NO=0.0
!
!MEOH/NO2=0.0
!
!MEOH/O3=0.0
!
!MEOH/HONO=0.0
!
!MEOH/HNO3=0.0
!
!MEOH/HNO4=0.0
!
!MEOH/N2O5=0.0
!
!MEOH/NO3=0.0
!
!MEOH/NH3=0.0
!
!MEOH/HO2=0.0
!
!MEOH/CO=0.0
!
!MEOH/H2O2=0.0
!
!MEOH/SO2=0.0
!
!MEOH/H2SO4=0.0
!
!MEOH/OH=-K048*<MEOH>
 PJAC(:,32,15)=-TPK%K048(:)*PCONC(:,32)
!
!MEOH/ETHE=0.0
!
!MEOH/OLEL=0.0
!
!MEOH/OLEH=0.0
!
!MEOH/ALKL=0.0
!
!MEOH/ALKM=0.0
!
!MEOH/ALKH=0.0
!
!MEOH/AROH=0.0
!
!MEOH/AROL=0.0
!
!MEOH/AROO=0.0
!
!MEOH/ARAL=0.0
!
!MEOH/ARAC=0.0
!
!MEOH/PAH=0.0
!
!MEOH/HCHO=0.0
!
!MEOH/ALD2=0.0
!
!MEOH/KETL=0.0
!
!MEOH/KETH=0.0
!
!MEOH/MEOH=-K048*<OH>
 PJAC(:,32,32)=-TPK%K048(:)*PCONC(:,15)
!
!MEOH/ETOH=0.0
!
!MEOH/ALCH=0.0
!
!MEOH/ISOP=0.0
!
!MEOH/BIOL=0.0
!
!MEOH/BIOH=0.0
!
!MEOH/MTBE=0.0
!
!MEOH/MVK=0.0
!
!MEOH/MCR=0.0
!
!MEOH/MGLY=0.0
!
!MEOH/GLY=0.0
!
!MEOH/ORA1=0.0
!
!MEOH/ORA2=0.0
!
!MEOH/ACID=0.0
!
!MEOH/UR28=0.0
!
!MEOH/UR21=0.0
!
!MEOH/URG2=0.0
!
!MEOH/UR26=0.0
!
!MEOH/RPG2=0.0
!
!MEOH/RP18=0.0
!
!MEOH/RPG3=0.0
!
!MEOH/URG4=0.0
!
!MEOH/UR8=0.0
!
!MEOH/UR17=0.0
!
!MEOH/UR7=0.0
!
!MEOH/RPR3=0.0
!
!MEOH/URG6=0.0
!
!MEOH/UR22=0.0
!
!MEOH/URG7=0.0
!
!MEOH/RPR4=0.0
!
!MEOH/RPR7=0.0
!
!MEOH/RPG7=0.0
!
!MEOH/URG8=0.0
!
!MEOH/UR19=0.0
!
!MEOH/URG9=0.0
!
!MEOH/AP7=0.0
!
!MEOH/URG10=0.0
!
!MEOH/RPR1=0.0
!
!MEOH/RPR5=0.0
!
!MEOH/RPR8=0.0
!
!MEOH/RP10=0.0
!
!MEOH/RP11=0.0
!
!MEOH/RP16=0.0
!
!MEOH/RPRL=0.0
!
!MEOH/APAN=0.0
!
!MEOH/PAN1=0.0
!
!MEOH/PAN2=0.0
!
!MEOH/PAN3=0.0
!
!MEOH/PAN4=0.0
!
!MEOH/PAN6=0.0
!
!MEOH/PAN7=0.0
!
!MEOH/PAN8=0.0
!
!MEOH/PN10=0.0
!
!MEOH/RO2T=0.0
!
!MEOH/RO21=0.0
!
!MEOH/RO25=0.0
!
!ETOH/NO=0.0
!
!ETOH/NO2=0.0
!
!ETOH/O3=0.0
!
!ETOH/HONO=0.0
!
!ETOH/HNO3=0.0
!
!ETOH/HNO4=0.0
!
!ETOH/N2O5=0.0
!
!ETOH/NO3=0.0
!
!ETOH/NH3=0.0
!
!ETOH/HO2=0.0
!
!ETOH/CO=0.0
!
!ETOH/H2O2=0.0
!
!ETOH/SO2=0.0
!
!ETOH/H2SO4=0.0
!
!ETOH/OH=-K053*<ETOH>
 PJAC(:,33,15)=-TPK%K053(:)*PCONC(:,33)
!
!ETOH/ETHE=0.0
!
!ETOH/OLEL=0.0
!
!ETOH/OLEH=0.0
!
!ETOH/ALKL=0.0
!
!ETOH/ALKM=0.0
!
!ETOH/ALKH=0.0
!
!ETOH/AROH=0.0
!
!ETOH/AROL=0.0
!
!ETOH/AROO=0.0
!
!ETOH/ARAL=0.0
!
!ETOH/ARAC=0.0
!
!ETOH/PAH=0.0
!
!ETOH/HCHO=0.0
!
!ETOH/ALD2=0.0
!
!ETOH/KETL=0.0
!
!ETOH/KETH=0.0
!
!ETOH/MEOH=0.0
!
!ETOH/ETOH=-K053*<OH>
 PJAC(:,33,33)=-TPK%K053(:)*PCONC(:,15)
!
!ETOH/ALCH=0.0
!
!ETOH/ISOP=0.0
!
!ETOH/BIOL=0.0
!
!ETOH/BIOH=0.0
!
!ETOH/MTBE=0.0
!
!ETOH/MVK=0.0
!
!ETOH/MCR=0.0
!
!ETOH/MGLY=0.0
!
!ETOH/GLY=0.0
!
!ETOH/ORA1=0.0
!
!ETOH/ORA2=0.0
!
!ETOH/ACID=0.0
!
!ETOH/UR28=0.0
!
!ETOH/UR21=0.0
!
!ETOH/URG2=0.0
!
!ETOH/UR26=0.0
!
!ETOH/RPG2=0.0
!
!ETOH/RP18=0.0
!
!ETOH/RPG3=0.0
!
!ETOH/URG4=0.0
!
!ETOH/UR8=0.0
!
!ETOH/UR17=0.0
!
!ETOH/UR7=0.0
!
!ETOH/RPR3=0.0
!
!ETOH/URG6=0.0
!
!ETOH/UR22=0.0
!
!ETOH/URG7=0.0
!
!ETOH/RPR4=0.0
!
!ETOH/RPR7=0.0
!
!ETOH/RPG7=0.0
!
!ETOH/URG8=0.0
!
!ETOH/UR19=0.0
!
!ETOH/URG9=0.0
!
!ETOH/AP7=0.0
!
!ETOH/URG10=0.0
!
!ETOH/RPR1=0.0
!
!ETOH/RPR5=0.0
!
!ETOH/RPR8=0.0
!
!ETOH/RP10=0.0
!
!ETOH/RP11=0.0
!
!ETOH/RP16=0.0
!
!ETOH/RPRL=0.0
!
!ETOH/APAN=0.0
!
!ETOH/PAN1=0.0
!
!ETOH/PAN2=0.0
!
!ETOH/PAN3=0.0
!
!ETOH/PAN4=0.0
!
!ETOH/PAN6=0.0
!
!ETOH/PAN7=0.0
!
!ETOH/PAN8=0.0
!
!ETOH/PN10=0.0
!
!ETOH/RO2T=0.0
!
!ETOH/RO21=0.0
!
!ETOH/RO25=0.0
!
!ALCH/NO=0.0
!
!ALCH/NO2=0.0
!
!ALCH/O3=0.0
!
!ALCH/HONO=0.0
!
!ALCH/HNO3=0.0
!
!ALCH/HNO4=0.0
!
!ALCH/N2O5=0.0
!
!ALCH/NO3=0.0
!
!ALCH/NH3=0.0
!
!ALCH/HO2=0.0
!
!ALCH/CO=0.0
!
!ALCH/H2O2=0.0
!
!ALCH/SO2=0.0
!
!ALCH/H2SO4=0.0
!
!ALCH/OH=-K069*<ALCH>
 PJAC(:,34,15)=-TPK%K069(:)*PCONC(:,34)
!
!ALCH/ETHE=0.0
!
!ALCH/OLEL=0.0
!
!ALCH/OLEH=0.0
!
!ALCH/ALKL=0.0
!
!ALCH/ALKM=0.0
!
!ALCH/ALKH=0.0
!
!ALCH/AROH=0.0
!
!ALCH/AROL=0.0
!
!ALCH/AROO=0.0
!
!ALCH/ARAL=0.0
!
!ALCH/ARAC=0.0
!
!ALCH/PAH=0.0
!
!ALCH/HCHO=0.0
!
!ALCH/ALD2=0.0
!
!ALCH/KETL=0.0
!
!ALCH/KETH=0.0
!
!ALCH/MEOH=0.0
!
!ALCH/ETOH=0.0
!
!ALCH/ALCH=-K069*<OH>
 PJAC(:,34,34)=-TPK%K069(:)*PCONC(:,15)
!
!ALCH/ISOP=0.0
!
!ALCH/BIOL=0.0
!
!ALCH/BIOH=0.0
!
!ALCH/MTBE=0.0
!
!ALCH/MVK=0.0
!
!ALCH/MCR=0.0
!
!ALCH/MGLY=0.0
!
!ALCH/GLY=0.0
!
!ALCH/ORA1=0.0
!
!ALCH/ORA2=0.0
!
!ALCH/ACID=0.0
!
!ALCH/UR28=0.0
!
!ALCH/UR21=0.0
!
!ALCH/URG2=0.0
!
!ALCH/UR26=0.0
!
!ALCH/RPG2=0.0
!
!ALCH/RP18=0.0
!
!ALCH/RPG3=0.0
!
!ALCH/URG4=0.0
!
!ALCH/UR8=0.0
!
!ALCH/UR17=0.0
!
!ALCH/UR7=0.0
!
!ALCH/RPR3=0.0
!
!ALCH/URG6=0.0
!
!ALCH/UR22=0.0
!
!ALCH/URG7=0.0
!
!ALCH/RPR4=0.0
!
!ALCH/RPR7=0.0
!
!ALCH/RPG7=0.0
!
!ALCH/URG8=0.0
!
!ALCH/UR19=0.0
!
!ALCH/URG9=0.0
!
!ALCH/AP7=0.0
!
!ALCH/URG10=0.0
!
!ALCH/RPR1=0.0
!
!ALCH/RPR5=0.0
!
!ALCH/RPR8=0.0
!
!ALCH/RP10=0.0
!
!ALCH/RP11=0.0
!
!ALCH/RP16=0.0
!
!ALCH/RPRL=0.0
!
!ALCH/APAN=0.0
!
!ALCH/PAN1=0.0
!
!ALCH/PAN2=0.0
!
!ALCH/PAN3=0.0
!
!ALCH/PAN4=0.0
!
!ALCH/PAN6=0.0
!
!ALCH/PAN7=0.0
!
!ALCH/PAN8=0.0
!
!ALCH/PN10=0.0
!
!ALCH/RO2T=0.0
!
!ALCH/RO21=0.0
!
!ALCH/RO25=0.0
!
!ISOP/NO=0.0
!
!ISOP/NO2=0.0
!
!ISOP/O3=-K066*<ISOP>
 PJAC(:,35,3)=-TPK%K066(:)*PCONC(:,35)
!
!ISOP/HONO=0.0
!
!ISOP/HNO3=0.0
!
!ISOP/HNO4=0.0
!
!ISOP/N2O5=0.0
!
!ISOP/NO3=-K065*<ISOP>
 PJAC(:,35,8)=-TPK%K065(:)*PCONC(:,35)
!
!ISOP/NH3=0.0
!
!ISOP/HO2=0.0
!
!ISOP/CO=0.0
!
!ISOP/H2O2=0.0
!
!ISOP/SO2=0.0
!
!ISOP/H2SO4=0.0
!
!ISOP/OH=-K064*<ISOP>
 PJAC(:,35,15)=-TPK%K064(:)*PCONC(:,35)
!
!ISOP/ETHE=0.0
!
!ISOP/OLEL=0.0
!
!ISOP/OLEH=0.0
!
!ISOP/ALKL=0.0
!
!ISOP/ALKM=0.0
!
!ISOP/ALKH=0.0
!
!ISOP/AROH=0.0
!
!ISOP/AROL=0.0
!
!ISOP/AROO=0.0
!
!ISOP/ARAL=0.0
!
!ISOP/ARAC=0.0
!
!ISOP/PAH=0.0
!
!ISOP/HCHO=0.0
!
!ISOP/ALD2=0.0
!
!ISOP/KETL=0.0
!
!ISOP/KETH=0.0
!
!ISOP/MEOH=0.0
!
!ISOP/ETOH=0.0
!
!ISOP/ALCH=0.0
!
!ISOP/ISOP=-K064*<OH>-K065*<NO3>-K066*<O3>-K067*<O>
 PJAC(:,35,35)=-TPK%K064(:)*PCONC(:,15)-TPK%K065(:)*PCONC(:,8)-TPK%K066(:)*PCON&
&C(:,3)-TPK%K067(:)*TPK%O(:)
!
!ISOP/BIOL=0.0
!
!ISOP/BIOH=0.0
!
!ISOP/MTBE=0.0
!
!ISOP/MVK=0.0
!
!ISOP/MCR=0.0
!
!ISOP/MGLY=0.0
!
!ISOP/GLY=0.0
!
!ISOP/ORA1=0.0
!
!ISOP/ORA2=0.0
!
!ISOP/ACID=0.0
!
!ISOP/UR28=0.0
!
!ISOP/UR21=0.0
!
!ISOP/URG2=0.0
!
!ISOP/UR26=0.0
!
!ISOP/RPG2=0.0
!
!ISOP/RP18=0.0
!
!ISOP/RPG3=0.0
!
!ISOP/URG4=0.0
!
!ISOP/UR8=0.0
!
!ISOP/UR17=0.0
!
!ISOP/UR7=0.0
!
!ISOP/RPR3=0.0
!
!ISOP/URG6=0.0
!
!ISOP/UR22=0.0
!
!ISOP/URG7=0.0
!
!ISOP/RPR4=0.0
!
!ISOP/RPR7=0.0
!
!ISOP/RPG7=0.0
!
!ISOP/URG8=0.0
!
!ISOP/UR19=0.0
!
!ISOP/URG9=0.0
!
!ISOP/AP7=0.0
!
!ISOP/URG10=0.0
!
!ISOP/RPR1=0.0
!
!ISOP/RPR5=0.0
!
!ISOP/RPR8=0.0
!
!ISOP/RP10=0.0
!
!ISOP/RP11=0.0
!
!ISOP/RP16=0.0
!
!ISOP/RPRL=0.0
!
!ISOP/APAN=0.0
!
!ISOP/PAN1=0.0
!
!ISOP/PAN2=0.0
!
!ISOP/PAN3=0.0
!
!ISOP/PAN4=0.0
!
!ISOP/PAN6=0.0
!
!ISOP/PAN7=0.0
!
!ISOP/PAN8=0.0
!
!ISOP/PN10=0.0
!
!ISOP/RO2T=0.0
!
!ISOP/RO21=0.0
!
!ISOP/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ6
!
SUBROUTINE SUBJ7
!
!Indices 36 a 40
!
!
!BIOL/NO=0.0
!
!BIOL/NO2=0.0
!
!BIOL/O3=-K086*<BIOL>
 PJAC(:,36,3)=-TPK%K086(:)*PCONC(:,36)
!
!BIOL/HONO=0.0
!
!BIOL/HNO3=0.0
!
!BIOL/HNO4=0.0
!
!BIOL/N2O5=0.0
!
!BIOL/NO3=-K085*<BIOL>
 PJAC(:,36,8)=-TPK%K085(:)*PCONC(:,36)
!
!BIOL/NH3=0.0
!
!BIOL/HO2=0.0
!
!BIOL/CO=0.0
!
!BIOL/H2O2=0.0
!
!BIOL/SO2=0.0
!
!BIOL/H2SO4=0.0
!
!BIOL/OH=-K084*<BIOL>
 PJAC(:,36,15)=-TPK%K084(:)*PCONC(:,36)
!
!BIOL/ETHE=0.0
!
!BIOL/OLEL=0.0
!
!BIOL/OLEH=0.0
!
!BIOL/ALKL=0.0
!
!BIOL/ALKM=0.0
!
!BIOL/ALKH=0.0
!
!BIOL/AROH=0.0
!
!BIOL/AROL=0.0
!
!BIOL/AROO=0.0
!
!BIOL/ARAL=0.0
!
!BIOL/ARAC=0.0
!
!BIOL/PAH=0.0
!
!BIOL/HCHO=0.0
!
!BIOL/ALD2=0.0
!
!BIOL/KETL=0.0
!
!BIOL/KETH=0.0
!
!BIOL/MEOH=0.0
!
!BIOL/ETOH=0.0
!
!BIOL/ALCH=0.0
!
!BIOL/ISOP=0.0
!
!BIOL/BIOL=-K084*<OH>-K085*<NO3>-K086*<O3>-K087*<O>
 PJAC(:,36,36)=-TPK%K084(:)*PCONC(:,15)-TPK%K085(:)*PCONC(:,8)-TPK%K086(:)*PCON&
&C(:,3)-TPK%K087(:)*TPK%O(:)
!
!BIOL/BIOH=0.0
!
!BIOL/MTBE=0.0
!
!BIOL/MVK=0.0
!
!BIOL/MCR=0.0
!
!BIOL/MGLY=0.0
!
!BIOL/GLY=0.0
!
!BIOL/ORA1=0.0
!
!BIOL/ORA2=0.0
!
!BIOL/ACID=0.0
!
!BIOL/UR28=0.0
!
!BIOL/UR21=0.0
!
!BIOL/URG2=0.0
!
!BIOL/UR26=0.0
!
!BIOL/RPG2=0.0
!
!BIOL/RP18=0.0
!
!BIOL/RPG3=0.0
!
!BIOL/URG4=0.0
!
!BIOL/UR8=0.0
!
!BIOL/UR17=0.0
!
!BIOL/UR7=0.0
!
!BIOL/RPR3=0.0
!
!BIOL/URG6=0.0
!
!BIOL/UR22=0.0
!
!BIOL/URG7=0.0
!
!BIOL/RPR4=0.0
!
!BIOL/RPR7=0.0
!
!BIOL/RPG7=0.0
!
!BIOL/URG8=0.0
!
!BIOL/UR19=0.0
!
!BIOL/URG9=0.0
!
!BIOL/AP7=0.0
!
!BIOL/URG10=0.0
!
!BIOL/RPR1=0.0
!
!BIOL/RPR5=0.0
!
!BIOL/RPR8=0.0
!
!BIOL/RP10=0.0
!
!BIOL/RP11=0.0
!
!BIOL/RP16=0.0
!
!BIOL/RPRL=0.0
!
!BIOL/APAN=0.0
!
!BIOL/PAN1=0.0
!
!BIOL/PAN2=0.0
!
!BIOL/PAN3=0.0
!
!BIOL/PAN4=0.0
!
!BIOL/PAN6=0.0
!
!BIOL/PAN7=0.0
!
!BIOL/PAN8=0.0
!
!BIOL/PN10=0.0
!
!BIOL/RO2T=0.0
!
!BIOL/RO21=0.0
!
!BIOL/RO25=0.0
!
!BIOH/NO=0.0
!
!BIOH/NO2=0.0
!
!BIOH/O3=-K090*<BIOH>
 PJAC(:,37,3)=-TPK%K090(:)*PCONC(:,37)
!
!BIOH/HONO=0.0
!
!BIOH/HNO3=0.0
!
!BIOH/HNO4=0.0
!
!BIOH/N2O5=0.0
!
!BIOH/NO3=-K089*<BIOH>
 PJAC(:,37,8)=-TPK%K089(:)*PCONC(:,37)
!
!BIOH/NH3=0.0
!
!BIOH/HO2=0.0
!
!BIOH/CO=0.0
!
!BIOH/H2O2=0.0
!
!BIOH/SO2=0.0
!
!BIOH/H2SO4=0.0
!
!BIOH/OH=-K088*<BIOH>
 PJAC(:,37,15)=-TPK%K088(:)*PCONC(:,37)
!
!BIOH/ETHE=0.0
!
!BIOH/OLEL=0.0
!
!BIOH/OLEH=0.0
!
!BIOH/ALKL=0.0
!
!BIOH/ALKM=0.0
!
!BIOH/ALKH=0.0
!
!BIOH/AROH=0.0
!
!BIOH/AROL=0.0
!
!BIOH/AROO=0.0
!
!BIOH/ARAL=0.0
!
!BIOH/ARAC=0.0
!
!BIOH/PAH=0.0
!
!BIOH/HCHO=0.0
!
!BIOH/ALD2=0.0
!
!BIOH/KETL=0.0
!
!BIOH/KETH=0.0
!
!BIOH/MEOH=0.0
!
!BIOH/ETOH=0.0
!
!BIOH/ALCH=0.0
!
!BIOH/ISOP=0.0
!
!BIOH/BIOL=0.0
!
!BIOH/BIOH=-K088*<OH>-K089*<NO3>-K090*<O3>-K091*<O>
 PJAC(:,37,37)=-TPK%K088(:)*PCONC(:,15)-TPK%K089(:)*PCONC(:,8)-TPK%K090(:)*PCON&
&C(:,3)-TPK%K091(:)*TPK%O(:)
!
!BIOH/MTBE=0.0
!
!BIOH/MVK=0.0
!
!BIOH/MCR=0.0
!
!BIOH/MGLY=0.0
!
!BIOH/GLY=0.0
!
!BIOH/ORA1=0.0
!
!BIOH/ORA2=0.0
!
!BIOH/ACID=0.0
!
!BIOH/UR28=0.0
!
!BIOH/UR21=0.0
!
!BIOH/URG2=0.0
!
!BIOH/UR26=0.0
!
!BIOH/RPG2=0.0
!
!BIOH/RP18=0.0
!
!BIOH/RPG3=0.0
!
!BIOH/URG4=0.0
!
!BIOH/UR8=0.0
!
!BIOH/UR17=0.0
!
!BIOH/UR7=0.0
!
!BIOH/RPR3=0.0
!
!BIOH/URG6=0.0
!
!BIOH/UR22=0.0
!
!BIOH/URG7=0.0
!
!BIOH/RPR4=0.0
!
!BIOH/RPR7=0.0
!
!BIOH/RPG7=0.0
!
!BIOH/URG8=0.0
!
!BIOH/UR19=0.0
!
!BIOH/URG9=0.0
!
!BIOH/AP7=0.0
!
!BIOH/URG10=0.0
!
!BIOH/RPR1=0.0
!
!BIOH/RPR5=0.0
!
!BIOH/RPR8=0.0
!
!BIOH/RP10=0.0
!
!BIOH/RP11=0.0
!
!BIOH/RP16=0.0
!
!BIOH/RPRL=0.0
!
!BIOH/APAN=0.0
!
!BIOH/PAN1=0.0
!
!BIOH/PAN2=0.0
!
!BIOH/PAN3=0.0
!
!BIOH/PAN4=0.0
!
!BIOH/PAN6=0.0
!
!BIOH/PAN7=0.0
!
!BIOH/PAN8=0.0
!
!BIOH/PN10=0.0
!
!BIOH/RO2T=0.0
!
!BIOH/RO21=0.0
!
!BIOH/RO25=0.0
!
!MTBE/NO=0.0
!
!MTBE/NO2=0.0
!
!MTBE/O3=0.0
!
!MTBE/HONO=0.0
!
!MTBE/HNO3=0.0
!
!MTBE/HNO4=0.0
!
!MTBE/N2O5=0.0
!
!MTBE/NO3=0.0
!
!MTBE/NH3=0.0
!
!MTBE/HO2=0.0
!
!MTBE/CO=0.0
!
!MTBE/H2O2=0.0
!
!MTBE/SO2=0.0
!
!MTBE/H2SO4=0.0
!
!MTBE/OH=-K068*<MTBE>
 PJAC(:,38,15)=-TPK%K068(:)*PCONC(:,38)
!
!MTBE/ETHE=0.0
!
!MTBE/OLEL=0.0
!
!MTBE/OLEH=0.0
!
!MTBE/ALKL=0.0
!
!MTBE/ALKM=0.0
!
!MTBE/ALKH=0.0
!
!MTBE/AROH=0.0
!
!MTBE/AROL=0.0
!
!MTBE/AROO=0.0
!
!MTBE/ARAL=0.0
!
!MTBE/ARAC=0.0
!
!MTBE/PAH=0.0
!
!MTBE/HCHO=0.0
!
!MTBE/ALD2=0.0
!
!MTBE/KETL=0.0
!
!MTBE/KETH=0.0
!
!MTBE/MEOH=0.0
!
!MTBE/ETOH=0.0
!
!MTBE/ALCH=0.0
!
!MTBE/ISOP=0.0
!
!MTBE/BIOL=0.0
!
!MTBE/BIOH=0.0
!
!MTBE/MTBE=-K068*<OH>
 PJAC(:,38,38)=-TPK%K068(:)*PCONC(:,15)
!
!MTBE/MVK=0.0
!
!MTBE/MCR=0.0
!
!MTBE/MGLY=0.0
!
!MTBE/GLY=0.0
!
!MTBE/ORA1=0.0
!
!MTBE/ORA2=0.0
!
!MTBE/ACID=0.0
!
!MTBE/UR28=0.0
!
!MTBE/UR21=0.0
!
!MTBE/URG2=0.0
!
!MTBE/UR26=0.0
!
!MTBE/RPG2=0.0
!
!MTBE/RP18=0.0
!
!MTBE/RPG3=0.0
!
!MTBE/URG4=0.0
!
!MTBE/UR8=0.0
!
!MTBE/UR17=0.0
!
!MTBE/UR7=0.0
!
!MTBE/RPR3=0.0
!
!MTBE/URG6=0.0
!
!MTBE/UR22=0.0
!
!MTBE/URG7=0.0
!
!MTBE/RPR4=0.0
!
!MTBE/RPR7=0.0
!
!MTBE/RPG7=0.0
!
!MTBE/URG8=0.0
!
!MTBE/UR19=0.0
!
!MTBE/URG9=0.0
!
!MTBE/AP7=0.0
!
!MTBE/URG10=0.0
!
!MTBE/RPR1=0.0
!
!MTBE/RPR5=0.0
!
!MTBE/RPR8=0.0
!
!MTBE/RP10=0.0
!
!MTBE/RP11=0.0
!
!MTBE/RP16=0.0
!
!MTBE/RPRL=0.0
!
!MTBE/APAN=0.0
!
!MTBE/PAN1=0.0
!
!MTBE/PAN2=0.0
!
!MTBE/PAN3=0.0
!
!MTBE/PAN4=0.0
!
!MTBE/PAN6=0.0
!
!MTBE/PAN7=0.0
!
!MTBE/PAN8=0.0
!
!MTBE/PN10=0.0
!
!MTBE/RO2T=0.0
!
!MTBE/RO21=0.0
!
!MTBE/RO25=0.0
!
!MVK/NO=+TPK%CF6*K150*<RO29>+K156*<RO211>
 PJAC(:,39,1)=+TPK%CF6*TPK%K150(:)*TPK%RO29(:)+TPK%K156(:)*TPK%RO211(:)
!
!MVK/NO2=0.0
!
!MVK/O3=+0.389*K066*<ISOP>-K281*<MVK>
 PJAC(:,39,3)=+0.389*TPK%K066(:)*PCONC(:,35)-TPK%K281(:)*PCONC(:,39)
!
!MVK/HONO=0.0
!
!MVK/HNO3=0.0
!
!MVK/HNO4=0.0
!
!MVK/N2O5=0.0
!
!MVK/NO3=0.0
!
!MVK/NH3=0.0
!
!MVK/HO2=+K152*<RO29>+K158*<RO211>
 PJAC(:,39,10)=+TPK%K152(:)*TPK%RO29(:)+TPK%K158(:)*TPK%RO211(:)
!
!MVK/CO=0.0
!
!MVK/H2O2=0.0
!
!MVK/SO2=0.0
!
!MVK/H2SO4=0.0
!
!MVK/OH=-K272*<MVK>
 PJAC(:,39,15)=-TPK%K272(:)*PCONC(:,39)
!
!MVK/ETHE=0.0
!
!MVK/OLEL=0.0
!
!MVK/OLEH=0.0
!
!MVK/ALKL=0.0
!
!MVK/ALKM=0.0
!
!MVK/ALKH=0.0
!
!MVK/AROH=0.0
!
!MVK/AROL=0.0
!
!MVK/AROO=0.0
!
!MVK/ARAL=0.0
!
!MVK/ARAC=0.0
!
!MVK/PAH=0.0
!
!MVK/HCHO=0.0
!
!MVK/ALD2=0.0
!
!MVK/KETL=0.0
!
!MVK/KETH=0.0
!
!MVK/MEOH=0.0
!
!MVK/ETOH=0.0
!
!MVK/ALCH=0.0
!
!MVK/ISOP=+0.389*K066*<O3>
 PJAC(:,39,35)=+0.389*TPK%K066(:)*PCONC(:,3)
!
!MVK/BIOL=0.0
!
!MVK/BIOH=0.0
!
!MVK/MTBE=0.0
!
!MVK/MVK=-K272*<OH>-K281*<O3>-K283*<O>
 PJAC(:,39,39)=-TPK%K272(:)*PCONC(:,15)-TPK%K281(:)*PCONC(:,3)-TPK%K283(:)*TPK%&
&O(:)
!
!MVK/MCR=0.0
!
!MVK/MGLY=0.0
!
!MVK/GLY=0.0
!
!MVK/ORA1=0.0
!
!MVK/ORA2=0.0
!
!MVK/ACID=0.0
!
!MVK/UR28=0.0
!
!MVK/UR21=0.0
!
!MVK/URG2=0.0
!
!MVK/UR26=0.0
!
!MVK/RPG2=0.0
!
!MVK/RP18=0.0
!
!MVK/RPG3=0.0
!
!MVK/URG4=0.0
!
!MVK/UR8=0.0
!
!MVK/UR17=0.0
!
!MVK/UR7=0.0
!
!MVK/RPR3=0.0
!
!MVK/URG6=0.0
!
!MVK/UR22=0.0
!
!MVK/URG7=0.0
!
!MVK/RPR4=0.0
!
!MVK/RPR7=0.0
!
!MVK/RPG7=0.0
!
!MVK/URG8=0.0
!
!MVK/UR19=0.0
!
!MVK/URG9=0.0
!
!MVK/AP7=0.0
!
!MVK/URG10=0.0
!
!MVK/RPR1=0.0
!
!MVK/RPR5=0.0
!
!MVK/RPR8=0.0
!
!MVK/RP10=0.0
!
!MVK/RP11=0.0
!
!MVK/RP16=0.0
!
!MVK/RPRL=0.0
!
!MVK/APAN=0.0
!
!MVK/PAN1=0.0
!
!MVK/PAN2=0.0
!
!MVK/PAN3=0.0
!
!MVK/PAN4=0.0
!
!MVK/PAN6=0.0
!
!MVK/PAN7=0.0
!
!MVK/PAN8=0.0
!
!MVK/PN10=0.0
!
!MVK/RO2T=+K151*<RO29>+K157*<RO211>
 PJAC(:,39,85)=+TPK%K151(:)*TPK%RO29(:)+TPK%K157(:)*TPK%RO211(:)
!
!MVK/RO21=0.0
!
!MVK/RO25=0.0
!
!MCR/NO=+K153*<RO210>+K159*<RO212>
 PJAC(:,40,1)=+TPK%K153(:)*TPK%RO210(:)+TPK%K159(:)*TPK%RO212(:)
!
!MCR/NO2=0.0
!
!MCR/O3=+0.17*K066*<ISOP>-K282*<MCR>
 PJAC(:,40,3)=+0.17*TPK%K066(:)*PCONC(:,35)-TPK%K282(:)*PCONC(:,40)
!
!MCR/HONO=0.0
!
!MCR/HNO3=0.0
!
!MCR/HNO4=0.0
!
!MCR/N2O5=0.0
!
!MCR/NO3=-K275*<MCR>
 PJAC(:,40,8)=-TPK%K275(:)*PCONC(:,40)
!
!MCR/NH3=0.0
!
!MCR/HO2=+K155*<RO210>+K161*<RO212>
 PJAC(:,40,10)=+TPK%K155(:)*TPK%RO210(:)+TPK%K161(:)*TPK%RO212(:)
!
!MCR/CO=0.0
!
!MCR/H2O2=0.0
!
!MCR/SO2=0.0
!
!MCR/H2SO4=0.0
!
!MCR/OH=-K273*<MCR>
 PJAC(:,40,15)=-TPK%K273(:)*PCONC(:,40)
!
!MCR/ETHE=0.0
!
!MCR/OLEL=0.0
!
!MCR/OLEH=0.0
!
!MCR/ALKL=0.0
!
!MCR/ALKM=0.0
!
!MCR/ALKH=0.0
!
!MCR/AROH=0.0
!
!MCR/AROL=0.0
!
!MCR/AROO=0.0
!
!MCR/ARAL=0.0
!
!MCR/ARAC=0.0
!
!MCR/PAH=0.0
!
!MCR/HCHO=0.0
!
!MCR/ALD2=0.0
!
!MCR/KETL=0.0
!
!MCR/KETH=0.0
!
!MCR/MEOH=0.0
!
!MCR/ETOH=0.0
!
!MCR/ALCH=0.0
!
!MCR/ISOP=+0.17*K066*<O3>
 PJAC(:,40,35)=+0.17*TPK%K066(:)*PCONC(:,3)
!
!MCR/BIOL=0.0
!
!MCR/BIOH=0.0
!
!MCR/MTBE=0.0
!
!MCR/MVK=0.0
!
!MCR/MCR=-K273*<OH>-K275*<NO3>-K282*<O3>-K284*<O>
 PJAC(:,40,40)=-TPK%K273(:)*PCONC(:,15)-TPK%K275(:)*PCONC(:,8)-TPK%K282(:)*PCON&
&C(:,3)-TPK%K284(:)*TPK%O(:)
!
!MCR/MGLY=0.0
!
!MCR/GLY=0.0
!
!MCR/ORA1=0.0
!
!MCR/ORA2=0.0
!
!MCR/ACID=0.0
!
!MCR/UR28=0.0
!
!MCR/UR21=0.0
!
!MCR/URG2=0.0
!
!MCR/UR26=0.0
!
!MCR/RPG2=0.0
!
!MCR/RP18=0.0
!
!MCR/RPG3=0.0
!
!MCR/URG4=0.0
!
!MCR/UR8=0.0
!
!MCR/UR17=0.0
!
!MCR/UR7=0.0
!
!MCR/RPR3=0.0
!
!MCR/URG6=0.0
!
!MCR/UR22=0.0
!
!MCR/URG7=0.0
!
!MCR/RPR4=0.0
!
!MCR/RPR7=0.0
!
!MCR/RPG7=0.0
!
!MCR/URG8=0.0
!
!MCR/UR19=0.0
!
!MCR/URG9=0.0
!
!MCR/AP7=0.0
!
!MCR/URG10=0.0
!
!MCR/RPR1=0.0
!
!MCR/RPR5=0.0
!
!MCR/RPR8=0.0
!
!MCR/RP10=0.0
!
!MCR/RP11=0.0
!
!MCR/RP16=0.0
!
!MCR/RPRL=0.0
!
!MCR/APAN=0.0
!
!MCR/PAN1=0.0
!
!MCR/PAN2=0.0
!
!MCR/PAN3=0.0
!
!MCR/PAN4=0.0
!
!MCR/PAN6=0.0
!
!MCR/PAN7=0.0
!
!MCR/PAN8=0.0
!
!MCR/PN10=0.0
!
!MCR/RO2T=+K154*<RO210>+K160*<RO212>
 PJAC(:,40,85)=+TPK%K154(:)*TPK%RO210(:)+TPK%K160(:)*TPK%RO212(:)
!
!MCR/RO21=0.0
!
!MCR/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ7
!
SUBROUTINE SUBJ8
!
!Indices 41 a 45
!
!
!MGLY/NO=+K234*<RO242>+K241*<RO243>+K248*<RO244>+K255*<RO245>+K262*<RO246>+K269
!*<RO247>+K285*<RO249>+K291*<RO251>+K294*<RO252>
 PJAC(:,41,1)=+TPK%K234(:)*TPK%RO242(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K248(:)*TP&
&K%RO244(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K262(:)*TPK%RO246(:)+TPK%K269(:)*TPK%R&
&O247(:)+TPK%K285(:)*TPK%RO249(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO25&
&2(:)
!
!MGLY/NO2=0.0
!
!MGLY/O3=+0.5*K281*<MVK>+0.59*K282*<MCR>
 PJAC(:,41,3)=+0.5*TPK%K281(:)*PCONC(:,39)+0.59*TPK%K282(:)*PCONC(:,40)
!
!MGLY/HONO=0.0
!
!MGLY/HNO3=0.0
!
!MGLY/HNO4=0.0
!
!MGLY/N2O5=0.0
!
!MGLY/NO3=-K278*<MGLY>
 PJAC(:,41,8)=-TPK%K278(:)*PCONC(:,41)
!
!MGLY/NH3=0.0
!
!MGLY/HO2=+K236*<RO242>+K243*<RO243>+K250*<RO244>+K257*<RO245>+K264*<RO246>+K27
!1*<RO247>+K287*<RO249>+K292*<RO251>+K295*<RO252>
 PJAC(:,41,10)=+TPK%K236(:)*TPK%RO242(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K250(:)*T&
&PK%RO244(:)+TPK%K257(:)*TPK%RO245(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K271(:)*TPK%&
&RO247(:)+TPK%K287(:)*TPK%RO249(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO2&
&52(:)
!
!MGLY/CO=0.0
!
!MGLY/H2O2=0.0
!
!MGLY/SO2=0.0
!
!MGLY/H2SO4=0.0
!
!MGLY/OH=-K274*<MGLY>
 PJAC(:,41,15)=-TPK%K274(:)*PCONC(:,41)
!
!MGLY/ETHE=0.0
!
!MGLY/OLEL=0.0
!
!MGLY/OLEH=0.0
!
!MGLY/ALKL=0.0
!
!MGLY/ALKM=0.0
!
!MGLY/ALKH=0.0
!
!MGLY/AROH=0.0
!
!MGLY/AROL=0.0
!
!MGLY/AROO=0.0
!
!MGLY/ARAL=0.0
!
!MGLY/ARAC=0.0
!
!MGLY/PAH=0.0
!
!MGLY/HCHO=0.0
!
!MGLY/ALD2=0.0
!
!MGLY/KETL=0.0
!
!MGLY/KETH=0.0
!
!MGLY/MEOH=0.0
!
!MGLY/ETOH=0.0
!
!MGLY/ALCH=0.0
!
!MGLY/ISOP=0.0
!
!MGLY/BIOL=0.0
!
!MGLY/BIOH=0.0
!
!MGLY/MTBE=0.0
!
!MGLY/MVK=+0.5*K281*<O3>
 PJAC(:,41,39)=+0.5*TPK%K281(:)*PCONC(:,3)
!
!MGLY/MCR=+0.59*K282*<O3>
 PJAC(:,41,40)=+0.59*TPK%K282(:)*PCONC(:,3)
!
!MGLY/MGLY=-K274*<OH>-K276-K278*<NO3>
 PJAC(:,41,41)=-TPK%K274(:)*PCONC(:,15)-TPK%K276(:)-TPK%K278(:)*PCONC(:,8)
!
!MGLY/GLY=0.0
!
!MGLY/ORA1=0.0
!
!MGLY/ORA2=0.0
!
!MGLY/ACID=0.0
!
!MGLY/UR28=0.0
!
!MGLY/UR21=0.0
!
!MGLY/URG2=0.0
!
!MGLY/UR26=0.0
!
!MGLY/RPG2=0.0
!
!MGLY/RP18=0.0
!
!MGLY/RPG3=0.0
!
!MGLY/URG4=0.0
!
!MGLY/UR8=0.0
!
!MGLY/UR17=0.0
!
!MGLY/UR7=0.0
!
!MGLY/RPR3=0.0
!
!MGLY/URG6=0.0
!
!MGLY/UR22=0.0
!
!MGLY/URG7=0.0
!
!MGLY/RPR4=0.0
!
!MGLY/RPR7=0.0
!
!MGLY/RPG7=0.0
!
!MGLY/URG8=0.0
!
!MGLY/UR19=0.0
!
!MGLY/URG9=0.0
!
!MGLY/AP7=0.0
!
!MGLY/URG10=0.0
!
!MGLY/RPR1=0.0
!
!MGLY/RPR5=0.0
!
!MGLY/RPR8=0.0
!
!MGLY/RP10=0.0
!
!MGLY/RP11=0.0
!
!MGLY/RP16=0.0
!
!MGLY/RPRL=0.0
!
!MGLY/APAN=0.0
!
!MGLY/PAN1=0.0
!
!MGLY/PAN2=0.0
!
!MGLY/PAN3=0.0
!
!MGLY/PAN4=0.0
!
!MGLY/PAN6=0.0
!
!MGLY/PAN7=0.0
!
!MGLY/PAN8=0.0
!
!MGLY/PN10=0.0
!
!MGLY/RO2T=+K235*<RO242>+K242*<RO243>+K249*<RO244>+K256*<RO245>+K263*<RO246>+K2
!70*<RO247>+K286*<RO249>+K293*<RO251>+K296*<RO252>
 PJAC(:,41,85)=+TPK%K235(:)*TPK%RO242(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K249(:)*T&
&PK%RO244(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K270(:)*TPK%&
&RO247(:)+TPK%K286(:)*TPK%RO249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO2&
&52(:)
!
!MGLY/RO21=0.0
!
!MGLY/RO25=0.0
!
!GLY/NO=0.0
!
!GLY/NO2=0.0
!
!GLY/O3=0.0
!
!GLY/HONO=0.0
!
!GLY/HNO3=0.0
!
!GLY/HNO4=0.0
!
!GLY/N2O5=0.0
!
!GLY/NO3=0.0
!
!GLY/NH3=0.0
!
!GLY/HO2=0.0
!
!GLY/CO=0.0
!
!GLY/H2O2=0.0
!
!GLY/SO2=0.0
!
!GLY/H2SO4=0.0
!
!GLY/OH=0.0
!
!GLY/ETHE=0.0
!
!GLY/OLEL=0.0
!
!GLY/OLEH=0.0
!
!GLY/ALKL=0.0
!
!GLY/ALKM=0.0
!
!GLY/ALKH=0.0
!
!GLY/AROH=0.0
!
!GLY/AROL=0.0
!
!GLY/AROO=0.0
!
!GLY/ARAL=0.0
!
!GLY/ARAC=0.0
!
!GLY/PAH=0.0
!
!GLY/HCHO=0.0
!
!GLY/ALD2=0.0
!
!GLY/KETL=0.0
!
!GLY/KETH=0.0
!
!GLY/MEOH=0.0
!
!GLY/ETOH=0.0
!
!GLY/ALCH=0.0
!
!GLY/ISOP=0.0
!
!GLY/BIOL=0.0
!
!GLY/BIOH=0.0
!
!GLY/MTBE=0.0
!
!GLY/MVK=0.0
!
!GLY/MCR=0.0
!
!GLY/MGLY=0.0
!
!GLY/GLY=0.0
!
!GLY/ORA1=0.0
!
!GLY/ORA2=0.0
!
!GLY/ACID=0.0
!
!GLY/UR28=0.0
!
!GLY/UR21=0.0
!
!GLY/URG2=0.0
!
!GLY/UR26=0.0
!
!GLY/RPG2=0.0
!
!GLY/RP18=0.0
!
!GLY/RPG3=0.0
!
!GLY/URG4=0.0
!
!GLY/UR8=0.0
!
!GLY/UR17=0.0
!
!GLY/UR7=0.0
!
!GLY/RPR3=0.0
!
!GLY/URG6=0.0
!
!GLY/UR22=0.0
!
!GLY/URG7=0.0
!
!GLY/RPR4=0.0
!
!GLY/RPR7=0.0
!
!GLY/RPG7=0.0
!
!GLY/URG8=0.0
!
!GLY/UR19=0.0
!
!GLY/URG9=0.0
!
!GLY/AP7=0.0
!
!GLY/URG10=0.0
!
!GLY/RPR1=0.0
!
!GLY/RPR5=0.0
!
!GLY/RPR8=0.0
!
!GLY/RP10=0.0
!
!GLY/RP11=0.0
!
!GLY/RP16=0.0
!
!GLY/RPRL=0.0
!
!GLY/APAN=0.0
!
!GLY/PAN1=0.0
!
!GLY/PAN2=0.0
!
!GLY/PAN3=0.0
!
!GLY/PAN4=0.0
!
!GLY/PAN6=0.0
!
!GLY/PAN7=0.0
!
!GLY/PAN8=0.0
!
!GLY/PN10=0.0
!
!GLY/RO2T=0.0
!
!GLY/RO21=0.0
!
!GLY/RO25=0.0
!
!ORA1/NO=0.0
!
!ORA1/NO2=0.0
!
!ORA1/O3=+0.185*K051*<ETHE>+0.12*K056*<OLEL>+0.121*K066*<ISOP>+0.12*K281*<MVK>+
!0.09*K282*<MCR>
 PJAC(:,43,3)=+0.185*TPK%K051(:)*PCONC(:,16)+0.12*TPK%K056(:)*PCONC(:,17)+0.121&
&*TPK%K066(:)*PCONC(:,35)+0.12*TPK%K281(:)*PCONC(:,39)+0.09*TPK%K282(:)*PCONC(:&
&,40)
!
!ORA1/HONO=0.0
!
!ORA1/HNO3=0.0
!
!ORA1/HNO4=0.0
!
!ORA1/N2O5=0.0
!
!ORA1/NO3=0.0
!
!ORA1/NH3=0.0
!
!ORA1/HO2=0.0
!
!ORA1/CO=0.0
!
!ORA1/H2O2=0.0
!
!ORA1/SO2=0.0
!
!ORA1/H2SO4=0.0
!
!ORA1/OH=-K347*<ORA1>
 PJAC(:,43,15)=-TPK%K347(:)*PCONC(:,43)
!
!ORA1/ETHE=+0.185*K051*<O3>
 PJAC(:,43,16)=+0.185*TPK%K051(:)*PCONC(:,3)
!
!ORA1/OLEL=+0.12*K056*<O3>
 PJAC(:,43,17)=+0.12*TPK%K056(:)*PCONC(:,3)
!
!ORA1/OLEH=0.0
!
!ORA1/ALKL=0.0
!
!ORA1/ALKM=0.0
!
!ORA1/ALKH=0.0
!
!ORA1/AROH=0.0
!
!ORA1/AROL=0.0
!
!ORA1/AROO=0.0
!
!ORA1/ARAL=0.0
!
!ORA1/ARAC=0.0
!
!ORA1/PAH=0.0
!
!ORA1/HCHO=0.0
!
!ORA1/ALD2=0.0
!
!ORA1/KETL=0.0
!
!ORA1/KETH=0.0
!
!ORA1/MEOH=0.0
!
!ORA1/ETOH=0.0
!
!ORA1/ALCH=0.0
!
!ORA1/ISOP=+0.121*K066*<O3>
 PJAC(:,43,35)=+0.121*TPK%K066(:)*PCONC(:,3)
!
!ORA1/BIOL=0.0
!
!ORA1/BIOH=0.0
!
!ORA1/MTBE=0.0
!
!ORA1/MVK=+0.12*K281*<O3>
 PJAC(:,43,39)=+0.12*TPK%K281(:)*PCONC(:,3)
!
!ORA1/MCR=+0.09*K282*<O3>
 PJAC(:,43,40)=+0.09*TPK%K282(:)*PCONC(:,3)
!
!ORA1/MGLY=0.0
!
!ORA1/GLY=0.0
!
!ORA1/ORA1=-K347*<OH>
 PJAC(:,43,43)=-TPK%K347(:)*PCONC(:,15)
!
!ORA1/ORA2=0.0
!
!ORA1/ACID=0.0
!
!ORA1/UR28=0.0
!
!ORA1/UR21=0.0
!
!ORA1/URG2=0.0
!
!ORA1/UR26=0.0
!
!ORA1/RPG2=0.0
!
!ORA1/RP18=0.0
!
!ORA1/RPG3=0.0
!
!ORA1/URG4=0.0
!
!ORA1/UR8=0.0
!
!ORA1/UR17=0.0
!
!ORA1/UR7=0.0
!
!ORA1/RPR3=0.0
!
!ORA1/URG6=0.0
!
!ORA1/UR22=0.0
!
!ORA1/URG7=0.0
!
!ORA1/RPR4=0.0
!
!ORA1/RPR7=0.0
!
!ORA1/RPG7=0.0
!
!ORA1/URG8=0.0
!
!ORA1/UR19=0.0
!
!ORA1/URG9=0.0
!
!ORA1/AP7=0.0
!
!ORA1/URG10=0.0
!
!ORA1/RPR1=0.0
!
!ORA1/RPR5=0.0
!
!ORA1/RPR8=0.0
!
!ORA1/RP10=0.0
!
!ORA1/RP11=0.0
!
!ORA1/RP16=0.0
!
!ORA1/RPRL=0.0
!
!ORA1/APAN=0.0
!
!ORA1/PAN1=0.0
!
!ORA1/PAN2=0.0
!
!ORA1/PAN3=0.0
!
!ORA1/PAN4=0.0
!
!ORA1/PAN6=0.0
!
!ORA1/PAN7=0.0
!
!ORA1/PAN8=0.0
!
!ORA1/PN10=0.0
!
!ORA1/RO2T=0.0
!
!ORA1/RO21=0.0
!
!ORA1/RO25=0.0
!
!ORA2/NO=0.0
!
!ORA2/NO2=0.0
!
!ORA2/O3=+0.12*K056*<OLEL>
 PJAC(:,44,3)=+0.12*TPK%K056(:)*PCONC(:,17)
!
!ORA2/HONO=0.0
!
!ORA2/HNO3=0.0
!
!ORA2/HNO4=0.0
!
!ORA2/N2O5=0.0
!
!ORA2/NO3=0.0
!
!ORA2/NH3=0.0
!
!ORA2/HO2=+K142*<RO26>+K148*<RO28>+0.5*K166*<RO239>+0.5*K289*<RO250>
 PJAC(:,44,10)=+TPK%K142(:)*TPK%RO26(:)+TPK%K148(:)*TPK%RO28(:)+0.5*TPK%K166(:)&
&*TPK%RO239(:)+0.5*TPK%K289(:)*TPK%RO250(:)
!
!ORA2/CO=0.0
!
!ORA2/H2O2=0.0
!
!ORA2/SO2=0.0
!
!ORA2/H2SO4=0.0
!
!ORA2/OH=-K348*<ORA2>
 PJAC(:,44,15)=-TPK%K348(:)*PCONC(:,44)
!
!ORA2/ETHE=0.0
!
!ORA2/OLEL=+0.12*K056*<O3>
 PJAC(:,44,17)=+0.12*TPK%K056(:)*PCONC(:,3)
!
!ORA2/OLEH=0.0
!
!ORA2/ALKL=0.0
!
!ORA2/ALKM=0.0
!
!ORA2/ALKH=0.0
!
!ORA2/AROH=0.0
!
!ORA2/AROL=0.0
!
!ORA2/AROO=0.0
!
!ORA2/ARAL=0.0
!
!ORA2/ARAC=0.0
!
!ORA2/PAH=0.0
!
!ORA2/HCHO=0.0
!
!ORA2/ALD2=0.0
!
!ORA2/KETL=0.0
!
!ORA2/KETH=0.0
!
!ORA2/MEOH=0.0
!
!ORA2/ETOH=0.0
!
!ORA2/ALCH=0.0
!
!ORA2/ISOP=0.0
!
!ORA2/BIOL=0.0
!
!ORA2/BIOH=0.0
!
!ORA2/MTBE=0.0
!
!ORA2/MVK=0.0
!
!ORA2/MCR=0.0
!
!ORA2/MGLY=0.0
!
!ORA2/GLY=0.0
!
!ORA2/ORA1=0.0
!
!ORA2/ORA2=-K348*<OH>
 PJAC(:,44,44)=-TPK%K348(:)*PCONC(:,15)
!
!ORA2/ACID=0.0
!
!ORA2/UR28=0.0
!
!ORA2/UR21=0.0
!
!ORA2/URG2=0.0
!
!ORA2/UR26=0.0
!
!ORA2/RPG2=0.0
!
!ORA2/RP18=0.0
!
!ORA2/RPG3=0.0
!
!ORA2/URG4=0.0
!
!ORA2/UR8=0.0
!
!ORA2/UR17=0.0
!
!ORA2/UR7=0.0
!
!ORA2/RPR3=0.0
!
!ORA2/URG6=0.0
!
!ORA2/UR22=0.0
!
!ORA2/URG7=0.0
!
!ORA2/RPR4=0.0
!
!ORA2/RPR7=0.0
!
!ORA2/RPG7=0.0
!
!ORA2/URG8=0.0
!
!ORA2/UR19=0.0
!
!ORA2/URG9=0.0
!
!ORA2/AP7=0.0
!
!ORA2/URG10=0.0
!
!ORA2/RPR1=0.0
!
!ORA2/RPR5=0.0
!
!ORA2/RPR8=0.0
!
!ORA2/RP10=0.0
!
!ORA2/RP11=0.0
!
!ORA2/RP16=0.0
!
!ORA2/RPRL=0.0
!
!ORA2/APAN=0.0
!
!ORA2/PAN1=0.0
!
!ORA2/PAN2=0.0
!
!ORA2/PAN3=0.0
!
!ORA2/PAN4=0.0
!
!ORA2/PAN6=0.0
!
!ORA2/PAN7=0.0
!
!ORA2/PAN8=0.0
!
!ORA2/PN10=0.0
!
!ORA2/RO2T=0.0
!
!ORA2/RO21=0.0
!
!ORA2/RO25=0.0
!
!ACID/NO=0.0
!
!ACID/NO2=0.0
!
!ACID/O3=+0.12*K076*<OLEH>
 PJAC(:,45,3)=+0.12*TPK%K076(:)*PCONC(:,18)
!
!ACID/HONO=0.0
!
!ACID/HNO3=0.0
!
!ACID/HNO4=0.0
!
!ACID/N2O5=0.0
!
!ACID/NO3=0.0
!
!ACID/NH3=0.0
!
!ACID/HO2=+K142*<RO26>+K310*<RO255>
 PJAC(:,45,10)=+TPK%K142(:)*TPK%RO26(:)+TPK%K310(:)*TPK%RO255(:)
!
!ACID/CO=0.0
!
!ACID/H2O2=0.0
!
!ACID/SO2=0.0
!
!ACID/H2SO4=0.0
!
!ACID/OH=-K349*<ACID>
 PJAC(:,45,15)=-TPK%K349(:)*PCONC(:,45)
!
!ACID/ETHE=0.0
!
!ACID/OLEL=0.0
!
!ACID/OLEH=+0.12*K076*<O3>
 PJAC(:,45,18)=+0.12*TPK%K076(:)*PCONC(:,3)
!
!ACID/ALKL=0.0
!
!ACID/ALKM=0.0
!
!ACID/ALKH=0.0
!
!ACID/AROH=0.0
!
!ACID/AROL=0.0
!
!ACID/AROO=0.0
!
!ACID/ARAL=0.0
!
!ACID/ARAC=0.0
!
!ACID/PAH=0.0
!
!ACID/HCHO=0.0
!
!ACID/ALD2=0.0
!
!ACID/KETL=0.0
!
!ACID/KETH=0.0
!
!ACID/MEOH=0.0
!
!ACID/ETOH=0.0
!
!ACID/ALCH=0.0
!
!ACID/ISOP=0.0
!
!ACID/BIOL=0.0
!
!ACID/BIOH=0.0
!
!ACID/MTBE=0.0
!
!ACID/MVK=0.0
!
!ACID/MCR=0.0
!
!ACID/MGLY=0.0
!
!ACID/GLY=0.0
!
!ACID/ORA1=0.0
!
!ACID/ORA2=0.0
!
!ACID/ACID=-K349*<OH>
 PJAC(:,45,45)=-TPK%K349(:)*PCONC(:,15)
!
!ACID/UR28=0.0
!
!ACID/UR21=0.0
!
!ACID/URG2=0.0
!
!ACID/UR26=0.0
!
!ACID/RPG2=0.0
!
!ACID/RP18=0.0
!
!ACID/RPG3=0.0
!
!ACID/URG4=0.0
!
!ACID/UR8=0.0
!
!ACID/UR17=0.0
!
!ACID/UR7=0.0
!
!ACID/RPR3=0.0
!
!ACID/URG6=0.0
!
!ACID/UR22=0.0
!
!ACID/URG7=0.0
!
!ACID/RPR4=0.0
!
!ACID/RPR7=0.0
!
!ACID/RPG7=0.0
!
!ACID/URG8=0.0
!
!ACID/UR19=0.0
!
!ACID/URG9=0.0
!
!ACID/AP7=0.0
!
!ACID/URG10=0.0
!
!ACID/RPR1=0.0
!
!ACID/RPR5=0.0
!
!ACID/RPR8=0.0
!
!ACID/RP10=0.0
!
!ACID/RP11=0.0
!
!ACID/RP16=0.0
!
!ACID/RPRL=0.0
!
!ACID/APAN=0.0
!
!ACID/PAN1=0.0
!
!ACID/PAN2=0.0
!
!ACID/PAN3=0.0
!
!ACID/PAN4=0.0
!
!ACID/PAN6=0.0
!
!ACID/PAN7=0.0
!
!ACID/PAN8=0.0
!
!ACID/PN10=0.0
!
!ACID/RO2T=0.0
!
!ACID/RO21=0.0
!
!ACID/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ8
!
SUBROUTINE SUBJ9
!
!Indices 46 a 50
!
!
!UR28/NO=0.0
!
!UR28/NO2=0.0
!
!UR28/O3=0.0
!
!UR28/HONO=0.0
!
!UR28/HNO3=0.0
!
!UR28/HNO4=0.0
!
!UR28/N2O5=0.0
!
!UR28/NO3=0.0
!
!UR28/NH3=0.0
!
!UR28/HO2=+K341*<RO258>
 PJAC(:,46,10)=+TPK%K341(:)*TPK%RO258(:)
!
!UR28/CO=0.0
!
!UR28/H2O2=0.0
!
!UR28/SO2=0.0
!
!UR28/H2SO4=0.0
!
!UR28/OH=0.0
!
!UR28/ETHE=0.0
!
!UR28/OLEL=0.0
!
!UR28/OLEH=0.0
!
!UR28/ALKL=0.0
!
!UR28/ALKM=0.0
!
!UR28/ALKH=0.0
!
!UR28/AROH=0.0
!
!UR28/AROL=0.0
!
!UR28/AROO=0.0
!
!UR28/ARAL=0.0
!
!UR28/ARAC=0.0
!
!UR28/PAH=0.0
!
!UR28/HCHO=0.0
!
!UR28/ALD2=0.0
!
!UR28/KETL=0.0
!
!UR28/KETH=0.0
!
!UR28/MEOH=0.0
!
!UR28/ETOH=0.0
!
!UR28/ALCH=0.0
!
!UR28/ISOP=0.0
!
!UR28/BIOL=0.0
!
!UR28/BIOH=0.0
!
!UR28/MTBE=0.0
!
!UR28/MVK=0.0
!
!UR28/MCR=0.0
!
!UR28/MGLY=0.0
!
!UR28/GLY=0.0
!
!UR28/ORA1=0.0
!
!UR28/ORA2=0.0
!
!UR28/ACID=0.0
!
!UR28/UR28=-K364
 PJAC(:,46,46)=-TPK%K364(:)
!
!UR28/UR21=0.0
!
!UR28/URG2=0.0
!
!UR28/UR26=0.0
!
!UR28/RPG2=0.0
!
!UR28/RP18=0.0
!
!UR28/RPG3=0.0
!
!UR28/URG4=0.0
!
!UR28/UR8=0.0
!
!UR28/UR17=0.0
!
!UR28/UR7=0.0
!
!UR28/RPR3=0.0
!
!UR28/URG6=0.0
!
!UR28/UR22=0.0
!
!UR28/URG7=0.0
!
!UR28/RPR4=0.0
!
!UR28/RPR7=0.0
!
!UR28/RPG7=0.0
!
!UR28/URG8=0.0
!
!UR28/UR19=0.0
!
!UR28/URG9=0.0
!
!UR28/AP7=0.0
!
!UR28/URG10=0.0
!
!UR28/RPR1=0.0
!
!UR28/RPR5=0.0
!
!UR28/RPR8=0.0
!
!UR28/RP10=0.0
!
!UR28/RP11=0.0
!
!UR28/RP16=0.0
!
!UR28/RPRL=0.0
!
!UR28/APAN=0.0
!
!UR28/PAN1=0.0
!
!UR28/PAN2=0.0
!
!UR28/PAN3=0.0
!
!UR28/PAN4=0.0
!
!UR28/PAN6=0.0
!
!UR28/PAN7=0.0
!
!UR28/PAN8=0.0
!
!UR28/PN10=0.0
!
!UR28/RO2T=0.0
!
!UR28/RO21=0.0
!
!UR28/RO25=0.0
!
!UR21/NO=0.0
!
!UR21/NO2=0.0
!
!UR21/O3=+0.12*K281*<MVK>
 PJAC(:,47,3)=+0.12*TPK%K281(:)*PCONC(:,39)
!
!UR21/HONO=0.0
!
!UR21/HNO3=0.0
!
!UR21/HNO4=0.0
!
!UR21/N2O5=0.0
!
!UR21/NO3=0.0
!
!UR21/NH3=0.0
!
!UR21/HO2=+K279*<RO248>
 PJAC(:,47,10)=+TPK%K279(:)*TPK%RO248(:)
!
!UR21/CO=0.0
!
!UR21/H2O2=0.0
!
!UR21/SO2=0.0
!
!UR21/H2SO4=0.0
!
!UR21/OH=0.0
!
!UR21/ETHE=0.0
!
!UR21/OLEL=0.0
!
!UR21/OLEH=0.0
!
!UR21/ALKL=0.0
!
!UR21/ALKM=0.0
!
!UR21/ALKH=0.0
!
!UR21/AROH=0.0
!
!UR21/AROL=0.0
!
!UR21/AROO=0.0
!
!UR21/ARAL=0.0
!
!UR21/ARAC=0.0
!
!UR21/PAH=0.0
!
!UR21/HCHO=0.0
!
!UR21/ALD2=0.0
!
!UR21/KETL=0.0
!
!UR21/KETH=0.0
!
!UR21/MEOH=0.0
!
!UR21/ETOH=0.0
!
!UR21/ALCH=0.0
!
!UR21/ISOP=0.0
!
!UR21/BIOL=0.0
!
!UR21/BIOH=0.0
!
!UR21/MTBE=0.0
!
!UR21/MVK=+0.12*K281*<O3>
 PJAC(:,47,39)=+0.12*TPK%K281(:)*PCONC(:,3)
!
!UR21/MCR=0.0
!
!UR21/MGLY=0.0
!
!UR21/GLY=0.0
!
!UR21/ORA1=0.0
!
!UR21/ORA2=0.0
!
!UR21/ACID=0.0
!
!UR21/UR28=0.0
!
!UR21/UR21=-K361
 PJAC(:,47,47)=-TPK%K361(:)
!
!UR21/URG2=0.0
!
!UR21/UR26=0.0
!
!UR21/RPG2=0.0
!
!UR21/RP18=0.0
!
!UR21/RPG3=0.0
!
!UR21/URG4=0.0
!
!UR21/UR8=0.0
!
!UR21/UR17=0.0
!
!UR21/UR7=0.0
!
!UR21/RPR3=0.0
!
!UR21/URG6=0.0
!
!UR21/UR22=0.0
!
!UR21/URG7=0.0
!
!UR21/RPR4=0.0
!
!UR21/RPR7=0.0
!
!UR21/RPG7=0.0
!
!UR21/URG8=0.0
!
!UR21/UR19=0.0
!
!UR21/URG9=0.0
!
!UR21/AP7=0.0
!
!UR21/URG10=0.0
!
!UR21/RPR1=0.0
!
!UR21/RPR5=0.0
!
!UR21/RPR8=0.0
!
!UR21/RP10=0.0
!
!UR21/RP11=0.0
!
!UR21/RP16=0.0
!
!UR21/RPRL=0.0
!
!UR21/APAN=0.0
!
!UR21/PAN1=0.0
!
!UR21/PAN2=0.0
!
!UR21/PAN3=0.0
!
!UR21/PAN4=0.0
!
!UR21/PAN6=0.0
!
!UR21/PAN7=0.0
!
!UR21/PAN8=0.0
!
!UR21/PN10=0.0
!
!UR21/RO2T=0.0
!
!UR21/RO21=0.0
!
!UR21/RO25=0.0
!
!URG2/NO=0.0
!
!URG2/NO2=0.0
!
!URG2/O3=0.0
!
!URG2/HONO=0.0
!
!URG2/HNO3=0.0
!
!URG2/HNO4=0.0
!
!URG2/N2O5=0.0
!
!URG2/NO3=0.0
!
!URG2/NH3=0.0
!
!URG2/HO2=0.0
!
!URG2/CO=0.0
!
!URG2/H2O2=0.0
!
!URG2/SO2=0.0
!
!URG2/H2SO4=0.0
!
!URG2/OH=+0.5562513*K335*<RPG2>+K337*<RP18>
 PJAC(:,48,15)=+0.5562513*TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)
!
!URG2/ETHE=0.0
!
!URG2/OLEL=0.0
!
!URG2/OLEH=0.0
!
!URG2/ALKL=0.0
!
!URG2/ALKM=0.0
!
!URG2/ALKH=0.0
!
!URG2/AROH=0.0
!
!URG2/AROL=0.0
!
!URG2/AROO=0.0
!
!URG2/ARAL=0.0
!
!URG2/ARAC=0.0
!
!URG2/PAH=0.0
!
!URG2/HCHO=0.0
!
!URG2/ALD2=0.0
!
!URG2/KETL=0.0
!
!URG2/KETH=0.0
!
!URG2/MEOH=0.0
!
!URG2/ETOH=0.0
!
!URG2/ALCH=0.0
!
!URG2/ISOP=0.0
!
!URG2/BIOL=0.0
!
!URG2/BIOH=0.0
!
!URG2/MTBE=0.0
!
!URG2/MVK=0.0
!
!URG2/MCR=0.0
!
!URG2/MGLY=0.0
!
!URG2/GLY=0.0
!
!URG2/ORA1=0.0
!
!URG2/ORA2=0.0
!
!URG2/ACID=0.0
!
!URG2/UR28=0.0
!
!URG2/UR21=0.0
!
!URG2/URG2=-K350
 PJAC(:,48,48)=-TPK%K350(:)
!
!URG2/UR26=0.0
!
!URG2/RPG2=+0.5562513*K335*<OH>
 PJAC(:,48,50)=+0.5562513*TPK%K335(:)*PCONC(:,15)
!
!URG2/RP18=+K337*<OH>
 PJAC(:,48,51)=+TPK%K337(:)*PCONC(:,15)
!
!URG2/RPG3=0.0
!
!URG2/URG4=0.0
!
!URG2/UR8=0.0
!
!URG2/UR17=0.0
!
!URG2/UR7=0.0
!
!URG2/RPR3=0.0
!
!URG2/URG6=0.0
!
!URG2/UR22=0.0
!
!URG2/URG7=0.0
!
!URG2/RPR4=0.0
!
!URG2/RPR7=0.0
!
!URG2/RPG7=0.0
!
!URG2/URG8=0.0
!
!URG2/UR19=0.0
!
!URG2/URG9=0.0
!
!URG2/AP7=0.0
!
!URG2/URG10=0.0
!
!URG2/RPR1=0.0
!
!URG2/RPR5=0.0
!
!URG2/RPR8=0.0
!
!URG2/RP10=0.0
!
!URG2/RP11=0.0
!
!URG2/RP16=0.0
!
!URG2/RPRL=0.0
!
!URG2/APAN=0.0
!
!URG2/PAN1=0.0
!
!URG2/PAN2=0.0
!
!URG2/PAN3=0.0
!
!URG2/PAN4=0.0
!
!URG2/PAN6=0.0
!
!URG2/PAN7=0.0
!
!URG2/PAN8=0.0
!
!URG2/PN10=0.0
!
!URG2/RO2T=0.0
!
!URG2/RO21=0.0
!
!URG2/RO25=0.0
!
!UR26/NO=0.0
!
!UR26/NO2=0.0
!
!UR26/O3=0.0
!
!UR26/HONO=0.0
!
!UR26/HNO3=0.0
!
!UR26/HNO4=0.0
!
!UR26/N2O5=0.0
!
!UR26/NO3=0.0
!
!UR26/NH3=0.0
!
!UR26/HO2=0.0
!
!UR26/CO=0.0
!
!UR26/H2O2=0.0
!
!UR26/SO2=0.0
!
!UR26/H2SO4=0.0
!
!UR26/OH=+0.67*K326*<RP11>
 PJAC(:,49,15)=+0.67*TPK%K326(:)*PCONC(:,73)
!
!UR26/ETHE=0.0
!
!UR26/OLEL=0.0
!
!UR26/OLEH=0.0
!
!UR26/ALKL=0.0
!
!UR26/ALKM=0.0
!
!UR26/ALKH=0.0
!
!UR26/AROH=0.0
!
!UR26/AROL=0.0
!
!UR26/AROO=0.0
!
!UR26/ARAL=0.0
!
!UR26/ARAC=0.0
!
!UR26/PAH=0.0
!
!UR26/HCHO=0.0
!
!UR26/ALD2=0.0
!
!UR26/KETL=0.0
!
!UR26/KETH=0.0
!
!UR26/MEOH=0.0
!
!UR26/ETOH=0.0
!
!UR26/ALCH=0.0
!
!UR26/ISOP=0.0
!
!UR26/BIOL=0.0
!
!UR26/BIOH=0.0
!
!UR26/MTBE=0.0
!
!UR26/MVK=0.0
!
!UR26/MCR=0.0
!
!UR26/MGLY=0.0
!
!UR26/GLY=0.0
!
!UR26/ORA1=0.0
!
!UR26/ORA2=0.0
!
!UR26/ACID=0.0
!
!UR26/UR28=0.0
!
!UR26/UR21=0.0
!
!UR26/URG2=0.0
!
!UR26/UR26=-K363
 PJAC(:,49,49)=-TPK%K363(:)
!
!UR26/RPG2=0.0
!
!UR26/RP18=0.0
!
!UR26/RPG3=0.0
!
!UR26/URG4=0.0
!
!UR26/UR8=0.0
!
!UR26/UR17=0.0
!
!UR26/UR7=0.0
!
!UR26/RPR3=0.0
!
!UR26/URG6=0.0
!
!UR26/UR22=0.0
!
!UR26/URG7=0.0
!
!UR26/RPR4=0.0
!
!UR26/RPR7=0.0
!
!UR26/RPG7=0.0
!
!UR26/URG8=0.0
!
!UR26/UR19=0.0
!
!UR26/URG9=0.0
!
!UR26/AP7=0.0
!
!UR26/URG10=0.0
!
!UR26/RPR1=0.0
!
!UR26/RPR5=0.0
!
!UR26/RPR8=0.0
!
!UR26/RP10=0.0
!
!UR26/RP11=+0.67*K326*<OH>
 PJAC(:,49,73)=+0.67*TPK%K326(:)*PCONC(:,15)
!
!UR26/RP16=0.0
!
!UR26/RPRL=0.0
!
!UR26/APAN=0.0
!
!UR26/PAN1=0.0
!
!UR26/PAN2=0.0
!
!UR26/PAN3=0.0
!
!UR26/PAN4=0.0
!
!UR26/PAN6=0.0
!
!UR26/PAN7=0.0
!
!UR26/PAN8=0.0
!
!UR26/PN10=0.0
!
!UR26/RO2T=0.0
!
!UR26/RO21=0.0
!
!UR26/RO25=0.0
!
!RPG2/NO=+0.3000000*K259*<RO237>
 PJAC(:,50,1)=+0.3000000*TPK%K259(:)*TPK%RO237(:)
!
!RPG2/NO2=0.0
!
!RPG2/O3=0.0
!
!RPG2/HONO=0.0
!
!RPG2/HNO3=0.0
!
!RPG2/HNO4=0.0
!
!RPG2/N2O5=0.0
!
!RPG2/NO3=0.0
!
!RPG2/NH3=0.0
!
!RPG2/HO2=+0.3000000*K261*<RO237>
 PJAC(:,50,10)=+0.3000000*TPK%K261(:)*TPK%RO237(:)
!
!RPG2/CO=0.0
!
!RPG2/H2O2=0.0
!
!RPG2/SO2=0.0
!
!RPG2/H2SO4=0.0
!
!RPG2/OH=+0.1191897*K334*<RPG3>+0.8808107*K334*<RPG3>-K335*<RPG2>
 PJAC(:,50,15)=+0.1191897*TPK%K334(:)*PCONC(:,52)+0.8808107*TPK%K334(:)*PCONC(:&
&,52)-TPK%K335(:)*PCONC(:,50)
!
!RPG2/ETHE=0.0
!
!RPG2/OLEL=0.0
!
!RPG2/OLEH=0.0
!
!RPG2/ALKL=0.0
!
!RPG2/ALKM=0.0
!
!RPG2/ALKH=0.0
!
!RPG2/AROH=0.0
!
!RPG2/AROL=0.0
!
!RPG2/AROO=0.0
!
!RPG2/ARAL=0.0
!
!RPG2/ARAC=0.0
!
!RPG2/PAH=0.0
!
!RPG2/HCHO=0.0
!
!RPG2/ALD2=0.0
!
!RPG2/KETL=0.0
!
!RPG2/KETH=0.0
!
!RPG2/MEOH=0.0
!
!RPG2/ETOH=0.0
!
!RPG2/ALCH=0.0
!
!RPG2/ISOP=0.0
!
!RPG2/BIOL=0.0
!
!RPG2/BIOH=0.0
!
!RPG2/MTBE=0.0
!
!RPG2/MVK=0.0
!
!RPG2/MCR=0.0
!
!RPG2/MGLY=0.0
!
!RPG2/GLY=0.0
!
!RPG2/ORA1=0.0
!
!RPG2/ORA2=0.0
!
!RPG2/ACID=0.0
!
!RPG2/UR28=0.0
!
!RPG2/UR21=0.0
!
!RPG2/URG2=0.0
!
!RPG2/UR26=0.0
!
!RPG2/RPG2=-K335*<OH>
 PJAC(:,50,50)=-TPK%K335(:)*PCONC(:,15)
!
!RPG2/RP18=0.0
!
!RPG2/RPG3=+0.1191897*K334*<OH>+0.8808107*K334*<OH>
 PJAC(:,50,52)=+0.1191897*TPK%K334(:)*PCONC(:,15)+0.8808107*TPK%K334(:)*PCONC(:&
&,15)
!
!RPG2/URG4=0.0
!
!RPG2/UR8=0.0
!
!RPG2/UR17=0.0
!
!RPG2/UR7=0.0
!
!RPG2/RPR3=0.0
!
!RPG2/URG6=0.0
!
!RPG2/UR22=0.0
!
!RPG2/URG7=0.0
!
!RPG2/RPR4=0.0
!
!RPG2/RPR7=0.0
!
!RPG2/RPG7=0.0
!
!RPG2/URG8=0.0
!
!RPG2/UR19=0.0
!
!RPG2/URG9=0.0
!
!RPG2/AP7=0.0
!
!RPG2/URG10=0.0
!
!RPG2/RPR1=0.0
!
!RPG2/RPR5=0.0
!
!RPG2/RPR8=0.0
!
!RPG2/RP10=0.0
!
!RPG2/RP11=0.0
!
!RPG2/RP16=0.0
!
!RPG2/RPRL=0.0
!
!RPG2/APAN=0.0
!
!RPG2/PAN1=0.0
!
!RPG2/PAN2=0.0
!
!RPG2/PAN3=0.0
!
!RPG2/PAN4=0.0
!
!RPG2/PAN6=0.0
!
!RPG2/PAN7=0.0
!
!RPG2/PAN8=0.0
!
!RPG2/PN10=0.0
!
!RPG2/RO2T=+1.0000000*K260*<RO237>
 PJAC(:,50,85)=+1.0000000*TPK%K260(:)*TPK%RO237(:)
!
!RPG2/RO21=0.0
!
!RPG2/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ9
!
SUBROUTINE SUBJ10
!
!Indices 51 a 55
!
!
!RP18/NO=0.0
!
!RP18/NO2=0.0
!
!RP18/O3=0.0
!
!RP18/HONO=0.0
!
!RP18/HNO3=0.0
!
!RP18/HNO4=0.0
!
!RP18/N2O5=0.0
!
!RP18/NO3=0.0
!
!RP18/NH3=0.0
!
!RP18/HO2=0.0
!
!RP18/CO=0.0
!
!RP18/H2O2=0.0
!
!RP18/SO2=0.0
!
!RP18/H2SO4=0.0
!
!RP18/OH=+0.4437492*K335*<RPG2>-K337*<RP18>
 PJAC(:,51,15)=+0.4437492*TPK%K335(:)*PCONC(:,50)-TPK%K337(:)*PCONC(:,51)
!
!RP18/ETHE=0.0
!
!RP18/OLEL=0.0
!
!RP18/OLEH=0.0
!
!RP18/ALKL=0.0
!
!RP18/ALKM=0.0
!
!RP18/ALKH=0.0
!
!RP18/AROH=0.0
!
!RP18/AROL=0.0
!
!RP18/AROO=0.0
!
!RP18/ARAL=0.0
!
!RP18/ARAC=0.0
!
!RP18/PAH=0.0
!
!RP18/HCHO=0.0
!
!RP18/ALD2=0.0
!
!RP18/KETL=0.0
!
!RP18/KETH=0.0
!
!RP18/MEOH=0.0
!
!RP18/ETOH=0.0
!
!RP18/ALCH=0.0
!
!RP18/ISOP=0.0
!
!RP18/BIOL=0.0
!
!RP18/BIOH=0.0
!
!RP18/MTBE=0.0
!
!RP18/MVK=0.0
!
!RP18/MCR=0.0
!
!RP18/MGLY=0.0
!
!RP18/GLY=0.0
!
!RP18/ORA1=0.0
!
!RP18/ORA2=0.0
!
!RP18/ACID=0.0
!
!RP18/UR28=0.0
!
!RP18/UR21=0.0
!
!RP18/URG2=0.0
!
!RP18/UR26=0.0
!
!RP18/RPG2=+0.4437492*K335*<OH>
 PJAC(:,51,50)=+0.4437492*TPK%K335(:)*PCONC(:,15)
!
!RP18/RP18=-K337*<OH>
 PJAC(:,51,51)=-TPK%K337(:)*PCONC(:,15)
!
!RP18/RPG3=0.0
!
!RP18/URG4=0.0
!
!RP18/UR8=0.0
!
!RP18/UR17=0.0
!
!RP18/UR7=0.0
!
!RP18/RPR3=0.0
!
!RP18/URG6=0.0
!
!RP18/UR22=0.0
!
!RP18/URG7=0.0
!
!RP18/RPR4=0.0
!
!RP18/RPR7=0.0
!
!RP18/RPG7=0.0
!
!RP18/URG8=0.0
!
!RP18/UR19=0.0
!
!RP18/URG9=0.0
!
!RP18/AP7=0.0
!
!RP18/URG10=0.0
!
!RP18/RPR1=0.0
!
!RP18/RPR5=0.0
!
!RP18/RPR8=0.0
!
!RP18/RP10=0.0
!
!RP18/RP11=0.0
!
!RP18/RP16=0.0
!
!RP18/RPRL=0.0
!
!RP18/APAN=0.0
!
!RP18/PAN1=0.0
!
!RP18/PAN2=0.0
!
!RP18/PAN3=0.0
!
!RP18/PAN4=0.0
!
!RP18/PAN6=0.0
!
!RP18/PAN7=0.0
!
!RP18/PAN8=0.0
!
!RP18/PN10=0.0
!
!RP18/RO2T=0.0
!
!RP18/RO21=0.0
!
!RP18/RO25=0.0
!
!RPG3/NO=+0.3000000*K231*<RO233>+0.3000000*K252*<RO236>
 PJAC(:,52,1)=+0.3000000*TPK%K231(:)*TPK%RO233(:)+0.3000000*TPK%K252(:)*TPK%RO2&
&36(:)
!
!RPG3/NO2=0.0
!
!RPG3/O3=0.0
!
!RPG3/HONO=0.0
!
!RPG3/HNO3=0.0
!
!RPG3/HNO4=0.0
!
!RPG3/N2O5=0.0
!
!RPG3/NO3=0.0
!
!RPG3/NH3=0.0
!
!RPG3/HO2=+0.3000000*K233*<RO233>+0.3000000*K254*<RO236>
 PJAC(:,52,10)=+0.3000000*TPK%K233(:)*TPK%RO233(:)+0.3000000*TPK%K254(:)*TPK%RO&
&236(:)
!
!RPG3/CO=0.0
!
!RPG3/H2O2=0.0
!
!RPG3/SO2=0.0
!
!RPG3/H2SO4=0.0
!
!RPG3/OH=-K334*<RPG3>
 PJAC(:,52,15)=-TPK%K334(:)*PCONC(:,52)
!
!RPG3/ETHE=0.0
!
!RPG3/OLEL=0.0
!
!RPG3/OLEH=0.0
!
!RPG3/ALKL=0.0
!
!RPG3/ALKM=0.0
!
!RPG3/ALKH=0.0
!
!RPG3/AROH=0.0
!
!RPG3/AROL=0.0
!
!RPG3/AROO=0.0
!
!RPG3/ARAL=0.0
!
!RPG3/ARAC=0.0
!
!RPG3/PAH=0.0
!
!RPG3/HCHO=0.0
!
!RPG3/ALD2=0.0
!
!RPG3/KETL=0.0
!
!RPG3/KETH=0.0
!
!RPG3/MEOH=0.0
!
!RPG3/ETOH=0.0
!
!RPG3/ALCH=0.0
!
!RPG3/ISOP=0.0
!
!RPG3/BIOL=0.0
!
!RPG3/BIOH=0.0
!
!RPG3/MTBE=0.0
!
!RPG3/MVK=0.0
!
!RPG3/MCR=0.0
!
!RPG3/MGLY=0.0
!
!RPG3/GLY=0.0
!
!RPG3/ORA1=0.0
!
!RPG3/ORA2=0.0
!
!RPG3/ACID=0.0
!
!RPG3/UR28=0.0
!
!RPG3/UR21=0.0
!
!RPG3/URG2=0.0
!
!RPG3/UR26=0.0
!
!RPG3/RPG2=0.0
!
!RPG3/RP18=0.0
!
!RPG3/RPG3=-K334*<OH>
 PJAC(:,52,52)=-TPK%K334(:)*PCONC(:,15)
!
!RPG3/URG4=0.0
!
!RPG3/UR8=0.0
!
!RPG3/UR17=0.0
!
!RPG3/UR7=0.0
!
!RPG3/RPR3=0.0
!
!RPG3/URG6=0.0
!
!RPG3/UR22=0.0
!
!RPG3/URG7=0.0
!
!RPG3/RPR4=0.0
!
!RPG3/RPR7=0.0
!
!RPG3/RPG7=0.0
!
!RPG3/URG8=0.0
!
!RPG3/UR19=0.0
!
!RPG3/URG9=0.0
!
!RPG3/AP7=0.0
!
!RPG3/URG10=0.0
!
!RPG3/RPR1=0.0
!
!RPG3/RPR5=0.0
!
!RPG3/RPR8=0.0
!
!RPG3/RP10=0.0
!
!RPG3/RP11=0.0
!
!RPG3/RP16=0.0
!
!RPG3/RPRL=0.0
!
!RPG3/APAN=0.0
!
!RPG3/PAN1=0.0
!
!RPG3/PAN2=0.0
!
!RPG3/PAN3=0.0
!
!RPG3/PAN4=0.0
!
!RPG3/PAN6=0.0
!
!RPG3/PAN7=0.0
!
!RPG3/PAN8=0.0
!
!RPG3/PN10=0.0
!
!RPG3/RO2T=+1.0000000*K232*<RO233>+1.0000000*K253*<RO236>
 PJAC(:,52,85)=+1.0000000*TPK%K232(:)*TPK%RO233(:)+1.0000000*TPK%K253(:)*TPK%RO&
&236(:)
!
!RPG3/RO21=0.0
!
!RPG3/RO25=0.0
!
!URG4/NO=0.0
!
!URG4/NO2=0.0
!
!URG4/O3=-02*K086*<BIOL>
 PJAC(:,53,3)=-02*TPK%K086(:)*PCONC(:,36)
!
!URG4/HONO=0.0
!
!URG4/HNO3=0.0
!
!URG4/HNO4=0.0
!
!URG4/N2O5=0.0
!
!URG4/NO3=0.0
!
!URG4/NH3=0.0
!
!URG4/HO2=+1.0000000*K318*<RO256>+1.0000000*K332*<RO257>
 PJAC(:,53,10)=+1.0000000*TPK%K318(:)*TPK%RO256(:)+1.0000000*TPK%K332(:)*TPK%RO&
&257(:)
!
!URG4/CO=0.0
!
!URG4/H2O2=0.0
!
!URG4/SO2=0.0
!
!URG4/H2SO4=0.0
!
!URG4/OH=0.0
!
!URG4/ETHE=0.0
!
!URG4/OLEL=0.0
!
!URG4/OLEH=0.0
!
!URG4/ALKL=0.0
!
!URG4/ALKM=0.0
!
!URG4/ALKH=0.0
!
!URG4/AROH=0.0
!
!URG4/AROL=0.0
!
!URG4/AROO=0.0
!
!URG4/ARAL=0.0
!
!URG4/ARAC=0.0
!
!URG4/PAH=0.0
!
!URG4/HCHO=0.0
!
!URG4/ALD2=0.0
!
!URG4/KETL=0.0
!
!URG4/KETH=0.0
!
!URG4/MEOH=0.0
!
!URG4/ETOH=0.0
!
!URG4/ALCH=0.0
!
!URG4/ISOP=0.0
!
!URG4/BIOL=-02*K086*<O3>
 PJAC(:,53,36)=-02*TPK%K086(:)*PCONC(:,3)
!
!URG4/BIOH=0.0
!
!URG4/MTBE=0.0
!
!URG4/MVK=0.0
!
!URG4/MCR=0.0
!
!URG4/MGLY=0.0
!
!URG4/GLY=0.0
!
!URG4/ORA1=0.0
!
!URG4/ORA2=0.0
!
!URG4/ACID=0.0
!
!URG4/UR28=0.0
!
!URG4/UR21=0.0
!
!URG4/URG2=0.0
!
!URG4/UR26=0.0
!
!URG4/RPG2=0.0
!
!URG4/RP18=0.0
!
!URG4/RPG3=0.0
!
!URG4/URG4=-K351
 PJAC(:,53,53)=-TPK%K351(:)
!
!URG4/UR8=0.0
!
!URG4/UR17=0.0
!
!URG4/UR7=0.0
!
!URG4/RPR3=0.0
!
!URG4/URG6=0.0
!
!URG4/UR22=0.0
!
!URG4/URG7=0.0
!
!URG4/RPR4=0.0
!
!URG4/RPR7=0.0
!
!URG4/RPG7=0.0
!
!URG4/URG8=0.0
!
!URG4/UR19=0.0
!
!URG4/URG9=0.0
!
!URG4/AP7=0.0
!
!URG4/URG10=0.0
!
!URG4/RPR1=0.0
!
!URG4/RPR5=0.0
!
!URG4/RPR8=0.0
!
!URG4/RP10=0.0
!
!URG4/RP11=0.0
!
!URG4/RP16=0.0
!
!URG4/RPRL=0.0
!
!URG4/APAN=0.0
!
!URG4/PAN1=0.0
!
!URG4/PAN2=0.0
!
!URG4/PAN3=0.0
!
!URG4/PAN4=0.0
!
!URG4/PAN6=0.0
!
!URG4/PAN7=0.0
!
!URG4/PAN8=0.0
!
!URG4/PN10=0.0
!
!URG4/RO2T=0.0
!
!URG4/RO21=0.0
!
!URG4/RO25=0.0
!
!UR8/NO=0.0
!
!UR8/NO2=0.0
!
!UR8/O3=+0.055*K090*<BIOH>
 PJAC(:,54,3)=+0.055*TPK%K090(:)*PCONC(:,37)
!
!UR8/HONO=0.0
!
!UR8/HNO3=0.0
!
!UR8/HNO4=0.0
!
!UR8/N2O5=0.0
!
!UR8/NO3=0.0
!
!UR8/NH3=0.0
!
!UR8/HO2=0.0
!
!UR8/CO=0.0
!
!UR8/H2O2=0.0
!
!UR8/SO2=0.0
!
!UR8/H2SO4=0.0
!
!UR8/OH=0.0
!
!UR8/ETHE=0.0
!
!UR8/OLEL=0.0
!
!UR8/OLEH=0.0
!
!UR8/ALKL=0.0
!
!UR8/ALKM=0.0
!
!UR8/ALKH=0.0
!
!UR8/AROH=0.0
!
!UR8/AROL=0.0
!
!UR8/AROO=0.0
!
!UR8/ARAL=0.0
!
!UR8/ARAC=0.0
!
!UR8/PAH=0.0
!
!UR8/HCHO=0.0
!
!UR8/ALD2=0.0
!
!UR8/KETL=0.0
!
!UR8/KETH=0.0
!
!UR8/MEOH=0.0
!
!UR8/ETOH=0.0
!
!UR8/ALCH=0.0
!
!UR8/ISOP=0.0
!
!UR8/BIOL=0.0
!
!UR8/BIOH=+0.055*K090*<O3>
 PJAC(:,54,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!UR8/MTBE=0.0
!
!UR8/MVK=0.0
!
!UR8/MCR=0.0
!
!UR8/MGLY=0.0
!
!UR8/GLY=0.0
!
!UR8/ORA1=0.0
!
!UR8/ORA2=0.0
!
!UR8/ACID=0.0
!
!UR8/UR28=0.0
!
!UR8/UR21=0.0
!
!UR8/URG2=0.0
!
!UR8/UR26=0.0
!
!UR8/RPG2=0.0
!
!UR8/RP18=0.0
!
!UR8/RPG3=0.0
!
!UR8/URG4=0.0
!
!UR8/UR8=-K358
 PJAC(:,54,54)=-TPK%K358(:)
!
!UR8/UR17=0.0
!
!UR8/UR7=0.0
!
!UR8/RPR3=0.0
!
!UR8/URG6=0.0
!
!UR8/UR22=0.0
!
!UR8/URG7=0.0
!
!UR8/RPR4=0.0
!
!UR8/RPR7=0.0
!
!UR8/RPG7=0.0
!
!UR8/URG8=0.0
!
!UR8/UR19=0.0
!
!UR8/URG9=0.0
!
!UR8/AP7=0.0
!
!UR8/URG10=0.0
!
!UR8/RPR1=0.0
!
!UR8/RPR5=0.0
!
!UR8/RPR8=0.0
!
!UR8/RP10=0.0
!
!UR8/RP11=0.0
!
!UR8/RP16=0.0
!
!UR8/RPRL=0.0
!
!UR8/APAN=0.0
!
!UR8/PAN1=0.0
!
!UR8/PAN2=0.0
!
!UR8/PAN3=0.0
!
!UR8/PAN4=0.0
!
!UR8/PAN6=0.0
!
!UR8/PAN7=0.0
!
!UR8/PAN8=0.0
!
!UR8/PN10=0.0
!
!UR8/RO2T=0.0
!
!UR8/RO21=0.0
!
!UR8/RO25=0.0
!
!UR17/NO=+1.0000000*K204*<RO226>
 PJAC(:,55,1)=+1.0000000*TPK%K204(:)*TPK%RO226(:)
!
!UR17/NO2=0.0
!
!UR17/O3=0.0
!
!UR17/HONO=0.0
!
!UR17/HNO3=0.0
!
!UR17/HNO4=0.0
!
!UR17/N2O5=0.0
!
!UR17/NO3=0.0
!
!UR17/NH3=0.0
!
!UR17/HO2=+1.0000000*K206*<RO226>
 PJAC(:,55,10)=+1.0000000*TPK%K206(:)*TPK%RO226(:)
!
!UR17/CO=0.0
!
!UR17/H2O2=0.0
!
!UR17/SO2=0.0
!
!UR17/H2SO4=0.0
!
!UR17/OH=0.0
!
!UR17/ETHE=0.0
!
!UR17/OLEL=0.0
!
!UR17/OLEH=0.0
!
!UR17/ALKL=0.0
!
!UR17/ALKM=0.0
!
!UR17/ALKH=0.0
!
!UR17/AROH=0.0
!
!UR17/AROL=0.0
!
!UR17/AROO=0.0
!
!UR17/ARAL=0.0
!
!UR17/ARAC=0.0
!
!UR17/PAH=0.0
!
!UR17/HCHO=0.0
!
!UR17/ALD2=0.0
!
!UR17/KETL=0.0
!
!UR17/KETH=0.0
!
!UR17/MEOH=0.0
!
!UR17/ETOH=0.0
!
!UR17/ALCH=0.0
!
!UR17/ISOP=0.0
!
!UR17/BIOL=0.0
!
!UR17/BIOH=0.0
!
!UR17/MTBE=0.0
!
!UR17/MVK=0.0
!
!UR17/MCR=0.0
!
!UR17/MGLY=0.0
!
!UR17/GLY=0.0
!
!UR17/ORA1=0.0
!
!UR17/ORA2=0.0
!
!UR17/ACID=0.0
!
!UR17/UR28=0.0
!
!UR17/UR21=0.0
!
!UR17/URG2=0.0
!
!UR17/UR26=0.0
!
!UR17/RPG2=0.0
!
!UR17/RP18=0.0
!
!UR17/RPG3=0.0
!
!UR17/URG4=0.0
!
!UR17/UR8=0.0
!
!UR17/UR17=-K359
 PJAC(:,55,55)=-TPK%K359(:)
!
!UR17/UR7=0.0
!
!UR17/RPR3=0.0
!
!UR17/URG6=0.0
!
!UR17/UR22=0.0
!
!UR17/URG7=0.0
!
!UR17/RPR4=0.0
!
!UR17/RPR7=0.0
!
!UR17/RPG7=0.0
!
!UR17/URG8=0.0
!
!UR17/UR19=0.0
!
!UR17/URG9=0.0
!
!UR17/AP7=0.0
!
!UR17/URG10=0.0
!
!UR17/RPR1=0.0
!
!UR17/RPR5=0.0
!
!UR17/RPR8=0.0
!
!UR17/RP10=0.0
!
!UR17/RP11=0.0
!
!UR17/RP16=0.0
!
!UR17/RPRL=0.0
!
!UR17/APAN=0.0
!
!UR17/PAN1=0.0
!
!UR17/PAN2=0.0
!
!UR17/PAN3=0.0
!
!UR17/PAN4=0.0
!
!UR17/PAN6=0.0
!
!UR17/PAN7=0.0
!
!UR17/PAN8=0.0
!
!UR17/PN10=0.0
!
!UR17/RO2T=+1.0000000*K205*<RO226>
 PJAC(:,55,85)=+1.0000000*TPK%K205(:)*TPK%RO226(:)
!
!UR17/RO21=0.0
!
!UR17/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ10
!
SUBROUTINE SUBJ11
!
!Indices 56 a 60
!
!
!UR7/NO=+TPK%CFA12*K207*<RO227>+0.3*K210*<RO228>
 PJAC(:,56,1)=+TPK%CFA12*TPK%K207(:)*TPK%RO227(:)+0.3*TPK%K210(:)*TPK%RO228(:)
!
!UR7/NO2=0.0
!
!UR7/O3=+0.055*K090*<BIOH>
 PJAC(:,56,3)=+0.055*TPK%K090(:)*PCONC(:,37)
!
!UR7/HONO=0.0
!
!UR7/HNO3=0.0
!
!UR7/HNO4=0.0
!
!UR7/N2O5=0.0
!
!UR7/NO3=0.0
!
!UR7/NH3=0.0
!
!UR7/HO2=+0.3*K209*<RO227>+0.3*K212*<RO228>
 PJAC(:,56,10)=+0.3*TPK%K209(:)*TPK%RO227(:)+0.3*TPK%K212(:)*TPK%RO228(:)
!
!UR7/CO=0.0
!
!UR7/H2O2=0.0
!
!UR7/SO2=0.0
!
!UR7/H2SO4=0.0
!
!UR7/OH=0.0
!
!UR7/ETHE=0.0
!
!UR7/OLEL=0.0
!
!UR7/OLEH=0.0
!
!UR7/ALKL=0.0
!
!UR7/ALKM=0.0
!
!UR7/ALKH=0.0
!
!UR7/AROH=0.0
!
!UR7/AROL=0.0
!
!UR7/AROO=0.0
!
!UR7/ARAL=0.0
!
!UR7/ARAC=0.0
!
!UR7/PAH=0.0
!
!UR7/HCHO=0.0
!
!UR7/ALD2=0.0
!
!UR7/KETL=0.0
!
!UR7/KETH=0.0
!
!UR7/MEOH=0.0
!
!UR7/ETOH=0.0
!
!UR7/ALCH=0.0
!
!UR7/ISOP=0.0
!
!UR7/BIOL=0.0
!
!UR7/BIOH=+0.055*K090*<O3>
 PJAC(:,56,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!UR7/MTBE=0.0
!
!UR7/MVK=0.0
!
!UR7/MCR=0.0
!
!UR7/MGLY=0.0
!
!UR7/GLY=0.0
!
!UR7/ORA1=0.0
!
!UR7/ORA2=0.0
!
!UR7/ACID=0.0
!
!UR7/UR28=0.0
!
!UR7/UR21=0.0
!
!UR7/URG2=0.0
!
!UR7/UR26=0.0
!
!UR7/RPG2=0.0
!
!UR7/RP18=0.0
!
!UR7/RPG3=0.0
!
!UR7/URG4=0.0
!
!UR7/UR8=0.0
!
!UR7/UR17=0.0
!
!UR7/UR7=-K357
 PJAC(:,56,56)=-TPK%K357(:)
!
!UR7/RPR3=0.0
!
!UR7/URG6=0.0
!
!UR7/UR22=0.0
!
!UR7/URG7=0.0
!
!UR7/RPR4=0.0
!
!UR7/RPR7=0.0
!
!UR7/RPG7=0.0
!
!UR7/URG8=0.0
!
!UR7/UR19=0.0
!
!UR7/URG9=0.0
!
!UR7/AP7=0.0
!
!UR7/URG10=0.0
!
!UR7/RPR1=0.0
!
!UR7/RPR5=0.0
!
!UR7/RPR8=0.0
!
!UR7/RP10=0.0
!
!UR7/RP11=0.0
!
!UR7/RP16=0.0
!
!UR7/RPRL=0.0
!
!UR7/APAN=0.0
!
!UR7/PAN1=0.0
!
!UR7/PAN2=0.0
!
!UR7/PAN3=0.0
!
!UR7/PAN4=0.0
!
!UR7/PAN6=0.0
!
!UR7/PAN7=0.0
!
!UR7/PAN8=0.0
!
!UR7/PN10=0.0
!
!UR7/RO2T=+K208*<RO227>+0.3*K211*<RO228>
 PJAC(:,56,85)=+TPK%K208(:)*TPK%RO227(:)+0.3*TPK%K211(:)*TPK%RO228(:)
!
!UR7/RO21=0.0
!
!UR7/RO25=0.0
!
!RPR3/NO=+TPK%CFA10*K198*<RO224>+K201*<RO225>
 PJAC(:,57,1)=+TPK%CFA10*TPK%K198(:)*TPK%RO224(:)+TPK%K201(:)*TPK%RO225(:)
!
!RPR3/NO2=0.0
!
!RPR3/O3=+0.055*K086*<BIOL>
 PJAC(:,57,3)=+0.055*TPK%K086(:)*PCONC(:,36)
!
!RPR3/HONO=0.0
!
!RPR3/HNO3=0.0
!
!RPR3/HNO4=0.0
!
!RPR3/N2O5=0.0
!
!RPR3/NO3=-K313*<RPR3>
 PJAC(:,57,8)=-TPK%K313(:)*PCONC(:,57)
!
!RPR3/NH3=0.0
!
!RPR3/HO2=+K200*<RO224>+K203*<RO225>
 PJAC(:,57,10)=+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)
!
!RPR3/CO=0.0
!
!RPR3/H2O2=0.0
!
!RPR3/SO2=0.0
!
!RPR3/H2SO4=0.0
!
!RPR3/OH=-K312*<RPR3>
 PJAC(:,57,15)=-TPK%K312(:)*PCONC(:,57)
!
!RPR3/ETHE=0.0
!
!RPR3/OLEL=0.0
!
!RPR3/OLEH=0.0
!
!RPR3/ALKL=0.0
!
!RPR3/ALKM=0.0
!
!RPR3/ALKH=0.0
!
!RPR3/AROH=0.0
!
!RPR3/AROL=0.0
!
!RPR3/AROO=0.0
!
!RPR3/ARAL=0.0
!
!RPR3/ARAC=0.0
!
!RPR3/PAH=0.0
!
!RPR3/HCHO=0.0
!
!RPR3/ALD2=0.0
!
!RPR3/KETL=0.0
!
!RPR3/KETH=0.0
!
!RPR3/MEOH=0.0
!
!RPR3/ETOH=0.0
!
!RPR3/ALCH=0.0
!
!RPR3/ISOP=0.0
!
!RPR3/BIOL=+0.055*K086*<O3>
 PJAC(:,57,36)=+0.055*TPK%K086(:)*PCONC(:,3)
!
!RPR3/BIOH=0.0
!
!RPR3/MTBE=0.0
!
!RPR3/MVK=0.0
!
!RPR3/MCR=0.0
!
!RPR3/MGLY=0.0
!
!RPR3/GLY=0.0
!
!RPR3/ORA1=0.0
!
!RPR3/ORA2=0.0
!
!RPR3/ACID=0.0
!
!RPR3/UR28=0.0
!
!RPR3/UR21=0.0
!
!RPR3/URG2=0.0
!
!RPR3/UR26=0.0
!
!RPR3/RPG2=0.0
!
!RPR3/RP18=0.0
!
!RPR3/RPG3=0.0
!
!RPR3/URG4=0.0
!
!RPR3/UR8=0.0
!
!RPR3/UR17=0.0
!
!RPR3/UR7=0.0
!
!RPR3/RPR3=-K312*<OH>-K313*<NO3>-K314
 PJAC(:,57,57)=-TPK%K312(:)*PCONC(:,15)-TPK%K313(:)*PCONC(:,8)-TPK%K314(:)
!
!RPR3/URG6=0.0
!
!RPR3/UR22=0.0
!
!RPR3/URG7=0.0
!
!RPR3/RPR4=0.0
!
!RPR3/RPR7=0.0
!
!RPR3/RPG7=0.0
!
!RPR3/URG8=0.0
!
!RPR3/UR19=0.0
!
!RPR3/URG9=0.0
!
!RPR3/AP7=0.0
!
!RPR3/URG10=0.0
!
!RPR3/RPR1=0.0
!
!RPR3/RPR5=0.0
!
!RPR3/RPR8=0.0
!
!RPR3/RP10=0.0
!
!RPR3/RP11=0.0
!
!RPR3/RP16=0.0
!
!RPR3/RPRL=0.0
!
!RPR3/APAN=0.0
!
!RPR3/PAN1=0.0
!
!RPR3/PAN2=0.0
!
!RPR3/PAN3=0.0
!
!RPR3/PAN4=0.0
!
!RPR3/PAN6=0.0
!
!RPR3/PAN7=0.0
!
!RPR3/PAN8=0.0
!
!RPR3/PN10=0.0
!
!RPR3/RO2T=+K199*<RO224>+K202*<RO225>
 PJAC(:,57,85)=+TPK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO225(:)
!
!RPR3/RO21=0.0
!
!RPR3/RO25=0.0
!
!URG6/NO=+TPK%CF21*K177*<RO217>+TPK%CF43*K195*<RO223>
 PJAC(:,58,1)=+TPK%CF21*TPK%K177(:)*TPK%RO217(:)+TPK%CF43*TPK%K195(:)*TPK%RO223&
&(:)
!
!URG6/NO2=0.0
!
!URG6/O3=0.0
!
!URG6/HONO=0.0
!
!URG6/HNO3=0.0
!
!URG6/HNO4=0.0
!
!URG6/N2O5=0.0
!
!URG6/NO3=0.0
!
!URG6/NH3=0.0
!
!URG6/HO2=0.0
!
!URG6/CO=0.0
!
!URG6/H2O2=0.0
!
!URG6/SO2=0.0
!
!URG6/H2SO4=0.0
!
!URG6/OH=+0.4978440*K323*<RPG7>
 PJAC(:,58,15)=+0.4978440*TPK%K323(:)*PCONC(:,63)
!
!URG6/ETHE=0.0
!
!URG6/OLEL=0.0
!
!URG6/OLEH=0.0
!
!URG6/ALKL=0.0
!
!URG6/ALKM=0.0
!
!URG6/ALKH=0.0
!
!URG6/AROH=0.0
!
!URG6/AROL=0.0
!
!URG6/AROO=0.0
!
!URG6/ARAL=0.0
!
!URG6/ARAC=0.0
!
!URG6/PAH=0.0
!
!URG6/HCHO=0.0
!
!URG6/ALD2=0.0
!
!URG6/KETL=0.0
!
!URG6/KETH=0.0
!
!URG6/MEOH=0.0
!
!URG6/ETOH=0.0
!
!URG6/ALCH=0.0
!
!URG6/ISOP=0.0
!
!URG6/BIOL=0.0
!
!URG6/BIOH=0.0
!
!URG6/MTBE=0.0
!
!URG6/MVK=0.0
!
!URG6/MCR=0.0
!
!URG6/MGLY=0.0
!
!URG6/GLY=0.0
!
!URG6/ORA1=0.0
!
!URG6/ORA2=0.0
!
!URG6/ACID=0.0
!
!URG6/UR28=0.0
!
!URG6/UR21=0.0
!
!URG6/URG2=0.0
!
!URG6/UR26=0.0
!
!URG6/RPG2=0.0
!
!URG6/RP18=0.0
!
!URG6/RPG3=0.0
!
!URG6/URG4=0.0
!
!URG6/UR8=0.0
!
!URG6/UR17=0.0
!
!URG6/UR7=0.0
!
!URG6/RPR3=0.0
!
!URG6/URG6=-K352
 PJAC(:,58,58)=-TPK%K352(:)
!
!URG6/UR22=0.0
!
!URG6/URG7=0.0
!
!URG6/RPR4=0.0
!
!URG6/RPR7=0.0
!
!URG6/RPG7=+0.4978440*K323*<OH>
 PJAC(:,58,63)=+0.4978440*TPK%K323(:)*PCONC(:,15)
!
!URG6/URG8=0.0
!
!URG6/UR19=0.0
!
!URG6/URG9=0.0
!
!URG6/AP7=0.0
!
!URG6/URG10=0.0
!
!URG6/RPR1=0.0
!
!URG6/RPR5=0.0
!
!URG6/RPR8=0.0
!
!URG6/RP10=0.0
!
!URG6/RP11=0.0
!
!URG6/RP16=0.0
!
!URG6/RPRL=0.0
!
!URG6/APAN=0.0
!
!URG6/PAN1=0.0
!
!URG6/PAN2=0.0
!
!URG6/PAN3=0.0
!
!URG6/PAN4=0.0
!
!URG6/PAN6=0.0
!
!URG6/PAN7=0.0
!
!URG6/PAN8=0.0
!
!URG6/PN10=0.0
!
!URG6/RO2T=0.0
!
!URG6/RO21=0.0
!
!URG6/RO25=0.0
!
!UR22/NO=0.0
!
!UR22/NO2=+K321*<RAD8>
 PJAC(:,59,2)=+TPK%K321(:)*TPK%RAD8(:)
!
!UR22/O3=0.0
!
!UR22/HONO=0.0
!
!UR22/HNO3=0.0
!
!UR22/HNO4=0.0
!
!UR22/N2O5=0.0
!
!UR22/NO3=0.0
!
!UR22/NH3=0.0
!
!UR22/HO2=0.0
!
!UR22/CO=0.0
!
!UR22/H2O2=0.0
!
!UR22/SO2=0.0
!
!UR22/H2SO4=0.0
!
!UR22/OH=0.0
!
!UR22/ETHE=0.0
!
!UR22/OLEL=0.0
!
!UR22/OLEH=0.0
!
!UR22/ALKL=0.0
!
!UR22/ALKM=0.0
!
!UR22/ALKH=0.0
!
!UR22/AROH=0.0
!
!UR22/AROL=0.0
!
!UR22/AROO=0.0
!
!UR22/ARAL=0.0
!
!UR22/ARAC=0.0
!
!UR22/PAH=0.0
!
!UR22/HCHO=0.0
!
!UR22/ALD2=0.0
!
!UR22/KETL=0.0
!
!UR22/KETH=0.0
!
!UR22/MEOH=0.0
!
!UR22/ETOH=0.0
!
!UR22/ALCH=0.0
!
!UR22/ISOP=0.0
!
!UR22/BIOL=0.0
!
!UR22/BIOH=0.0
!
!UR22/MTBE=0.0
!
!UR22/MVK=0.0
!
!UR22/MCR=0.0
!
!UR22/MGLY=0.0
!
!UR22/GLY=0.0
!
!UR22/ORA1=0.0
!
!UR22/ORA2=0.0
!
!UR22/ACID=0.0
!
!UR22/UR28=0.0
!
!UR22/UR21=0.0
!
!UR22/URG2=0.0
!
!UR22/UR26=0.0
!
!UR22/RPG2=0.0
!
!UR22/RP18=0.0
!
!UR22/RPG3=0.0
!
!UR22/URG4=0.0
!
!UR22/UR8=0.0
!
!UR22/UR17=0.0
!
!UR22/UR7=0.0
!
!UR22/RPR3=0.0
!
!UR22/URG6=0.0
!
!UR22/UR22=-K362
 PJAC(:,59,59)=-TPK%K362(:)
!
!UR22/URG7=0.0
!
!UR22/RPR4=0.0
!
!UR22/RPR7=0.0
!
!UR22/RPG7=0.0
!
!UR22/URG8=0.0
!
!UR22/UR19=0.0
!
!UR22/URG9=0.0
!
!UR22/AP7=0.0
!
!UR22/URG10=0.0
!
!UR22/RPR1=0.0
!
!UR22/RPR5=0.0
!
!UR22/RPR8=0.0
!
!UR22/RP10=0.0
!
!UR22/RP11=0.0
!
!UR22/RP16=0.0
!
!UR22/RPRL=0.0
!
!UR22/APAN=0.0
!
!UR22/PAN1=0.0
!
!UR22/PAN2=0.0
!
!UR22/PAN3=0.0
!
!UR22/PAN4=0.0
!
!UR22/PAN6=0.0
!
!UR22/PAN7=0.0
!
!UR22/PAN8=0.0
!
!UR22/PN10=0.0
!
!UR22/RO2T=0.0
!
!UR22/RO21=0.0
!
!UR22/RO25=0.0
!
!URG7/NO=0.0
!
!URG7/NO2=+0.9999993*K108*<RAD6>
 PJAC(:,60,2)=+0.9999993*TPK%K108(:)*TPK%RAD6(:)
!
!URG7/O3=0.0
!
!URG7/HONO=0.0
!
!URG7/HNO3=0.0
!
!URG7/HNO4=0.0
!
!URG7/N2O5=0.0
!
!URG7/NO3=0.0
!
!URG7/NH3=0.0
!
!URG7/HO2=0.0
!
!URG7/CO=0.0
!
!URG7/H2O2=0.0
!
!URG7/SO2=0.0
!
!URG7/H2SO4=0.0
!
!URG7/OH=+0.1599999*K083*<ARAC>+0.9999993*K303*<RPR5>+0.9979297*K306*<RPRL>+0.9
!999993*K322*<RPR7>
 PJAC(:,60,15)=+0.1599999*TPK%K083(:)*PCONC(:,26)+0.9999993*TPK%K303(:)*PCONC(:&
&,70)+0.9979297*TPK%K306(:)*PCONC(:,75)+0.9999993*TPK%K322(:)*PCONC(:,62)
!
!URG7/ETHE=0.0
!
!URG7/OLEL=0.0
!
!URG7/OLEH=0.0
!
!URG7/ALKL=0.0
!
!URG7/ALKM=0.0
!
!URG7/ALKH=0.0
!
!URG7/AROH=0.0
!
!URG7/AROL=0.0
!
!URG7/AROO=0.0
!
!URG7/ARAL=0.0
!
!URG7/ARAC=+0.1599999*K083*<OH>
 PJAC(:,60,26)=+0.1599999*TPK%K083(:)*PCONC(:,15)
!
!URG7/PAH=0.0
!
!URG7/HCHO=0.0
!
!URG7/ALD2=0.0
!
!URG7/KETL=0.0
!
!URG7/KETH=0.0
!
!URG7/MEOH=0.0
!
!URG7/ETOH=0.0
!
!URG7/ALCH=0.0
!
!URG7/ISOP=0.0
!
!URG7/BIOL=0.0
!
!URG7/BIOH=0.0
!
!URG7/MTBE=0.0
!
!URG7/MVK=0.0
!
!URG7/MCR=0.0
!
!URG7/MGLY=0.0
!
!URG7/GLY=0.0
!
!URG7/ORA1=0.0
!
!URG7/ORA2=0.0
!
!URG7/ACID=0.0
!
!URG7/UR28=0.0
!
!URG7/UR21=0.0
!
!URG7/URG2=0.0
!
!URG7/UR26=0.0
!
!URG7/RPG2=0.0
!
!URG7/RP18=0.0
!
!URG7/RPG3=0.0
!
!URG7/URG4=0.0
!
!URG7/UR8=0.0
!
!URG7/UR17=0.0
!
!URG7/UR7=0.0
!
!URG7/RPR3=0.0
!
!URG7/URG6=0.0
!
!URG7/UR22=0.0
!
!URG7/URG7=-K353
 PJAC(:,60,60)=-TPK%K353(:)
!
!URG7/RPR4=0.0
!
!URG7/RPR7=+0.9999993*K322*<OH>
 PJAC(:,60,62)=+0.9999993*TPK%K322(:)*PCONC(:,15)
!
!URG7/RPG7=0.0
!
!URG7/URG8=0.0
!
!URG7/UR19=0.0
!
!URG7/URG9=0.0
!
!URG7/AP7=0.0
!
!URG7/URG10=0.0
!
!URG7/RPR1=0.0
!
!URG7/RPR5=+0.9999993*K303*<OH>
 PJAC(:,60,70)=+0.9999993*TPK%K303(:)*PCONC(:,15)
!
!URG7/RPR8=0.0
!
!URG7/RP10=0.0
!
!URG7/RP11=0.0
!
!URG7/RP16=0.0
!
!URG7/RPRL=+0.9979297*K306*<OH>
 PJAC(:,60,75)=+0.9979297*TPK%K306(:)*PCONC(:,15)
!
!URG7/APAN=0.0
!
!URG7/PAN1=0.0
!
!URG7/PAN2=0.0
!
!URG7/PAN3=0.0
!
!URG7/PAN4=0.0
!
!URG7/PAN6=0.0
!
!URG7/PAN7=0.0
!
!URG7/PAN8=0.0
!
!URG7/PN10=0.0
!
!URG7/RO2T=0.0
!
!URG7/RO21=0.0
!
!URG7/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ11
!
SUBROUTINE SUBJ12
!
!Indices 61 a 65
!
!
!RPR4/NO=0.0
!
!RPR4/NO2=+K103*<RAD1>+K104*<RAD2>
 PJAC(:,61,2)=+TPK%K103(:)*TPK%RAD1(:)+TPK%K104(:)*TPK%RAD2(:)
!
!RPR4/O3=0.0
!
!RPR4/HONO=0.0
!
!RPR4/HNO3=0.0
!
!RPR4/HNO4=0.0
!
!RPR4/N2O5=0.0
!
!RPR4/NO3=-K320*<RPR4>
 PJAC(:,61,8)=-TPK%K320(:)*PCONC(:,61)
!
!RPR4/NH3=0.0
!
!RPR4/HO2=0.0
!
!RPR4/CO=0.0
!
!RPR4/H2O2=0.0
!
!RPR4/SO2=0.0
!
!RPR4/H2SO4=0.0
!
!RPR4/OH=0.0
!
!RPR4/ETHE=0.0
!
!RPR4/OLEL=0.0
!
!RPR4/OLEH=0.0
!
!RPR4/ALKL=0.0
!
!RPR4/ALKM=0.0
!
!RPR4/ALKH=0.0
!
!RPR4/AROH=0.0
!
!RPR4/AROL=0.0
!
!RPR4/AROO=0.0
!
!RPR4/ARAL=0.0
!
!RPR4/ARAC=0.0
!
!RPR4/PAH=0.0
!
!RPR4/HCHO=0.0
!
!RPR4/ALD2=0.0
!
!RPR4/KETL=0.0
!
!RPR4/KETH=0.0
!
!RPR4/MEOH=0.0
!
!RPR4/ETOH=0.0
!
!RPR4/ALCH=0.0
!
!RPR4/ISOP=0.0
!
!RPR4/BIOL=0.0
!
!RPR4/BIOH=0.0
!
!RPR4/MTBE=0.0
!
!RPR4/MVK=0.0
!
!RPR4/MCR=0.0
!
!RPR4/MGLY=0.0
!
!RPR4/GLY=0.0
!
!RPR4/ORA1=0.0
!
!RPR4/ORA2=0.0
!
!RPR4/ACID=0.0
!
!RPR4/UR28=0.0
!
!RPR4/UR21=0.0
!
!RPR4/URG2=0.0
!
!RPR4/UR26=0.0
!
!RPR4/RPG2=0.0
!
!RPR4/RP18=0.0
!
!RPR4/RPG3=0.0
!
!RPR4/URG4=0.0
!
!RPR4/UR8=0.0
!
!RPR4/UR17=0.0
!
!RPR4/UR7=0.0
!
!RPR4/RPR3=0.0
!
!RPR4/URG6=0.0
!
!RPR4/UR22=0.0
!
!RPR4/URG7=0.0
!
!RPR4/RPR4=-K320*<NO3>
 PJAC(:,61,61)=-TPK%K320(:)*PCONC(:,8)
!
!RPR4/RPR7=0.0
!
!RPR4/RPG7=0.0
!
!RPR4/URG8=0.0
!
!RPR4/UR19=0.0
!
!RPR4/URG9=0.0
!
!RPR4/AP7=0.0
!
!RPR4/URG10=0.0
!
!RPR4/RPR1=0.0
!
!RPR4/RPR5=0.0
!
!RPR4/RPR8=0.0
!
!RPR4/RP10=0.0
!
!RPR4/RP11=0.0
!
!RPR4/RP16=0.0
!
!RPR4/RPRL=0.0
!
!RPR4/APAN=0.0
!
!RPR4/PAN1=0.0
!
!RPR4/PAN2=0.0
!
!RPR4/PAN3=0.0
!
!RPR4/PAN4=0.0
!
!RPR4/PAN6=0.0
!
!RPR4/PAN7=0.0
!
!RPR4/PAN8=0.0
!
!RPR4/PN10=0.0
!
!RPR4/RO2T=0.0
!
!RPR4/RO21=0.0
!
!RPR4/RO25=0.0
!
!RPR7/NO=+TPK%CF44*K195*<RO223>
 PJAC(:,62,1)=+TPK%CF44*TPK%K195(:)*TPK%RO223(:)
!
!RPR7/NO2=0.0
!
!RPR7/O3=0.0
!
!RPR7/HONO=0.0
!
!RPR7/HNO3=0.0
!
!RPR7/HNO4=0.0
!
!RPR7/N2O5=0.0
!
!RPR7/NO3=0.0
!
!RPR7/NH3=0.0
!
!RPR7/HO2=+K197*<RO223>
 PJAC(:,62,10)=+TPK%K197(:)*TPK%RO223(:)
!
!RPR7/CO=0.0
!
!RPR7/H2O2=0.0
!
!RPR7/SO2=0.0
!
!RPR7/H2SO4=0.0
!
!RPR7/OH=-03*K306*<RPRL>-K322*<RPR7>
 PJAC(:,62,15)=-03*TPK%K306(:)*PCONC(:,75)-TPK%K322(:)*PCONC(:,62)
!
!RPR7/ETHE=0.0
!
!RPR7/OLEL=0.0
!
!RPR7/OLEH=0.0
!
!RPR7/ALKL=0.0
!
!RPR7/ALKM=0.0
!
!RPR7/ALKH=0.0
!
!RPR7/AROH=0.0
!
!RPR7/AROL=0.0
!
!RPR7/AROO=0.0
!
!RPR7/ARAL=0.0
!
!RPR7/ARAC=0.0
!
!RPR7/PAH=0.0
!
!RPR7/HCHO=0.0
!
!RPR7/ALD2=0.0
!
!RPR7/KETL=0.0
!
!RPR7/KETH=0.0
!
!RPR7/MEOH=0.0
!
!RPR7/ETOH=0.0
!
!RPR7/ALCH=0.0
!
!RPR7/ISOP=0.0
!
!RPR7/BIOL=0.0
!
!RPR7/BIOH=0.0
!
!RPR7/MTBE=0.0
!
!RPR7/MVK=0.0
!
!RPR7/MCR=0.0
!
!RPR7/MGLY=0.0
!
!RPR7/GLY=0.0
!
!RPR7/ORA1=0.0
!
!RPR7/ORA2=0.0
!
!RPR7/ACID=0.0
!
!RPR7/UR28=0.0
!
!RPR7/UR21=0.0
!
!RPR7/URG2=0.0
!
!RPR7/UR26=0.0
!
!RPR7/RPG2=0.0
!
!RPR7/RP18=0.0
!
!RPR7/RPG3=0.0
!
!RPR7/URG4=0.0
!
!RPR7/UR8=0.0
!
!RPR7/UR17=0.0
!
!RPR7/UR7=0.0
!
!RPR7/RPR3=0.0
!
!RPR7/URG6=0.0
!
!RPR7/UR22=0.0
!
!RPR7/URG7=0.0
!
!RPR7/RPR4=0.0
!
!RPR7/RPR7=-K322*<OH>
 PJAC(:,62,62)=-TPK%K322(:)*PCONC(:,15)
!
!RPR7/RPG7=0.0
!
!RPR7/URG8=0.0
!
!RPR7/UR19=0.0
!
!RPR7/URG9=0.0
!
!RPR7/AP7=0.0
!
!RPR7/URG10=0.0
!
!RPR7/RPR1=0.0
!
!RPR7/RPR5=0.0
!
!RPR7/RPR8=0.0
!
!RPR7/RP10=0.0
!
!RPR7/RP11=0.0
!
!RPR7/RP16=0.0
!
!RPR7/RPRL=-03*K306*<OH>
 PJAC(:,62,75)=-03*TPK%K306(:)*PCONC(:,15)
!
!RPR7/APAN=0.0
!
!RPR7/PAN1=0.0
!
!RPR7/PAN2=0.0
!
!RPR7/PAN3=0.0
!
!RPR7/PAN4=0.0
!
!RPR7/PAN6=0.0
!
!RPR7/PAN7=0.0
!
!RPR7/PAN8=0.0
!
!RPR7/PN10=0.0
!
!RPR7/RO2T=+K196*<RO223>
 PJAC(:,62,85)=+TPK%K196(:)*TPK%RO223(:)
!
!RPR7/RO21=0.0
!
!RPR7/RO25=0.0
!
!RPG7/NO=+1.0000013*K266*<RO238>
 PJAC(:,63,1)=+1.0000013*TPK%K266(:)*TPK%RO238(:)
!
!RPG7/NO2=0.0
!
!RPG7/O3=0.0
!
!RPG7/HONO=0.0
!
!RPG7/HNO3=0.0
!
!RPG7/HNO4=0.0
!
!RPG7/N2O5=0.0
!
!RPG7/NO3=0.0
!
!RPG7/NH3=0.0
!
!RPG7/HO2=+1.0000013*K268*<RO238>
 PJAC(:,63,10)=+1.0000013*TPK%K268(:)*TPK%RO238(:)
!
!RPG7/CO=0.0
!
!RPG7/H2O2=0.0
!
!RPG7/SO2=0.0
!
!RPG7/H2SO4=0.0
!
!RPG7/OH=+0.5021558*K323*<RPG7>-K323*<RPG7>
 PJAC(:,63,15)=+0.5021558*TPK%K323(:)*PCONC(:,63)-TPK%K323(:)*PCONC(:,63)
!
!RPG7/ETHE=0.0
!
!RPG7/OLEL=0.0
!
!RPG7/OLEH=0.0
!
!RPG7/ALKL=0.0
!
!RPG7/ALKM=0.0
!
!RPG7/ALKH=0.0
!
!RPG7/AROH=0.0
!
!RPG7/AROL=0.0
!
!RPG7/AROO=0.0
!
!RPG7/ARAL=0.0
!
!RPG7/ARAC=0.0
!
!RPG7/PAH=0.0
!
!RPG7/HCHO=0.0
!
!RPG7/ALD2=0.0
!
!RPG7/KETL=0.0
!
!RPG7/KETH=0.0
!
!RPG7/MEOH=0.0
!
!RPG7/ETOH=0.0
!
!RPG7/ALCH=0.0
!
!RPG7/ISOP=0.0
!
!RPG7/BIOL=0.0
!
!RPG7/BIOH=0.0
!
!RPG7/MTBE=0.0
!
!RPG7/MVK=0.0
!
!RPG7/MCR=0.0
!
!RPG7/MGLY=0.0
!
!RPG7/GLY=0.0
!
!RPG7/ORA1=0.0
!
!RPG7/ORA2=0.0
!
!RPG7/ACID=0.0
!
!RPG7/UR28=0.0
!
!RPG7/UR21=0.0
!
!RPG7/URG2=0.0
!
!RPG7/UR26=0.0
!
!RPG7/RPG2=0.0
!
!RPG7/RP18=0.0
!
!RPG7/RPG3=0.0
!
!RPG7/URG4=0.0
!
!RPG7/UR8=0.0
!
!RPG7/UR17=0.0
!
!RPG7/UR7=0.0
!
!RPG7/RPR3=0.0
!
!RPG7/URG6=0.0
!
!RPG7/UR22=0.0
!
!RPG7/URG7=0.0
!
!RPG7/RPR4=0.0
!
!RPG7/RPR7=0.0
!
!RPG7/RPG7=+0.5021558*K323*<OH>-K323*<OH>
 PJAC(:,63,63)=+0.5021558*TPK%K323(:)*PCONC(:,15)-TPK%K323(:)*PCONC(:,15)
!
!RPG7/URG8=0.0
!
!RPG7/UR19=0.0
!
!RPG7/URG9=0.0
!
!RPG7/AP7=0.0
!
!RPG7/URG10=0.0
!
!RPG7/RPR1=0.0
!
!RPG7/RPR5=0.0
!
!RPG7/RPR8=0.0
!
!RPG7/RP10=0.0
!
!RPG7/RP11=0.0
!
!RPG7/RP16=0.0
!
!RPG7/RPRL=0.0
!
!RPG7/APAN=0.0
!
!RPG7/PAN1=0.0
!
!RPG7/PAN2=0.0
!
!RPG7/PAN3=0.0
!
!RPG7/PAN4=0.0
!
!RPG7/PAN6=0.0
!
!RPG7/PAN7=0.0
!
!RPG7/PAN8=0.0
!
!RPG7/PN10=0.0
!
!RPG7/RO2T=+1.0000013*K267*<RO238>
 PJAC(:,63,85)=+1.0000013*TPK%K267(:)*TPK%RO238(:)
!
!RPG7/RO21=0.0
!
!RPG7/RO25=0.0
!
!URG8/NO=+TPK%CF31*K221*<RO231>
 PJAC(:,64,1)=+TPK%CF31*TPK%K221(:)*TPK%RO231(:)
!
!URG8/NO2=+1.0000000*K109*<RAD7>
 PJAC(:,64,2)=+1.0000000*TPK%K109(:)*TPK%RAD7(:)
!
!URG8/O3=0.0
!
!URG8/HONO=0.0
!
!URG8/HNO3=0.0
!
!URG8/HNO4=0.0
!
!URG8/N2O5=0.0
!
!URG8/NO3=0.0
!
!URG8/NH3=0.0
!
!URG8/HO2=0.0
!
!URG8/CO=0.0
!
!URG8/H2O2=0.0
!
!URG8/SO2=0.0
!
!URG8/H2SO4=0.0
!
!URG8/OH=+0.1600000*K092*<PAH>
 PJAC(:,64,15)=+0.1600000*TPK%K092(:)*PCONC(:,27)
!
!URG8/ETHE=0.0
!
!URG8/OLEL=0.0
!
!URG8/OLEH=0.0
!
!URG8/ALKL=0.0
!
!URG8/ALKM=0.0
!
!URG8/ALKH=0.0
!
!URG8/AROH=0.0
!
!URG8/AROL=0.0
!
!URG8/AROO=0.0
!
!URG8/ARAL=0.0
!
!URG8/ARAC=0.0
!
!URG8/PAH=+0.1600000*K092*<OH>
 PJAC(:,64,27)=+0.1600000*TPK%K092(:)*PCONC(:,15)
!
!URG8/HCHO=0.0
!
!URG8/ALD2=0.0
!
!URG8/KETL=0.0
!
!URG8/KETH=0.0
!
!URG8/MEOH=0.0
!
!URG8/ETOH=0.0
!
!URG8/ALCH=0.0
!
!URG8/ISOP=0.0
!
!URG8/BIOL=0.0
!
!URG8/BIOH=0.0
!
!URG8/MTBE=0.0
!
!URG8/MVK=0.0
!
!URG8/MCR=0.0
!
!URG8/MGLY=0.0
!
!URG8/GLY=0.0
!
!URG8/ORA1=0.0
!
!URG8/ORA2=0.0
!
!URG8/ACID=0.0
!
!URG8/UR28=0.0
!
!URG8/UR21=0.0
!
!URG8/URG2=0.0
!
!URG8/UR26=0.0
!
!URG8/RPG2=0.0
!
!URG8/RP18=0.0
!
!URG8/RPG3=0.0
!
!URG8/URG4=0.0
!
!URG8/UR8=0.0
!
!URG8/UR17=0.0
!
!URG8/UR7=0.0
!
!URG8/RPR3=0.0
!
!URG8/URG6=0.0
!
!URG8/UR22=0.0
!
!URG8/URG7=0.0
!
!URG8/RPR4=0.0
!
!URG8/RPR7=0.0
!
!URG8/RPG7=0.0
!
!URG8/URG8=-K354
 PJAC(:,64,64)=-TPK%K354(:)
!
!URG8/UR19=0.0
!
!URG8/URG9=0.0
!
!URG8/AP7=0.0
!
!URG8/URG10=0.0
!
!URG8/RPR1=0.0
!
!URG8/RPR5=0.0
!
!URG8/RPR8=0.0
!
!URG8/RP10=0.0
!
!URG8/RP11=0.0
!
!URG8/RP16=0.0
!
!URG8/RPRL=0.0
!
!URG8/APAN=0.0
!
!URG8/PAN1=0.0
!
!URG8/PAN2=0.0
!
!URG8/PAN3=0.0
!
!URG8/PAN4=0.0
!
!URG8/PAN6=0.0
!
!URG8/PAN7=0.0
!
!URG8/PAN8=0.0
!
!URG8/PN10=0.0
!
!URG8/RO2T=0.0
!
!URG8/RO21=0.0
!
!URG8/RO25=0.0
!
!UR19/NO=+TPK%CF32*K221*<RO231>
 PJAC(:,65,1)=+TPK%CF32*TPK%K221(:)*TPK%RO231(:)
!
!UR19/NO2=0.0
!
!UR19/O3=0.0
!
!UR19/HONO=0.0
!
!UR19/HNO3=0.0
!
!UR19/HNO4=0.0
!
!UR19/N2O5=0.0
!
!UR19/NO3=0.0
!
!UR19/NH3=0.0
!
!UR19/HO2=+K223*<RO231>
 PJAC(:,65,10)=+TPK%K223(:)*TPK%RO231(:)
!
!UR19/CO=0.0
!
!UR19/H2O2=0.0
!
!UR19/SO2=0.0
!
!UR19/H2SO4=0.0
!
!UR19/OH=0.0
!
!UR19/ETHE=0.0
!
!UR19/OLEL=0.0
!
!UR19/OLEH=0.0
!
!UR19/ALKL=0.0
!
!UR19/ALKM=0.0
!
!UR19/ALKH=0.0
!
!UR19/AROH=0.0
!
!UR19/AROL=0.0
!
!UR19/AROO=0.0
!
!UR19/ARAL=0.0
!
!UR19/ARAC=0.0
!
!UR19/PAH=0.0
!
!UR19/HCHO=0.0
!
!UR19/ALD2=0.0
!
!UR19/KETL=0.0
!
!UR19/KETH=0.0
!
!UR19/MEOH=0.0
!
!UR19/ETOH=0.0
!
!UR19/ALCH=0.0
!
!UR19/ISOP=0.0
!
!UR19/BIOL=0.0
!
!UR19/BIOH=0.0
!
!UR19/MTBE=0.0
!
!UR19/MVK=0.0
!
!UR19/MCR=0.0
!
!UR19/MGLY=0.0
!
!UR19/GLY=0.0
!
!UR19/ORA1=0.0
!
!UR19/ORA2=0.0
!
!UR19/ACID=0.0
!
!UR19/UR28=0.0
!
!UR19/UR21=0.0
!
!UR19/URG2=0.0
!
!UR19/UR26=0.0
!
!UR19/RPG2=0.0
!
!UR19/RP18=0.0
!
!UR19/RPG3=0.0
!
!UR19/URG4=0.0
!
!UR19/UR8=0.0
!
!UR19/UR17=0.0
!
!UR19/UR7=0.0
!
!UR19/RPR3=0.0
!
!UR19/URG6=0.0
!
!UR19/UR22=0.0
!
!UR19/URG7=0.0
!
!UR19/RPR4=0.0
!
!UR19/RPR7=0.0
!
!UR19/RPG7=0.0
!
!UR19/URG8=0.0
!
!UR19/UR19=-K360
 PJAC(:,65,65)=-TPK%K360(:)
!
!UR19/URG9=0.0
!
!UR19/AP7=0.0
!
!UR19/URG10=0.0
!
!UR19/RPR1=0.0
!
!UR19/RPR5=0.0
!
!UR19/RPR8=0.0
!
!UR19/RP10=0.0
!
!UR19/RP11=0.0
!
!UR19/RP16=0.0
!
!UR19/RPRL=0.0
!
!UR19/APAN=0.0
!
!UR19/PAN1=0.0
!
!UR19/PAN2=0.0
!
!UR19/PAN3=0.0
!
!UR19/PAN4=0.0
!
!UR19/PAN6=0.0
!
!UR19/PAN7=0.0
!
!UR19/PAN8=0.0
!
!UR19/PN10=0.0
!
!UR19/RO2T=+K222*<RO231>
 PJAC(:,65,85)=+TPK%K222(:)*TPK%RO231(:)
!
!UR19/RO21=0.0
!
!UR19/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ12
!
SUBROUTINE SUBJ13
!
!Indices 66 a 70
!
!
!URG9/NO=+TPK%CFA14*K224*<RO232>+TPK%CFA16*K227*<RO241>+TPK%CFA15*K227*<RO241>
 PJAC(:,66,1)=+TPK%CFA14*TPK%K224(:)*TPK%RO232(:)+TPK%CFA16*TPK%K227(:)*TPK%RO2&
&41(:)+TPK%CFA15*TPK%K227(:)*TPK%RO241(:)
!
!URG9/NO2=0.0
!
!URG9/O3=0.0
!
!URG9/HONO=0.0
!
!URG9/HNO3=0.0
!
!URG9/HNO4=0.0
!
!URG9/N2O5=0.0
!
!URG9/NO3=0.0
!
!URG9/NH3=0.0
!
!URG9/HO2=+0.9999996*K229*<RO241>
 PJAC(:,66,10)=+0.9999996*TPK%K229(:)*TPK%RO241(:)
!
!URG9/CO=0.0
!
!URG9/H2O2=0.0
!
!URG9/SO2=0.0
!
!URG9/H2SO4=0.0
!
!URG9/OH=0.0
!
!URG9/ETHE=0.0
!
!URG9/OLEL=0.0
!
!URG9/OLEH=0.0
!
!URG9/ALKL=0.0
!
!URG9/ALKM=0.0
!
!URG9/ALKH=0.0
!
!URG9/AROH=0.0
!
!URG9/AROL=0.0
!
!URG9/AROO=0.0
!
!URG9/ARAL=0.0
!
!URG9/ARAC=0.0
!
!URG9/PAH=0.0
!
!URG9/HCHO=0.0
!
!URG9/ALD2=0.0
!
!URG9/KETL=0.0
!
!URG9/KETH=0.0
!
!URG9/MEOH=0.0
!
!URG9/ETOH=0.0
!
!URG9/ALCH=0.0
!
!URG9/ISOP=0.0
!
!URG9/BIOL=0.0
!
!URG9/BIOH=0.0
!
!URG9/MTBE=0.0
!
!URG9/MVK=0.0
!
!URG9/MCR=0.0
!
!URG9/MGLY=0.0
!
!URG9/GLY=0.0
!
!URG9/ORA1=0.0
!
!URG9/ORA2=0.0
!
!URG9/ACID=0.0
!
!URG9/UR28=0.0
!
!URG9/UR21=0.0
!
!URG9/URG2=0.0
!
!URG9/UR26=0.0
!
!URG9/RPG2=0.0
!
!URG9/RP18=0.0
!
!URG9/RPG3=0.0
!
!URG9/URG4=0.0
!
!URG9/UR8=0.0
!
!URG9/UR17=0.0
!
!URG9/UR7=0.0
!
!URG9/RPR3=0.0
!
!URG9/URG6=0.0
!
!URG9/UR22=0.0
!
!URG9/URG7=0.0
!
!URG9/RPR4=0.0
!
!URG9/RPR7=0.0
!
!URG9/RPG7=0.0
!
!URG9/URG8=0.0
!
!URG9/UR19=0.0
!
!URG9/URG9=-K355
 PJAC(:,66,66)=-TPK%K355(:)
!
!URG9/AP7=0.0
!
!URG9/URG10=0.0
!
!URG9/RPR1=0.0
!
!URG9/RPR5=0.0
!
!URG9/RPR8=0.0
!
!URG9/RP10=0.0
!
!URG9/RP11=0.0
!
!URG9/RP16=0.0
!
!URG9/RPRL=0.0
!
!URG9/APAN=0.0
!
!URG9/PAN1=0.0
!
!URG9/PAN2=0.0
!
!URG9/PAN3=0.0
!
!URG9/PAN4=0.0
!
!URG9/PAN6=0.0
!
!URG9/PAN7=0.0
!
!URG9/PAN8=0.0
!
!URG9/PN10=0.0
!
!URG9/RO2T=+0.9999996*K228*<RO241>
 PJAC(:,66,85)=+0.9999996*TPK%K228(:)*TPK%RO241(:)
!
!URG9/RO21=0.0
!
!URG9/RO25=0.0
!
!AP7/NO=+TPK%CFA23*K198*<RO224>
 PJAC(:,67,1)=+TPK%CFA23*TPK%K198(:)*TPK%RO224(:)
!
!AP7/NO2=0.0
!
!AP7/O3=0.0
!
!AP7/HONO=0.0
!
!AP7/HNO3=0.0
!
!AP7/HNO4=0.0
!
!AP7/N2O5=0.0
!
!AP7/NO3=0.0
!
!AP7/NH3=0.0
!
!AP7/HO2=0.0
!
!AP7/CO=0.0
!
!AP7/H2O2=0.0
!
!AP7/SO2=0.0
!
!AP7/H2SO4=0.0
!
!AP7/OH=0.0
!
!AP7/ETHE=0.0
!
!AP7/OLEL=0.0
!
!AP7/OLEH=0.0
!
!AP7/ALKL=0.0
!
!AP7/ALKM=0.0
!
!AP7/ALKH=0.0
!
!AP7/AROH=0.0
!
!AP7/AROL=0.0
!
!AP7/AROO=0.0
!
!AP7/ARAL=0.0
!
!AP7/ARAC=0.0
!
!AP7/PAH=0.0
!
!AP7/HCHO=0.0
!
!AP7/ALD2=0.0
!
!AP7/KETL=0.0
!
!AP7/KETH=0.0
!
!AP7/MEOH=0.0
!
!AP7/ETOH=0.0
!
!AP7/ALCH=0.0
!
!AP7/ISOP=0.0
!
!AP7/BIOL=0.0
!
!AP7/BIOH=0.0
!
!AP7/MTBE=0.0
!
!AP7/MVK=0.0
!
!AP7/MCR=0.0
!
!AP7/MGLY=0.0
!
!AP7/GLY=0.0
!
!AP7/ORA1=0.0
!
!AP7/ORA2=0.0
!
!AP7/ACID=0.0
!
!AP7/UR28=0.0
!
!AP7/UR21=0.0
!
!AP7/URG2=0.0
!
!AP7/UR26=0.0
!
!AP7/RPG2=0.0
!
!AP7/RP18=0.0
!
!AP7/RPG3=0.0
!
!AP7/URG4=0.0
!
!AP7/UR8=0.0
!
!AP7/UR17=0.0
!
!AP7/UR7=0.0
!
!AP7/RPR3=0.0
!
!AP7/URG6=0.0
!
!AP7/UR22=0.0
!
!AP7/URG7=0.0
!
!AP7/RPR4=0.0
!
!AP7/RPR7=0.0
!
!AP7/RPG7=0.0
!
!AP7/URG8=0.0
!
!AP7/UR19=0.0
!
!AP7/URG9=0.0
!
!AP7/AP7=-K365
 PJAC(:,67,67)=-TPK%K365(:)
!
!AP7/URG10=0.0
!
!AP7/RPR1=0.0
!
!AP7/RPR5=0.0
!
!AP7/RPR8=0.0
!
!AP7/RP10=0.0
!
!AP7/RP11=0.0
!
!AP7/RP16=0.0
!
!AP7/RPRL=0.0
!
!AP7/APAN=0.0
!
!AP7/PAN1=0.0
!
!AP7/PAN2=0.0
!
!AP7/PAN3=0.0
!
!AP7/PAN4=0.0
!
!AP7/PAN6=0.0
!
!AP7/PAN7=0.0
!
!AP7/PAN8=0.0
!
!AP7/PN10=0.0
!
!AP7/RO2T=0.0
!
!AP7/RO21=0.0
!
!AP7/RO25=0.0
!
!URG10/NO=+TPK%CF27*K207*<RO227>
 PJAC(:,68,1)=+TPK%CF27*TPK%K207(:)*TPK%RO227(:)
!
!URG10/NO2=0.0
!
!URG10/O3=0.0
!
!URG10/HONO=0.0
!
!URG10/HNO3=0.0
!
!URG10/HNO4=0.0
!
!URG10/N2O5=0.0
!
!URG10/NO3=0.0
!
!URG10/NH3=0.0
!
!URG10/HO2=0.0
!
!URG10/CO=0.0
!
!URG10/H2O2=0.0
!
!URG10/SO2=0.0
!
!URG10/H2SO4=0.0
!
!URG10/OH=0.0
!
!URG10/ETHE=0.0
!
!URG10/OLEL=0.0
!
!URG10/OLEH=0.0
!
!URG10/ALKL=0.0
!
!URG10/ALKM=0.0
!
!URG10/ALKH=0.0
!
!URG10/AROH=0.0
!
!URG10/AROL=0.0
!
!URG10/AROO=0.0
!
!URG10/ARAL=0.0
!
!URG10/ARAC=0.0
!
!URG10/PAH=0.0
!
!URG10/HCHO=0.0
!
!URG10/ALD2=0.0
!
!URG10/KETL=0.0
!
!URG10/KETH=0.0
!
!URG10/MEOH=0.0
!
!URG10/ETOH=0.0
!
!URG10/ALCH=0.0
!
!URG10/ISOP=0.0
!
!URG10/BIOL=+0.2500000*K087*<O>+0.7500000*K087*<O>
 PJAC(:,68,36)=+0.2500000*TPK%K087(:)*TPK%O(:)+0.7500000*TPK%K087(:)*TPK%O(:)
!
!URG10/BIOH=0.0
!
!URG10/MTBE=0.0
!
!URG10/MVK=0.0
!
!URG10/MCR=0.0
!
!URG10/MGLY=0.0
!
!URG10/GLY=0.0
!
!URG10/ORA1=0.0
!
!URG10/ORA2=0.0
!
!URG10/ACID=0.0
!
!URG10/UR28=0.0
!
!URG10/UR21=0.0
!
!URG10/URG2=0.0
!
!URG10/UR26=0.0
!
!URG10/RPG2=0.0
!
!URG10/RP18=0.0
!
!URG10/RPG3=0.0
!
!URG10/URG4=0.0
!
!URG10/UR8=0.0
!
!URG10/UR17=0.0
!
!URG10/UR7=0.0
!
!URG10/RPR3=0.0
!
!URG10/URG6=0.0
!
!URG10/UR22=0.0
!
!URG10/URG7=0.0
!
!URG10/RPR4=0.0
!
!URG10/RPR7=0.0
!
!URG10/RPG7=0.0
!
!URG10/URG8=0.0
!
!URG10/UR19=0.0
!
!URG10/URG9=0.0
!
!URG10/AP7=0.0
!
!URG10/URG10=-K356
 PJAC(:,68,68)=-TPK%K356(:)
!
!URG10/RPR1=0.0
!
!URG10/RPR5=0.0
!
!URG10/RPR8=0.0
!
!URG10/RP10=0.0
!
!URG10/RP11=0.0
!
!URG10/RP16=0.0
!
!URG10/RPRL=0.0
!
!URG10/APAN=0.0
!
!URG10/PAN1=0.0
!
!URG10/PAN2=0.0
!
!URG10/PAN3=0.0
!
!URG10/PAN4=0.0
!
!URG10/PAN6=0.0
!
!URG10/PAN7=0.0
!
!URG10/PAN8=0.0
!
!URG10/PN10=0.0
!
!URG10/RO2T=0.0
!
!URG10/RO21=0.0
!
!URG10/RO25=0.0
!
!RPR1/NO=+K183*<RO219>
 PJAC(:,69,1)=+TPK%K183(:)*TPK%RO219(:)
!
!RPR1/NO2=0.0
!
!RPR1/O3=+0.5*K076*<OLEH>
 PJAC(:,69,3)=+0.5*TPK%K076(:)*PCONC(:,18)
!
!RPR1/HONO=0.0
!
!RPR1/HNO3=0.0
!
!RPR1/HNO4=0.0
!
!RPR1/N2O5=0.0
!
!RPR1/NO3=-K307*<RPR1>
 PJAC(:,69,8)=-TPK%K307(:)*PCONC(:,69)
!
!RPR1/NH3=0.0
!
!RPR1/HO2=+K185*<RO219>
 PJAC(:,69,10)=+TPK%K185(:)*TPK%RO219(:)
!
!RPR1/CO=0.0
!
!RPR1/H2O2=0.0
!
!RPR1/SO2=0.0
!
!RPR1/H2SO4=0.0
!
!RPR1/OH=-K304*<RPR1>
 PJAC(:,69,15)=-TPK%K304(:)*PCONC(:,69)
!
!RPR1/ETHE=0.0
!
!RPR1/OLEL=0.0
!
!RPR1/OLEH=+0.5*K076*<O3>+0.4*K077*<O>
 PJAC(:,69,18)=+0.5*TPK%K076(:)*PCONC(:,3)+0.4*TPK%K077(:)*TPK%O(:)
!
!RPR1/ALKL=0.0
!
!RPR1/ALKM=0.0
!
!RPR1/ALKH=0.0
!
!RPR1/AROH=0.0
!
!RPR1/AROL=0.0
!
!RPR1/AROO=0.0
!
!RPR1/ARAL=0.0
!
!RPR1/ARAC=0.0
!
!RPR1/PAH=0.0
!
!RPR1/HCHO=0.0
!
!RPR1/ALD2=0.0
!
!RPR1/KETL=0.0
!
!RPR1/KETH=0.0
!
!RPR1/MEOH=0.0
!
!RPR1/ETOH=0.0
!
!RPR1/ALCH=0.0
!
!RPR1/ISOP=0.0
!
!RPR1/BIOL=0.0
!
!RPR1/BIOH=0.0
!
!RPR1/MTBE=0.0
!
!RPR1/MVK=0.0
!
!RPR1/MCR=0.0
!
!RPR1/MGLY=0.0
!
!RPR1/GLY=0.0
!
!RPR1/ORA1=0.0
!
!RPR1/ORA2=0.0
!
!RPR1/ACID=0.0
!
!RPR1/UR28=0.0
!
!RPR1/UR21=0.0
!
!RPR1/URG2=0.0
!
!RPR1/UR26=0.0
!
!RPR1/RPG2=0.0
!
!RPR1/RP18=0.0
!
!RPR1/RPG3=0.0
!
!RPR1/URG4=0.0
!
!RPR1/UR8=0.0
!
!RPR1/UR17=0.0
!
!RPR1/UR7=0.0
!
!RPR1/RPR3=0.0
!
!RPR1/URG6=0.0
!
!RPR1/UR22=0.0
!
!RPR1/URG7=0.0
!
!RPR1/RPR4=0.0
!
!RPR1/RPR7=0.0
!
!RPR1/RPG7=0.0
!
!RPR1/URG8=0.0
!
!RPR1/UR19=0.0
!
!RPR1/URG9=0.0
!
!RPR1/AP7=0.0
!
!RPR1/URG10=0.0
!
!RPR1/RPR1=-K304*<OH>-K307*<NO3>-K308
 PJAC(:,69,69)=-TPK%K304(:)*PCONC(:,15)-TPK%K307(:)*PCONC(:,8)-TPK%K308(:)
!
!RPR1/RPR5=0.0
!
!RPR1/RPR8=0.0
!
!RPR1/RP10=0.0
!
!RPR1/RP11=0.0
!
!RPR1/RP16=0.0
!
!RPR1/RPRL=0.0
!
!RPR1/APAN=0.0
!
!RPR1/PAN1=0.0
!
!RPR1/PAN2=0.0
!
!RPR1/PAN3=0.0
!
!RPR1/PAN4=0.0
!
!RPR1/PAN6=0.0
!
!RPR1/PAN7=0.0
!
!RPR1/PAN8=0.0
!
!RPR1/PN10=0.0
!
!RPR1/RO2T=+K184*<RO219>
 PJAC(:,69,85)=+TPK%K184(:)*TPK%RO219(:)
!
!RPR1/RO21=0.0
!
!RPR1/RO25=0.0
!
!RPR5/NO=0.0
!
!RPR5/NO2=+K107*<RAD5>
 PJAC(:,70,2)=+TPK%K107(:)*TPK%RAD5(:)
!
!RPR5/O3=0.0
!
!RPR5/HONO=0.0
!
!RPR5/HNO3=0.0
!
!RPR5/HNO4=0.0
!
!RPR5/N2O5=0.0
!
!RPR5/NO3=0.0
!
!RPR5/NH3=0.0
!
!RPR5/HO2=0.0
!
!RPR5/CO=0.0
!
!RPR5/H2O2=0.0
!
!RPR5/SO2=0.0
!
!RPR5/H2SO4=0.0
!
!RPR5/OH=-K303*<RPR5>
 PJAC(:,70,15)=-TPK%K303(:)*PCONC(:,70)
!
!RPR5/ETHE=0.0
!
!RPR5/OLEL=0.0
!
!RPR5/OLEH=0.0
!
!RPR5/ALKL=0.0
!
!RPR5/ALKM=0.0
!
!RPR5/ALKH=0.0
!
!RPR5/AROH=0.0
!
!RPR5/AROL=0.0
!
!RPR5/AROO=0.0
!
!RPR5/ARAL=0.0
!
!RPR5/ARAC=0.0
!
!RPR5/PAH=0.0
!
!RPR5/HCHO=0.0
!
!RPR5/ALD2=0.0
!
!RPR5/KETL=0.0
!
!RPR5/KETH=0.0
!
!RPR5/MEOH=0.0
!
!RPR5/ETOH=0.0
!
!RPR5/ALCH=0.0
!
!RPR5/ISOP=0.0
!
!RPR5/BIOL=0.0
!
!RPR5/BIOH=0.0
!
!RPR5/MTBE=0.0
!
!RPR5/MVK=0.0
!
!RPR5/MCR=0.0
!
!RPR5/MGLY=0.0
!
!RPR5/GLY=0.0
!
!RPR5/ORA1=0.0
!
!RPR5/ORA2=0.0
!
!RPR5/ACID=0.0
!
!RPR5/UR28=0.0
!
!RPR5/UR21=0.0
!
!RPR5/URG2=0.0
!
!RPR5/UR26=0.0
!
!RPR5/RPG2=0.0
!
!RPR5/RP18=0.0
!
!RPR5/RPG3=0.0
!
!RPR5/URG4=0.0
!
!RPR5/UR8=0.0
!
!RPR5/UR17=0.0
!
!RPR5/UR7=0.0
!
!RPR5/RPR3=0.0
!
!RPR5/URG6=0.0
!
!RPR5/UR22=0.0
!
!RPR5/URG7=0.0
!
!RPR5/RPR4=0.0
!
!RPR5/RPR7=0.0
!
!RPR5/RPG7=0.0
!
!RPR5/URG8=0.0
!
!RPR5/UR19=0.0
!
!RPR5/URG9=0.0
!
!RPR5/AP7=0.0
!
!RPR5/URG10=0.0
!
!RPR5/RPR1=0.0
!
!RPR5/RPR5=-K303*<OH>
 PJAC(:,70,70)=-TPK%K303(:)*PCONC(:,15)
!
!RPR5/RPR8=0.0
!
!RPR5/RP10=0.0
!
!RPR5/RP11=0.0
!
!RPR5/RP16=0.0
!
!RPR5/RPRL=0.0
!
!RPR5/APAN=0.0
!
!RPR5/PAN1=0.0
!
!RPR5/PAN2=0.0
!
!RPR5/PAN3=0.0
!
!RPR5/PAN4=0.0
!
!RPR5/PAN6=0.0
!
!RPR5/PAN7=0.0
!
!RPR5/PAN8=0.0
!
!RPR5/PN10=0.0
!
!RPR5/RO2T=0.0
!
!RPR5/RO21=0.0
!
!RPR5/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ13
!
SUBROUTINE SUBJ14
!
!Indices 71 a 75
!
!
!RPR8/NO=+K216*<RO240>
 PJAC(:,71,1)=+TPK%K216(:)*TPK%RO240(:)
!
!RPR8/NO2=0.0
!
!RPR8/O3=0.0
!
!RPR8/HONO=0.0
!
!RPR8/HNO3=0.0
!
!RPR8/HNO4=0.0
!
!RPR8/N2O5=0.0
!
!RPR8/NO3=-K327*<RPR8>
 PJAC(:,71,8)=-TPK%K327(:)*PCONC(:,71)
!
!RPR8/NH3=0.0
!
!RPR8/HO2=+K218*<RO240>
 PJAC(:,71,10)=+TPK%K218(:)*TPK%RO240(:)
!
!RPR8/CO=0.0
!
!RPR8/H2O2=0.0
!
!RPR8/SO2=0.0
!
!RPR8/H2SO4=0.0
!
!RPR8/OH=-K324*<RPR8>
 PJAC(:,71,15)=-TPK%K324(:)*PCONC(:,71)
!
!RPR8/ETHE=0.0
!
!RPR8/OLEL=0.0
!
!RPR8/OLEH=0.0
!
!RPR8/ALKL=0.0
!
!RPR8/ALKM=0.0
!
!RPR8/ALKH=0.0
!
!RPR8/AROH=0.0
!
!RPR8/AROL=0.0
!
!RPR8/AROO=0.0
!
!RPR8/ARAL=0.0
!
!RPR8/ARAC=0.0
!
!RPR8/PAH=0.0
!
!RPR8/HCHO=0.0
!
!RPR8/ALD2=0.0
!
!RPR8/KETL=0.0
!
!RPR8/KETH=0.0
!
!RPR8/MEOH=0.0
!
!RPR8/ETOH=0.0
!
!RPR8/ALCH=0.0
!
!RPR8/ISOP=0.0
!
!RPR8/BIOL=0.0
!
!RPR8/BIOH=0.0
!
!RPR8/MTBE=0.0
!
!RPR8/MVK=0.0
!
!RPR8/MCR=0.0
!
!RPR8/MGLY=0.0
!
!RPR8/GLY=0.0
!
!RPR8/ORA1=0.0
!
!RPR8/ORA2=0.0
!
!RPR8/ACID=0.0
!
!RPR8/UR28=0.0
!
!RPR8/UR21=0.0
!
!RPR8/URG2=0.0
!
!RPR8/UR26=0.0
!
!RPR8/RPG2=0.0
!
!RPR8/RP18=0.0
!
!RPR8/RPG3=0.0
!
!RPR8/URG4=0.0
!
!RPR8/UR8=0.0
!
!RPR8/UR17=0.0
!
!RPR8/UR7=0.0
!
!RPR8/RPR3=0.0
!
!RPR8/URG6=0.0
!
!RPR8/UR22=0.0
!
!RPR8/URG7=0.0
!
!RPR8/RPR4=0.0
!
!RPR8/RPR7=0.0
!
!RPR8/RPG7=0.0
!
!RPR8/URG8=0.0
!
!RPR8/UR19=0.0
!
!RPR8/URG9=0.0
!
!RPR8/AP7=0.0
!
!RPR8/URG10=0.0
!
!RPR8/RPR1=0.0
!
!RPR8/RPR5=0.0
!
!RPR8/RPR8=-K324*<OH>-K327*<NO3>-K329-K330
 PJAC(:,71,71)=-TPK%K324(:)*PCONC(:,15)-TPK%K327(:)*PCONC(:,8)-TPK%K329(:)-TPK%&
&K330(:)
!
!RPR8/RP10=0.0
!
!RPR8/RP11=0.0
!
!RPR8/RP16=0.0
!
!RPR8/RPRL=0.0
!
!RPR8/APAN=0.0
!
!RPR8/PAN1=0.0
!
!RPR8/PAN2=0.0
!
!RPR8/PAN3=0.0
!
!RPR8/PAN4=0.0
!
!RPR8/PAN6=0.0
!
!RPR8/PAN7=0.0
!
!RPR8/PAN8=0.0
!
!RPR8/PN10=0.0
!
!RPR8/RO2T=+K217*<RO240>
 PJAC(:,71,85)=+TPK%K217(:)*TPK%RO240(:)
!
!RPR8/RO21=0.0
!
!RPR8/RO25=0.0
!
!RP10/NO=+K234*<RO242>+K241*<RO243>+K248*<RO244>+K255*<RO245>+K262*<RO246>
 PJAC(:,72,1)=+TPK%K234(:)*TPK%RO242(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K248(:)*TP&
&K%RO244(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K262(:)*TPK%RO246(:)
!
!RP10/NO2=0.0
!
!RP10/O3=0.0
!
!RP10/HONO=0.0
!
!RP10/HNO3=0.0
!
!RP10/HNO4=0.0
!
!RP10/N2O5=0.0
!
!RP10/NO3=0.0
!
!RP10/NH3=0.0
!
!RP10/HO2=+K236*<RO242>+K243*<RO243>+K250*<RO244>+K257*<RO245>+K264*<RO246>
 PJAC(:,72,10)=+TPK%K236(:)*TPK%RO242(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K250(:)*T&
&PK%RO244(:)+TPK%K257(:)*TPK%RO245(:)+TPK%K264(:)*TPK%RO246(:)
!
!RP10/CO=0.0
!
!RP10/H2O2=0.0
!
!RP10/SO2=0.0
!
!RP10/H2SO4=0.0
!
!RP10/OH=-K325*<RP10>
 PJAC(:,72,15)=-TPK%K325(:)*PCONC(:,72)
!
!RP10/ETHE=0.0
!
!RP10/OLEL=0.0
!
!RP10/OLEH=0.0
!
!RP10/ALKL=0.0
!
!RP10/ALKM=0.0
!
!RP10/ALKH=0.0
!
!RP10/AROH=0.0
!
!RP10/AROL=0.0
!
!RP10/AROO=0.0
!
!RP10/ARAL=0.0
!
!RP10/ARAC=0.0
!
!RP10/PAH=0.0
!
!RP10/HCHO=0.0
!
!RP10/ALD2=0.0
!
!RP10/KETL=0.0
!
!RP10/KETH=0.0
!
!RP10/MEOH=0.0
!
!RP10/ETOH=0.0
!
!RP10/ALCH=0.0
!
!RP10/ISOP=0.0
!
!RP10/BIOL=0.0
!
!RP10/BIOH=0.0
!
!RP10/MTBE=0.0
!
!RP10/MVK=0.0
!
!RP10/MCR=0.0
!
!RP10/MGLY=0.0
!
!RP10/GLY=0.0
!
!RP10/ORA1=0.0
!
!RP10/ORA2=0.0
!
!RP10/ACID=0.0
!
!RP10/UR28=0.0
!
!RP10/UR21=0.0
!
!RP10/URG2=0.0
!
!RP10/UR26=0.0
!
!RP10/RPG2=0.0
!
!RP10/RP18=0.0
!
!RP10/RPG3=0.0
!
!RP10/URG4=0.0
!
!RP10/UR8=0.0
!
!RP10/UR17=0.0
!
!RP10/UR7=0.0
!
!RP10/RPR3=0.0
!
!RP10/URG6=0.0
!
!RP10/UR22=0.0
!
!RP10/URG7=0.0
!
!RP10/RPR4=0.0
!
!RP10/RPR7=0.0
!
!RP10/RPG7=0.0
!
!RP10/URG8=0.0
!
!RP10/UR19=0.0
!
!RP10/URG9=0.0
!
!RP10/AP7=0.0
!
!RP10/URG10=0.0
!
!RP10/RPR1=0.0
!
!RP10/RPR5=0.0
!
!RP10/RPR8=0.0
!
!RP10/RP10=-K325*<OH>-K328
 PJAC(:,72,72)=-TPK%K325(:)*PCONC(:,15)-TPK%K328(:)
!
!RP10/RP11=0.0
!
!RP10/RP16=0.0
!
!RP10/RPRL=0.0
!
!RP10/APAN=0.0
!
!RP10/PAN1=0.0
!
!RP10/PAN2=0.0
!
!RP10/PAN3=0.0
!
!RP10/PAN4=0.0
!
!RP10/PAN6=0.0
!
!RP10/PAN7=0.0
!
!RP10/PAN8=0.0
!
!RP10/PN10=0.0
!
!RP10/RO2T=+K235*<RO242>+K242*<RO243>+K249*<RO244>+K256*<RO245>+K263*<RO246>
 PJAC(:,72,85)=+TPK%K235(:)*TPK%RO242(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K249(:)*T&
&PK%RO244(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K263(:)*TPK%RO246(:)
!
!RP10/RO21=0.0
!
!RP10/RO25=0.0
!
!RP11/NO=+0.3*K238*<RO234>+0.5*K245*<RO235>
 PJAC(:,73,1)=+0.3*TPK%K238(:)*TPK%RO234(:)+0.5*TPK%K245(:)*TPK%RO235(:)
!
!RP11/NO2=0.0
!
!RP11/O3=0.0
!
!RP11/HONO=0.0
!
!RP11/HNO3=0.0
!
!RP11/HNO4=0.0
!
!RP11/N2O5=0.0
!
!RP11/NO3=0.0
!
!RP11/NH3=0.0
!
!RP11/HO2=+0.3*K240*<RO234>+K247*<RO235>
 PJAC(:,73,10)=+0.3*TPK%K240(:)*TPK%RO234(:)+TPK%K247(:)*TPK%RO235(:)
!
!RP11/CO=0.0
!
!RP11/H2O2=0.0
!
!RP11/SO2=0.0
!
!RP11/H2SO4=0.0
!
!RP11/OH=-K326*<RP11>
 PJAC(:,73,15)=-TPK%K326(:)*PCONC(:,73)
!
!RP11/ETHE=0.0
!
!RP11/OLEL=0.0
!
!RP11/OLEH=0.0
!
!RP11/ALKL=0.0
!
!RP11/ALKM=0.0
!
!RP11/ALKH=0.0
!
!RP11/AROH=0.0
!
!RP11/AROL=0.0
!
!RP11/AROO=0.0
!
!RP11/ARAL=0.0
!
!RP11/ARAC=0.0
!
!RP11/PAH=0.0
!
!RP11/HCHO=0.0
!
!RP11/ALD2=0.0
!
!RP11/KETL=0.0
!
!RP11/KETH=0.0
!
!RP11/MEOH=0.0
!
!RP11/ETOH=0.0
!
!RP11/ALCH=0.0
!
!RP11/ISOP=0.0
!
!RP11/BIOL=0.0
!
!RP11/BIOH=0.0
!
!RP11/MTBE=0.0
!
!RP11/MVK=0.0
!
!RP11/MCR=0.0
!
!RP11/MGLY=0.0
!
!RP11/GLY=0.0
!
!RP11/ORA1=0.0
!
!RP11/ORA2=0.0
!
!RP11/ACID=0.0
!
!RP11/UR28=0.0
!
!RP11/UR21=0.0
!
!RP11/URG2=0.0
!
!RP11/UR26=0.0
!
!RP11/RPG2=0.0
!
!RP11/RP18=0.0
!
!RP11/RPG3=0.0
!
!RP11/URG4=0.0
!
!RP11/UR8=0.0
!
!RP11/UR17=0.0
!
!RP11/UR7=0.0
!
!RP11/RPR3=0.0
!
!RP11/URG6=0.0
!
!RP11/UR22=0.0
!
!RP11/URG7=0.0
!
!RP11/RPR4=0.0
!
!RP11/RPR7=0.0
!
!RP11/RPG7=0.0
!
!RP11/URG8=0.0
!
!RP11/UR19=0.0
!
!RP11/URG9=0.0
!
!RP11/AP7=0.0
!
!RP11/URG10=0.0
!
!RP11/RPR1=0.0
!
!RP11/RPR5=0.0
!
!RP11/RPR8=0.0
!
!RP11/RP10=0.0
!
!RP11/RP11=-K326*<OH>
 PJAC(:,73,73)=-TPK%K326(:)*PCONC(:,15)
!
!RP11/RP16=0.0
!
!RP11/RPRL=0.0
!
!RP11/APAN=0.0
!
!RP11/PAN1=0.0
!
!RP11/PAN2=0.0
!
!RP11/PAN3=0.0
!
!RP11/PAN4=0.0
!
!RP11/PAN6=0.0
!
!RP11/PAN7=0.0
!
!RP11/PAN8=0.0
!
!RP11/PN10=0.0
!
!RP11/RO2T=+K239*<RO234>+K246*<RO235>
 PJAC(:,73,85)=+TPK%K239(:)*TPK%RO234(:)+TPK%K246(:)*TPK%RO235(:)
!
!RP11/RO21=0.0
!
!RP11/RO25=0.0
!
!RP16/NO=0.0
!
!RP16/NO2=0.0
!
!RP16/O3=0.0
!
!RP16/HONO=0.0
!
!RP16/HNO3=0.0
!
!RP16/HNO4=0.0
!
!RP16/N2O5=0.0
!
!RP16/NO3=-K338*<RP16>
 PJAC(:,74,8)=-TPK%K338(:)*PCONC(:,74)
!
!RP16/NH3=0.0
!
!RP16/HO2=+K301*<RO254>
 PJAC(:,74,10)=+TPK%K301(:)*TPK%RO254(:)
!
!RP16/CO=0.0
!
!RP16/H2O2=0.0
!
!RP16/SO2=0.0
!
!RP16/H2SO4=0.0
!
!RP16/OH=-K305*<RP16>
 PJAC(:,74,15)=-TPK%K305(:)*PCONC(:,74)
!
!RP16/ETHE=0.0
!
!RP16/OLEL=0.0
!
!RP16/OLEH=0.0
!
!RP16/ALKL=0.0
!
!RP16/ALKM=0.0
!
!RP16/ALKH=0.0
!
!RP16/AROH=0.0
!
!RP16/AROL=0.0
!
!RP16/AROO=0.0
!
!RP16/ARAL=0.0
!
!RP16/ARAC=0.0
!
!RP16/PAH=0.0
!
!RP16/HCHO=0.0
!
!RP16/ALD2=0.0
!
!RP16/KETL=0.0
!
!RP16/KETH=0.0
!
!RP16/MEOH=0.0
!
!RP16/ETOH=0.0
!
!RP16/ALCH=0.0
!
!RP16/ISOP=0.0
!
!RP16/BIOL=0.0
!
!RP16/BIOH=0.0
!
!RP16/MTBE=0.0
!
!RP16/MVK=0.0
!
!RP16/MCR=0.0
!
!RP16/MGLY=0.0
!
!RP16/GLY=0.0
!
!RP16/ORA1=0.0
!
!RP16/ORA2=0.0
!
!RP16/ACID=0.0
!
!RP16/UR28=0.0
!
!RP16/UR21=0.0
!
!RP16/URG2=0.0
!
!RP16/UR26=0.0
!
!RP16/RPG2=0.0
!
!RP16/RP18=0.0
!
!RP16/RPG3=0.0
!
!RP16/URG4=0.0
!
!RP16/UR8=0.0
!
!RP16/UR17=0.0
!
!RP16/UR7=0.0
!
!RP16/RPR3=0.0
!
!RP16/URG6=0.0
!
!RP16/UR22=0.0
!
!RP16/URG7=0.0
!
!RP16/RPR4=0.0
!
!RP16/RPR7=0.0
!
!RP16/RPG7=0.0
!
!RP16/URG8=0.0
!
!RP16/UR19=0.0
!
!RP16/URG9=0.0
!
!RP16/AP7=0.0
!
!RP16/URG10=0.0
!
!RP16/RPR1=0.0
!
!RP16/RPR5=0.0
!
!RP16/RPR8=0.0
!
!RP16/RP10=0.0
!
!RP16/RP11=0.0
!
!RP16/RP16=-K305*<OH>-K338*<NO3>-K339
 PJAC(:,74,74)=-TPK%K305(:)*PCONC(:,15)-TPK%K338(:)*PCONC(:,8)-TPK%K339(:)
!
!RP16/RPRL=0.0
!
!RP16/APAN=0.0
!
!RP16/PAN1=0.0
!
!RP16/PAN2=0.0
!
!RP16/PAN3=0.0
!
!RP16/PAN4=0.0
!
!RP16/PAN6=0.0
!
!RP16/PAN7=0.0
!
!RP16/PAN8=0.0
!
!RP16/PN10=0.0
!
!RP16/RO2T=0.0
!
!RP16/RO21=0.0
!
!RP16/RO25=0.0
!
!RPRL/NO=+TPK%CFA2*K177*<RO217>+TPK%CFA7*K192*<RO222>+1.0023998*K269*<RO247>
 PJAC(:,75,1)=+TPK%CFA2*TPK%K177(:)*TPK%RO217(:)+TPK%CFA7*TPK%K192(:)*TPK%RO222&
&(:)+1.0023998*TPK%K269(:)*TPK%RO247(:)
!
!RPRL/NO2=0.0
!
!RPRL/O3=0.0
!
!RPRL/HONO=0.0
!
!RPRL/HNO3=0.0
!
!RPRL/HNO4=0.0
!
!RPRL/N2O5=0.0
!
!RPRL/NO3=0.0
!
!RPRL/NH3=0.0
!
!RPRL/HO2=+0.9983609*K179*<RO217>+0.9983609*K194*<RO222>+1.0023998*K271*<RO247>
 PJAC(:,75,10)=+0.9983609*TPK%K179(:)*TPK%RO217(:)+0.9983609*TPK%K194(:)*TPK%RO&
&222(:)+1.0023998*TPK%K271(:)*TPK%RO247(:)
!
!RPRL/CO=0.0
!
!RPRL/H2O2=0.0
!
!RPRL/SO2=0.0
!
!RPRL/H2SO4=0.0
!
!RPRL/OH=+0.9983609*K082*<ARAL>-K306*<RPRL>
 PJAC(:,75,15)=+0.9983609*TPK%K082(:)*PCONC(:,25)-TPK%K306(:)*PCONC(:,75)
!
!RPRL/ETHE=0.0
!
!RPRL/OLEL=0.0
!
!RPRL/OLEH=0.0
!
!RPRL/ALKL=0.0
!
!RPRL/ALKM=0.0
!
!RPRL/ALKH=0.0
!
!RPRL/AROH=0.0
!
!RPRL/AROL=0.0
!
!RPRL/AROO=0.0
!
!RPRL/ARAL=+0.9983609*K082*<OH>
 PJAC(:,75,25)=+0.9983609*TPK%K082(:)*PCONC(:,15)
!
!RPRL/ARAC=0.0
!
!RPRL/PAH=0.0
!
!RPRL/HCHO=0.0
!
!RPRL/ALD2=0.0
!
!RPRL/KETL=0.0
!
!RPRL/KETH=0.0
!
!RPRL/MEOH=0.0
!
!RPRL/ETOH=0.0
!
!RPRL/ALCH=0.0
!
!RPRL/ISOP=0.0
!
!RPRL/BIOL=0.0
!
!RPRL/BIOH=0.0
!
!RPRL/MTBE=0.0
!
!RPRL/MVK=0.0
!
!RPRL/MCR=0.0
!
!RPRL/MGLY=0.0
!
!RPRL/GLY=0.0
!
!RPRL/ORA1=0.0
!
!RPRL/ORA2=0.0
!
!RPRL/ACID=0.0
!
!RPRL/UR28=0.0
!
!RPRL/UR21=0.0
!
!RPRL/URG2=0.0
!
!RPRL/UR26=0.0
!
!RPRL/RPG2=0.0
!
!RPRL/RP18=0.0
!
!RPRL/RPG3=0.0
!
!RPRL/URG4=0.0
!
!RPRL/UR8=0.0
!
!RPRL/UR17=0.0
!
!RPRL/UR7=0.0
!
!RPRL/RPR3=0.0
!
!RPRL/URG6=0.0
!
!RPRL/UR22=0.0
!
!RPRL/URG7=0.0
!
!RPRL/RPR4=0.0
!
!RPRL/RPR7=0.0
!
!RPRL/RPG7=0.0
!
!RPRL/URG8=0.0
!
!RPRL/UR19=0.0
!
!RPRL/URG9=0.0
!
!RPRL/AP7=0.0
!
!RPRL/URG10=0.0
!
!RPRL/RPR1=0.0
!
!RPRL/RPR5=0.0
!
!RPRL/RPR8=0.0
!
!RPRL/RP10=0.0
!
!RPRL/RP11=0.0
!
!RPRL/RP16=0.0
!
!RPRL/RPRL=-K306*<OH>
 PJAC(:,75,75)=-TPK%K306(:)*PCONC(:,15)
!
!RPRL/APAN=0.0
!
!RPRL/PAN1=0.0
!
!RPRL/PAN2=0.0
!
!RPRL/PAN3=0.0
!
!RPRL/PAN4=0.0
!
!RPRL/PAN6=0.0
!
!RPRL/PAN7=0.0
!
!RPRL/PAN8=0.0
!
!RPRL/PN10=0.0
!
!RPRL/RO2T=+0.9983609*K178*<RO217>+0.9983609*K193*<RO222>+1.0023998*K270*<RO247
!>
 PJAC(:,75,85)=+0.9983609*TPK%K178(:)*TPK%RO217(:)+0.9983609*TPK%K193(:)*TPK%RO&
&222(:)+1.0023998*TPK%K270(:)*TPK%RO247(:)
!
!RPRL/RO21=0.0
!
!RPRL/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ14
!
SUBROUTINE SUBJ15
!
!Indices 76 a 80
!
!
!APAN/NO=0.0
!
!APAN/NO2=+K130*<RO250>+K133*<RO257>
 PJAC(:,76,2)=+TPK%K130(:)*TPK%RO250(:)+TPK%K133(:)*TPK%RO257(:)
!
!APAN/O3=0.0
!
!APAN/HONO=0.0
!
!APAN/HNO3=0.0
!
!APAN/HNO4=0.0
!
!APAN/N2O5=0.0
!
!APAN/NO3=0.0
!
!APAN/NH3=0.0
!
!APAN/HO2=0.0
!
!APAN/CO=0.0
!
!APAN/H2O2=0.0
!
!APAN/SO2=0.0
!
!APAN/H2SO4=0.0
!
!APAN/OH=0.0
!
!APAN/ETHE=0.0
!
!APAN/OLEL=0.0
!
!APAN/OLEH=0.0
!
!APAN/ALKL=0.0
!
!APAN/ALKM=0.0
!
!APAN/ALKH=0.0
!
!APAN/AROH=0.0
!
!APAN/AROL=0.0
!
!APAN/AROO=0.0
!
!APAN/ARAL=0.0
!
!APAN/ARAC=0.0
!
!APAN/PAH=0.0
!
!APAN/HCHO=0.0
!
!APAN/ALD2=0.0
!
!APAN/KETL=0.0
!
!APAN/KETH=0.0
!
!APAN/MEOH=0.0
!
!APAN/ETOH=0.0
!
!APAN/ALCH=0.0
!
!APAN/ISOP=0.0
!
!APAN/BIOL=0.0
!
!APAN/BIOH=0.0
!
!APAN/MTBE=0.0
!
!APAN/MVK=0.0
!
!APAN/MCR=0.0
!
!APAN/MGLY=0.0
!
!APAN/GLY=0.0
!
!APAN/ORA1=0.0
!
!APAN/ORA2=0.0
!
!APAN/ACID=0.0
!
!APAN/UR28=0.0
!
!APAN/UR21=0.0
!
!APAN/URG2=0.0
!
!APAN/UR26=0.0
!
!APAN/RPG2=0.0
!
!APAN/RP18=0.0
!
!APAN/RPG3=0.0
!
!APAN/URG4=0.0
!
!APAN/UR8=0.0
!
!APAN/UR17=0.0
!
!APAN/UR7=0.0
!
!APAN/RPR3=0.0
!
!APAN/URG6=0.0
!
!APAN/UR22=0.0
!
!APAN/URG7=0.0
!
!APAN/RPR4=0.0
!
!APAN/RPR7=0.0
!
!APAN/RPG7=0.0
!
!APAN/URG8=0.0
!
!APAN/UR19=0.0
!
!APAN/URG9=0.0
!
!APAN/AP7=0.0
!
!APAN/URG10=0.0
!
!APAN/RPR1=0.0
!
!APAN/RPR5=0.0
!
!APAN/RPR8=0.0
!
!APAN/RP10=0.0
!
!APAN/RP11=0.0
!
!APAN/RP16=0.0
!
!APAN/RPRL=0.0
!
!APAN/APAN=-K139
 PJAC(:,76,76)=-TPK%K139(:)
!
!APAN/PAN1=0.0
!
!APAN/PAN2=0.0
!
!APAN/PAN3=0.0
!
!APAN/PAN4=0.0
!
!APAN/PAN6=0.0
!
!APAN/PAN7=0.0
!
!APAN/PAN8=0.0
!
!APAN/PN10=0.0
!
!APAN/RO2T=0.0
!
!APAN/RO21=0.0
!
!APAN/RO25=0.0
!
!PAN1/NO=0.0
!
!PAN1/NO2=+K126*<RO26>
 PJAC(:,77,2)=+TPK%K126(:)*TPK%RO26(:)
!
!PAN1/O3=0.0
!
!PAN1/HONO=0.0
!
!PAN1/HNO3=0.0
!
!PAN1/HNO4=0.0
!
!PAN1/N2O5=0.0
!
!PAN1/NO3=0.0
!
!PAN1/NH3=0.0
!
!PAN1/HO2=0.0
!
!PAN1/CO=0.0
!
!PAN1/H2O2=0.0
!
!PAN1/SO2=0.0
!
!PAN1/H2SO4=0.0
!
!PAN1/OH=0.0
!
!PAN1/ETHE=0.0
!
!PAN1/OLEL=0.0
!
!PAN1/OLEH=0.0
!
!PAN1/ALKL=0.0
!
!PAN1/ALKM=0.0
!
!PAN1/ALKH=0.0
!
!PAN1/AROH=0.0
!
!PAN1/AROL=0.0
!
!PAN1/AROO=0.0
!
!PAN1/ARAL=0.0
!
!PAN1/ARAC=0.0
!
!PAN1/PAH=0.0
!
!PAN1/HCHO=0.0
!
!PAN1/ALD2=0.0
!
!PAN1/KETL=0.0
!
!PAN1/KETH=0.0
!
!PAN1/MEOH=0.0
!
!PAN1/ETOH=0.0
!
!PAN1/ALCH=0.0
!
!PAN1/ISOP=0.0
!
!PAN1/BIOL=0.0
!
!PAN1/BIOH=0.0
!
!PAN1/MTBE=0.0
!
!PAN1/MVK=0.0
!
!PAN1/MCR=0.0
!
!PAN1/MGLY=0.0
!
!PAN1/GLY=0.0
!
!PAN1/ORA1=0.0
!
!PAN1/ORA2=0.0
!
!PAN1/ACID=0.0
!
!PAN1/UR28=0.0
!
!PAN1/UR21=0.0
!
!PAN1/URG2=0.0
!
!PAN1/UR26=0.0
!
!PAN1/RPG2=0.0
!
!PAN1/RP18=0.0
!
!PAN1/RPG3=0.0
!
!PAN1/URG4=0.0
!
!PAN1/UR8=0.0
!
!PAN1/UR17=0.0
!
!PAN1/UR7=0.0
!
!PAN1/RPR3=0.0
!
!PAN1/URG6=0.0
!
!PAN1/UR22=0.0
!
!PAN1/URG7=0.0
!
!PAN1/RPR4=0.0
!
!PAN1/RPR7=0.0
!
!PAN1/RPG7=0.0
!
!PAN1/URG8=0.0
!
!PAN1/UR19=0.0
!
!PAN1/URG9=0.0
!
!PAN1/AP7=0.0
!
!PAN1/URG10=0.0
!
!PAN1/RPR1=0.0
!
!PAN1/RPR5=0.0
!
!PAN1/RPR8=0.0
!
!PAN1/RP10=0.0
!
!PAN1/RP11=0.0
!
!PAN1/RP16=0.0
!
!PAN1/RPRL=0.0
!
!PAN1/APAN=0.0
!
!PAN1/PAN1=-K135
 PJAC(:,77,77)=-TPK%K135(:)
!
!PAN1/PAN2=0.0
!
!PAN1/PAN3=0.0
!
!PAN1/PAN4=0.0
!
!PAN1/PAN6=0.0
!
!PAN1/PAN7=0.0
!
!PAN1/PAN8=0.0
!
!PAN1/PN10=0.0
!
!PAN1/RO2T=0.0
!
!PAN1/RO21=0.0
!
!PAN1/RO25=0.0
!
!PAN2/NO=0.0
!
!PAN2/NO2=+K127*<RO28>
 PJAC(:,78,2)=+TPK%K127(:)*TPK%RO28(:)
!
!PAN2/O3=0.0
!
!PAN2/HONO=0.0
!
!PAN2/HNO3=0.0
!
!PAN2/HNO4=0.0
!
!PAN2/N2O5=0.0
!
!PAN2/NO3=0.0
!
!PAN2/NH3=0.0
!
!PAN2/HO2=0.0
!
!PAN2/CO=0.0
!
!PAN2/H2O2=0.0
!
!PAN2/SO2=0.0
!
!PAN2/H2SO4=0.0
!
!PAN2/OH=0.0
!
!PAN2/ETHE=0.0
!
!PAN2/OLEL=0.0
!
!PAN2/OLEH=0.0
!
!PAN2/ALKL=0.0
!
!PAN2/ALKM=0.0
!
!PAN2/ALKH=0.0
!
!PAN2/AROH=0.0
!
!PAN2/AROL=0.0
!
!PAN2/AROO=0.0
!
!PAN2/ARAL=0.0
!
!PAN2/ARAC=0.0
!
!PAN2/PAH=0.0
!
!PAN2/HCHO=0.0
!
!PAN2/ALD2=0.0
!
!PAN2/KETL=0.0
!
!PAN2/KETH=0.0
!
!PAN2/MEOH=0.0
!
!PAN2/ETOH=0.0
!
!PAN2/ALCH=0.0
!
!PAN2/ISOP=0.0
!
!PAN2/BIOL=0.0
!
!PAN2/BIOH=0.0
!
!PAN2/MTBE=0.0
!
!PAN2/MVK=0.0
!
!PAN2/MCR=0.0
!
!PAN2/MGLY=0.0
!
!PAN2/GLY=0.0
!
!PAN2/ORA1=0.0
!
!PAN2/ORA2=0.0
!
!PAN2/ACID=0.0
!
!PAN2/UR28=0.0
!
!PAN2/UR21=0.0
!
!PAN2/URG2=0.0
!
!PAN2/UR26=0.0
!
!PAN2/RPG2=0.0
!
!PAN2/RP18=0.0
!
!PAN2/RPG3=0.0
!
!PAN2/URG4=0.0
!
!PAN2/UR8=0.0
!
!PAN2/UR17=0.0
!
!PAN2/UR7=0.0
!
!PAN2/RPR3=0.0
!
!PAN2/URG6=0.0
!
!PAN2/UR22=0.0
!
!PAN2/URG7=0.0
!
!PAN2/RPR4=0.0
!
!PAN2/RPR7=0.0
!
!PAN2/RPG7=0.0
!
!PAN2/URG8=0.0
!
!PAN2/UR19=0.0
!
!PAN2/URG9=0.0
!
!PAN2/AP7=0.0
!
!PAN2/URG10=0.0
!
!PAN2/RPR1=0.0
!
!PAN2/RPR5=0.0
!
!PAN2/RPR8=0.0
!
!PAN2/RP10=0.0
!
!PAN2/RP11=0.0
!
!PAN2/RP16=0.0
!
!PAN2/RPRL=0.0
!
!PAN2/APAN=0.0
!
!PAN2/PAN1=0.0
!
!PAN2/PAN2=-K136
 PJAC(:,78,78)=-TPK%K136(:)
!
!PAN2/PAN3=0.0
!
!PAN2/PAN4=0.0
!
!PAN2/PAN6=0.0
!
!PAN2/PAN7=0.0
!
!PAN2/PAN8=0.0
!
!PAN2/PN10=0.0
!
!PAN2/RO2T=0.0
!
!PAN2/RO21=0.0
!
!PAN2/RO25=0.0
!
!PAN3/NO=0.0
!
!PAN3/NO2=+K128*<RO239>
 PJAC(:,79,2)=+TPK%K128(:)*TPK%RO239(:)
!
!PAN3/O3=0.0
!
!PAN3/HONO=0.0
!
!PAN3/HNO3=0.0
!
!PAN3/HNO4=0.0
!
!PAN3/N2O5=0.0
!
!PAN3/NO3=0.0
!
!PAN3/NH3=0.0
!
!PAN3/HO2=0.0
!
!PAN3/CO=0.0
!
!PAN3/H2O2=0.0
!
!PAN3/SO2=0.0
!
!PAN3/H2SO4=0.0
!
!PAN3/OH=0.0
!
!PAN3/ETHE=0.0
!
!PAN3/OLEL=0.0
!
!PAN3/OLEH=0.0
!
!PAN3/ALKL=0.0
!
!PAN3/ALKM=0.0
!
!PAN3/ALKH=0.0
!
!PAN3/AROH=0.0
!
!PAN3/AROL=0.0
!
!PAN3/AROO=0.0
!
!PAN3/ARAL=0.0
!
!PAN3/ARAC=0.0
!
!PAN3/PAH=0.0
!
!PAN3/HCHO=0.0
!
!PAN3/ALD2=0.0
!
!PAN3/KETL=0.0
!
!PAN3/KETH=0.0
!
!PAN3/MEOH=0.0
!
!PAN3/ETOH=0.0
!
!PAN3/ALCH=0.0
!
!PAN3/ISOP=0.0
!
!PAN3/BIOL=0.0
!
!PAN3/BIOH=0.0
!
!PAN3/MTBE=0.0
!
!PAN3/MVK=0.0
!
!PAN3/MCR=0.0
!
!PAN3/MGLY=0.0
!
!PAN3/GLY=0.0
!
!PAN3/ORA1=0.0
!
!PAN3/ORA2=0.0
!
!PAN3/ACID=0.0
!
!PAN3/UR28=0.0
!
!PAN3/UR21=0.0
!
!PAN3/URG2=0.0
!
!PAN3/UR26=0.0
!
!PAN3/RPG2=0.0
!
!PAN3/RP18=0.0
!
!PAN3/RPG3=0.0
!
!PAN3/URG4=0.0
!
!PAN3/UR8=0.0
!
!PAN3/UR17=0.0
!
!PAN3/UR7=0.0
!
!PAN3/RPR3=0.0
!
!PAN3/URG6=0.0
!
!PAN3/UR22=0.0
!
!PAN3/URG7=0.0
!
!PAN3/RPR4=0.0
!
!PAN3/RPR7=0.0
!
!PAN3/RPG7=0.0
!
!PAN3/URG8=0.0
!
!PAN3/UR19=0.0
!
!PAN3/URG9=0.0
!
!PAN3/AP7=0.0
!
!PAN3/URG10=0.0
!
!PAN3/RPR1=0.0
!
!PAN3/RPR5=0.0
!
!PAN3/RPR8=0.0
!
!PAN3/RP10=0.0
!
!PAN3/RP11=0.0
!
!PAN3/RP16=0.0
!
!PAN3/RPRL=0.0
!
!PAN3/APAN=0.0
!
!PAN3/PAN1=0.0
!
!PAN3/PAN2=0.0
!
!PAN3/PAN3=-K137
 PJAC(:,79,79)=-TPK%K137(:)
!
!PAN3/PAN4=0.0
!
!PAN3/PAN6=0.0
!
!PAN3/PAN7=0.0
!
!PAN3/PAN8=0.0
!
!PAN3/PN10=0.0
!
!PAN3/RO2T=0.0
!
!PAN3/RO21=0.0
!
!PAN3/RO25=0.0
!
!PAN4/NO=0.0
!
!PAN4/NO2=+K129*<RO248>
 PJAC(:,80,2)=+TPK%K129(:)*TPK%RO248(:)
!
!PAN4/O3=0.0
!
!PAN4/HONO=0.0
!
!PAN4/HNO3=0.0
!
!PAN4/HNO4=0.0
!
!PAN4/N2O5=0.0
!
!PAN4/NO3=0.0
!
!PAN4/NH3=0.0
!
!PAN4/HO2=0.0
!
!PAN4/CO=0.0
!
!PAN4/H2O2=0.0
!
!PAN4/SO2=0.0
!
!PAN4/H2SO4=0.0
!
!PAN4/OH=0.0
!
!PAN4/ETHE=0.0
!
!PAN4/OLEL=0.0
!
!PAN4/OLEH=0.0
!
!PAN4/ALKL=0.0
!
!PAN4/ALKM=0.0
!
!PAN4/ALKH=0.0
!
!PAN4/AROH=0.0
!
!PAN4/AROL=0.0
!
!PAN4/AROO=0.0
!
!PAN4/ARAL=0.0
!
!PAN4/ARAC=0.0
!
!PAN4/PAH=0.0
!
!PAN4/HCHO=0.0
!
!PAN4/ALD2=0.0
!
!PAN4/KETL=0.0
!
!PAN4/KETH=0.0
!
!PAN4/MEOH=0.0
!
!PAN4/ETOH=0.0
!
!PAN4/ALCH=0.0
!
!PAN4/ISOP=0.0
!
!PAN4/BIOL=0.0
!
!PAN4/BIOH=0.0
!
!PAN4/MTBE=0.0
!
!PAN4/MVK=0.0
!
!PAN4/MCR=0.0
!
!PAN4/MGLY=0.0
!
!PAN4/GLY=0.0
!
!PAN4/ORA1=0.0
!
!PAN4/ORA2=0.0
!
!PAN4/ACID=0.0
!
!PAN4/UR28=0.0
!
!PAN4/UR21=0.0
!
!PAN4/URG2=0.0
!
!PAN4/UR26=0.0
!
!PAN4/RPG2=0.0
!
!PAN4/RP18=0.0
!
!PAN4/RPG3=0.0
!
!PAN4/URG4=0.0
!
!PAN4/UR8=0.0
!
!PAN4/UR17=0.0
!
!PAN4/UR7=0.0
!
!PAN4/RPR3=0.0
!
!PAN4/URG6=0.0
!
!PAN4/UR22=0.0
!
!PAN4/URG7=0.0
!
!PAN4/RPR4=0.0
!
!PAN4/RPR7=0.0
!
!PAN4/RPG7=0.0
!
!PAN4/URG8=0.0
!
!PAN4/UR19=0.0
!
!PAN4/URG9=0.0
!
!PAN4/AP7=0.0
!
!PAN4/URG10=0.0
!
!PAN4/RPR1=0.0
!
!PAN4/RPR5=0.0
!
!PAN4/RPR8=0.0
!
!PAN4/RP10=0.0
!
!PAN4/RP11=0.0
!
!PAN4/RP16=0.0
!
!PAN4/RPRL=0.0
!
!PAN4/APAN=0.0
!
!PAN4/PAN1=0.0
!
!PAN4/PAN2=0.0
!
!PAN4/PAN3=0.0
!
!PAN4/PAN4=-K141
 PJAC(:,80,80)=-TPK%K141(:)
!
!PAN4/PAN6=0.0
!
!PAN4/PAN7=0.0
!
!PAN4/PAN8=0.0
!
!PAN4/PN10=0.0
!
!PAN4/RO2T=0.0
!
!PAN4/RO21=0.0
!
!PAN4/RO25=0.0
!
RETURN
END SUBROUTINE SUBJ15
!
SUBROUTINE SUBJ16
!
!Indices 81 a 85
!
!
!PAN6/NO=0.0
!
!PAN6/NO2=+K131*<RO254>
 PJAC(:,81,2)=+TPK%K131(:)*TPK%RO254(:)
!
!PAN6/O3=0.0
!
!PAN6/HONO=0.0
!
!PAN6/HNO3=0.0
!
!PAN6/HNO4=0.0
!
!PAN6/N2O5=0.0
!
!PAN6/NO3=0.0
!
!PAN6/NH3=0.0
!
!PAN6/HO2=0.0
!
!PAN6/CO=0.0
!
!PAN6/H2O2=0.0
!
!PAN6/SO2=0.0
!
!PAN6/H2SO4=0.0
!
!PAN6/OH=0.0
!
!PAN6/ETHE=0.0
!
!PAN6/OLEL=0.0
!
!PAN6/OLEH=0.0
!
!PAN6/ALKL=0.0
!
!PAN6/ALKM=0.0
!
!PAN6/ALKH=0.0
!
!PAN6/AROH=0.0
!
!PAN6/AROL=0.0
!
!PAN6/AROO=0.0
!
!PAN6/ARAL=0.0
!
!PAN6/ARAC=0.0
!
!PAN6/PAH=0.0
!
!PAN6/HCHO=0.0
!
!PAN6/ALD2=0.0
!
!PAN6/KETL=0.0
!
!PAN6/KETH=0.0
!
!PAN6/MEOH=0.0
!
!PAN6/ETOH=0.0
!
!PAN6/ALCH=0.0
!
!PAN6/ISOP=0.0
!
!PAN6/BIOL=0.0
!
!PAN6/BIOH=0.0
!
!PAN6/MTBE=0.0
!
!PAN6/MVK=0.0
!
!PAN6/MCR=0.0
!
!PAN6/MGLY=0.0
!
!PAN6/GLY=0.0
!
!PAN6/ORA1=0.0
!
!PAN6/ORA2=0.0
!
!PAN6/ACID=0.0
!
!PAN6/UR28=0.0
!
!PAN6/UR21=0.0
!
!PAN6/URG2=0.0
!
!PAN6/UR26=0.0
!
!PAN6/RPG2=0.0
!
!PAN6/RP18=0.0
!
!PAN6/RPG3=0.0
!
!PAN6/URG4=0.0
!
!PAN6/UR8=0.0
!
!PAN6/UR17=0.0
!
!PAN6/UR7=0.0
!
!PAN6/RPR3=0.0
!
!PAN6/URG6=0.0
!
!PAN6/UR22=0.0
!
!PAN6/URG7=0.0
!
!PAN6/RPR4=0.0
!
!PAN6/RPR7=0.0
!
!PAN6/RPG7=0.0
!
!PAN6/URG8=0.0
!
!PAN6/UR19=0.0
!
!PAN6/URG9=0.0
!
!PAN6/AP7=0.0
!
!PAN6/URG10=0.0
!
!PAN6/RPR1=0.0
!
!PAN6/RPR5=0.0
!
!PAN6/RPR8=0.0
!
!PAN6/RP10=0.0
!
!PAN6/RP11=0.0
!
!PAN6/RP16=0.0
!
!PAN6/RPRL=0.0
!
!PAN6/APAN=0.0
!
!PAN6/PAN1=0.0
!
!PAN6/PAN2=0.0
!
!PAN6/PAN3=0.0
!
!PAN6/PAN4=0.0
!
!PAN6/PAN6=-K140
 PJAC(:,81,81)=-TPK%K140(:)
!
!PAN6/PAN7=0.0
!
!PAN6/PAN8=0.0
!
!PAN6/PN10=0.0
!
!PAN6/RO2T=0.0
!
!PAN6/RO21=0.0
!
!PAN6/RO25=0.0
!
!PAN7/NO=0.0
!
!PAN7/NO2=+K132*<RO255>
 PJAC(:,82,2)=+TPK%K132(:)*TPK%RO255(:)
!
!PAN7/O3=0.0
!
!PAN7/HONO=0.0
!
!PAN7/HNO3=0.0
!
!PAN7/HNO4=0.0
!
!PAN7/N2O5=0.0
!
!PAN7/NO3=0.0
!
!PAN7/NH3=0.0
!
!PAN7/HO2=0.0
!
!PAN7/CO=0.0
!
!PAN7/H2O2=0.0
!
!PAN7/SO2=0.0
!
!PAN7/H2SO4=0.0
!
!PAN7/OH=0.0
!
!PAN7/ETHE=0.0
!
!PAN7/OLEL=0.0
!
!PAN7/OLEH=0.0
!
!PAN7/ALKL=0.0
!
!PAN7/ALKM=0.0
!
!PAN7/ALKH=0.0
!
!PAN7/AROH=0.0
!
!PAN7/AROL=0.0
!
!PAN7/AROO=0.0
!
!PAN7/ARAL=0.0
!
!PAN7/ARAC=0.0
!
!PAN7/PAH=0.0
!
!PAN7/HCHO=0.0
!
!PAN7/ALD2=0.0
!
!PAN7/KETL=0.0
!
!PAN7/KETH=0.0
!
!PAN7/MEOH=0.0
!
!PAN7/ETOH=0.0
!
!PAN7/ALCH=0.0
!
!PAN7/ISOP=0.0
!
!PAN7/BIOL=0.0
!
!PAN7/BIOH=0.0
!
!PAN7/MTBE=0.0
!
!PAN7/MVK=0.0
!
!PAN7/MCR=0.0
!
!PAN7/MGLY=0.0
!
!PAN7/GLY=0.0
!
!PAN7/ORA1=0.0
!
!PAN7/ORA2=0.0
!
!PAN7/ACID=0.0
!
!PAN7/UR28=0.0
!
!PAN7/UR21=0.0
!
!PAN7/URG2=0.0
!
!PAN7/UR26=0.0
!
!PAN7/RPG2=0.0
!
!PAN7/RP18=0.0
!
!PAN7/RPG3=0.0
!
!PAN7/URG4=0.0
!
!PAN7/UR8=0.0
!
!PAN7/UR17=0.0
!
!PAN7/UR7=0.0
!
!PAN7/RPR3=0.0
!
!PAN7/URG6=0.0
!
!PAN7/UR22=0.0
!
!PAN7/URG7=0.0
!
!PAN7/RPR4=0.0
!
!PAN7/RPR7=0.0
!
!PAN7/RPG7=0.0
!
!PAN7/URG8=0.0
!
!PAN7/UR19=0.0
!
!PAN7/URG9=0.0
!
!PAN7/AP7=0.0
!
!PAN7/URG10=0.0
!
!PAN7/RPR1=0.0
!
!PAN7/RPR5=0.0
!
!PAN7/RPR8=0.0
!
!PAN7/RP10=0.0
!
!PAN7/RP11=0.0
!
!PAN7/RP16=0.0
!
!PAN7/RPRL=0.0
!
!PAN7/APAN=0.0
!
!PAN7/PAN1=0.0
!
!PAN7/PAN2=0.0
!
!PAN7/PAN3=0.0
!
!PAN7/PAN4=0.0
!
!PAN7/PAN6=0.0
!
!PAN7/PAN7=-K343
 PJAC(:,82,82)=-TPK%K343(:)
!
!PAN7/PAN8=0.0
!
!PAN7/PN10=0.0
!
!PAN7/RO2T=0.0
!
!PAN7/RO21=0.0
!
!PAN7/RO25=0.0
!
!PAN8/NO=0.0
!
!PAN8/NO2=+K316*<RO256>
 PJAC(:,83,2)=+TPK%K316(:)*TPK%RO256(:)
!
!PAN8/O3=0.0
!
!PAN8/HONO=0.0
!
!PAN8/HNO3=0.0
!
!PAN8/HNO4=0.0
!
!PAN8/N2O5=0.0
!
!PAN8/NO3=0.0
!
!PAN8/NH3=0.0
!
!PAN8/HO2=0.0
!
!PAN8/CO=0.0
!
!PAN8/H2O2=0.0
!
!PAN8/SO2=0.0
!
!PAN8/H2SO4=0.0
!
!PAN8/OH=0.0
!
!PAN8/ETHE=0.0
!
!PAN8/OLEL=0.0
!
!PAN8/OLEH=0.0
!
!PAN8/ALKL=0.0
!
!PAN8/ALKM=0.0
!
!PAN8/ALKH=0.0
!
!PAN8/AROH=0.0
!
!PAN8/AROL=0.0
!
!PAN8/AROO=0.0
!
!PAN8/ARAL=0.0
!
!PAN8/ARAC=0.0
!
!PAN8/PAH=0.0
!
!PAN8/HCHO=0.0
!
!PAN8/ALD2=0.0
!
!PAN8/KETL=0.0
!
!PAN8/KETH=0.0
!
!PAN8/MEOH=0.0
!
!PAN8/ETOH=0.0
!
!PAN8/ALCH=0.0
!
!PAN8/ISOP=0.0
!
!PAN8/BIOL=0.0
!
!PAN8/BIOH=0.0
!
!PAN8/MTBE=0.0
!
!PAN8/MVK=0.0
!
!PAN8/MCR=0.0
!
!PAN8/MGLY=0.0
!
!PAN8/GLY=0.0
!
!PAN8/ORA1=0.0
!
!PAN8/ORA2=0.0
!
!PAN8/ACID=0.0
!
!PAN8/UR28=0.0
!
!PAN8/UR21=0.0
!
!PAN8/URG2=0.0
!
!PAN8/UR26=0.0
!
!PAN8/RPG2=0.0
!
!PAN8/RP18=0.0
!
!PAN8/RPG3=0.0
!
!PAN8/URG4=0.0
!
!PAN8/UR8=0.0
!
!PAN8/UR17=0.0
!
!PAN8/UR7=0.0
!
!PAN8/RPR3=0.0
!
!PAN8/URG6=0.0
!
!PAN8/UR22=0.0
!
!PAN8/URG7=0.0
!
!PAN8/RPR4=0.0
!
!PAN8/RPR7=0.0
!
!PAN8/RPG7=0.0
!
!PAN8/URG8=0.0
!
!PAN8/UR19=0.0
!
!PAN8/URG9=0.0
!
!PAN8/AP7=0.0
!
!PAN8/URG10=0.0
!
!PAN8/RPR1=0.0
!
!PAN8/RPR5=0.0
!
!PAN8/RPR8=0.0
!
!PAN8/RP10=0.0
!
!PAN8/RP11=0.0
!
!PAN8/RP16=0.0
!
!PAN8/RPRL=0.0
!
!PAN8/APAN=0.0
!
!PAN8/PAN1=0.0
!
!PAN8/PAN2=0.0
!
!PAN8/PAN3=0.0
!
!PAN8/PAN4=0.0
!
!PAN8/PAN6=0.0
!
!PAN8/PAN7=0.0
!
!PAN8/PAN8=-K317
 PJAC(:,83,83)=-TPK%K317(:)
!
!PAN8/PN10=0.0
!
!PAN8/RO2T=0.0
!
!PAN8/RO21=0.0
!
!PAN8/RO25=0.0
!
!PN10/NO=0.0
!
!PN10/NO2=+K134*<RO258>
 PJAC(:,84,2)=+TPK%K134(:)*TPK%RO258(:)
!
!PN10/O3=0.0
!
!PN10/HONO=0.0
!
!PN10/HNO3=0.0
!
!PN10/HNO4=0.0
!
!PN10/N2O5=0.0
!
!PN10/NO3=0.0
!
!PN10/NH3=0.0
!
!PN10/HO2=0.0
!
!PN10/CO=0.0
!
!PN10/H2O2=0.0
!
!PN10/SO2=0.0
!
!PN10/H2SO4=0.0
!
!PN10/OH=0.0
!
!PN10/ETHE=0.0
!
!PN10/OLEL=0.0
!
!PN10/OLEH=0.0
!
!PN10/ALKL=0.0
!
!PN10/ALKM=0.0
!
!PN10/ALKH=0.0
!
!PN10/AROH=0.0
!
!PN10/AROL=0.0
!
!PN10/AROO=0.0
!
!PN10/ARAL=0.0
!
!PN10/ARAC=0.0
!
!PN10/PAH=0.0
!
!PN10/HCHO=0.0
!
!PN10/ALD2=0.0
!
!PN10/KETL=0.0
!
!PN10/KETH=0.0
!
!PN10/MEOH=0.0
!
!PN10/ETOH=0.0
!
!PN10/ALCH=0.0
!
!PN10/ISOP=0.0
!
!PN10/BIOL=0.0
!
!PN10/BIOH=0.0
!
!PN10/MTBE=0.0
!
!PN10/MVK=0.0
!
!PN10/MCR=0.0
!
!PN10/MGLY=0.0
!
!PN10/GLY=0.0
!
!PN10/ORA1=0.0
!
!PN10/ORA2=0.0
!
!PN10/ACID=0.0
!
!PN10/UR28=0.0
!
!PN10/UR21=0.0
!
!PN10/URG2=0.0
!
!PN10/UR26=0.0
!
!PN10/RPG2=0.0
!
!PN10/RP18=0.0
!
!PN10/RPG3=0.0
!
!PN10/URG4=0.0
!
!PN10/UR8=0.0
!
!PN10/UR17=0.0
!
!PN10/UR7=0.0
!
!PN10/RPR3=0.0
!
!PN10/URG6=0.0
!
!PN10/UR22=0.0
!
!PN10/URG7=0.0
!
!PN10/RPR4=0.0
!
!PN10/RPR7=0.0
!
!PN10/RPG7=0.0
!
!PN10/URG8=0.0
!
!PN10/UR19=0.0
!
!PN10/URG9=0.0
!
!PN10/AP7=0.0
!
!PN10/URG10=0.0
!
!PN10/RPR1=0.0
!
!PN10/RPR5=0.0
!
!PN10/RPR8=0.0
!
!PN10/RP10=0.0
!
!PN10/RP11=0.0
!
!PN10/RP16=0.0
!
!PN10/RPRL=0.0
!
!PN10/APAN=0.0
!
!PN10/PAN1=0.0
!
!PN10/PAN2=0.0
!
!PN10/PAN3=0.0
!
!PN10/PAN4=0.0
!
!PN10/PAN6=0.0
!
!PN10/PAN7=0.0
!
!PN10/PAN8=0.0
!
!PN10/PN10=-K138
 PJAC(:,84,84)=-TPK%K138(:)
!
!PN10/RO2T=0.0
!
!PN10/RO21=0.0
!
!PN10/RO25=0.0
!
!RO2T/NO=-K095*<RO2T>+K125*<RO26>+K144*<RO27>+K147*<RO28>+K162*<RO213>+K165*<RO
!239>+TPK%CF8*K168*<RO214>+K174*<RO216>+TPK%CF18*K186*<RO220>+K204*<RO226>+TPK%
!CF30*K213*<RO229>+K216*<RO240>+TPK%CF34*K224*<RO232>+K277*<RO248>+K288*<RO250>
!+K297*<RO253>+K309*<RO255>+K331*<RO257>+K344*<RO230>
 PJAC(:,85,1)=-TPK%K095(:)*PCONC(:,85)+TPK%K125(:)*TPK%RO26(:)+TPK%K144(:)*TPK%&
&RO27(:)+TPK%K147(:)*TPK%RO28(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239&
&(:)+TPK%CF8*TPK%K168(:)*TPK%RO214(:)+TPK%K174(:)*TPK%RO216(:)+TPK%CF18*TPK%K18&
&6(:)*TPK%RO220(:)+TPK%K204(:)*TPK%RO226(:)+TPK%CF30*TPK%K213(:)*TPK%RO229(:)+T&
&PK%K216(:)*TPK%RO240(:)+TPK%CF34*TPK%K224(:)*TPK%RO232(:)+TPK%K277(:)*TPK%RO24&
&8(:)+TPK%K288(:)*TPK%RO250(:)+TPK%K297(:)*TPK%RO253(:)+TPK%K309(:)*TPK%RO255(:&
&)+TPK%K331(:)*TPK%RO257(:)+TPK%K344(:)*TPK%RO230(:)
!
!RO2T/NO2=0.0
!
!RO2T/O3=+0.28*K056*<OLEL>+0.366*K066*<ISOP>+0.28*K076*<OLEH>+0.445*K086*<BIOL>
!+0.89*K090*<BIOH>+0.28*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,85,3)=+0.28*TPK%K056(:)*PCONC(:,17)+0.366*TPK%K066(:)*PCONC(:,35)+0.28*&
&TPK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,36)+0.89*TPK%K090(:)*PCONC(:&
&,37)+0.28*TPK%K281(:)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,40)
!
!RO2T/HONO=0.0
!
!RO2T/HNO3=0.0
!
!RO2T/HNO4=0.0
!
!RO2T/N2O5=0.0
!
!RO2T/NO3=+K050*<ETHE>+K055*<OLEL>+K061*<ALD2>+K065*<ISOP>+K075*<OLEH>+K085*<BI
!OL>+K089*<BIOH>+K275*<MCR>+K278*<MGLY>+K307*<RPR1>+K313*<RPR3>+K327*<RPR8>+K33
!8*<RP16>
 PJAC(:,85,8)=+TPK%K050(:)*PCONC(:,16)+TPK%K055(:)*PCONC(:,17)+TPK%K061(:)*PCON&
&C(:,29)+TPK%K065(:)*PCONC(:,35)+TPK%K075(:)*PCONC(:,18)+TPK%K085(:)*PCONC(:,36&
&)+TPK%K089(:)*PCONC(:,37)+TPK%K275(:)*PCONC(:,40)+TPK%K278(:)*PCONC(:,41)+TPK%&
&K307(:)*PCONC(:,69)+TPK%K313(:)*PCONC(:,57)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:&
&)*PCONC(:,74)
!
!RO2T/NH3=0.0
!
!RO2T/HO2=-K094*<RO2T>+K146*<RO27>+K164*<RO213>+K170*<RO214>+K176*<RO216>+K188*
!<RO220>+K206*<RO226>+K215*<RO229>+K218*<RO240>+K220*<RO230>+K226*<RO232>+K292*
!<RO251>+K295*<RO252>+2.*K298*<RO253>
 PJAC(:,85,10)=-TPK%K094(:)*PCONC(:,85)+TPK%K146(:)*TPK%RO27(:)+TPK%K164(:)*TPK&
&%RO213(:)+TPK%K170(:)*TPK%RO214(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K188(:)*TPK%RO&
&220(:)+TPK%K206(:)*TPK%RO226(:)+TPK%K215(:)*TPK%RO229(:)+TPK%K218(:)*TPK%RO240&
&(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K226(:)*TPK%RO232(:)+TPK%K292(:)*TPK%RO251(:)&
&+TPK%K295(:)*TPK%RO252(:)+2.*TPK%K298(:)*TPK%RO253(:)
!
!RO2T/CO=0.0
!
!RO2T/H2O2=0.0
!
!RO2T/SO2=0.0
!
!RO2T/H2SO4=0.0
!
!RO2T/OH=+K043*<CH4>+K049*<ETHE>+TPK%CF2*K053*<ETOH>+K054*<OLEL>+K058*<ALKL>+K0
!60*<ALD2>+K062*<KETL>+K064*<ISOP>+K068*<MTBE>+K069*<ALCH>+K070*<KETH>+0.1*K073
!*<AROO>+K074*<OLEH>+K078*<ALKM>+0.06*K079*<AROL>+TPK%CF45*K082*<ARAL>+0.1*K083
!*<ARAC>+K084*<BIOL>+K088*<BIOH>+0.1*K092*<PAH>+K093*<ALKH>+K272*<MVK>+K273*<MC
!R>+K274*<MGLY>+K304*<RPR1>+K305*<RP16>+K312*<RPR3>+K324*<RPR8>
 PJAC(:,85,15)=+TPK%K043(:)*TPK%CH4(:)+TPK%K049(:)*PCONC(:,16)+TPK%CF2*TPK%K053&
&(:)*PCONC(:,33)+TPK%K054(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,19)+TPK%K060(:)*PC&
&ONC(:,29)+TPK%K062(:)*PCONC(:,30)+TPK%K064(:)*PCONC(:,35)+TPK%K068(:)*PCONC(:,&
&38)+TPK%K069(:)*PCONC(:,34)+TPK%K070(:)*PCONC(:,31)+0.1*TPK%K073(:)*PCONC(:,24&
&)+TPK%K074(:)*PCONC(:,18)+TPK%K078(:)*PCONC(:,20)+0.06*TPK%K079(:)*PCONC(:,23)&
&+TPK%CF45*TPK%K082(:)*PCONC(:,25)+0.1*TPK%K083(:)*PCONC(:,26)+TPK%K084(:)*PCON&
&C(:,36)+TPK%K088(:)*PCONC(:,37)+0.1*TPK%K092(:)*PCONC(:,27)+TPK%K093(:)*PCONC(&
&:,21)+TPK%K272(:)*PCONC(:,39)+TPK%K273(:)*PCONC(:,40)+TPK%K274(:)*PCONC(:,41)+&
&TPK%K304(:)*PCONC(:,69)+TPK%K305(:)*PCONC(:,74)+TPK%K312(:)*PCONC(:,57)+TPK%K3&
&24(:)*PCONC(:,71)
!
!RO2T/ETHE=+K049*<OH>+K050*<NO3>+K052*<O>
 PJAC(:,85,16)=+TPK%K049(:)*PCONC(:,15)+TPK%K050(:)*PCONC(:,8)+TPK%K052(:)*TPK%&
&O(:)
!
!RO2T/OLEL=+K054*<OH>+K055*<NO3>+0.28*K056*<O3>+0.2*K057*<O>
 PJAC(:,85,17)=+TPK%K054(:)*PCONC(:,15)+TPK%K055(:)*PCONC(:,8)+0.28*TPK%K056(:)&
&*PCONC(:,3)+0.2*TPK%K057(:)*TPK%O(:)
!
!RO2T/OLEH=+K074*<OH>+K075*<NO3>+0.28*K076*<O3>+0.2*K077*<O>
 PJAC(:,85,18)=+TPK%K074(:)*PCONC(:,15)+TPK%K075(:)*PCONC(:,8)+0.28*TPK%K076(:)&
&*PCONC(:,3)+0.2*TPK%K077(:)*TPK%O(:)
!
!RO2T/ALKL=+K058*<OH>
 PJAC(:,85,19)=+TPK%K058(:)*PCONC(:,15)
!
!RO2T/ALKM=+K078*<OH>
 PJAC(:,85,20)=+TPK%K078(:)*PCONC(:,15)
!
!RO2T/ALKH=+K093*<OH>
 PJAC(:,85,21)=+TPK%K093(:)*PCONC(:,15)
!
!RO2T/AROH=0.0
!
!RO2T/AROL=+0.06*K079*<OH>
 PJAC(:,85,23)=+0.06*TPK%K079(:)*PCONC(:,15)
!
!RO2T/AROO=+0.1*K073*<OH>
 PJAC(:,85,24)=+0.1*TPK%K073(:)*PCONC(:,15)
!
!RO2T/ARAL=+TPK%CF45*K082*<OH>
 PJAC(:,85,25)=+TPK%CF45*TPK%K082(:)*PCONC(:,15)
!
!RO2T/ARAC=+0.1*K083*<OH>
 PJAC(:,85,26)=+0.1*TPK%K083(:)*PCONC(:,15)
!
!RO2T/PAH=+0.1*K092*<OH>
 PJAC(:,85,27)=+0.1*TPK%K092(:)*PCONC(:,15)
!
!RO2T/HCHO=0.0
!
!RO2T/ALD2=+K059+K060*<OH>+K061*<NO3>
 PJAC(:,85,29)=+TPK%K059(:)+TPK%K060(:)*PCONC(:,15)+TPK%K061(:)*PCONC(:,8)
!
!RO2T/KETL=+K062*<OH>+2.*K063
 PJAC(:,85,30)=+TPK%K062(:)*PCONC(:,15)+2.*TPK%K063(:)
!
!RO2T/KETH=+K070*<OH>+2.*K071
 PJAC(:,85,31)=+TPK%K070(:)*PCONC(:,15)+2.*TPK%K071(:)
!
!RO2T/MEOH=0.0
!
!RO2T/ETOH=+TPK%CF2*K053*<OH>
 PJAC(:,85,33)=+TPK%CF2*TPK%K053(:)*PCONC(:,15)
!
!RO2T/ALCH=+K069*<OH>
 PJAC(:,85,34)=+TPK%K069(:)*PCONC(:,15)
!
!RO2T/ISOP=+K064*<OH>+K065*<NO3>+0.366*K066*<O3>
 PJAC(:,85,35)=+TPK%K064(:)*PCONC(:,15)+TPK%K065(:)*PCONC(:,8)+0.366*TPK%K066(:&
&)*PCONC(:,3)
!
!RO2T/BIOL=+K084*<OH>+K085*<NO3>+0.445*K086*<O3>
 PJAC(:,85,36)=+TPK%K084(:)*PCONC(:,15)+TPK%K085(:)*PCONC(:,8)+0.445*TPK%K086(:&
&)*PCONC(:,3)
!
!RO2T/BIOH=+K088*<OH>+K089*<NO3>+0.89*K090*<O3>
 PJAC(:,85,37)=+TPK%K088(:)*PCONC(:,15)+TPK%K089(:)*PCONC(:,8)+0.89*TPK%K090(:)&
&*PCONC(:,3)
!
!RO2T/MTBE=+K068*<OH>
 PJAC(:,85,38)=+TPK%K068(:)*PCONC(:,15)
!
!RO2T/MVK=+K272*<OH>+0.28*K281*<O3>+0.3*K283*<O>
 PJAC(:,85,39)=+TPK%K272(:)*PCONC(:,15)+0.28*TPK%K281(:)*PCONC(:,3)+0.3*TPK%K28&
&3(:)*TPK%O(:)
!
!RO2T/MCR=+K273*<OH>+K275*<NO3>+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,85,40)=+TPK%K273(:)*PCONC(:,15)+TPK%K275(:)*PCONC(:,8)+0.41*TPK%K282(:)&
&*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!RO2T/MGLY=+K274*<OH>+K276+K278*<NO3>
 PJAC(:,85,41)=+TPK%K274(:)*PCONC(:,15)+TPK%K276(:)+TPK%K278(:)*PCONC(:,8)
!
!RO2T/GLY=0.0
!
!RO2T/ORA1=0.0
!
!RO2T/ORA2=0.0
!
!RO2T/ACID=0.0
!
!RO2T/UR28=0.0
!
!RO2T/UR21=0.0
!
!RO2T/URG2=0.0
!
!RO2T/UR26=0.0
!
!RO2T/RPG2=0.0
!
!RO2T/RP18=0.0
!
!RO2T/RPG3=0.0
!
!RO2T/URG4=0.0
!
!RO2T/UR8=0.0
!
!RO2T/UR17=0.0
!
!RO2T/UR7=0.0
!
!RO2T/RPR3=+K312*<OH>+K313*<NO3>
 PJAC(:,85,57)=+TPK%K312(:)*PCONC(:,15)+TPK%K313(:)*PCONC(:,8)
!
!RO2T/URG6=0.0
!
!RO2T/UR22=0.0
!
!RO2T/URG7=0.0
!
!RO2T/RPR4=0.0
!
!RO2T/RPR7=0.0
!
!RO2T/RPG7=0.0
!
!RO2T/URG8=0.0
!
!RO2T/UR19=0.0
!
!RO2T/URG9=0.0
!
!RO2T/AP7=0.0
!
!RO2T/URG10=0.0
!
!RO2T/RPR1=+K304*<OH>+K307*<NO3>+K308
 PJAC(:,85,69)=+TPK%K304(:)*PCONC(:,15)+TPK%K307(:)*PCONC(:,8)+TPK%K308(:)
!
!RO2T/RPR5=0.0
!
!RO2T/RPR8=+K324*<OH>+K327*<NO3>+K329+K330
 PJAC(:,85,71)=+TPK%K324(:)*PCONC(:,15)+TPK%K327(:)*PCONC(:,8)+TPK%K329(:)+TPK%&
&K330(:)
!
!RO2T/RP10=0.0
!
!RO2T/RP11=0.0
!
!RO2T/RP16=+K305*<OH>+K338*<NO3>
 PJAC(:,85,74)=+TPK%K305(:)*PCONC(:,15)+TPK%K338(:)*PCONC(:,8)
!
!RO2T/RPRL=0.0
!
!RO2T/APAN=+1.0000000*K139
 PJAC(:,85,76)=+1.0000000*TPK%K139(:)
!
!RO2T/PAN1=+K135
 PJAC(:,85,77)=+TPK%K135(:)
!
!RO2T/PAN2=+K136
 PJAC(:,85,78)=+TPK%K136(:)
!
!RO2T/PAN3=+K137
 PJAC(:,85,79)=+TPK%K137(:)
!
!RO2T/PAN4=+K141
 PJAC(:,85,80)=+TPK%K141(:)
!
!RO2T/PAN6=+K140
 PJAC(:,85,81)=+TPK%K140(:)
!
!RO2T/PAN7=+K343
 PJAC(:,85,82)=+TPK%K343(:)
!
!RO2T/PAN8=+K317
 PJAC(:,85,83)=+TPK%K317(:)
!
!RO2T/PN10=+K138
 PJAC(:,85,84)=+TPK%K138(:)
!
!RO2T/RO2T=-K094*<HO2>-K095*<NO>+K096*<RO2T>+K096*<RO2T>-K096*<RO2T>-K096*<RO2T
!>-K096*<RO2T>-K096*<RO2T>+K111*<RO21>-K111*<RO21>+K114*<RO22>-K114*<RO22>+K117
!*<RO23>-K117*<RO23>+K120*<RO24>-K120*<RO24>+K123*<RO25>-K123*<RO25>+2.*K143*<R
!O26>-K143*<RO26>+2.*K145*<RO27>-K145*<RO27>+2.*K149*<RO28>-K149*<RO28>+K151*<R
!O29>-K151*<RO29>+K154*<RO210>-K154*<RO210>+K157*<RO211>-K157*<RO211>+K160*<RO2
!12>-K160*<RO212>+2.*K163*<RO213>-K163*<RO213>+2.*K167*<RO239>-K167*<RO239>+2.*
!K169*<RO214>-K169*<RO214>+K172*<RO215>-K172*<RO215>+2.*K175*<RO216>-K175*<RO21
!6>+K178*<RO217>-K178*<RO217>+K181*<RO218>-K181*<RO218>+K184*<RO219>-K184*<RO21
!9>+2.*K187*<RO220>-K187*<RO220>+K190*<RO221>-K190*<RO221>+K193*<RO222>-K193*<R
!O222>+K196*<RO223>-K196*<RO223>+K199*<RO224>-K199*<RO224>+K202*<RO225>-K202*<R
!O225>+2.*K205*<RO226>-K205*<RO226>+K208*<RO227>-K208*<RO227>+K211*<RO228>-K211
!*<RO228>+2.*K214*<RO229>-K214*<RO229>+2.*K217*<RO240>-K217*<RO240>+2.*K219*<RO
!230>-K219*<RO230>+K222*<RO231>-K222*<RO231>+2.*K225*<RO232>-K225*<RO232>+K228*
!<RO241>-K228*<RO241>+K232*<RO233>-K232*<RO233>+K235*<RO242>-K235*<RO242>+K239*
!<RO234>-K239*<RO234>+K242*<RO243>-K242*<RO243>+K246*<RO235>-K246*<RO235>+K249*
!<RO244>-K249*<RO244>+K253*<RO236>-K253*<RO236>+K256*<RO245>-K256*<RO245>+K260*
!<RO237>-K260*<RO237>+K263*<RO246>-K263*<RO246>+K267*<RO238>-K267*<RO238>+K270*
!<RO247>-K270*<RO247>+2.*K280*<RO248>-K280*<RO248>+K286*<RO249>-K286*<RO249>+2.
!*K290*<RO250>-K290*<RO250>-K293*<RO251>-K296*<RO252>+K299*<RO253>-K299*<RO253>
!+K302*<RO254>-K302*<RO254>+2.*K311*<RO255>-K311*<RO255>+K319*<RO256>-K319*<RO2
!56>+2.*K333*<RO257>-K333*<RO257>+K342*<RO258>-K342*<RO258>
 PJAC(:,85,85)=-TPK%K094(:)*PCONC(:,10)-TPK%K095(:)*PCONC(:,1)+TPK%K096(:)*PCON&
&C(:,85)+TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85&
&)-TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85)+TPK%K111(:)*PCONC(:,86)-TPK%&
&K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:)-TPK%K114(:)*TPK%RO22(:)+TPK%K117(:&
&)*TPK%RO23(:)-TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(:)-TPK%K120(:)*TPK%&
&RO24(:)+TPK%K123(:)*PCONC(:,87)-TPK%K123(:)*PCONC(:,87)+2.*TPK%K143(:)*TPK%RO2&
&6(:)-TPK%K143(:)*TPK%RO26(:)+2.*TPK%K145(:)*TPK%RO27(:)-TPK%K145(:)*TPK%RO27(:&
&)+2.*TPK%K149(:)*TPK%RO28(:)-TPK%K149(:)*TPK%RO28(:)+TPK%K151(:)*TPK%RO29(:)-T&
&PK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)-TPK%K154(:)*TPK%RO210(:)+TPK%K&
&157(:)*TPK%RO211(:)-TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK%RO212(:)-TPK%K160&
&(:)*TPK%RO212(:)+2.*TPK%K163(:)*TPK%RO213(:)-TPK%K163(:)*TPK%RO213(:)+2.*TPK%K&
&167(:)*TPK%RO239(:)-TPK%K167(:)*TPK%RO239(:)+2.*TPK%K169(:)*TPK%RO214(:)-TPK%K&
&169(:)*TPK%RO214(:)+TPK%K172(:)*TPK%RO215(:)-TPK%K172(:)*TPK%RO215(:)+2.*TPK%K&
&175(:)*TPK%RO216(:)-TPK%K175(:)*TPK%RO216(:)+TPK%K178(:)*TPK%RO217(:)-TPK%K178&
&(:)*TPK%RO217(:)+TPK%K181(:)*TPK%RO218(:)-TPK%K181(:)*TPK%RO218(:)+TPK%K184(:)&
&*TPK%RO219(:)-TPK%K184(:)*TPK%RO219(:)+2.*TPK%K187(:)*TPK%RO220(:)-TPK%K187(:)&
&*TPK%RO220(:)+TPK%K190(:)*TPK%RO221(:)-TPK%K190(:)*TPK%RO221(:)+TPK%K193(:)*TP&
&K%RO222(:)-TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)-TPK%K196(:)*TPK%R&
&O223(:)+TPK%K199(:)*TPK%RO224(:)-TPK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO22&
&5(:)-TPK%K202(:)*TPK%RO225(:)+2.*TPK%K205(:)*TPK%RO226(:)-TPK%K205(:)*TPK%RO22&
&6(:)+TPK%K208(:)*TPK%RO227(:)-TPK%K208(:)*TPK%RO227(:)+TPK%K211(:)*TPK%RO228(:&
&)-TPK%K211(:)*TPK%RO228(:)+2.*TPK%K214(:)*TPK%RO229(:)-TPK%K214(:)*TPK%RO229(:&
&)+2.*TPK%K217(:)*TPK%RO240(:)-TPK%K217(:)*TPK%RO240(:)+2.*TPK%K219(:)*TPK%RO23&
&0(:)-TPK%K219(:)*TPK%RO230(:)+TPK%K222(:)*TPK%RO231(:)-TPK%K222(:)*TPK%RO231(:&
&)+2.*TPK%K225(:)*TPK%RO232(:)-TPK%K225(:)*TPK%RO232(:)+TPK%K228(:)*TPK%RO241(:&
&)-TPK%K228(:)*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)-TPK%K232(:)*TPK%RO233(:)+T&
&PK%K235(:)*TPK%RO242(:)-TPK%K235(:)*TPK%RO242(:)+TPK%K239(:)*TPK%RO234(:)-TPK%&
&K239(:)*TPK%RO234(:)+TPK%K242(:)*TPK%RO243(:)-TPK%K242(:)*TPK%RO243(:)+TPK%K24&
&6(:)*TPK%RO235(:)-TPK%K246(:)*TPK%RO235(:)+TPK%K249(:)*TPK%RO244(:)-TPK%K249(:&
&)*TPK%RO244(:)+TPK%K253(:)*TPK%RO236(:)-TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*T&
&PK%RO245(:)-TPK%K256(:)*TPK%RO245(:)+TPK%K260(:)*TPK%RO237(:)-TPK%K260(:)*TPK%&
&RO237(:)+TPK%K263(:)*TPK%RO246(:)-TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO2&
&38(:)-TPK%K267(:)*TPK%RO238(:)+TPK%K270(:)*TPK%RO247(:)-TPK%K270(:)*TPK%RO247(&
&:)+2.*TPK%K280(:)*TPK%RO248(:)-TPK%K280(:)*TPK%RO248(:)+TPK%K286(:)*TPK%RO249(&
&:)-TPK%K286(:)*TPK%RO249(:)+2.*TPK%K290(:)*TPK%RO250(:)-TPK%K290(:)*TPK%RO250(&
&:)-TPK%K293(:)*TPK%RO251(:)-TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*TPK%RO253(:)-&
&TPK%K299(:)*TPK%RO253(:)+TPK%K302(:)*TPK%RO254(:)-TPK%K302(:)*TPK%RO254(:)+2.*&
&TPK%K311(:)*TPK%RO255(:)-TPK%K311(:)*TPK%RO255(:)+TPK%K319(:)*TPK%RO256(:)-TPK&
&%K319(:)*TPK%RO256(:)+2.*TPK%K333(:)*TPK%RO257(:)-TPK%K333(:)*TPK%RO257(:)+TPK&
&%K342(:)*TPK%RO258(:)-TPK%K342(:)*TPK%RO258(:)
!
!RO2T/RO21=+K111*<RO2T>-K111*<RO2T>
 PJAC(:,85,86)=+TPK%K111(:)*PCONC(:,85)-TPK%K111(:)*PCONC(:,85)
!
!RO2T/RO25=+K123*<RO2T>-K123*<RO2T>
 PJAC(:,85,87)=+TPK%K123(:)*PCONC(:,85)-TPK%K123(:)*PCONC(:,85)
!
RETURN
END SUBROUTINE SUBJ16
!
SUBROUTINE SUBJ17
!
!Indices 86 a 87
!
!
!RO21/NO=-K110*<RO21>+K147*<RO28>
 PJAC(:,86,1)=-TPK%K110(:)*PCONC(:,86)+TPK%K147(:)*TPK%RO28(:)
!
!RO21/NO2=0.0
!
!RO21/O3=0.0
!
!RO21/HONO=0.0
!
!RO21/HNO3=0.0
!
!RO21/HNO4=0.0
!
!RO21/N2O5=0.0
!
!RO21/NO3=0.0
!
!RO21/NH3=0.0
!
!RO21/HO2=-K112*<RO21>
 PJAC(:,86,10)=-TPK%K112(:)*PCONC(:,86)
!
!RO21/CO=0.0
!
!RO21/H2O2=0.0
!
!RO21/SO2=0.0
!
!RO21/H2SO4=0.0
!
!RO21/OH=+K043*<CH4>
 PJAC(:,86,15)=+TPK%K043(:)*TPK%CH4(:)
!
!RO21/ETHE=+0.6*K052*<O>
 PJAC(:,86,16)=+0.6*TPK%K052(:)*TPK%O(:)
!
!RO21/OLEL=0.0
!
!RO21/OLEH=0.0
!
!RO21/ALKL=0.0
!
!RO21/ALKM=0.0
!
!RO21/ALKH=0.0
!
!RO21/AROH=0.0
!
!RO21/AROL=0.0
!
!RO21/AROO=0.0
!
!RO21/ARAL=0.0
!
!RO21/ARAC=0.0
!
!RO21/PAH=0.0
!
!RO21/HCHO=0.0
!
!RO21/ALD2=0.0
!
!RO21/KETL=0.0
!
!RO21/KETH=0.0
!
!RO21/MEOH=0.0
!
!RO21/ETOH=0.0
!
!RO21/ALCH=0.0
!
!RO21/ISOP=0.0
!
!RO21/BIOL=0.0
!
!RO21/BIOH=0.0
!
!RO21/MTBE=0.0
!
!RO21/MVK=0.0
!
!RO21/MCR=0.0
!
!RO21/MGLY=0.0
!
!RO21/GLY=0.0
!
!RO21/ORA1=0.0
!
!RO21/ORA2=0.0
!
!RO21/ACID=0.0
!
!RO21/UR28=0.0
!
!RO21/UR21=0.0
!
!RO21/URG2=0.0
!
!RO21/UR26=0.0
!
!RO21/RPG2=0.0
!
!RO21/RP18=0.0
!
!RO21/RPG3=0.0
!
!RO21/URG4=0.0
!
!RO21/UR8=0.0
!
!RO21/UR17=0.0
!
!RO21/UR7=0.0
!
!RO21/RPR3=0.0
!
!RO21/URG6=0.0
!
!RO21/UR22=0.0
!
!RO21/URG7=0.0
!
!RO21/RPR4=0.0
!
!RO21/RPR7=0.0
!
!RO21/RPG7=0.0
!
!RO21/URG8=0.0
!
!RO21/UR19=0.0
!
!RO21/URG9=0.0
!
!RO21/AP7=0.0
!
!RO21/URG10=0.0
!
!RO21/RPR1=0.0
!
!RO21/RPR5=0.0
!
!RO21/RPR8=0.0
!
!RO21/RP10=0.0
!
!RO21/RP11=0.0
!
!RO21/RP16=0.0
!
!RO21/RPRL=0.0
!
!RO21/APAN=0.0
!
!RO21/PAN1=0.0
!
!RO21/PAN2=0.0
!
!RO21/PAN3=0.0
!
!RO21/PAN4=0.0
!
!RO21/PAN6=0.0
!
!RO21/PAN7=0.0
!
!RO21/PAN8=0.0
!
!RO21/PN10=0.0
!
!RO21/RO2T=-K111*<RO21>+K149*<RO28>
 PJAC(:,86,85)=-TPK%K111(:)*PCONC(:,86)+TPK%K149(:)*TPK%RO28(:)
!
!RO21/RO21=-K110*<NO>-K111*<RO2T>-K112*<HO2>
 PJAC(:,86,86)=-TPK%K110(:)*PCONC(:,1)-TPK%K111(:)*PCONC(:,85)-TPK%K112(:)*PCON&
&C(:,10)
!
!RO21/RO25=0.0
!
!RO25/NO=-K122*<RO25>+K125*<RO26>
 PJAC(:,87,1)=-TPK%K122(:)*PCONC(:,87)+TPK%K125(:)*TPK%RO26(:)
!
!RO25/NO2=0.0
!
!RO25/O3=+0.28*K056*<OLEL>
 PJAC(:,87,3)=+0.28*TPK%K056(:)*PCONC(:,17)
!
!RO25/HONO=0.0
!
!RO25/HNO3=0.0
!
!RO25/HNO4=0.0
!
!RO25/N2O5=0.0
!
!RO25/NO3=0.0
!
!RO25/NH3=0.0
!
!RO25/HO2=-K124*<RO25>
 PJAC(:,87,10)=-TPK%K124(:)*PCONC(:,87)
!
!RO25/CO=0.0
!
!RO25/H2O2=0.0
!
!RO25/SO2=0.0
!
!RO25/H2SO4=0.0
!
!RO25/OH=+K058*<ALKL>
 PJAC(:,87,15)=+TPK%K058(:)*PCONC(:,19)
!
!RO25/ETHE=0.0
!
!RO25/OLEL=+0.28*K056*<O3>+0.1*K057*<O>
 PJAC(:,87,17)=+0.28*TPK%K056(:)*PCONC(:,3)+0.1*TPK%K057(:)*TPK%O(:)
!
!RO25/OLEH=0.0
!
!RO25/ALKL=+K058*<OH>
 PJAC(:,87,19)=+TPK%K058(:)*PCONC(:,15)
!
!RO25/ALKM=0.0
!
!RO25/ALKH=0.0
!
!RO25/AROH=0.0
!
!RO25/AROL=0.0
!
!RO25/AROO=0.0
!
!RO25/ARAL=0.0
!
!RO25/ARAC=0.0
!
!RO25/PAH=0.0
!
!RO25/HCHO=0.0
!
!RO25/ALD2=+K059
 PJAC(:,87,29)=+TPK%K059(:)
!
!RO25/KETL=+K063
 PJAC(:,87,30)=+TPK%K063(:)
!
!RO25/KETH=+K071
 PJAC(:,87,31)=+TPK%K071(:)
!
!RO25/MEOH=0.0
!
!RO25/ETOH=0.0
!
!RO25/ALCH=0.0
!
!RO25/ISOP=0.0
!
!RO25/BIOL=0.0
!
!RO25/BIOH=0.0
!
!RO25/MTBE=0.0
!
!RO25/MVK=0.0
!
!RO25/MCR=0.0
!
!RO25/MGLY=0.0
!
!RO25/GLY=0.0
!
!RO25/ORA1=0.0
!
!RO25/ORA2=0.0
!
!RO25/ACID=0.0
!
!RO25/UR28=0.0
!
!RO25/UR21=0.0
!
!RO25/URG2=0.0
!
!RO25/UR26=0.0
!
!RO25/RPG2=0.0
!
!RO25/RP18=0.0
!
!RO25/RPG3=0.0
!
!RO25/URG4=0.0
!
!RO25/UR8=0.0
!
!RO25/UR17=0.0
!
!RO25/UR7=0.0
!
!RO25/RPR3=0.0
!
!RO25/URG6=0.0
!
!RO25/UR22=0.0
!
!RO25/URG7=0.0
!
!RO25/RPR4=0.0
!
!RO25/RPR7=0.0
!
!RO25/RPG7=0.0
!
!RO25/URG8=0.0
!
!RO25/UR19=0.0
!
!RO25/URG9=0.0
!
!RO25/AP7=0.0
!
!RO25/URG10=0.0
!
!RO25/RPR1=0.0
!
!RO25/RPR5=0.0
!
!RO25/RPR8=0.0
!
!RO25/RP10=0.0
!
!RO25/RP11=0.0
!
!RO25/RP16=0.0
!
!RO25/RPRL=0.0
!
!RO25/APAN=0.0
!
!RO25/PAN1=0.0
!
!RO25/PAN2=0.0
!
!RO25/PAN3=0.0
!
!RO25/PAN4=0.0
!
!RO25/PAN6=0.0
!
!RO25/PAN7=0.0
!
!RO25/PAN8=0.0
!
!RO25/PN10=0.0
!
!RO25/RO2T=-K123*<RO25>+K143*<RO26>
 PJAC(:,87,85)=-TPK%K123(:)*PCONC(:,87)+TPK%K143(:)*TPK%RO26(:)
!
!RO25/RO21=0.0
!
!RO25/RO25=-K122*<NO>-K123*<RO2T>-K124*<HO2>
 PJAC(:,87,87)=-TPK%K122(:)*PCONC(:,1)-TPK%K123(:)*PCONC(:,85)-TPK%K124(:)*PCON&
&C(:,10)
!
RETURN
END SUBROUTINE SUBJ17
!
END SUBROUTINE CH_JAC_GAZ
!
!
!========================================================================
!
!!    ##################
      MODULE MODI_CH_JAC_AQ
!!    ##################
INTERFACE
SUBROUTINE CH_JAC_AQ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
END SUBROUTINE CH_JAC_AQ
END INTERFACE
END MODULE MODI_CH_JAC_AQ
!
!========================================================================
!
!!    ####################
      SUBROUTINE CH_JAC_AQ(PTIME,PCONC,PJAC,KMI,KVECNPT,KEQ)
!!    ####################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_JAC*
!!
!!    PURPOSE
!!    -------
!       calculation of the JACOBIAN matrix
!!
!!**  METHOD
!!    ------
!!      The Jacobian matrix J is calculated as defined by the chemical
!!    reaction mechanism.
!!    The reaction rates and other user-defined auxiliary variables are
!!    transfered in the TYPE(CCSTYPE) variable TPK%.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT
INTEGER, INTENT(IN)                              :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KEQ) :: PJAC
INTEGER, INTENT(IN)                              :: KMI
!
TYPE(CCSTYPE),                    POINTER        :: TPK
TPK=>TACCS(KMI)
!
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
PJAC(:,:,:) = 0.0
CALL SUBJ0
CALL SUBJ1
CALL SUBJ2
CALL SUBJ3
CALL SUBJ4
CALL SUBJ5
CALL SUBJ6
CALL SUBJ7
CALL SUBJ8
CALL SUBJ9
CALL SUBJ10
CALL SUBJ11
CALL SUBJ12
CALL SUBJ13
CALL SUBJ14
CALL SUBJ15
CALL SUBJ16
CALL SUBJ17
CALL SUBJ18
CALL SUBJ19
CALL SUBJ20
CALL SUBJ21
CALL SUBJ22
CALL SUBJ23
CALL SUBJ24
CALL SUBJ25
CALL SUBJ26
CALL SUBJ27
CALL SUBJ28
CALL SUBJ29
CALL SUBJ30
CALL SUBJ31
CALL SUBJ32
!

CONTAINS

SUBROUTINE SUBJ0
!
!Indices 1 a 5
!
!
!NO/NO=-K005*<O3>-K007*<NO3>-K008*<NO>-K008*<NO>-K008*<NO>-K008*<NO>-K019*<OH>-
!K026*<HO2>-K038*<O>+K095*<RO2T>-K095*<RO2T>-K110*<RO21>-K113*<RO22>-K116*<RO23
!>-K119*<RO24>-K122*<RO25>-K125*<RO26>-K144*<RO27>-K147*<RO28>-K150*<RO29>-K153
!*<RO210>-K156*<RO211>-K159*<RO212>-K162*<RO213>-K165*<RO239>-K168*<RO214>-K171
!*<RO215>-K174*<RO216>-K177*<RO217>-K180*<RO218>-K183*<RO219>-K186*<RO220>-K189
!*<RO221>-K192*<RO222>-K195*<RO223>-K198*<RO224>-K201*<RO225>-K204*<RO226>-K207
!*<RO227>-K210*<RO228>-K213*<RO229>-K216*<RO240>-K221*<RO231>-K224*<RO232>-K227
!*<RO241>-K231*<RO233>-K234*<RO242>-K238*<RO234>-K241*<RO243>-K245*<RO235>-K248
!*<RO244>-K252*<RO236>-K255*<RO245>-K259*<RO237>-K262*<RO246>-K266*<RO238>-K269
!*<RO247>-K277*<RO248>-K285*<RO249>-K288*<RO250>-K291*<RO251>-K294*<RO252>-K297
!*<RO253>-K300*<RO254>-K309*<RO255>-K315*<RO256>-K331*<RO257>-K340*<RO258>-K344
!*<RO230>-KTC3-KTR3
 PJAC(:,1,1)=-TPK%K005(:)*PCONC(:,3)-TPK%K007(:)*PCONC(:,8)-TPK%K008(:)*PCONC(:&
&,1)-TPK%K008(:)*PCONC(:,1)-TPK%K008(:)*PCONC(:,1)-TPK%K008(:)*PCONC(:,1)-TPK%K&
&019(:)*PCONC(:,15)-TPK%K026(:)*PCONC(:,10)-TPK%K038(:)*TPK%O(:)+TPK%K095(:)*PC&
&ONC(:,85)-TPK%K095(:)*PCONC(:,85)-TPK%K110(:)*PCONC(:,86)-TPK%K113(:)*TPK%RO22&
&(:)-TPK%K116(:)*TPK%RO23(:)-TPK%K119(:)*TPK%RO24(:)-TPK%K122(:)*PCONC(:,87)-TP&
&K%K125(:)*TPK%RO26(:)-TPK%K144(:)*TPK%RO27(:)-TPK%K147(:)*TPK%RO28(:)-TPK%K150&
&(:)*TPK%RO29(:)-TPK%K153(:)*TPK%RO210(:)-TPK%K156(:)*TPK%RO211(:)-TPK%K159(:)*&
&TPK%RO212(:)-TPK%K162(:)*TPK%RO213(:)-TPK%K165(:)*TPK%RO239(:)-TPK%K168(:)*TPK&
&%RO214(:)-TPK%K171(:)*TPK%RO215(:)-TPK%K174(:)*TPK%RO216(:)-TPK%K177(:)*TPK%RO&
&217(:)-TPK%K180(:)*TPK%RO218(:)-TPK%K183(:)*TPK%RO219(:)-TPK%K186(:)*TPK%RO220&
&(:)-TPK%K189(:)*TPK%RO221(:)-TPK%K192(:)*TPK%RO222(:)-TPK%K195(:)*TPK%RO223(:)&
&-TPK%K198(:)*TPK%RO224(:)-TPK%K201(:)*TPK%RO225(:)-TPK%K204(:)*TPK%RO226(:)-TP&
&K%K207(:)*TPK%RO227(:)-TPK%K210(:)*TPK%RO228(:)-TPK%K213(:)*TPK%RO229(:)-TPK%K&
&216(:)*TPK%RO240(:)-TPK%K221(:)*TPK%RO231(:)-TPK%K224(:)*TPK%RO232(:)-TPK%K227&
&(:)*TPK%RO241(:)-TPK%K231(:)*TPK%RO233(:)-TPK%K234(:)*TPK%RO242(:)-TPK%K238(:)&
&*TPK%RO234(:)-TPK%K241(:)*TPK%RO243(:)-TPK%K245(:)*TPK%RO235(:)-TPK%K248(:)*TP&
&K%RO244(:)-TPK%K252(:)*TPK%RO236(:)-TPK%K255(:)*TPK%RO245(:)-TPK%K259(:)*TPK%R&
&O237(:)-TPK%K262(:)*TPK%RO246(:)-TPK%K266(:)*TPK%RO238(:)-TPK%K269(:)*TPK%RO24&
&7(:)-TPK%K277(:)*TPK%RO248(:)-TPK%K285(:)*TPK%RO249(:)-TPK%K288(:)*TPK%RO250(:&
&)-TPK%K291(:)*TPK%RO251(:)-TPK%K294(:)*TPK%RO252(:)-TPK%K297(:)*TPK%RO253(:)-T&
&PK%K300(:)*TPK%RO254(:)-TPK%K309(:)*TPK%RO255(:)-TPK%K315(:)*TPK%RO256(:)-TPK%&
&K331(:)*TPK%RO257(:)-TPK%K340(:)*TPK%RO258(:)-TPK%K344(:)*TPK%RO230(:)-TPK%KTC&
&3(:)-TPK%KTR3(:)
!
!NO/NO2=+K001+K003*<O>+K012*<NO3>
 PJAC(:,1,2)=+TPK%K001(:)+TPK%K003(:)*TPK%O(:)+TPK%K012(:)*PCONC(:,8)
!
!NO/O3=-K005*<NO>
 PJAC(:,1,3)=-TPK%K005(:)*PCONC(:,1)
!
!NO/HONO=+0.9*K020
 PJAC(:,1,4)=+0.9*TPK%K020(:)
!
!NO/HNO3=0.0
!
!NO/HNO4=0.0
!
!NO/N2O5=0.0
!
!NO/NO3=-K007*<NO>+K012*<NO2>+K013
 PJAC(:,1,8)=-TPK%K007(:)*PCONC(:,1)+TPK%K012(:)*PCONC(:,2)+TPK%K013(:)
!
!NO/NH3=0.0
!
!NO/HO2=-K026*<NO>
 PJAC(:,1,10)=-TPK%K026(:)*PCONC(:,1)
!
!NO/CO=0.0
!
!NO/H2O2=0.0
!
!NO/SO2=0.0
!
!NO/H2SO4=0.0
!
!NO/OH=-K019*<NO>
 PJAC(:,1,15)=-TPK%K019(:)*PCONC(:,1)
!
!NO/ETHE=0.0
!
!NO/OLEL=0.0
!
!NO/OLEH=0.0
!
!NO/ALKL=0.0
!
!NO/ALKM=0.0
!
!NO/ALKH=0.0
!
!NO/AROH=0.0
!
!NO/AROL=0.0
!
!NO/AROO=0.0
!
!NO/ARAL=0.0
!
!NO/ARAC=0.0
!
!NO/PAH=0.0
!
!NO/HCHO=0.0
!
!NO/ALD2=0.0
!
!NO/KETL=0.0
!
!NO/KETH=0.0
!
!NO/MEOH=0.0
!
!NO/ETOH=0.0
!
!NO/ALCH=0.0
!
!NO/ISOP=0.0
!
!NO/BIOL=0.0
!
!NO/BIOH=0.0
!
!NO/MTBE=0.0
!
!NO/MVK=0.0
!
!NO/MCR=0.0
!
!NO/MGLY=0.0
!
!NO/GLY=0.0
!
!NO/ORA1=0.0
!
!NO/ORA2=0.0
!
!NO/ACID=0.0
!
!NO/UR28=0.0
!
!NO/UR21=0.0
!
!NO/URG2=0.0
!
!NO/UR26=0.0
!
!NO/RPG2=0.0
!
!NO/RP18=0.0
!
!NO/RPG3=0.0
!
!NO/URG4=0.0
!
!NO/UR8=0.0
!
!NO/UR17=0.0
!
!NO/UR7=0.0
!
!NO/RPR3=0.0
!
!NO/URG6=0.0
!
!NO/UR22=0.0
!
!NO/URG7=0.0
!
!NO/RPR4=0.0
!
!NO/RPR7=0.0
!
!NO/RPG7=0.0
!
!NO/URG8=0.0
!
!NO/UR19=0.0
!
!NO/URG9=0.0
!
!NO/AP7=0.0
!
!NO/URG10=0.0
!
!NO/RPR1=0.0
!
!NO/RPR5=0.0
!
!NO/RPR8=0.0
!
!NO/RP10=0.0
!
!NO/RP11=0.0
!
!NO/RP16=0.0
!
!NO/RPRL=0.0
!
!NO/APAN=0.0
!
!NO/PAN1=0.0
!
!NO/PAN2=0.0
!
!NO/PAN3=0.0
!
!NO/PAN4=0.0
!
!NO/PAN6=0.0
!
!NO/PAN7=0.0
!
!NO/PAN8=0.0
!
!NO/PN10=0.0
!
!NO/RO2T=+K095*<NO>-K095*<NO>
 PJAC(:,1,85)=+TPK%K095(:)*PCONC(:,1)-TPK%K095(:)*PCONC(:,1)
!
!NO/RO21=-K110*<NO>
 PJAC(:,1,86)=-TPK%K110(:)*PCONC(:,1)
!
!NO/RO25=-K122*<NO>
 PJAC(:,1,87)=-TPK%K122(:)*PCONC(:,1)
!
!NO/WC_O3=0.0
!
!NO/WC_H2O2=0.0
!
!NO/WC_NO=+KTC34
 PJAC(:,1,90)=+TPK%KTC34(:)
!
!NO/WC_NO2=0.0
!
!NO/WC_NO3=0.0
!
!NO/WC_N2O5=0.0
!
!NO/WC_HONO=0.0
!
!NO/WC_HNO3=0.0
!
!NO/WC_HNO4=0.0
!
!NO/WC_NH3=0.0
!
!NO/WC_OH=0.0
!
!NO/WC_HO2=0.0
!
!NO/WC_CO2=0.0
!
!NO/WC_SO2=0.0
!
!NO/WC_H2SO4=0.0
!
!NO/WC_RO21=0.0
!
!NO/WC_RO25=0.0
!
!NO/WC_MEOH=0.0
!
!NO/WC_ETOH=0.0
!
!NO/WC_ALCH=0.0
!
!NO/WC_HCHO=0.0
!
!NO/WC_ALD2=0.0
!
!NO/WC_GLY=0.0
!
!NO/WC_MGLY=0.0
!
!NO/WC_KETL=0.0
!
!NO/WC_ORA1=0.0
!
!NO/WC_ORA2=0.0
!
!NO/WC_ACID=0.0
!
!NO/WC_RP16=0.0
!
!NO/WC_UR21=0.0
!
!NO/WC_UR28=0.0
!
!NO/WC_ACID2=0.0
!
!NO/WC_ASO3=0.0
!
!NO/WC_ASO4=0.0
!
!NO/WC_ASO5=0.0
!
!NO/WC_AHSO5=0.0
!
!NO/WC_AHMS=0.0
!
!NO/WR_O3=0.0
!
!NO/WR_H2O2=0.0
!
!NO/WR_NO=+KTR34
 PJAC(:,1,127)=+TPK%KTR34(:)
!
!NO/WR_NO2=0.0
!
!NO/WR_NO3=0.0
!
!NO/WR_N2O5=0.0
!
!NO/WR_HONO=0.0
!
!NO/WR_HNO3=0.0
!
!NO/WR_HNO4=0.0
!
!NO/WR_NH3=0.0
!
!NO/WR_OH=0.0
!
!NO/WR_HO2=0.0
!
!NO/WR_CO2=0.0
!
!NO/WR_SO2=0.0
!
!NO/WR_H2SO4=0.0
!
!NO/WR_RO21=0.0
!
!NO/WR_RO25=0.0
!
!NO/WR_MEOH=0.0
!
!NO/WR_ETOH=0.0
!
!NO/WR_ALCH=0.0
!
!NO/WR_HCHO=0.0
!
!NO/WR_ALD2=0.0
!
!NO/WR_GLY=0.0
!
!NO/WR_MGLY=0.0
!
!NO/WR_KETL=0.0
!
!NO/WR_ORA1=0.0
!
!NO/WR_ORA2=0.0
!
!NO/WR_ACID=0.0
!
!NO/WR_RP16=0.0
!
!NO/WR_UR21=0.0
!
!NO/WR_UR28=0.0
!
!NO/WR_ACID2=0.0
!
!NO/WR_ASO3=0.0
!
!NO/WR_ASO4=0.0
!
!NO/WR_ASO5=0.0
!
!NO/WR_AHSO5=0.0
!
!NO/WR_AHMS=0.0
!
!NO2/NO=+K005*<O3>+2.*K007*<NO3>+2.*K008*<NO>+2.*K008*<NO>+K026*<HO2>+K038*<O>+
!K110*<RO21>+K113*<RO22>+2.*K116*<RO23>+K119*<RO24>+TPK%CF4*K122*<RO25>+K125*<R
!O26>+K144*<RO27>+K147*<RO28>+TPK%CF6*K150*<RO29>+K153*<RO210>+2.*K156*<RO211>+
!2.*K159*<RO212>+K162*<RO213>+K165*<RO239>+TPK%CF8*K168*<RO214>+K171*<RO215>+K1
!74*<RO216>+TPK%CF22*K177*<RO217>+TPK%CF20*K180*<RO218>+2.*K183*<RO219>+TPK%CF1
!8*K186*<RO220>+TPK%CF24*K189*<RO221>+TPK%CF42*K192*<RO222>+TPK%CF44*K195*<RO22
!3>+TPK%CF26*K198*<RO224>+2.*K201*<RO225>+K204*<RO226>+TPK%CF28*K207*<RO227>+2.
!*K210*<RO228>+TPK%CF30*K213*<RO229>+K216*<RO240>+TPK%CF32*K221*<RO231>+TPK%CF3
!4*K224*<RO232>+TPK%CF36*K227*<RO241>+K231*<RO233>+K234*<RO242>+K238*<RO234>+K2
!41*<RO243>+K245*<RO235>+K248*<RO244>+K252*<RO236>+K255*<RO245>+K259*<RO237>+K2
!62*<RO246>+K266*<RO238>+K269*<RO247>+K277*<RO248>+K285*<RO249>+K288*<RO250>+K2
!91*<RO251>+2.*K294*<RO252>+K297*<RO253>+K300*<RO254>+K309*<RO255>+K315*<RO256>
!+K331*<RO257>+K340*<RO258>+K344*<RO230>
 PJAC(:,2,1)=+TPK%K005(:)*PCONC(:,3)+2.*TPK%K007(:)*PCONC(:,8)+2.*TPK%K008(:)*P&
&CONC(:,1)+2.*TPK%K008(:)*PCONC(:,1)+TPK%K026(:)*PCONC(:,10)+TPK%K038(:)*TPK%O(&
&:)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%RO22(:)+2.*TPK%K116(:)*TPK%RO23(:)+&
&TPK%K119(:)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,87)+TPK%K125(:)*TPK%RO26(:&
&)+TPK%K144(:)*TPK%RO27(:)+TPK%K147(:)*TPK%RO28(:)+TPK%CF6*TPK%K150(:)*TPK%RO29&
&(:)+TPK%K153(:)*TPK%RO210(:)+2.*TPK%K156(:)*TPK%RO211(:)+2.*TPK%K159(:)*TPK%RO&
&212(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239(:)+TPK%CF8*TPK%K168(:)*T&
&PK%RO214(:)+TPK%K171(:)*TPK%RO215(:)+TPK%K174(:)*TPK%RO216(:)+TPK%CF22*TPK%K17&
&7(:)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*TPK%RO218(:)+2.*TPK%K183(:)*TPK%RO219(:&
&)+TPK%CF18*TPK%K186(:)*TPK%RO220(:)+TPK%CF24*TPK%K189(:)*TPK%RO221(:)+TPK%CF42&
&*TPK%K192(:)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*TPK%RO223(:)+TPK%CF26*TPK%K198(&
&:)*TPK%RO224(:)+2.*TPK%K201(:)*TPK%RO225(:)+TPK%K204(:)*TPK%RO226(:)+TPK%CF28*&
&TPK%K207(:)*TPK%RO227(:)+2.*TPK%K210(:)*TPK%RO228(:)+TPK%CF30*TPK%K213(:)*TPK%&
&RO229(:)+TPK%K216(:)*TPK%RO240(:)+TPK%CF32*TPK%K221(:)*TPK%RO231(:)+TPK%CF34*T&
&PK%K224(:)*TPK%RO232(:)+TPK%CF36*TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%RO23&
&3(:)+TPK%K234(:)*TPK%RO242(:)+TPK%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO243(:&
&)+TPK%K245(:)*TPK%RO235(:)+TPK%K248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(:)+T&
&PK%K255(:)*TPK%RO245(:)+TPK%K259(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+TPK%&
&K266(:)*TPK%RO238(:)+TPK%K269(:)*TPK%RO247(:)+TPK%K277(:)*TPK%RO248(:)+TPK%K28&
&5(:)*TPK%RO249(:)+TPK%K288(:)*TPK%RO250(:)+TPK%K291(:)*TPK%RO251(:)+2.*TPK%K29&
&4(:)*TPK%RO252(:)+TPK%K297(:)*TPK%RO253(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K309(:&
&)*TPK%RO255(:)+TPK%K315(:)*TPK%RO256(:)+TPK%K331(:)*TPK%RO257(:)+TPK%K340(:)*T&
&PK%RO258(:)+TPK%K344(:)*TPK%RO230(:)
!
!NO2/NO2=-K001-K003*<O>-K004*<O>-K006*<O3>-K009*<NO3>+K012*<NO3>-K012*<NO3>-K02
!1*<H2O>-K022*<OH>-K027*<HO2>-K103*<RAD1>-K104*<RAD2>-K105*<RAD3>-K106*<RAD4>-K
!107*<RAD5>-K108*<RAD6>-K109*<RAD7>-K126*<RO26>-K127*<RO28>-K128*<RO239>-K129*<
!RO248>-K130*<RO250>-K131*<RO254>-K132*<RO255>-K133*<RO257>-K134*<RO258>-K316*<
!RO256>-K321*<RAD8>-KTC4-KTR4
 PJAC(:,2,2)=-TPK%K001(:)-TPK%K003(:)*TPK%O(:)-TPK%K004(:)*TPK%O(:)-TPK%K006(:)&
&*PCONC(:,3)-TPK%K009(:)*PCONC(:,8)+TPK%K012(:)*PCONC(:,8)-TPK%K012(:)*PCONC(:,&
&8)-TPK%K021(:)*TPK%H2O(:)-TPK%K022(:)*PCONC(:,15)-TPK%K027(:)*PCONC(:,10)-TPK%&
&K103(:)*TPK%RAD1(:)-TPK%K104(:)*TPK%RAD2(:)-TPK%K105(:)*TPK%RAD3(:)-TPK%K106(:&
&)*TPK%RAD4(:)-TPK%K107(:)*TPK%RAD5(:)-TPK%K108(:)*TPK%RAD6(:)-TPK%K109(:)*TPK%&
&RAD7(:)-TPK%K126(:)*TPK%RO26(:)-TPK%K127(:)*TPK%RO28(:)-TPK%K128(:)*TPK%RO239(&
&:)-TPK%K129(:)*TPK%RO248(:)-TPK%K130(:)*TPK%RO250(:)-TPK%K131(:)*TPK%RO254(:)-&
&TPK%K132(:)*TPK%RO255(:)-TPK%K133(:)*TPK%RO257(:)-TPK%K134(:)*TPK%RO258(:)-TPK&
&%K316(:)*TPK%RO256(:)-TPK%K321(:)*TPK%RAD8(:)-TPK%KTC4(:)-TPK%KTR4(:)
!
!NO2/O3=+K005*<NO>-K006*<NO2>
 PJAC(:,2,3)=+TPK%K005(:)*PCONC(:,1)-TPK%K006(:)*PCONC(:,2)
!
!NO2/HONO=+0.1*K020+K039*<OH>
 PJAC(:,2,4)=+0.1*TPK%K020(:)+TPK%K039(:)*PCONC(:,15)
!
!NO2/HNO3=0.0
!
!NO2/HNO4=+K028+K029*<OH>
 PJAC(:,2,6)=+TPK%K028(:)+TPK%K029(:)*PCONC(:,15)
!
!NO2/N2O5=+K010
 PJAC(:,2,7)=+TPK%K010(:)
!
!NO2/NO3=+2.*K007*<NO>-K009*<NO2>+K012*<NO2>-K012*<NO2>+K014+0.8*K033*<HO2>+K04
!0*<OH>+2.*K041*<NO3>+2.*K041*<NO3>
 PJAC(:,2,8)=+2.*TPK%K007(:)*PCONC(:,1)-TPK%K009(:)*PCONC(:,2)+TPK%K012(:)*PCON&
&C(:,2)-TPK%K012(:)*PCONC(:,2)+TPK%K014(:)+0.8*TPK%K033(:)*PCONC(:,10)+TPK%K040&
&(:)*PCONC(:,15)+2.*TPK%K041(:)*PCONC(:,8)+2.*TPK%K041(:)*PCONC(:,8)
!
!NO2/NH3=0.0
!
!NO2/HO2=+K026*<NO>-K027*<NO2>+0.8*K033*<NO3>+K118*<RO23>+K158*<RO211>+K161*<RO
!212>+K185*<RO219>+K203*<RO225>+K212*<RO228>+K295*<RO252>
 PJAC(:,2,10)=+TPK%K026(:)*PCONC(:,1)-TPK%K027(:)*PCONC(:,2)+0.8*TPK%K033(:)*PC&
&ONC(:,8)+TPK%K118(:)*TPK%RO23(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO21&
&2(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K212(:)*TPK%RO228(:&
&)+TPK%K295(:)*TPK%RO252(:)
!
!NO2/CO=0.0
!
!NO2/H2O2=0.0
!
!NO2/SO2=0.0
!
!NO2/H2SO4=0.0
!
!NO2/OH=-K022*<NO2>+K029*<HNO4>+K039*<HONO>+K040*<NO3>
 PJAC(:,2,15)=-TPK%K022(:)*PCONC(:,2)+TPK%K029(:)*PCONC(:,6)+TPK%K039(:)*PCONC(&
&:,4)+TPK%K040(:)*PCONC(:,8)
!
!NO2/ETHE=0.0
!
!NO2/OLEL=0.0
!
!NO2/OLEH=0.0
!
!NO2/ALKL=0.0
!
!NO2/ALKM=0.0
!
!NO2/ALKH=0.0
!
!NO2/AROH=0.0
!
!NO2/AROL=0.0
!
!NO2/AROO=0.0
!
!NO2/ARAL=0.0
!
!NO2/ARAC=0.0
!
!NO2/PAH=0.0
!
!NO2/HCHO=0.0
!
!NO2/ALD2=0.0
!
!NO2/KETL=0.0
!
!NO2/KETH=0.0
!
!NO2/MEOH=0.0
!
!NO2/ETOH=0.0
!
!NO2/ALCH=0.0
!
!NO2/ISOP=0.0
!
!NO2/BIOL=0.0
!
!NO2/BIOH=0.0
!
!NO2/MTBE=0.0
!
!NO2/MVK=0.0
!
!NO2/MCR=0.0
!
!NO2/MGLY=0.0
!
!NO2/GLY=0.0
!
!NO2/ORA1=0.0
!
!NO2/ORA2=0.0
!
!NO2/ACID=0.0
!
!NO2/UR28=0.0
!
!NO2/UR21=0.0
!
!NO2/URG2=0.0
!
!NO2/UR26=0.0
!
!NO2/RPG2=0.0
!
!NO2/RP18=0.0
!
!NO2/RPG3=0.0
!
!NO2/URG4=0.0
!
!NO2/UR8=0.0
!
!NO2/UR17=0.0
!
!NO2/UR7=0.0
!
!NO2/RPR3=0.0
!
!NO2/URG6=0.0
!
!NO2/UR22=0.0
!
!NO2/URG7=0.0
!
!NO2/RPR4=0.0
!
!NO2/RPR7=0.0
!
!NO2/RPG7=0.0
!
!NO2/URG8=0.0
!
!NO2/UR19=0.0
!
!NO2/URG9=0.0
!
!NO2/AP7=0.0
!
!NO2/URG10=0.0
!
!NO2/RPR1=0.0
!
!NO2/RPR5=0.0
!
!NO2/RPR8=0.0
!
!NO2/RP10=0.0
!
!NO2/RP11=0.0
!
!NO2/RP16=0.0
!
!NO2/RPRL=0.0
!
!NO2/APAN=+1.0000000*K139
 PJAC(:,2,76)=+1.0000000*TPK%K139(:)
!
!NO2/PAN1=+K135
 PJAC(:,2,77)=+TPK%K135(:)
!
!NO2/PAN2=+K136
 PJAC(:,2,78)=+TPK%K136(:)
!
!NO2/PAN3=+K137
 PJAC(:,2,79)=+TPK%K137(:)
!
!NO2/PAN4=+K141
 PJAC(:,2,80)=+TPK%K141(:)
!
!NO2/PAN6=+K140
 PJAC(:,2,81)=+TPK%K140(:)
!
!NO2/PAN7=+K343
 PJAC(:,2,82)=+TPK%K343(:)
!
!NO2/PAN8=+K317
 PJAC(:,2,83)=+TPK%K317(:)
!
!NO2/PN10=+K138
 PJAC(:,2,84)=+TPK%K138(:)
!
!NO2/RO2T=+K117*<RO23>+K157*<RO211>+K160*<RO212>+K184*<RO219>+K202*<RO225>+K211
!*<RO228>+K296*<RO252>
 PJAC(:,2,85)=+TPK%K117(:)*TPK%RO23(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK&
&%RO212(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K202(:)*TPK%RO225(:)+TPK%K211(:)*TPK%RO&
&228(:)+TPK%K296(:)*TPK%RO252(:)
!
!NO2/RO21=+K110*<NO>
 PJAC(:,2,86)=+TPK%K110(:)*PCONC(:,1)
!
!NO2/RO25=+TPK%CF4*K122*<NO>
 PJAC(:,2,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)
!
!NO2/WC_O3=0.0
!
!NO2/WC_H2O2=0.0
!
!NO2/WC_NO=0.0
!
!NO2/WC_NO2=+KTC35
 PJAC(:,2,91)=+TPK%KTC35(:)
!
!NO2/WC_NO3=0.0
!
!NO2/WC_N2O5=0.0
!
!NO2/WC_HONO=0.0
!
!NO2/WC_HNO3=0.0
!
!NO2/WC_HNO4=0.0
!
!NO2/WC_NH3=0.0
!
!NO2/WC_OH=0.0
!
!NO2/WC_HO2=0.0
!
!NO2/WC_CO2=0.0
!
!NO2/WC_SO2=0.0
!
!NO2/WC_H2SO4=0.0
!
!NO2/WC_RO21=0.0
!
!NO2/WC_RO25=0.0
!
!NO2/WC_MEOH=0.0
!
!NO2/WC_ETOH=0.0
!
!NO2/WC_ALCH=0.0
!
!NO2/WC_HCHO=0.0
!
!NO2/WC_ALD2=0.0
!
!NO2/WC_GLY=0.0
!
!NO2/WC_MGLY=0.0
!
!NO2/WC_KETL=0.0
!
!NO2/WC_ORA1=0.0
!
!NO2/WC_ORA2=0.0
!
!NO2/WC_ACID=0.0
!
!NO2/WC_RP16=0.0
!
!NO2/WC_UR21=0.0
!
!NO2/WC_UR28=0.0
!
!NO2/WC_ACID2=0.0
!
!NO2/WC_ASO3=0.0
!
!NO2/WC_ASO4=0.0
!
!NO2/WC_ASO5=0.0
!
!NO2/WC_AHSO5=0.0
!
!NO2/WC_AHMS=0.0
!
!NO2/WR_O3=0.0
!
!NO2/WR_H2O2=0.0
!
!NO2/WR_NO=0.0
!
!NO2/WR_NO2=+KTR35
 PJAC(:,2,128)=+TPK%KTR35(:)
!
!NO2/WR_NO3=0.0
!
!NO2/WR_N2O5=0.0
!
!NO2/WR_HONO=0.0
!
!NO2/WR_HNO3=0.0
!
!NO2/WR_HNO4=0.0
!
!NO2/WR_NH3=0.0
!
!NO2/WR_OH=0.0
!
!NO2/WR_HO2=0.0
!
!NO2/WR_CO2=0.0
!
!NO2/WR_SO2=0.0
!
!NO2/WR_H2SO4=0.0
!
!NO2/WR_RO21=0.0
!
!NO2/WR_RO25=0.0
!
!NO2/WR_MEOH=0.0
!
!NO2/WR_ETOH=0.0
!
!NO2/WR_ALCH=0.0
!
!NO2/WR_HCHO=0.0
!
!NO2/WR_ALD2=0.0
!
!NO2/WR_GLY=0.0
!
!NO2/WR_MGLY=0.0
!
!NO2/WR_KETL=0.0
!
!NO2/WR_ORA1=0.0
!
!NO2/WR_ORA2=0.0
!
!NO2/WR_ACID=0.0
!
!NO2/WR_RP16=0.0
!
!NO2/WR_UR21=0.0
!
!NO2/WR_UR28=0.0
!
!NO2/WR_ACID2=0.0
!
!NO2/WR_ASO3=0.0
!
!NO2/WR_ASO4=0.0
!
!NO2/WR_ASO5=0.0
!
!NO2/WR_AHSO5=0.0
!
!NO2/WR_AHMS=0.0
!
!O3/NO=-K005*<O3>
 PJAC(:,3,1)=-TPK%K005(:)*PCONC(:,3)
!
!O3/NO2=-K006*<O3>
 PJAC(:,3,2)=-TPK%K006(:)*PCONC(:,3)
!
!O3/O3=-K005*<NO>-K006*<NO2>-K015-K016-K025*<OH>-K030*<HO2>-K034*<O>-K051*<ETHE
!>-K056*<OLEL>-K066*<ISOP>-K076*<OLEH>-K086*<BIOL>-K090*<BIOH>-K281*<MVK>-K282*
!<MCR>-KTC1-KTR1
 PJAC(:,3,3)=-TPK%K005(:)*PCONC(:,1)-TPK%K006(:)*PCONC(:,2)-TPK%K015(:)-TPK%K01&
&6(:)-TPK%K025(:)*PCONC(:,15)-TPK%K030(:)*PCONC(:,10)-TPK%K034(:)*TPK%O(:)-TPK%&
&K051(:)*PCONC(:,16)-TPK%K056(:)*PCONC(:,17)-TPK%K066(:)*PCONC(:,35)-TPK%K076(:&
&)*PCONC(:,18)-TPK%K086(:)*PCONC(:,36)-TPK%K090(:)*PCONC(:,37)-TPK%K281(:)*PCON&
&C(:,39)-TPK%K282(:)*PCONC(:,40)-TPK%KTC1(:)-TPK%KTR1(:)
!
!O3/HONO=0.0
!
!O3/HNO3=0.0
!
!O3/HNO4=0.0
!
!O3/N2O5=0.0
!
!O3/NO3=+K081*<ARAL>
 PJAC(:,3,8)=+TPK%K081(:)*PCONC(:,25)
!
!O3/NH3=0.0
!
!O3/HO2=-K030*<O3>+K142*<RO26>+K148*<RO28>+K166*<RO239>+K279*<RO248>+K289*<RO25
!0>+K301*<RO254>+K310*<RO255>+K318*<RO256>+K332*<RO257>+K341*<RO258>
 PJAC(:,3,10)=-TPK%K030(:)*PCONC(:,3)+TPK%K142(:)*TPK%RO26(:)+TPK%K148(:)*TPK%R&
&O28(:)+TPK%K166(:)*TPK%RO239(:)+TPK%K279(:)*TPK%RO248(:)+TPK%K289(:)*TPK%RO250&
&(:)+TPK%K301(:)*TPK%RO254(:)+TPK%K310(:)*TPK%RO255(:)+TPK%K318(:)*TPK%RO256(:)&
&+TPK%K332(:)*TPK%RO257(:)+TPK%K341(:)*TPK%RO258(:)
!
!O3/CO=0.0
!
!O3/H2O2=0.0
!
!O3/SO2=0.0
!
!O3/H2SO4=0.0
!
!O3/OH=-K025*<O3>+TPK%CF39*K082*<ARAL>+K303*<RPR5>+1.0000011*K306*<RPRL>+K322*<
!RPR7>+1.0000005*K323*<RPG7>+K326*<RP11>+1.0000000*K334*<RPG3>+1.0000000*K335*<
!RPG2>+K337*<RP18>
 PJAC(:,3,15)=-TPK%K025(:)*PCONC(:,3)+TPK%CF39*TPK%K082(:)*PCONC(:,25)+TPK%K303&
&(:)*PCONC(:,70)+1.0000011*TPK%K306(:)*PCONC(:,75)+TPK%K322(:)*PCONC(:,62)+1.00&
&00005*TPK%K323(:)*PCONC(:,63)+TPK%K326(:)*PCONC(:,73)+1.0000000*TPK%K334(:)*PC&
&ONC(:,52)+1.0000000*TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)
!
!O3/ETHE=-K051*<O3>
 PJAC(:,3,16)=-TPK%K051(:)*PCONC(:,3)
!
!O3/OLEL=-K056*<O3>
 PJAC(:,3,17)=-TPK%K056(:)*PCONC(:,3)
!
!O3/OLEH=-K076*<O3>
 PJAC(:,3,18)=-TPK%K076(:)*PCONC(:,3)
!
!O3/ALKL=0.0
!
!O3/ALKM=0.0
!
!O3/ALKH=0.0
!
!O3/AROH=0.0
!
!O3/AROL=0.0
!
!O3/AROO=0.0
!
!O3/ARAL=+K081*<NO3>+TPK%CF39*K082*<OH>
 PJAC(:,3,25)=+TPK%K081(:)*PCONC(:,8)+TPK%CF39*TPK%K082(:)*PCONC(:,15)
!
!O3/ARAC=0.0
!
!O3/PAH=0.0
!
!O3/HCHO=0.0
!
!O3/ALD2=0.0
!
!O3/KETL=0.0
!
!O3/KETH=0.0
!
!O3/MEOH=0.0
!
!O3/ETOH=0.0
!
!O3/ALCH=0.0
!
!O3/ISOP=-K066*<O3>
 PJAC(:,3,35)=-TPK%K066(:)*PCONC(:,3)
!
!O3/BIOL=-K086*<O3>
 PJAC(:,3,36)=-TPK%K086(:)*PCONC(:,3)
!
!O3/BIOH=-K090*<O3>
 PJAC(:,3,37)=-TPK%K090(:)*PCONC(:,3)
!
!O3/MTBE=0.0
!
!O3/MVK=-K281*<O3>
 PJAC(:,3,39)=-TPK%K281(:)*PCONC(:,3)
!
!O3/MCR=-K282*<O3>
 PJAC(:,3,40)=-TPK%K282(:)*PCONC(:,3)
!
!O3/MGLY=0.0
!
!O3/GLY=0.0
!
!O3/ORA1=0.0
!
!O3/ORA2=0.0
!
!O3/ACID=0.0
!
!O3/UR28=0.0
!
!O3/UR21=0.0
!
!O3/URG2=0.0
!
!O3/UR26=0.0
!
!O3/RPG2=+1.0000000*K335*<OH>
 PJAC(:,3,50)=+1.0000000*TPK%K335(:)*PCONC(:,15)
!
!O3/RP18=+K337*<OH>
 PJAC(:,3,51)=+TPK%K337(:)*PCONC(:,15)
!
!O3/RPG3=+1.0000000*K334*<OH>
 PJAC(:,3,52)=+1.0000000*TPK%K334(:)*PCONC(:,15)
!
!O3/URG4=0.0
!
!O3/UR8=0.0
!
!O3/UR17=0.0
!
!O3/UR7=0.0
!
!O3/RPR3=0.0
!
!O3/URG6=0.0
!
!O3/UR22=0.0
!
!O3/URG7=0.0
!
!O3/RPR4=0.0
!
!O3/RPR7=+K322*<OH>
 PJAC(:,3,62)=+TPK%K322(:)*PCONC(:,15)
!
!O3/RPG7=+1.0000005*K323*<OH>
 PJAC(:,3,63)=+1.0000005*TPK%K323(:)*PCONC(:,15)
!
!O3/URG8=0.0
!
!O3/UR19=0.0
!
!O3/URG9=0.0
!
!O3/AP7=0.0
!
!O3/URG10=0.0
!
!O3/RPR1=0.0
!
!O3/RPR5=+K303*<OH>
 PJAC(:,3,70)=+TPK%K303(:)*PCONC(:,15)
!
!O3/RPR8=0.0
!
!O3/RP10=0.0
!
!O3/RP11=+K326*<OH>
 PJAC(:,3,73)=+TPK%K326(:)*PCONC(:,15)
!
!O3/RP16=0.0
!
!O3/RPRL=+1.0000011*K306*<OH>
 PJAC(:,3,75)=+1.0000011*TPK%K306(:)*PCONC(:,15)
!
!O3/APAN=0.0
!
!O3/PAN1=0.0
!
!O3/PAN2=0.0
!
!O3/PAN3=0.0
!
!O3/PAN4=0.0
!
!O3/PAN6=0.0
!
!O3/PAN7=0.0
!
!O3/PAN8=0.0
!
!O3/PN10=0.0
!
!O3/RO2T=0.0
!
!O3/RO21=0.0
!
!O3/RO25=0.0
!
!O3/WC_O3=+KTC32
 PJAC(:,3,88)=+TPK%KTC32(:)
!
!O3/WC_H2O2=0.0
!
!O3/WC_NO=0.0
!
!O3/WC_NO2=0.0
!
!O3/WC_NO3=0.0
!
!O3/WC_N2O5=0.0
!
!O3/WC_HONO=0.0
!
!O3/WC_HNO3=0.0
!
!O3/WC_HNO4=0.0
!
!O3/WC_NH3=0.0
!
!O3/WC_OH=0.0
!
!O3/WC_HO2=0.0
!
!O3/WC_CO2=0.0
!
!O3/WC_SO2=0.0
!
!O3/WC_H2SO4=0.0
!
!O3/WC_RO21=0.0
!
!O3/WC_RO25=0.0
!
!O3/WC_MEOH=0.0
!
!O3/WC_ETOH=0.0
!
!O3/WC_ALCH=0.0
!
!O3/WC_HCHO=0.0
!
!O3/WC_ALD2=0.0
!
!O3/WC_GLY=0.0
!
!O3/WC_MGLY=0.0
!
!O3/WC_KETL=0.0
!
!O3/WC_ORA1=0.0
!
!O3/WC_ORA2=0.0
!
!O3/WC_ACID=0.0
!
!O3/WC_RP16=0.0
!
!O3/WC_UR21=0.0
!
!O3/WC_UR28=0.0
!
!O3/WC_ACID2=0.0
!
!O3/WC_ASO3=0.0
!
!O3/WC_ASO4=0.0
!
!O3/WC_ASO5=0.0
!
!O3/WC_AHSO5=0.0
!
!O3/WC_AHMS=0.0
!
!O3/WR_O3=+KTR32
 PJAC(:,3,125)=+TPK%KTR32(:)
!
!O3/WR_H2O2=0.0
!
!O3/WR_NO=0.0
!
!O3/WR_NO2=0.0
!
!O3/WR_NO3=0.0
!
!O3/WR_N2O5=0.0
!
!O3/WR_HONO=0.0
!
!O3/WR_HNO3=0.0
!
!O3/WR_HNO4=0.0
!
!O3/WR_NH3=0.0
!
!O3/WR_OH=0.0
!
!O3/WR_HO2=0.0
!
!O3/WR_CO2=0.0
!
!O3/WR_SO2=0.0
!
!O3/WR_H2SO4=0.0
!
!O3/WR_RO21=0.0
!
!O3/WR_RO25=0.0
!
!O3/WR_MEOH=0.0
!
!O3/WR_ETOH=0.0
!
!O3/WR_ALCH=0.0
!
!O3/WR_HCHO=0.0
!
!O3/WR_ALD2=0.0
!
!O3/WR_GLY=0.0
!
!O3/WR_MGLY=0.0
!
!O3/WR_KETL=0.0
!
!O3/WR_ORA1=0.0
!
!O3/WR_ORA2=0.0
!
!O3/WR_ACID=0.0
!
!O3/WR_RP16=0.0
!
!O3/WR_UR21=0.0
!
!O3/WR_UR28=0.0
!
!O3/WR_ACID2=0.0
!
!O3/WR_ASO3=0.0
!
!O3/WR_ASO4=0.0
!
!O3/WR_ASO5=0.0
!
!O3/WR_AHSO5=0.0
!
!O3/WR_AHMS=0.0
!
!HONO/NO=+K019*<OH>
 PJAC(:,4,1)=+TPK%K019(:)*PCONC(:,15)
!
!HONO/NO2=+0.5*K021*<H2O>
 PJAC(:,4,2)=+0.5*TPK%K021(:)*TPK%H2O(:)
!
!HONO/O3=0.0
!
!HONO/HONO=-K020-K039*<OH>-KTC7-KTR7
 PJAC(:,4,4)=-TPK%K020(:)-TPK%K039(:)*PCONC(:,15)-TPK%KTC7(:)-TPK%KTR7(:)
!
!HONO/HNO3=0.0
!
!HONO/HNO4=0.0
!
!HONO/N2O5=0.0
!
!HONO/NO3=0.0
!
!HONO/NH3=0.0
!
!HONO/HO2=0.0
!
!HONO/CO=0.0
!
!HONO/H2O2=0.0
!
!HONO/SO2=0.0
!
!HONO/H2SO4=0.0
!
!HONO/OH=+K019*<NO>-K039*<HONO>
 PJAC(:,4,15)=+TPK%K019(:)*PCONC(:,1)-TPK%K039(:)*PCONC(:,4)
!
!HONO/ETHE=0.0
!
!HONO/OLEL=0.0
!
!HONO/OLEH=0.0
!
!HONO/ALKL=0.0
!
!HONO/ALKM=0.0
!
!HONO/ALKH=0.0
!
!HONO/AROH=0.0
!
!HONO/AROL=0.0
!
!HONO/AROO=0.0
!
!HONO/ARAL=0.0
!
!HONO/ARAC=0.0
!
!HONO/PAH=0.0
!
!HONO/HCHO=0.0
!
!HONO/ALD2=0.0
!
!HONO/KETL=0.0
!
!HONO/KETH=0.0
!
!HONO/MEOH=0.0
!
!HONO/ETOH=0.0
!
!HONO/ALCH=0.0
!
!HONO/ISOP=0.0
!
!HONO/BIOL=0.0
!
!HONO/BIOH=0.0
!
!HONO/MTBE=0.0
!
!HONO/MVK=0.0
!
!HONO/MCR=0.0
!
!HONO/MGLY=0.0
!
!HONO/GLY=0.0
!
!HONO/ORA1=0.0
!
!HONO/ORA2=0.0
!
!HONO/ACID=0.0
!
!HONO/UR28=0.0
!
!HONO/UR21=0.0
!
!HONO/URG2=0.0
!
!HONO/UR26=0.0
!
!HONO/RPG2=0.0
!
!HONO/RP18=0.0
!
!HONO/RPG3=0.0
!
!HONO/URG4=0.0
!
!HONO/UR8=0.0
!
!HONO/UR17=0.0
!
!HONO/UR7=0.0
!
!HONO/RPR3=0.0
!
!HONO/URG6=0.0
!
!HONO/UR22=0.0
!
!HONO/URG7=0.0
!
!HONO/RPR4=0.0
!
!HONO/RPR7=0.0
!
!HONO/RPG7=0.0
!
!HONO/URG8=0.0
!
!HONO/UR19=0.0
!
!HONO/URG9=0.0
!
!HONO/AP7=0.0
!
!HONO/URG10=0.0
!
!HONO/RPR1=0.0
!
!HONO/RPR5=0.0
!
!HONO/RPR8=0.0
!
!HONO/RP10=0.0
!
!HONO/RP11=0.0
!
!HONO/RP16=0.0
!
!HONO/RPRL=0.0
!
!HONO/APAN=0.0
!
!HONO/PAN1=0.0
!
!HONO/PAN2=0.0
!
!HONO/PAN3=0.0
!
!HONO/PAN4=0.0
!
!HONO/PAN6=0.0
!
!HONO/PAN7=0.0
!
!HONO/PAN8=0.0
!
!HONO/PN10=0.0
!
!HONO/RO2T=0.0
!
!HONO/RO21=0.0
!
!HONO/RO25=0.0
!
!HONO/WC_O3=0.0
!
!HONO/WC_H2O2=0.0
!
!HONO/WC_NO=0.0
!
!HONO/WC_NO2=0.0
!
!HONO/WC_NO3=0.0
!
!HONO/WC_N2O5=0.0
!
!HONO/WC_HONO=+KTC38
 PJAC(:,4,94)=+TPK%KTC38(:)
!
!HONO/WC_HNO3=0.0
!
!HONO/WC_HNO4=0.0
!
!HONO/WC_NH3=0.0
!
!HONO/WC_OH=0.0
!
!HONO/WC_HO2=0.0
!
!HONO/WC_CO2=0.0
!
!HONO/WC_SO2=0.0
!
!HONO/WC_H2SO4=0.0
!
!HONO/WC_RO21=0.0
!
!HONO/WC_RO25=0.0
!
!HONO/WC_MEOH=0.0
!
!HONO/WC_ETOH=0.0
!
!HONO/WC_ALCH=0.0
!
!HONO/WC_HCHO=0.0
!
!HONO/WC_ALD2=0.0
!
!HONO/WC_GLY=0.0
!
!HONO/WC_MGLY=0.0
!
!HONO/WC_KETL=0.0
!
!HONO/WC_ORA1=0.0
!
!HONO/WC_ORA2=0.0
!
!HONO/WC_ACID=0.0
!
!HONO/WC_RP16=0.0
!
!HONO/WC_UR21=0.0
!
!HONO/WC_UR28=0.0
!
!HONO/WC_ACID2=0.0
!
!HONO/WC_ASO3=0.0
!
!HONO/WC_ASO4=0.0
!
!HONO/WC_ASO5=0.0
!
!HONO/WC_AHSO5=0.0
!
!HONO/WC_AHMS=0.0
!
!HONO/WR_O3=0.0
!
!HONO/WR_H2O2=0.0
!
!HONO/WR_NO=0.0
!
!HONO/WR_NO2=0.0
!
!HONO/WR_NO3=0.0
!
!HONO/WR_N2O5=0.0
!
!HONO/WR_HONO=+KTR38
 PJAC(:,4,131)=+TPK%KTR38(:)
!
!HONO/WR_HNO3=0.0
!
!HONO/WR_HNO4=0.0
!
!HONO/WR_NH3=0.0
!
!HONO/WR_OH=0.0
!
!HONO/WR_HO2=0.0
!
!HONO/WR_CO2=0.0
!
!HONO/WR_SO2=0.0
!
!HONO/WR_H2SO4=0.0
!
!HONO/WR_RO21=0.0
!
!HONO/WR_RO25=0.0
!
!HONO/WR_MEOH=0.0
!
!HONO/WR_ETOH=0.0
!
!HONO/WR_ALCH=0.0
!
!HONO/WR_HCHO=0.0
!
!HONO/WR_ALD2=0.0
!
!HONO/WR_GLY=0.0
!
!HONO/WR_MGLY=0.0
!
!HONO/WR_KETL=0.0
!
!HONO/WR_ORA1=0.0
!
!HONO/WR_ORA2=0.0
!
!HONO/WR_ACID=0.0
!
!HONO/WR_RP16=0.0
!
!HONO/WR_UR21=0.0
!
!HONO/WR_UR28=0.0
!
!HONO/WR_ACID2=0.0
!
!HONO/WR_ASO3=0.0
!
!HONO/WR_ASO4=0.0
!
!HONO/WR_ASO5=0.0
!
!HONO/WR_AHSO5=0.0
!
!HONO/WR_AHMS=0.0
!
!HNO3/NO=0.0
!
!HNO3/NO2=+0.5*K021*<H2O>+K022*<OH>
 PJAC(:,5,2)=+0.5*TPK%K021(:)*TPK%H2O(:)+TPK%K022(:)*PCONC(:,15)
!
!HNO3/O3=0.0
!
!HNO3/HONO=0.0
!
!HNO3/HNO3=-K023*<OH>-KTC8-KTR8
 PJAC(:,5,5)=-TPK%K023(:)*PCONC(:,15)-TPK%KTC8(:)-TPK%KTR8(:)
!
!HNO3/HNO4=0.0
!
!HNO3/N2O5=+2.*K011*<H2O>
 PJAC(:,5,7)=+2.*TPK%K011(:)*TPK%H2O(:)
!
!HNO3/NO3=+0.2*K033*<HO2>+K047*<HCHO>+K061*<ALD2>+K072*<AROO>+K081*<ARAL>+TPK%C
!F46*K275*<MCR>+K278*<MGLY>+K307*<RPR1>+K313*<RPR3>+K320*<RPR4>+K327*<RPR8>+K33
!8*<RP16>
 PJAC(:,5,8)=+0.2*TPK%K033(:)*PCONC(:,10)+TPK%K047(:)*PCONC(:,28)+TPK%K061(:)*P&
&CONC(:,29)+TPK%K072(:)*PCONC(:,24)+TPK%K081(:)*PCONC(:,25)+TPK%CF46*TPK%K275(:&
&)*PCONC(:,40)+TPK%K278(:)*PCONC(:,41)+TPK%K307(:)*PCONC(:,69)+TPK%K313(:)*PCON&
&C(:,57)+TPK%K320(:)*PCONC(:,61)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:)*PCONC(:,74&
&)
!
!HNO3/NH3=0.0
!
!HNO3/HO2=+0.2*K033*<NO3>
 PJAC(:,5,10)=+0.2*TPK%K033(:)*PCONC(:,8)
!
!HNO3/CO=0.0
!
!HNO3/H2O2=0.0
!
!HNO3/SO2=0.0
!
!HNO3/H2SO4=0.0
!
!HNO3/OH=+K022*<NO2>-K023*<HNO3>
 PJAC(:,5,15)=+TPK%K022(:)*PCONC(:,2)-TPK%K023(:)*PCONC(:,5)
!
!HNO3/ETHE=0.0
!
!HNO3/OLEL=0.0
!
!HNO3/OLEH=0.0
!
!HNO3/ALKL=0.0
!
!HNO3/ALKM=0.0
!
!HNO3/ALKH=0.0
!
!HNO3/AROH=0.0
!
!HNO3/AROL=0.0
!
!HNO3/AROO=+K072*<NO3>
 PJAC(:,5,24)=+TPK%K072(:)*PCONC(:,8)
!
!HNO3/ARAL=+K081*<NO3>
 PJAC(:,5,25)=+TPK%K081(:)*PCONC(:,8)
!
!HNO3/ARAC=0.0
!
!HNO3/PAH=0.0
!
!HNO3/HCHO=+K047*<NO3>
 PJAC(:,5,28)=+TPK%K047(:)*PCONC(:,8)
!
!HNO3/ALD2=+K061*<NO3>
 PJAC(:,5,29)=+TPK%K061(:)*PCONC(:,8)
!
!HNO3/KETL=0.0
!
!HNO3/KETH=0.0
!
!HNO3/MEOH=0.0
!
!HNO3/ETOH=0.0
!
!HNO3/ALCH=0.0
!
!HNO3/ISOP=0.0
!
!HNO3/BIOL=0.0
!
!HNO3/BIOH=0.0
!
!HNO3/MTBE=0.0
!
!HNO3/MVK=0.0
!
!HNO3/MCR=+TPK%CF46*K275*<NO3>
 PJAC(:,5,40)=+TPK%CF46*TPK%K275(:)*PCONC(:,8)
!
!HNO3/MGLY=+K278*<NO3>
 PJAC(:,5,41)=+TPK%K278(:)*PCONC(:,8)
!
!HNO3/GLY=0.0
!
!HNO3/ORA1=0.0
!
!HNO3/ORA2=0.0
!
!HNO3/ACID=0.0
!
!HNO3/UR28=0.0
!
!HNO3/UR21=0.0
!
!HNO3/URG2=0.0
!
!HNO3/UR26=0.0
!
!HNO3/RPG2=0.0
!
!HNO3/RP18=0.0
!
!HNO3/RPG3=0.0
!
!HNO3/URG4=0.0
!
!HNO3/UR8=0.0
!
!HNO3/UR17=0.0
!
!HNO3/UR7=0.0
!
!HNO3/RPR3=+K313*<NO3>
 PJAC(:,5,57)=+TPK%K313(:)*PCONC(:,8)
!
!HNO3/URG6=0.0
!
!HNO3/UR22=0.0
!
!HNO3/URG7=0.0
!
!HNO3/RPR4=+K320*<NO3>
 PJAC(:,5,61)=+TPK%K320(:)*PCONC(:,8)
!
!HNO3/RPR7=0.0
!
!HNO3/RPG7=0.0
!
!HNO3/URG8=0.0
!
!HNO3/UR19=0.0
!
!HNO3/URG9=0.0
!
!HNO3/AP7=0.0
!
!HNO3/URG10=0.0
!
!HNO3/RPR1=+K307*<NO3>
 PJAC(:,5,69)=+TPK%K307(:)*PCONC(:,8)
!
!HNO3/RPR5=0.0
!
!HNO3/RPR8=+K327*<NO3>
 PJAC(:,5,71)=+TPK%K327(:)*PCONC(:,8)
!
!HNO3/RP10=0.0
!
!HNO3/RP11=0.0
!
!HNO3/RP16=+K338*<NO3>
 PJAC(:,5,74)=+TPK%K338(:)*PCONC(:,8)
!
!HNO3/RPRL=0.0
!
!HNO3/APAN=0.0
!
!HNO3/PAN1=0.0
!
!HNO3/PAN2=0.0
!
!HNO3/PAN3=0.0
!
!HNO3/PAN4=0.0
!
!HNO3/PAN6=0.0
!
!HNO3/PAN7=0.0
!
!HNO3/PAN8=0.0
!
!HNO3/PN10=0.0
!
!HNO3/RO2T=0.0
!
!HNO3/RO21=0.0
!
!HNO3/RO25=0.0
!
!HNO3/WC_O3=0.0
!
!HNO3/WC_H2O2=0.0
!
!HNO3/WC_NO=0.0
!
!HNO3/WC_NO2=0.0
!
!HNO3/WC_NO3=0.0
!
!HNO3/WC_N2O5=0.0
!
!HNO3/WC_HONO=0.0
!
!HNO3/WC_HNO3=+KTC39
 PJAC(:,5,95)=+TPK%KTC39(:)
!
!HNO3/WC_HNO4=0.0
!
!HNO3/WC_NH3=0.0
!
!HNO3/WC_OH=0.0
!
!HNO3/WC_HO2=0.0
!
!HNO3/WC_CO2=0.0
!
!HNO3/WC_SO2=0.0
!
!HNO3/WC_H2SO4=0.0
!
!HNO3/WC_RO21=0.0
!
!HNO3/WC_RO25=0.0
!
!HNO3/WC_MEOH=0.0
!
!HNO3/WC_ETOH=0.0
!
!HNO3/WC_ALCH=0.0
!
!HNO3/WC_HCHO=0.0
!
!HNO3/WC_ALD2=0.0
!
!HNO3/WC_GLY=0.0
!
!HNO3/WC_MGLY=0.0
!
!HNO3/WC_KETL=0.0
!
!HNO3/WC_ORA1=0.0
!
!HNO3/WC_ORA2=0.0
!
!HNO3/WC_ACID=0.0
!
!HNO3/WC_RP16=0.0
!
!HNO3/WC_UR21=0.0
!
!HNO3/WC_UR28=0.0
!
!HNO3/WC_ACID2=0.0
!
!HNO3/WC_ASO3=0.0
!
!HNO3/WC_ASO4=0.0
!
!HNO3/WC_ASO5=0.0
!
!HNO3/WC_AHSO5=0.0
!
!HNO3/WC_AHMS=0.0
!
!HNO3/WR_O3=0.0
!
!HNO3/WR_H2O2=0.0
!
!HNO3/WR_NO=0.0
!
!HNO3/WR_NO2=0.0
!
!HNO3/WR_NO3=0.0
!
!HNO3/WR_N2O5=0.0
!
!HNO3/WR_HONO=0.0
!
!HNO3/WR_HNO3=+KTR39
 PJAC(:,5,132)=+TPK%KTR39(:)
!
!HNO3/WR_HNO4=0.0
!
!HNO3/WR_NH3=0.0
!
!HNO3/WR_OH=0.0
!
!HNO3/WR_HO2=0.0
!
!HNO3/WR_CO2=0.0
!
!HNO3/WR_SO2=0.0
!
!HNO3/WR_H2SO4=0.0
!
!HNO3/WR_RO21=0.0
!
!HNO3/WR_RO25=0.0
!
!HNO3/WR_MEOH=0.0
!
!HNO3/WR_ETOH=0.0
!
!HNO3/WR_ALCH=0.0
!
!HNO3/WR_HCHO=0.0
!
!HNO3/WR_ALD2=0.0
!
!HNO3/WR_GLY=0.0
!
!HNO3/WR_MGLY=0.0
!
!HNO3/WR_KETL=0.0
!
!HNO3/WR_ORA1=0.0
!
!HNO3/WR_ORA2=0.0
!
!HNO3/WR_ACID=0.0
!
!HNO3/WR_RP16=0.0
!
!HNO3/WR_UR21=0.0
!
!HNO3/WR_UR28=0.0
!
!HNO3/WR_ACID2=0.0
!
!HNO3/WR_ASO3=0.0
!
!HNO3/WR_ASO4=0.0
!
!HNO3/WR_ASO5=0.0
!
!HNO3/WR_AHSO5=0.0
!
!HNO3/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ0
!
SUBROUTINE SUBJ1
!
!Indices 6 a 10
!
!
!HNO4/NO=0.0
!
!HNO4/NO2=+K027*<HO2>
 PJAC(:,6,2)=+TPK%K027(:)*PCONC(:,10)
!
!HNO4/O3=0.0
!
!HNO4/HONO=0.0
!
!HNO4/HNO3=0.0
!
!HNO4/HNO4=-K028-K029*<OH>-KTC9-KTR9
 PJAC(:,6,6)=-TPK%K028(:)-TPK%K029(:)*PCONC(:,15)-TPK%KTC9(:)-TPK%KTR9(:)
!
!HNO4/N2O5=0.0
!
!HNO4/NO3=0.0
!
!HNO4/NH3=0.0
!
!HNO4/HO2=+K027*<NO2>
 PJAC(:,6,10)=+TPK%K027(:)*PCONC(:,2)
!
!HNO4/CO=0.0
!
!HNO4/H2O2=0.0
!
!HNO4/SO2=0.0
!
!HNO4/H2SO4=0.0
!
!HNO4/OH=-K029*<HNO4>
 PJAC(:,6,15)=-TPK%K029(:)*PCONC(:,6)
!
!HNO4/ETHE=0.0
!
!HNO4/OLEL=0.0
!
!HNO4/OLEH=0.0
!
!HNO4/ALKL=0.0
!
!HNO4/ALKM=0.0
!
!HNO4/ALKH=0.0
!
!HNO4/AROH=0.0
!
!HNO4/AROL=0.0
!
!HNO4/AROO=0.0
!
!HNO4/ARAL=0.0
!
!HNO4/ARAC=0.0
!
!HNO4/PAH=0.0
!
!HNO4/HCHO=0.0
!
!HNO4/ALD2=0.0
!
!HNO4/KETL=0.0
!
!HNO4/KETH=0.0
!
!HNO4/MEOH=0.0
!
!HNO4/ETOH=0.0
!
!HNO4/ALCH=0.0
!
!HNO4/ISOP=0.0
!
!HNO4/BIOL=0.0
!
!HNO4/BIOH=0.0
!
!HNO4/MTBE=0.0
!
!HNO4/MVK=0.0
!
!HNO4/MCR=0.0
!
!HNO4/MGLY=0.0
!
!HNO4/GLY=0.0
!
!HNO4/ORA1=0.0
!
!HNO4/ORA2=0.0
!
!HNO4/ACID=0.0
!
!HNO4/UR28=0.0
!
!HNO4/UR21=0.0
!
!HNO4/URG2=0.0
!
!HNO4/UR26=0.0
!
!HNO4/RPG2=0.0
!
!HNO4/RP18=0.0
!
!HNO4/RPG3=0.0
!
!HNO4/URG4=0.0
!
!HNO4/UR8=0.0
!
!HNO4/UR17=0.0
!
!HNO4/UR7=0.0
!
!HNO4/RPR3=0.0
!
!HNO4/URG6=0.0
!
!HNO4/UR22=0.0
!
!HNO4/URG7=0.0
!
!HNO4/RPR4=0.0
!
!HNO4/RPR7=0.0
!
!HNO4/RPG7=0.0
!
!HNO4/URG8=0.0
!
!HNO4/UR19=0.0
!
!HNO4/URG9=0.0
!
!HNO4/AP7=0.0
!
!HNO4/URG10=0.0
!
!HNO4/RPR1=0.0
!
!HNO4/RPR5=0.0
!
!HNO4/RPR8=0.0
!
!HNO4/RP10=0.0
!
!HNO4/RP11=0.0
!
!HNO4/RP16=0.0
!
!HNO4/RPRL=0.0
!
!HNO4/APAN=0.0
!
!HNO4/PAN1=0.0
!
!HNO4/PAN2=0.0
!
!HNO4/PAN3=0.0
!
!HNO4/PAN4=0.0
!
!HNO4/PAN6=0.0
!
!HNO4/PAN7=0.0
!
!HNO4/PAN8=0.0
!
!HNO4/PN10=0.0
!
!HNO4/RO2T=0.0
!
!HNO4/RO21=0.0
!
!HNO4/RO25=0.0
!
!HNO4/WC_O3=0.0
!
!HNO4/WC_H2O2=0.0
!
!HNO4/WC_NO=0.0
!
!HNO4/WC_NO2=0.0
!
!HNO4/WC_NO3=0.0
!
!HNO4/WC_N2O5=0.0
!
!HNO4/WC_HONO=0.0
!
!HNO4/WC_HNO3=0.0
!
!HNO4/WC_HNO4=+KTC40
 PJAC(:,6,96)=+TPK%KTC40(:)
!
!HNO4/WC_NH3=0.0
!
!HNO4/WC_OH=0.0
!
!HNO4/WC_HO2=0.0
!
!HNO4/WC_CO2=0.0
!
!HNO4/WC_SO2=0.0
!
!HNO4/WC_H2SO4=0.0
!
!HNO4/WC_RO21=0.0
!
!HNO4/WC_RO25=0.0
!
!HNO4/WC_MEOH=0.0
!
!HNO4/WC_ETOH=0.0
!
!HNO4/WC_ALCH=0.0
!
!HNO4/WC_HCHO=0.0
!
!HNO4/WC_ALD2=0.0
!
!HNO4/WC_GLY=0.0
!
!HNO4/WC_MGLY=0.0
!
!HNO4/WC_KETL=0.0
!
!HNO4/WC_ORA1=0.0
!
!HNO4/WC_ORA2=0.0
!
!HNO4/WC_ACID=0.0
!
!HNO4/WC_RP16=0.0
!
!HNO4/WC_UR21=0.0
!
!HNO4/WC_UR28=0.0
!
!HNO4/WC_ACID2=0.0
!
!HNO4/WC_ASO3=0.0
!
!HNO4/WC_ASO4=0.0
!
!HNO4/WC_ASO5=0.0
!
!HNO4/WC_AHSO5=0.0
!
!HNO4/WC_AHMS=0.0
!
!HNO4/WR_O3=0.0
!
!HNO4/WR_H2O2=0.0
!
!HNO4/WR_NO=0.0
!
!HNO4/WR_NO2=0.0
!
!HNO4/WR_NO3=0.0
!
!HNO4/WR_N2O5=0.0
!
!HNO4/WR_HONO=0.0
!
!HNO4/WR_HNO3=0.0
!
!HNO4/WR_HNO4=+KTR40
 PJAC(:,6,133)=+TPK%KTR40(:)
!
!HNO4/WR_NH3=0.0
!
!HNO4/WR_OH=0.0
!
!HNO4/WR_HO2=0.0
!
!HNO4/WR_CO2=0.0
!
!HNO4/WR_SO2=0.0
!
!HNO4/WR_H2SO4=0.0
!
!HNO4/WR_RO21=0.0
!
!HNO4/WR_RO25=0.0
!
!HNO4/WR_MEOH=0.0
!
!HNO4/WR_ETOH=0.0
!
!HNO4/WR_ALCH=0.0
!
!HNO4/WR_HCHO=0.0
!
!HNO4/WR_ALD2=0.0
!
!HNO4/WR_GLY=0.0
!
!HNO4/WR_MGLY=0.0
!
!HNO4/WR_KETL=0.0
!
!HNO4/WR_ORA1=0.0
!
!HNO4/WR_ORA2=0.0
!
!HNO4/WR_ACID=0.0
!
!HNO4/WR_RP16=0.0
!
!HNO4/WR_UR21=0.0
!
!HNO4/WR_UR28=0.0
!
!HNO4/WR_ACID2=0.0
!
!HNO4/WR_ASO3=0.0
!
!HNO4/WR_ASO4=0.0
!
!HNO4/WR_ASO5=0.0
!
!HNO4/WR_AHSO5=0.0
!
!HNO4/WR_AHMS=0.0
!
!N2O5/NO=0.0
!
!N2O5/NO2=+K009*<NO3>
 PJAC(:,7,2)=+TPK%K009(:)*PCONC(:,8)
!
!N2O5/O3=0.0
!
!N2O5/HONO=0.0
!
!N2O5/HNO3=0.0
!
!N2O5/HNO4=0.0
!
!N2O5/N2O5=-K010-K011*<H2O>-KTC6-KTR6
 PJAC(:,7,7)=-TPK%K010(:)-TPK%K011(:)*TPK%H2O(:)-TPK%KTC6(:)-TPK%KTR6(:)
!
!N2O5/NO3=+K009*<NO2>
 PJAC(:,7,8)=+TPK%K009(:)*PCONC(:,2)
!
!N2O5/NH3=0.0
!
!N2O5/HO2=0.0
!
!N2O5/CO=0.0
!
!N2O5/H2O2=0.0
!
!N2O5/SO2=0.0
!
!N2O5/H2SO4=0.0
!
!N2O5/OH=0.0
!
!N2O5/ETHE=0.0
!
!N2O5/OLEL=0.0
!
!N2O5/OLEH=0.0
!
!N2O5/ALKL=0.0
!
!N2O5/ALKM=0.0
!
!N2O5/ALKH=0.0
!
!N2O5/AROH=0.0
!
!N2O5/AROL=0.0
!
!N2O5/AROO=0.0
!
!N2O5/ARAL=0.0
!
!N2O5/ARAC=0.0
!
!N2O5/PAH=0.0
!
!N2O5/HCHO=0.0
!
!N2O5/ALD2=0.0
!
!N2O5/KETL=0.0
!
!N2O5/KETH=0.0
!
!N2O5/MEOH=0.0
!
!N2O5/ETOH=0.0
!
!N2O5/ALCH=0.0
!
!N2O5/ISOP=0.0
!
!N2O5/BIOL=0.0
!
!N2O5/BIOH=0.0
!
!N2O5/MTBE=0.0
!
!N2O5/MVK=0.0
!
!N2O5/MCR=0.0
!
!N2O5/MGLY=0.0
!
!N2O5/GLY=0.0
!
!N2O5/ORA1=0.0
!
!N2O5/ORA2=0.0
!
!N2O5/ACID=0.0
!
!N2O5/UR28=0.0
!
!N2O5/UR21=0.0
!
!N2O5/URG2=0.0
!
!N2O5/UR26=0.0
!
!N2O5/RPG2=0.0
!
!N2O5/RP18=0.0
!
!N2O5/RPG3=0.0
!
!N2O5/URG4=0.0
!
!N2O5/UR8=0.0
!
!N2O5/UR17=0.0
!
!N2O5/UR7=0.0
!
!N2O5/RPR3=0.0
!
!N2O5/URG6=0.0
!
!N2O5/UR22=0.0
!
!N2O5/URG7=0.0
!
!N2O5/RPR4=0.0
!
!N2O5/RPR7=0.0
!
!N2O5/RPG7=0.0
!
!N2O5/URG8=0.0
!
!N2O5/UR19=0.0
!
!N2O5/URG9=0.0
!
!N2O5/AP7=0.0
!
!N2O5/URG10=0.0
!
!N2O5/RPR1=0.0
!
!N2O5/RPR5=0.0
!
!N2O5/RPR8=0.0
!
!N2O5/RP10=0.0
!
!N2O5/RP11=0.0
!
!N2O5/RP16=0.0
!
!N2O5/RPRL=0.0
!
!N2O5/APAN=0.0
!
!N2O5/PAN1=0.0
!
!N2O5/PAN2=0.0
!
!N2O5/PAN3=0.0
!
!N2O5/PAN4=0.0
!
!N2O5/PAN6=0.0
!
!N2O5/PAN7=0.0
!
!N2O5/PAN8=0.0
!
!N2O5/PN10=0.0
!
!N2O5/RO2T=0.0
!
!N2O5/RO21=0.0
!
!N2O5/RO25=0.0
!
!N2O5/WC_O3=0.0
!
!N2O5/WC_H2O2=0.0
!
!N2O5/WC_NO=0.0
!
!N2O5/WC_NO2=0.0
!
!N2O5/WC_NO3=0.0
!
!N2O5/WC_N2O5=+KTC37
 PJAC(:,7,93)=+TPK%KTC37(:)
!
!N2O5/WC_HONO=0.0
!
!N2O5/WC_HNO3=0.0
!
!N2O5/WC_HNO4=0.0
!
!N2O5/WC_NH3=0.0
!
!N2O5/WC_OH=0.0
!
!N2O5/WC_HO2=0.0
!
!N2O5/WC_CO2=0.0
!
!N2O5/WC_SO2=0.0
!
!N2O5/WC_H2SO4=0.0
!
!N2O5/WC_RO21=0.0
!
!N2O5/WC_RO25=0.0
!
!N2O5/WC_MEOH=0.0
!
!N2O5/WC_ETOH=0.0
!
!N2O5/WC_ALCH=0.0
!
!N2O5/WC_HCHO=0.0
!
!N2O5/WC_ALD2=0.0
!
!N2O5/WC_GLY=0.0
!
!N2O5/WC_MGLY=0.0
!
!N2O5/WC_KETL=0.0
!
!N2O5/WC_ORA1=0.0
!
!N2O5/WC_ORA2=0.0
!
!N2O5/WC_ACID=0.0
!
!N2O5/WC_RP16=0.0
!
!N2O5/WC_UR21=0.0
!
!N2O5/WC_UR28=0.0
!
!N2O5/WC_ACID2=0.0
!
!N2O5/WC_ASO3=0.0
!
!N2O5/WC_ASO4=0.0
!
!N2O5/WC_ASO5=0.0
!
!N2O5/WC_AHSO5=0.0
!
!N2O5/WC_AHMS=0.0
!
!N2O5/WR_O3=0.0
!
!N2O5/WR_H2O2=0.0
!
!N2O5/WR_NO=0.0
!
!N2O5/WR_NO2=0.0
!
!N2O5/WR_NO3=0.0
!
!N2O5/WR_N2O5=+KTR37
 PJAC(:,7,130)=+TPK%KTR37(:)
!
!N2O5/WR_HONO=0.0
!
!N2O5/WR_HNO3=0.0
!
!N2O5/WR_HNO4=0.0
!
!N2O5/WR_NH3=0.0
!
!N2O5/WR_OH=0.0
!
!N2O5/WR_HO2=0.0
!
!N2O5/WR_CO2=0.0
!
!N2O5/WR_SO2=0.0
!
!N2O5/WR_H2SO4=0.0
!
!N2O5/WR_RO21=0.0
!
!N2O5/WR_RO25=0.0
!
!N2O5/WR_MEOH=0.0
!
!N2O5/WR_ETOH=0.0
!
!N2O5/WR_ALCH=0.0
!
!N2O5/WR_HCHO=0.0
!
!N2O5/WR_ALD2=0.0
!
!N2O5/WR_GLY=0.0
!
!N2O5/WR_MGLY=0.0
!
!N2O5/WR_KETL=0.0
!
!N2O5/WR_ORA1=0.0
!
!N2O5/WR_ORA2=0.0
!
!N2O5/WR_ACID=0.0
!
!N2O5/WR_RP16=0.0
!
!N2O5/WR_UR21=0.0
!
!N2O5/WR_UR28=0.0
!
!N2O5/WR_ACID2=0.0
!
!N2O5/WR_ASO3=0.0
!
!N2O5/WR_ASO4=0.0
!
!N2O5/WR_ASO5=0.0
!
!N2O5/WR_AHSO5=0.0
!
!N2O5/WR_AHMS=0.0
!
!NO3/NO=-K007*<NO3>
 PJAC(:,8,1)=-TPK%K007(:)*PCONC(:,8)
!
!NO3/NO2=+K004*<O>+K006*<O3>-K009*<NO3>-K012*<NO3>
 PJAC(:,8,2)=+TPK%K004(:)*TPK%O(:)+TPK%K006(:)*PCONC(:,3)-TPK%K009(:)*PCONC(:,8&
&)-TPK%K012(:)*PCONC(:,8)
!
!NO3/O3=+K006*<NO2>
 PJAC(:,8,3)=+TPK%K006(:)*PCONC(:,2)
!
!NO3/HONO=0.0
!
!NO3/HNO3=+K023*<OH>
 PJAC(:,8,5)=+TPK%K023(:)*PCONC(:,15)
!
!NO3/HNO4=0.0
!
!NO3/N2O5=+K010
 PJAC(:,8,7)=+TPK%K010(:)
!
!NO3/NO3=-K007*<NO>-K009*<NO2>-K012*<NO2>-K013-K014-K033*<HO2>-K040*<OH>-K041*<
!NO3>-K041*<NO3>-K041*<NO3>-K041*<NO3>-K047*<HCHO>-K050*<ETHE>-K055*<OLEL>-K061
!*<ALD2>-K065*<ISOP>-K072*<AROO>-K075*<OLEH>-K081*<ARAL>-K085*<BIOL>-K089*<BIOH
!>-K275*<MCR>-K278*<MGLY>-K307*<RPR1>-K313*<RPR3>-K320*<RPR4>-K327*<RPR8>-K338*
!<RP16>-KTC5-KTR5
 PJAC(:,8,8)=-TPK%K007(:)*PCONC(:,1)-TPK%K009(:)*PCONC(:,2)-TPK%K012(:)*PCONC(:&
&,2)-TPK%K013(:)-TPK%K014(:)-TPK%K033(:)*PCONC(:,10)-TPK%K040(:)*PCONC(:,15)-TP&
&K%K041(:)*PCONC(:,8)-TPK%K041(:)*PCONC(:,8)-TPK%K041(:)*PCONC(:,8)-TPK%K041(:)&
&*PCONC(:,8)-TPK%K047(:)*PCONC(:,28)-TPK%K050(:)*PCONC(:,16)-TPK%K055(:)*PCONC(&
&:,17)-TPK%K061(:)*PCONC(:,29)-TPK%K065(:)*PCONC(:,35)-TPK%K072(:)*PCONC(:,24)-&
&TPK%K075(:)*PCONC(:,18)-TPK%K081(:)*PCONC(:,25)-TPK%K085(:)*PCONC(:,36)-TPK%K0&
&89(:)*PCONC(:,37)-TPK%K275(:)*PCONC(:,40)-TPK%K278(:)*PCONC(:,41)-TPK%K307(:)*&
&PCONC(:,69)-TPK%K313(:)*PCONC(:,57)-TPK%K320(:)*PCONC(:,61)-TPK%K327(:)*PCONC(&
&:,71)-TPK%K338(:)*PCONC(:,74)-TPK%KTC5(:)-TPK%KTR5(:)
!
!NO3/NH3=0.0
!
!NO3/HO2=-K033*<NO3>
 PJAC(:,8,10)=-TPK%K033(:)*PCONC(:,8)
!
!NO3/CO=0.0
!
!NO3/H2O2=0.0
!
!NO3/SO2=0.0
!
!NO3/H2SO4=0.0
!
!NO3/OH=+K023*<HNO3>-K040*<NO3>
 PJAC(:,8,15)=+TPK%K023(:)*PCONC(:,5)-TPK%K040(:)*PCONC(:,8)
!
!NO3/ETHE=-K050*<NO3>
 PJAC(:,8,16)=-TPK%K050(:)*PCONC(:,8)
!
!NO3/OLEL=-K055*<NO3>
 PJAC(:,8,17)=-TPK%K055(:)*PCONC(:,8)
!
!NO3/OLEH=-K075*<NO3>
 PJAC(:,8,18)=-TPK%K075(:)*PCONC(:,8)
!
!NO3/ALKL=0.0
!
!NO3/ALKM=0.0
!
!NO3/ALKH=0.0
!
!NO3/AROH=0.0
!
!NO3/AROL=0.0
!
!NO3/AROO=-K072*<NO3>
 PJAC(:,8,24)=-TPK%K072(:)*PCONC(:,8)
!
!NO3/ARAL=-K081*<NO3>
 PJAC(:,8,25)=-TPK%K081(:)*PCONC(:,8)
!
!NO3/ARAC=0.0
!
!NO3/PAH=0.0
!
!NO3/HCHO=-K047*<NO3>
 PJAC(:,8,28)=-TPK%K047(:)*PCONC(:,8)
!
!NO3/ALD2=-K061*<NO3>
 PJAC(:,8,29)=-TPK%K061(:)*PCONC(:,8)
!
!NO3/KETL=0.0
!
!NO3/KETH=0.0
!
!NO3/MEOH=0.0
!
!NO3/ETOH=0.0
!
!NO3/ALCH=0.0
!
!NO3/ISOP=-K065*<NO3>
 PJAC(:,8,35)=-TPK%K065(:)*PCONC(:,8)
!
!NO3/BIOL=-K085*<NO3>
 PJAC(:,8,36)=-TPK%K085(:)*PCONC(:,8)
!
!NO3/BIOH=-K089*<NO3>
 PJAC(:,8,37)=-TPK%K089(:)*PCONC(:,8)
!
!NO3/MTBE=0.0
!
!NO3/MVK=0.0
!
!NO3/MCR=-K275*<NO3>
 PJAC(:,8,40)=-TPK%K275(:)*PCONC(:,8)
!
!NO3/MGLY=-K278*<NO3>
 PJAC(:,8,41)=-TPK%K278(:)*PCONC(:,8)
!
!NO3/GLY=0.0
!
!NO3/ORA1=0.0
!
!NO3/ORA2=0.0
!
!NO3/ACID=0.0
!
!NO3/UR28=0.0
!
!NO3/UR21=0.0
!
!NO3/URG2=0.0
!
!NO3/UR26=0.0
!
!NO3/RPG2=0.0
!
!NO3/RP18=0.0
!
!NO3/RPG3=0.0
!
!NO3/URG4=0.0
!
!NO3/UR8=0.0
!
!NO3/UR17=0.0
!
!NO3/UR7=0.0
!
!NO3/RPR3=-K313*<NO3>
 PJAC(:,8,57)=-TPK%K313(:)*PCONC(:,8)
!
!NO3/URG6=0.0
!
!NO3/UR22=0.0
!
!NO3/URG7=0.0
!
!NO3/RPR4=-K320*<NO3>
 PJAC(:,8,61)=-TPK%K320(:)*PCONC(:,8)
!
!NO3/RPR7=0.0
!
!NO3/RPG7=0.0
!
!NO3/URG8=0.0
!
!NO3/UR19=0.0
!
!NO3/URG9=0.0
!
!NO3/AP7=0.0
!
!NO3/URG10=0.0
!
!NO3/RPR1=-K307*<NO3>
 PJAC(:,8,69)=-TPK%K307(:)*PCONC(:,8)
!
!NO3/RPR5=0.0
!
!NO3/RPR8=-K327*<NO3>
 PJAC(:,8,71)=-TPK%K327(:)*PCONC(:,8)
!
!NO3/RP10=0.0
!
!NO3/RP11=0.0
!
!NO3/RP16=-K338*<NO3>
 PJAC(:,8,74)=-TPK%K338(:)*PCONC(:,8)
!
!NO3/RPRL=0.0
!
!NO3/APAN=0.0
!
!NO3/PAN1=0.0
!
!NO3/PAN2=0.0
!
!NO3/PAN3=0.0
!
!NO3/PAN4=0.0
!
!NO3/PAN6=0.0
!
!NO3/PAN7=0.0
!
!NO3/PAN8=0.0
!
!NO3/PN10=0.0
!
!NO3/RO2T=0.0
!
!NO3/RO21=0.0
!
!NO3/RO25=0.0
!
!NO3/WC_O3=0.0
!
!NO3/WC_H2O2=0.0
!
!NO3/WC_NO=0.0
!
!NO3/WC_NO2=0.0
!
!NO3/WC_NO3=+KTC36
 PJAC(:,8,92)=+TPK%KTC36(:)
!
!NO3/WC_N2O5=0.0
!
!NO3/WC_HONO=0.0
!
!NO3/WC_HNO3=0.0
!
!NO3/WC_HNO4=0.0
!
!NO3/WC_NH3=0.0
!
!NO3/WC_OH=0.0
!
!NO3/WC_HO2=0.0
!
!NO3/WC_CO2=0.0
!
!NO3/WC_SO2=0.0
!
!NO3/WC_H2SO4=0.0
!
!NO3/WC_RO21=0.0
!
!NO3/WC_RO25=0.0
!
!NO3/WC_MEOH=0.0
!
!NO3/WC_ETOH=0.0
!
!NO3/WC_ALCH=0.0
!
!NO3/WC_HCHO=0.0
!
!NO3/WC_ALD2=0.0
!
!NO3/WC_GLY=0.0
!
!NO3/WC_MGLY=0.0
!
!NO3/WC_KETL=0.0
!
!NO3/WC_ORA1=0.0
!
!NO3/WC_ORA2=0.0
!
!NO3/WC_ACID=0.0
!
!NO3/WC_RP16=0.0
!
!NO3/WC_UR21=0.0
!
!NO3/WC_UR28=0.0
!
!NO3/WC_ACID2=0.0
!
!NO3/WC_ASO3=0.0
!
!NO3/WC_ASO4=0.0
!
!NO3/WC_ASO5=0.0
!
!NO3/WC_AHSO5=0.0
!
!NO3/WC_AHMS=0.0
!
!NO3/WR_O3=0.0
!
!NO3/WR_H2O2=0.0
!
!NO3/WR_NO=0.0
!
!NO3/WR_NO2=0.0
!
!NO3/WR_NO3=+KTR36
 PJAC(:,8,129)=+TPK%KTR36(:)
!
!NO3/WR_N2O5=0.0
!
!NO3/WR_HONO=0.0
!
!NO3/WR_HNO3=0.0
!
!NO3/WR_HNO4=0.0
!
!NO3/WR_NH3=0.0
!
!NO3/WR_OH=0.0
!
!NO3/WR_HO2=0.0
!
!NO3/WR_CO2=0.0
!
!NO3/WR_SO2=0.0
!
!NO3/WR_H2SO4=0.0
!
!NO3/WR_RO21=0.0
!
!NO3/WR_RO25=0.0
!
!NO3/WR_MEOH=0.0
!
!NO3/WR_ETOH=0.0
!
!NO3/WR_ALCH=0.0
!
!NO3/WR_HCHO=0.0
!
!NO3/WR_ALD2=0.0
!
!NO3/WR_GLY=0.0
!
!NO3/WR_MGLY=0.0
!
!NO3/WR_KETL=0.0
!
!NO3/WR_ORA1=0.0
!
!NO3/WR_ORA2=0.0
!
!NO3/WR_ACID=0.0
!
!NO3/WR_RP16=0.0
!
!NO3/WR_UR21=0.0
!
!NO3/WR_UR28=0.0
!
!NO3/WR_ACID2=0.0
!
!NO3/WR_ASO3=0.0
!
!NO3/WR_ASO4=0.0
!
!NO3/WR_ASO5=0.0
!
!NO3/WR_AHSO5=0.0
!
!NO3/WR_AHMS=0.0
!
!NH3/NO=0.0
!
!NH3/NO2=0.0
!
!NH3/O3=0.0
!
!NH3/HONO=0.0
!
!NH3/HNO3=0.0
!
!NH3/HNO4=0.0
!
!NH3/N2O5=0.0
!
!NH3/NO3=0.0
!
!NH3/NH3=-K345*<OH>-KTC10-KTR10
 PJAC(:,9,9)=-TPK%K345(:)*PCONC(:,15)-TPK%KTC10(:)-TPK%KTR10(:)
!
!NH3/HO2=0.0
!
!NH3/CO=0.0
!
!NH3/H2O2=0.0
!
!NH3/SO2=0.0
!
!NH3/H2SO4=0.0
!
!NH3/OH=-K345*<NH3>
 PJAC(:,9,15)=-TPK%K345(:)*PCONC(:,9)
!
!NH3/ETHE=0.0
!
!NH3/OLEL=0.0
!
!NH3/OLEH=0.0
!
!NH3/ALKL=0.0
!
!NH3/ALKM=0.0
!
!NH3/ALKH=0.0
!
!NH3/AROH=0.0
!
!NH3/AROL=0.0
!
!NH3/AROO=0.0
!
!NH3/ARAL=0.0
!
!NH3/ARAC=0.0
!
!NH3/PAH=0.0
!
!NH3/HCHO=0.0
!
!NH3/ALD2=0.0
!
!NH3/KETL=0.0
!
!NH3/KETH=0.0
!
!NH3/MEOH=0.0
!
!NH3/ETOH=0.0
!
!NH3/ALCH=0.0
!
!NH3/ISOP=0.0
!
!NH3/BIOL=0.0
!
!NH3/BIOH=0.0
!
!NH3/MTBE=0.0
!
!NH3/MVK=0.0
!
!NH3/MCR=0.0
!
!NH3/MGLY=0.0
!
!NH3/GLY=0.0
!
!NH3/ORA1=0.0
!
!NH3/ORA2=0.0
!
!NH3/ACID=0.0
!
!NH3/UR28=0.0
!
!NH3/UR21=0.0
!
!NH3/URG2=0.0
!
!NH3/UR26=0.0
!
!NH3/RPG2=0.0
!
!NH3/RP18=0.0
!
!NH3/RPG3=0.0
!
!NH3/URG4=0.0
!
!NH3/UR8=0.0
!
!NH3/UR17=0.0
!
!NH3/UR7=0.0
!
!NH3/RPR3=0.0
!
!NH3/URG6=0.0
!
!NH3/UR22=0.0
!
!NH3/URG7=0.0
!
!NH3/RPR4=0.0
!
!NH3/RPR7=0.0
!
!NH3/RPG7=0.0
!
!NH3/URG8=0.0
!
!NH3/UR19=0.0
!
!NH3/URG9=0.0
!
!NH3/AP7=0.0
!
!NH3/URG10=0.0
!
!NH3/RPR1=0.0
!
!NH3/RPR5=0.0
!
!NH3/RPR8=0.0
!
!NH3/RP10=0.0
!
!NH3/RP11=0.0
!
!NH3/RP16=0.0
!
!NH3/RPRL=0.0
!
!NH3/APAN=0.0
!
!NH3/PAN1=0.0
!
!NH3/PAN2=0.0
!
!NH3/PAN3=0.0
!
!NH3/PAN4=0.0
!
!NH3/PAN6=0.0
!
!NH3/PAN7=0.0
!
!NH3/PAN8=0.0
!
!NH3/PN10=0.0
!
!NH3/RO2T=0.0
!
!NH3/RO21=0.0
!
!NH3/RO25=0.0
!
!NH3/WC_O3=0.0
!
!NH3/WC_H2O2=0.0
!
!NH3/WC_NO=0.0
!
!NH3/WC_NO2=0.0
!
!NH3/WC_NO3=0.0
!
!NH3/WC_N2O5=0.0
!
!NH3/WC_HONO=0.0
!
!NH3/WC_HNO3=0.0
!
!NH3/WC_HNO4=0.0
!
!NH3/WC_NH3=+KTC41
 PJAC(:,9,97)=+TPK%KTC41(:)
!
!NH3/WC_OH=0.0
!
!NH3/WC_HO2=0.0
!
!NH3/WC_CO2=0.0
!
!NH3/WC_SO2=0.0
!
!NH3/WC_H2SO4=0.0
!
!NH3/WC_RO21=0.0
!
!NH3/WC_RO25=0.0
!
!NH3/WC_MEOH=0.0
!
!NH3/WC_ETOH=0.0
!
!NH3/WC_ALCH=0.0
!
!NH3/WC_HCHO=0.0
!
!NH3/WC_ALD2=0.0
!
!NH3/WC_GLY=0.0
!
!NH3/WC_MGLY=0.0
!
!NH3/WC_KETL=0.0
!
!NH3/WC_ORA1=0.0
!
!NH3/WC_ORA2=0.0
!
!NH3/WC_ACID=0.0
!
!NH3/WC_RP16=0.0
!
!NH3/WC_UR21=0.0
!
!NH3/WC_UR28=0.0
!
!NH3/WC_ACID2=0.0
!
!NH3/WC_ASO3=0.0
!
!NH3/WC_ASO4=0.0
!
!NH3/WC_ASO5=0.0
!
!NH3/WC_AHSO5=0.0
!
!NH3/WC_AHMS=0.0
!
!NH3/WR_O3=0.0
!
!NH3/WR_H2O2=0.0
!
!NH3/WR_NO=0.0
!
!NH3/WR_NO2=0.0
!
!NH3/WR_NO3=0.0
!
!NH3/WR_N2O5=0.0
!
!NH3/WR_HONO=0.0
!
!NH3/WR_HNO3=0.0
!
!NH3/WR_HNO4=0.0
!
!NH3/WR_NH3=+KTR41
 PJAC(:,9,134)=+TPK%KTR41(:)
!
!NH3/WR_OH=0.0
!
!NH3/WR_HO2=0.0
!
!NH3/WR_CO2=0.0
!
!NH3/WR_SO2=0.0
!
!NH3/WR_H2SO4=0.0
!
!NH3/WR_RO21=0.0
!
!NH3/WR_RO25=0.0
!
!NH3/WR_MEOH=0.0
!
!NH3/WR_ETOH=0.0
!
!NH3/WR_ALCH=0.0
!
!NH3/WR_HCHO=0.0
!
!NH3/WR_ALD2=0.0
!
!NH3/WR_GLY=0.0
!
!NH3/WR_MGLY=0.0
!
!NH3/WR_KETL=0.0
!
!NH3/WR_ORA1=0.0
!
!NH3/WR_ORA2=0.0
!
!NH3/WR_ACID=0.0
!
!NH3/WR_RP16=0.0
!
!NH3/WR_UR21=0.0
!
!NH3/WR_UR28=0.0
!
!NH3/WR_ACID2=0.0
!
!NH3/WR_ASO3=0.0
!
!NH3/WR_ASO4=0.0
!
!NH3/WR_ASO5=0.0
!
!NH3/WR_AHSO5=0.0
!
!NH3/WR_AHMS=0.0
!
!HO2/NO=-K026*<HO2>+K110*<RO21>+K113*<RO22>+K119*<RO24>+TPK%CF4*K122*<RO25>+TPK
!%CF6*K150*<RO29>+K153*<RO210>+K171*<RO215>+TPK%CF22*K177*<RO217>+TPK%CF20*K180
!*<RO218>+TPK%CF24*K189*<RO221>+TPK%CF42*K192*<RO222>+TPK%CF44*K195*<RO223>+TPK
!%CF26*K198*<RO224>+TPK%CF28*K207*<RO227>+TPK%CF32*K221*<RO231>+TPK%CF36*K227*<
!RO241>+K231*<RO233>+K234*<RO242>+K238*<RO234>+K241*<RO243>+K245*<RO235>+K248*<
!RO244>+K252*<RO236>+K255*<RO245>+K259*<RO237>+K262*<RO246>+K266*<RO238>+K269*<
!RO247>+K285*<RO249>+K291*<RO251>+K300*<RO254>+K315*<RO256>
 PJAC(:,10,1)=-TPK%K026(:)*PCONC(:,10)+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%&
&RO22(:)+TPK%K119(:)*TPK%RO24(:)+TPK%CF4*TPK%K122(:)*PCONC(:,87)+TPK%CF6*TPK%K1&
&50(:)*TPK%RO29(:)+TPK%K153(:)*TPK%RO210(:)+TPK%K171(:)*TPK%RO215(:)+TPK%CF22*T&
&PK%K177(:)*TPK%RO217(:)+TPK%CF20*TPK%K180(:)*TPK%RO218(:)+TPK%CF24*TPK%K189(:)&
&*TPK%RO221(:)+TPK%CF42*TPK%K192(:)*TPK%RO222(:)+TPK%CF44*TPK%K195(:)*TPK%RO223&
&(:)+TPK%CF26*TPK%K198(:)*TPK%RO224(:)+TPK%CF28*TPK%K207(:)*TPK%RO227(:)+TPK%CF&
&32*TPK%K221(:)*TPK%RO231(:)+TPK%CF36*TPK%K227(:)*TPK%RO241(:)+TPK%K231(:)*TPK%&
&RO233(:)+TPK%K234(:)*TPK%RO242(:)+TPK%K238(:)*TPK%RO234(:)+TPK%K241(:)*TPK%RO2&
&43(:)+TPK%K245(:)*TPK%RO235(:)+TPK%K248(:)*TPK%RO244(:)+TPK%K252(:)*TPK%RO236(&
&:)+TPK%K255(:)*TPK%RO245(:)+TPK%K259(:)*TPK%RO237(:)+TPK%K262(:)*TPK%RO246(:)+&
&TPK%K266(:)*TPK%RO238(:)+TPK%K269(:)*TPK%RO247(:)+TPK%K285(:)*TPK%RO249(:)+TPK&
&%K291(:)*TPK%RO251(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K315(:)*TPK%RO256(:)
!
!HO2/NO2=-K027*<HO2>
 PJAC(:,10,2)=-TPK%K027(:)*PCONC(:,10)
!
!HO2/O3=+K025*<OH>-K030*<HO2>+0.06*K051*<ETHE>+0.28*K056*<OLEL>+0.366*K066*<ISO
!P>+0.28*K076*<OLEH>+0.445*K086*<BIOL>+0.28*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,10,3)=+TPK%K025(:)*PCONC(:,15)-TPK%K030(:)*PCONC(:,10)+0.06*TPK%K051(:)&
&*PCONC(:,16)+0.28*TPK%K056(:)*PCONC(:,17)+0.366*TPK%K066(:)*PCONC(:,35)+0.28*T&
&PK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,36)+0.28*TPK%K281(:)*PCONC(:,&
&39)+0.41*TPK%K282(:)*PCONC(:,40)
!
!HO2/HONO=+0.1*K020
 PJAC(:,10,4)=+0.1*TPK%K020(:)
!
!HO2/HNO3=0.0
!
!HO2/HNO4=+K028
 PJAC(:,10,6)=+TPK%K028(:)
!
!HO2/N2O5=0.0
!
!HO2/NO3=-K033*<HO2>+K040*<OH>+K047*<HCHO>
 PJAC(:,10,8)=-TPK%K033(:)*PCONC(:,10)+TPK%K040(:)*PCONC(:,15)+TPK%K047(:)*PCON&
&C(:,28)
!
!HO2/NH3=0.0
!
!HO2/HO2=-K026*<NO>-K027*<NO2>-K030*<O3>-K031*<HO2>-K031*<HO2>-K031*<HO2>-K031*
!<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K032*<H2O>*<HO2>-K033
!*<NO3>-K042*<OH>+K094*<RO2T>-K094*<RO2T>+K112*<RO21>-K112*<RO21>+K115*<RO22>-K
!115*<RO22>+K118*<RO23>-K118*<RO23>+K121*<RO24>-K121*<RO24>+K124*<RO25>-K124*<R
!O25>-K142*<RO26>-K146*<RO27>-K148*<RO28>+K152*<RO29>-K152*<RO29>+K155*<RO210>-
!K155*<RO210>-K158*<RO211>-K161*<RO212>-K164*<RO213>-K166*<RO239>-K170*<RO214>+
!K173*<RO215>-K173*<RO215>-K176*<RO216>+K179*<RO217>-K179*<RO217>+K182*<RO218>-
!K182*<RO218>-K185*<RO219>-K188*<RO220>+K191*<RO221>-K191*<RO221>+K194*<RO222>-
!K194*<RO222>+K197*<RO223>-K197*<RO223>+K200*<RO224>-K200*<RO224>-K203*<RO225>-
!K206*<RO226>+K209*<RO227>-K209*<RO227>-K212*<RO228>-K215*<RO229>-K218*<RO240>-
!K220*<RO230>+K223*<RO231>-K223*<RO231>-K226*<RO232>+K229*<RO241>-K229*<RO241>+
!K233*<RO233>-K233*<RO233>+K236*<RO242>-K236*<RO242>+K240*<RO234>-K240*<RO234>+
!K243*<RO243>-K243*<RO243>+K247*<RO235>-K247*<RO235>+K250*<RO244>-K250*<RO244>+
!K254*<RO236>-K254*<RO236>+K257*<RO245>-K257*<RO245>+K261*<RO237>-K261*<RO237>+
!K264*<RO246>-K264*<RO246>+K268*<RO238>-K268*<RO238>+K271*<RO247>-K271*<RO247>-
!K279*<RO248>+K287*<RO249>-K287*<RO249>-K289*<RO250>+K292*<RO251>-K292*<RO251>-
!K295*<RO252>-K298*<RO253>-K301*<RO254>-K310*<RO255>-K318*<RO256>-K332*<RO257>-
!K341*<RO258>-KTC12-KTR12
 PJAC(:,10,10)=-TPK%K026(:)*PCONC(:,1)-TPK%K027(:)*PCONC(:,2)-TPK%K030(:)*PCONC&
&(:,3)-TPK%K031(:)*PCONC(:,10)-TPK%K031(:)*PCONC(:,10)-TPK%K031(:)*PCONC(:,10)-&
&TPK%K031(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O&
&(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)-TPK%K032(:)*TPK%H2O(:)*PCON&
&C(:,10)-TPK%K033(:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,15)+TPK%K094(:)*PCONC(:,85)&
&-TPK%K094(:)*PCONC(:,85)+TPK%K112(:)*PCONC(:,86)-TPK%K112(:)*PCONC(:,86)+TPK%K&
&115(:)*TPK%RO22(:)-TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK%RO23(:)-TPK%K118(:)&
&*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)-TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC&
&(:,87)-TPK%K124(:)*PCONC(:,87)-TPK%K142(:)*TPK%RO26(:)-TPK%K146(:)*TPK%RO27(:)&
&-TPK%K148(:)*TPK%RO28(:)+TPK%K152(:)*TPK%RO29(:)-TPK%K152(:)*TPK%RO29(:)+TPK%K&
&155(:)*TPK%RO210(:)-TPK%K155(:)*TPK%RO210(:)-TPK%K158(:)*TPK%RO211(:)-TPK%K161&
&(:)*TPK%RO212(:)-TPK%K164(:)*TPK%RO213(:)-TPK%K166(:)*TPK%RO239(:)-TPK%K170(:)&
&*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)-TPK%K173(:)*TPK%RO215(:)-TPK%K176(:)*TP&
&K%RO216(:)+TPK%K179(:)*TPK%RO217(:)-TPK%K179(:)*TPK%RO217(:)+TPK%K182(:)*TPK%R&
&O218(:)-TPK%K182(:)*TPK%RO218(:)-TPK%K185(:)*TPK%RO219(:)-TPK%K188(:)*TPK%RO22&
&0(:)+TPK%K191(:)*TPK%RO221(:)-TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:&
&)-TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO223(:)-TPK%K197(:)*TPK%RO223(:)+T&
&PK%K200(:)*TPK%RO224(:)-TPK%K200(:)*TPK%RO224(:)-TPK%K203(:)*TPK%RO225(:)-TPK%&
&K206(:)*TPK%RO226(:)+TPK%K209(:)*TPK%RO227(:)-TPK%K209(:)*TPK%RO227(:)-TPK%K21&
&2(:)*TPK%RO228(:)-TPK%K215(:)*TPK%RO229(:)-TPK%K218(:)*TPK%RO240(:)-TPK%K220(:&
&)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)-TPK%K223(:)*TPK%RO231(:)-TPK%K226(:)*T&
&PK%RO232(:)+TPK%K229(:)*TPK%RO241(:)-TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%&
&RO233(:)-TPK%K233(:)*TPK%RO233(:)+TPK%K236(:)*TPK%RO242(:)-TPK%K236(:)*TPK%RO2&
&42(:)+TPK%K240(:)*TPK%RO234(:)-TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(&
&:)-TPK%K243(:)*TPK%RO243(:)+TPK%K247(:)*TPK%RO235(:)-TPK%K247(:)*TPK%RO235(:)+&
&TPK%K250(:)*TPK%RO244(:)-TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)-TPK&
&%K254(:)*TPK%RO236(:)+TPK%K257(:)*TPK%RO245(:)-TPK%K257(:)*TPK%RO245(:)+TPK%K2&
&61(:)*TPK%RO237(:)-TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)-TPK%K264(&
&:)*TPK%RO246(:)+TPK%K268(:)*TPK%RO238(:)-TPK%K268(:)*TPK%RO238(:)+TPK%K271(:)*&
&TPK%RO247(:)-TPK%K271(:)*TPK%RO247(:)-TPK%K279(:)*TPK%RO248(:)+TPK%K287(:)*TPK&
&%RO249(:)-TPK%K287(:)*TPK%RO249(:)-TPK%K289(:)*TPK%RO250(:)+TPK%K292(:)*TPK%RO&
&251(:)-TPK%K292(:)*TPK%RO251(:)-TPK%K295(:)*TPK%RO252(:)-TPK%K298(:)*TPK%RO253&
&(:)-TPK%K301(:)*TPK%RO254(:)-TPK%K310(:)*TPK%RO255(:)-TPK%K318(:)*TPK%RO256(:)&
&-TPK%K332(:)*TPK%RO257(:)-TPK%K341(:)*TPK%RO258(:)-TPK%KTC12(:)-TPK%KTR12(:)
!
!HO2/CO=+K024*<OH>
 PJAC(:,10,11)=+TPK%K024(:)*PCONC(:,15)
!
!HO2/H2O2=+K037*<OH>
 PJAC(:,10,12)=+TPK%K037(:)*PCONC(:,15)
!
!HO2/SO2=+K035*<OH>
 PJAC(:,10,13)=+TPK%K035(:)*PCONC(:,15)
!
!HO2/H2SO4=0.0
!
!HO2/OH=+K024*<CO>+K025*<O3>+K035*<SO2>+K037*<H2O2>+K040*<NO3>-K042*<HO2>+K046*
!<HCHO>+K048*<MEOH>+TPK%CF1*K053*<ETOH>+0.16*K073*<AROO>+0.16*K079*<AROL>+0.16*
!K080*<AROH>+TPK%CF48*K082*<ARAL>+0.16*K083*<ARAC>+0.16*K092*<PAH>+K325*<RP10>+
!K347*<ORA1>
 PJAC(:,10,15)=+TPK%K024(:)*PCONC(:,11)+TPK%K025(:)*PCONC(:,3)+TPK%K035(:)*PCON&
&C(:,13)+TPK%K037(:)*PCONC(:,12)+TPK%K040(:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,10)&
&+TPK%K046(:)*PCONC(:,28)+TPK%K048(:)*PCONC(:,32)+TPK%CF1*TPK%K053(:)*PCONC(:,3&
&3)+0.16*TPK%K073(:)*PCONC(:,24)+0.16*TPK%K079(:)*PCONC(:,23)+0.16*TPK%K080(:)*&
&PCONC(:,22)+TPK%CF48*TPK%K082(:)*PCONC(:,25)+0.16*TPK%K083(:)*PCONC(:,26)+0.16&
&*TPK%K092(:)*PCONC(:,27)+TPK%K325(:)*PCONC(:,72)+TPK%K347(:)*PCONC(:,43)
!
!HO2/ETHE=+0.06*K051*<O3>+K052*<O>
 PJAC(:,10,16)=+0.06*TPK%K051(:)*PCONC(:,3)+TPK%K052(:)*TPK%O(:)
!
!HO2/OLEL=+0.28*K056*<O3>
 PJAC(:,10,17)=+0.28*TPK%K056(:)*PCONC(:,3)
!
!HO2/OLEH=+0.28*K076*<O3>
 PJAC(:,10,18)=+0.28*TPK%K076(:)*PCONC(:,3)
!
!HO2/ALKL=0.0
!
!HO2/ALKM=0.0
!
!HO2/ALKH=0.0
!
!HO2/AROH=+0.16*K080*<OH>
 PJAC(:,10,22)=+0.16*TPK%K080(:)*PCONC(:,15)
!
!HO2/AROL=+0.16*K079*<OH>
 PJAC(:,10,23)=+0.16*TPK%K079(:)*PCONC(:,15)
!
!HO2/AROO=+0.16*K073*<OH>
 PJAC(:,10,24)=+0.16*TPK%K073(:)*PCONC(:,15)
!
!HO2/ARAL=+TPK%CF48*K082*<OH>
 PJAC(:,10,25)=+TPK%CF48*TPK%K082(:)*PCONC(:,15)
!
!HO2/ARAC=+0.16*K083*<OH>
 PJAC(:,10,26)=+0.16*TPK%K083(:)*PCONC(:,15)
!
!HO2/PAH=+0.16*K092*<OH>
 PJAC(:,10,27)=+0.16*TPK%K092(:)*PCONC(:,15)
!
!HO2/HCHO=+2.0*K044+K046*<OH>+K047*<NO3>
 PJAC(:,10,28)=+2.0*TPK%K044(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCONC(:,8)
!
!HO2/ALD2=+K059
 PJAC(:,10,29)=+TPK%K059(:)
!
!HO2/KETL=0.0
!
!HO2/KETH=0.0
!
!HO2/MEOH=+K048*<OH>
 PJAC(:,10,32)=+TPK%K048(:)*PCONC(:,15)
!
!HO2/ETOH=+TPK%CF1*K053*<OH>
 PJAC(:,10,33)=+TPK%CF1*TPK%K053(:)*PCONC(:,15)
!
!HO2/ALCH=0.0
!
!HO2/ISOP=+0.366*K066*<O3>
 PJAC(:,10,35)=+0.366*TPK%K066(:)*PCONC(:,3)
!
!HO2/BIOL=+0.445*K086*<O3>
 PJAC(:,10,36)=+0.445*TPK%K086(:)*PCONC(:,3)
!
!HO2/BIOH=0.0
!
!HO2/MTBE=0.0
!
!HO2/MVK=+0.28*K281*<O3>
 PJAC(:,10,39)=+0.28*TPK%K281(:)*PCONC(:,3)
!
!HO2/MCR=+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,10,40)=+0.41*TPK%K282(:)*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!HO2/MGLY=+K276
 PJAC(:,10,41)=+TPK%K276(:)
!
!HO2/GLY=0.0
!
!HO2/ORA1=+K347*<OH>
 PJAC(:,10,43)=+TPK%K347(:)*PCONC(:,15)
!
!HO2/ORA2=0.0
!
!HO2/ACID=0.0
!
!HO2/UR28=0.0
!
!HO2/UR21=0.0
!
!HO2/URG2=0.0
!
!HO2/UR26=0.0
!
!HO2/RPG2=0.0
!
!HO2/RP18=0.0
!
!HO2/RPG3=0.0
!
!HO2/URG4=0.0
!
!HO2/UR8=0.0
!
!HO2/UR17=0.0
!
!HO2/UR7=0.0
!
!HO2/RPR3=+2.*K314
 PJAC(:,10,57)=+2.*TPK%K314(:)
!
!HO2/URG6=0.0
!
!HO2/UR22=0.0
!
!HO2/URG7=0.0
!
!HO2/RPR4=0.0
!
!HO2/RPR7=0.0
!
!HO2/RPG7=0.0
!
!HO2/URG8=0.0
!
!HO2/UR19=0.0
!
!HO2/URG9=0.0
!
!HO2/AP7=0.0
!
!HO2/URG10=0.0
!
!HO2/RPR1=+K308
 PJAC(:,10,69)=+TPK%K308(:)
!
!HO2/RPR5=0.0
!
!HO2/RPR8=+K329+K330
 PJAC(:,10,71)=+TPK%K329(:)+TPK%K330(:)
!
!HO2/RP10=+K325*<OH>
 PJAC(:,10,72)=+TPK%K325(:)*PCONC(:,15)
!
!HO2/RP11=0.0
!
!HO2/RP16=+K339
 PJAC(:,10,74)=+TPK%K339(:)
!
!HO2/RPRL=0.0
!
!HO2/APAN=0.0
!
!HO2/PAN1=0.0
!
!HO2/PAN2=0.0
!
!HO2/PAN3=0.0
!
!HO2/PAN4=0.0
!
!HO2/PAN6=0.0
!
!HO2/PAN7=0.0
!
!HO2/PAN8=0.0
!
!HO2/PN10=0.0
!
!HO2/RO2T=+K094*<HO2>-K094*<HO2>+K111*<RO21>+K114*<RO22>+K117*<RO23>+K120*<RO24
!>+K123*<RO25>+K151*<RO29>+K154*<RO210>+K172*<RO215>+K178*<RO217>+K181*<RO218>+
!K190*<RO221>+K193*<RO222>+K196*<RO223>+K199*<RO224>+K208*<RO227>+K222*<RO231>+
!K228*<RO241>+K232*<RO233>+K235*<RO242>+K239*<RO234>+K242*<RO243>+K246*<RO235>+
!K249*<RO244>+K253*<RO236>+K256*<RO245>+K260*<RO237>+K263*<RO246>+K267*<RO238>+
!K270*<RO247>+K286*<RO249>+K293*<RO251>+K302*<RO254>+K319*<RO256>
 PJAC(:,10,85)=+TPK%K094(:)*PCONC(:,10)-TPK%K094(:)*PCONC(:,10)+TPK%K111(:)*PCO&
&NC(:,86)+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(&
&:)+TPK%K123(:)*PCONC(:,87)+TPK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)+TP&
&K%K172(:)*TPK%RO215(:)+TPK%K178(:)*TPK%RO217(:)+TPK%K181(:)*TPK%RO218(:)+TPK%K&
&190(:)*TPK%RO221(:)+TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)+TPK%K199&
&(:)*TPK%RO224(:)+TPK%K208(:)*TPK%RO227(:)+TPK%K222(:)*TPK%RO231(:)+TPK%K228(:)&
&*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)+TPK%K235(:)*TPK%RO242(:)+TPK%K239(:)*TP&
&K%RO234(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K246(:)*TPK%RO235(:)+TPK%K249(:)*TPK%R&
&O244(:)+TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K260(:)*TPK%RO23&
&7(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO238(:)+TPK%K270(:)*TPK%RO247(:&
&)+TPK%K286(:)*TPK%RO249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K302(:)*TPK%RO254(:)+T&
&PK%K319(:)*TPK%RO256(:)
!
!HO2/RO21=+K110*<NO>+K111*<RO2T>+K112*<HO2>-K112*<HO2>
 PJAC(:,10,86)=+TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)-TPK%K112(:)*PCONC(:,10)
!
!HO2/RO25=+TPK%CF4*K122*<NO>+K123*<RO2T>+K124*<HO2>-K124*<HO2>
 PJAC(:,10,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124&
&(:)*PCONC(:,10)-TPK%K124(:)*PCONC(:,10)
!
!HO2/WC_O3=0.0
!
!HO2/WC_H2O2=0.0
!
!HO2/WC_NO=0.0
!
!HO2/WC_NO2=0.0
!
!HO2/WC_NO3=0.0
!
!HO2/WC_N2O5=0.0
!
!HO2/WC_HONO=0.0
!
!HO2/WC_HNO3=0.0
!
!HO2/WC_HNO4=0.0
!
!HO2/WC_NH3=0.0
!
!HO2/WC_OH=0.0
!
!HO2/WC_HO2=+KTC43
 PJAC(:,10,99)=+TPK%KTC43(:)
!
!HO2/WC_CO2=0.0
!
!HO2/WC_SO2=0.0
!
!HO2/WC_H2SO4=0.0
!
!HO2/WC_RO21=0.0
!
!HO2/WC_RO25=0.0
!
!HO2/WC_MEOH=0.0
!
!HO2/WC_ETOH=0.0
!
!HO2/WC_ALCH=0.0
!
!HO2/WC_HCHO=0.0
!
!HO2/WC_ALD2=0.0
!
!HO2/WC_GLY=0.0
!
!HO2/WC_MGLY=0.0
!
!HO2/WC_KETL=0.0
!
!HO2/WC_ORA1=0.0
!
!HO2/WC_ORA2=0.0
!
!HO2/WC_ACID=0.0
!
!HO2/WC_RP16=0.0
!
!HO2/WC_UR21=0.0
!
!HO2/WC_UR28=0.0
!
!HO2/WC_ACID2=0.0
!
!HO2/WC_ASO3=0.0
!
!HO2/WC_ASO4=0.0
!
!HO2/WC_ASO5=0.0
!
!HO2/WC_AHSO5=0.0
!
!HO2/WC_AHMS=0.0
!
!HO2/WR_O3=0.0
!
!HO2/WR_H2O2=0.0
!
!HO2/WR_NO=0.0
!
!HO2/WR_NO2=0.0
!
!HO2/WR_NO3=0.0
!
!HO2/WR_N2O5=0.0
!
!HO2/WR_HONO=0.0
!
!HO2/WR_HNO3=0.0
!
!HO2/WR_HNO4=0.0
!
!HO2/WR_NH3=0.0
!
!HO2/WR_OH=0.0
!
!HO2/WR_HO2=+KTR43
 PJAC(:,10,136)=+TPK%KTR43(:)
!
!HO2/WR_CO2=0.0
!
!HO2/WR_SO2=0.0
!
!HO2/WR_H2SO4=0.0
!
!HO2/WR_RO21=0.0
!
!HO2/WR_RO25=0.0
!
!HO2/WR_MEOH=0.0
!
!HO2/WR_ETOH=0.0
!
!HO2/WR_ALCH=0.0
!
!HO2/WR_HCHO=0.0
!
!HO2/WR_ALD2=0.0
!
!HO2/WR_GLY=0.0
!
!HO2/WR_MGLY=0.0
!
!HO2/WR_KETL=0.0
!
!HO2/WR_ORA1=0.0
!
!HO2/WR_ORA2=0.0
!
!HO2/WR_ACID=0.0
!
!HO2/WR_RP16=0.0
!
!HO2/WR_UR21=0.0
!
!HO2/WR_UR28=0.0
!
!HO2/WR_ACID2=0.0
!
!HO2/WR_ASO3=0.0
!
!HO2/WR_ASO4=0.0
!
!HO2/WR_ASO5=0.0
!
!HO2/WR_AHSO5=0.0
!
!HO2/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ1
!
SUBROUTINE SUBJ2
!
!Indices 11 a 15
!
!
!CO/NO=+K119*<RO24>+K300*<RO254>+K340*<RO258>
 PJAC(:,11,1)=+TPK%K119(:)*TPK%RO24(:)+TPK%K300(:)*TPK%RO254(:)+TPK%K340(:)*TPK&
&%RO258(:)
!
!CO/NO2=0.0
!
!CO/O3=+0.315*K051*<ETHE>+0.56*K056*<OLEL>+0.461*K066*<ISOP>+0.56*K076*<OLEH>+0
!.445*K086*<BIOL>+0.445*K090*<BIOH>+0.56*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,11,3)=+0.315*TPK%K051(:)*PCONC(:,16)+0.56*TPK%K056(:)*PCONC(:,17)+0.461&
&*TPK%K066(:)*PCONC(:,35)+0.56*TPK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(&
&:,36)+0.445*TPK%K090(:)*PCONC(:,37)+0.56*TPK%K281(:)*PCONC(:,39)+0.41*TPK%K282&
&(:)*PCONC(:,40)
!
!CO/HONO=0.0
!
!CO/HNO3=0.0
!
!CO/HNO4=0.0
!
!CO/N2O5=0.0
!
!CO/NO3=+K047*<HCHO>
 PJAC(:,11,8)=+TPK%K047(:)*PCONC(:,28)
!
!CO/NH3=0.0
!
!CO/HO2=+K121*<RO24>
 PJAC(:,11,10)=+TPK%K121(:)*TPK%RO24(:)
!
!CO/CO=-K024*<OH>
 PJAC(:,11,11)=-TPK%K024(:)*PCONC(:,15)
!
!CO/H2O2=0.0
!
!CO/SO2=0.0
!
!CO/H2SO4=0.0
!
!CO/OH=-K024*<CO>+K046*<HCHO>
 PJAC(:,11,15)=-TPK%K024(:)*PCONC(:,11)+TPK%K046(:)*PCONC(:,28)
!
!CO/ETHE=+0.315*K051*<O3>+0.6*K052*<O>
 PJAC(:,11,16)=+0.315*TPK%K051(:)*PCONC(:,3)+0.6*TPK%K052(:)*TPK%O(:)
!
!CO/OLEL=+0.56*K056*<O3>
 PJAC(:,11,17)=+0.56*TPK%K056(:)*PCONC(:,3)
!
!CO/OLEH=+0.56*K076*<O3>
 PJAC(:,11,18)=+0.56*TPK%K076(:)*PCONC(:,3)
!
!CO/ALKL=0.0
!
!CO/ALKM=0.0
!
!CO/ALKH=0.0
!
!CO/AROH=0.0
!
!CO/AROL=0.0
!
!CO/AROO=0.0
!
!CO/ARAL=0.0
!
!CO/ARAC=0.0
!
!CO/PAH=0.0
!
!CO/HCHO=+K044+K045+K046*<OH>+K047*<NO3>
 PJAC(:,11,28)=+TPK%K044(:)+TPK%K045(:)+TPK%K046(:)*PCONC(:,15)+TPK%K047(:)*PCO&
&NC(:,8)
!
!CO/ALD2=+K059
 PJAC(:,11,29)=+TPK%K059(:)
!
!CO/KETL=0.0
!
!CO/KETH=0.0
!
!CO/MEOH=0.0
!
!CO/ETOH=0.0
!
!CO/ALCH=0.0
!
!CO/ISOP=+0.461*K066*<O3>
 PJAC(:,11,35)=+0.461*TPK%K066(:)*PCONC(:,3)
!
!CO/BIOL=+0.445*K086*<O3>
 PJAC(:,11,36)=+0.445*TPK%K086(:)*PCONC(:,3)
!
!CO/BIOH=+0.445*K090*<O3>
 PJAC(:,11,37)=+0.445*TPK%K090(:)*PCONC(:,3)
!
!CO/MTBE=0.0
!
!CO/MVK=+0.56*K281*<O3>
 PJAC(:,11,39)=+0.56*TPK%K281(:)*PCONC(:,3)
!
!CO/MCR=+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,11,40)=+0.41*TPK%K282(:)*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!CO/MGLY=+K276
 PJAC(:,11,41)=+TPK%K276(:)
!
!CO/GLY=0.0
!
!CO/ORA1=0.0
!
!CO/ORA2=0.0
!
!CO/ACID=0.0
!
!CO/UR28=0.0
!
!CO/UR21=0.0
!
!CO/URG2=0.0
!
!CO/UR26=0.0
!
!CO/RPG2=0.0
!
!CO/RP18=0.0
!
!CO/RPG3=0.0
!
!CO/URG4=0.0
!
!CO/UR8=0.0
!
!CO/UR17=0.0
!
!CO/UR7=0.0
!
!CO/RPR3=+K314
 PJAC(:,11,57)=+TPK%K314(:)
!
!CO/URG6=0.0
!
!CO/UR22=0.0
!
!CO/URG7=0.0
!
!CO/RPR4=0.0
!
!CO/RPR7=0.0
!
!CO/RPG7=0.0
!
!CO/URG8=0.0
!
!CO/UR19=0.0
!
!CO/URG9=0.0
!
!CO/AP7=0.0
!
!CO/URG10=0.0
!
!CO/RPR1=+K308
 PJAC(:,11,69)=+TPK%K308(:)
!
!CO/RPR5=0.0
!
!CO/RPR8=+K329
 PJAC(:,11,71)=+TPK%K329(:)
!
!CO/RP10=0.0
!
!CO/RP11=0.0
!
!CO/RP16=+2.*K339
 PJAC(:,11,74)=+2.*TPK%K339(:)
!
!CO/RPRL=0.0
!
!CO/APAN=0.0
!
!CO/PAN1=0.0
!
!CO/PAN2=0.0
!
!CO/PAN3=0.0
!
!CO/PAN4=0.0
!
!CO/PAN6=0.0
!
!CO/PAN7=0.0
!
!CO/PAN8=0.0
!
!CO/PN10=0.0
!
!CO/RO2T=+K120*<RO24>+K302*<RO254>+K342*<RO258>
 PJAC(:,11,85)=+TPK%K120(:)*TPK%RO24(:)+TPK%K302(:)*TPK%RO254(:)+TPK%K342(:)*TP&
&K%RO258(:)
!
!CO/RO21=0.0
!
!CO/RO25=0.0
!
!CO/WC_O3=0.0
!
!CO/WC_H2O2=0.0
!
!CO/WC_NO=0.0
!
!CO/WC_NO2=0.0
!
!CO/WC_NO3=0.0
!
!CO/WC_N2O5=0.0
!
!CO/WC_HONO=0.0
!
!CO/WC_HNO3=0.0
!
!CO/WC_HNO4=0.0
!
!CO/WC_NH3=0.0
!
!CO/WC_OH=0.0
!
!CO/WC_HO2=0.0
!
!CO/WC_CO2=0.0
!
!CO/WC_SO2=0.0
!
!CO/WC_H2SO4=0.0
!
!CO/WC_RO21=0.0
!
!CO/WC_RO25=0.0
!
!CO/WC_MEOH=0.0
!
!CO/WC_ETOH=0.0
!
!CO/WC_ALCH=0.0
!
!CO/WC_HCHO=0.0
!
!CO/WC_ALD2=0.0
!
!CO/WC_GLY=0.0
!
!CO/WC_MGLY=0.0
!
!CO/WC_KETL=0.0
!
!CO/WC_ORA1=0.0
!
!CO/WC_ORA2=0.0
!
!CO/WC_ACID=0.0
!
!CO/WC_RP16=0.0
!
!CO/WC_UR21=0.0
!
!CO/WC_UR28=0.0
!
!CO/WC_ACID2=0.0
!
!CO/WC_ASO3=0.0
!
!CO/WC_ASO4=0.0
!
!CO/WC_ASO5=0.0
!
!CO/WC_AHSO5=0.0
!
!CO/WC_AHMS=0.0
!
!CO/WR_O3=0.0
!
!CO/WR_H2O2=0.0
!
!CO/WR_NO=0.0
!
!CO/WR_NO2=0.0
!
!CO/WR_NO3=0.0
!
!CO/WR_N2O5=0.0
!
!CO/WR_HONO=0.0
!
!CO/WR_HNO3=0.0
!
!CO/WR_HNO4=0.0
!
!CO/WR_NH3=0.0
!
!CO/WR_OH=0.0
!
!CO/WR_HO2=0.0
!
!CO/WR_CO2=0.0
!
!CO/WR_SO2=0.0
!
!CO/WR_H2SO4=0.0
!
!CO/WR_RO21=0.0
!
!CO/WR_RO25=0.0
!
!CO/WR_MEOH=0.0
!
!CO/WR_ETOH=0.0
!
!CO/WR_ALCH=0.0
!
!CO/WR_HCHO=0.0
!
!CO/WR_ALD2=0.0
!
!CO/WR_GLY=0.0
!
!CO/WR_MGLY=0.0
!
!CO/WR_KETL=0.0
!
!CO/WR_ORA1=0.0
!
!CO/WR_ORA2=0.0
!
!CO/WR_ACID=0.0
!
!CO/WR_RP16=0.0
!
!CO/WR_UR21=0.0
!
!CO/WR_UR28=0.0
!
!CO/WR_ACID2=0.0
!
!CO/WR_ASO3=0.0
!
!CO/WR_ASO4=0.0
!
!CO/WR_ASO5=0.0
!
!CO/WR_AHSO5=0.0
!
!CO/WR_AHMS=0.0
!
!H2O2/NO=0.0
!
!H2O2/NO2=0.0
!
!H2O2/O3=+0.055*K086*<BIOL>+0.055*K090*<BIOH>
 PJAC(:,12,3)=+0.055*TPK%K086(:)*PCONC(:,36)+0.055*TPK%K090(:)*PCONC(:,37)
!
!H2O2/HONO=0.0
!
!H2O2/HNO3=0.0
!
!H2O2/HNO4=0.0
!
!H2O2/N2O5=0.0
!
!H2O2/NO3=0.0
!
!H2O2/NH3=0.0
!
!H2O2/HO2=+K031*<HO2>+K031*<HO2>+K032*<H2O>*<HO2>+K032*<H2O>*<HO2>
 PJAC(:,12,10)=+TPK%K031(:)*PCONC(:,10)+TPK%K031(:)*PCONC(:,10)+TPK%K032(:)*TPK&
&%H2O(:)*PCONC(:,10)+TPK%K032(:)*TPK%H2O(:)*PCONC(:,10)
!
!H2O2/CO=0.0
!
!H2O2/H2O2=-K036-K037*<OH>-KTC2-KTR2
 PJAC(:,12,12)=-TPK%K036(:)-TPK%K037(:)*PCONC(:,15)-TPK%KTC2(:)-TPK%KTR2(:)
!
!H2O2/SO2=0.0
!
!H2O2/H2SO4=0.0
!
!H2O2/OH=-K037*<H2O2>
 PJAC(:,12,15)=-TPK%K037(:)*PCONC(:,12)
!
!H2O2/ETHE=0.0
!
!H2O2/OLEL=0.0
!
!H2O2/OLEH=0.0
!
!H2O2/ALKL=0.0
!
!H2O2/ALKM=0.0
!
!H2O2/ALKH=0.0
!
!H2O2/AROH=0.0
!
!H2O2/AROL=0.0
!
!H2O2/AROO=0.0
!
!H2O2/ARAL=0.0
!
!H2O2/ARAC=0.0
!
!H2O2/PAH=0.0
!
!H2O2/HCHO=0.0
!
!H2O2/ALD2=0.0
!
!H2O2/KETL=0.0
!
!H2O2/KETH=0.0
!
!H2O2/MEOH=0.0
!
!H2O2/ETOH=0.0
!
!H2O2/ALCH=0.0
!
!H2O2/ISOP=0.0
!
!H2O2/BIOL=+0.055*K086*<O3>
 PJAC(:,12,36)=+0.055*TPK%K086(:)*PCONC(:,3)
!
!H2O2/BIOH=+0.055*K090*<O3>
 PJAC(:,12,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!H2O2/MTBE=0.0
!
!H2O2/MVK=0.0
!
!H2O2/MCR=0.0
!
!H2O2/MGLY=0.0
!
!H2O2/GLY=0.0
!
!H2O2/ORA1=0.0
!
!H2O2/ORA2=0.0
!
!H2O2/ACID=0.0
!
!H2O2/UR28=0.0
!
!H2O2/UR21=0.0
!
!H2O2/URG2=0.0
!
!H2O2/UR26=0.0
!
!H2O2/RPG2=0.0
!
!H2O2/RP18=0.0
!
!H2O2/RPG3=0.0
!
!H2O2/URG4=0.0
!
!H2O2/UR8=0.0
!
!H2O2/UR17=0.0
!
!H2O2/UR7=0.0
!
!H2O2/RPR3=0.0
!
!H2O2/URG6=0.0
!
!H2O2/UR22=0.0
!
!H2O2/URG7=0.0
!
!H2O2/RPR4=0.0
!
!H2O2/RPR7=0.0
!
!H2O2/RPG7=0.0
!
!H2O2/URG8=0.0
!
!H2O2/UR19=0.0
!
!H2O2/URG9=0.0
!
!H2O2/AP7=0.0
!
!H2O2/URG10=0.0
!
!H2O2/RPR1=0.0
!
!H2O2/RPR5=0.0
!
!H2O2/RPR8=0.0
!
!H2O2/RP10=0.0
!
!H2O2/RP11=0.0
!
!H2O2/RP16=0.0
!
!H2O2/RPRL=0.0
!
!H2O2/APAN=0.0
!
!H2O2/PAN1=0.0
!
!H2O2/PAN2=0.0
!
!H2O2/PAN3=0.0
!
!H2O2/PAN4=0.0
!
!H2O2/PAN6=0.0
!
!H2O2/PAN7=0.0
!
!H2O2/PAN8=0.0
!
!H2O2/PN10=0.0
!
!H2O2/RO2T=0.0
!
!H2O2/RO21=0.0
!
!H2O2/RO25=0.0
!
!H2O2/WC_O3=0.0
!
!H2O2/WC_H2O2=+KTC33
 PJAC(:,12,89)=+TPK%KTC33(:)
!
!H2O2/WC_NO=0.0
!
!H2O2/WC_NO2=0.0
!
!H2O2/WC_NO3=0.0
!
!H2O2/WC_N2O5=0.0
!
!H2O2/WC_HONO=0.0
!
!H2O2/WC_HNO3=0.0
!
!H2O2/WC_HNO4=0.0
!
!H2O2/WC_NH3=0.0
!
!H2O2/WC_OH=0.0
!
!H2O2/WC_HO2=0.0
!
!H2O2/WC_CO2=0.0
!
!H2O2/WC_SO2=0.0
!
!H2O2/WC_H2SO4=0.0
!
!H2O2/WC_RO21=0.0
!
!H2O2/WC_RO25=0.0
!
!H2O2/WC_MEOH=0.0
!
!H2O2/WC_ETOH=0.0
!
!H2O2/WC_ALCH=0.0
!
!H2O2/WC_HCHO=0.0
!
!H2O2/WC_ALD2=0.0
!
!H2O2/WC_GLY=0.0
!
!H2O2/WC_MGLY=0.0
!
!H2O2/WC_KETL=0.0
!
!H2O2/WC_ORA1=0.0
!
!H2O2/WC_ORA2=0.0
!
!H2O2/WC_ACID=0.0
!
!H2O2/WC_RP16=0.0
!
!H2O2/WC_UR21=0.0
!
!H2O2/WC_UR28=0.0
!
!H2O2/WC_ACID2=0.0
!
!H2O2/WC_ASO3=0.0
!
!H2O2/WC_ASO4=0.0
!
!H2O2/WC_ASO5=0.0
!
!H2O2/WC_AHSO5=0.0
!
!H2O2/WC_AHMS=0.0
!
!H2O2/WR_O3=0.0
!
!H2O2/WR_H2O2=+KTR33
 PJAC(:,12,126)=+TPK%KTR33(:)
!
!H2O2/WR_NO=0.0
!
!H2O2/WR_NO2=0.0
!
!H2O2/WR_NO3=0.0
!
!H2O2/WR_N2O5=0.0
!
!H2O2/WR_HONO=0.0
!
!H2O2/WR_HNO3=0.0
!
!H2O2/WR_HNO4=0.0
!
!H2O2/WR_NH3=0.0
!
!H2O2/WR_OH=0.0
!
!H2O2/WR_HO2=0.0
!
!H2O2/WR_CO2=0.0
!
!H2O2/WR_SO2=0.0
!
!H2O2/WR_H2SO4=0.0
!
!H2O2/WR_RO21=0.0
!
!H2O2/WR_RO25=0.0
!
!H2O2/WR_MEOH=0.0
!
!H2O2/WR_ETOH=0.0
!
!H2O2/WR_ALCH=0.0
!
!H2O2/WR_HCHO=0.0
!
!H2O2/WR_ALD2=0.0
!
!H2O2/WR_GLY=0.0
!
!H2O2/WR_MGLY=0.0
!
!H2O2/WR_KETL=0.0
!
!H2O2/WR_ORA1=0.0
!
!H2O2/WR_ORA2=0.0
!
!H2O2/WR_ACID=0.0
!
!H2O2/WR_RP16=0.0
!
!H2O2/WR_UR21=0.0
!
!H2O2/WR_UR28=0.0
!
!H2O2/WR_ACID2=0.0
!
!H2O2/WR_ASO3=0.0
!
!H2O2/WR_ASO4=0.0
!
!H2O2/WR_ASO5=0.0
!
!H2O2/WR_AHSO5=0.0
!
!H2O2/WR_AHMS=0.0
!
!SO2/NO=0.0
!
!SO2/NO2=0.0
!
!SO2/O3=0.0
!
!SO2/HONO=0.0
!
!SO2/HNO3=0.0
!
!SO2/HNO4=0.0
!
!SO2/N2O5=0.0
!
!SO2/NO3=0.0
!
!SO2/NH3=0.0
!
!SO2/HO2=0.0
!
!SO2/CO=0.0
!
!SO2/H2O2=0.0
!
!SO2/SO2=-K035*<OH>-KTC14-KTR14
 PJAC(:,13,13)=-TPK%K035(:)*PCONC(:,15)-TPK%KTC14(:)-TPK%KTR14(:)
!
!SO2/H2SO4=0.0
!
!SO2/OH=-K035*<SO2>
 PJAC(:,13,15)=-TPK%K035(:)*PCONC(:,13)
!
!SO2/ETHE=0.0
!
!SO2/OLEL=0.0
!
!SO2/OLEH=0.0
!
!SO2/ALKL=0.0
!
!SO2/ALKM=0.0
!
!SO2/ALKH=0.0
!
!SO2/AROH=0.0
!
!SO2/AROL=0.0
!
!SO2/AROO=0.0
!
!SO2/ARAL=0.0
!
!SO2/ARAC=0.0
!
!SO2/PAH=0.0
!
!SO2/HCHO=0.0
!
!SO2/ALD2=0.0
!
!SO2/KETL=0.0
!
!SO2/KETH=0.0
!
!SO2/MEOH=0.0
!
!SO2/ETOH=0.0
!
!SO2/ALCH=0.0
!
!SO2/ISOP=0.0
!
!SO2/BIOL=0.0
!
!SO2/BIOH=0.0
!
!SO2/MTBE=0.0
!
!SO2/MVK=0.0
!
!SO2/MCR=0.0
!
!SO2/MGLY=0.0
!
!SO2/GLY=0.0
!
!SO2/ORA1=0.0
!
!SO2/ORA2=0.0
!
!SO2/ACID=0.0
!
!SO2/UR28=0.0
!
!SO2/UR21=0.0
!
!SO2/URG2=0.0
!
!SO2/UR26=0.0
!
!SO2/RPG2=0.0
!
!SO2/RP18=0.0
!
!SO2/RPG3=0.0
!
!SO2/URG4=0.0
!
!SO2/UR8=0.0
!
!SO2/UR17=0.0
!
!SO2/UR7=0.0
!
!SO2/RPR3=0.0
!
!SO2/URG6=0.0
!
!SO2/UR22=0.0
!
!SO2/URG7=0.0
!
!SO2/RPR4=0.0
!
!SO2/RPR7=0.0
!
!SO2/RPG7=0.0
!
!SO2/URG8=0.0
!
!SO2/UR19=0.0
!
!SO2/URG9=0.0
!
!SO2/AP7=0.0
!
!SO2/URG10=0.0
!
!SO2/RPR1=0.0
!
!SO2/RPR5=0.0
!
!SO2/RPR8=0.0
!
!SO2/RP10=0.0
!
!SO2/RP11=0.0
!
!SO2/RP16=0.0
!
!SO2/RPRL=0.0
!
!SO2/APAN=0.0
!
!SO2/PAN1=0.0
!
!SO2/PAN2=0.0
!
!SO2/PAN3=0.0
!
!SO2/PAN4=0.0
!
!SO2/PAN6=0.0
!
!SO2/PAN7=0.0
!
!SO2/PAN8=0.0
!
!SO2/PN10=0.0
!
!SO2/RO2T=0.0
!
!SO2/RO21=0.0
!
!SO2/RO25=0.0
!
!SO2/WC_O3=0.0
!
!SO2/WC_H2O2=0.0
!
!SO2/WC_NO=0.0
!
!SO2/WC_NO2=0.0
!
!SO2/WC_NO3=0.0
!
!SO2/WC_N2O5=0.0
!
!SO2/WC_HONO=0.0
!
!SO2/WC_HNO3=0.0
!
!SO2/WC_HNO4=0.0
!
!SO2/WC_NH3=0.0
!
!SO2/WC_OH=0.0
!
!SO2/WC_HO2=0.0
!
!SO2/WC_CO2=0.0
!
!SO2/WC_SO2=+KTC45
 PJAC(:,13,101)=+TPK%KTC45(:)
!
!SO2/WC_H2SO4=0.0
!
!SO2/WC_RO21=0.0
!
!SO2/WC_RO25=0.0
!
!SO2/WC_MEOH=0.0
!
!SO2/WC_ETOH=0.0
!
!SO2/WC_ALCH=0.0
!
!SO2/WC_HCHO=0.0
!
!SO2/WC_ALD2=0.0
!
!SO2/WC_GLY=0.0
!
!SO2/WC_MGLY=0.0
!
!SO2/WC_KETL=0.0
!
!SO2/WC_ORA1=0.0
!
!SO2/WC_ORA2=0.0
!
!SO2/WC_ACID=0.0
!
!SO2/WC_RP16=0.0
!
!SO2/WC_UR21=0.0
!
!SO2/WC_UR28=0.0
!
!SO2/WC_ACID2=0.0
!
!SO2/WC_ASO3=0.0
!
!SO2/WC_ASO4=0.0
!
!SO2/WC_ASO5=0.0
!
!SO2/WC_AHSO5=0.0
!
!SO2/WC_AHMS=0.0
!
!SO2/WR_O3=0.0
!
!SO2/WR_H2O2=0.0
!
!SO2/WR_NO=0.0
!
!SO2/WR_NO2=0.0
!
!SO2/WR_NO3=0.0
!
!SO2/WR_N2O5=0.0
!
!SO2/WR_HONO=0.0
!
!SO2/WR_HNO3=0.0
!
!SO2/WR_HNO4=0.0
!
!SO2/WR_NH3=0.0
!
!SO2/WR_OH=0.0
!
!SO2/WR_HO2=0.0
!
!SO2/WR_CO2=0.0
!
!SO2/WR_SO2=+KTR45
 PJAC(:,13,138)=+TPK%KTR45(:)
!
!SO2/WR_H2SO4=0.0
!
!SO2/WR_RO21=0.0
!
!SO2/WR_RO25=0.0
!
!SO2/WR_MEOH=0.0
!
!SO2/WR_ETOH=0.0
!
!SO2/WR_ALCH=0.0
!
!SO2/WR_HCHO=0.0
!
!SO2/WR_ALD2=0.0
!
!SO2/WR_GLY=0.0
!
!SO2/WR_MGLY=0.0
!
!SO2/WR_KETL=0.0
!
!SO2/WR_ORA1=0.0
!
!SO2/WR_ORA2=0.0
!
!SO2/WR_ACID=0.0
!
!SO2/WR_RP16=0.0
!
!SO2/WR_UR21=0.0
!
!SO2/WR_UR28=0.0
!
!SO2/WR_ACID2=0.0
!
!SO2/WR_ASO3=0.0
!
!SO2/WR_ASO4=0.0
!
!SO2/WR_ASO5=0.0
!
!SO2/WR_AHSO5=0.0
!
!SO2/WR_AHMS=0.0
!
!H2SO4/NO=0.0
!
!H2SO4/NO2=0.0
!
!H2SO4/O3=0.0
!
!H2SO4/HONO=0.0
!
!H2SO4/HNO3=0.0
!
!H2SO4/HNO4=0.0
!
!H2SO4/N2O5=0.0
!
!H2SO4/NO3=0.0
!
!H2SO4/NH3=0.0
!
!H2SO4/HO2=0.0
!
!H2SO4/CO=0.0
!
!H2SO4/H2O2=0.0
!
!H2SO4/SO2=+K035*<OH>
 PJAC(:,14,13)=+TPK%K035(:)*PCONC(:,15)
!
!H2SO4/H2SO4=-K346-KTC15-KTR15
 PJAC(:,14,14)=-TPK%K346(:)-TPK%KTC15(:)-TPK%KTR15(:)
!
!H2SO4/OH=+K035*<SO2>
 PJAC(:,14,15)=+TPK%K035(:)*PCONC(:,13)
!
!H2SO4/ETHE=0.0
!
!H2SO4/OLEL=0.0
!
!H2SO4/OLEH=0.0
!
!H2SO4/ALKL=0.0
!
!H2SO4/ALKM=0.0
!
!H2SO4/ALKH=0.0
!
!H2SO4/AROH=0.0
!
!H2SO4/AROL=0.0
!
!H2SO4/AROO=0.0
!
!H2SO4/ARAL=0.0
!
!H2SO4/ARAC=0.0
!
!H2SO4/PAH=0.0
!
!H2SO4/HCHO=0.0
!
!H2SO4/ALD2=0.0
!
!H2SO4/KETL=0.0
!
!H2SO4/KETH=0.0
!
!H2SO4/MEOH=0.0
!
!H2SO4/ETOH=0.0
!
!H2SO4/ALCH=0.0
!
!H2SO4/ISOP=0.0
!
!H2SO4/BIOL=0.0
!
!H2SO4/BIOH=0.0
!
!H2SO4/MTBE=0.0
!
!H2SO4/MVK=0.0
!
!H2SO4/MCR=0.0
!
!H2SO4/MGLY=0.0
!
!H2SO4/GLY=0.0
!
!H2SO4/ORA1=0.0
!
!H2SO4/ORA2=0.0
!
!H2SO4/ACID=0.0
!
!H2SO4/UR28=0.0
!
!H2SO4/UR21=0.0
!
!H2SO4/URG2=0.0
!
!H2SO4/UR26=0.0
!
!H2SO4/RPG2=0.0
!
!H2SO4/RP18=0.0
!
!H2SO4/RPG3=0.0
!
!H2SO4/URG4=0.0
!
!H2SO4/UR8=0.0
!
!H2SO4/UR17=0.0
!
!H2SO4/UR7=0.0
!
!H2SO4/RPR3=0.0
!
!H2SO4/URG6=0.0
!
!H2SO4/UR22=0.0
!
!H2SO4/URG7=0.0
!
!H2SO4/RPR4=0.0
!
!H2SO4/RPR7=0.0
!
!H2SO4/RPG7=0.0
!
!H2SO4/URG8=0.0
!
!H2SO4/UR19=0.0
!
!H2SO4/URG9=0.0
!
!H2SO4/AP7=0.0
!
!H2SO4/URG10=0.0
!
!H2SO4/RPR1=0.0
!
!H2SO4/RPR5=0.0
!
!H2SO4/RPR8=0.0
!
!H2SO4/RP10=0.0
!
!H2SO4/RP11=0.0
!
!H2SO4/RP16=0.0
!
!H2SO4/RPRL=0.0
!
!H2SO4/APAN=0.0
!
!H2SO4/PAN1=0.0
!
!H2SO4/PAN2=0.0
!
!H2SO4/PAN3=0.0
!
!H2SO4/PAN4=0.0
!
!H2SO4/PAN6=0.0
!
!H2SO4/PAN7=0.0
!
!H2SO4/PAN8=0.0
!
!H2SO4/PN10=0.0
!
!H2SO4/RO2T=0.0
!
!H2SO4/RO21=0.0
!
!H2SO4/RO25=0.0
!
!H2SO4/WC_O3=0.0
!
!H2SO4/WC_H2O2=0.0
!
!H2SO4/WC_NO=0.0
!
!H2SO4/WC_NO2=0.0
!
!H2SO4/WC_NO3=0.0
!
!H2SO4/WC_N2O5=0.0
!
!H2SO4/WC_HONO=0.0
!
!H2SO4/WC_HNO3=0.0
!
!H2SO4/WC_HNO4=0.0
!
!H2SO4/WC_NH3=0.0
!
!H2SO4/WC_OH=0.0
!
!H2SO4/WC_HO2=0.0
!
!H2SO4/WC_CO2=0.0
!
!H2SO4/WC_SO2=0.0
!
!H2SO4/WC_H2SO4=+KTC46
 PJAC(:,14,102)=+TPK%KTC46(:)
!
!H2SO4/WC_RO21=0.0
!
!H2SO4/WC_RO25=0.0
!
!H2SO4/WC_MEOH=0.0
!
!H2SO4/WC_ETOH=0.0
!
!H2SO4/WC_ALCH=0.0
!
!H2SO4/WC_HCHO=0.0
!
!H2SO4/WC_ALD2=0.0
!
!H2SO4/WC_GLY=0.0
!
!H2SO4/WC_MGLY=0.0
!
!H2SO4/WC_KETL=0.0
!
!H2SO4/WC_ORA1=0.0
!
!H2SO4/WC_ORA2=0.0
!
!H2SO4/WC_ACID=0.0
!
!H2SO4/WC_RP16=0.0
!
!H2SO4/WC_UR21=0.0
!
!H2SO4/WC_UR28=0.0
!
!H2SO4/WC_ACID2=0.0
!
!H2SO4/WC_ASO3=0.0
!
!H2SO4/WC_ASO4=0.0
!
!H2SO4/WC_ASO5=0.0
!
!H2SO4/WC_AHSO5=0.0
!
!H2SO4/WC_AHMS=0.0
!
!H2SO4/WR_O3=0.0
!
!H2SO4/WR_H2O2=0.0
!
!H2SO4/WR_NO=0.0
!
!H2SO4/WR_NO2=0.0
!
!H2SO4/WR_NO3=0.0
!
!H2SO4/WR_N2O5=0.0
!
!H2SO4/WR_HONO=0.0
!
!H2SO4/WR_HNO3=0.0
!
!H2SO4/WR_HNO4=0.0
!
!H2SO4/WR_NH3=0.0
!
!H2SO4/WR_OH=0.0
!
!H2SO4/WR_HO2=0.0
!
!H2SO4/WR_CO2=0.0
!
!H2SO4/WR_SO2=0.0
!
!H2SO4/WR_H2SO4=+KTR46
 PJAC(:,14,139)=+TPK%KTR46(:)
!
!H2SO4/WR_RO21=0.0
!
!H2SO4/WR_RO25=0.0
!
!H2SO4/WR_MEOH=0.0
!
!H2SO4/WR_ETOH=0.0
!
!H2SO4/WR_ALCH=0.0
!
!H2SO4/WR_HCHO=0.0
!
!H2SO4/WR_ALD2=0.0
!
!H2SO4/WR_GLY=0.0
!
!H2SO4/WR_MGLY=0.0
!
!H2SO4/WR_KETL=0.0
!
!H2SO4/WR_ORA1=0.0
!
!H2SO4/WR_ORA2=0.0
!
!H2SO4/WR_ACID=0.0
!
!H2SO4/WR_RP16=0.0
!
!H2SO4/WR_UR21=0.0
!
!H2SO4/WR_UR28=0.0
!
!H2SO4/WR_ACID2=0.0
!
!H2SO4/WR_ASO3=0.0
!
!H2SO4/WR_ASO4=0.0
!
!H2SO4/WR_ASO5=0.0
!
!H2SO4/WR_AHSO5=0.0
!
!H2SO4/WR_AHMS=0.0
!
!OH/NO=-K019*<OH>+K026*<HO2>+K340*<RO258>
 PJAC(:,15,1)=-TPK%K019(:)*PCONC(:,15)+TPK%K026(:)*PCONC(:,10)+TPK%K340(:)*TPK%&
&RO258(:)
!
!OH/NO2=-K022*<OH>
 PJAC(:,15,2)=-TPK%K022(:)*PCONC(:,15)
!
!OH/O3=-K025*<OH>+K030*<HO2>+0.06*K051*<ETHE>+0.36*K056*<OLEL>+0.664*K066*<ISOP
!>+0.36*K076*<OLEH>+0.89*K086*<BIOL>+0.89*K090*<BIOH>+0.36*K281*<MVK>+0.82*K282
!*<MCR>
 PJAC(:,15,3)=-TPK%K025(:)*PCONC(:,15)+TPK%K030(:)*PCONC(:,10)+0.06*TPK%K051(:)&
&*PCONC(:,16)+0.36*TPK%K056(:)*PCONC(:,17)+0.664*TPK%K066(:)*PCONC(:,35)+0.36*T&
&PK%K076(:)*PCONC(:,18)+0.89*TPK%K086(:)*PCONC(:,36)+0.89*TPK%K090(:)*PCONC(:,3&
&7)+0.36*TPK%K281(:)*PCONC(:,39)+0.82*TPK%K282(:)*PCONC(:,40)
!
!OH/HONO=+0.9*K020-K039*<OH>
 PJAC(:,15,4)=+0.9*TPK%K020(:)-TPK%K039(:)*PCONC(:,15)
!
!OH/HNO3=-K023*<OH>
 PJAC(:,15,5)=-TPK%K023(:)*PCONC(:,15)
!
!OH/HNO4=-K029*<OH>
 PJAC(:,15,6)=-TPK%K029(:)*PCONC(:,15)
!
!OH/N2O5=0.0
!
!OH/NO3=+0.8*K033*<HO2>-K040*<OH>
 PJAC(:,15,8)=+0.8*TPK%K033(:)*PCONC(:,10)-TPK%K040(:)*PCONC(:,15)
!
!OH/NH3=-K345*<OH>
 PJAC(:,15,9)=-TPK%K345(:)*PCONC(:,15)
!
!OH/HO2=+K026*<NO>+K030*<O3>+0.8*K033*<NO3>-K042*<OH>+K112*<RO21>+K115*<RO22>+K
!118*<RO23>+K121*<RO24>+K124*<RO25>+K146*<RO27>+K152*<RO29>+K155*<RO210>+K158*<
!RO211>+K161*<RO212>+K164*<RO213>+K170*<RO214>+K173*<RO215>+K176*<RO216>+K179*<
!RO217>+K182*<RO218>+K185*<RO219>+K188*<RO220>+K191*<RO221>+K194*<RO222>+K197*<
!RO223>+K200*<RO224>+K203*<RO225>+K206*<RO226>+K209*<RO227>+K212*<RO228>+K215*<
!RO229>+K218*<RO240>+K220*<RO230>+K223*<RO231>+K226*<RO232>+K229*<RO241>+K233*<
!RO233>+K236*<RO242>+K240*<RO234>+K243*<RO243>+K247*<RO235>+K250*<RO244>+K254*<
!RO236>+K257*<RO245>+K261*<RO237>+K264*<RO246>+K268*<RO238>+K271*<RO247>+K287*<
!RO249>
 PJAC(:,15,10)=+TPK%K026(:)*PCONC(:,1)+TPK%K030(:)*PCONC(:,3)+0.8*TPK%K033(:)*P&
&CONC(:,8)-TPK%K042(:)*PCONC(:,15)+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK%RO22&
&(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K124(:)*PCONC(:,87)+TP&
&K%K146(:)*TPK%RO27(:)+TPK%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210(:)+TPK%K15&
&8(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)+TPK%K170(:&
&)*TPK%RO214(:)+TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K179(:)*T&
&PK%RO217(:)+TPK%K182(:)*TPK%RO218(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K188(:)*TPK%&
&RO220(:)+TPK%K191(:)*TPK%RO221(:)+TPK%K194(:)*TPK%RO222(:)+TPK%K197(:)*TPK%RO2&
&23(:)+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)+TPK%K206(:)*TPK%RO226(&
&:)+TPK%K209(:)*TPK%RO227(:)+TPK%K212(:)*TPK%RO228(:)+TPK%K215(:)*TPK%RO229(:)+&
&TPK%K218(:)*TPK%RO240(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K223(:)*TPK%RO231(:)+TPK&
&%K226(:)*TPK%RO232(:)+TPK%K229(:)*TPK%RO241(:)+TPK%K233(:)*TPK%RO233(:)+TPK%K2&
&36(:)*TPK%RO242(:)+TPK%K240(:)*TPK%RO234(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K247(&
&:)*TPK%RO235(:)+TPK%K250(:)*TPK%RO244(:)+TPK%K254(:)*TPK%RO236(:)+TPK%K257(:)*&
&TPK%RO245(:)+TPK%K261(:)*TPK%RO237(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K268(:)*TPK&
&%RO238(:)+TPK%K271(:)*TPK%RO247(:)+TPK%K287(:)*TPK%RO249(:)
!
!OH/CO=-K024*<OH>
 PJAC(:,15,11)=-TPK%K024(:)*PCONC(:,15)
!
!OH/H2O2=+2.*K036-K037*<OH>
 PJAC(:,15,12)=+2.*TPK%K036(:)-TPK%K037(:)*PCONC(:,15)
!
!OH/SO2=-K035*<OH>
 PJAC(:,15,13)=-TPK%K035(:)*PCONC(:,15)
!
!OH/H2SO4=0.0
!
!OH/OH=-K019*<NO>-K022*<NO2>-K023*<HNO3>-K024*<CO>-K025*<O3>-K029*<HNO4>-K035*<
!SO2>-K037*<H2O2>-K039*<HONO>-K040*<NO3>-K042*<HO2>-K043*<CH4>-K046*<HCHO>-K048
!*<MEOH>-K049*<ETHE>-K053*<ETOH>-K054*<OLEL>-K058*<ALKL>-K060*<ALD2>-K062*<KETL
!>-K064*<ISOP>-K068*<MTBE>-K069*<ALCH>-K070*<KETH>-K073*<AROO>-K074*<OLEH>-K078
!*<ALKM>-K079*<AROL>-K080*<AROH>-K082*<ARAL>-K083*<ARAC>-K084*<BIOL>-K088*<BIOH
!>-K092*<PAH>-K093*<ALKH>-K272*<MVK>-K273*<MCR>-K274*<MGLY>-K303*<RPR5>-K304*<R
!PR1>-K305*<RP16>-K306*<RPRL>-K312*<RPR3>-K322*<RPR7>-K323*<RPG7>-K324*<RPR8>-K
!325*<RP10>-K326*<RP11>-K334*<RPG3>-K335*<RPG2>-K337*<RP18>-K345*<NH3>-K347*<OR
!A1>-K348*<ORA2>-K349*<ACID>-KTC11-KTR11
 PJAC(:,15,15)=-TPK%K019(:)*PCONC(:,1)-TPK%K022(:)*PCONC(:,2)-TPK%K023(:)*PCONC&
&(:,5)-TPK%K024(:)*PCONC(:,11)-TPK%K025(:)*PCONC(:,3)-TPK%K029(:)*PCONC(:,6)-TP&
&K%K035(:)*PCONC(:,13)-TPK%K037(:)*PCONC(:,12)-TPK%K039(:)*PCONC(:,4)-TPK%K040(&
&:)*PCONC(:,8)-TPK%K042(:)*PCONC(:,10)-TPK%K043(:)*TPK%CH4(:)-TPK%K046(:)*PCONC&
&(:,28)-TPK%K048(:)*PCONC(:,32)-TPK%K049(:)*PCONC(:,16)-TPK%K053(:)*PCONC(:,33)&
&-TPK%K054(:)*PCONC(:,17)-TPK%K058(:)*PCONC(:,19)-TPK%K060(:)*PCONC(:,29)-TPK%K&
&062(:)*PCONC(:,30)-TPK%K064(:)*PCONC(:,35)-TPK%K068(:)*PCONC(:,38)-TPK%K069(:)&
&*PCONC(:,34)-TPK%K070(:)*PCONC(:,31)-TPK%K073(:)*PCONC(:,24)-TPK%K074(:)*PCONC&
&(:,18)-TPK%K078(:)*PCONC(:,20)-TPK%K079(:)*PCONC(:,23)-TPK%K080(:)*PCONC(:,22)&
&-TPK%K082(:)*PCONC(:,25)-TPK%K083(:)*PCONC(:,26)-TPK%K084(:)*PCONC(:,36)-TPK%K&
&088(:)*PCONC(:,37)-TPK%K092(:)*PCONC(:,27)-TPK%K093(:)*PCONC(:,21)-TPK%K272(:)&
&*PCONC(:,39)-TPK%K273(:)*PCONC(:,40)-TPK%K274(:)*PCONC(:,41)-TPK%K303(:)*PCONC&
&(:,70)-TPK%K304(:)*PCONC(:,69)-TPK%K305(:)*PCONC(:,74)-TPK%K306(:)*PCONC(:,75)&
&-TPK%K312(:)*PCONC(:,57)-TPK%K322(:)*PCONC(:,62)-TPK%K323(:)*PCONC(:,63)-TPK%K&
&324(:)*PCONC(:,71)-TPK%K325(:)*PCONC(:,72)-TPK%K326(:)*PCONC(:,73)-TPK%K334(:)&
&*PCONC(:,52)-TPK%K335(:)*PCONC(:,50)-TPK%K337(:)*PCONC(:,51)-TPK%K345(:)*PCONC&
&(:,9)-TPK%K347(:)*PCONC(:,43)-TPK%K348(:)*PCONC(:,44)-TPK%K349(:)*PCONC(:,45)-&
&TPK%KTC11(:)-TPK%KTR11(:)
!
!OH/ETHE=-K049*<OH>+0.06*K051*<O3>
 PJAC(:,15,16)=-TPK%K049(:)*PCONC(:,15)+0.06*TPK%K051(:)*PCONC(:,3)
!
!OH/OLEL=-K054*<OH>+0.36*K056*<O3>
 PJAC(:,15,17)=-TPK%K054(:)*PCONC(:,15)+0.36*TPK%K056(:)*PCONC(:,3)
!
!OH/OLEH=-K074*<OH>+0.36*K076*<O3>
 PJAC(:,15,18)=-TPK%K074(:)*PCONC(:,15)+0.36*TPK%K076(:)*PCONC(:,3)
!
!OH/ALKL=-K058*<OH>
 PJAC(:,15,19)=-TPK%K058(:)*PCONC(:,15)
!
!OH/ALKM=-K078*<OH>
 PJAC(:,15,20)=-TPK%K078(:)*PCONC(:,15)
!
!OH/ALKH=-K093*<OH>
 PJAC(:,15,21)=-TPK%K093(:)*PCONC(:,15)
!
!OH/AROH=-K080*<OH>
 PJAC(:,15,22)=-TPK%K080(:)*PCONC(:,15)
!
!OH/AROL=-K079*<OH>
 PJAC(:,15,23)=-TPK%K079(:)*PCONC(:,15)
!
!OH/AROO=-K073*<OH>
 PJAC(:,15,24)=-TPK%K073(:)*PCONC(:,15)
!
!OH/ARAL=-K082*<OH>
 PJAC(:,15,25)=-TPK%K082(:)*PCONC(:,15)
!
!OH/ARAC=-K083*<OH>
 PJAC(:,15,26)=-TPK%K083(:)*PCONC(:,15)
!
!OH/PAH=-K092*<OH>
 PJAC(:,15,27)=-TPK%K092(:)*PCONC(:,15)
!
!OH/HCHO=-K046*<OH>
 PJAC(:,15,28)=-TPK%K046(:)*PCONC(:,15)
!
!OH/ALD2=-K060*<OH>
 PJAC(:,15,29)=-TPK%K060(:)*PCONC(:,15)
!
!OH/KETL=-K062*<OH>
 PJAC(:,15,30)=-TPK%K062(:)*PCONC(:,15)
!
!OH/KETH=-K070*<OH>
 PJAC(:,15,31)=-TPK%K070(:)*PCONC(:,15)
!
!OH/MEOH=-K048*<OH>
 PJAC(:,15,32)=-TPK%K048(:)*PCONC(:,15)
!
!OH/ETOH=-K053*<OH>
 PJAC(:,15,33)=-TPK%K053(:)*PCONC(:,15)
!
!OH/ALCH=-K069*<OH>
 PJAC(:,15,34)=-TPK%K069(:)*PCONC(:,15)
!
!OH/ISOP=-K064*<OH>+0.664*K066*<O3>
 PJAC(:,15,35)=-TPK%K064(:)*PCONC(:,15)+0.664*TPK%K066(:)*PCONC(:,3)
!
!OH/BIOL=-K084*<OH>+0.89*K086*<O3>
 PJAC(:,15,36)=-TPK%K084(:)*PCONC(:,15)+0.89*TPK%K086(:)*PCONC(:,3)
!
!OH/BIOH=-K088*<OH>+0.89*K090*<O3>
 PJAC(:,15,37)=-TPK%K088(:)*PCONC(:,15)+0.89*TPK%K090(:)*PCONC(:,3)
!
!OH/MTBE=-K068*<OH>
 PJAC(:,15,38)=-TPK%K068(:)*PCONC(:,15)
!
!OH/MVK=-K272*<OH>+0.36*K281*<O3>
 PJAC(:,15,39)=-TPK%K272(:)*PCONC(:,15)+0.36*TPK%K281(:)*PCONC(:,3)
!
!OH/MCR=-K273*<OH>+0.82*K282*<O3>
 PJAC(:,15,40)=-TPK%K273(:)*PCONC(:,15)+0.82*TPK%K282(:)*PCONC(:,3)
!
!OH/MGLY=-K274*<OH>
 PJAC(:,15,41)=-TPK%K274(:)*PCONC(:,15)
!
!OH/GLY=0.0
!
!OH/ORA1=-K347*<OH>
 PJAC(:,15,43)=-TPK%K347(:)*PCONC(:,15)
!
!OH/ORA2=-K348*<OH>
 PJAC(:,15,44)=-TPK%K348(:)*PCONC(:,15)
!
!OH/ACID=-K349*<OH>
 PJAC(:,15,45)=-TPK%K349(:)*PCONC(:,15)
!
!OH/UR28=0.0
!
!OH/UR21=0.0
!
!OH/URG2=0.0
!
!OH/UR26=0.0
!
!OH/RPG2=-K335*<OH>
 PJAC(:,15,50)=-TPK%K335(:)*PCONC(:,15)
!
!OH/RP18=-K337*<OH>
 PJAC(:,15,51)=-TPK%K337(:)*PCONC(:,15)
!
!OH/RPG3=-K334*<OH>
 PJAC(:,15,52)=-TPK%K334(:)*PCONC(:,15)
!
!OH/URG4=0.0
!
!OH/UR8=0.0
!
!OH/UR17=0.0
!
!OH/UR7=0.0
!
!OH/RPR3=-K312*<OH>
 PJAC(:,15,57)=-TPK%K312(:)*PCONC(:,15)
!
!OH/URG6=0.0
!
!OH/UR22=0.0
!
!OH/URG7=0.0
!
!OH/RPR4=0.0
!
!OH/RPR7=-K322*<OH>
 PJAC(:,15,62)=-TPK%K322(:)*PCONC(:,15)
!
!OH/RPG7=-K323*<OH>
 PJAC(:,15,63)=-TPK%K323(:)*PCONC(:,15)
!
!OH/URG8=0.0
!
!OH/UR19=0.0
!
!OH/URG9=0.0
!
!OH/AP7=0.0
!
!OH/URG10=0.0
!
!OH/RPR1=-K304*<OH>
 PJAC(:,15,69)=-TPK%K304(:)*PCONC(:,15)
!
!OH/RPR5=-K303*<OH>
 PJAC(:,15,70)=-TPK%K303(:)*PCONC(:,15)
!
!OH/RPR8=-K324*<OH>
 PJAC(:,15,71)=-TPK%K324(:)*PCONC(:,15)
!
!OH/RP10=-K325*<OH>
 PJAC(:,15,72)=-TPK%K325(:)*PCONC(:,15)
!
!OH/RP11=-K326*<OH>
 PJAC(:,15,73)=-TPK%K326(:)*PCONC(:,15)
!
!OH/RP16=-K305*<OH>+K339
 PJAC(:,15,74)=-TPK%K305(:)*PCONC(:,15)+TPK%K339(:)
!
!OH/RPRL=-K306*<OH>
 PJAC(:,15,75)=-TPK%K306(:)*PCONC(:,15)
!
!OH/APAN=0.0
!
!OH/PAN1=0.0
!
!OH/PAN2=0.0
!
!OH/PAN3=0.0
!
!OH/PAN4=0.0
!
!OH/PAN6=0.0
!
!OH/PAN7=0.0
!
!OH/PAN8=0.0
!
!OH/PN10=0.0
!
!OH/RO2T=+K293*<RO251>+K296*<RO252>+K299*<RO253>+K342*<RO258>
 PJAC(:,15,85)=+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*T&
&PK%RO253(:)+TPK%K342(:)*TPK%RO258(:)
!
!OH/RO21=+K112*<HO2>
 PJAC(:,15,86)=+TPK%K112(:)*PCONC(:,10)
!
!OH/RO25=+K124*<HO2>
 PJAC(:,15,87)=+TPK%K124(:)*PCONC(:,10)
!
!OH/WC_O3=0.0
!
!OH/WC_H2O2=0.0
!
!OH/WC_NO=0.0
!
!OH/WC_NO2=0.0
!
!OH/WC_NO3=0.0
!
!OH/WC_N2O5=0.0
!
!OH/WC_HONO=0.0
!
!OH/WC_HNO3=0.0
!
!OH/WC_HNO4=0.0
!
!OH/WC_NH3=0.0
!
!OH/WC_OH=+KTC42
 PJAC(:,15,98)=+TPK%KTC42(:)
!
!OH/WC_HO2=0.0
!
!OH/WC_CO2=0.0
!
!OH/WC_SO2=0.0
!
!OH/WC_H2SO4=0.0
!
!OH/WC_RO21=0.0
!
!OH/WC_RO25=0.0
!
!OH/WC_MEOH=0.0
!
!OH/WC_ETOH=0.0
!
!OH/WC_ALCH=0.0
!
!OH/WC_HCHO=0.0
!
!OH/WC_ALD2=0.0
!
!OH/WC_GLY=0.0
!
!OH/WC_MGLY=0.0
!
!OH/WC_KETL=0.0
!
!OH/WC_ORA1=0.0
!
!OH/WC_ORA2=0.0
!
!OH/WC_ACID=0.0
!
!OH/WC_RP16=0.0
!
!OH/WC_UR21=0.0
!
!OH/WC_UR28=0.0
!
!OH/WC_ACID2=0.0
!
!OH/WC_ASO3=0.0
!
!OH/WC_ASO4=0.0
!
!OH/WC_ASO5=0.0
!
!OH/WC_AHSO5=0.0
!
!OH/WC_AHMS=0.0
!
!OH/WR_O3=0.0
!
!OH/WR_H2O2=0.0
!
!OH/WR_NO=0.0
!
!OH/WR_NO2=0.0
!
!OH/WR_NO3=0.0
!
!OH/WR_N2O5=0.0
!
!OH/WR_HONO=0.0
!
!OH/WR_HNO3=0.0
!
!OH/WR_HNO4=0.0
!
!OH/WR_NH3=0.0
!
!OH/WR_OH=+KTR42
 PJAC(:,15,135)=+TPK%KTR42(:)
!
!OH/WR_HO2=0.0
!
!OH/WR_CO2=0.0
!
!OH/WR_SO2=0.0
!
!OH/WR_H2SO4=0.0
!
!OH/WR_RO21=0.0
!
!OH/WR_RO25=0.0
!
!OH/WR_MEOH=0.0
!
!OH/WR_ETOH=0.0
!
!OH/WR_ALCH=0.0
!
!OH/WR_HCHO=0.0
!
!OH/WR_ALD2=0.0
!
!OH/WR_GLY=0.0
!
!OH/WR_MGLY=0.0
!
!OH/WR_KETL=0.0
!
!OH/WR_ORA1=0.0
!
!OH/WR_ORA2=0.0
!
!OH/WR_ACID=0.0
!
!OH/WR_RP16=0.0
!
!OH/WR_UR21=0.0
!
!OH/WR_UR28=0.0
!
!OH/WR_ACID2=0.0
!
!OH/WR_ASO3=0.0
!
!OH/WR_ASO4=0.0
!
!OH/WR_ASO5=0.0
!
!OH/WR_AHSO5=0.0
!
!OH/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ2
!
SUBROUTINE SUBJ3
!
!Indices 16 a 20
!
!
!ETHE/NO=0.0
!
!ETHE/NO2=0.0
!
!ETHE/O3=-K051*<ETHE>
 PJAC(:,16,3)=-TPK%K051(:)*PCONC(:,16)
!
!ETHE/HONO=0.0
!
!ETHE/HNO3=0.0
!
!ETHE/HNO4=0.0
!
!ETHE/N2O5=0.0
!
!ETHE/NO3=-K050*<ETHE>
 PJAC(:,16,8)=-TPK%K050(:)*PCONC(:,16)
!
!ETHE/NH3=0.0
!
!ETHE/HO2=0.0
!
!ETHE/CO=0.0
!
!ETHE/H2O2=0.0
!
!ETHE/SO2=0.0
!
!ETHE/H2SO4=0.0
!
!ETHE/OH=-K049*<ETHE>
 PJAC(:,16,15)=-TPK%K049(:)*PCONC(:,16)
!
!ETHE/ETHE=-K049*<OH>-K050*<NO3>-K051*<O3>-K052*<O>
 PJAC(:,16,16)=-TPK%K049(:)*PCONC(:,15)-TPK%K050(:)*PCONC(:,8)-TPK%K051(:)*PCON&
&C(:,3)-TPK%K052(:)*TPK%O(:)
!
!ETHE/OLEL=0.0
!
!ETHE/OLEH=0.0
!
!ETHE/ALKL=0.0
!
!ETHE/ALKM=0.0
!
!ETHE/ALKH=0.0
!
!ETHE/AROH=0.0
!
!ETHE/AROL=0.0
!
!ETHE/AROO=0.0
!
!ETHE/ARAL=0.0
!
!ETHE/ARAC=0.0
!
!ETHE/PAH=0.0
!
!ETHE/HCHO=0.0
!
!ETHE/ALD2=0.0
!
!ETHE/KETL=0.0
!
!ETHE/KETH=0.0
!
!ETHE/MEOH=0.0
!
!ETHE/ETOH=0.0
!
!ETHE/ALCH=0.0
!
!ETHE/ISOP=0.0
!
!ETHE/BIOL=0.0
!
!ETHE/BIOH=0.0
!
!ETHE/MTBE=0.0
!
!ETHE/MVK=0.0
!
!ETHE/MCR=0.0
!
!ETHE/MGLY=0.0
!
!ETHE/GLY=0.0
!
!ETHE/ORA1=0.0
!
!ETHE/ORA2=0.0
!
!ETHE/ACID=0.0
!
!ETHE/UR28=0.0
!
!ETHE/UR21=0.0
!
!ETHE/URG2=0.0
!
!ETHE/UR26=0.0
!
!ETHE/RPG2=0.0
!
!ETHE/RP18=0.0
!
!ETHE/RPG3=0.0
!
!ETHE/URG4=0.0
!
!ETHE/UR8=0.0
!
!ETHE/UR17=0.0
!
!ETHE/UR7=0.0
!
!ETHE/RPR3=0.0
!
!ETHE/URG6=0.0
!
!ETHE/UR22=0.0
!
!ETHE/URG7=0.0
!
!ETHE/RPR4=0.0
!
!ETHE/RPR7=0.0
!
!ETHE/RPG7=0.0
!
!ETHE/URG8=0.0
!
!ETHE/UR19=0.0
!
!ETHE/URG9=0.0
!
!ETHE/AP7=0.0
!
!ETHE/URG10=0.0
!
!ETHE/RPR1=0.0
!
!ETHE/RPR5=0.0
!
!ETHE/RPR8=0.0
!
!ETHE/RP10=0.0
!
!ETHE/RP11=0.0
!
!ETHE/RP16=0.0
!
!ETHE/RPRL=0.0
!
!ETHE/APAN=0.0
!
!ETHE/PAN1=0.0
!
!ETHE/PAN2=0.0
!
!ETHE/PAN3=0.0
!
!ETHE/PAN4=0.0
!
!ETHE/PAN6=0.0
!
!ETHE/PAN7=0.0
!
!ETHE/PAN8=0.0
!
!ETHE/PN10=0.0
!
!ETHE/RO2T=0.0
!
!ETHE/RO21=0.0
!
!ETHE/RO25=0.0
!
!ETHE/WC_O3=0.0
!
!ETHE/WC_H2O2=0.0
!
!ETHE/WC_NO=0.0
!
!ETHE/WC_NO2=0.0
!
!ETHE/WC_NO3=0.0
!
!ETHE/WC_N2O5=0.0
!
!ETHE/WC_HONO=0.0
!
!ETHE/WC_HNO3=0.0
!
!ETHE/WC_HNO4=0.0
!
!ETHE/WC_NH3=0.0
!
!ETHE/WC_OH=0.0
!
!ETHE/WC_HO2=0.0
!
!ETHE/WC_CO2=0.0
!
!ETHE/WC_SO2=0.0
!
!ETHE/WC_H2SO4=0.0
!
!ETHE/WC_RO21=0.0
!
!ETHE/WC_RO25=0.0
!
!ETHE/WC_MEOH=0.0
!
!ETHE/WC_ETOH=0.0
!
!ETHE/WC_ALCH=0.0
!
!ETHE/WC_HCHO=0.0
!
!ETHE/WC_ALD2=0.0
!
!ETHE/WC_GLY=0.0
!
!ETHE/WC_MGLY=0.0
!
!ETHE/WC_KETL=0.0
!
!ETHE/WC_ORA1=0.0
!
!ETHE/WC_ORA2=0.0
!
!ETHE/WC_ACID=0.0
!
!ETHE/WC_RP16=0.0
!
!ETHE/WC_UR21=0.0
!
!ETHE/WC_UR28=0.0
!
!ETHE/WC_ACID2=0.0
!
!ETHE/WC_ASO3=0.0
!
!ETHE/WC_ASO4=0.0
!
!ETHE/WC_ASO5=0.0
!
!ETHE/WC_AHSO5=0.0
!
!ETHE/WC_AHMS=0.0
!
!ETHE/WR_O3=0.0
!
!ETHE/WR_H2O2=0.0
!
!ETHE/WR_NO=0.0
!
!ETHE/WR_NO2=0.0
!
!ETHE/WR_NO3=0.0
!
!ETHE/WR_N2O5=0.0
!
!ETHE/WR_HONO=0.0
!
!ETHE/WR_HNO3=0.0
!
!ETHE/WR_HNO4=0.0
!
!ETHE/WR_NH3=0.0
!
!ETHE/WR_OH=0.0
!
!ETHE/WR_HO2=0.0
!
!ETHE/WR_CO2=0.0
!
!ETHE/WR_SO2=0.0
!
!ETHE/WR_H2SO4=0.0
!
!ETHE/WR_RO21=0.0
!
!ETHE/WR_RO25=0.0
!
!ETHE/WR_MEOH=0.0
!
!ETHE/WR_ETOH=0.0
!
!ETHE/WR_ALCH=0.0
!
!ETHE/WR_HCHO=0.0
!
!ETHE/WR_ALD2=0.0
!
!ETHE/WR_GLY=0.0
!
!ETHE/WR_MGLY=0.0
!
!ETHE/WR_KETL=0.0
!
!ETHE/WR_ORA1=0.0
!
!ETHE/WR_ORA2=0.0
!
!ETHE/WR_ACID=0.0
!
!ETHE/WR_RP16=0.0
!
!ETHE/WR_UR21=0.0
!
!ETHE/WR_UR28=0.0
!
!ETHE/WR_ACID2=0.0
!
!ETHE/WR_ASO3=0.0
!
!ETHE/WR_ASO4=0.0
!
!ETHE/WR_ASO5=0.0
!
!ETHE/WR_AHSO5=0.0
!
!ETHE/WR_AHMS=0.0
!
!OLEL/NO=+TPK%CF5*K150*<RO29>+TPK%CF7*K168*<RO214>
 PJAC(:,17,1)=+TPK%CF5*TPK%K150(:)*TPK%RO29(:)+TPK%CF7*TPK%K168(:)*TPK%RO214(:)
!
!OLEL/NO2=0.0
!
!OLEL/O3=-K056*<OLEL>+0.054*K066*<ISOP>
 PJAC(:,17,3)=-TPK%K056(:)*PCONC(:,17)+0.054*TPK%K066(:)*PCONC(:,35)
!
!OLEL/HONO=0.0
!
!OLEL/HNO3=0.0
!
!OLEL/HNO4=0.0
!
!OLEL/N2O5=0.0
!
!OLEL/NO3=-K055*<OLEL>
 PJAC(:,17,8)=-TPK%K055(:)*PCONC(:,17)
!
!OLEL/NH3=0.0
!
!OLEL/HO2=+0.5*K166*<RO239>+0.5*K289*<RO250>
 PJAC(:,17,10)=+0.5*TPK%K166(:)*TPK%RO239(:)+0.5*TPK%K289(:)*TPK%RO250(:)
!
!OLEL/CO=0.0
!
!OLEL/H2O2=0.0
!
!OLEL/SO2=0.0
!
!OLEL/H2SO4=0.0
!
!OLEL/OH=-K054*<OLEL>
 PJAC(:,17,15)=-TPK%K054(:)*PCONC(:,17)
!
!OLEL/ETHE=0.0
!
!OLEL/OLEL=-K054*<OH>-K055*<NO3>-K056*<O3>-K057*<O>
 PJAC(:,17,17)=-TPK%K054(:)*PCONC(:,15)-TPK%K055(:)*PCONC(:,8)-TPK%K056(:)*PCON&
&C(:,3)-TPK%K057(:)*TPK%O(:)
!
!OLEL/OLEH=0.0
!
!OLEL/ALKL=0.0
!
!OLEL/ALKM=0.0
!
!OLEL/ALKH=0.0
!
!OLEL/AROH=0.0
!
!OLEL/AROL=0.0
!
!OLEL/AROO=0.0
!
!OLEL/ARAL=0.0
!
!OLEL/ARAC=0.0
!
!OLEL/PAH=0.0
!
!OLEL/HCHO=0.0
!
!OLEL/ALD2=0.0
!
!OLEL/KETL=0.0
!
!OLEL/KETH=0.0
!
!OLEL/MEOH=0.0
!
!OLEL/ETOH=0.0
!
!OLEL/ALCH=0.0
!
!OLEL/ISOP=+0.054*K066*<O3>+0.925*K067*<O>
 PJAC(:,17,35)=+0.054*TPK%K066(:)*PCONC(:,3)+0.925*TPK%K067(:)*TPK%O(:)
!
!OLEL/BIOL=0.0
!
!OLEL/BIOH=0.0
!
!OLEL/MTBE=0.0
!
!OLEL/MVK=0.0
!
!OLEL/MCR=0.0
!
!OLEL/MGLY=0.0
!
!OLEL/GLY=0.0
!
!OLEL/ORA1=0.0
!
!OLEL/ORA2=0.0
!
!OLEL/ACID=0.0
!
!OLEL/UR28=0.0
!
!OLEL/UR21=0.0
!
!OLEL/URG2=0.0
!
!OLEL/UR26=0.0
!
!OLEL/RPG2=0.0
!
!OLEL/RP18=0.0
!
!OLEL/RPG3=0.0
!
!OLEL/URG4=0.0
!
!OLEL/UR8=0.0
!
!OLEL/UR17=0.0
!
!OLEL/UR7=0.0
!
!OLEL/RPR3=0.0
!
!OLEL/URG6=0.0
!
!OLEL/UR22=0.0
!
!OLEL/URG7=0.0
!
!OLEL/RPR4=0.0
!
!OLEL/RPR7=0.0
!
!OLEL/RPG7=0.0
!
!OLEL/URG8=0.0
!
!OLEL/UR19=0.0
!
!OLEL/URG9=0.0
!
!OLEL/AP7=0.0
!
!OLEL/URG10=0.0
!
!OLEL/RPR1=0.0
!
!OLEL/RPR5=0.0
!
!OLEL/RPR8=0.0
!
!OLEL/RP10=0.0
!
!OLEL/RP11=0.0
!
!OLEL/RP16=0.0
!
!OLEL/RPRL=0.0
!
!OLEL/APAN=0.0
!
!OLEL/PAN1=0.0
!
!OLEL/PAN2=0.0
!
!OLEL/PAN3=0.0
!
!OLEL/PAN4=0.0
!
!OLEL/PAN6=0.0
!
!OLEL/PAN7=0.0
!
!OLEL/PAN8=0.0
!
!OLEL/PN10=0.0
!
!OLEL/RO2T=0.0
!
!OLEL/RO21=0.0
!
!OLEL/RO25=0.0
!
!OLEL/WC_O3=0.0
!
!OLEL/WC_H2O2=0.0
!
!OLEL/WC_NO=0.0
!
!OLEL/WC_NO2=0.0
!
!OLEL/WC_NO3=0.0
!
!OLEL/WC_N2O5=0.0
!
!OLEL/WC_HONO=0.0
!
!OLEL/WC_HNO3=0.0
!
!OLEL/WC_HNO4=0.0
!
!OLEL/WC_NH3=0.0
!
!OLEL/WC_OH=0.0
!
!OLEL/WC_HO2=0.0
!
!OLEL/WC_CO2=0.0
!
!OLEL/WC_SO2=0.0
!
!OLEL/WC_H2SO4=0.0
!
!OLEL/WC_RO21=0.0
!
!OLEL/WC_RO25=0.0
!
!OLEL/WC_MEOH=0.0
!
!OLEL/WC_ETOH=0.0
!
!OLEL/WC_ALCH=0.0
!
!OLEL/WC_HCHO=0.0
!
!OLEL/WC_ALD2=0.0
!
!OLEL/WC_GLY=0.0
!
!OLEL/WC_MGLY=0.0
!
!OLEL/WC_KETL=0.0
!
!OLEL/WC_ORA1=0.0
!
!OLEL/WC_ORA2=0.0
!
!OLEL/WC_ACID=0.0
!
!OLEL/WC_RP16=0.0
!
!OLEL/WC_UR21=0.0
!
!OLEL/WC_UR28=0.0
!
!OLEL/WC_ACID2=0.0
!
!OLEL/WC_ASO3=0.0
!
!OLEL/WC_ASO4=0.0
!
!OLEL/WC_ASO5=0.0
!
!OLEL/WC_AHSO5=0.0
!
!OLEL/WC_AHMS=0.0
!
!OLEL/WR_O3=0.0
!
!OLEL/WR_H2O2=0.0
!
!OLEL/WR_NO=0.0
!
!OLEL/WR_NO2=0.0
!
!OLEL/WR_NO3=0.0
!
!OLEL/WR_N2O5=0.0
!
!OLEL/WR_HONO=0.0
!
!OLEL/WR_HNO3=0.0
!
!OLEL/WR_HNO4=0.0
!
!OLEL/WR_NH3=0.0
!
!OLEL/WR_OH=0.0
!
!OLEL/WR_HO2=0.0
!
!OLEL/WR_CO2=0.0
!
!OLEL/WR_SO2=0.0
!
!OLEL/WR_H2SO4=0.0
!
!OLEL/WR_RO21=0.0
!
!OLEL/WR_RO25=0.0
!
!OLEL/WR_MEOH=0.0
!
!OLEL/WR_ETOH=0.0
!
!OLEL/WR_ALCH=0.0
!
!OLEL/WR_HCHO=0.0
!
!OLEL/WR_ALD2=0.0
!
!OLEL/WR_GLY=0.0
!
!OLEL/WR_MGLY=0.0
!
!OLEL/WR_KETL=0.0
!
!OLEL/WR_ORA1=0.0
!
!OLEL/WR_ORA2=0.0
!
!OLEL/WR_ACID=0.0
!
!OLEL/WR_RP16=0.0
!
!OLEL/WR_UR21=0.0
!
!OLEL/WR_UR28=0.0
!
!OLEL/WR_ACID2=0.0
!
!OLEL/WR_ASO3=0.0
!
!OLEL/WR_ASO4=0.0
!
!OLEL/WR_ASO5=0.0
!
!OLEL/WR_AHSO5=0.0
!
!OLEL/WR_AHMS=0.0
!
!OLEH/NO=0.0
!
!OLEH/NO2=0.0
!
!OLEH/O3=-K076*<OLEH>
 PJAC(:,18,3)=-TPK%K076(:)*PCONC(:,18)
!
!OLEH/HONO=0.0
!
!OLEH/HNO3=0.0
!
!OLEH/HNO4=0.0
!
!OLEH/N2O5=0.0
!
!OLEH/NO3=-K075*<OLEH>
 PJAC(:,18,8)=-TPK%K075(:)*PCONC(:,18)
!
!OLEH/NH3=0.0
!
!OLEH/HO2=0.0
!
!OLEH/CO=0.0
!
!OLEH/H2O2=0.0
!
!OLEH/SO2=0.0
!
!OLEH/H2SO4=0.0
!
!OLEH/OH=-K074*<OLEH>
 PJAC(:,18,15)=-TPK%K074(:)*PCONC(:,18)
!
!OLEH/ETHE=0.0
!
!OLEH/OLEL=0.0
!
!OLEH/OLEH=-K074*<OH>-K075*<NO3>-K076*<O3>-K077*<O>
 PJAC(:,18,18)=-TPK%K074(:)*PCONC(:,15)-TPK%K075(:)*PCONC(:,8)-TPK%K076(:)*PCON&
&C(:,3)-TPK%K077(:)*TPK%O(:)
!
!OLEH/ALKL=0.0
!
!OLEH/ALKM=0.0
!
!OLEH/ALKH=0.0
!
!OLEH/AROH=0.0
!
!OLEH/AROL=0.0
!
!OLEH/AROO=0.0
!
!OLEH/ARAL=0.0
!
!OLEH/ARAC=0.0
!
!OLEH/PAH=0.0
!
!OLEH/HCHO=0.0
!
!OLEH/ALD2=0.0
!
!OLEH/KETL=0.0
!
!OLEH/KETH=0.0
!
!OLEH/MEOH=0.0
!
!OLEH/ETOH=0.0
!
!OLEH/ALCH=0.0
!
!OLEH/ISOP=0.0
!
!OLEH/BIOL=0.0
!
!OLEH/BIOH=0.0
!
!OLEH/MTBE=0.0
!
!OLEH/MVK=0.0
!
!OLEH/MCR=0.0
!
!OLEH/MGLY=0.0
!
!OLEH/GLY=0.0
!
!OLEH/ORA1=0.0
!
!OLEH/ORA2=0.0
!
!OLEH/ACID=0.0
!
!OLEH/UR28=0.0
!
!OLEH/UR21=0.0
!
!OLEH/URG2=0.0
!
!OLEH/UR26=0.0
!
!OLEH/RPG2=0.0
!
!OLEH/RP18=0.0
!
!OLEH/RPG3=0.0
!
!OLEH/URG4=0.0
!
!OLEH/UR8=0.0
!
!OLEH/UR17=0.0
!
!OLEH/UR7=0.0
!
!OLEH/RPR3=0.0
!
!OLEH/URG6=0.0
!
!OLEH/UR22=0.0
!
!OLEH/URG7=0.0
!
!OLEH/RPR4=0.0
!
!OLEH/RPR7=0.0
!
!OLEH/RPG7=0.0
!
!OLEH/URG8=0.0
!
!OLEH/UR19=0.0
!
!OLEH/URG9=0.0
!
!OLEH/AP7=0.0
!
!OLEH/URG10=0.0
!
!OLEH/RPR1=0.0
!
!OLEH/RPR5=0.0
!
!OLEH/RPR8=0.0
!
!OLEH/RP10=0.0
!
!OLEH/RP11=0.0
!
!OLEH/RP16=0.0
!
!OLEH/RPRL=0.0
!
!OLEH/APAN=0.0
!
!OLEH/PAN1=0.0
!
!OLEH/PAN2=0.0
!
!OLEH/PAN3=0.0
!
!OLEH/PAN4=0.0
!
!OLEH/PAN6=0.0
!
!OLEH/PAN7=0.0
!
!OLEH/PAN8=0.0
!
!OLEH/PN10=0.0
!
!OLEH/RO2T=0.0
!
!OLEH/RO21=0.0
!
!OLEH/RO25=0.0
!
!OLEH/WC_O3=0.0
!
!OLEH/WC_H2O2=0.0
!
!OLEH/WC_NO=0.0
!
!OLEH/WC_NO2=0.0
!
!OLEH/WC_NO3=0.0
!
!OLEH/WC_N2O5=0.0
!
!OLEH/WC_HONO=0.0
!
!OLEH/WC_HNO3=0.0
!
!OLEH/WC_HNO4=0.0
!
!OLEH/WC_NH3=0.0
!
!OLEH/WC_OH=0.0
!
!OLEH/WC_HO2=0.0
!
!OLEH/WC_CO2=0.0
!
!OLEH/WC_SO2=0.0
!
!OLEH/WC_H2SO4=0.0
!
!OLEH/WC_RO21=0.0
!
!OLEH/WC_RO25=0.0
!
!OLEH/WC_MEOH=0.0
!
!OLEH/WC_ETOH=0.0
!
!OLEH/WC_ALCH=0.0
!
!OLEH/WC_HCHO=0.0
!
!OLEH/WC_ALD2=0.0
!
!OLEH/WC_GLY=0.0
!
!OLEH/WC_MGLY=0.0
!
!OLEH/WC_KETL=0.0
!
!OLEH/WC_ORA1=0.0
!
!OLEH/WC_ORA2=0.0
!
!OLEH/WC_ACID=0.0
!
!OLEH/WC_RP16=0.0
!
!OLEH/WC_UR21=0.0
!
!OLEH/WC_UR28=0.0
!
!OLEH/WC_ACID2=0.0
!
!OLEH/WC_ASO3=0.0
!
!OLEH/WC_ASO4=0.0
!
!OLEH/WC_ASO5=0.0
!
!OLEH/WC_AHSO5=0.0
!
!OLEH/WC_AHMS=0.0
!
!OLEH/WR_O3=0.0
!
!OLEH/WR_H2O2=0.0
!
!OLEH/WR_NO=0.0
!
!OLEH/WR_NO2=0.0
!
!OLEH/WR_NO3=0.0
!
!OLEH/WR_N2O5=0.0
!
!OLEH/WR_HONO=0.0
!
!OLEH/WR_HNO3=0.0
!
!OLEH/WR_HNO4=0.0
!
!OLEH/WR_NH3=0.0
!
!OLEH/WR_OH=0.0
!
!OLEH/WR_HO2=0.0
!
!OLEH/WR_CO2=0.0
!
!OLEH/WR_SO2=0.0
!
!OLEH/WR_H2SO4=0.0
!
!OLEH/WR_RO21=0.0
!
!OLEH/WR_RO25=0.0
!
!OLEH/WR_MEOH=0.0
!
!OLEH/WR_ETOH=0.0
!
!OLEH/WR_ALCH=0.0
!
!OLEH/WR_HCHO=0.0
!
!OLEH/WR_ALD2=0.0
!
!OLEH/WR_GLY=0.0
!
!OLEH/WR_MGLY=0.0
!
!OLEH/WR_KETL=0.0
!
!OLEH/WR_ORA1=0.0
!
!OLEH/WR_ORA2=0.0
!
!OLEH/WR_ACID=0.0
!
!OLEH/WR_RP16=0.0
!
!OLEH/WR_UR21=0.0
!
!OLEH/WR_UR28=0.0
!
!OLEH/WR_ACID2=0.0
!
!OLEH/WR_ASO3=0.0
!
!OLEH/WR_ASO4=0.0
!
!OLEH/WR_ASO5=0.0
!
!OLEH/WR_AHSO5=0.0
!
!OLEH/WR_AHMS=0.0
!
!ALKL/NO=+TPK%CF3*K122*<RO25>+TPK%CF12*K171*<RO215>
 PJAC(:,19,1)=+TPK%CF3*TPK%K122(:)*PCONC(:,87)+TPK%CF12*TPK%K171(:)*TPK%RO215(:&
&)
!
!ALKL/NO2=0.0
!
!ALKL/O3=+0.1*K056*<OLEL>
 PJAC(:,19,3)=+0.1*TPK%K056(:)*PCONC(:,17)
!
!ALKL/HONO=0.0
!
!ALKL/HNO3=0.0
!
!ALKL/HNO4=0.0
!
!ALKL/N2O5=0.0
!
!ALKL/NO3=0.0
!
!ALKL/NH3=0.0
!
!ALKL/HO2=+TPK%CF16*K173*<RO215>
 PJAC(:,19,10)=+TPK%CF16*TPK%K173(:)*TPK%RO215(:)
!
!ALKL/CO=0.0
!
!ALKL/H2O2=0.0
!
!ALKL/SO2=0.0
!
!ALKL/H2SO4=0.0
!
!ALKL/OH=-K058*<ALKL>
 PJAC(:,19,15)=-TPK%K058(:)*PCONC(:,19)
!
!ALKL/ETHE=0.0
!
!ALKL/OLEL=+0.1*K056*<O3>+0.5*K057*<O>
 PJAC(:,19,17)=+0.1*TPK%K056(:)*PCONC(:,3)+0.5*TPK%K057(:)*TPK%O(:)
!
!ALKL/OLEH=0.0
!
!ALKL/ALKL=-K058*<OH>
 PJAC(:,19,19)=-TPK%K058(:)*PCONC(:,15)
!
!ALKL/ALKM=0.0
!
!ALKL/ALKH=0.0
!
!ALKL/AROH=0.0
!
!ALKL/AROL=0.0
!
!ALKL/AROO=0.0
!
!ALKL/ARAL=0.0
!
!ALKL/ARAC=0.0
!
!ALKL/PAH=0.0
!
!ALKL/HCHO=0.0
!
!ALKL/ALD2=0.0
!
!ALKL/KETL=0.0
!
!ALKL/KETH=0.0
!
!ALKL/MEOH=0.0
!
!ALKL/ETOH=0.0
!
!ALKL/ALCH=0.0
!
!ALKL/ISOP=0.0
!
!ALKL/BIOL=0.0
!
!ALKL/BIOH=0.0
!
!ALKL/MTBE=0.0
!
!ALKL/MVK=0.0
!
!ALKL/MCR=0.0
!
!ALKL/MGLY=0.0
!
!ALKL/GLY=0.0
!
!ALKL/ORA1=0.0
!
!ALKL/ORA2=0.0
!
!ALKL/ACID=0.0
!
!ALKL/UR28=0.0
!
!ALKL/UR21=0.0
!
!ALKL/URG2=0.0
!
!ALKL/UR26=0.0
!
!ALKL/RPG2=0.0
!
!ALKL/RP18=0.0
!
!ALKL/RPG3=0.0
!
!ALKL/URG4=0.0
!
!ALKL/UR8=0.0
!
!ALKL/UR17=0.0
!
!ALKL/UR7=0.0
!
!ALKL/RPR3=0.0
!
!ALKL/URG6=0.0
!
!ALKL/UR22=0.0
!
!ALKL/URG7=0.0
!
!ALKL/RPR4=0.0
!
!ALKL/RPR7=0.0
!
!ALKL/RPG7=0.0
!
!ALKL/URG8=0.0
!
!ALKL/UR19=0.0
!
!ALKL/URG9=0.0
!
!ALKL/AP7=0.0
!
!ALKL/URG10=0.0
!
!ALKL/RPR1=0.0
!
!ALKL/RPR5=0.0
!
!ALKL/RPR8=0.0
!
!ALKL/RP10=0.0
!
!ALKL/RP11=0.0
!
!ALKL/RP16=0.0
!
!ALKL/RPRL=0.0
!
!ALKL/APAN=0.0
!
!ALKL/PAN1=0.0
!
!ALKL/PAN2=0.0
!
!ALKL/PAN3=0.0
!
!ALKL/PAN4=0.0
!
!ALKL/PAN6=0.0
!
!ALKL/PAN7=0.0
!
!ALKL/PAN8=0.0
!
!ALKL/PN10=0.0
!
!ALKL/RO2T=+TPK%CF16*K172*<RO215>
 PJAC(:,19,85)=+TPK%CF16*TPK%K172(:)*TPK%RO215(:)
!
!ALKL/RO21=0.0
!
!ALKL/RO25=+TPK%CF3*K122*<NO>
 PJAC(:,19,87)=+TPK%CF3*TPK%K122(:)*PCONC(:,1)
!
!ALKL/WC_O3=0.0
!
!ALKL/WC_H2O2=0.0
!
!ALKL/WC_NO=0.0
!
!ALKL/WC_NO2=0.0
!
!ALKL/WC_NO3=0.0
!
!ALKL/WC_N2O5=0.0
!
!ALKL/WC_HONO=0.0
!
!ALKL/WC_HNO3=0.0
!
!ALKL/WC_HNO4=0.0
!
!ALKL/WC_NH3=0.0
!
!ALKL/WC_OH=0.0
!
!ALKL/WC_HO2=0.0
!
!ALKL/WC_CO2=0.0
!
!ALKL/WC_SO2=0.0
!
!ALKL/WC_H2SO4=0.0
!
!ALKL/WC_RO21=0.0
!
!ALKL/WC_RO25=0.0
!
!ALKL/WC_MEOH=0.0
!
!ALKL/WC_ETOH=0.0
!
!ALKL/WC_ALCH=0.0
!
!ALKL/WC_HCHO=0.0
!
!ALKL/WC_ALD2=0.0
!
!ALKL/WC_GLY=0.0
!
!ALKL/WC_MGLY=0.0
!
!ALKL/WC_KETL=0.0
!
!ALKL/WC_ORA1=0.0
!
!ALKL/WC_ORA2=0.0
!
!ALKL/WC_ACID=0.0
!
!ALKL/WC_RP16=0.0
!
!ALKL/WC_UR21=0.0
!
!ALKL/WC_UR28=0.0
!
!ALKL/WC_ACID2=0.0
!
!ALKL/WC_ASO3=0.0
!
!ALKL/WC_ASO4=0.0
!
!ALKL/WC_ASO5=0.0
!
!ALKL/WC_AHSO5=0.0
!
!ALKL/WC_AHMS=0.0
!
!ALKL/WR_O3=0.0
!
!ALKL/WR_H2O2=0.0
!
!ALKL/WR_NO=0.0
!
!ALKL/WR_NO2=0.0
!
!ALKL/WR_NO3=0.0
!
!ALKL/WR_N2O5=0.0
!
!ALKL/WR_HONO=0.0
!
!ALKL/WR_HNO3=0.0
!
!ALKL/WR_HNO4=0.0
!
!ALKL/WR_NH3=0.0
!
!ALKL/WR_OH=0.0
!
!ALKL/WR_HO2=0.0
!
!ALKL/WR_CO2=0.0
!
!ALKL/WR_SO2=0.0
!
!ALKL/WR_H2SO4=0.0
!
!ALKL/WR_RO21=0.0
!
!ALKL/WR_RO25=0.0
!
!ALKL/WR_MEOH=0.0
!
!ALKL/WR_ETOH=0.0
!
!ALKL/WR_ALCH=0.0
!
!ALKL/WR_HCHO=0.0
!
!ALKL/WR_ALD2=0.0
!
!ALKL/WR_GLY=0.0
!
!ALKL/WR_MGLY=0.0
!
!ALKL/WR_KETL=0.0
!
!ALKL/WR_ORA1=0.0
!
!ALKL/WR_ORA2=0.0
!
!ALKL/WR_ACID=0.0
!
!ALKL/WR_RP16=0.0
!
!ALKL/WR_UR21=0.0
!
!ALKL/WR_UR28=0.0
!
!ALKL/WR_ACID2=0.0
!
!ALKL/WR_ASO3=0.0
!
!ALKL/WR_ASO4=0.0
!
!ALKL/WR_ASO5=0.0
!
!ALKL/WR_AHSO5=0.0
!
!ALKL/WR_AHMS=0.0
!
!ALKM/NO=0.0
!
!ALKM/NO2=0.0
!
!ALKM/O3=+0.1*K076*<OLEH>
 PJAC(:,20,3)=+0.1*TPK%K076(:)*PCONC(:,18)
!
!ALKM/HONO=0.0
!
!ALKM/HNO3=0.0
!
!ALKM/HNO4=0.0
!
!ALKM/N2O5=0.0
!
!ALKM/NO3=0.0
!
!ALKM/NH3=0.0
!
!ALKM/HO2=0.0
!
!ALKM/CO=0.0
!
!ALKM/H2O2=0.0
!
!ALKM/SO2=0.0
!
!ALKM/H2SO4=0.0
!
!ALKM/OH=-K078*<ALKM>
 PJAC(:,20,15)=-TPK%K078(:)*PCONC(:,20)
!
!ALKM/ETHE=0.0
!
!ALKM/OLEL=0.0
!
!ALKM/OLEH=+0.1*K076*<O3>+0.5*K077*<O>
 PJAC(:,20,18)=+0.1*TPK%K076(:)*PCONC(:,3)+0.5*TPK%K077(:)*TPK%O(:)
!
!ALKM/ALKL=0.0
!
!ALKM/ALKM=-K078*<OH>
 PJAC(:,20,20)=-TPK%K078(:)*PCONC(:,15)
!
!ALKM/ALKH=0.0
!
!ALKM/AROH=0.0
!
!ALKM/AROL=0.0
!
!ALKM/AROO=0.0
!
!ALKM/ARAL=0.0
!
!ALKM/ARAC=0.0
!
!ALKM/PAH=0.0
!
!ALKM/HCHO=0.0
!
!ALKM/ALD2=0.0
!
!ALKM/KETL=0.0
!
!ALKM/KETH=0.0
!
!ALKM/MEOH=0.0
!
!ALKM/ETOH=0.0
!
!ALKM/ALCH=0.0
!
!ALKM/ISOP=0.0
!
!ALKM/BIOL=0.0
!
!ALKM/BIOH=0.0
!
!ALKM/MTBE=0.0
!
!ALKM/MVK=0.0
!
!ALKM/MCR=0.0
!
!ALKM/MGLY=0.0
!
!ALKM/GLY=0.0
!
!ALKM/ORA1=0.0
!
!ALKM/ORA2=0.0
!
!ALKM/ACID=0.0
!
!ALKM/UR28=0.0
!
!ALKM/UR21=0.0
!
!ALKM/URG2=0.0
!
!ALKM/UR26=0.0
!
!ALKM/RPG2=0.0
!
!ALKM/RP18=0.0
!
!ALKM/RPG3=0.0
!
!ALKM/URG4=0.0
!
!ALKM/UR8=0.0
!
!ALKM/UR17=0.0
!
!ALKM/UR7=0.0
!
!ALKM/RPR3=0.0
!
!ALKM/URG6=0.0
!
!ALKM/UR22=0.0
!
!ALKM/URG7=0.0
!
!ALKM/RPR4=0.0
!
!ALKM/RPR7=0.0
!
!ALKM/RPG7=0.0
!
!ALKM/URG8=0.0
!
!ALKM/UR19=0.0
!
!ALKM/URG9=0.0
!
!ALKM/AP7=0.0
!
!ALKM/URG10=0.0
!
!ALKM/RPR1=0.0
!
!ALKM/RPR5=0.0
!
!ALKM/RPR8=0.0
!
!ALKM/RP10=0.0
!
!ALKM/RP11=0.0
!
!ALKM/RP16=0.0
!
!ALKM/RPRL=0.0
!
!ALKM/APAN=0.0
!
!ALKM/PAN1=0.0
!
!ALKM/PAN2=0.0
!
!ALKM/PAN3=0.0
!
!ALKM/PAN4=0.0
!
!ALKM/PAN6=0.0
!
!ALKM/PAN7=0.0
!
!ALKM/PAN8=0.0
!
!ALKM/PN10=0.0
!
!ALKM/RO2T=0.0
!
!ALKM/RO21=0.0
!
!ALKM/RO25=0.0
!
!ALKM/WC_O3=0.0
!
!ALKM/WC_H2O2=0.0
!
!ALKM/WC_NO=0.0
!
!ALKM/WC_NO2=0.0
!
!ALKM/WC_NO3=0.0
!
!ALKM/WC_N2O5=0.0
!
!ALKM/WC_HONO=0.0
!
!ALKM/WC_HNO3=0.0
!
!ALKM/WC_HNO4=0.0
!
!ALKM/WC_NH3=0.0
!
!ALKM/WC_OH=0.0
!
!ALKM/WC_HO2=0.0
!
!ALKM/WC_CO2=0.0
!
!ALKM/WC_SO2=0.0
!
!ALKM/WC_H2SO4=0.0
!
!ALKM/WC_RO21=0.0
!
!ALKM/WC_RO25=0.0
!
!ALKM/WC_MEOH=0.0
!
!ALKM/WC_ETOH=0.0
!
!ALKM/WC_ALCH=0.0
!
!ALKM/WC_HCHO=0.0
!
!ALKM/WC_ALD2=0.0
!
!ALKM/WC_GLY=0.0
!
!ALKM/WC_MGLY=0.0
!
!ALKM/WC_KETL=0.0
!
!ALKM/WC_ORA1=0.0
!
!ALKM/WC_ORA2=0.0
!
!ALKM/WC_ACID=0.0
!
!ALKM/WC_RP16=0.0
!
!ALKM/WC_UR21=0.0
!
!ALKM/WC_UR28=0.0
!
!ALKM/WC_ACID2=0.0
!
!ALKM/WC_ASO3=0.0
!
!ALKM/WC_ASO4=0.0
!
!ALKM/WC_ASO5=0.0
!
!ALKM/WC_AHSO5=0.0
!
!ALKM/WC_AHMS=0.0
!
!ALKM/WR_O3=0.0
!
!ALKM/WR_H2O2=0.0
!
!ALKM/WR_NO=0.0
!
!ALKM/WR_NO2=0.0
!
!ALKM/WR_NO3=0.0
!
!ALKM/WR_N2O5=0.0
!
!ALKM/WR_HONO=0.0
!
!ALKM/WR_HNO3=0.0
!
!ALKM/WR_HNO4=0.0
!
!ALKM/WR_NH3=0.0
!
!ALKM/WR_OH=0.0
!
!ALKM/WR_HO2=0.0
!
!ALKM/WR_CO2=0.0
!
!ALKM/WR_SO2=0.0
!
!ALKM/WR_H2SO4=0.0
!
!ALKM/WR_RO21=0.0
!
!ALKM/WR_RO25=0.0
!
!ALKM/WR_MEOH=0.0
!
!ALKM/WR_ETOH=0.0
!
!ALKM/WR_ALCH=0.0
!
!ALKM/WR_HCHO=0.0
!
!ALKM/WR_ALD2=0.0
!
!ALKM/WR_GLY=0.0
!
!ALKM/WR_MGLY=0.0
!
!ALKM/WR_KETL=0.0
!
!ALKM/WR_ORA1=0.0
!
!ALKM/WR_ORA2=0.0
!
!ALKM/WR_ACID=0.0
!
!ALKM/WR_RP16=0.0
!
!ALKM/WR_UR21=0.0
!
!ALKM/WR_UR28=0.0
!
!ALKM/WR_ACID2=0.0
!
!ALKM/WR_ASO3=0.0
!
!ALKM/WR_ASO4=0.0
!
!ALKM/WR_ASO5=0.0
!
!ALKM/WR_AHSO5=0.0
!
!ALKM/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ3
!
SUBROUTINE SUBJ4
!
!Indices 21 a 25
!
!
!ALKH/NO=0.0
!
!ALKH/NO2=0.0
!
!ALKH/O3=0.0
!
!ALKH/HONO=0.0
!
!ALKH/HNO3=0.0
!
!ALKH/HNO4=0.0
!
!ALKH/N2O5=0.0
!
!ALKH/NO3=0.0
!
!ALKH/NH3=0.0
!
!ALKH/HO2=0.0
!
!ALKH/CO=0.0
!
!ALKH/H2O2=0.0
!
!ALKH/SO2=0.0
!
!ALKH/H2SO4=0.0
!
!ALKH/OH=-K093*<ALKH>
 PJAC(:,21,15)=-TPK%K093(:)*PCONC(:,21)
!
!ALKH/ETHE=0.0
!
!ALKH/OLEL=0.0
!
!ALKH/OLEH=0.0
!
!ALKH/ALKL=0.0
!
!ALKH/ALKM=0.0
!
!ALKH/ALKH=-K093*<OH>
 PJAC(:,21,21)=-TPK%K093(:)*PCONC(:,15)
!
!ALKH/AROH=0.0
!
!ALKH/AROL=0.0
!
!ALKH/AROO=0.0
!
!ALKH/ARAL=0.0
!
!ALKH/ARAC=0.0
!
!ALKH/PAH=0.0
!
!ALKH/HCHO=0.0
!
!ALKH/ALD2=0.0
!
!ALKH/KETL=0.0
!
!ALKH/KETH=0.0
!
!ALKH/MEOH=0.0
!
!ALKH/ETOH=0.0
!
!ALKH/ALCH=0.0
!
!ALKH/ISOP=0.0
!
!ALKH/BIOL=0.0
!
!ALKH/BIOH=0.0
!
!ALKH/MTBE=0.0
!
!ALKH/MVK=0.0
!
!ALKH/MCR=0.0
!
!ALKH/MGLY=0.0
!
!ALKH/GLY=0.0
!
!ALKH/ORA1=0.0
!
!ALKH/ORA2=0.0
!
!ALKH/ACID=0.0
!
!ALKH/UR28=0.0
!
!ALKH/UR21=0.0
!
!ALKH/URG2=0.0
!
!ALKH/UR26=0.0
!
!ALKH/RPG2=0.0
!
!ALKH/RP18=0.0
!
!ALKH/RPG3=0.0
!
!ALKH/URG4=0.0
!
!ALKH/UR8=0.0
!
!ALKH/UR17=0.0
!
!ALKH/UR7=0.0
!
!ALKH/RPR3=0.0
!
!ALKH/URG6=0.0
!
!ALKH/UR22=0.0
!
!ALKH/URG7=0.0
!
!ALKH/RPR4=0.0
!
!ALKH/RPR7=0.0
!
!ALKH/RPG7=0.0
!
!ALKH/URG8=0.0
!
!ALKH/UR19=0.0
!
!ALKH/URG9=0.0
!
!ALKH/AP7=0.0
!
!ALKH/URG10=0.0
!
!ALKH/RPR1=0.0
!
!ALKH/RPR5=0.0
!
!ALKH/RPR8=0.0
!
!ALKH/RP10=0.0
!
!ALKH/RP11=0.0
!
!ALKH/RP16=0.0
!
!ALKH/RPRL=0.0
!
!ALKH/APAN=0.0
!
!ALKH/PAN1=0.0
!
!ALKH/PAN2=0.0
!
!ALKH/PAN3=0.0
!
!ALKH/PAN4=0.0
!
!ALKH/PAN6=0.0
!
!ALKH/PAN7=0.0
!
!ALKH/PAN8=0.0
!
!ALKH/PN10=0.0
!
!ALKH/RO2T=0.0
!
!ALKH/RO21=0.0
!
!ALKH/RO25=0.0
!
!ALKH/WC_O3=0.0
!
!ALKH/WC_H2O2=0.0
!
!ALKH/WC_NO=0.0
!
!ALKH/WC_NO2=0.0
!
!ALKH/WC_NO3=0.0
!
!ALKH/WC_N2O5=0.0
!
!ALKH/WC_HONO=0.0
!
!ALKH/WC_HNO3=0.0
!
!ALKH/WC_HNO4=0.0
!
!ALKH/WC_NH3=0.0
!
!ALKH/WC_OH=0.0
!
!ALKH/WC_HO2=0.0
!
!ALKH/WC_CO2=0.0
!
!ALKH/WC_SO2=0.0
!
!ALKH/WC_H2SO4=0.0
!
!ALKH/WC_RO21=0.0
!
!ALKH/WC_RO25=0.0
!
!ALKH/WC_MEOH=0.0
!
!ALKH/WC_ETOH=0.0
!
!ALKH/WC_ALCH=0.0
!
!ALKH/WC_HCHO=0.0
!
!ALKH/WC_ALD2=0.0
!
!ALKH/WC_GLY=0.0
!
!ALKH/WC_MGLY=0.0
!
!ALKH/WC_KETL=0.0
!
!ALKH/WC_ORA1=0.0
!
!ALKH/WC_ORA2=0.0
!
!ALKH/WC_ACID=0.0
!
!ALKH/WC_RP16=0.0
!
!ALKH/WC_UR21=0.0
!
!ALKH/WC_UR28=0.0
!
!ALKH/WC_ACID2=0.0
!
!ALKH/WC_ASO3=0.0
!
!ALKH/WC_ASO4=0.0
!
!ALKH/WC_ASO5=0.0
!
!ALKH/WC_AHSO5=0.0
!
!ALKH/WC_AHMS=0.0
!
!ALKH/WR_O3=0.0
!
!ALKH/WR_H2O2=0.0
!
!ALKH/WR_NO=0.0
!
!ALKH/WR_NO2=0.0
!
!ALKH/WR_NO3=0.0
!
!ALKH/WR_N2O5=0.0
!
!ALKH/WR_HONO=0.0
!
!ALKH/WR_HNO3=0.0
!
!ALKH/WR_HNO4=0.0
!
!ALKH/WR_NH3=0.0
!
!ALKH/WR_OH=0.0
!
!ALKH/WR_HO2=0.0
!
!ALKH/WR_CO2=0.0
!
!ALKH/WR_SO2=0.0
!
!ALKH/WR_H2SO4=0.0
!
!ALKH/WR_RO21=0.0
!
!ALKH/WR_RO25=0.0
!
!ALKH/WR_MEOH=0.0
!
!ALKH/WR_ETOH=0.0
!
!ALKH/WR_ALCH=0.0
!
!ALKH/WR_HCHO=0.0
!
!ALKH/WR_ALD2=0.0
!
!ALKH/WR_GLY=0.0
!
!ALKH/WR_MGLY=0.0
!
!ALKH/WR_KETL=0.0
!
!ALKH/WR_ORA1=0.0
!
!ALKH/WR_ORA2=0.0
!
!ALKH/WR_ACID=0.0
!
!ALKH/WR_RP16=0.0
!
!ALKH/WR_UR21=0.0
!
!ALKH/WR_UR28=0.0
!
!ALKH/WR_ACID2=0.0
!
!ALKH/WR_ASO3=0.0
!
!ALKH/WR_ASO4=0.0
!
!ALKH/WR_ASO5=0.0
!
!ALKH/WR_AHSO5=0.0
!
!ALKH/WR_AHMS=0.0
!
!AROH/NO=0.0
!
!AROH/NO2=0.0
!
!AROH/O3=0.0
!
!AROH/HONO=0.0
!
!AROH/HNO3=0.0
!
!AROH/HNO4=0.0
!
!AROH/N2O5=0.0
!
!AROH/NO3=0.0
!
!AROH/NH3=0.0
!
!AROH/HO2=0.0
!
!AROH/CO=0.0
!
!AROH/H2O2=0.0
!
!AROH/SO2=0.0
!
!AROH/H2SO4=0.0
!
!AROH/OH=-K080*<AROH>
 PJAC(:,22,15)=-TPK%K080(:)*PCONC(:,22)
!
!AROH/ETHE=0.0
!
!AROH/OLEL=0.0
!
!AROH/OLEH=0.0
!
!AROH/ALKL=0.0
!
!AROH/ALKM=0.0
!
!AROH/ALKH=0.0
!
!AROH/AROH=-K080*<OH>
 PJAC(:,22,22)=-TPK%K080(:)*PCONC(:,15)
!
!AROH/AROL=0.0
!
!AROH/AROO=0.0
!
!AROH/ARAL=0.0
!
!AROH/ARAC=0.0
!
!AROH/PAH=0.0
!
!AROH/HCHO=0.0
!
!AROH/ALD2=0.0
!
!AROH/KETL=0.0
!
!AROH/KETH=0.0
!
!AROH/MEOH=0.0
!
!AROH/ETOH=0.0
!
!AROH/ALCH=0.0
!
!AROH/ISOP=0.0
!
!AROH/BIOL=0.0
!
!AROH/BIOH=0.0
!
!AROH/MTBE=0.0
!
!AROH/MVK=0.0
!
!AROH/MCR=0.0
!
!AROH/MGLY=0.0
!
!AROH/GLY=0.0
!
!AROH/ORA1=0.0
!
!AROH/ORA2=0.0
!
!AROH/ACID=0.0
!
!AROH/UR28=0.0
!
!AROH/UR21=0.0
!
!AROH/URG2=0.0
!
!AROH/UR26=0.0
!
!AROH/RPG2=0.0
!
!AROH/RP18=0.0
!
!AROH/RPG3=0.0
!
!AROH/URG4=0.0
!
!AROH/UR8=0.0
!
!AROH/UR17=0.0
!
!AROH/UR7=0.0
!
!AROH/RPR3=0.0
!
!AROH/URG6=0.0
!
!AROH/UR22=0.0
!
!AROH/URG7=0.0
!
!AROH/RPR4=0.0
!
!AROH/RPR7=0.0
!
!AROH/RPG7=0.0
!
!AROH/URG8=0.0
!
!AROH/UR19=0.0
!
!AROH/URG9=0.0
!
!AROH/AP7=0.0
!
!AROH/URG10=0.0
!
!AROH/RPR1=0.0
!
!AROH/RPR5=0.0
!
!AROH/RPR8=0.0
!
!AROH/RP10=0.0
!
!AROH/RP11=0.0
!
!AROH/RP16=0.0
!
!AROH/RPRL=0.0
!
!AROH/APAN=0.0
!
!AROH/PAN1=0.0
!
!AROH/PAN2=0.0
!
!AROH/PAN3=0.0
!
!AROH/PAN4=0.0
!
!AROH/PAN6=0.0
!
!AROH/PAN7=0.0
!
!AROH/PAN8=0.0
!
!AROH/PN10=0.0
!
!AROH/RO2T=0.0
!
!AROH/RO21=0.0
!
!AROH/RO25=0.0
!
!AROH/WC_O3=0.0
!
!AROH/WC_H2O2=0.0
!
!AROH/WC_NO=0.0
!
!AROH/WC_NO2=0.0
!
!AROH/WC_NO3=0.0
!
!AROH/WC_N2O5=0.0
!
!AROH/WC_HONO=0.0
!
!AROH/WC_HNO3=0.0
!
!AROH/WC_HNO4=0.0
!
!AROH/WC_NH3=0.0
!
!AROH/WC_OH=0.0
!
!AROH/WC_HO2=0.0
!
!AROH/WC_CO2=0.0
!
!AROH/WC_SO2=0.0
!
!AROH/WC_H2SO4=0.0
!
!AROH/WC_RO21=0.0
!
!AROH/WC_RO25=0.0
!
!AROH/WC_MEOH=0.0
!
!AROH/WC_ETOH=0.0
!
!AROH/WC_ALCH=0.0
!
!AROH/WC_HCHO=0.0
!
!AROH/WC_ALD2=0.0
!
!AROH/WC_GLY=0.0
!
!AROH/WC_MGLY=0.0
!
!AROH/WC_KETL=0.0
!
!AROH/WC_ORA1=0.0
!
!AROH/WC_ORA2=0.0
!
!AROH/WC_ACID=0.0
!
!AROH/WC_RP16=0.0
!
!AROH/WC_UR21=0.0
!
!AROH/WC_UR28=0.0
!
!AROH/WC_ACID2=0.0
!
!AROH/WC_ASO3=0.0
!
!AROH/WC_ASO4=0.0
!
!AROH/WC_ASO5=0.0
!
!AROH/WC_AHSO5=0.0
!
!AROH/WC_AHMS=0.0
!
!AROH/WR_O3=0.0
!
!AROH/WR_H2O2=0.0
!
!AROH/WR_NO=0.0
!
!AROH/WR_NO2=0.0
!
!AROH/WR_NO3=0.0
!
!AROH/WR_N2O5=0.0
!
!AROH/WR_HONO=0.0
!
!AROH/WR_HNO3=0.0
!
!AROH/WR_HNO4=0.0
!
!AROH/WR_NH3=0.0
!
!AROH/WR_OH=0.0
!
!AROH/WR_HO2=0.0
!
!AROH/WR_CO2=0.0
!
!AROH/WR_SO2=0.0
!
!AROH/WR_H2SO4=0.0
!
!AROH/WR_RO21=0.0
!
!AROH/WR_RO25=0.0
!
!AROH/WR_MEOH=0.0
!
!AROH/WR_ETOH=0.0
!
!AROH/WR_ALCH=0.0
!
!AROH/WR_HCHO=0.0
!
!AROH/WR_ALD2=0.0
!
!AROH/WR_GLY=0.0
!
!AROH/WR_MGLY=0.0
!
!AROH/WR_KETL=0.0
!
!AROH/WR_ORA1=0.0
!
!AROH/WR_ORA2=0.0
!
!AROH/WR_ACID=0.0
!
!AROH/WR_RP16=0.0
!
!AROH/WR_UR21=0.0
!
!AROH/WR_UR28=0.0
!
!AROH/WR_ACID2=0.0
!
!AROH/WR_ASO3=0.0
!
!AROH/WR_ASO4=0.0
!
!AROH/WR_ASO5=0.0
!
!AROH/WR_AHSO5=0.0
!
!AROH/WR_AHMS=0.0
!
!AROL/NO=0.0
!
!AROL/NO2=0.0
!
!AROL/O3=0.0
!
!AROL/HONO=0.0
!
!AROL/HNO3=0.0
!
!AROL/HNO4=0.0
!
!AROL/N2O5=0.0
!
!AROL/NO3=0.0
!
!AROL/NH3=0.0
!
!AROL/HO2=0.0
!
!AROL/CO=0.0
!
!AROL/H2O2=0.0
!
!AROL/SO2=0.0
!
!AROL/H2SO4=0.0
!
!AROL/OH=-K079*<AROL>
 PJAC(:,23,15)=-TPK%K079(:)*PCONC(:,23)
!
!AROL/ETHE=0.0
!
!AROL/OLEL=0.0
!
!AROL/OLEH=0.0
!
!AROL/ALKL=0.0
!
!AROL/ALKM=0.0
!
!AROL/ALKH=0.0
!
!AROL/AROH=0.0
!
!AROL/AROL=-K079*<OH>
 PJAC(:,23,23)=-TPK%K079(:)*PCONC(:,15)
!
!AROL/AROO=0.0
!
!AROL/ARAL=0.0
!
!AROL/ARAC=0.0
!
!AROL/PAH=0.0
!
!AROL/HCHO=0.0
!
!AROL/ALD2=0.0
!
!AROL/KETL=0.0
!
!AROL/KETH=0.0
!
!AROL/MEOH=0.0
!
!AROL/ETOH=0.0
!
!AROL/ALCH=0.0
!
!AROL/ISOP=0.0
!
!AROL/BIOL=0.0
!
!AROL/BIOH=0.0
!
!AROL/MTBE=0.0
!
!AROL/MVK=0.0
!
!AROL/MCR=0.0
!
!AROL/MGLY=0.0
!
!AROL/GLY=0.0
!
!AROL/ORA1=0.0
!
!AROL/ORA2=0.0
!
!AROL/ACID=0.0
!
!AROL/UR28=0.0
!
!AROL/UR21=0.0
!
!AROL/URG2=0.0
!
!AROL/UR26=0.0
!
!AROL/RPG2=0.0
!
!AROL/RP18=0.0
!
!AROL/RPG3=0.0
!
!AROL/URG4=0.0
!
!AROL/UR8=0.0
!
!AROL/UR17=0.0
!
!AROL/UR7=0.0
!
!AROL/RPR3=0.0
!
!AROL/URG6=0.0
!
!AROL/UR22=0.0
!
!AROL/URG7=0.0
!
!AROL/RPR4=0.0
!
!AROL/RPR7=0.0
!
!AROL/RPG7=0.0
!
!AROL/URG8=0.0
!
!AROL/UR19=0.0
!
!AROL/URG9=0.0
!
!AROL/AP7=0.0
!
!AROL/URG10=0.0
!
!AROL/RPR1=0.0
!
!AROL/RPR5=0.0
!
!AROL/RPR8=0.0
!
!AROL/RP10=0.0
!
!AROL/RP11=0.0
!
!AROL/RP16=0.0
!
!AROL/RPRL=0.0
!
!AROL/APAN=0.0
!
!AROL/PAN1=0.0
!
!AROL/PAN2=0.0
!
!AROL/PAN3=0.0
!
!AROL/PAN4=0.0
!
!AROL/PAN6=0.0
!
!AROL/PAN7=0.0
!
!AROL/PAN8=0.0
!
!AROL/PN10=0.0
!
!AROL/RO2T=0.0
!
!AROL/RO21=0.0
!
!AROL/RO25=0.0
!
!AROL/WC_O3=0.0
!
!AROL/WC_H2O2=0.0
!
!AROL/WC_NO=0.0
!
!AROL/WC_NO2=0.0
!
!AROL/WC_NO3=0.0
!
!AROL/WC_N2O5=0.0
!
!AROL/WC_HONO=0.0
!
!AROL/WC_HNO3=0.0
!
!AROL/WC_HNO4=0.0
!
!AROL/WC_NH3=0.0
!
!AROL/WC_OH=0.0
!
!AROL/WC_HO2=0.0
!
!AROL/WC_CO2=0.0
!
!AROL/WC_SO2=0.0
!
!AROL/WC_H2SO4=0.0
!
!AROL/WC_RO21=0.0
!
!AROL/WC_RO25=0.0
!
!AROL/WC_MEOH=0.0
!
!AROL/WC_ETOH=0.0
!
!AROL/WC_ALCH=0.0
!
!AROL/WC_HCHO=0.0
!
!AROL/WC_ALD2=0.0
!
!AROL/WC_GLY=0.0
!
!AROL/WC_MGLY=0.0
!
!AROL/WC_KETL=0.0
!
!AROL/WC_ORA1=0.0
!
!AROL/WC_ORA2=0.0
!
!AROL/WC_ACID=0.0
!
!AROL/WC_RP16=0.0
!
!AROL/WC_UR21=0.0
!
!AROL/WC_UR28=0.0
!
!AROL/WC_ACID2=0.0
!
!AROL/WC_ASO3=0.0
!
!AROL/WC_ASO4=0.0
!
!AROL/WC_ASO5=0.0
!
!AROL/WC_AHSO5=0.0
!
!AROL/WC_AHMS=0.0
!
!AROL/WR_O3=0.0
!
!AROL/WR_H2O2=0.0
!
!AROL/WR_NO=0.0
!
!AROL/WR_NO2=0.0
!
!AROL/WR_NO3=0.0
!
!AROL/WR_N2O5=0.0
!
!AROL/WR_HONO=0.0
!
!AROL/WR_HNO3=0.0
!
!AROL/WR_HNO4=0.0
!
!AROL/WR_NH3=0.0
!
!AROL/WR_OH=0.0
!
!AROL/WR_HO2=0.0
!
!AROL/WR_CO2=0.0
!
!AROL/WR_SO2=0.0
!
!AROL/WR_H2SO4=0.0
!
!AROL/WR_RO21=0.0
!
!AROL/WR_RO25=0.0
!
!AROL/WR_MEOH=0.0
!
!AROL/WR_ETOH=0.0
!
!AROL/WR_ALCH=0.0
!
!AROL/WR_HCHO=0.0
!
!AROL/WR_ALD2=0.0
!
!AROL/WR_GLY=0.0
!
!AROL/WR_MGLY=0.0
!
!AROL/WR_KETL=0.0
!
!AROL/WR_ORA1=0.0
!
!AROL/WR_ORA2=0.0
!
!AROL/WR_ACID=0.0
!
!AROL/WR_RP16=0.0
!
!AROL/WR_UR21=0.0
!
!AROL/WR_UR28=0.0
!
!AROL/WR_ACID2=0.0
!
!AROL/WR_ASO3=0.0
!
!AROL/WR_ASO4=0.0
!
!AROL/WR_ASO5=0.0
!
!AROL/WR_AHSO5=0.0
!
!AROL/WR_AHMS=0.0
!
!AROO/NO=0.0
!
!AROO/NO2=0.0
!
!AROO/O3=0.0
!
!AROO/HONO=0.0
!
!AROO/HNO3=0.0
!
!AROO/HNO4=0.0
!
!AROO/N2O5=0.0
!
!AROO/NO3=-K072*<AROO>
 PJAC(:,24,8)=-TPK%K072(:)*PCONC(:,24)
!
!AROO/NH3=0.0
!
!AROO/HO2=0.0
!
!AROO/CO=0.0
!
!AROO/H2O2=0.0
!
!AROO/SO2=0.0
!
!AROO/H2SO4=0.0
!
!AROO/OH=+0.16*K073*<AROO>-K073*<AROO>+0.16*K079*<AROL>+0.16*K080*<AROH>
 PJAC(:,24,15)=+0.16*TPK%K073(:)*PCONC(:,24)-TPK%K073(:)*PCONC(:,24)+0.16*TPK%K&
&079(:)*PCONC(:,23)+0.16*TPK%K080(:)*PCONC(:,22)
!
!AROO/ETHE=0.0
!
!AROO/OLEL=0.0
!
!AROO/OLEH=0.0
!
!AROO/ALKL=0.0
!
!AROO/ALKM=0.0
!
!AROO/ALKH=0.0
!
!AROO/AROH=+0.16*K080*<OH>
 PJAC(:,24,22)=+0.16*TPK%K080(:)*PCONC(:,15)
!
!AROO/AROL=+0.16*K079*<OH>
 PJAC(:,24,23)=+0.16*TPK%K079(:)*PCONC(:,15)
!
!AROO/AROO=-K072*<NO3>+0.16*K073*<OH>-K073*<OH>
 PJAC(:,24,24)=-TPK%K072(:)*PCONC(:,8)+0.16*TPK%K073(:)*PCONC(:,15)-TPK%K073(:)&
&*PCONC(:,15)
!
!AROO/ARAL=0.0
!
!AROO/ARAC=0.0
!
!AROO/PAH=0.0
!
!AROO/HCHO=0.0
!
!AROO/ALD2=0.0
!
!AROO/KETL=0.0
!
!AROO/KETH=0.0
!
!AROO/MEOH=0.0
!
!AROO/ETOH=0.0
!
!AROO/ALCH=0.0
!
!AROO/ISOP=0.0
!
!AROO/BIOL=0.0
!
!AROO/BIOH=0.0
!
!AROO/MTBE=0.0
!
!AROO/MVK=0.0
!
!AROO/MCR=0.0
!
!AROO/MGLY=0.0
!
!AROO/GLY=0.0
!
!AROO/ORA1=0.0
!
!AROO/ORA2=0.0
!
!AROO/ACID=0.0
!
!AROO/UR28=0.0
!
!AROO/UR21=0.0
!
!AROO/URG2=0.0
!
!AROO/UR26=0.0
!
!AROO/RPG2=0.0
!
!AROO/RP18=0.0
!
!AROO/RPG3=0.0
!
!AROO/URG4=0.0
!
!AROO/UR8=0.0
!
!AROO/UR17=0.0
!
!AROO/UR7=0.0
!
!AROO/RPR3=0.0
!
!AROO/URG6=0.0
!
!AROO/UR22=0.0
!
!AROO/URG7=0.0
!
!AROO/RPR4=0.0
!
!AROO/RPR7=0.0
!
!AROO/RPG7=0.0
!
!AROO/URG8=0.0
!
!AROO/UR19=0.0
!
!AROO/URG9=0.0
!
!AROO/AP7=0.0
!
!AROO/URG10=0.0
!
!AROO/RPR1=0.0
!
!AROO/RPR5=0.0
!
!AROO/RPR8=0.0
!
!AROO/RP10=0.0
!
!AROO/RP11=0.0
!
!AROO/RP16=0.0
!
!AROO/RPRL=0.0
!
!AROO/APAN=0.0
!
!AROO/PAN1=0.0
!
!AROO/PAN2=0.0
!
!AROO/PAN3=0.0
!
!AROO/PAN4=0.0
!
!AROO/PAN6=0.0
!
!AROO/PAN7=0.0
!
!AROO/PAN8=0.0
!
!AROO/PN10=0.0
!
!AROO/RO2T=0.0
!
!AROO/RO21=0.0
!
!AROO/RO25=0.0
!
!AROO/WC_O3=0.0
!
!AROO/WC_H2O2=0.0
!
!AROO/WC_NO=0.0
!
!AROO/WC_NO2=0.0
!
!AROO/WC_NO3=0.0
!
!AROO/WC_N2O5=0.0
!
!AROO/WC_HONO=0.0
!
!AROO/WC_HNO3=0.0
!
!AROO/WC_HNO4=0.0
!
!AROO/WC_NH3=0.0
!
!AROO/WC_OH=0.0
!
!AROO/WC_HO2=0.0
!
!AROO/WC_CO2=0.0
!
!AROO/WC_SO2=0.0
!
!AROO/WC_H2SO4=0.0
!
!AROO/WC_RO21=0.0
!
!AROO/WC_RO25=0.0
!
!AROO/WC_MEOH=0.0
!
!AROO/WC_ETOH=0.0
!
!AROO/WC_ALCH=0.0
!
!AROO/WC_HCHO=0.0
!
!AROO/WC_ALD2=0.0
!
!AROO/WC_GLY=0.0
!
!AROO/WC_MGLY=0.0
!
!AROO/WC_KETL=0.0
!
!AROO/WC_ORA1=0.0
!
!AROO/WC_ORA2=0.0
!
!AROO/WC_ACID=0.0
!
!AROO/WC_RP16=0.0
!
!AROO/WC_UR21=0.0
!
!AROO/WC_UR28=0.0
!
!AROO/WC_ACID2=0.0
!
!AROO/WC_ASO3=0.0
!
!AROO/WC_ASO4=0.0
!
!AROO/WC_ASO5=0.0
!
!AROO/WC_AHSO5=0.0
!
!AROO/WC_AHMS=0.0
!
!AROO/WR_O3=0.0
!
!AROO/WR_H2O2=0.0
!
!AROO/WR_NO=0.0
!
!AROO/WR_NO2=0.0
!
!AROO/WR_NO3=0.0
!
!AROO/WR_N2O5=0.0
!
!AROO/WR_HONO=0.0
!
!AROO/WR_HNO3=0.0
!
!AROO/WR_HNO4=0.0
!
!AROO/WR_NH3=0.0
!
!AROO/WR_OH=0.0
!
!AROO/WR_HO2=0.0
!
!AROO/WR_CO2=0.0
!
!AROO/WR_SO2=0.0
!
!AROO/WR_H2SO4=0.0
!
!AROO/WR_RO21=0.0
!
!AROO/WR_RO25=0.0
!
!AROO/WR_MEOH=0.0
!
!AROO/WR_ETOH=0.0
!
!AROO/WR_ALCH=0.0
!
!AROO/WR_HCHO=0.0
!
!AROO/WR_ALD2=0.0
!
!AROO/WR_GLY=0.0
!
!AROO/WR_MGLY=0.0
!
!AROO/WR_KETL=0.0
!
!AROO/WR_ORA1=0.0
!
!AROO/WR_ORA2=0.0
!
!AROO/WR_ACID=0.0
!
!AROO/WR_RP16=0.0
!
!AROO/WR_UR21=0.0
!
!AROO/WR_UR28=0.0
!
!AROO/WR_ACID2=0.0
!
!AROO/WR_ASO3=0.0
!
!AROO/WR_ASO4=0.0
!
!AROO/WR_ASO5=0.0
!
!AROO/WR_AHSO5=0.0
!
!AROO/WR_AHMS=0.0
!
!ARAL/NO=+TPK%CF24*K189*<RO221>
 PJAC(:,25,1)=+TPK%CF24*TPK%K189(:)*TPK%RO221(:)
!
!ARAL/NO2=0.0
!
!ARAL/O3=0.0
!
!ARAL/HONO=0.0
!
!ARAL/HNO3=0.0
!
!ARAL/HNO4=0.0
!
!ARAL/N2O5=0.0
!
!ARAL/NO3=-K081*<ARAL>
 PJAC(:,25,8)=-TPK%K081(:)*PCONC(:,25)
!
!ARAL/NH3=0.0
!
!ARAL/HO2=+K191*<RO221>
 PJAC(:,25,10)=+TPK%K191(:)*TPK%RO221(:)
!
!ARAL/CO=0.0
!
!ARAL/H2O2=0.0
!
!ARAL/SO2=0.0
!
!ARAL/H2SO4=0.0
!
!ARAL/OH=-K082*<ARAL>
 PJAC(:,25,15)=-TPK%K082(:)*PCONC(:,25)
!
!ARAL/ETHE=0.0
!
!ARAL/OLEL=0.0
!
!ARAL/OLEH=0.0
!
!ARAL/ALKL=0.0
!
!ARAL/ALKM=0.0
!
!ARAL/ALKH=0.0
!
!ARAL/AROH=0.0
!
!ARAL/AROL=0.0
!
!ARAL/AROO=0.0
!
!ARAL/ARAL=-K081*<NO3>-K082*<OH>
 PJAC(:,25,25)=-TPK%K081(:)*PCONC(:,8)-TPK%K082(:)*PCONC(:,15)
!
!ARAL/ARAC=0.0
!
!ARAL/PAH=0.0
!
!ARAL/HCHO=0.0
!
!ARAL/ALD2=0.0
!
!ARAL/KETL=0.0
!
!ARAL/KETH=0.0
!
!ARAL/MEOH=0.0
!
!ARAL/ETOH=0.0
!
!ARAL/ALCH=0.0
!
!ARAL/ISOP=0.0
!
!ARAL/BIOL=0.0
!
!ARAL/BIOH=0.0
!
!ARAL/MTBE=0.0
!
!ARAL/MVK=0.0
!
!ARAL/MCR=0.0
!
!ARAL/MGLY=0.0
!
!ARAL/GLY=0.0
!
!ARAL/ORA1=0.0
!
!ARAL/ORA2=0.0
!
!ARAL/ACID=0.0
!
!ARAL/UR28=0.0
!
!ARAL/UR21=0.0
!
!ARAL/URG2=0.0
!
!ARAL/UR26=0.0
!
!ARAL/RPG2=0.0
!
!ARAL/RP18=0.0
!
!ARAL/RPG3=0.0
!
!ARAL/URG4=0.0
!
!ARAL/UR8=0.0
!
!ARAL/UR17=0.0
!
!ARAL/UR7=0.0
!
!ARAL/RPR3=0.0
!
!ARAL/URG6=0.0
!
!ARAL/UR22=0.0
!
!ARAL/URG7=0.0
!
!ARAL/RPR4=0.0
!
!ARAL/RPR7=0.0
!
!ARAL/RPG7=0.0
!
!ARAL/URG8=0.0
!
!ARAL/UR19=0.0
!
!ARAL/URG9=0.0
!
!ARAL/AP7=0.0
!
!ARAL/URG10=0.0
!
!ARAL/RPR1=0.0
!
!ARAL/RPR5=0.0
!
!ARAL/RPR8=0.0
!
!ARAL/RP10=0.0
!
!ARAL/RP11=0.0
!
!ARAL/RP16=0.0
!
!ARAL/RPRL=0.0
!
!ARAL/APAN=0.0
!
!ARAL/PAN1=0.0
!
!ARAL/PAN2=0.0
!
!ARAL/PAN3=0.0
!
!ARAL/PAN4=0.0
!
!ARAL/PAN6=0.0
!
!ARAL/PAN7=0.0
!
!ARAL/PAN8=0.0
!
!ARAL/PN10=0.0
!
!ARAL/RO2T=+K190*<RO221>
 PJAC(:,25,85)=+TPK%K190(:)*TPK%RO221(:)
!
!ARAL/RO21=0.0
!
!ARAL/RO25=0.0
!
!ARAL/WC_O3=0.0
!
!ARAL/WC_H2O2=0.0
!
!ARAL/WC_NO=0.0
!
!ARAL/WC_NO2=0.0
!
!ARAL/WC_NO3=0.0
!
!ARAL/WC_N2O5=0.0
!
!ARAL/WC_HONO=0.0
!
!ARAL/WC_HNO3=0.0
!
!ARAL/WC_HNO4=0.0
!
!ARAL/WC_NH3=0.0
!
!ARAL/WC_OH=0.0
!
!ARAL/WC_HO2=0.0
!
!ARAL/WC_CO2=0.0
!
!ARAL/WC_SO2=0.0
!
!ARAL/WC_H2SO4=0.0
!
!ARAL/WC_RO21=0.0
!
!ARAL/WC_RO25=0.0
!
!ARAL/WC_MEOH=0.0
!
!ARAL/WC_ETOH=0.0
!
!ARAL/WC_ALCH=0.0
!
!ARAL/WC_HCHO=0.0
!
!ARAL/WC_ALD2=0.0
!
!ARAL/WC_GLY=0.0
!
!ARAL/WC_MGLY=0.0
!
!ARAL/WC_KETL=0.0
!
!ARAL/WC_ORA1=0.0
!
!ARAL/WC_ORA2=0.0
!
!ARAL/WC_ACID=0.0
!
!ARAL/WC_RP16=0.0
!
!ARAL/WC_UR21=0.0
!
!ARAL/WC_UR28=0.0
!
!ARAL/WC_ACID2=0.0
!
!ARAL/WC_ASO3=0.0
!
!ARAL/WC_ASO4=0.0
!
!ARAL/WC_ASO5=0.0
!
!ARAL/WC_AHSO5=0.0
!
!ARAL/WC_AHMS=0.0
!
!ARAL/WR_O3=0.0
!
!ARAL/WR_H2O2=0.0
!
!ARAL/WR_NO=0.0
!
!ARAL/WR_NO2=0.0
!
!ARAL/WR_NO3=0.0
!
!ARAL/WR_N2O5=0.0
!
!ARAL/WR_HONO=0.0
!
!ARAL/WR_HNO3=0.0
!
!ARAL/WR_HNO4=0.0
!
!ARAL/WR_NH3=0.0
!
!ARAL/WR_OH=0.0
!
!ARAL/WR_HO2=0.0
!
!ARAL/WR_CO2=0.0
!
!ARAL/WR_SO2=0.0
!
!ARAL/WR_H2SO4=0.0
!
!ARAL/WR_RO21=0.0
!
!ARAL/WR_RO25=0.0
!
!ARAL/WR_MEOH=0.0
!
!ARAL/WR_ETOH=0.0
!
!ARAL/WR_ALCH=0.0
!
!ARAL/WR_HCHO=0.0
!
!ARAL/WR_ALD2=0.0
!
!ARAL/WR_GLY=0.0
!
!ARAL/WR_MGLY=0.0
!
!ARAL/WR_KETL=0.0
!
!ARAL/WR_ORA1=0.0
!
!ARAL/WR_ORA2=0.0
!
!ARAL/WR_ACID=0.0
!
!ARAL/WR_RP16=0.0
!
!ARAL/WR_UR21=0.0
!
!ARAL/WR_UR28=0.0
!
!ARAL/WR_ACID2=0.0
!
!ARAL/WR_ASO3=0.0
!
!ARAL/WR_ASO4=0.0
!
!ARAL/WR_ASO5=0.0
!
!ARAL/WR_AHSO5=0.0
!
!ARAL/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ4
!
SUBROUTINE SUBJ5
!
!Indices 26 a 30
!
!
!ARAC/NO=0.0
!
!ARAC/NO2=0.0
!
!ARAC/O3=0.0
!
!ARAC/HONO=0.0
!
!ARAC/HNO3=0.0
!
!ARAC/HNO4=0.0
!
!ARAC/N2O5=0.0
!
!ARAC/NO3=+K081*<ARAL>
 PJAC(:,26,8)=+TPK%K081(:)*PCONC(:,25)
!
!ARAC/NH3=0.0
!
!ARAC/HO2=0.0
!
!ARAC/CO=0.0
!
!ARAC/H2O2=0.0
!
!ARAC/SO2=0.0
!
!ARAC/H2SO4=0.0
!
!ARAC/OH=+TPK%CF39*K082*<ARAL>-K083*<ARAC>
 PJAC(:,26,15)=+TPK%CF39*TPK%K082(:)*PCONC(:,25)-TPK%K083(:)*PCONC(:,26)
!
!ARAC/ETHE=0.0
!
!ARAC/OLEL=0.0
!
!ARAC/OLEH=0.0
!
!ARAC/ALKL=0.0
!
!ARAC/ALKM=0.0
!
!ARAC/ALKH=0.0
!
!ARAC/AROH=0.0
!
!ARAC/AROL=0.0
!
!ARAC/AROO=0.0
!
!ARAC/ARAL=+K081*<NO3>+TPK%CF39*K082*<OH>
 PJAC(:,26,25)=+TPK%K081(:)*PCONC(:,8)+TPK%CF39*TPK%K082(:)*PCONC(:,15)
!
!ARAC/ARAC=-K083*<OH>
 PJAC(:,26,26)=-TPK%K083(:)*PCONC(:,15)
!
!ARAC/PAH=0.0
!
!ARAC/HCHO=0.0
!
!ARAC/ALD2=0.0
!
!ARAC/KETL=0.0
!
!ARAC/KETH=0.0
!
!ARAC/MEOH=0.0
!
!ARAC/ETOH=0.0
!
!ARAC/ALCH=0.0
!
!ARAC/ISOP=0.0
!
!ARAC/BIOL=0.0
!
!ARAC/BIOH=0.0
!
!ARAC/MTBE=0.0
!
!ARAC/MVK=0.0
!
!ARAC/MCR=0.0
!
!ARAC/MGLY=0.0
!
!ARAC/GLY=0.0
!
!ARAC/ORA1=0.0
!
!ARAC/ORA2=0.0
!
!ARAC/ACID=0.0
!
!ARAC/UR28=0.0
!
!ARAC/UR21=0.0
!
!ARAC/URG2=0.0
!
!ARAC/UR26=0.0
!
!ARAC/RPG2=0.0
!
!ARAC/RP18=0.0
!
!ARAC/RPG3=0.0
!
!ARAC/URG4=0.0
!
!ARAC/UR8=0.0
!
!ARAC/UR17=0.0
!
!ARAC/UR7=0.0
!
!ARAC/RPR3=0.0
!
!ARAC/URG6=0.0
!
!ARAC/UR22=0.0
!
!ARAC/URG7=0.0
!
!ARAC/RPR4=0.0
!
!ARAC/RPR7=0.0
!
!ARAC/RPG7=0.0
!
!ARAC/URG8=0.0
!
!ARAC/UR19=0.0
!
!ARAC/URG9=0.0
!
!ARAC/AP7=0.0
!
!ARAC/URG10=0.0
!
!ARAC/RPR1=0.0
!
!ARAC/RPR5=0.0
!
!ARAC/RPR8=0.0
!
!ARAC/RP10=0.0
!
!ARAC/RP11=0.0
!
!ARAC/RP16=0.0
!
!ARAC/RPRL=0.0
!
!ARAC/APAN=0.0
!
!ARAC/PAN1=0.0
!
!ARAC/PAN2=0.0
!
!ARAC/PAN3=0.0
!
!ARAC/PAN4=0.0
!
!ARAC/PAN6=0.0
!
!ARAC/PAN7=0.0
!
!ARAC/PAN8=0.0
!
!ARAC/PN10=0.0
!
!ARAC/RO2T=0.0
!
!ARAC/RO21=0.0
!
!ARAC/RO25=0.0
!
!ARAC/WC_O3=0.0
!
!ARAC/WC_H2O2=0.0
!
!ARAC/WC_NO=0.0
!
!ARAC/WC_NO2=0.0
!
!ARAC/WC_NO3=0.0
!
!ARAC/WC_N2O5=0.0
!
!ARAC/WC_HONO=0.0
!
!ARAC/WC_HNO3=0.0
!
!ARAC/WC_HNO4=0.0
!
!ARAC/WC_NH3=0.0
!
!ARAC/WC_OH=0.0
!
!ARAC/WC_HO2=0.0
!
!ARAC/WC_CO2=0.0
!
!ARAC/WC_SO2=0.0
!
!ARAC/WC_H2SO4=0.0
!
!ARAC/WC_RO21=0.0
!
!ARAC/WC_RO25=0.0
!
!ARAC/WC_MEOH=0.0
!
!ARAC/WC_ETOH=0.0
!
!ARAC/WC_ALCH=0.0
!
!ARAC/WC_HCHO=0.0
!
!ARAC/WC_ALD2=0.0
!
!ARAC/WC_GLY=0.0
!
!ARAC/WC_MGLY=0.0
!
!ARAC/WC_KETL=0.0
!
!ARAC/WC_ORA1=0.0
!
!ARAC/WC_ORA2=0.0
!
!ARAC/WC_ACID=0.0
!
!ARAC/WC_RP16=0.0
!
!ARAC/WC_UR21=0.0
!
!ARAC/WC_UR28=0.0
!
!ARAC/WC_ACID2=0.0
!
!ARAC/WC_ASO3=0.0
!
!ARAC/WC_ASO4=0.0
!
!ARAC/WC_ASO5=0.0
!
!ARAC/WC_AHSO5=0.0
!
!ARAC/WC_AHMS=0.0
!
!ARAC/WR_O3=0.0
!
!ARAC/WR_H2O2=0.0
!
!ARAC/WR_NO=0.0
!
!ARAC/WR_NO2=0.0
!
!ARAC/WR_NO3=0.0
!
!ARAC/WR_N2O5=0.0
!
!ARAC/WR_HONO=0.0
!
!ARAC/WR_HNO3=0.0
!
!ARAC/WR_HNO4=0.0
!
!ARAC/WR_NH3=0.0
!
!ARAC/WR_OH=0.0
!
!ARAC/WR_HO2=0.0
!
!ARAC/WR_CO2=0.0
!
!ARAC/WR_SO2=0.0
!
!ARAC/WR_H2SO4=0.0
!
!ARAC/WR_RO21=0.0
!
!ARAC/WR_RO25=0.0
!
!ARAC/WR_MEOH=0.0
!
!ARAC/WR_ETOH=0.0
!
!ARAC/WR_ALCH=0.0
!
!ARAC/WR_HCHO=0.0
!
!ARAC/WR_ALD2=0.0
!
!ARAC/WR_GLY=0.0
!
!ARAC/WR_MGLY=0.0
!
!ARAC/WR_KETL=0.0
!
!ARAC/WR_ORA1=0.0
!
!ARAC/WR_ORA2=0.0
!
!ARAC/WR_ACID=0.0
!
!ARAC/WR_RP16=0.0
!
!ARAC/WR_UR21=0.0
!
!ARAC/WR_UR28=0.0
!
!ARAC/WR_ACID2=0.0
!
!ARAC/WR_ASO3=0.0
!
!ARAC/WR_ASO4=0.0
!
!ARAC/WR_ASO5=0.0
!
!ARAC/WR_AHSO5=0.0
!
!ARAC/WR_AHMS=0.0
!
!PAH/NO=0.0
!
!PAH/NO2=0.0
!
!PAH/O3=0.0
!
!PAH/HONO=0.0
!
!PAH/HNO3=0.0
!
!PAH/HNO4=0.0
!
!PAH/N2O5=0.0
!
!PAH/NO3=0.0
!
!PAH/NH3=0.0
!
!PAH/HO2=0.0
!
!PAH/CO=0.0
!
!PAH/H2O2=0.0
!
!PAH/SO2=0.0
!
!PAH/H2SO4=0.0
!
!PAH/OH=-K092*<PAH>
 PJAC(:,27,15)=-TPK%K092(:)*PCONC(:,27)
!
!PAH/ETHE=0.0
!
!PAH/OLEL=0.0
!
!PAH/OLEH=0.0
!
!PAH/ALKL=0.0
!
!PAH/ALKM=0.0
!
!PAH/ALKH=0.0
!
!PAH/AROH=0.0
!
!PAH/AROL=0.0
!
!PAH/AROO=0.0
!
!PAH/ARAL=0.0
!
!PAH/ARAC=0.0
!
!PAH/PAH=-K092*<OH>
 PJAC(:,27,27)=-TPK%K092(:)*PCONC(:,15)
!
!PAH/HCHO=0.0
!
!PAH/ALD2=0.0
!
!PAH/KETL=0.0
!
!PAH/KETH=0.0
!
!PAH/MEOH=0.0
!
!PAH/ETOH=0.0
!
!PAH/ALCH=0.0
!
!PAH/ISOP=0.0
!
!PAH/BIOL=0.0
!
!PAH/BIOH=0.0
!
!PAH/MTBE=0.0
!
!PAH/MVK=0.0
!
!PAH/MCR=0.0
!
!PAH/MGLY=0.0
!
!PAH/GLY=0.0
!
!PAH/ORA1=0.0
!
!PAH/ORA2=0.0
!
!PAH/ACID=0.0
!
!PAH/UR28=0.0
!
!PAH/UR21=0.0
!
!PAH/URG2=0.0
!
!PAH/UR26=0.0
!
!PAH/RPG2=0.0
!
!PAH/RP18=0.0
!
!PAH/RPG3=0.0
!
!PAH/URG4=0.0
!
!PAH/UR8=0.0
!
!PAH/UR17=0.0
!
!PAH/UR7=0.0
!
!PAH/RPR3=0.0
!
!PAH/URG6=0.0
!
!PAH/UR22=0.0
!
!PAH/URG7=0.0
!
!PAH/RPR4=0.0
!
!PAH/RPR7=0.0
!
!PAH/RPG7=0.0
!
!PAH/URG8=0.0
!
!PAH/UR19=0.0
!
!PAH/URG9=0.0
!
!PAH/AP7=0.0
!
!PAH/URG10=0.0
!
!PAH/RPR1=0.0
!
!PAH/RPR5=0.0
!
!PAH/RPR8=0.0
!
!PAH/RP10=0.0
!
!PAH/RP11=0.0
!
!PAH/RP16=0.0
!
!PAH/RPRL=0.0
!
!PAH/APAN=0.0
!
!PAH/PAN1=0.0
!
!PAH/PAN2=0.0
!
!PAH/PAN3=0.0
!
!PAH/PAN4=0.0
!
!PAH/PAN6=0.0
!
!PAH/PAN7=0.0
!
!PAH/PAN8=0.0
!
!PAH/PN10=0.0
!
!PAH/RO2T=0.0
!
!PAH/RO21=0.0
!
!PAH/RO25=0.0
!
!PAH/WC_O3=0.0
!
!PAH/WC_H2O2=0.0
!
!PAH/WC_NO=0.0
!
!PAH/WC_NO2=0.0
!
!PAH/WC_NO3=0.0
!
!PAH/WC_N2O5=0.0
!
!PAH/WC_HONO=0.0
!
!PAH/WC_HNO3=0.0
!
!PAH/WC_HNO4=0.0
!
!PAH/WC_NH3=0.0
!
!PAH/WC_OH=0.0
!
!PAH/WC_HO2=0.0
!
!PAH/WC_CO2=0.0
!
!PAH/WC_SO2=0.0
!
!PAH/WC_H2SO4=0.0
!
!PAH/WC_RO21=0.0
!
!PAH/WC_RO25=0.0
!
!PAH/WC_MEOH=0.0
!
!PAH/WC_ETOH=0.0
!
!PAH/WC_ALCH=0.0
!
!PAH/WC_HCHO=0.0
!
!PAH/WC_ALD2=0.0
!
!PAH/WC_GLY=0.0
!
!PAH/WC_MGLY=0.0
!
!PAH/WC_KETL=0.0
!
!PAH/WC_ORA1=0.0
!
!PAH/WC_ORA2=0.0
!
!PAH/WC_ACID=0.0
!
!PAH/WC_RP16=0.0
!
!PAH/WC_UR21=0.0
!
!PAH/WC_UR28=0.0
!
!PAH/WC_ACID2=0.0
!
!PAH/WC_ASO3=0.0
!
!PAH/WC_ASO4=0.0
!
!PAH/WC_ASO5=0.0
!
!PAH/WC_AHSO5=0.0
!
!PAH/WC_AHMS=0.0
!
!PAH/WR_O3=0.0
!
!PAH/WR_H2O2=0.0
!
!PAH/WR_NO=0.0
!
!PAH/WR_NO2=0.0
!
!PAH/WR_NO3=0.0
!
!PAH/WR_N2O5=0.0
!
!PAH/WR_HONO=0.0
!
!PAH/WR_HNO3=0.0
!
!PAH/WR_HNO4=0.0
!
!PAH/WR_NH3=0.0
!
!PAH/WR_OH=0.0
!
!PAH/WR_HO2=0.0
!
!PAH/WR_CO2=0.0
!
!PAH/WR_SO2=0.0
!
!PAH/WR_H2SO4=0.0
!
!PAH/WR_RO21=0.0
!
!PAH/WR_RO25=0.0
!
!PAH/WR_MEOH=0.0
!
!PAH/WR_ETOH=0.0
!
!PAH/WR_ALCH=0.0
!
!PAH/WR_HCHO=0.0
!
!PAH/WR_ALD2=0.0
!
!PAH/WR_GLY=0.0
!
!PAH/WR_MGLY=0.0
!
!PAH/WR_KETL=0.0
!
!PAH/WR_ORA1=0.0
!
!PAH/WR_ORA2=0.0
!
!PAH/WR_ACID=0.0
!
!PAH/WR_RP16=0.0
!
!PAH/WR_UR21=0.0
!
!PAH/WR_UR28=0.0
!
!PAH/WR_ACID2=0.0
!
!PAH/WR_ASO3=0.0
!
!PAH/WR_ASO4=0.0
!
!PAH/WR_ASO5=0.0
!
!PAH/WR_AHSO5=0.0
!
!PAH/WR_AHMS=0.0
!
!HCHO/NO=+K110*<RO21>+K113*<RO22>+K116*<RO23>+K119*<RO24>+TPK%CF6*K150*<RO29>+K
!153*<RO210>+K156*<RO211>+K159*<RO212>+K162*<RO213>+TPK%CF10*K171*<RO215>+K183*
!<RO219>+K285*<RO249>+K291*<RO251>+K294*<RO252>+K297*<RO253>
 PJAC(:,28,1)=+TPK%K110(:)*PCONC(:,86)+TPK%K113(:)*TPK%RO22(:)+TPK%K116(:)*TPK%&
&RO23(:)+TPK%K119(:)*TPK%RO24(:)+TPK%CF6*TPK%K150(:)*TPK%RO29(:)+TPK%K153(:)*TP&
&K%RO210(:)+TPK%K156(:)*TPK%RO211(:)+TPK%K159(:)*TPK%RO212(:)+TPK%K162(:)*TPK%R&
&O213(:)+TPK%CF10*TPK%K171(:)*TPK%RO215(:)+TPK%K183(:)*TPK%RO219(:)+TPK%K285(:)&
&*TPK%RO249(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO252(:)+TPK%K297(:)*TP&
&K%RO253(:)
!
!HCHO/NO2=0.0
!
!HCHO/O3=+0.5*K051*<ETHE>+0.5*K056*<OLEL>+0.5*K066*<ISOP>+0.5*K076*<OLEH>+0.5*K
!281*<MVK>+0.5*K282*<MCR>
 PJAC(:,28,3)=+0.5*TPK%K051(:)*PCONC(:,16)+0.5*TPK%K056(:)*PCONC(:,17)+0.5*TPK%&
&K066(:)*PCONC(:,35)+0.5*TPK%K076(:)*PCONC(:,18)+0.5*TPK%K281(:)*PCONC(:,39)+0.&
&5*TPK%K282(:)*PCONC(:,40)
!
!HCHO/HONO=0.0
!
!HCHO/HNO3=0.0
!
!HCHO/HNO4=0.0
!
!HCHO/N2O5=0.0
!
!HCHO/NO3=-K047*<HCHO>
 PJAC(:,28,8)=-TPK%K047(:)*PCONC(:,28)
!
!HCHO/NH3=0.0
!
!HCHO/HO2=+K112*<RO21>+K115*<RO22>+K118*<RO23>+K121*<RO24>+K152*<RO29>+K155*<RO
!210>+K158*<RO211>+K161*<RO212>+K164*<RO213>+TPK%CF14*K173*<RO215>+K185*<RO219>
!+K287*<RO249>+K292*<RO251>+K295*<RO252>+K298*<RO253>
 PJAC(:,28,10)=+TPK%K112(:)*PCONC(:,86)+TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK&
&%RO23(:)+TPK%K121(:)*TPK%RO24(:)+TPK%K152(:)*TPK%RO29(:)+TPK%K155(:)*TPK%RO210&
&(:)+TPK%K158(:)*TPK%RO211(:)+TPK%K161(:)*TPK%RO212(:)+TPK%K164(:)*TPK%RO213(:)&
&+TPK%CF14*TPK%K173(:)*TPK%RO215(:)+TPK%K185(:)*TPK%RO219(:)+TPK%K287(:)*TPK%RO&
&249(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO252(:)+TPK%K298(:)*TPK%RO253&
&(:)
!
!HCHO/CO=0.0
!
!HCHO/H2O2=0.0
!
!HCHO/SO2=0.0
!
!HCHO/H2SO4=0.0
!
!HCHO/OH=-K046*<HCHO>+K048*<MEOH>
 PJAC(:,28,15)=-TPK%K046(:)*PCONC(:,28)+TPK%K048(:)*PCONC(:,32)
!
!HCHO/ETHE=+0.5*K051*<O3>
 PJAC(:,28,16)=+0.5*TPK%K051(:)*PCONC(:,3)
!
!HCHO/OLEL=+0.5*K056*<O3>
 PJAC(:,28,17)=+0.5*TPK%K056(:)*PCONC(:,3)
!
!HCHO/OLEH=+0.5*K076*<O3>
 PJAC(:,28,18)=+0.5*TPK%K076(:)*PCONC(:,3)
!
!HCHO/ALKL=0.0
!
!HCHO/ALKM=0.0
!
!HCHO/ALKH=0.0
!
!HCHO/AROH=0.0
!
!HCHO/AROL=0.0
!
!HCHO/AROO=0.0
!
!HCHO/ARAL=0.0
!
!HCHO/ARAC=0.0
!
!HCHO/PAH=0.0
!
!HCHO/HCHO=-K044-K045-K046*<OH>-K047*<NO3>-KTC21-KTR21
 PJAC(:,28,28)=-TPK%K044(:)-TPK%K045(:)-TPK%K046(:)*PCONC(:,15)-TPK%K047(:)*PCO&
&NC(:,8)-TPK%KTC21(:)-TPK%KTR21(:)
!
!HCHO/ALD2=0.0
!
!HCHO/KETL=0.0
!
!HCHO/KETH=0.0
!
!HCHO/MEOH=+K048*<OH>
 PJAC(:,28,32)=+TPK%K048(:)*PCONC(:,15)
!
!HCHO/ETOH=0.0
!
!HCHO/ALCH=0.0
!
!HCHO/ISOP=+0.5*K066*<O3>
 PJAC(:,28,35)=+0.5*TPK%K066(:)*PCONC(:,3)
!
!HCHO/BIOL=0.0
!
!HCHO/BIOH=0.0
!
!HCHO/MTBE=0.0
!
!HCHO/MVK=+0.5*K281*<O3>
 PJAC(:,28,39)=+0.5*TPK%K281(:)*PCONC(:,3)
!
!HCHO/MCR=+0.5*K282*<O3>
 PJAC(:,28,40)=+0.5*TPK%K282(:)*PCONC(:,3)
!
!HCHO/MGLY=0.0
!
!HCHO/GLY=0.0
!
!HCHO/ORA1=0.0
!
!HCHO/ORA2=0.0
!
!HCHO/ACID=0.0
!
!HCHO/UR28=0.0
!
!HCHO/UR21=0.0
!
!HCHO/URG2=0.0
!
!HCHO/UR26=0.0
!
!HCHO/RPG2=0.0
!
!HCHO/RP18=0.0
!
!HCHO/RPG3=0.0
!
!HCHO/URG4=0.0
!
!HCHO/UR8=0.0
!
!HCHO/UR17=0.0
!
!HCHO/UR7=0.0
!
!HCHO/RPR3=0.0
!
!HCHO/URG6=0.0
!
!HCHO/UR22=0.0
!
!HCHO/URG7=0.0
!
!HCHO/RPR4=0.0
!
!HCHO/RPR7=0.0
!
!HCHO/RPG7=0.0
!
!HCHO/URG8=0.0
!
!HCHO/UR19=0.0
!
!HCHO/URG9=0.0
!
!HCHO/AP7=0.0
!
!HCHO/URG10=0.0
!
!HCHO/RPR1=0.0
!
!HCHO/RPR5=0.0
!
!HCHO/RPR8=0.0
!
!HCHO/RP10=0.0
!
!HCHO/RP11=0.0
!
!HCHO/RP16=0.0
!
!HCHO/RPRL=0.0
!
!HCHO/APAN=0.0
!
!HCHO/PAN1=0.0
!
!HCHO/PAN2=0.0
!
!HCHO/PAN3=0.0
!
!HCHO/PAN4=0.0
!
!HCHO/PAN6=0.0
!
!HCHO/PAN7=0.0
!
!HCHO/PAN8=0.0
!
!HCHO/PN10=0.0
!
!HCHO/RO2T=+K111*<RO21>+K114*<RO22>+K117*<RO23>+K120*<RO24>+K151*<RO29>+K154*<R
!O210>+K157*<RO211>+K160*<RO212>+K163*<RO213>+TPK%CF14*K172*<RO215>+K184*<RO219
!>+K286*<RO249>+K293*<RO251>+K296*<RO252>+K299*<RO253>
 PJAC(:,28,85)=+TPK%K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK&
&%RO23(:)+TPK%K120(:)*TPK%RO24(:)+TPK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210&
&(:)+TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK%RO212(:)+TPK%K163(:)*TPK%RO213(:)&
&+TPK%CF14*TPK%K172(:)*TPK%RO215(:)+TPK%K184(:)*TPK%RO219(:)+TPK%K286(:)*TPK%RO&
&249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*TPK%RO253&
&(:)
!
!HCHO/RO21=+K110*<NO>+K111*<RO2T>+K112*<HO2>
 PJAC(:,28,86)=+TPK%K110(:)*PCONC(:,1)+TPK%K111(:)*PCONC(:,85)+TPK%K112(:)*PCON&
&C(:,10)
!
!HCHO/RO25=0.0
!
!HCHO/WC_O3=0.0
!
!HCHO/WC_H2O2=0.0
!
!HCHO/WC_NO=0.0
!
!HCHO/WC_NO2=0.0
!
!HCHO/WC_NO3=0.0
!
!HCHO/WC_N2O5=0.0
!
!HCHO/WC_HONO=0.0
!
!HCHO/WC_HNO3=0.0
!
!HCHO/WC_HNO4=0.0
!
!HCHO/WC_NH3=0.0
!
!HCHO/WC_OH=0.0
!
!HCHO/WC_HO2=0.0
!
!HCHO/WC_CO2=0.0
!
!HCHO/WC_SO2=0.0
!
!HCHO/WC_H2SO4=0.0
!
!HCHO/WC_RO21=0.0
!
!HCHO/WC_RO25=0.0
!
!HCHO/WC_MEOH=0.0
!
!HCHO/WC_ETOH=0.0
!
!HCHO/WC_ALCH=0.0
!
!HCHO/WC_HCHO=+KTC52
 PJAC(:,28,108)=+TPK%KTC52(:)
!
!HCHO/WC_ALD2=0.0
!
!HCHO/WC_GLY=0.0
!
!HCHO/WC_MGLY=0.0
!
!HCHO/WC_KETL=0.0
!
!HCHO/WC_ORA1=0.0
!
!HCHO/WC_ORA2=0.0
!
!HCHO/WC_ACID=0.0
!
!HCHO/WC_RP16=0.0
!
!HCHO/WC_UR21=0.0
!
!HCHO/WC_UR28=0.0
!
!HCHO/WC_ACID2=0.0
!
!HCHO/WC_ASO3=0.0
!
!HCHO/WC_ASO4=0.0
!
!HCHO/WC_ASO5=0.0
!
!HCHO/WC_AHSO5=0.0
!
!HCHO/WC_AHMS=0.0
!
!HCHO/WR_O3=0.0
!
!HCHO/WR_H2O2=0.0
!
!HCHO/WR_NO=0.0
!
!HCHO/WR_NO2=0.0
!
!HCHO/WR_NO3=0.0
!
!HCHO/WR_N2O5=0.0
!
!HCHO/WR_HONO=0.0
!
!HCHO/WR_HNO3=0.0
!
!HCHO/WR_HNO4=0.0
!
!HCHO/WR_NH3=0.0
!
!HCHO/WR_OH=0.0
!
!HCHO/WR_HO2=0.0
!
!HCHO/WR_CO2=0.0
!
!HCHO/WR_SO2=0.0
!
!HCHO/WR_H2SO4=0.0
!
!HCHO/WR_RO21=0.0
!
!HCHO/WR_RO25=0.0
!
!HCHO/WR_MEOH=0.0
!
!HCHO/WR_ETOH=0.0
!
!HCHO/WR_ALCH=0.0
!
!HCHO/WR_HCHO=+KTR52
 PJAC(:,28,145)=+TPK%KTR52(:)
!
!HCHO/WR_ALD2=0.0
!
!HCHO/WR_GLY=0.0
!
!HCHO/WR_MGLY=0.0
!
!HCHO/WR_KETL=0.0
!
!HCHO/WR_ORA1=0.0
!
!HCHO/WR_ORA2=0.0
!
!HCHO/WR_ACID=0.0
!
!HCHO/WR_RP16=0.0
!
!HCHO/WR_UR21=0.0
!
!HCHO/WR_UR28=0.0
!
!HCHO/WR_ACID2=0.0
!
!HCHO/WR_ASO3=0.0
!
!HCHO/WR_ASO4=0.0
!
!HCHO/WR_ASO5=0.0
!
!HCHO/WR_AHSO5=0.0
!
!HCHO/WR_AHMS=0.0
!
!ALD2/NO=+K113*<RO22>+K116*<RO23>+TPK%CF4*K122*<RO25>+K144*<RO27>+TPK%CF9*K171*
!<RO215>+K174*<RO216>
 PJAC(:,29,1)=+TPK%K113(:)*TPK%RO22(:)+TPK%K116(:)*TPK%RO23(:)+TPK%CF4*TPK%K122&
&(:)*PCONC(:,87)+TPK%K144(:)*TPK%RO27(:)+TPK%CF9*TPK%K171(:)*TPK%RO215(:)+TPK%K&
&174(:)*TPK%RO216(:)
!
!ALD2/NO2=0.0
!
!ALD2/O3=+0.5*K056*<OLEL>+0.1*K281*<MVK>
 PJAC(:,29,3)=+0.5*TPK%K056(:)*PCONC(:,17)+0.1*TPK%K281(:)*PCONC(:,39)
!
!ALD2/HONO=0.0
!
!ALD2/HNO3=0.0
!
!ALD2/HNO4=0.0
!
!ALD2/N2O5=0.0
!
!ALD2/NO3=-K061*<ALD2>
 PJAC(:,29,8)=-TPK%K061(:)*PCONC(:,29)
!
!ALD2/NH3=0.0
!
!ALD2/HO2=+K115*<RO22>+K118*<RO23>+K124*<RO25>+K146*<RO27>+TPK%CF13*K173*<RO215
!>+K176*<RO216>
 PJAC(:,29,10)=+TPK%K115(:)*TPK%RO22(:)+TPK%K118(:)*TPK%RO23(:)+TPK%K124(:)*PCO&
&NC(:,87)+TPK%K146(:)*TPK%RO27(:)+TPK%CF13*TPK%K173(:)*TPK%RO215(:)+TPK%K176(:)&
&*TPK%RO216(:)
!
!ALD2/CO=0.0
!
!ALD2/H2O2=0.0
!
!ALD2/SO2=0.0
!
!ALD2/H2SO4=0.0
!
!ALD2/OH=+TPK%CF1*K053*<ETOH>-K060*<ALD2>
 PJAC(:,29,15)=+TPK%CF1*TPK%K053(:)*PCONC(:,33)-TPK%K060(:)*PCONC(:,29)
!
!ALD2/ETHE=0.0
!
!ALD2/OLEL=+0.5*K056*<O3>+0.4*K057*<O>
 PJAC(:,29,17)=+0.5*TPK%K056(:)*PCONC(:,3)+0.4*TPK%K057(:)*TPK%O(:)
!
!ALD2/OLEH=0.0
!
!ALD2/ALKL=0.0
!
!ALD2/ALKM=0.0
!
!ALD2/ALKH=0.0
!
!ALD2/AROH=0.0
!
!ALD2/AROL=0.0
!
!ALD2/AROO=0.0
!
!ALD2/ARAL=0.0
!
!ALD2/ARAC=0.0
!
!ALD2/PAH=0.0
!
!ALD2/HCHO=0.0
!
!ALD2/ALD2=-K059-K060*<OH>-K061*<NO3>-KTC22-KTR22
 PJAC(:,29,29)=-TPK%K059(:)-TPK%K060(:)*PCONC(:,15)-TPK%K061(:)*PCONC(:,8)-TPK%&
&KTC22(:)-TPK%KTR22(:)
!
!ALD2/KETL=0.0
!
!ALD2/KETH=0.0
!
!ALD2/MEOH=0.0
!
!ALD2/ETOH=+TPK%CF1*K053*<OH>
 PJAC(:,29,33)=+TPK%CF1*TPK%K053(:)*PCONC(:,15)
!
!ALD2/ALCH=0.0
!
!ALD2/ISOP=+0.075*K067*<O>
 PJAC(:,29,35)=+0.075*TPK%K067(:)*TPK%O(:)
!
!ALD2/BIOL=0.0
!
!ALD2/BIOH=0.0
!
!ALD2/MTBE=0.0
!
!ALD2/MVK=+0.1*K281*<O3>
 PJAC(:,29,39)=+0.1*TPK%K281(:)*PCONC(:,3)
!
!ALD2/MCR=+0.85*K284*<O>
 PJAC(:,29,40)=+0.85*TPK%K284(:)*TPK%O(:)
!
!ALD2/MGLY=0.0
!
!ALD2/GLY=0.0
!
!ALD2/ORA1=0.0
!
!ALD2/ORA2=0.0
!
!ALD2/ACID=0.0
!
!ALD2/UR28=0.0
!
!ALD2/UR21=0.0
!
!ALD2/URG2=0.0
!
!ALD2/UR26=0.0
!
!ALD2/RPG2=0.0
!
!ALD2/RP18=0.0
!
!ALD2/RPG3=0.0
!
!ALD2/URG4=0.0
!
!ALD2/UR8=0.0
!
!ALD2/UR17=0.0
!
!ALD2/UR7=0.0
!
!ALD2/RPR3=0.0
!
!ALD2/URG6=0.0
!
!ALD2/UR22=0.0
!
!ALD2/URG7=0.0
!
!ALD2/RPR4=0.0
!
!ALD2/RPR7=0.0
!
!ALD2/RPG7=0.0
!
!ALD2/URG8=0.0
!
!ALD2/UR19=0.0
!
!ALD2/URG9=0.0
!
!ALD2/AP7=0.0
!
!ALD2/URG10=0.0
!
!ALD2/RPR1=0.0
!
!ALD2/RPR5=0.0
!
!ALD2/RPR8=0.0
!
!ALD2/RP10=0.0
!
!ALD2/RP11=0.0
!
!ALD2/RP16=0.0
!
!ALD2/RPRL=0.0
!
!ALD2/APAN=0.0
!
!ALD2/PAN1=0.0
!
!ALD2/PAN2=0.0
!
!ALD2/PAN3=0.0
!
!ALD2/PAN4=0.0
!
!ALD2/PAN6=0.0
!
!ALD2/PAN7=0.0
!
!ALD2/PAN8=0.0
!
!ALD2/PN10=0.0
!
!ALD2/RO2T=+K114*<RO22>+K117*<RO23>+K123*<RO25>+K145*<RO27>+TPK%CF13*K172*<RO21
!5>+K175*<RO216>
 PJAC(:,29,85)=+TPK%K114(:)*TPK%RO22(:)+TPK%K117(:)*TPK%RO23(:)+TPK%K123(:)*PCO&
&NC(:,87)+TPK%K145(:)*TPK%RO27(:)+TPK%CF13*TPK%K172(:)*TPK%RO215(:)+TPK%K175(:)&
&*TPK%RO216(:)
!
!ALD2/RO21=0.0
!
!ALD2/RO25=+TPK%CF4*K122*<NO>+K123*<RO2T>+K124*<HO2>
 PJAC(:,29,87)=+TPK%CF4*TPK%K122(:)*PCONC(:,1)+TPK%K123(:)*PCONC(:,85)+TPK%K124&
&(:)*PCONC(:,10)
!
!ALD2/WC_O3=0.0
!
!ALD2/WC_H2O2=0.0
!
!ALD2/WC_NO=0.0
!
!ALD2/WC_NO2=0.0
!
!ALD2/WC_NO3=0.0
!
!ALD2/WC_N2O5=0.0
!
!ALD2/WC_HONO=0.0
!
!ALD2/WC_HNO3=0.0
!
!ALD2/WC_HNO4=0.0
!
!ALD2/WC_NH3=0.0
!
!ALD2/WC_OH=0.0
!
!ALD2/WC_HO2=0.0
!
!ALD2/WC_CO2=0.0
!
!ALD2/WC_SO2=0.0
!
!ALD2/WC_H2SO4=0.0
!
!ALD2/WC_RO21=0.0
!
!ALD2/WC_RO25=0.0
!
!ALD2/WC_MEOH=0.0
!
!ALD2/WC_ETOH=0.0
!
!ALD2/WC_ALCH=0.0
!
!ALD2/WC_HCHO=0.0
!
!ALD2/WC_ALD2=+KTC53
 PJAC(:,29,109)=+TPK%KTC53(:)
!
!ALD2/WC_GLY=0.0
!
!ALD2/WC_MGLY=0.0
!
!ALD2/WC_KETL=0.0
!
!ALD2/WC_ORA1=0.0
!
!ALD2/WC_ORA2=0.0
!
!ALD2/WC_ACID=0.0
!
!ALD2/WC_RP16=0.0
!
!ALD2/WC_UR21=0.0
!
!ALD2/WC_UR28=0.0
!
!ALD2/WC_ACID2=0.0
!
!ALD2/WC_ASO3=0.0
!
!ALD2/WC_ASO4=0.0
!
!ALD2/WC_ASO5=0.0
!
!ALD2/WC_AHSO5=0.0
!
!ALD2/WC_AHMS=0.0
!
!ALD2/WR_O3=0.0
!
!ALD2/WR_H2O2=0.0
!
!ALD2/WR_NO=0.0
!
!ALD2/WR_NO2=0.0
!
!ALD2/WR_NO3=0.0
!
!ALD2/WR_N2O5=0.0
!
!ALD2/WR_HONO=0.0
!
!ALD2/WR_HNO3=0.0
!
!ALD2/WR_HNO4=0.0
!
!ALD2/WR_NH3=0.0
!
!ALD2/WR_OH=0.0
!
!ALD2/WR_HO2=0.0
!
!ALD2/WR_CO2=0.0
!
!ALD2/WR_SO2=0.0
!
!ALD2/WR_H2SO4=0.0
!
!ALD2/WR_RO21=0.0
!
!ALD2/WR_RO25=0.0
!
!ALD2/WR_MEOH=0.0
!
!ALD2/WR_ETOH=0.0
!
!ALD2/WR_ALCH=0.0
!
!ALD2/WR_HCHO=0.0
!
!ALD2/WR_ALD2=+KTR53
 PJAC(:,29,146)=+TPK%KTR53(:)
!
!ALD2/WR_GLY=0.0
!
!ALD2/WR_MGLY=0.0
!
!ALD2/WR_KETL=0.0
!
!ALD2/WR_ORA1=0.0
!
!ALD2/WR_ORA2=0.0
!
!ALD2/WR_ACID=0.0
!
!ALD2/WR_RP16=0.0
!
!ALD2/WR_UR21=0.0
!
!ALD2/WR_UR28=0.0
!
!ALD2/WR_ACID2=0.0
!
!ALD2/WR_ASO3=0.0
!
!ALD2/WR_ASO4=0.0
!
!ALD2/WR_ASO5=0.0
!
!ALD2/WR_AHSO5=0.0
!
!ALD2/WR_AHMS=0.0
!
!KETL/NO=+TPK%CF11*K171*<RO215>
 PJAC(:,30,1)=+TPK%CF11*TPK%K171(:)*TPK%RO215(:)
!
!KETL/NO2=0.0
!
!KETL/O3=0.0
!
!KETL/HONO=0.0
!
!KETL/HNO3=0.0
!
!KETL/HNO4=0.0
!
!KETL/N2O5=0.0
!
!KETL/NO3=0.0
!
!KETL/NH3=0.0
!
!KETL/HO2=+TPK%CF15*K173*<RO215>
 PJAC(:,30,10)=+TPK%CF15*TPK%K173(:)*TPK%RO215(:)
!
!KETL/CO=0.0
!
!KETL/H2O2=0.0
!
!KETL/SO2=0.0
!
!KETL/H2SO4=0.0
!
!KETL/OH=-K062*<KETL>
 PJAC(:,30,15)=-TPK%K062(:)*PCONC(:,30)
!
!KETL/ETHE=0.0
!
!KETL/OLEL=0.0
!
!KETL/OLEH=0.0
!
!KETL/ALKL=0.0
!
!KETL/ALKM=0.0
!
!KETL/ALKH=0.0
!
!KETL/AROH=0.0
!
!KETL/AROL=0.0
!
!KETL/AROO=0.0
!
!KETL/ARAL=0.0
!
!KETL/ARAC=0.0
!
!KETL/PAH=0.0
!
!KETL/HCHO=0.0
!
!KETL/ALD2=0.0
!
!KETL/KETL=-K062*<OH>-K063-KTC24-KTR24
 PJAC(:,30,30)=-TPK%K062(:)*PCONC(:,15)-TPK%K063(:)-TPK%KTC24(:)-TPK%KTR24(:)
!
!KETL/KETH=0.0
!
!KETL/MEOH=0.0
!
!KETL/ETOH=0.0
!
!KETL/ALCH=0.0
!
!KETL/ISOP=0.0
!
!KETL/BIOL=0.0
!
!KETL/BIOH=0.0
!
!KETL/MTBE=0.0
!
!KETL/MVK=+0.85*K283*<O>
 PJAC(:,30,39)=+0.85*TPK%K283(:)*TPK%O(:)
!
!KETL/MCR=0.0
!
!KETL/MGLY=0.0
!
!KETL/GLY=0.0
!
!KETL/ORA1=0.0
!
!KETL/ORA2=0.0
!
!KETL/ACID=0.0
!
!KETL/UR28=0.0
!
!KETL/UR21=0.0
!
!KETL/URG2=0.0
!
!KETL/UR26=0.0
!
!KETL/RPG2=0.0
!
!KETL/RP18=0.0
!
!KETL/RPG3=0.0
!
!KETL/URG4=0.0
!
!KETL/UR8=0.0
!
!KETL/UR17=0.0
!
!KETL/UR7=0.0
!
!KETL/RPR3=0.0
!
!KETL/URG6=0.0
!
!KETL/UR22=0.0
!
!KETL/URG7=0.0
!
!KETL/RPR4=0.0
!
!KETL/RPR7=0.0
!
!KETL/RPG7=0.0
!
!KETL/URG8=0.0
!
!KETL/UR19=0.0
!
!KETL/URG9=0.0
!
!KETL/AP7=0.0
!
!KETL/URG10=0.0
!
!KETL/RPR1=0.0
!
!KETL/RPR5=0.0
!
!KETL/RPR8=0.0
!
!KETL/RP10=0.0
!
!KETL/RP11=0.0
!
!KETL/RP16=0.0
!
!KETL/RPRL=0.0
!
!KETL/APAN=0.0
!
!KETL/PAN1=0.0
!
!KETL/PAN2=0.0
!
!KETL/PAN3=0.0
!
!KETL/PAN4=0.0
!
!KETL/PAN6=0.0
!
!KETL/PAN7=0.0
!
!KETL/PAN8=0.0
!
!KETL/PN10=0.0
!
!KETL/RO2T=+TPK%CF15*K172*<RO215>
 PJAC(:,30,85)=+TPK%CF15*TPK%K172(:)*TPK%RO215(:)
!
!KETL/RO21=0.0
!
!KETL/RO25=0.0
!
!KETL/WC_O3=0.0
!
!KETL/WC_H2O2=0.0
!
!KETL/WC_NO=0.0
!
!KETL/WC_NO2=0.0
!
!KETL/WC_NO3=0.0
!
!KETL/WC_N2O5=0.0
!
!KETL/WC_HONO=0.0
!
!KETL/WC_HNO3=0.0
!
!KETL/WC_HNO4=0.0
!
!KETL/WC_NH3=0.0
!
!KETL/WC_OH=0.0
!
!KETL/WC_HO2=0.0
!
!KETL/WC_CO2=0.0
!
!KETL/WC_SO2=0.0
!
!KETL/WC_H2SO4=0.0
!
!KETL/WC_RO21=0.0
!
!KETL/WC_RO25=0.0
!
!KETL/WC_MEOH=0.0
!
!KETL/WC_ETOH=0.0
!
!KETL/WC_ALCH=0.0
!
!KETL/WC_HCHO=0.0
!
!KETL/WC_ALD2=0.0
!
!KETL/WC_GLY=0.0
!
!KETL/WC_MGLY=0.0
!
!KETL/WC_KETL=+KTC55
 PJAC(:,30,112)=+TPK%KTC55(:)
!
!KETL/WC_ORA1=0.0
!
!KETL/WC_ORA2=0.0
!
!KETL/WC_ACID=0.0
!
!KETL/WC_RP16=0.0
!
!KETL/WC_UR21=0.0
!
!KETL/WC_UR28=0.0
!
!KETL/WC_ACID2=0.0
!
!KETL/WC_ASO3=0.0
!
!KETL/WC_ASO4=0.0
!
!KETL/WC_ASO5=0.0
!
!KETL/WC_AHSO5=0.0
!
!KETL/WC_AHMS=0.0
!
!KETL/WR_O3=0.0
!
!KETL/WR_H2O2=0.0
!
!KETL/WR_NO=0.0
!
!KETL/WR_NO2=0.0
!
!KETL/WR_NO3=0.0
!
!KETL/WR_N2O5=0.0
!
!KETL/WR_HONO=0.0
!
!KETL/WR_HNO3=0.0
!
!KETL/WR_HNO4=0.0
!
!KETL/WR_NH3=0.0
!
!KETL/WR_OH=0.0
!
!KETL/WR_HO2=0.0
!
!KETL/WR_CO2=0.0
!
!KETL/WR_SO2=0.0
!
!KETL/WR_H2SO4=0.0
!
!KETL/WR_RO21=0.0
!
!KETL/WR_RO25=0.0
!
!KETL/WR_MEOH=0.0
!
!KETL/WR_ETOH=0.0
!
!KETL/WR_ALCH=0.0
!
!KETL/WR_HCHO=0.0
!
!KETL/WR_ALD2=0.0
!
!KETL/WR_GLY=0.0
!
!KETL/WR_MGLY=0.0
!
!KETL/WR_KETL=+KTR55
 PJAC(:,30,149)=+TPK%KTR55(:)
!
!KETL/WR_ORA1=0.0
!
!KETL/WR_ORA2=0.0
!
!KETL/WR_ACID=0.0
!
!KETL/WR_RP16=0.0
!
!KETL/WR_UR21=0.0
!
!KETL/WR_UR28=0.0
!
!KETL/WR_ACID2=0.0
!
!KETL/WR_ASO3=0.0
!
!KETL/WR_ASO4=0.0
!
!KETL/WR_ASO5=0.0
!
!KETL/WR_AHSO5=0.0
!
!KETL/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ5
!
SUBROUTINE SUBJ6
!
!Indices 31 a 35
!
!
!KETH/NO=0.0
!
!KETH/NO2=0.0
!
!KETH/O3=0.0
!
!KETH/HONO=0.0
!
!KETH/HNO3=0.0
!
!KETH/HNO4=0.0
!
!KETH/N2O5=0.0
!
!KETH/NO3=0.0
!
!KETH/NH3=0.0
!
!KETH/HO2=0.0
!
!KETH/CO=0.0
!
!KETH/H2O2=0.0
!
!KETH/SO2=0.0
!
!KETH/H2SO4=0.0
!
!KETH/OH=-K070*<KETH>
 PJAC(:,31,15)=-TPK%K070(:)*PCONC(:,31)
!
!KETH/ETHE=0.0
!
!KETH/OLEL=0.0
!
!KETH/OLEH=0.0
!
!KETH/ALKL=0.0
!
!KETH/ALKM=0.0
!
!KETH/ALKH=0.0
!
!KETH/AROH=0.0
!
!KETH/AROL=0.0
!
!KETH/AROO=0.0
!
!KETH/ARAL=0.0
!
!KETH/ARAC=0.0
!
!KETH/PAH=0.0
!
!KETH/HCHO=0.0
!
!KETH/ALD2=0.0
!
!KETH/KETL=0.0
!
!KETH/KETH=-K070*<OH>-K071
 PJAC(:,31,31)=-TPK%K070(:)*PCONC(:,15)-TPK%K071(:)
!
!KETH/MEOH=0.0
!
!KETH/ETOH=0.0
!
!KETH/ALCH=0.0
!
!KETH/ISOP=0.0
!
!KETH/BIOL=0.0
!
!KETH/BIOH=0.0
!
!KETH/MTBE=0.0
!
!KETH/MVK=0.0
!
!KETH/MCR=0.0
!
!KETH/MGLY=0.0
!
!KETH/GLY=0.0
!
!KETH/ORA1=0.0
!
!KETH/ORA2=0.0
!
!KETH/ACID=0.0
!
!KETH/UR28=0.0
!
!KETH/UR21=0.0
!
!KETH/URG2=0.0
!
!KETH/UR26=0.0
!
!KETH/RPG2=0.0
!
!KETH/RP18=0.0
!
!KETH/RPG3=0.0
!
!KETH/URG4=0.0
!
!KETH/UR8=0.0
!
!KETH/UR17=0.0
!
!KETH/UR7=0.0
!
!KETH/RPR3=0.0
!
!KETH/URG6=0.0
!
!KETH/UR22=0.0
!
!KETH/URG7=0.0
!
!KETH/RPR4=0.0
!
!KETH/RPR7=0.0
!
!KETH/RPG7=0.0
!
!KETH/URG8=0.0
!
!KETH/UR19=0.0
!
!KETH/URG9=0.0
!
!KETH/AP7=0.0
!
!KETH/URG10=0.0
!
!KETH/RPR1=0.0
!
!KETH/RPR5=0.0
!
!KETH/RPR8=0.0
!
!KETH/RP10=0.0
!
!KETH/RP11=0.0
!
!KETH/RP16=0.0
!
!KETH/RPRL=0.0
!
!KETH/APAN=0.0
!
!KETH/PAN1=0.0
!
!KETH/PAN2=0.0
!
!KETH/PAN3=0.0
!
!KETH/PAN4=0.0
!
!KETH/PAN6=0.0
!
!KETH/PAN7=0.0
!
!KETH/PAN8=0.0
!
!KETH/PN10=0.0
!
!KETH/RO2T=0.0
!
!KETH/RO21=0.0
!
!KETH/RO25=0.0
!
!KETH/WC_O3=0.0
!
!KETH/WC_H2O2=0.0
!
!KETH/WC_NO=0.0
!
!KETH/WC_NO2=0.0
!
!KETH/WC_NO3=0.0
!
!KETH/WC_N2O5=0.0
!
!KETH/WC_HONO=0.0
!
!KETH/WC_HNO3=0.0
!
!KETH/WC_HNO4=0.0
!
!KETH/WC_NH3=0.0
!
!KETH/WC_OH=0.0
!
!KETH/WC_HO2=0.0
!
!KETH/WC_CO2=0.0
!
!KETH/WC_SO2=0.0
!
!KETH/WC_H2SO4=0.0
!
!KETH/WC_RO21=0.0
!
!KETH/WC_RO25=0.0
!
!KETH/WC_MEOH=0.0
!
!KETH/WC_ETOH=0.0
!
!KETH/WC_ALCH=0.0
!
!KETH/WC_HCHO=0.0
!
!KETH/WC_ALD2=0.0
!
!KETH/WC_GLY=0.0
!
!KETH/WC_MGLY=0.0
!
!KETH/WC_KETL=0.0
!
!KETH/WC_ORA1=0.0
!
!KETH/WC_ORA2=0.0
!
!KETH/WC_ACID=0.0
!
!KETH/WC_RP16=0.0
!
!KETH/WC_UR21=0.0
!
!KETH/WC_UR28=0.0
!
!KETH/WC_ACID2=0.0
!
!KETH/WC_ASO3=0.0
!
!KETH/WC_ASO4=0.0
!
!KETH/WC_ASO5=0.0
!
!KETH/WC_AHSO5=0.0
!
!KETH/WC_AHMS=0.0
!
!KETH/WR_O3=0.0
!
!KETH/WR_H2O2=0.0
!
!KETH/WR_NO=0.0
!
!KETH/WR_NO2=0.0
!
!KETH/WR_NO3=0.0
!
!KETH/WR_N2O5=0.0
!
!KETH/WR_HONO=0.0
!
!KETH/WR_HNO3=0.0
!
!KETH/WR_HNO4=0.0
!
!KETH/WR_NH3=0.0
!
!KETH/WR_OH=0.0
!
!KETH/WR_HO2=0.0
!
!KETH/WR_CO2=0.0
!
!KETH/WR_SO2=0.0
!
!KETH/WR_H2SO4=0.0
!
!KETH/WR_RO21=0.0
!
!KETH/WR_RO25=0.0
!
!KETH/WR_MEOH=0.0
!
!KETH/WR_ETOH=0.0
!
!KETH/WR_ALCH=0.0
!
!KETH/WR_HCHO=0.0
!
!KETH/WR_ALD2=0.0
!
!KETH/WR_GLY=0.0
!
!KETH/WR_MGLY=0.0
!
!KETH/WR_KETL=0.0
!
!KETH/WR_ORA1=0.0
!
!KETH/WR_ORA2=0.0
!
!KETH/WR_ACID=0.0
!
!KETH/WR_RP16=0.0
!
!KETH/WR_UR21=0.0
!
!KETH/WR_UR28=0.0
!
!KETH/WR_ACID2=0.0
!
!KETH/WR_ASO3=0.0
!
!KETH/WR_ASO4=0.0
!
!KETH/WR_ASO5=0.0
!
!KETH/WR_AHSO5=0.0
!
!KETH/WR_AHMS=0.0
!
!MEOH/NO=0.0
!
!MEOH/NO2=0.0
!
!MEOH/O3=0.0
!
!MEOH/HONO=0.0
!
!MEOH/HNO3=0.0
!
!MEOH/HNO4=0.0
!
!MEOH/N2O5=0.0
!
!MEOH/NO3=0.0
!
!MEOH/NH3=0.0
!
!MEOH/HO2=0.0
!
!MEOH/CO=0.0
!
!MEOH/H2O2=0.0
!
!MEOH/SO2=0.0
!
!MEOH/H2SO4=0.0
!
!MEOH/OH=-K048*<MEOH>
 PJAC(:,32,15)=-TPK%K048(:)*PCONC(:,32)
!
!MEOH/ETHE=0.0
!
!MEOH/OLEL=0.0
!
!MEOH/OLEH=0.0
!
!MEOH/ALKL=0.0
!
!MEOH/ALKM=0.0
!
!MEOH/ALKH=0.0
!
!MEOH/AROH=0.0
!
!MEOH/AROL=0.0
!
!MEOH/AROO=0.0
!
!MEOH/ARAL=0.0
!
!MEOH/ARAC=0.0
!
!MEOH/PAH=0.0
!
!MEOH/HCHO=0.0
!
!MEOH/ALD2=0.0
!
!MEOH/KETL=0.0
!
!MEOH/KETH=0.0
!
!MEOH/MEOH=-K048*<OH>-KTC18-KTR18
 PJAC(:,32,32)=-TPK%K048(:)*PCONC(:,15)-TPK%KTC18(:)-TPK%KTR18(:)
!
!MEOH/ETOH=0.0
!
!MEOH/ALCH=0.0
!
!MEOH/ISOP=0.0
!
!MEOH/BIOL=0.0
!
!MEOH/BIOH=0.0
!
!MEOH/MTBE=0.0
!
!MEOH/MVK=0.0
!
!MEOH/MCR=0.0
!
!MEOH/MGLY=0.0
!
!MEOH/GLY=0.0
!
!MEOH/ORA1=0.0
!
!MEOH/ORA2=0.0
!
!MEOH/ACID=0.0
!
!MEOH/UR28=0.0
!
!MEOH/UR21=0.0
!
!MEOH/URG2=0.0
!
!MEOH/UR26=0.0
!
!MEOH/RPG2=0.0
!
!MEOH/RP18=0.0
!
!MEOH/RPG3=0.0
!
!MEOH/URG4=0.0
!
!MEOH/UR8=0.0
!
!MEOH/UR17=0.0
!
!MEOH/UR7=0.0
!
!MEOH/RPR3=0.0
!
!MEOH/URG6=0.0
!
!MEOH/UR22=0.0
!
!MEOH/URG7=0.0
!
!MEOH/RPR4=0.0
!
!MEOH/RPR7=0.0
!
!MEOH/RPG7=0.0
!
!MEOH/URG8=0.0
!
!MEOH/UR19=0.0
!
!MEOH/URG9=0.0
!
!MEOH/AP7=0.0
!
!MEOH/URG10=0.0
!
!MEOH/RPR1=0.0
!
!MEOH/RPR5=0.0
!
!MEOH/RPR8=0.0
!
!MEOH/RP10=0.0
!
!MEOH/RP11=0.0
!
!MEOH/RP16=0.0
!
!MEOH/RPRL=0.0
!
!MEOH/APAN=0.0
!
!MEOH/PAN1=0.0
!
!MEOH/PAN2=0.0
!
!MEOH/PAN3=0.0
!
!MEOH/PAN4=0.0
!
!MEOH/PAN6=0.0
!
!MEOH/PAN7=0.0
!
!MEOH/PAN8=0.0
!
!MEOH/PN10=0.0
!
!MEOH/RO2T=0.0
!
!MEOH/RO21=0.0
!
!MEOH/RO25=0.0
!
!MEOH/WC_O3=0.0
!
!MEOH/WC_H2O2=0.0
!
!MEOH/WC_NO=0.0
!
!MEOH/WC_NO2=0.0
!
!MEOH/WC_NO3=0.0
!
!MEOH/WC_N2O5=0.0
!
!MEOH/WC_HONO=0.0
!
!MEOH/WC_HNO3=0.0
!
!MEOH/WC_HNO4=0.0
!
!MEOH/WC_NH3=0.0
!
!MEOH/WC_OH=0.0
!
!MEOH/WC_HO2=0.0
!
!MEOH/WC_CO2=0.0
!
!MEOH/WC_SO2=0.0
!
!MEOH/WC_H2SO4=0.0
!
!MEOH/WC_RO21=0.0
!
!MEOH/WC_RO25=0.0
!
!MEOH/WC_MEOH=+KTC49
 PJAC(:,32,105)=+TPK%KTC49(:)
!
!MEOH/WC_ETOH=0.0
!
!MEOH/WC_ALCH=0.0
!
!MEOH/WC_HCHO=0.0
!
!MEOH/WC_ALD2=0.0
!
!MEOH/WC_GLY=0.0
!
!MEOH/WC_MGLY=0.0
!
!MEOH/WC_KETL=0.0
!
!MEOH/WC_ORA1=0.0
!
!MEOH/WC_ORA2=0.0
!
!MEOH/WC_ACID=0.0
!
!MEOH/WC_RP16=0.0
!
!MEOH/WC_UR21=0.0
!
!MEOH/WC_UR28=0.0
!
!MEOH/WC_ACID2=0.0
!
!MEOH/WC_ASO3=0.0
!
!MEOH/WC_ASO4=0.0
!
!MEOH/WC_ASO5=0.0
!
!MEOH/WC_AHSO5=0.0
!
!MEOH/WC_AHMS=0.0
!
!MEOH/WR_O3=0.0
!
!MEOH/WR_H2O2=0.0
!
!MEOH/WR_NO=0.0
!
!MEOH/WR_NO2=0.0
!
!MEOH/WR_NO3=0.0
!
!MEOH/WR_N2O5=0.0
!
!MEOH/WR_HONO=0.0
!
!MEOH/WR_HNO3=0.0
!
!MEOH/WR_HNO4=0.0
!
!MEOH/WR_NH3=0.0
!
!MEOH/WR_OH=0.0
!
!MEOH/WR_HO2=0.0
!
!MEOH/WR_CO2=0.0
!
!MEOH/WR_SO2=0.0
!
!MEOH/WR_H2SO4=0.0
!
!MEOH/WR_RO21=0.0
!
!MEOH/WR_RO25=0.0
!
!MEOH/WR_MEOH=+KTR49
 PJAC(:,32,142)=+TPK%KTR49(:)
!
!MEOH/WR_ETOH=0.0
!
!MEOH/WR_ALCH=0.0
!
!MEOH/WR_HCHO=0.0
!
!MEOH/WR_ALD2=0.0
!
!MEOH/WR_GLY=0.0
!
!MEOH/WR_MGLY=0.0
!
!MEOH/WR_KETL=0.0
!
!MEOH/WR_ORA1=0.0
!
!MEOH/WR_ORA2=0.0
!
!MEOH/WR_ACID=0.0
!
!MEOH/WR_RP16=0.0
!
!MEOH/WR_UR21=0.0
!
!MEOH/WR_UR28=0.0
!
!MEOH/WR_ACID2=0.0
!
!MEOH/WR_ASO3=0.0
!
!MEOH/WR_ASO4=0.0
!
!MEOH/WR_ASO5=0.0
!
!MEOH/WR_AHSO5=0.0
!
!MEOH/WR_AHMS=0.0
!
!ETOH/NO=0.0
!
!ETOH/NO2=0.0
!
!ETOH/O3=0.0
!
!ETOH/HONO=0.0
!
!ETOH/HNO3=0.0
!
!ETOH/HNO4=0.0
!
!ETOH/N2O5=0.0
!
!ETOH/NO3=0.0
!
!ETOH/NH3=0.0
!
!ETOH/HO2=0.0
!
!ETOH/CO=0.0
!
!ETOH/H2O2=0.0
!
!ETOH/SO2=0.0
!
!ETOH/H2SO4=0.0
!
!ETOH/OH=-K053*<ETOH>
 PJAC(:,33,15)=-TPK%K053(:)*PCONC(:,33)
!
!ETOH/ETHE=0.0
!
!ETOH/OLEL=0.0
!
!ETOH/OLEH=0.0
!
!ETOH/ALKL=0.0
!
!ETOH/ALKM=0.0
!
!ETOH/ALKH=0.0
!
!ETOH/AROH=0.0
!
!ETOH/AROL=0.0
!
!ETOH/AROO=0.0
!
!ETOH/ARAL=0.0
!
!ETOH/ARAC=0.0
!
!ETOH/PAH=0.0
!
!ETOH/HCHO=0.0
!
!ETOH/ALD2=0.0
!
!ETOH/KETL=0.0
!
!ETOH/KETH=0.0
!
!ETOH/MEOH=0.0
!
!ETOH/ETOH=-K053*<OH>-KTC19-KTR19
 PJAC(:,33,33)=-TPK%K053(:)*PCONC(:,15)-TPK%KTC19(:)-TPK%KTR19(:)
!
!ETOH/ALCH=0.0
!
!ETOH/ISOP=0.0
!
!ETOH/BIOL=0.0
!
!ETOH/BIOH=0.0
!
!ETOH/MTBE=0.0
!
!ETOH/MVK=0.0
!
!ETOH/MCR=0.0
!
!ETOH/MGLY=0.0
!
!ETOH/GLY=0.0
!
!ETOH/ORA1=0.0
!
!ETOH/ORA2=0.0
!
!ETOH/ACID=0.0
!
!ETOH/UR28=0.0
!
!ETOH/UR21=0.0
!
!ETOH/URG2=0.0
!
!ETOH/UR26=0.0
!
!ETOH/RPG2=0.0
!
!ETOH/RP18=0.0
!
!ETOH/RPG3=0.0
!
!ETOH/URG4=0.0
!
!ETOH/UR8=0.0
!
!ETOH/UR17=0.0
!
!ETOH/UR7=0.0
!
!ETOH/RPR3=0.0
!
!ETOH/URG6=0.0
!
!ETOH/UR22=0.0
!
!ETOH/URG7=0.0
!
!ETOH/RPR4=0.0
!
!ETOH/RPR7=0.0
!
!ETOH/RPG7=0.0
!
!ETOH/URG8=0.0
!
!ETOH/UR19=0.0
!
!ETOH/URG9=0.0
!
!ETOH/AP7=0.0
!
!ETOH/URG10=0.0
!
!ETOH/RPR1=0.0
!
!ETOH/RPR5=0.0
!
!ETOH/RPR8=0.0
!
!ETOH/RP10=0.0
!
!ETOH/RP11=0.0
!
!ETOH/RP16=0.0
!
!ETOH/RPRL=0.0
!
!ETOH/APAN=0.0
!
!ETOH/PAN1=0.0
!
!ETOH/PAN2=0.0
!
!ETOH/PAN3=0.0
!
!ETOH/PAN4=0.0
!
!ETOH/PAN6=0.0
!
!ETOH/PAN7=0.0
!
!ETOH/PAN8=0.0
!
!ETOH/PN10=0.0
!
!ETOH/RO2T=0.0
!
!ETOH/RO21=0.0
!
!ETOH/RO25=0.0
!
!ETOH/WC_O3=0.0
!
!ETOH/WC_H2O2=0.0
!
!ETOH/WC_NO=0.0
!
!ETOH/WC_NO2=0.0
!
!ETOH/WC_NO3=0.0
!
!ETOH/WC_N2O5=0.0
!
!ETOH/WC_HONO=0.0
!
!ETOH/WC_HNO3=0.0
!
!ETOH/WC_HNO4=0.0
!
!ETOH/WC_NH3=0.0
!
!ETOH/WC_OH=0.0
!
!ETOH/WC_HO2=0.0
!
!ETOH/WC_CO2=0.0
!
!ETOH/WC_SO2=0.0
!
!ETOH/WC_H2SO4=0.0
!
!ETOH/WC_RO21=0.0
!
!ETOH/WC_RO25=0.0
!
!ETOH/WC_MEOH=0.0
!
!ETOH/WC_ETOH=+KTC50
 PJAC(:,33,106)=+TPK%KTC50(:)
!
!ETOH/WC_ALCH=0.0
!
!ETOH/WC_HCHO=0.0
!
!ETOH/WC_ALD2=0.0
!
!ETOH/WC_GLY=0.0
!
!ETOH/WC_MGLY=0.0
!
!ETOH/WC_KETL=0.0
!
!ETOH/WC_ORA1=0.0
!
!ETOH/WC_ORA2=0.0
!
!ETOH/WC_ACID=0.0
!
!ETOH/WC_RP16=0.0
!
!ETOH/WC_UR21=0.0
!
!ETOH/WC_UR28=0.0
!
!ETOH/WC_ACID2=0.0
!
!ETOH/WC_ASO3=0.0
!
!ETOH/WC_ASO4=0.0
!
!ETOH/WC_ASO5=0.0
!
!ETOH/WC_AHSO5=0.0
!
!ETOH/WC_AHMS=0.0
!
!ETOH/WR_O3=0.0
!
!ETOH/WR_H2O2=0.0
!
!ETOH/WR_NO=0.0
!
!ETOH/WR_NO2=0.0
!
!ETOH/WR_NO3=0.0
!
!ETOH/WR_N2O5=0.0
!
!ETOH/WR_HONO=0.0
!
!ETOH/WR_HNO3=0.0
!
!ETOH/WR_HNO4=0.0
!
!ETOH/WR_NH3=0.0
!
!ETOH/WR_OH=0.0
!
!ETOH/WR_HO2=0.0
!
!ETOH/WR_CO2=0.0
!
!ETOH/WR_SO2=0.0
!
!ETOH/WR_H2SO4=0.0
!
!ETOH/WR_RO21=0.0
!
!ETOH/WR_RO25=0.0
!
!ETOH/WR_MEOH=0.0
!
!ETOH/WR_ETOH=+KTR50
 PJAC(:,33,143)=+TPK%KTR50(:)
!
!ETOH/WR_ALCH=0.0
!
!ETOH/WR_HCHO=0.0
!
!ETOH/WR_ALD2=0.0
!
!ETOH/WR_GLY=0.0
!
!ETOH/WR_MGLY=0.0
!
!ETOH/WR_KETL=0.0
!
!ETOH/WR_ORA1=0.0
!
!ETOH/WR_ORA2=0.0
!
!ETOH/WR_ACID=0.0
!
!ETOH/WR_RP16=0.0
!
!ETOH/WR_UR21=0.0
!
!ETOH/WR_UR28=0.0
!
!ETOH/WR_ACID2=0.0
!
!ETOH/WR_ASO3=0.0
!
!ETOH/WR_ASO4=0.0
!
!ETOH/WR_ASO5=0.0
!
!ETOH/WR_AHSO5=0.0
!
!ETOH/WR_AHMS=0.0
!
!ALCH/NO=0.0
!
!ALCH/NO2=0.0
!
!ALCH/O3=0.0
!
!ALCH/HONO=0.0
!
!ALCH/HNO3=0.0
!
!ALCH/HNO4=0.0
!
!ALCH/N2O5=0.0
!
!ALCH/NO3=0.0
!
!ALCH/NH3=0.0
!
!ALCH/HO2=0.0
!
!ALCH/CO=0.0
!
!ALCH/H2O2=0.0
!
!ALCH/SO2=0.0
!
!ALCH/H2SO4=0.0
!
!ALCH/OH=-K069*<ALCH>
 PJAC(:,34,15)=-TPK%K069(:)*PCONC(:,34)
!
!ALCH/ETHE=0.0
!
!ALCH/OLEL=0.0
!
!ALCH/OLEH=0.0
!
!ALCH/ALKL=0.0
!
!ALCH/ALKM=0.0
!
!ALCH/ALKH=0.0
!
!ALCH/AROH=0.0
!
!ALCH/AROL=0.0
!
!ALCH/AROO=0.0
!
!ALCH/ARAL=0.0
!
!ALCH/ARAC=0.0
!
!ALCH/PAH=0.0
!
!ALCH/HCHO=0.0
!
!ALCH/ALD2=0.0
!
!ALCH/KETL=0.0
!
!ALCH/KETH=0.0
!
!ALCH/MEOH=0.0
!
!ALCH/ETOH=0.0
!
!ALCH/ALCH=-K069*<OH>-KTC20-KTR20
 PJAC(:,34,34)=-TPK%K069(:)*PCONC(:,15)-TPK%KTC20(:)-TPK%KTR20(:)
!
!ALCH/ISOP=0.0
!
!ALCH/BIOL=0.0
!
!ALCH/BIOH=0.0
!
!ALCH/MTBE=0.0
!
!ALCH/MVK=0.0
!
!ALCH/MCR=0.0
!
!ALCH/MGLY=0.0
!
!ALCH/GLY=0.0
!
!ALCH/ORA1=0.0
!
!ALCH/ORA2=0.0
!
!ALCH/ACID=0.0
!
!ALCH/UR28=0.0
!
!ALCH/UR21=0.0
!
!ALCH/URG2=0.0
!
!ALCH/UR26=0.0
!
!ALCH/RPG2=0.0
!
!ALCH/RP18=0.0
!
!ALCH/RPG3=0.0
!
!ALCH/URG4=0.0
!
!ALCH/UR8=0.0
!
!ALCH/UR17=0.0
!
!ALCH/UR7=0.0
!
!ALCH/RPR3=0.0
!
!ALCH/URG6=0.0
!
!ALCH/UR22=0.0
!
!ALCH/URG7=0.0
!
!ALCH/RPR4=0.0
!
!ALCH/RPR7=0.0
!
!ALCH/RPG7=0.0
!
!ALCH/URG8=0.0
!
!ALCH/UR19=0.0
!
!ALCH/URG9=0.0
!
!ALCH/AP7=0.0
!
!ALCH/URG10=0.0
!
!ALCH/RPR1=0.0
!
!ALCH/RPR5=0.0
!
!ALCH/RPR8=0.0
!
!ALCH/RP10=0.0
!
!ALCH/RP11=0.0
!
!ALCH/RP16=0.0
!
!ALCH/RPRL=0.0
!
!ALCH/APAN=0.0
!
!ALCH/PAN1=0.0
!
!ALCH/PAN2=0.0
!
!ALCH/PAN3=0.0
!
!ALCH/PAN4=0.0
!
!ALCH/PAN6=0.0
!
!ALCH/PAN7=0.0
!
!ALCH/PAN8=0.0
!
!ALCH/PN10=0.0
!
!ALCH/RO2T=0.0
!
!ALCH/RO21=0.0
!
!ALCH/RO25=0.0
!
!ALCH/WC_O3=0.0
!
!ALCH/WC_H2O2=0.0
!
!ALCH/WC_NO=0.0
!
!ALCH/WC_NO2=0.0
!
!ALCH/WC_NO3=0.0
!
!ALCH/WC_N2O5=0.0
!
!ALCH/WC_HONO=0.0
!
!ALCH/WC_HNO3=0.0
!
!ALCH/WC_HNO4=0.0
!
!ALCH/WC_NH3=0.0
!
!ALCH/WC_OH=0.0
!
!ALCH/WC_HO2=0.0
!
!ALCH/WC_CO2=0.0
!
!ALCH/WC_SO2=0.0
!
!ALCH/WC_H2SO4=0.0
!
!ALCH/WC_RO21=0.0
!
!ALCH/WC_RO25=0.0
!
!ALCH/WC_MEOH=0.0
!
!ALCH/WC_ETOH=0.0
!
!ALCH/WC_ALCH=+KTC51
 PJAC(:,34,107)=+TPK%KTC51(:)
!
!ALCH/WC_HCHO=0.0
!
!ALCH/WC_ALD2=0.0
!
!ALCH/WC_GLY=0.0
!
!ALCH/WC_MGLY=0.0
!
!ALCH/WC_KETL=0.0
!
!ALCH/WC_ORA1=0.0
!
!ALCH/WC_ORA2=0.0
!
!ALCH/WC_ACID=0.0
!
!ALCH/WC_RP16=0.0
!
!ALCH/WC_UR21=0.0
!
!ALCH/WC_UR28=0.0
!
!ALCH/WC_ACID2=0.0
!
!ALCH/WC_ASO3=0.0
!
!ALCH/WC_ASO4=0.0
!
!ALCH/WC_ASO5=0.0
!
!ALCH/WC_AHSO5=0.0
!
!ALCH/WC_AHMS=0.0
!
!ALCH/WR_O3=0.0
!
!ALCH/WR_H2O2=0.0
!
!ALCH/WR_NO=0.0
!
!ALCH/WR_NO2=0.0
!
!ALCH/WR_NO3=0.0
!
!ALCH/WR_N2O5=0.0
!
!ALCH/WR_HONO=0.0
!
!ALCH/WR_HNO3=0.0
!
!ALCH/WR_HNO4=0.0
!
!ALCH/WR_NH3=0.0
!
!ALCH/WR_OH=0.0
!
!ALCH/WR_HO2=0.0
!
!ALCH/WR_CO2=0.0
!
!ALCH/WR_SO2=0.0
!
!ALCH/WR_H2SO4=0.0
!
!ALCH/WR_RO21=0.0
!
!ALCH/WR_RO25=0.0
!
!ALCH/WR_MEOH=0.0
!
!ALCH/WR_ETOH=0.0
!
!ALCH/WR_ALCH=+KTR51
 PJAC(:,34,144)=+TPK%KTR51(:)
!
!ALCH/WR_HCHO=0.0
!
!ALCH/WR_ALD2=0.0
!
!ALCH/WR_GLY=0.0
!
!ALCH/WR_MGLY=0.0
!
!ALCH/WR_KETL=0.0
!
!ALCH/WR_ORA1=0.0
!
!ALCH/WR_ORA2=0.0
!
!ALCH/WR_ACID=0.0
!
!ALCH/WR_RP16=0.0
!
!ALCH/WR_UR21=0.0
!
!ALCH/WR_UR28=0.0
!
!ALCH/WR_ACID2=0.0
!
!ALCH/WR_ASO3=0.0
!
!ALCH/WR_ASO4=0.0
!
!ALCH/WR_ASO5=0.0
!
!ALCH/WR_AHSO5=0.0
!
!ALCH/WR_AHMS=0.0
!
!ISOP/NO=0.0
!
!ISOP/NO2=0.0
!
!ISOP/O3=-K066*<ISOP>
 PJAC(:,35,3)=-TPK%K066(:)*PCONC(:,35)
!
!ISOP/HONO=0.0
!
!ISOP/HNO3=0.0
!
!ISOP/HNO4=0.0
!
!ISOP/N2O5=0.0
!
!ISOP/NO3=-K065*<ISOP>
 PJAC(:,35,8)=-TPK%K065(:)*PCONC(:,35)
!
!ISOP/NH3=0.0
!
!ISOP/HO2=0.0
!
!ISOP/CO=0.0
!
!ISOP/H2O2=0.0
!
!ISOP/SO2=0.0
!
!ISOP/H2SO4=0.0
!
!ISOP/OH=-K064*<ISOP>
 PJAC(:,35,15)=-TPK%K064(:)*PCONC(:,35)
!
!ISOP/ETHE=0.0
!
!ISOP/OLEL=0.0
!
!ISOP/OLEH=0.0
!
!ISOP/ALKL=0.0
!
!ISOP/ALKM=0.0
!
!ISOP/ALKH=0.0
!
!ISOP/AROH=0.0
!
!ISOP/AROL=0.0
!
!ISOP/AROO=0.0
!
!ISOP/ARAL=0.0
!
!ISOP/ARAC=0.0
!
!ISOP/PAH=0.0
!
!ISOP/HCHO=0.0
!
!ISOP/ALD2=0.0
!
!ISOP/KETL=0.0
!
!ISOP/KETH=0.0
!
!ISOP/MEOH=0.0
!
!ISOP/ETOH=0.0
!
!ISOP/ALCH=0.0
!
!ISOP/ISOP=-K064*<OH>-K065*<NO3>-K066*<O3>-K067*<O>
 PJAC(:,35,35)=-TPK%K064(:)*PCONC(:,15)-TPK%K065(:)*PCONC(:,8)-TPK%K066(:)*PCON&
&C(:,3)-TPK%K067(:)*TPK%O(:)
!
!ISOP/BIOL=0.0
!
!ISOP/BIOH=0.0
!
!ISOP/MTBE=0.0
!
!ISOP/MVK=0.0
!
!ISOP/MCR=0.0
!
!ISOP/MGLY=0.0
!
!ISOP/GLY=0.0
!
!ISOP/ORA1=0.0
!
!ISOP/ORA2=0.0
!
!ISOP/ACID=0.0
!
!ISOP/UR28=0.0
!
!ISOP/UR21=0.0
!
!ISOP/URG2=0.0
!
!ISOP/UR26=0.0
!
!ISOP/RPG2=0.0
!
!ISOP/RP18=0.0
!
!ISOP/RPG3=0.0
!
!ISOP/URG4=0.0
!
!ISOP/UR8=0.0
!
!ISOP/UR17=0.0
!
!ISOP/UR7=0.0
!
!ISOP/RPR3=0.0
!
!ISOP/URG6=0.0
!
!ISOP/UR22=0.0
!
!ISOP/URG7=0.0
!
!ISOP/RPR4=0.0
!
!ISOP/RPR7=0.0
!
!ISOP/RPG7=0.0
!
!ISOP/URG8=0.0
!
!ISOP/UR19=0.0
!
!ISOP/URG9=0.0
!
!ISOP/AP7=0.0
!
!ISOP/URG10=0.0
!
!ISOP/RPR1=0.0
!
!ISOP/RPR5=0.0
!
!ISOP/RPR8=0.0
!
!ISOP/RP10=0.0
!
!ISOP/RP11=0.0
!
!ISOP/RP16=0.0
!
!ISOP/RPRL=0.0
!
!ISOP/APAN=0.0
!
!ISOP/PAN1=0.0
!
!ISOP/PAN2=0.0
!
!ISOP/PAN3=0.0
!
!ISOP/PAN4=0.0
!
!ISOP/PAN6=0.0
!
!ISOP/PAN7=0.0
!
!ISOP/PAN8=0.0
!
!ISOP/PN10=0.0
!
!ISOP/RO2T=0.0
!
!ISOP/RO21=0.0
!
!ISOP/RO25=0.0
!
!ISOP/WC_O3=0.0
!
!ISOP/WC_H2O2=0.0
!
!ISOP/WC_NO=0.0
!
!ISOP/WC_NO2=0.0
!
!ISOP/WC_NO3=0.0
!
!ISOP/WC_N2O5=0.0
!
!ISOP/WC_HONO=0.0
!
!ISOP/WC_HNO3=0.0
!
!ISOP/WC_HNO4=0.0
!
!ISOP/WC_NH3=0.0
!
!ISOP/WC_OH=0.0
!
!ISOP/WC_HO2=0.0
!
!ISOP/WC_CO2=0.0
!
!ISOP/WC_SO2=0.0
!
!ISOP/WC_H2SO4=0.0
!
!ISOP/WC_RO21=0.0
!
!ISOP/WC_RO25=0.0
!
!ISOP/WC_MEOH=0.0
!
!ISOP/WC_ETOH=0.0
!
!ISOP/WC_ALCH=0.0
!
!ISOP/WC_HCHO=0.0
!
!ISOP/WC_ALD2=0.0
!
!ISOP/WC_GLY=0.0
!
!ISOP/WC_MGLY=0.0
!
!ISOP/WC_KETL=0.0
!
!ISOP/WC_ORA1=0.0
!
!ISOP/WC_ORA2=0.0
!
!ISOP/WC_ACID=0.0
!
!ISOP/WC_RP16=0.0
!
!ISOP/WC_UR21=0.0
!
!ISOP/WC_UR28=0.0
!
!ISOP/WC_ACID2=0.0
!
!ISOP/WC_ASO3=0.0
!
!ISOP/WC_ASO4=0.0
!
!ISOP/WC_ASO5=0.0
!
!ISOP/WC_AHSO5=0.0
!
!ISOP/WC_AHMS=0.0
!
!ISOP/WR_O3=0.0
!
!ISOP/WR_H2O2=0.0
!
!ISOP/WR_NO=0.0
!
!ISOP/WR_NO2=0.0
!
!ISOP/WR_NO3=0.0
!
!ISOP/WR_N2O5=0.0
!
!ISOP/WR_HONO=0.0
!
!ISOP/WR_HNO3=0.0
!
!ISOP/WR_HNO4=0.0
!
!ISOP/WR_NH3=0.0
!
!ISOP/WR_OH=0.0
!
!ISOP/WR_HO2=0.0
!
!ISOP/WR_CO2=0.0
!
!ISOP/WR_SO2=0.0
!
!ISOP/WR_H2SO4=0.0
!
!ISOP/WR_RO21=0.0
!
!ISOP/WR_RO25=0.0
!
!ISOP/WR_MEOH=0.0
!
!ISOP/WR_ETOH=0.0
!
!ISOP/WR_ALCH=0.0
!
!ISOP/WR_HCHO=0.0
!
!ISOP/WR_ALD2=0.0
!
!ISOP/WR_GLY=0.0
!
!ISOP/WR_MGLY=0.0
!
!ISOP/WR_KETL=0.0
!
!ISOP/WR_ORA1=0.0
!
!ISOP/WR_ORA2=0.0
!
!ISOP/WR_ACID=0.0
!
!ISOP/WR_RP16=0.0
!
!ISOP/WR_UR21=0.0
!
!ISOP/WR_UR28=0.0
!
!ISOP/WR_ACID2=0.0
!
!ISOP/WR_ASO3=0.0
!
!ISOP/WR_ASO4=0.0
!
!ISOP/WR_ASO5=0.0
!
!ISOP/WR_AHSO5=0.0
!
!ISOP/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ6
!
SUBROUTINE SUBJ7
!
!Indices 36 a 40
!
!
!BIOL/NO=0.0
!
!BIOL/NO2=0.0
!
!BIOL/O3=-K086*<BIOL>
 PJAC(:,36,3)=-TPK%K086(:)*PCONC(:,36)
!
!BIOL/HONO=0.0
!
!BIOL/HNO3=0.0
!
!BIOL/HNO4=0.0
!
!BIOL/N2O5=0.0
!
!BIOL/NO3=-K085*<BIOL>
 PJAC(:,36,8)=-TPK%K085(:)*PCONC(:,36)
!
!BIOL/NH3=0.0
!
!BIOL/HO2=0.0
!
!BIOL/CO=0.0
!
!BIOL/H2O2=0.0
!
!BIOL/SO2=0.0
!
!BIOL/H2SO4=0.0
!
!BIOL/OH=-K084*<BIOL>
 PJAC(:,36,15)=-TPK%K084(:)*PCONC(:,36)
!
!BIOL/ETHE=0.0
!
!BIOL/OLEL=0.0
!
!BIOL/OLEH=0.0
!
!BIOL/ALKL=0.0
!
!BIOL/ALKM=0.0
!
!BIOL/ALKH=0.0
!
!BIOL/AROH=0.0
!
!BIOL/AROL=0.0
!
!BIOL/AROO=0.0
!
!BIOL/ARAL=0.0
!
!BIOL/ARAC=0.0
!
!BIOL/PAH=0.0
!
!BIOL/HCHO=0.0
!
!BIOL/ALD2=0.0
!
!BIOL/KETL=0.0
!
!BIOL/KETH=0.0
!
!BIOL/MEOH=0.0
!
!BIOL/ETOH=0.0
!
!BIOL/ALCH=0.0
!
!BIOL/ISOP=0.0
!
!BIOL/BIOL=-K084*<OH>-K085*<NO3>-K086*<O3>-K087*<O>
 PJAC(:,36,36)=-TPK%K084(:)*PCONC(:,15)-TPK%K085(:)*PCONC(:,8)-TPK%K086(:)*PCON&
&C(:,3)-TPK%K087(:)*TPK%O(:)
!
!BIOL/BIOH=0.0
!
!BIOL/MTBE=0.0
!
!BIOL/MVK=0.0
!
!BIOL/MCR=0.0
!
!BIOL/MGLY=0.0
!
!BIOL/GLY=0.0
!
!BIOL/ORA1=0.0
!
!BIOL/ORA2=0.0
!
!BIOL/ACID=0.0
!
!BIOL/UR28=0.0
!
!BIOL/UR21=0.0
!
!BIOL/URG2=0.0
!
!BIOL/UR26=0.0
!
!BIOL/RPG2=0.0
!
!BIOL/RP18=0.0
!
!BIOL/RPG3=0.0
!
!BIOL/URG4=0.0
!
!BIOL/UR8=0.0
!
!BIOL/UR17=0.0
!
!BIOL/UR7=0.0
!
!BIOL/RPR3=0.0
!
!BIOL/URG6=0.0
!
!BIOL/UR22=0.0
!
!BIOL/URG7=0.0
!
!BIOL/RPR4=0.0
!
!BIOL/RPR7=0.0
!
!BIOL/RPG7=0.0
!
!BIOL/URG8=0.0
!
!BIOL/UR19=0.0
!
!BIOL/URG9=0.0
!
!BIOL/AP7=0.0
!
!BIOL/URG10=0.0
!
!BIOL/RPR1=0.0
!
!BIOL/RPR5=0.0
!
!BIOL/RPR8=0.0
!
!BIOL/RP10=0.0
!
!BIOL/RP11=0.0
!
!BIOL/RP16=0.0
!
!BIOL/RPRL=0.0
!
!BIOL/APAN=0.0
!
!BIOL/PAN1=0.0
!
!BIOL/PAN2=0.0
!
!BIOL/PAN3=0.0
!
!BIOL/PAN4=0.0
!
!BIOL/PAN6=0.0
!
!BIOL/PAN7=0.0
!
!BIOL/PAN8=0.0
!
!BIOL/PN10=0.0
!
!BIOL/RO2T=0.0
!
!BIOL/RO21=0.0
!
!BIOL/RO25=0.0
!
!BIOL/WC_O3=0.0
!
!BIOL/WC_H2O2=0.0
!
!BIOL/WC_NO=0.0
!
!BIOL/WC_NO2=0.0
!
!BIOL/WC_NO3=0.0
!
!BIOL/WC_N2O5=0.0
!
!BIOL/WC_HONO=0.0
!
!BIOL/WC_HNO3=0.0
!
!BIOL/WC_HNO4=0.0
!
!BIOL/WC_NH3=0.0
!
!BIOL/WC_OH=0.0
!
!BIOL/WC_HO2=0.0
!
!BIOL/WC_CO2=0.0
!
!BIOL/WC_SO2=0.0
!
!BIOL/WC_H2SO4=0.0
!
!BIOL/WC_RO21=0.0
!
!BIOL/WC_RO25=0.0
!
!BIOL/WC_MEOH=0.0
!
!BIOL/WC_ETOH=0.0
!
!BIOL/WC_ALCH=0.0
!
!BIOL/WC_HCHO=0.0
!
!BIOL/WC_ALD2=0.0
!
!BIOL/WC_GLY=0.0
!
!BIOL/WC_MGLY=0.0
!
!BIOL/WC_KETL=0.0
!
!BIOL/WC_ORA1=0.0
!
!BIOL/WC_ORA2=0.0
!
!BIOL/WC_ACID=0.0
!
!BIOL/WC_RP16=0.0
!
!BIOL/WC_UR21=0.0
!
!BIOL/WC_UR28=0.0
!
!BIOL/WC_ACID2=0.0
!
!BIOL/WC_ASO3=0.0
!
!BIOL/WC_ASO4=0.0
!
!BIOL/WC_ASO5=0.0
!
!BIOL/WC_AHSO5=0.0
!
!BIOL/WC_AHMS=0.0
!
!BIOL/WR_O3=0.0
!
!BIOL/WR_H2O2=0.0
!
!BIOL/WR_NO=0.0
!
!BIOL/WR_NO2=0.0
!
!BIOL/WR_NO3=0.0
!
!BIOL/WR_N2O5=0.0
!
!BIOL/WR_HONO=0.0
!
!BIOL/WR_HNO3=0.0
!
!BIOL/WR_HNO4=0.0
!
!BIOL/WR_NH3=0.0
!
!BIOL/WR_OH=0.0
!
!BIOL/WR_HO2=0.0
!
!BIOL/WR_CO2=0.0
!
!BIOL/WR_SO2=0.0
!
!BIOL/WR_H2SO4=0.0
!
!BIOL/WR_RO21=0.0
!
!BIOL/WR_RO25=0.0
!
!BIOL/WR_MEOH=0.0
!
!BIOL/WR_ETOH=0.0
!
!BIOL/WR_ALCH=0.0
!
!BIOL/WR_HCHO=0.0
!
!BIOL/WR_ALD2=0.0
!
!BIOL/WR_GLY=0.0
!
!BIOL/WR_MGLY=0.0
!
!BIOL/WR_KETL=0.0
!
!BIOL/WR_ORA1=0.0
!
!BIOL/WR_ORA2=0.0
!
!BIOL/WR_ACID=0.0
!
!BIOL/WR_RP16=0.0
!
!BIOL/WR_UR21=0.0
!
!BIOL/WR_UR28=0.0
!
!BIOL/WR_ACID2=0.0
!
!BIOL/WR_ASO3=0.0
!
!BIOL/WR_ASO4=0.0
!
!BIOL/WR_ASO5=0.0
!
!BIOL/WR_AHSO5=0.0
!
!BIOL/WR_AHMS=0.0
!
!BIOH/NO=0.0
!
!BIOH/NO2=0.0
!
!BIOH/O3=-K090*<BIOH>
 PJAC(:,37,3)=-TPK%K090(:)*PCONC(:,37)
!
!BIOH/HONO=0.0
!
!BIOH/HNO3=0.0
!
!BIOH/HNO4=0.0
!
!BIOH/N2O5=0.0
!
!BIOH/NO3=-K089*<BIOH>
 PJAC(:,37,8)=-TPK%K089(:)*PCONC(:,37)
!
!BIOH/NH3=0.0
!
!BIOH/HO2=0.0
!
!BIOH/CO=0.0
!
!BIOH/H2O2=0.0
!
!BIOH/SO2=0.0
!
!BIOH/H2SO4=0.0
!
!BIOH/OH=-K088*<BIOH>
 PJAC(:,37,15)=-TPK%K088(:)*PCONC(:,37)
!
!BIOH/ETHE=0.0
!
!BIOH/OLEL=0.0
!
!BIOH/OLEH=0.0
!
!BIOH/ALKL=0.0
!
!BIOH/ALKM=0.0
!
!BIOH/ALKH=0.0
!
!BIOH/AROH=0.0
!
!BIOH/AROL=0.0
!
!BIOH/AROO=0.0
!
!BIOH/ARAL=0.0
!
!BIOH/ARAC=0.0
!
!BIOH/PAH=0.0
!
!BIOH/HCHO=0.0
!
!BIOH/ALD2=0.0
!
!BIOH/KETL=0.0
!
!BIOH/KETH=0.0
!
!BIOH/MEOH=0.0
!
!BIOH/ETOH=0.0
!
!BIOH/ALCH=0.0
!
!BIOH/ISOP=0.0
!
!BIOH/BIOL=0.0
!
!BIOH/BIOH=-K088*<OH>-K089*<NO3>-K090*<O3>-K091*<O>
 PJAC(:,37,37)=-TPK%K088(:)*PCONC(:,15)-TPK%K089(:)*PCONC(:,8)-TPK%K090(:)*PCON&
&C(:,3)-TPK%K091(:)*TPK%O(:)
!
!BIOH/MTBE=0.0
!
!BIOH/MVK=0.0
!
!BIOH/MCR=0.0
!
!BIOH/MGLY=0.0
!
!BIOH/GLY=0.0
!
!BIOH/ORA1=0.0
!
!BIOH/ORA2=0.0
!
!BIOH/ACID=0.0
!
!BIOH/UR28=0.0
!
!BIOH/UR21=0.0
!
!BIOH/URG2=0.0
!
!BIOH/UR26=0.0
!
!BIOH/RPG2=0.0
!
!BIOH/RP18=0.0
!
!BIOH/RPG3=0.0
!
!BIOH/URG4=0.0
!
!BIOH/UR8=0.0
!
!BIOH/UR17=0.0
!
!BIOH/UR7=0.0
!
!BIOH/RPR3=0.0
!
!BIOH/URG6=0.0
!
!BIOH/UR22=0.0
!
!BIOH/URG7=0.0
!
!BIOH/RPR4=0.0
!
!BIOH/RPR7=0.0
!
!BIOH/RPG7=0.0
!
!BIOH/URG8=0.0
!
!BIOH/UR19=0.0
!
!BIOH/URG9=0.0
!
!BIOH/AP7=0.0
!
!BIOH/URG10=0.0
!
!BIOH/RPR1=0.0
!
!BIOH/RPR5=0.0
!
!BIOH/RPR8=0.0
!
!BIOH/RP10=0.0
!
!BIOH/RP11=0.0
!
!BIOH/RP16=0.0
!
!BIOH/RPRL=0.0
!
!BIOH/APAN=0.0
!
!BIOH/PAN1=0.0
!
!BIOH/PAN2=0.0
!
!BIOH/PAN3=0.0
!
!BIOH/PAN4=0.0
!
!BIOH/PAN6=0.0
!
!BIOH/PAN7=0.0
!
!BIOH/PAN8=0.0
!
!BIOH/PN10=0.0
!
!BIOH/RO2T=0.0
!
!BIOH/RO21=0.0
!
!BIOH/RO25=0.0
!
!BIOH/WC_O3=0.0
!
!BIOH/WC_H2O2=0.0
!
!BIOH/WC_NO=0.0
!
!BIOH/WC_NO2=0.0
!
!BIOH/WC_NO3=0.0
!
!BIOH/WC_N2O5=0.0
!
!BIOH/WC_HONO=0.0
!
!BIOH/WC_HNO3=0.0
!
!BIOH/WC_HNO4=0.0
!
!BIOH/WC_NH3=0.0
!
!BIOH/WC_OH=0.0
!
!BIOH/WC_HO2=0.0
!
!BIOH/WC_CO2=0.0
!
!BIOH/WC_SO2=0.0
!
!BIOH/WC_H2SO4=0.0
!
!BIOH/WC_RO21=0.0
!
!BIOH/WC_RO25=0.0
!
!BIOH/WC_MEOH=0.0
!
!BIOH/WC_ETOH=0.0
!
!BIOH/WC_ALCH=0.0
!
!BIOH/WC_HCHO=0.0
!
!BIOH/WC_ALD2=0.0
!
!BIOH/WC_GLY=0.0
!
!BIOH/WC_MGLY=0.0
!
!BIOH/WC_KETL=0.0
!
!BIOH/WC_ORA1=0.0
!
!BIOH/WC_ORA2=0.0
!
!BIOH/WC_ACID=0.0
!
!BIOH/WC_RP16=0.0
!
!BIOH/WC_UR21=0.0
!
!BIOH/WC_UR28=0.0
!
!BIOH/WC_ACID2=0.0
!
!BIOH/WC_ASO3=0.0
!
!BIOH/WC_ASO4=0.0
!
!BIOH/WC_ASO5=0.0
!
!BIOH/WC_AHSO5=0.0
!
!BIOH/WC_AHMS=0.0
!
!BIOH/WR_O3=0.0
!
!BIOH/WR_H2O2=0.0
!
!BIOH/WR_NO=0.0
!
!BIOH/WR_NO2=0.0
!
!BIOH/WR_NO3=0.0
!
!BIOH/WR_N2O5=0.0
!
!BIOH/WR_HONO=0.0
!
!BIOH/WR_HNO3=0.0
!
!BIOH/WR_HNO4=0.0
!
!BIOH/WR_NH3=0.0
!
!BIOH/WR_OH=0.0
!
!BIOH/WR_HO2=0.0
!
!BIOH/WR_CO2=0.0
!
!BIOH/WR_SO2=0.0
!
!BIOH/WR_H2SO4=0.0
!
!BIOH/WR_RO21=0.0
!
!BIOH/WR_RO25=0.0
!
!BIOH/WR_MEOH=0.0
!
!BIOH/WR_ETOH=0.0
!
!BIOH/WR_ALCH=0.0
!
!BIOH/WR_HCHO=0.0
!
!BIOH/WR_ALD2=0.0
!
!BIOH/WR_GLY=0.0
!
!BIOH/WR_MGLY=0.0
!
!BIOH/WR_KETL=0.0
!
!BIOH/WR_ORA1=0.0
!
!BIOH/WR_ORA2=0.0
!
!BIOH/WR_ACID=0.0
!
!BIOH/WR_RP16=0.0
!
!BIOH/WR_UR21=0.0
!
!BIOH/WR_UR28=0.0
!
!BIOH/WR_ACID2=0.0
!
!BIOH/WR_ASO3=0.0
!
!BIOH/WR_ASO4=0.0
!
!BIOH/WR_ASO5=0.0
!
!BIOH/WR_AHSO5=0.0
!
!BIOH/WR_AHMS=0.0
!
!MTBE/NO=0.0
!
!MTBE/NO2=0.0
!
!MTBE/O3=0.0
!
!MTBE/HONO=0.0
!
!MTBE/HNO3=0.0
!
!MTBE/HNO4=0.0
!
!MTBE/N2O5=0.0
!
!MTBE/NO3=0.0
!
!MTBE/NH3=0.0
!
!MTBE/HO2=0.0
!
!MTBE/CO=0.0
!
!MTBE/H2O2=0.0
!
!MTBE/SO2=0.0
!
!MTBE/H2SO4=0.0
!
!MTBE/OH=-K068*<MTBE>
 PJAC(:,38,15)=-TPK%K068(:)*PCONC(:,38)
!
!MTBE/ETHE=0.0
!
!MTBE/OLEL=0.0
!
!MTBE/OLEH=0.0
!
!MTBE/ALKL=0.0
!
!MTBE/ALKM=0.0
!
!MTBE/ALKH=0.0
!
!MTBE/AROH=0.0
!
!MTBE/AROL=0.0
!
!MTBE/AROO=0.0
!
!MTBE/ARAL=0.0
!
!MTBE/ARAC=0.0
!
!MTBE/PAH=0.0
!
!MTBE/HCHO=0.0
!
!MTBE/ALD2=0.0
!
!MTBE/KETL=0.0
!
!MTBE/KETH=0.0
!
!MTBE/MEOH=0.0
!
!MTBE/ETOH=0.0
!
!MTBE/ALCH=0.0
!
!MTBE/ISOP=0.0
!
!MTBE/BIOL=0.0
!
!MTBE/BIOH=0.0
!
!MTBE/MTBE=-K068*<OH>
 PJAC(:,38,38)=-TPK%K068(:)*PCONC(:,15)
!
!MTBE/MVK=0.0
!
!MTBE/MCR=0.0
!
!MTBE/MGLY=0.0
!
!MTBE/GLY=0.0
!
!MTBE/ORA1=0.0
!
!MTBE/ORA2=0.0
!
!MTBE/ACID=0.0
!
!MTBE/UR28=0.0
!
!MTBE/UR21=0.0
!
!MTBE/URG2=0.0
!
!MTBE/UR26=0.0
!
!MTBE/RPG2=0.0
!
!MTBE/RP18=0.0
!
!MTBE/RPG3=0.0
!
!MTBE/URG4=0.0
!
!MTBE/UR8=0.0
!
!MTBE/UR17=0.0
!
!MTBE/UR7=0.0
!
!MTBE/RPR3=0.0
!
!MTBE/URG6=0.0
!
!MTBE/UR22=0.0
!
!MTBE/URG7=0.0
!
!MTBE/RPR4=0.0
!
!MTBE/RPR7=0.0
!
!MTBE/RPG7=0.0
!
!MTBE/URG8=0.0
!
!MTBE/UR19=0.0
!
!MTBE/URG9=0.0
!
!MTBE/AP7=0.0
!
!MTBE/URG10=0.0
!
!MTBE/RPR1=0.0
!
!MTBE/RPR5=0.0
!
!MTBE/RPR8=0.0
!
!MTBE/RP10=0.0
!
!MTBE/RP11=0.0
!
!MTBE/RP16=0.0
!
!MTBE/RPRL=0.0
!
!MTBE/APAN=0.0
!
!MTBE/PAN1=0.0
!
!MTBE/PAN2=0.0
!
!MTBE/PAN3=0.0
!
!MTBE/PAN4=0.0
!
!MTBE/PAN6=0.0
!
!MTBE/PAN7=0.0
!
!MTBE/PAN8=0.0
!
!MTBE/PN10=0.0
!
!MTBE/RO2T=0.0
!
!MTBE/RO21=0.0
!
!MTBE/RO25=0.0
!
!MTBE/WC_O3=0.0
!
!MTBE/WC_H2O2=0.0
!
!MTBE/WC_NO=0.0
!
!MTBE/WC_NO2=0.0
!
!MTBE/WC_NO3=0.0
!
!MTBE/WC_N2O5=0.0
!
!MTBE/WC_HONO=0.0
!
!MTBE/WC_HNO3=0.0
!
!MTBE/WC_HNO4=0.0
!
!MTBE/WC_NH3=0.0
!
!MTBE/WC_OH=0.0
!
!MTBE/WC_HO2=0.0
!
!MTBE/WC_CO2=0.0
!
!MTBE/WC_SO2=0.0
!
!MTBE/WC_H2SO4=0.0
!
!MTBE/WC_RO21=0.0
!
!MTBE/WC_RO25=0.0
!
!MTBE/WC_MEOH=0.0
!
!MTBE/WC_ETOH=0.0
!
!MTBE/WC_ALCH=0.0
!
!MTBE/WC_HCHO=0.0
!
!MTBE/WC_ALD2=0.0
!
!MTBE/WC_GLY=0.0
!
!MTBE/WC_MGLY=0.0
!
!MTBE/WC_KETL=0.0
!
!MTBE/WC_ORA1=0.0
!
!MTBE/WC_ORA2=0.0
!
!MTBE/WC_ACID=0.0
!
!MTBE/WC_RP16=0.0
!
!MTBE/WC_UR21=0.0
!
!MTBE/WC_UR28=0.0
!
!MTBE/WC_ACID2=0.0
!
!MTBE/WC_ASO3=0.0
!
!MTBE/WC_ASO4=0.0
!
!MTBE/WC_ASO5=0.0
!
!MTBE/WC_AHSO5=0.0
!
!MTBE/WC_AHMS=0.0
!
!MTBE/WR_O3=0.0
!
!MTBE/WR_H2O2=0.0
!
!MTBE/WR_NO=0.0
!
!MTBE/WR_NO2=0.0
!
!MTBE/WR_NO3=0.0
!
!MTBE/WR_N2O5=0.0
!
!MTBE/WR_HONO=0.0
!
!MTBE/WR_HNO3=0.0
!
!MTBE/WR_HNO4=0.0
!
!MTBE/WR_NH3=0.0
!
!MTBE/WR_OH=0.0
!
!MTBE/WR_HO2=0.0
!
!MTBE/WR_CO2=0.0
!
!MTBE/WR_SO2=0.0
!
!MTBE/WR_H2SO4=0.0
!
!MTBE/WR_RO21=0.0
!
!MTBE/WR_RO25=0.0
!
!MTBE/WR_MEOH=0.0
!
!MTBE/WR_ETOH=0.0
!
!MTBE/WR_ALCH=0.0
!
!MTBE/WR_HCHO=0.0
!
!MTBE/WR_ALD2=0.0
!
!MTBE/WR_GLY=0.0
!
!MTBE/WR_MGLY=0.0
!
!MTBE/WR_KETL=0.0
!
!MTBE/WR_ORA1=0.0
!
!MTBE/WR_ORA2=0.0
!
!MTBE/WR_ACID=0.0
!
!MTBE/WR_RP16=0.0
!
!MTBE/WR_UR21=0.0
!
!MTBE/WR_UR28=0.0
!
!MTBE/WR_ACID2=0.0
!
!MTBE/WR_ASO3=0.0
!
!MTBE/WR_ASO4=0.0
!
!MTBE/WR_ASO5=0.0
!
!MTBE/WR_AHSO5=0.0
!
!MTBE/WR_AHMS=0.0
!
!MVK/NO=+TPK%CF6*K150*<RO29>+K156*<RO211>
 PJAC(:,39,1)=+TPK%CF6*TPK%K150(:)*TPK%RO29(:)+TPK%K156(:)*TPK%RO211(:)
!
!MVK/NO2=0.0
!
!MVK/O3=+0.389*K066*<ISOP>-K281*<MVK>
 PJAC(:,39,3)=+0.389*TPK%K066(:)*PCONC(:,35)-TPK%K281(:)*PCONC(:,39)
!
!MVK/HONO=0.0
!
!MVK/HNO3=0.0
!
!MVK/HNO4=0.0
!
!MVK/N2O5=0.0
!
!MVK/NO3=0.0
!
!MVK/NH3=0.0
!
!MVK/HO2=+K152*<RO29>+K158*<RO211>
 PJAC(:,39,10)=+TPK%K152(:)*TPK%RO29(:)+TPK%K158(:)*TPK%RO211(:)
!
!MVK/CO=0.0
!
!MVK/H2O2=0.0
!
!MVK/SO2=0.0
!
!MVK/H2SO4=0.0
!
!MVK/OH=-K272*<MVK>
 PJAC(:,39,15)=-TPK%K272(:)*PCONC(:,39)
!
!MVK/ETHE=0.0
!
!MVK/OLEL=0.0
!
!MVK/OLEH=0.0
!
!MVK/ALKL=0.0
!
!MVK/ALKM=0.0
!
!MVK/ALKH=0.0
!
!MVK/AROH=0.0
!
!MVK/AROL=0.0
!
!MVK/AROO=0.0
!
!MVK/ARAL=0.0
!
!MVK/ARAC=0.0
!
!MVK/PAH=0.0
!
!MVK/HCHO=0.0
!
!MVK/ALD2=0.0
!
!MVK/KETL=0.0
!
!MVK/KETH=0.0
!
!MVK/MEOH=0.0
!
!MVK/ETOH=0.0
!
!MVK/ALCH=0.0
!
!MVK/ISOP=+0.389*K066*<O3>
 PJAC(:,39,35)=+0.389*TPK%K066(:)*PCONC(:,3)
!
!MVK/BIOL=0.0
!
!MVK/BIOH=0.0
!
!MVK/MTBE=0.0
!
!MVK/MVK=-K272*<OH>-K281*<O3>-K283*<O>
 PJAC(:,39,39)=-TPK%K272(:)*PCONC(:,15)-TPK%K281(:)*PCONC(:,3)-TPK%K283(:)*TPK%&
&O(:)
!
!MVK/MCR=0.0
!
!MVK/MGLY=0.0
!
!MVK/GLY=0.0
!
!MVK/ORA1=0.0
!
!MVK/ORA2=0.0
!
!MVK/ACID=0.0
!
!MVK/UR28=0.0
!
!MVK/UR21=0.0
!
!MVK/URG2=0.0
!
!MVK/UR26=0.0
!
!MVK/RPG2=0.0
!
!MVK/RP18=0.0
!
!MVK/RPG3=0.0
!
!MVK/URG4=0.0
!
!MVK/UR8=0.0
!
!MVK/UR17=0.0
!
!MVK/UR7=0.0
!
!MVK/RPR3=0.0
!
!MVK/URG6=0.0
!
!MVK/UR22=0.0
!
!MVK/URG7=0.0
!
!MVK/RPR4=0.0
!
!MVK/RPR7=0.0
!
!MVK/RPG7=0.0
!
!MVK/URG8=0.0
!
!MVK/UR19=0.0
!
!MVK/URG9=0.0
!
!MVK/AP7=0.0
!
!MVK/URG10=0.0
!
!MVK/RPR1=0.0
!
!MVK/RPR5=0.0
!
!MVK/RPR8=0.0
!
!MVK/RP10=0.0
!
!MVK/RP11=0.0
!
!MVK/RP16=0.0
!
!MVK/RPRL=0.0
!
!MVK/APAN=0.0
!
!MVK/PAN1=0.0
!
!MVK/PAN2=0.0
!
!MVK/PAN3=0.0
!
!MVK/PAN4=0.0
!
!MVK/PAN6=0.0
!
!MVK/PAN7=0.0
!
!MVK/PAN8=0.0
!
!MVK/PN10=0.0
!
!MVK/RO2T=+K151*<RO29>+K157*<RO211>
 PJAC(:,39,85)=+TPK%K151(:)*TPK%RO29(:)+TPK%K157(:)*TPK%RO211(:)
!
!MVK/RO21=0.0
!
!MVK/RO25=0.0
!
!MVK/WC_O3=0.0
!
!MVK/WC_H2O2=0.0
!
!MVK/WC_NO=0.0
!
!MVK/WC_NO2=0.0
!
!MVK/WC_NO3=0.0
!
!MVK/WC_N2O5=0.0
!
!MVK/WC_HONO=0.0
!
!MVK/WC_HNO3=0.0
!
!MVK/WC_HNO4=0.0
!
!MVK/WC_NH3=0.0
!
!MVK/WC_OH=0.0
!
!MVK/WC_HO2=0.0
!
!MVK/WC_CO2=0.0
!
!MVK/WC_SO2=0.0
!
!MVK/WC_H2SO4=0.0
!
!MVK/WC_RO21=0.0
!
!MVK/WC_RO25=0.0
!
!MVK/WC_MEOH=0.0
!
!MVK/WC_ETOH=0.0
!
!MVK/WC_ALCH=0.0
!
!MVK/WC_HCHO=0.0
!
!MVK/WC_ALD2=0.0
!
!MVK/WC_GLY=0.0
!
!MVK/WC_MGLY=0.0
!
!MVK/WC_KETL=0.0
!
!MVK/WC_ORA1=0.0
!
!MVK/WC_ORA2=0.0
!
!MVK/WC_ACID=0.0
!
!MVK/WC_RP16=0.0
!
!MVK/WC_UR21=0.0
!
!MVK/WC_UR28=0.0
!
!MVK/WC_ACID2=0.0
!
!MVK/WC_ASO3=0.0
!
!MVK/WC_ASO4=0.0
!
!MVK/WC_ASO5=0.0
!
!MVK/WC_AHSO5=0.0
!
!MVK/WC_AHMS=0.0
!
!MVK/WR_O3=0.0
!
!MVK/WR_H2O2=0.0
!
!MVK/WR_NO=0.0
!
!MVK/WR_NO2=0.0
!
!MVK/WR_NO3=0.0
!
!MVK/WR_N2O5=0.0
!
!MVK/WR_HONO=0.0
!
!MVK/WR_HNO3=0.0
!
!MVK/WR_HNO4=0.0
!
!MVK/WR_NH3=0.0
!
!MVK/WR_OH=0.0
!
!MVK/WR_HO2=0.0
!
!MVK/WR_CO2=0.0
!
!MVK/WR_SO2=0.0
!
!MVK/WR_H2SO4=0.0
!
!MVK/WR_RO21=0.0
!
!MVK/WR_RO25=0.0
!
!MVK/WR_MEOH=0.0
!
!MVK/WR_ETOH=0.0
!
!MVK/WR_ALCH=0.0
!
!MVK/WR_HCHO=0.0
!
!MVK/WR_ALD2=0.0
!
!MVK/WR_GLY=0.0
!
!MVK/WR_MGLY=0.0
!
!MVK/WR_KETL=0.0
!
!MVK/WR_ORA1=0.0
!
!MVK/WR_ORA2=0.0
!
!MVK/WR_ACID=0.0
!
!MVK/WR_RP16=0.0
!
!MVK/WR_UR21=0.0
!
!MVK/WR_UR28=0.0
!
!MVK/WR_ACID2=0.0
!
!MVK/WR_ASO3=0.0
!
!MVK/WR_ASO4=0.0
!
!MVK/WR_ASO5=0.0
!
!MVK/WR_AHSO5=0.0
!
!MVK/WR_AHMS=0.0
!
!MCR/NO=+K153*<RO210>+K159*<RO212>
 PJAC(:,40,1)=+TPK%K153(:)*TPK%RO210(:)+TPK%K159(:)*TPK%RO212(:)
!
!MCR/NO2=0.0
!
!MCR/O3=+0.17*K066*<ISOP>-K282*<MCR>
 PJAC(:,40,3)=+0.17*TPK%K066(:)*PCONC(:,35)-TPK%K282(:)*PCONC(:,40)
!
!MCR/HONO=0.0
!
!MCR/HNO3=0.0
!
!MCR/HNO4=0.0
!
!MCR/N2O5=0.0
!
!MCR/NO3=-K275*<MCR>
 PJAC(:,40,8)=-TPK%K275(:)*PCONC(:,40)
!
!MCR/NH3=0.0
!
!MCR/HO2=+K155*<RO210>+K161*<RO212>
 PJAC(:,40,10)=+TPK%K155(:)*TPK%RO210(:)+TPK%K161(:)*TPK%RO212(:)
!
!MCR/CO=0.0
!
!MCR/H2O2=0.0
!
!MCR/SO2=0.0
!
!MCR/H2SO4=0.0
!
!MCR/OH=-K273*<MCR>
 PJAC(:,40,15)=-TPK%K273(:)*PCONC(:,40)
!
!MCR/ETHE=0.0
!
!MCR/OLEL=0.0
!
!MCR/OLEH=0.0
!
!MCR/ALKL=0.0
!
!MCR/ALKM=0.0
!
!MCR/ALKH=0.0
!
!MCR/AROH=0.0
!
!MCR/AROL=0.0
!
!MCR/AROO=0.0
!
!MCR/ARAL=0.0
!
!MCR/ARAC=0.0
!
!MCR/PAH=0.0
!
!MCR/HCHO=0.0
!
!MCR/ALD2=0.0
!
!MCR/KETL=0.0
!
!MCR/KETH=0.0
!
!MCR/MEOH=0.0
!
!MCR/ETOH=0.0
!
!MCR/ALCH=0.0
!
!MCR/ISOP=+0.17*K066*<O3>
 PJAC(:,40,35)=+0.17*TPK%K066(:)*PCONC(:,3)
!
!MCR/BIOL=0.0
!
!MCR/BIOH=0.0
!
!MCR/MTBE=0.0
!
!MCR/MVK=0.0
!
!MCR/MCR=-K273*<OH>-K275*<NO3>-K282*<O3>-K284*<O>
 PJAC(:,40,40)=-TPK%K273(:)*PCONC(:,15)-TPK%K275(:)*PCONC(:,8)-TPK%K282(:)*PCON&
&C(:,3)-TPK%K284(:)*TPK%O(:)
!
!MCR/MGLY=0.0
!
!MCR/GLY=0.0
!
!MCR/ORA1=0.0
!
!MCR/ORA2=0.0
!
!MCR/ACID=0.0
!
!MCR/UR28=0.0
!
!MCR/UR21=0.0
!
!MCR/URG2=0.0
!
!MCR/UR26=0.0
!
!MCR/RPG2=0.0
!
!MCR/RP18=0.0
!
!MCR/RPG3=0.0
!
!MCR/URG4=0.0
!
!MCR/UR8=0.0
!
!MCR/UR17=0.0
!
!MCR/UR7=0.0
!
!MCR/RPR3=0.0
!
!MCR/URG6=0.0
!
!MCR/UR22=0.0
!
!MCR/URG7=0.0
!
!MCR/RPR4=0.0
!
!MCR/RPR7=0.0
!
!MCR/RPG7=0.0
!
!MCR/URG8=0.0
!
!MCR/UR19=0.0
!
!MCR/URG9=0.0
!
!MCR/AP7=0.0
!
!MCR/URG10=0.0
!
!MCR/RPR1=0.0
!
!MCR/RPR5=0.0
!
!MCR/RPR8=0.0
!
!MCR/RP10=0.0
!
!MCR/RP11=0.0
!
!MCR/RP16=0.0
!
!MCR/RPRL=0.0
!
!MCR/APAN=0.0
!
!MCR/PAN1=0.0
!
!MCR/PAN2=0.0
!
!MCR/PAN3=0.0
!
!MCR/PAN4=0.0
!
!MCR/PAN6=0.0
!
!MCR/PAN7=0.0
!
!MCR/PAN8=0.0
!
!MCR/PN10=0.0
!
!MCR/RO2T=+K154*<RO210>+K160*<RO212>
 PJAC(:,40,85)=+TPK%K154(:)*TPK%RO210(:)+TPK%K160(:)*TPK%RO212(:)
!
!MCR/RO21=0.0
!
!MCR/RO25=0.0
!
!MCR/WC_O3=0.0
!
!MCR/WC_H2O2=0.0
!
!MCR/WC_NO=0.0
!
!MCR/WC_NO2=0.0
!
!MCR/WC_NO3=0.0
!
!MCR/WC_N2O5=0.0
!
!MCR/WC_HONO=0.0
!
!MCR/WC_HNO3=0.0
!
!MCR/WC_HNO4=0.0
!
!MCR/WC_NH3=0.0
!
!MCR/WC_OH=0.0
!
!MCR/WC_HO2=0.0
!
!MCR/WC_CO2=0.0
!
!MCR/WC_SO2=0.0
!
!MCR/WC_H2SO4=0.0
!
!MCR/WC_RO21=0.0
!
!MCR/WC_RO25=0.0
!
!MCR/WC_MEOH=0.0
!
!MCR/WC_ETOH=0.0
!
!MCR/WC_ALCH=0.0
!
!MCR/WC_HCHO=0.0
!
!MCR/WC_ALD2=0.0
!
!MCR/WC_GLY=0.0
!
!MCR/WC_MGLY=0.0
!
!MCR/WC_KETL=0.0
!
!MCR/WC_ORA1=0.0
!
!MCR/WC_ORA2=0.0
!
!MCR/WC_ACID=0.0
!
!MCR/WC_RP16=0.0
!
!MCR/WC_UR21=0.0
!
!MCR/WC_UR28=0.0
!
!MCR/WC_ACID2=0.0
!
!MCR/WC_ASO3=0.0
!
!MCR/WC_ASO4=0.0
!
!MCR/WC_ASO5=0.0
!
!MCR/WC_AHSO5=0.0
!
!MCR/WC_AHMS=0.0
!
!MCR/WR_O3=0.0
!
!MCR/WR_H2O2=0.0
!
!MCR/WR_NO=0.0
!
!MCR/WR_NO2=0.0
!
!MCR/WR_NO3=0.0
!
!MCR/WR_N2O5=0.0
!
!MCR/WR_HONO=0.0
!
!MCR/WR_HNO3=0.0
!
!MCR/WR_HNO4=0.0
!
!MCR/WR_NH3=0.0
!
!MCR/WR_OH=0.0
!
!MCR/WR_HO2=0.0
!
!MCR/WR_CO2=0.0
!
!MCR/WR_SO2=0.0
!
!MCR/WR_H2SO4=0.0
!
!MCR/WR_RO21=0.0
!
!MCR/WR_RO25=0.0
!
!MCR/WR_MEOH=0.0
!
!MCR/WR_ETOH=0.0
!
!MCR/WR_ALCH=0.0
!
!MCR/WR_HCHO=0.0
!
!MCR/WR_ALD2=0.0
!
!MCR/WR_GLY=0.0
!
!MCR/WR_MGLY=0.0
!
!MCR/WR_KETL=0.0
!
!MCR/WR_ORA1=0.0
!
!MCR/WR_ORA2=0.0
!
!MCR/WR_ACID=0.0
!
!MCR/WR_RP16=0.0
!
!MCR/WR_UR21=0.0
!
!MCR/WR_UR28=0.0
!
!MCR/WR_ACID2=0.0
!
!MCR/WR_ASO3=0.0
!
!MCR/WR_ASO4=0.0
!
!MCR/WR_ASO5=0.0
!
!MCR/WR_AHSO5=0.0
!
!MCR/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ7
!
SUBROUTINE SUBJ8
!
!Indices 41 a 45
!
!
!MGLY/NO=+K234*<RO242>+K241*<RO243>+K248*<RO244>+K255*<RO245>+K262*<RO246>+K269
!*<RO247>+K285*<RO249>+K291*<RO251>+K294*<RO252>
 PJAC(:,41,1)=+TPK%K234(:)*TPK%RO242(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K248(:)*TP&
&K%RO244(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K262(:)*TPK%RO246(:)+TPK%K269(:)*TPK%R&
&O247(:)+TPK%K285(:)*TPK%RO249(:)+TPK%K291(:)*TPK%RO251(:)+TPK%K294(:)*TPK%RO25&
&2(:)
!
!MGLY/NO2=0.0
!
!MGLY/O3=+0.5*K281*<MVK>+0.59*K282*<MCR>
 PJAC(:,41,3)=+0.5*TPK%K281(:)*PCONC(:,39)+0.59*TPK%K282(:)*PCONC(:,40)
!
!MGLY/HONO=0.0
!
!MGLY/HNO3=0.0
!
!MGLY/HNO4=0.0
!
!MGLY/N2O5=0.0
!
!MGLY/NO3=-K278*<MGLY>
 PJAC(:,41,8)=-TPK%K278(:)*PCONC(:,41)
!
!MGLY/NH3=0.0
!
!MGLY/HO2=+K236*<RO242>+K243*<RO243>+K250*<RO244>+K257*<RO245>+K264*<RO246>+K27
!1*<RO247>+K287*<RO249>+K292*<RO251>+K295*<RO252>
 PJAC(:,41,10)=+TPK%K236(:)*TPK%RO242(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K250(:)*T&
&PK%RO244(:)+TPK%K257(:)*TPK%RO245(:)+TPK%K264(:)*TPK%RO246(:)+TPK%K271(:)*TPK%&
&RO247(:)+TPK%K287(:)*TPK%RO249(:)+TPK%K292(:)*TPK%RO251(:)+TPK%K295(:)*TPK%RO2&
&52(:)
!
!MGLY/CO=0.0
!
!MGLY/H2O2=0.0
!
!MGLY/SO2=0.0
!
!MGLY/H2SO4=0.0
!
!MGLY/OH=-K274*<MGLY>
 PJAC(:,41,15)=-TPK%K274(:)*PCONC(:,41)
!
!MGLY/ETHE=0.0
!
!MGLY/OLEL=0.0
!
!MGLY/OLEH=0.0
!
!MGLY/ALKL=0.0
!
!MGLY/ALKM=0.0
!
!MGLY/ALKH=0.0
!
!MGLY/AROH=0.0
!
!MGLY/AROL=0.0
!
!MGLY/AROO=0.0
!
!MGLY/ARAL=0.0
!
!MGLY/ARAC=0.0
!
!MGLY/PAH=0.0
!
!MGLY/HCHO=0.0
!
!MGLY/ALD2=0.0
!
!MGLY/KETL=0.0
!
!MGLY/KETH=0.0
!
!MGLY/MEOH=0.0
!
!MGLY/ETOH=0.0
!
!MGLY/ALCH=0.0
!
!MGLY/ISOP=0.0
!
!MGLY/BIOL=0.0
!
!MGLY/BIOH=0.0
!
!MGLY/MTBE=0.0
!
!MGLY/MVK=+0.5*K281*<O3>
 PJAC(:,41,39)=+0.5*TPK%K281(:)*PCONC(:,3)
!
!MGLY/MCR=+0.59*K282*<O3>
 PJAC(:,41,40)=+0.59*TPK%K282(:)*PCONC(:,3)
!
!MGLY/MGLY=-K274*<OH>-K276-K278*<NO3>-KTC25-KTR25
 PJAC(:,41,41)=-TPK%K274(:)*PCONC(:,15)-TPK%K276(:)-TPK%K278(:)*PCONC(:,8)-TPK%&
&KTC25(:)-TPK%KTR25(:)
!
!MGLY/GLY=0.0
!
!MGLY/ORA1=0.0
!
!MGLY/ORA2=0.0
!
!MGLY/ACID=0.0
!
!MGLY/UR28=0.0
!
!MGLY/UR21=0.0
!
!MGLY/URG2=0.0
!
!MGLY/UR26=0.0
!
!MGLY/RPG2=0.0
!
!MGLY/RP18=0.0
!
!MGLY/RPG3=0.0
!
!MGLY/URG4=0.0
!
!MGLY/UR8=0.0
!
!MGLY/UR17=0.0
!
!MGLY/UR7=0.0
!
!MGLY/RPR3=0.0
!
!MGLY/URG6=0.0
!
!MGLY/UR22=0.0
!
!MGLY/URG7=0.0
!
!MGLY/RPR4=0.0
!
!MGLY/RPR7=0.0
!
!MGLY/RPG7=0.0
!
!MGLY/URG8=0.0
!
!MGLY/UR19=0.0
!
!MGLY/URG9=0.0
!
!MGLY/AP7=0.0
!
!MGLY/URG10=0.0
!
!MGLY/RPR1=0.0
!
!MGLY/RPR5=0.0
!
!MGLY/RPR8=0.0
!
!MGLY/RP10=0.0
!
!MGLY/RP11=0.0
!
!MGLY/RP16=0.0
!
!MGLY/RPRL=0.0
!
!MGLY/APAN=0.0
!
!MGLY/PAN1=0.0
!
!MGLY/PAN2=0.0
!
!MGLY/PAN3=0.0
!
!MGLY/PAN4=0.0
!
!MGLY/PAN6=0.0
!
!MGLY/PAN7=0.0
!
!MGLY/PAN8=0.0
!
!MGLY/PN10=0.0
!
!MGLY/RO2T=+K235*<RO242>+K242*<RO243>+K249*<RO244>+K256*<RO245>+K263*<RO246>+K2
!70*<RO247>+K286*<RO249>+K293*<RO251>+K296*<RO252>
 PJAC(:,41,85)=+TPK%K235(:)*TPK%RO242(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K249(:)*T&
&PK%RO244(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K263(:)*TPK%RO246(:)+TPK%K270(:)*TPK%&
&RO247(:)+TPK%K286(:)*TPK%RO249(:)+TPK%K293(:)*TPK%RO251(:)+TPK%K296(:)*TPK%RO2&
&52(:)
!
!MGLY/RO21=0.0
!
!MGLY/RO25=0.0
!
!MGLY/WC_O3=0.0
!
!MGLY/WC_H2O2=0.0
!
!MGLY/WC_NO=0.0
!
!MGLY/WC_NO2=0.0
!
!MGLY/WC_NO3=0.0
!
!MGLY/WC_N2O5=0.0
!
!MGLY/WC_HONO=0.0
!
!MGLY/WC_HNO3=0.0
!
!MGLY/WC_HNO4=0.0
!
!MGLY/WC_NH3=0.0
!
!MGLY/WC_OH=0.0
!
!MGLY/WC_HO2=0.0
!
!MGLY/WC_CO2=0.0
!
!MGLY/WC_SO2=0.0
!
!MGLY/WC_H2SO4=0.0
!
!MGLY/WC_RO21=0.0
!
!MGLY/WC_RO25=0.0
!
!MGLY/WC_MEOH=0.0
!
!MGLY/WC_ETOH=0.0
!
!MGLY/WC_ALCH=0.0
!
!MGLY/WC_HCHO=0.0
!
!MGLY/WC_ALD2=0.0
!
!MGLY/WC_GLY=0.0
!
!MGLY/WC_MGLY=+KTC56
 PJAC(:,41,111)=+TPK%KTC56(:)
!
!MGLY/WC_KETL=0.0
!
!MGLY/WC_ORA1=0.0
!
!MGLY/WC_ORA2=0.0
!
!MGLY/WC_ACID=0.0
!
!MGLY/WC_RP16=0.0
!
!MGLY/WC_UR21=0.0
!
!MGLY/WC_UR28=0.0
!
!MGLY/WC_ACID2=0.0
!
!MGLY/WC_ASO3=0.0
!
!MGLY/WC_ASO4=0.0
!
!MGLY/WC_ASO5=0.0
!
!MGLY/WC_AHSO5=0.0
!
!MGLY/WC_AHMS=0.0
!
!MGLY/WR_O3=0.0
!
!MGLY/WR_H2O2=0.0
!
!MGLY/WR_NO=0.0
!
!MGLY/WR_NO2=0.0
!
!MGLY/WR_NO3=0.0
!
!MGLY/WR_N2O5=0.0
!
!MGLY/WR_HONO=0.0
!
!MGLY/WR_HNO3=0.0
!
!MGLY/WR_HNO4=0.0
!
!MGLY/WR_NH3=0.0
!
!MGLY/WR_OH=0.0
!
!MGLY/WR_HO2=0.0
!
!MGLY/WR_CO2=0.0
!
!MGLY/WR_SO2=0.0
!
!MGLY/WR_H2SO4=0.0
!
!MGLY/WR_RO21=0.0
!
!MGLY/WR_RO25=0.0
!
!MGLY/WR_MEOH=0.0
!
!MGLY/WR_ETOH=0.0
!
!MGLY/WR_ALCH=0.0
!
!MGLY/WR_HCHO=0.0
!
!MGLY/WR_ALD2=0.0
!
!MGLY/WR_GLY=0.0
!
!MGLY/WR_MGLY=+KTR56
 PJAC(:,41,148)=+TPK%KTR56(:)
!
!MGLY/WR_KETL=0.0
!
!MGLY/WR_ORA1=0.0
!
!MGLY/WR_ORA2=0.0
!
!MGLY/WR_ACID=0.0
!
!MGLY/WR_RP16=0.0
!
!MGLY/WR_UR21=0.0
!
!MGLY/WR_UR28=0.0
!
!MGLY/WR_ACID2=0.0
!
!MGLY/WR_ASO3=0.0
!
!MGLY/WR_ASO4=0.0
!
!MGLY/WR_ASO5=0.0
!
!MGLY/WR_AHSO5=0.0
!
!MGLY/WR_AHMS=0.0
!
!GLY/NO=0.0
!
!GLY/NO2=0.0
!
!GLY/O3=0.0
!
!GLY/HONO=0.0
!
!GLY/HNO3=0.0
!
!GLY/HNO4=0.0
!
!GLY/N2O5=0.0
!
!GLY/NO3=0.0
!
!GLY/NH3=0.0
!
!GLY/HO2=0.0
!
!GLY/CO=0.0
!
!GLY/H2O2=0.0
!
!GLY/SO2=0.0
!
!GLY/H2SO4=0.0
!
!GLY/OH=0.0
!
!GLY/ETHE=0.0
!
!GLY/OLEL=0.0
!
!GLY/OLEH=0.0
!
!GLY/ALKL=0.0
!
!GLY/ALKM=0.0
!
!GLY/ALKH=0.0
!
!GLY/AROH=0.0
!
!GLY/AROL=0.0
!
!GLY/AROO=0.0
!
!GLY/ARAL=0.0
!
!GLY/ARAC=0.0
!
!GLY/PAH=0.0
!
!GLY/HCHO=0.0
!
!GLY/ALD2=0.0
!
!GLY/KETL=0.0
!
!GLY/KETH=0.0
!
!GLY/MEOH=0.0
!
!GLY/ETOH=0.0
!
!GLY/ALCH=0.0
!
!GLY/ISOP=0.0
!
!GLY/BIOL=0.0
!
!GLY/BIOH=0.0
!
!GLY/MTBE=0.0
!
!GLY/MVK=0.0
!
!GLY/MCR=0.0
!
!GLY/MGLY=0.0
!
!GLY/GLY=-KTC23-KTR23
 PJAC(:,42,42)=-TPK%KTC23(:)-TPK%KTR23(:)
!
!GLY/ORA1=0.0
!
!GLY/ORA2=0.0
!
!GLY/ACID=0.0
!
!GLY/UR28=0.0
!
!GLY/UR21=0.0
!
!GLY/URG2=0.0
!
!GLY/UR26=0.0
!
!GLY/RPG2=0.0
!
!GLY/RP18=0.0
!
!GLY/RPG3=0.0
!
!GLY/URG4=0.0
!
!GLY/UR8=0.0
!
!GLY/UR17=0.0
!
!GLY/UR7=0.0
!
!GLY/RPR3=0.0
!
!GLY/URG6=0.0
!
!GLY/UR22=0.0
!
!GLY/URG7=0.0
!
!GLY/RPR4=0.0
!
!GLY/RPR7=0.0
!
!GLY/RPG7=0.0
!
!GLY/URG8=0.0
!
!GLY/UR19=0.0
!
!GLY/URG9=0.0
!
!GLY/AP7=0.0
!
!GLY/URG10=0.0
!
!GLY/RPR1=0.0
!
!GLY/RPR5=0.0
!
!GLY/RPR8=0.0
!
!GLY/RP10=0.0
!
!GLY/RP11=0.0
!
!GLY/RP16=0.0
!
!GLY/RPRL=0.0
!
!GLY/APAN=0.0
!
!GLY/PAN1=0.0
!
!GLY/PAN2=0.0
!
!GLY/PAN3=0.0
!
!GLY/PAN4=0.0
!
!GLY/PAN6=0.0
!
!GLY/PAN7=0.0
!
!GLY/PAN8=0.0
!
!GLY/PN10=0.0
!
!GLY/RO2T=0.0
!
!GLY/RO21=0.0
!
!GLY/RO25=0.0
!
!GLY/WC_O3=0.0
!
!GLY/WC_H2O2=0.0
!
!GLY/WC_NO=0.0
!
!GLY/WC_NO2=0.0
!
!GLY/WC_NO3=0.0
!
!GLY/WC_N2O5=0.0
!
!GLY/WC_HONO=0.0
!
!GLY/WC_HNO3=0.0
!
!GLY/WC_HNO4=0.0
!
!GLY/WC_NH3=0.0
!
!GLY/WC_OH=0.0
!
!GLY/WC_HO2=0.0
!
!GLY/WC_CO2=0.0
!
!GLY/WC_SO2=0.0
!
!GLY/WC_H2SO4=0.0
!
!GLY/WC_RO21=0.0
!
!GLY/WC_RO25=0.0
!
!GLY/WC_MEOH=0.0
!
!GLY/WC_ETOH=0.0
!
!GLY/WC_ALCH=0.0
!
!GLY/WC_HCHO=0.0
!
!GLY/WC_ALD2=0.0
!
!GLY/WC_GLY=+KTC54
 PJAC(:,42,110)=+TPK%KTC54(:)
!
!GLY/WC_MGLY=0.0
!
!GLY/WC_KETL=0.0
!
!GLY/WC_ORA1=0.0
!
!GLY/WC_ORA2=0.0
!
!GLY/WC_ACID=0.0
!
!GLY/WC_RP16=0.0
!
!GLY/WC_UR21=0.0
!
!GLY/WC_UR28=0.0
!
!GLY/WC_ACID2=0.0
!
!GLY/WC_ASO3=0.0
!
!GLY/WC_ASO4=0.0
!
!GLY/WC_ASO5=0.0
!
!GLY/WC_AHSO5=0.0
!
!GLY/WC_AHMS=0.0
!
!GLY/WR_O3=0.0
!
!GLY/WR_H2O2=0.0
!
!GLY/WR_NO=0.0
!
!GLY/WR_NO2=0.0
!
!GLY/WR_NO3=0.0
!
!GLY/WR_N2O5=0.0
!
!GLY/WR_HONO=0.0
!
!GLY/WR_HNO3=0.0
!
!GLY/WR_HNO4=0.0
!
!GLY/WR_NH3=0.0
!
!GLY/WR_OH=0.0
!
!GLY/WR_HO2=0.0
!
!GLY/WR_CO2=0.0
!
!GLY/WR_SO2=0.0
!
!GLY/WR_H2SO4=0.0
!
!GLY/WR_RO21=0.0
!
!GLY/WR_RO25=0.0
!
!GLY/WR_MEOH=0.0
!
!GLY/WR_ETOH=0.0
!
!GLY/WR_ALCH=0.0
!
!GLY/WR_HCHO=0.0
!
!GLY/WR_ALD2=0.0
!
!GLY/WR_GLY=+KTR54
 PJAC(:,42,147)=+TPK%KTR54(:)
!
!GLY/WR_MGLY=0.0
!
!GLY/WR_KETL=0.0
!
!GLY/WR_ORA1=0.0
!
!GLY/WR_ORA2=0.0
!
!GLY/WR_ACID=0.0
!
!GLY/WR_RP16=0.0
!
!GLY/WR_UR21=0.0
!
!GLY/WR_UR28=0.0
!
!GLY/WR_ACID2=0.0
!
!GLY/WR_ASO3=0.0
!
!GLY/WR_ASO4=0.0
!
!GLY/WR_ASO5=0.0
!
!GLY/WR_AHSO5=0.0
!
!GLY/WR_AHMS=0.0
!
!ORA1/NO=0.0
!
!ORA1/NO2=0.0
!
!ORA1/O3=+0.185*K051*<ETHE>+0.12*K056*<OLEL>+0.121*K066*<ISOP>+0.12*K281*<MVK>+
!0.09*K282*<MCR>
 PJAC(:,43,3)=+0.185*TPK%K051(:)*PCONC(:,16)+0.12*TPK%K056(:)*PCONC(:,17)+0.121&
&*TPK%K066(:)*PCONC(:,35)+0.12*TPK%K281(:)*PCONC(:,39)+0.09*TPK%K282(:)*PCONC(:&
&,40)
!
!ORA1/HONO=0.0
!
!ORA1/HNO3=0.0
!
!ORA1/HNO4=0.0
!
!ORA1/N2O5=0.0
!
!ORA1/NO3=0.0
!
!ORA1/NH3=0.0
!
!ORA1/HO2=0.0
!
!ORA1/CO=0.0
!
!ORA1/H2O2=0.0
!
!ORA1/SO2=0.0
!
!ORA1/H2SO4=0.0
!
!ORA1/OH=-K347*<ORA1>
 PJAC(:,43,15)=-TPK%K347(:)*PCONC(:,43)
!
!ORA1/ETHE=+0.185*K051*<O3>
 PJAC(:,43,16)=+0.185*TPK%K051(:)*PCONC(:,3)
!
!ORA1/OLEL=+0.12*K056*<O3>
 PJAC(:,43,17)=+0.12*TPK%K056(:)*PCONC(:,3)
!
!ORA1/OLEH=0.0
!
!ORA1/ALKL=0.0
!
!ORA1/ALKM=0.0
!
!ORA1/ALKH=0.0
!
!ORA1/AROH=0.0
!
!ORA1/AROL=0.0
!
!ORA1/AROO=0.0
!
!ORA1/ARAL=0.0
!
!ORA1/ARAC=0.0
!
!ORA1/PAH=0.0
!
!ORA1/HCHO=0.0
!
!ORA1/ALD2=0.0
!
!ORA1/KETL=0.0
!
!ORA1/KETH=0.0
!
!ORA1/MEOH=0.0
!
!ORA1/ETOH=0.0
!
!ORA1/ALCH=0.0
!
!ORA1/ISOP=+0.121*K066*<O3>
 PJAC(:,43,35)=+0.121*TPK%K066(:)*PCONC(:,3)
!
!ORA1/BIOL=0.0
!
!ORA1/BIOH=0.0
!
!ORA1/MTBE=0.0
!
!ORA1/MVK=+0.12*K281*<O3>
 PJAC(:,43,39)=+0.12*TPK%K281(:)*PCONC(:,3)
!
!ORA1/MCR=+0.09*K282*<O3>
 PJAC(:,43,40)=+0.09*TPK%K282(:)*PCONC(:,3)
!
!ORA1/MGLY=0.0
!
!ORA1/GLY=0.0
!
!ORA1/ORA1=-K347*<OH>-KTC26-KTR26
 PJAC(:,43,43)=-TPK%K347(:)*PCONC(:,15)-TPK%KTC26(:)-TPK%KTR26(:)
!
!ORA1/ORA2=0.0
!
!ORA1/ACID=0.0
!
!ORA1/UR28=0.0
!
!ORA1/UR21=0.0
!
!ORA1/URG2=0.0
!
!ORA1/UR26=0.0
!
!ORA1/RPG2=0.0
!
!ORA1/RP18=0.0
!
!ORA1/RPG3=0.0
!
!ORA1/URG4=0.0
!
!ORA1/UR8=0.0
!
!ORA1/UR17=0.0
!
!ORA1/UR7=0.0
!
!ORA1/RPR3=0.0
!
!ORA1/URG6=0.0
!
!ORA1/UR22=0.0
!
!ORA1/URG7=0.0
!
!ORA1/RPR4=0.0
!
!ORA1/RPR7=0.0
!
!ORA1/RPG7=0.0
!
!ORA1/URG8=0.0
!
!ORA1/UR19=0.0
!
!ORA1/URG9=0.0
!
!ORA1/AP7=0.0
!
!ORA1/URG10=0.0
!
!ORA1/RPR1=0.0
!
!ORA1/RPR5=0.0
!
!ORA1/RPR8=0.0
!
!ORA1/RP10=0.0
!
!ORA1/RP11=0.0
!
!ORA1/RP16=0.0
!
!ORA1/RPRL=0.0
!
!ORA1/APAN=0.0
!
!ORA1/PAN1=0.0
!
!ORA1/PAN2=0.0
!
!ORA1/PAN3=0.0
!
!ORA1/PAN4=0.0
!
!ORA1/PAN6=0.0
!
!ORA1/PAN7=0.0
!
!ORA1/PAN8=0.0
!
!ORA1/PN10=0.0
!
!ORA1/RO2T=0.0
!
!ORA1/RO21=0.0
!
!ORA1/RO25=0.0
!
!ORA1/WC_O3=0.0
!
!ORA1/WC_H2O2=0.0
!
!ORA1/WC_NO=0.0
!
!ORA1/WC_NO2=0.0
!
!ORA1/WC_NO3=0.0
!
!ORA1/WC_N2O5=0.0
!
!ORA1/WC_HONO=0.0
!
!ORA1/WC_HNO3=0.0
!
!ORA1/WC_HNO4=0.0
!
!ORA1/WC_NH3=0.0
!
!ORA1/WC_OH=0.0
!
!ORA1/WC_HO2=0.0
!
!ORA1/WC_CO2=0.0
!
!ORA1/WC_SO2=0.0
!
!ORA1/WC_H2SO4=0.0
!
!ORA1/WC_RO21=0.0
!
!ORA1/WC_RO25=0.0
!
!ORA1/WC_MEOH=0.0
!
!ORA1/WC_ETOH=0.0
!
!ORA1/WC_ALCH=0.0
!
!ORA1/WC_HCHO=0.0
!
!ORA1/WC_ALD2=0.0
!
!ORA1/WC_GLY=0.0
!
!ORA1/WC_MGLY=0.0
!
!ORA1/WC_KETL=0.0
!
!ORA1/WC_ORA1=+KTC57
 PJAC(:,43,113)=+TPK%KTC57(:)
!
!ORA1/WC_ORA2=0.0
!
!ORA1/WC_ACID=0.0
!
!ORA1/WC_RP16=0.0
!
!ORA1/WC_UR21=0.0
!
!ORA1/WC_UR28=0.0
!
!ORA1/WC_ACID2=0.0
!
!ORA1/WC_ASO3=0.0
!
!ORA1/WC_ASO4=0.0
!
!ORA1/WC_ASO5=0.0
!
!ORA1/WC_AHSO5=0.0
!
!ORA1/WC_AHMS=0.0
!
!ORA1/WR_O3=0.0
!
!ORA1/WR_H2O2=0.0
!
!ORA1/WR_NO=0.0
!
!ORA1/WR_NO2=0.0
!
!ORA1/WR_NO3=0.0
!
!ORA1/WR_N2O5=0.0
!
!ORA1/WR_HONO=0.0
!
!ORA1/WR_HNO3=0.0
!
!ORA1/WR_HNO4=0.0
!
!ORA1/WR_NH3=0.0
!
!ORA1/WR_OH=0.0
!
!ORA1/WR_HO2=0.0
!
!ORA1/WR_CO2=0.0
!
!ORA1/WR_SO2=0.0
!
!ORA1/WR_H2SO4=0.0
!
!ORA1/WR_RO21=0.0
!
!ORA1/WR_RO25=0.0
!
!ORA1/WR_MEOH=0.0
!
!ORA1/WR_ETOH=0.0
!
!ORA1/WR_ALCH=0.0
!
!ORA1/WR_HCHO=0.0
!
!ORA1/WR_ALD2=0.0
!
!ORA1/WR_GLY=0.0
!
!ORA1/WR_MGLY=0.0
!
!ORA1/WR_KETL=0.0
!
!ORA1/WR_ORA1=+KTR57
 PJAC(:,43,150)=+TPK%KTR57(:)
!
!ORA1/WR_ORA2=0.0
!
!ORA1/WR_ACID=0.0
!
!ORA1/WR_RP16=0.0
!
!ORA1/WR_UR21=0.0
!
!ORA1/WR_UR28=0.0
!
!ORA1/WR_ACID2=0.0
!
!ORA1/WR_ASO3=0.0
!
!ORA1/WR_ASO4=0.0
!
!ORA1/WR_ASO5=0.0
!
!ORA1/WR_AHSO5=0.0
!
!ORA1/WR_AHMS=0.0
!
!ORA2/NO=0.0
!
!ORA2/NO2=0.0
!
!ORA2/O3=+0.12*K056*<OLEL>
 PJAC(:,44,3)=+0.12*TPK%K056(:)*PCONC(:,17)
!
!ORA2/HONO=0.0
!
!ORA2/HNO3=0.0
!
!ORA2/HNO4=0.0
!
!ORA2/N2O5=0.0
!
!ORA2/NO3=0.0
!
!ORA2/NH3=0.0
!
!ORA2/HO2=+K142*<RO26>+K148*<RO28>+0.5*K166*<RO239>+0.5*K289*<RO250>
 PJAC(:,44,10)=+TPK%K142(:)*TPK%RO26(:)+TPK%K148(:)*TPK%RO28(:)+0.5*TPK%K166(:)&
&*TPK%RO239(:)+0.5*TPK%K289(:)*TPK%RO250(:)
!
!ORA2/CO=0.0
!
!ORA2/H2O2=0.0
!
!ORA2/SO2=0.0
!
!ORA2/H2SO4=0.0
!
!ORA2/OH=-K348*<ORA2>
 PJAC(:,44,15)=-TPK%K348(:)*PCONC(:,44)
!
!ORA2/ETHE=0.0
!
!ORA2/OLEL=+0.12*K056*<O3>
 PJAC(:,44,17)=+0.12*TPK%K056(:)*PCONC(:,3)
!
!ORA2/OLEH=0.0
!
!ORA2/ALKL=0.0
!
!ORA2/ALKM=0.0
!
!ORA2/ALKH=0.0
!
!ORA2/AROH=0.0
!
!ORA2/AROL=0.0
!
!ORA2/AROO=0.0
!
!ORA2/ARAL=0.0
!
!ORA2/ARAC=0.0
!
!ORA2/PAH=0.0
!
!ORA2/HCHO=0.0
!
!ORA2/ALD2=0.0
!
!ORA2/KETL=0.0
!
!ORA2/KETH=0.0
!
!ORA2/MEOH=0.0
!
!ORA2/ETOH=0.0
!
!ORA2/ALCH=0.0
!
!ORA2/ISOP=0.0
!
!ORA2/BIOL=0.0
!
!ORA2/BIOH=0.0
!
!ORA2/MTBE=0.0
!
!ORA2/MVK=0.0
!
!ORA2/MCR=0.0
!
!ORA2/MGLY=0.0
!
!ORA2/GLY=0.0
!
!ORA2/ORA1=0.0
!
!ORA2/ORA2=-K348*<OH>-KTC27-KTR27
 PJAC(:,44,44)=-TPK%K348(:)*PCONC(:,15)-TPK%KTC27(:)-TPK%KTR27(:)
!
!ORA2/ACID=0.0
!
!ORA2/UR28=0.0
!
!ORA2/UR21=0.0
!
!ORA2/URG2=0.0
!
!ORA2/UR26=0.0
!
!ORA2/RPG2=0.0
!
!ORA2/RP18=0.0
!
!ORA2/RPG3=0.0
!
!ORA2/URG4=0.0
!
!ORA2/UR8=0.0
!
!ORA2/UR17=0.0
!
!ORA2/UR7=0.0
!
!ORA2/RPR3=0.0
!
!ORA2/URG6=0.0
!
!ORA2/UR22=0.0
!
!ORA2/URG7=0.0
!
!ORA2/RPR4=0.0
!
!ORA2/RPR7=0.0
!
!ORA2/RPG7=0.0
!
!ORA2/URG8=0.0
!
!ORA2/UR19=0.0
!
!ORA2/URG9=0.0
!
!ORA2/AP7=0.0
!
!ORA2/URG10=0.0
!
!ORA2/RPR1=0.0
!
!ORA2/RPR5=0.0
!
!ORA2/RPR8=0.0
!
!ORA2/RP10=0.0
!
!ORA2/RP11=0.0
!
!ORA2/RP16=0.0
!
!ORA2/RPRL=0.0
!
!ORA2/APAN=0.0
!
!ORA2/PAN1=0.0
!
!ORA2/PAN2=0.0
!
!ORA2/PAN3=0.0
!
!ORA2/PAN4=0.0
!
!ORA2/PAN6=0.0
!
!ORA2/PAN7=0.0
!
!ORA2/PAN8=0.0
!
!ORA2/PN10=0.0
!
!ORA2/RO2T=0.0
!
!ORA2/RO21=0.0
!
!ORA2/RO25=0.0
!
!ORA2/WC_O3=0.0
!
!ORA2/WC_H2O2=0.0
!
!ORA2/WC_NO=0.0
!
!ORA2/WC_NO2=0.0
!
!ORA2/WC_NO3=0.0
!
!ORA2/WC_N2O5=0.0
!
!ORA2/WC_HONO=0.0
!
!ORA2/WC_HNO3=0.0
!
!ORA2/WC_HNO4=0.0
!
!ORA2/WC_NH3=0.0
!
!ORA2/WC_OH=0.0
!
!ORA2/WC_HO2=0.0
!
!ORA2/WC_CO2=0.0
!
!ORA2/WC_SO2=0.0
!
!ORA2/WC_H2SO4=0.0
!
!ORA2/WC_RO21=0.0
!
!ORA2/WC_RO25=0.0
!
!ORA2/WC_MEOH=0.0
!
!ORA2/WC_ETOH=0.0
!
!ORA2/WC_ALCH=0.0
!
!ORA2/WC_HCHO=0.0
!
!ORA2/WC_ALD2=0.0
!
!ORA2/WC_GLY=0.0
!
!ORA2/WC_MGLY=0.0
!
!ORA2/WC_KETL=0.0
!
!ORA2/WC_ORA1=0.0
!
!ORA2/WC_ORA2=+KTC58
 PJAC(:,44,114)=+TPK%KTC58(:)
!
!ORA2/WC_ACID=0.0
!
!ORA2/WC_RP16=0.0
!
!ORA2/WC_UR21=0.0
!
!ORA2/WC_UR28=0.0
!
!ORA2/WC_ACID2=0.0
!
!ORA2/WC_ASO3=0.0
!
!ORA2/WC_ASO4=0.0
!
!ORA2/WC_ASO5=0.0
!
!ORA2/WC_AHSO5=0.0
!
!ORA2/WC_AHMS=0.0
!
!ORA2/WR_O3=0.0
!
!ORA2/WR_H2O2=0.0
!
!ORA2/WR_NO=0.0
!
!ORA2/WR_NO2=0.0
!
!ORA2/WR_NO3=0.0
!
!ORA2/WR_N2O5=0.0
!
!ORA2/WR_HONO=0.0
!
!ORA2/WR_HNO3=0.0
!
!ORA2/WR_HNO4=0.0
!
!ORA2/WR_NH3=0.0
!
!ORA2/WR_OH=0.0
!
!ORA2/WR_HO2=0.0
!
!ORA2/WR_CO2=0.0
!
!ORA2/WR_SO2=0.0
!
!ORA2/WR_H2SO4=0.0
!
!ORA2/WR_RO21=0.0
!
!ORA2/WR_RO25=0.0
!
!ORA2/WR_MEOH=0.0
!
!ORA2/WR_ETOH=0.0
!
!ORA2/WR_ALCH=0.0
!
!ORA2/WR_HCHO=0.0
!
!ORA2/WR_ALD2=0.0
!
!ORA2/WR_GLY=0.0
!
!ORA2/WR_MGLY=0.0
!
!ORA2/WR_KETL=0.0
!
!ORA2/WR_ORA1=0.0
!
!ORA2/WR_ORA2=+KTR58
 PJAC(:,44,151)=+TPK%KTR58(:)
!
!ORA2/WR_ACID=0.0
!
!ORA2/WR_RP16=0.0
!
!ORA2/WR_UR21=0.0
!
!ORA2/WR_UR28=0.0
!
!ORA2/WR_ACID2=0.0
!
!ORA2/WR_ASO3=0.0
!
!ORA2/WR_ASO4=0.0
!
!ORA2/WR_ASO5=0.0
!
!ORA2/WR_AHSO5=0.0
!
!ORA2/WR_AHMS=0.0
!
!ACID/NO=0.0
!
!ACID/NO2=0.0
!
!ACID/O3=+0.12*K076*<OLEH>
 PJAC(:,45,3)=+0.12*TPK%K076(:)*PCONC(:,18)
!
!ACID/HONO=0.0
!
!ACID/HNO3=0.0
!
!ACID/HNO4=0.0
!
!ACID/N2O5=0.0
!
!ACID/NO3=0.0
!
!ACID/NH3=0.0
!
!ACID/HO2=+K142*<RO26>+K310*<RO255>
 PJAC(:,45,10)=+TPK%K142(:)*TPK%RO26(:)+TPK%K310(:)*TPK%RO255(:)
!
!ACID/CO=0.0
!
!ACID/H2O2=0.0
!
!ACID/SO2=0.0
!
!ACID/H2SO4=0.0
!
!ACID/OH=-K349*<ACID>
 PJAC(:,45,15)=-TPK%K349(:)*PCONC(:,45)
!
!ACID/ETHE=0.0
!
!ACID/OLEL=0.0
!
!ACID/OLEH=+0.12*K076*<O3>
 PJAC(:,45,18)=+0.12*TPK%K076(:)*PCONC(:,3)
!
!ACID/ALKL=0.0
!
!ACID/ALKM=0.0
!
!ACID/ALKH=0.0
!
!ACID/AROH=0.0
!
!ACID/AROL=0.0
!
!ACID/AROO=0.0
!
!ACID/ARAL=0.0
!
!ACID/ARAC=0.0
!
!ACID/PAH=0.0
!
!ACID/HCHO=0.0
!
!ACID/ALD2=0.0
!
!ACID/KETL=0.0
!
!ACID/KETH=0.0
!
!ACID/MEOH=0.0
!
!ACID/ETOH=0.0
!
!ACID/ALCH=0.0
!
!ACID/ISOP=0.0
!
!ACID/BIOL=0.0
!
!ACID/BIOH=0.0
!
!ACID/MTBE=0.0
!
!ACID/MVK=0.0
!
!ACID/MCR=0.0
!
!ACID/MGLY=0.0
!
!ACID/GLY=0.0
!
!ACID/ORA1=0.0
!
!ACID/ORA2=0.0
!
!ACID/ACID=-K349*<OH>-KTC28-KTR28
 PJAC(:,45,45)=-TPK%K349(:)*PCONC(:,15)-TPK%KTC28(:)-TPK%KTR28(:)
!
!ACID/UR28=0.0
!
!ACID/UR21=0.0
!
!ACID/URG2=0.0
!
!ACID/UR26=0.0
!
!ACID/RPG2=0.0
!
!ACID/RP18=0.0
!
!ACID/RPG3=0.0
!
!ACID/URG4=0.0
!
!ACID/UR8=0.0
!
!ACID/UR17=0.0
!
!ACID/UR7=0.0
!
!ACID/RPR3=0.0
!
!ACID/URG6=0.0
!
!ACID/UR22=0.0
!
!ACID/URG7=0.0
!
!ACID/RPR4=0.0
!
!ACID/RPR7=0.0
!
!ACID/RPG7=0.0
!
!ACID/URG8=0.0
!
!ACID/UR19=0.0
!
!ACID/URG9=0.0
!
!ACID/AP7=0.0
!
!ACID/URG10=0.0
!
!ACID/RPR1=0.0
!
!ACID/RPR5=0.0
!
!ACID/RPR8=0.0
!
!ACID/RP10=0.0
!
!ACID/RP11=0.0
!
!ACID/RP16=0.0
!
!ACID/RPRL=0.0
!
!ACID/APAN=0.0
!
!ACID/PAN1=0.0
!
!ACID/PAN2=0.0
!
!ACID/PAN3=0.0
!
!ACID/PAN4=0.0
!
!ACID/PAN6=0.0
!
!ACID/PAN7=0.0
!
!ACID/PAN8=0.0
!
!ACID/PN10=0.0
!
!ACID/RO2T=0.0
!
!ACID/RO21=0.0
!
!ACID/RO25=0.0
!
!ACID/WC_O3=0.0
!
!ACID/WC_H2O2=0.0
!
!ACID/WC_NO=0.0
!
!ACID/WC_NO2=0.0
!
!ACID/WC_NO3=0.0
!
!ACID/WC_N2O5=0.0
!
!ACID/WC_HONO=0.0
!
!ACID/WC_HNO3=0.0
!
!ACID/WC_HNO4=0.0
!
!ACID/WC_NH3=0.0
!
!ACID/WC_OH=0.0
!
!ACID/WC_HO2=0.0
!
!ACID/WC_CO2=0.0
!
!ACID/WC_SO2=0.0
!
!ACID/WC_H2SO4=0.0
!
!ACID/WC_RO21=0.0
!
!ACID/WC_RO25=0.0
!
!ACID/WC_MEOH=0.0
!
!ACID/WC_ETOH=0.0
!
!ACID/WC_ALCH=0.0
!
!ACID/WC_HCHO=0.0
!
!ACID/WC_ALD2=0.0
!
!ACID/WC_GLY=0.0
!
!ACID/WC_MGLY=0.0
!
!ACID/WC_KETL=0.0
!
!ACID/WC_ORA1=0.0
!
!ACID/WC_ORA2=0.0
!
!ACID/WC_ACID=+KTC59
 PJAC(:,45,115)=+TPK%KTC59(:)
!
!ACID/WC_RP16=0.0
!
!ACID/WC_UR21=0.0
!
!ACID/WC_UR28=0.0
!
!ACID/WC_ACID2=0.0
!
!ACID/WC_ASO3=0.0
!
!ACID/WC_ASO4=0.0
!
!ACID/WC_ASO5=0.0
!
!ACID/WC_AHSO5=0.0
!
!ACID/WC_AHMS=0.0
!
!ACID/WR_O3=0.0
!
!ACID/WR_H2O2=0.0
!
!ACID/WR_NO=0.0
!
!ACID/WR_NO2=0.0
!
!ACID/WR_NO3=0.0
!
!ACID/WR_N2O5=0.0
!
!ACID/WR_HONO=0.0
!
!ACID/WR_HNO3=0.0
!
!ACID/WR_HNO4=0.0
!
!ACID/WR_NH3=0.0
!
!ACID/WR_OH=0.0
!
!ACID/WR_HO2=0.0
!
!ACID/WR_CO2=0.0
!
!ACID/WR_SO2=0.0
!
!ACID/WR_H2SO4=0.0
!
!ACID/WR_RO21=0.0
!
!ACID/WR_RO25=0.0
!
!ACID/WR_MEOH=0.0
!
!ACID/WR_ETOH=0.0
!
!ACID/WR_ALCH=0.0
!
!ACID/WR_HCHO=0.0
!
!ACID/WR_ALD2=0.0
!
!ACID/WR_GLY=0.0
!
!ACID/WR_MGLY=0.0
!
!ACID/WR_KETL=0.0
!
!ACID/WR_ORA1=0.0
!
!ACID/WR_ORA2=0.0
!
!ACID/WR_ACID=+KTR59
 PJAC(:,45,152)=+TPK%KTR59(:)
!
!ACID/WR_RP16=0.0
!
!ACID/WR_UR21=0.0
!
!ACID/WR_UR28=0.0
!
!ACID/WR_ACID2=0.0
!
!ACID/WR_ASO3=0.0
!
!ACID/WR_ASO4=0.0
!
!ACID/WR_ASO5=0.0
!
!ACID/WR_AHSO5=0.0
!
!ACID/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ8
!
SUBROUTINE SUBJ9
!
!Indices 46 a 50
!
!
!UR28/NO=0.0
!
!UR28/NO2=0.0
!
!UR28/O3=0.0
!
!UR28/HONO=0.0
!
!UR28/HNO3=0.0
!
!UR28/HNO4=0.0
!
!UR28/N2O5=0.0
!
!UR28/NO3=0.0
!
!UR28/NH3=0.0
!
!UR28/HO2=+K341*<RO258>
 PJAC(:,46,10)=+TPK%K341(:)*TPK%RO258(:)
!
!UR28/CO=0.0
!
!UR28/H2O2=0.0
!
!UR28/SO2=0.0
!
!UR28/H2SO4=0.0
!
!UR28/OH=0.0
!
!UR28/ETHE=0.0
!
!UR28/OLEL=0.0
!
!UR28/OLEH=0.0
!
!UR28/ALKL=0.0
!
!UR28/ALKM=0.0
!
!UR28/ALKH=0.0
!
!UR28/AROH=0.0
!
!UR28/AROL=0.0
!
!UR28/AROO=0.0
!
!UR28/ARAL=0.0
!
!UR28/ARAC=0.0
!
!UR28/PAH=0.0
!
!UR28/HCHO=0.0
!
!UR28/ALD2=0.0
!
!UR28/KETL=0.0
!
!UR28/KETH=0.0
!
!UR28/MEOH=0.0
!
!UR28/ETOH=0.0
!
!UR28/ALCH=0.0
!
!UR28/ISOP=0.0
!
!UR28/BIOL=0.0
!
!UR28/BIOH=0.0
!
!UR28/MTBE=0.0
!
!UR28/MVK=0.0
!
!UR28/MCR=0.0
!
!UR28/MGLY=0.0
!
!UR28/GLY=0.0
!
!UR28/ORA1=0.0
!
!UR28/ORA2=0.0
!
!UR28/ACID=0.0
!
!UR28/UR28=-K364-KTC31-KTR31
 PJAC(:,46,46)=-TPK%K364(:)-TPK%KTC31(:)-TPK%KTR31(:)
!
!UR28/UR21=0.0
!
!UR28/URG2=0.0
!
!UR28/UR26=0.0
!
!UR28/RPG2=0.0
!
!UR28/RP18=0.0
!
!UR28/RPG3=0.0
!
!UR28/URG4=0.0
!
!UR28/UR8=0.0
!
!UR28/UR17=0.0
!
!UR28/UR7=0.0
!
!UR28/RPR3=0.0
!
!UR28/URG6=0.0
!
!UR28/UR22=0.0
!
!UR28/URG7=0.0
!
!UR28/RPR4=0.0
!
!UR28/RPR7=0.0
!
!UR28/RPG7=0.0
!
!UR28/URG8=0.0
!
!UR28/UR19=0.0
!
!UR28/URG9=0.0
!
!UR28/AP7=0.0
!
!UR28/URG10=0.0
!
!UR28/RPR1=0.0
!
!UR28/RPR5=0.0
!
!UR28/RPR8=0.0
!
!UR28/RP10=0.0
!
!UR28/RP11=0.0
!
!UR28/RP16=0.0
!
!UR28/RPRL=0.0
!
!UR28/APAN=0.0
!
!UR28/PAN1=0.0
!
!UR28/PAN2=0.0
!
!UR28/PAN3=0.0
!
!UR28/PAN4=0.0
!
!UR28/PAN6=0.0
!
!UR28/PAN7=0.0
!
!UR28/PAN8=0.0
!
!UR28/PN10=0.0
!
!UR28/RO2T=0.0
!
!UR28/RO21=0.0
!
!UR28/RO25=0.0
!
!UR28/WC_O3=0.0
!
!UR28/WC_H2O2=0.0
!
!UR28/WC_NO=0.0
!
!UR28/WC_NO2=0.0
!
!UR28/WC_NO3=0.0
!
!UR28/WC_N2O5=0.0
!
!UR28/WC_HONO=0.0
!
!UR28/WC_HNO3=0.0
!
!UR28/WC_HNO4=0.0
!
!UR28/WC_NH3=0.0
!
!UR28/WC_OH=0.0
!
!UR28/WC_HO2=0.0
!
!UR28/WC_CO2=0.0
!
!UR28/WC_SO2=0.0
!
!UR28/WC_H2SO4=0.0
!
!UR28/WC_RO21=0.0
!
!UR28/WC_RO25=0.0
!
!UR28/WC_MEOH=0.0
!
!UR28/WC_ETOH=0.0
!
!UR28/WC_ALCH=0.0
!
!UR28/WC_HCHO=0.0
!
!UR28/WC_ALD2=0.0
!
!UR28/WC_GLY=0.0
!
!UR28/WC_MGLY=0.0
!
!UR28/WC_KETL=0.0
!
!UR28/WC_ORA1=0.0
!
!UR28/WC_ORA2=0.0
!
!UR28/WC_ACID=0.0
!
!UR28/WC_RP16=0.0
!
!UR28/WC_UR21=0.0
!
!UR28/WC_UR28=+KTC62
 PJAC(:,46,118)=+TPK%KTC62(:)
!
!UR28/WC_ACID2=0.0
!
!UR28/WC_ASO3=0.0
!
!UR28/WC_ASO4=0.0
!
!UR28/WC_ASO5=0.0
!
!UR28/WC_AHSO5=0.0
!
!UR28/WC_AHMS=0.0
!
!UR28/WR_O3=0.0
!
!UR28/WR_H2O2=0.0
!
!UR28/WR_NO=0.0
!
!UR28/WR_NO2=0.0
!
!UR28/WR_NO3=0.0
!
!UR28/WR_N2O5=0.0
!
!UR28/WR_HONO=0.0
!
!UR28/WR_HNO3=0.0
!
!UR28/WR_HNO4=0.0
!
!UR28/WR_NH3=0.0
!
!UR28/WR_OH=0.0
!
!UR28/WR_HO2=0.0
!
!UR28/WR_CO2=0.0
!
!UR28/WR_SO2=0.0
!
!UR28/WR_H2SO4=0.0
!
!UR28/WR_RO21=0.0
!
!UR28/WR_RO25=0.0
!
!UR28/WR_MEOH=0.0
!
!UR28/WR_ETOH=0.0
!
!UR28/WR_ALCH=0.0
!
!UR28/WR_HCHO=0.0
!
!UR28/WR_ALD2=0.0
!
!UR28/WR_GLY=0.0
!
!UR28/WR_MGLY=0.0
!
!UR28/WR_KETL=0.0
!
!UR28/WR_ORA1=0.0
!
!UR28/WR_ORA2=0.0
!
!UR28/WR_ACID=0.0
!
!UR28/WR_RP16=0.0
!
!UR28/WR_UR21=0.0
!
!UR28/WR_UR28=+KTR62
 PJAC(:,46,155)=+TPK%KTR62(:)
!
!UR28/WR_ACID2=0.0
!
!UR28/WR_ASO3=0.0
!
!UR28/WR_ASO4=0.0
!
!UR28/WR_ASO5=0.0
!
!UR28/WR_AHSO5=0.0
!
!UR28/WR_AHMS=0.0
!
!UR21/NO=0.0
!
!UR21/NO2=0.0
!
!UR21/O3=+0.12*K281*<MVK>
 PJAC(:,47,3)=+0.12*TPK%K281(:)*PCONC(:,39)
!
!UR21/HONO=0.0
!
!UR21/HNO3=0.0
!
!UR21/HNO4=0.0
!
!UR21/N2O5=0.0
!
!UR21/NO3=0.0
!
!UR21/NH3=0.0
!
!UR21/HO2=+K279*<RO248>
 PJAC(:,47,10)=+TPK%K279(:)*TPK%RO248(:)
!
!UR21/CO=0.0
!
!UR21/H2O2=0.0
!
!UR21/SO2=0.0
!
!UR21/H2SO4=0.0
!
!UR21/OH=0.0
!
!UR21/ETHE=0.0
!
!UR21/OLEL=0.0
!
!UR21/OLEH=0.0
!
!UR21/ALKL=0.0
!
!UR21/ALKM=0.0
!
!UR21/ALKH=0.0
!
!UR21/AROH=0.0
!
!UR21/AROL=0.0
!
!UR21/AROO=0.0
!
!UR21/ARAL=0.0
!
!UR21/ARAC=0.0
!
!UR21/PAH=0.0
!
!UR21/HCHO=0.0
!
!UR21/ALD2=0.0
!
!UR21/KETL=0.0
!
!UR21/KETH=0.0
!
!UR21/MEOH=0.0
!
!UR21/ETOH=0.0
!
!UR21/ALCH=0.0
!
!UR21/ISOP=0.0
!
!UR21/BIOL=0.0
!
!UR21/BIOH=0.0
!
!UR21/MTBE=0.0
!
!UR21/MVK=+0.12*K281*<O3>
 PJAC(:,47,39)=+0.12*TPK%K281(:)*PCONC(:,3)
!
!UR21/MCR=0.0
!
!UR21/MGLY=0.0
!
!UR21/GLY=0.0
!
!UR21/ORA1=0.0
!
!UR21/ORA2=0.0
!
!UR21/ACID=0.0
!
!UR21/UR28=0.0
!
!UR21/UR21=-K361-KTC30-KTR30
 PJAC(:,47,47)=-TPK%K361(:)-TPK%KTC30(:)-TPK%KTR30(:)
!
!UR21/URG2=0.0
!
!UR21/UR26=0.0
!
!UR21/RPG2=0.0
!
!UR21/RP18=0.0
!
!UR21/RPG3=0.0
!
!UR21/URG4=0.0
!
!UR21/UR8=0.0
!
!UR21/UR17=0.0
!
!UR21/UR7=0.0
!
!UR21/RPR3=0.0
!
!UR21/URG6=0.0
!
!UR21/UR22=0.0
!
!UR21/URG7=0.0
!
!UR21/RPR4=0.0
!
!UR21/RPR7=0.0
!
!UR21/RPG7=0.0
!
!UR21/URG8=0.0
!
!UR21/UR19=0.0
!
!UR21/URG9=0.0
!
!UR21/AP7=0.0
!
!UR21/URG10=0.0
!
!UR21/RPR1=0.0
!
!UR21/RPR5=0.0
!
!UR21/RPR8=0.0
!
!UR21/RP10=0.0
!
!UR21/RP11=0.0
!
!UR21/RP16=0.0
!
!UR21/RPRL=0.0
!
!UR21/APAN=0.0
!
!UR21/PAN1=0.0
!
!UR21/PAN2=0.0
!
!UR21/PAN3=0.0
!
!UR21/PAN4=0.0
!
!UR21/PAN6=0.0
!
!UR21/PAN7=0.0
!
!UR21/PAN8=0.0
!
!UR21/PN10=0.0
!
!UR21/RO2T=0.0
!
!UR21/RO21=0.0
!
!UR21/RO25=0.0
!
!UR21/WC_O3=0.0
!
!UR21/WC_H2O2=0.0
!
!UR21/WC_NO=0.0
!
!UR21/WC_NO2=0.0
!
!UR21/WC_NO3=0.0
!
!UR21/WC_N2O5=0.0
!
!UR21/WC_HONO=0.0
!
!UR21/WC_HNO3=0.0
!
!UR21/WC_HNO4=0.0
!
!UR21/WC_NH3=0.0
!
!UR21/WC_OH=0.0
!
!UR21/WC_HO2=0.0
!
!UR21/WC_CO2=0.0
!
!UR21/WC_SO2=0.0
!
!UR21/WC_H2SO4=0.0
!
!UR21/WC_RO21=0.0
!
!UR21/WC_RO25=0.0
!
!UR21/WC_MEOH=0.0
!
!UR21/WC_ETOH=0.0
!
!UR21/WC_ALCH=0.0
!
!UR21/WC_HCHO=0.0
!
!UR21/WC_ALD2=0.0
!
!UR21/WC_GLY=0.0
!
!UR21/WC_MGLY=0.0
!
!UR21/WC_KETL=0.0
!
!UR21/WC_ORA1=0.0
!
!UR21/WC_ORA2=0.0
!
!UR21/WC_ACID=0.0
!
!UR21/WC_RP16=0.0
!
!UR21/WC_UR21=+KTC61
 PJAC(:,47,117)=+TPK%KTC61(:)
!
!UR21/WC_UR28=0.0
!
!UR21/WC_ACID2=0.0
!
!UR21/WC_ASO3=0.0
!
!UR21/WC_ASO4=0.0
!
!UR21/WC_ASO5=0.0
!
!UR21/WC_AHSO5=0.0
!
!UR21/WC_AHMS=0.0
!
!UR21/WR_O3=0.0
!
!UR21/WR_H2O2=0.0
!
!UR21/WR_NO=0.0
!
!UR21/WR_NO2=0.0
!
!UR21/WR_NO3=0.0
!
!UR21/WR_N2O5=0.0
!
!UR21/WR_HONO=0.0
!
!UR21/WR_HNO3=0.0
!
!UR21/WR_HNO4=0.0
!
!UR21/WR_NH3=0.0
!
!UR21/WR_OH=0.0
!
!UR21/WR_HO2=0.0
!
!UR21/WR_CO2=0.0
!
!UR21/WR_SO2=0.0
!
!UR21/WR_H2SO4=0.0
!
!UR21/WR_RO21=0.0
!
!UR21/WR_RO25=0.0
!
!UR21/WR_MEOH=0.0
!
!UR21/WR_ETOH=0.0
!
!UR21/WR_ALCH=0.0
!
!UR21/WR_HCHO=0.0
!
!UR21/WR_ALD2=0.0
!
!UR21/WR_GLY=0.0
!
!UR21/WR_MGLY=0.0
!
!UR21/WR_KETL=0.0
!
!UR21/WR_ORA1=0.0
!
!UR21/WR_ORA2=0.0
!
!UR21/WR_ACID=0.0
!
!UR21/WR_RP16=0.0
!
!UR21/WR_UR21=+KTR61
 PJAC(:,47,154)=+TPK%KTR61(:)
!
!UR21/WR_UR28=0.0
!
!UR21/WR_ACID2=0.0
!
!UR21/WR_ASO3=0.0
!
!UR21/WR_ASO4=0.0
!
!UR21/WR_ASO5=0.0
!
!UR21/WR_AHSO5=0.0
!
!UR21/WR_AHMS=0.0
!
!URG2/NO=0.0
!
!URG2/NO2=0.0
!
!URG2/O3=0.0
!
!URG2/HONO=0.0
!
!URG2/HNO3=0.0
!
!URG2/HNO4=0.0
!
!URG2/N2O5=0.0
!
!URG2/NO3=0.0
!
!URG2/NH3=0.0
!
!URG2/HO2=0.0
!
!URG2/CO=0.0
!
!URG2/H2O2=0.0
!
!URG2/SO2=0.0
!
!URG2/H2SO4=0.0
!
!URG2/OH=+0.5562513*K335*<RPG2>+K337*<RP18>
 PJAC(:,48,15)=+0.5562513*TPK%K335(:)*PCONC(:,50)+TPK%K337(:)*PCONC(:,51)
!
!URG2/ETHE=0.0
!
!URG2/OLEL=0.0
!
!URG2/OLEH=0.0
!
!URG2/ALKL=0.0
!
!URG2/ALKM=0.0
!
!URG2/ALKH=0.0
!
!URG2/AROH=0.0
!
!URG2/AROL=0.0
!
!URG2/AROO=0.0
!
!URG2/ARAL=0.0
!
!URG2/ARAC=0.0
!
!URG2/PAH=0.0
!
!URG2/HCHO=0.0
!
!URG2/ALD2=0.0
!
!URG2/KETL=0.0
!
!URG2/KETH=0.0
!
!URG2/MEOH=0.0
!
!URG2/ETOH=0.0
!
!URG2/ALCH=0.0
!
!URG2/ISOP=0.0
!
!URG2/BIOL=0.0
!
!URG2/BIOH=0.0
!
!URG2/MTBE=0.0
!
!URG2/MVK=0.0
!
!URG2/MCR=0.0
!
!URG2/MGLY=0.0
!
!URG2/GLY=0.0
!
!URG2/ORA1=0.0
!
!URG2/ORA2=0.0
!
!URG2/ACID=0.0
!
!URG2/UR28=0.0
!
!URG2/UR21=0.0
!
!URG2/URG2=-K350
 PJAC(:,48,48)=-TPK%K350(:)
!
!URG2/UR26=0.0
!
!URG2/RPG2=+0.5562513*K335*<OH>
 PJAC(:,48,50)=+0.5562513*TPK%K335(:)*PCONC(:,15)
!
!URG2/RP18=+K337*<OH>
 PJAC(:,48,51)=+TPK%K337(:)*PCONC(:,15)
!
!URG2/RPG3=0.0
!
!URG2/URG4=0.0
!
!URG2/UR8=0.0
!
!URG2/UR17=0.0
!
!URG2/UR7=0.0
!
!URG2/RPR3=0.0
!
!URG2/URG6=0.0
!
!URG2/UR22=0.0
!
!URG2/URG7=0.0
!
!URG2/RPR4=0.0
!
!URG2/RPR7=0.0
!
!URG2/RPG7=0.0
!
!URG2/URG8=0.0
!
!URG2/UR19=0.0
!
!URG2/URG9=0.0
!
!URG2/AP7=0.0
!
!URG2/URG10=0.0
!
!URG2/RPR1=0.0
!
!URG2/RPR5=0.0
!
!URG2/RPR8=0.0
!
!URG2/RP10=0.0
!
!URG2/RP11=0.0
!
!URG2/RP16=0.0
!
!URG2/RPRL=0.0
!
!URG2/APAN=0.0
!
!URG2/PAN1=0.0
!
!URG2/PAN2=0.0
!
!URG2/PAN3=0.0
!
!URG2/PAN4=0.0
!
!URG2/PAN6=0.0
!
!URG2/PAN7=0.0
!
!URG2/PAN8=0.0
!
!URG2/PN10=0.0
!
!URG2/RO2T=0.0
!
!URG2/RO21=0.0
!
!URG2/RO25=0.0
!
!URG2/WC_O3=0.0
!
!URG2/WC_H2O2=0.0
!
!URG2/WC_NO=0.0
!
!URG2/WC_NO2=0.0
!
!URG2/WC_NO3=0.0
!
!URG2/WC_N2O5=0.0
!
!URG2/WC_HONO=0.0
!
!URG2/WC_HNO3=0.0
!
!URG2/WC_HNO4=0.0
!
!URG2/WC_NH3=0.0
!
!URG2/WC_OH=0.0
!
!URG2/WC_HO2=0.0
!
!URG2/WC_CO2=0.0
!
!URG2/WC_SO2=0.0
!
!URG2/WC_H2SO4=0.0
!
!URG2/WC_RO21=0.0
!
!URG2/WC_RO25=0.0
!
!URG2/WC_MEOH=0.0
!
!URG2/WC_ETOH=0.0
!
!URG2/WC_ALCH=0.0
!
!URG2/WC_HCHO=0.0
!
!URG2/WC_ALD2=0.0
!
!URG2/WC_GLY=0.0
!
!URG2/WC_MGLY=0.0
!
!URG2/WC_KETL=0.0
!
!URG2/WC_ORA1=0.0
!
!URG2/WC_ORA2=0.0
!
!URG2/WC_ACID=0.0
!
!URG2/WC_RP16=0.0
!
!URG2/WC_UR21=0.0
!
!URG2/WC_UR28=0.0
!
!URG2/WC_ACID2=0.0
!
!URG2/WC_ASO3=0.0
!
!URG2/WC_ASO4=0.0
!
!URG2/WC_ASO5=0.0
!
!URG2/WC_AHSO5=0.0
!
!URG2/WC_AHMS=0.0
!
!URG2/WR_O3=0.0
!
!URG2/WR_H2O2=0.0
!
!URG2/WR_NO=0.0
!
!URG2/WR_NO2=0.0
!
!URG2/WR_NO3=0.0
!
!URG2/WR_N2O5=0.0
!
!URG2/WR_HONO=0.0
!
!URG2/WR_HNO3=0.0
!
!URG2/WR_HNO4=0.0
!
!URG2/WR_NH3=0.0
!
!URG2/WR_OH=0.0
!
!URG2/WR_HO2=0.0
!
!URG2/WR_CO2=0.0
!
!URG2/WR_SO2=0.0
!
!URG2/WR_H2SO4=0.0
!
!URG2/WR_RO21=0.0
!
!URG2/WR_RO25=0.0
!
!URG2/WR_MEOH=0.0
!
!URG2/WR_ETOH=0.0
!
!URG2/WR_ALCH=0.0
!
!URG2/WR_HCHO=0.0
!
!URG2/WR_ALD2=0.0
!
!URG2/WR_GLY=0.0
!
!URG2/WR_MGLY=0.0
!
!URG2/WR_KETL=0.0
!
!URG2/WR_ORA1=0.0
!
!URG2/WR_ORA2=0.0
!
!URG2/WR_ACID=0.0
!
!URG2/WR_RP16=0.0
!
!URG2/WR_UR21=0.0
!
!URG2/WR_UR28=0.0
!
!URG2/WR_ACID2=0.0
!
!URG2/WR_ASO3=0.0
!
!URG2/WR_ASO4=0.0
!
!URG2/WR_ASO5=0.0
!
!URG2/WR_AHSO5=0.0
!
!URG2/WR_AHMS=0.0
!
!UR26/NO=0.0
!
!UR26/NO2=0.0
!
!UR26/O3=0.0
!
!UR26/HONO=0.0
!
!UR26/HNO3=0.0
!
!UR26/HNO4=0.0
!
!UR26/N2O5=0.0
!
!UR26/NO3=0.0
!
!UR26/NH3=0.0
!
!UR26/HO2=0.0
!
!UR26/CO=0.0
!
!UR26/H2O2=0.0
!
!UR26/SO2=0.0
!
!UR26/H2SO4=0.0
!
!UR26/OH=+0.67*K326*<RP11>
 PJAC(:,49,15)=+0.67*TPK%K326(:)*PCONC(:,73)
!
!UR26/ETHE=0.0
!
!UR26/OLEL=0.0
!
!UR26/OLEH=0.0
!
!UR26/ALKL=0.0
!
!UR26/ALKM=0.0
!
!UR26/ALKH=0.0
!
!UR26/AROH=0.0
!
!UR26/AROL=0.0
!
!UR26/AROO=0.0
!
!UR26/ARAL=0.0
!
!UR26/ARAC=0.0
!
!UR26/PAH=0.0
!
!UR26/HCHO=0.0
!
!UR26/ALD2=0.0
!
!UR26/KETL=0.0
!
!UR26/KETH=0.0
!
!UR26/MEOH=0.0
!
!UR26/ETOH=0.0
!
!UR26/ALCH=0.0
!
!UR26/ISOP=0.0
!
!UR26/BIOL=0.0
!
!UR26/BIOH=0.0
!
!UR26/MTBE=0.0
!
!UR26/MVK=0.0
!
!UR26/MCR=0.0
!
!UR26/MGLY=0.0
!
!UR26/GLY=0.0
!
!UR26/ORA1=0.0
!
!UR26/ORA2=0.0
!
!UR26/ACID=0.0
!
!UR26/UR28=0.0
!
!UR26/UR21=0.0
!
!UR26/URG2=0.0
!
!UR26/UR26=-K363
 PJAC(:,49,49)=-TPK%K363(:)
!
!UR26/RPG2=0.0
!
!UR26/RP18=0.0
!
!UR26/RPG3=0.0
!
!UR26/URG4=0.0
!
!UR26/UR8=0.0
!
!UR26/UR17=0.0
!
!UR26/UR7=0.0
!
!UR26/RPR3=0.0
!
!UR26/URG6=0.0
!
!UR26/UR22=0.0
!
!UR26/URG7=0.0
!
!UR26/RPR4=0.0
!
!UR26/RPR7=0.0
!
!UR26/RPG7=0.0
!
!UR26/URG8=0.0
!
!UR26/UR19=0.0
!
!UR26/URG9=0.0
!
!UR26/AP7=0.0
!
!UR26/URG10=0.0
!
!UR26/RPR1=0.0
!
!UR26/RPR5=0.0
!
!UR26/RPR8=0.0
!
!UR26/RP10=0.0
!
!UR26/RP11=+0.67*K326*<OH>
 PJAC(:,49,73)=+0.67*TPK%K326(:)*PCONC(:,15)
!
!UR26/RP16=0.0
!
!UR26/RPRL=0.0
!
!UR26/APAN=0.0
!
!UR26/PAN1=0.0
!
!UR26/PAN2=0.0
!
!UR26/PAN3=0.0
!
!UR26/PAN4=0.0
!
!UR26/PAN6=0.0
!
!UR26/PAN7=0.0
!
!UR26/PAN8=0.0
!
!UR26/PN10=0.0
!
!UR26/RO2T=0.0
!
!UR26/RO21=0.0
!
!UR26/RO25=0.0
!
!UR26/WC_O3=0.0
!
!UR26/WC_H2O2=0.0
!
!UR26/WC_NO=0.0
!
!UR26/WC_NO2=0.0
!
!UR26/WC_NO3=0.0
!
!UR26/WC_N2O5=0.0
!
!UR26/WC_HONO=0.0
!
!UR26/WC_HNO3=0.0
!
!UR26/WC_HNO4=0.0
!
!UR26/WC_NH3=0.0
!
!UR26/WC_OH=0.0
!
!UR26/WC_HO2=0.0
!
!UR26/WC_CO2=0.0
!
!UR26/WC_SO2=0.0
!
!UR26/WC_H2SO4=0.0
!
!UR26/WC_RO21=0.0
!
!UR26/WC_RO25=0.0
!
!UR26/WC_MEOH=0.0
!
!UR26/WC_ETOH=0.0
!
!UR26/WC_ALCH=0.0
!
!UR26/WC_HCHO=0.0
!
!UR26/WC_ALD2=0.0
!
!UR26/WC_GLY=0.0
!
!UR26/WC_MGLY=0.0
!
!UR26/WC_KETL=0.0
!
!UR26/WC_ORA1=0.0
!
!UR26/WC_ORA2=0.0
!
!UR26/WC_ACID=0.0
!
!UR26/WC_RP16=0.0
!
!UR26/WC_UR21=0.0
!
!UR26/WC_UR28=0.0
!
!UR26/WC_ACID2=0.0
!
!UR26/WC_ASO3=0.0
!
!UR26/WC_ASO4=0.0
!
!UR26/WC_ASO5=0.0
!
!UR26/WC_AHSO5=0.0
!
!UR26/WC_AHMS=0.0
!
!UR26/WR_O3=0.0
!
!UR26/WR_H2O2=0.0
!
!UR26/WR_NO=0.0
!
!UR26/WR_NO2=0.0
!
!UR26/WR_NO3=0.0
!
!UR26/WR_N2O5=0.0
!
!UR26/WR_HONO=0.0
!
!UR26/WR_HNO3=0.0
!
!UR26/WR_HNO4=0.0
!
!UR26/WR_NH3=0.0
!
!UR26/WR_OH=0.0
!
!UR26/WR_HO2=0.0
!
!UR26/WR_CO2=0.0
!
!UR26/WR_SO2=0.0
!
!UR26/WR_H2SO4=0.0
!
!UR26/WR_RO21=0.0
!
!UR26/WR_RO25=0.0
!
!UR26/WR_MEOH=0.0
!
!UR26/WR_ETOH=0.0
!
!UR26/WR_ALCH=0.0
!
!UR26/WR_HCHO=0.0
!
!UR26/WR_ALD2=0.0
!
!UR26/WR_GLY=0.0
!
!UR26/WR_MGLY=0.0
!
!UR26/WR_KETL=0.0
!
!UR26/WR_ORA1=0.0
!
!UR26/WR_ORA2=0.0
!
!UR26/WR_ACID=0.0
!
!UR26/WR_RP16=0.0
!
!UR26/WR_UR21=0.0
!
!UR26/WR_UR28=0.0
!
!UR26/WR_ACID2=0.0
!
!UR26/WR_ASO3=0.0
!
!UR26/WR_ASO4=0.0
!
!UR26/WR_ASO5=0.0
!
!UR26/WR_AHSO5=0.0
!
!UR26/WR_AHMS=0.0
!
!RPG2/NO=+0.3000000*K259*<RO237>
 PJAC(:,50,1)=+0.3000000*TPK%K259(:)*TPK%RO237(:)
!
!RPG2/NO2=0.0
!
!RPG2/O3=0.0
!
!RPG2/HONO=0.0
!
!RPG2/HNO3=0.0
!
!RPG2/HNO4=0.0
!
!RPG2/N2O5=0.0
!
!RPG2/NO3=0.0
!
!RPG2/NH3=0.0
!
!RPG2/HO2=+0.3000000*K261*<RO237>
 PJAC(:,50,10)=+0.3000000*TPK%K261(:)*TPK%RO237(:)
!
!RPG2/CO=0.0
!
!RPG2/H2O2=0.0
!
!RPG2/SO2=0.0
!
!RPG2/H2SO4=0.0
!
!RPG2/OH=+0.1191897*K334*<RPG3>+0.8808107*K334*<RPG3>-K335*<RPG2>
 PJAC(:,50,15)=+0.1191897*TPK%K334(:)*PCONC(:,52)+0.8808107*TPK%K334(:)*PCONC(:&
&,52)-TPK%K335(:)*PCONC(:,50)
!
!RPG2/ETHE=0.0
!
!RPG2/OLEL=0.0
!
!RPG2/OLEH=0.0
!
!RPG2/ALKL=0.0
!
!RPG2/ALKM=0.0
!
!RPG2/ALKH=0.0
!
!RPG2/AROH=0.0
!
!RPG2/AROL=0.0
!
!RPG2/AROO=0.0
!
!RPG2/ARAL=0.0
!
!RPG2/ARAC=0.0
!
!RPG2/PAH=0.0
!
!RPG2/HCHO=0.0
!
!RPG2/ALD2=0.0
!
!RPG2/KETL=0.0
!
!RPG2/KETH=0.0
!
!RPG2/MEOH=0.0
!
!RPG2/ETOH=0.0
!
!RPG2/ALCH=0.0
!
!RPG2/ISOP=0.0
!
!RPG2/BIOL=0.0
!
!RPG2/BIOH=0.0
!
!RPG2/MTBE=0.0
!
!RPG2/MVK=0.0
!
!RPG2/MCR=0.0
!
!RPG2/MGLY=0.0
!
!RPG2/GLY=0.0
!
!RPG2/ORA1=0.0
!
!RPG2/ORA2=0.0
!
!RPG2/ACID=0.0
!
!RPG2/UR28=0.0
!
!RPG2/UR21=0.0
!
!RPG2/URG2=0.0
!
!RPG2/UR26=0.0
!
!RPG2/RPG2=-K335*<OH>
 PJAC(:,50,50)=-TPK%K335(:)*PCONC(:,15)
!
!RPG2/RP18=0.0
!
!RPG2/RPG3=+0.1191897*K334*<OH>+0.8808107*K334*<OH>
 PJAC(:,50,52)=+0.1191897*TPK%K334(:)*PCONC(:,15)+0.8808107*TPK%K334(:)*PCONC(:&
&,15)
!
!RPG2/URG4=0.0
!
!RPG2/UR8=0.0
!
!RPG2/UR17=0.0
!
!RPG2/UR7=0.0
!
!RPG2/RPR3=0.0
!
!RPG2/URG6=0.0
!
!RPG2/UR22=0.0
!
!RPG2/URG7=0.0
!
!RPG2/RPR4=0.0
!
!RPG2/RPR7=0.0
!
!RPG2/RPG7=0.0
!
!RPG2/URG8=0.0
!
!RPG2/UR19=0.0
!
!RPG2/URG9=0.0
!
!RPG2/AP7=0.0
!
!RPG2/URG10=0.0
!
!RPG2/RPR1=0.0
!
!RPG2/RPR5=0.0
!
!RPG2/RPR8=0.0
!
!RPG2/RP10=0.0
!
!RPG2/RP11=0.0
!
!RPG2/RP16=0.0
!
!RPG2/RPRL=0.0
!
!RPG2/APAN=0.0
!
!RPG2/PAN1=0.0
!
!RPG2/PAN2=0.0
!
!RPG2/PAN3=0.0
!
!RPG2/PAN4=0.0
!
!RPG2/PAN6=0.0
!
!RPG2/PAN7=0.0
!
!RPG2/PAN8=0.0
!
!RPG2/PN10=0.0
!
!RPG2/RO2T=+1.0000000*K260*<RO237>
 PJAC(:,50,85)=+1.0000000*TPK%K260(:)*TPK%RO237(:)
!
!RPG2/RO21=0.0
!
!RPG2/RO25=0.0
!
!RPG2/WC_O3=0.0
!
!RPG2/WC_H2O2=0.0
!
!RPG2/WC_NO=0.0
!
!RPG2/WC_NO2=0.0
!
!RPG2/WC_NO3=0.0
!
!RPG2/WC_N2O5=0.0
!
!RPG2/WC_HONO=0.0
!
!RPG2/WC_HNO3=0.0
!
!RPG2/WC_HNO4=0.0
!
!RPG2/WC_NH3=0.0
!
!RPG2/WC_OH=0.0
!
!RPG2/WC_HO2=0.0
!
!RPG2/WC_CO2=0.0
!
!RPG2/WC_SO2=0.0
!
!RPG2/WC_H2SO4=0.0
!
!RPG2/WC_RO21=0.0
!
!RPG2/WC_RO25=0.0
!
!RPG2/WC_MEOH=0.0
!
!RPG2/WC_ETOH=0.0
!
!RPG2/WC_ALCH=0.0
!
!RPG2/WC_HCHO=0.0
!
!RPG2/WC_ALD2=0.0
!
!RPG2/WC_GLY=0.0
!
!RPG2/WC_MGLY=0.0
!
!RPG2/WC_KETL=0.0
!
!RPG2/WC_ORA1=0.0
!
!RPG2/WC_ORA2=0.0
!
!RPG2/WC_ACID=0.0
!
!RPG2/WC_RP16=0.0
!
!RPG2/WC_UR21=0.0
!
!RPG2/WC_UR28=0.0
!
!RPG2/WC_ACID2=0.0
!
!RPG2/WC_ASO3=0.0
!
!RPG2/WC_ASO4=0.0
!
!RPG2/WC_ASO5=0.0
!
!RPG2/WC_AHSO5=0.0
!
!RPG2/WC_AHMS=0.0
!
!RPG2/WR_O3=0.0
!
!RPG2/WR_H2O2=0.0
!
!RPG2/WR_NO=0.0
!
!RPG2/WR_NO2=0.0
!
!RPG2/WR_NO3=0.0
!
!RPG2/WR_N2O5=0.0
!
!RPG2/WR_HONO=0.0
!
!RPG2/WR_HNO3=0.0
!
!RPG2/WR_HNO4=0.0
!
!RPG2/WR_NH3=0.0
!
!RPG2/WR_OH=0.0
!
!RPG2/WR_HO2=0.0
!
!RPG2/WR_CO2=0.0
!
!RPG2/WR_SO2=0.0
!
!RPG2/WR_H2SO4=0.0
!
!RPG2/WR_RO21=0.0
!
!RPG2/WR_RO25=0.0
!
!RPG2/WR_MEOH=0.0
!
!RPG2/WR_ETOH=0.0
!
!RPG2/WR_ALCH=0.0
!
!RPG2/WR_HCHO=0.0
!
!RPG2/WR_ALD2=0.0
!
!RPG2/WR_GLY=0.0
!
!RPG2/WR_MGLY=0.0
!
!RPG2/WR_KETL=0.0
!
!RPG2/WR_ORA1=0.0
!
!RPG2/WR_ORA2=0.0
!
!RPG2/WR_ACID=0.0
!
!RPG2/WR_RP16=0.0
!
!RPG2/WR_UR21=0.0
!
!RPG2/WR_UR28=0.0
!
!RPG2/WR_ACID2=0.0
!
!RPG2/WR_ASO3=0.0
!
!RPG2/WR_ASO4=0.0
!
!RPG2/WR_ASO5=0.0
!
!RPG2/WR_AHSO5=0.0
!
!RPG2/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ9
!
SUBROUTINE SUBJ10
!
!Indices 51 a 55
!
!
!RP18/NO=0.0
!
!RP18/NO2=0.0
!
!RP18/O3=0.0
!
!RP18/HONO=0.0
!
!RP18/HNO3=0.0
!
!RP18/HNO4=0.0
!
!RP18/N2O5=0.0
!
!RP18/NO3=0.0
!
!RP18/NH3=0.0
!
!RP18/HO2=0.0
!
!RP18/CO=0.0
!
!RP18/H2O2=0.0
!
!RP18/SO2=0.0
!
!RP18/H2SO4=0.0
!
!RP18/OH=+0.4437492*K335*<RPG2>-K337*<RP18>
 PJAC(:,51,15)=+0.4437492*TPK%K335(:)*PCONC(:,50)-TPK%K337(:)*PCONC(:,51)
!
!RP18/ETHE=0.0
!
!RP18/OLEL=0.0
!
!RP18/OLEH=0.0
!
!RP18/ALKL=0.0
!
!RP18/ALKM=0.0
!
!RP18/ALKH=0.0
!
!RP18/AROH=0.0
!
!RP18/AROL=0.0
!
!RP18/AROO=0.0
!
!RP18/ARAL=0.0
!
!RP18/ARAC=0.0
!
!RP18/PAH=0.0
!
!RP18/HCHO=0.0
!
!RP18/ALD2=0.0
!
!RP18/KETL=0.0
!
!RP18/KETH=0.0
!
!RP18/MEOH=0.0
!
!RP18/ETOH=0.0
!
!RP18/ALCH=0.0
!
!RP18/ISOP=0.0
!
!RP18/BIOL=0.0
!
!RP18/BIOH=0.0
!
!RP18/MTBE=0.0
!
!RP18/MVK=0.0
!
!RP18/MCR=0.0
!
!RP18/MGLY=0.0
!
!RP18/GLY=0.0
!
!RP18/ORA1=0.0
!
!RP18/ORA2=0.0
!
!RP18/ACID=0.0
!
!RP18/UR28=0.0
!
!RP18/UR21=0.0
!
!RP18/URG2=0.0
!
!RP18/UR26=0.0
!
!RP18/RPG2=+0.4437492*K335*<OH>
 PJAC(:,51,50)=+0.4437492*TPK%K335(:)*PCONC(:,15)
!
!RP18/RP18=-K337*<OH>
 PJAC(:,51,51)=-TPK%K337(:)*PCONC(:,15)
!
!RP18/RPG3=0.0
!
!RP18/URG4=0.0
!
!RP18/UR8=0.0
!
!RP18/UR17=0.0
!
!RP18/UR7=0.0
!
!RP18/RPR3=0.0
!
!RP18/URG6=0.0
!
!RP18/UR22=0.0
!
!RP18/URG7=0.0
!
!RP18/RPR4=0.0
!
!RP18/RPR7=0.0
!
!RP18/RPG7=0.0
!
!RP18/URG8=0.0
!
!RP18/UR19=0.0
!
!RP18/URG9=0.0
!
!RP18/AP7=0.0
!
!RP18/URG10=0.0
!
!RP18/RPR1=0.0
!
!RP18/RPR5=0.0
!
!RP18/RPR8=0.0
!
!RP18/RP10=0.0
!
!RP18/RP11=0.0
!
!RP18/RP16=0.0
!
!RP18/RPRL=0.0
!
!RP18/APAN=0.0
!
!RP18/PAN1=0.0
!
!RP18/PAN2=0.0
!
!RP18/PAN3=0.0
!
!RP18/PAN4=0.0
!
!RP18/PAN6=0.0
!
!RP18/PAN7=0.0
!
!RP18/PAN8=0.0
!
!RP18/PN10=0.0
!
!RP18/RO2T=0.0
!
!RP18/RO21=0.0
!
!RP18/RO25=0.0
!
!RP18/WC_O3=0.0
!
!RP18/WC_H2O2=0.0
!
!RP18/WC_NO=0.0
!
!RP18/WC_NO2=0.0
!
!RP18/WC_NO3=0.0
!
!RP18/WC_N2O5=0.0
!
!RP18/WC_HONO=0.0
!
!RP18/WC_HNO3=0.0
!
!RP18/WC_HNO4=0.0
!
!RP18/WC_NH3=0.0
!
!RP18/WC_OH=0.0
!
!RP18/WC_HO2=0.0
!
!RP18/WC_CO2=0.0
!
!RP18/WC_SO2=0.0
!
!RP18/WC_H2SO4=0.0
!
!RP18/WC_RO21=0.0
!
!RP18/WC_RO25=0.0
!
!RP18/WC_MEOH=0.0
!
!RP18/WC_ETOH=0.0
!
!RP18/WC_ALCH=0.0
!
!RP18/WC_HCHO=0.0
!
!RP18/WC_ALD2=0.0
!
!RP18/WC_GLY=0.0
!
!RP18/WC_MGLY=0.0
!
!RP18/WC_KETL=0.0
!
!RP18/WC_ORA1=0.0
!
!RP18/WC_ORA2=0.0
!
!RP18/WC_ACID=0.0
!
!RP18/WC_RP16=0.0
!
!RP18/WC_UR21=0.0
!
!RP18/WC_UR28=0.0
!
!RP18/WC_ACID2=0.0
!
!RP18/WC_ASO3=0.0
!
!RP18/WC_ASO4=0.0
!
!RP18/WC_ASO5=0.0
!
!RP18/WC_AHSO5=0.0
!
!RP18/WC_AHMS=0.0
!
!RP18/WR_O3=0.0
!
!RP18/WR_H2O2=0.0
!
!RP18/WR_NO=0.0
!
!RP18/WR_NO2=0.0
!
!RP18/WR_NO3=0.0
!
!RP18/WR_N2O5=0.0
!
!RP18/WR_HONO=0.0
!
!RP18/WR_HNO3=0.0
!
!RP18/WR_HNO4=0.0
!
!RP18/WR_NH3=0.0
!
!RP18/WR_OH=0.0
!
!RP18/WR_HO2=0.0
!
!RP18/WR_CO2=0.0
!
!RP18/WR_SO2=0.0
!
!RP18/WR_H2SO4=0.0
!
!RP18/WR_RO21=0.0
!
!RP18/WR_RO25=0.0
!
!RP18/WR_MEOH=0.0
!
!RP18/WR_ETOH=0.0
!
!RP18/WR_ALCH=0.0
!
!RP18/WR_HCHO=0.0
!
!RP18/WR_ALD2=0.0
!
!RP18/WR_GLY=0.0
!
!RP18/WR_MGLY=0.0
!
!RP18/WR_KETL=0.0
!
!RP18/WR_ORA1=0.0
!
!RP18/WR_ORA2=0.0
!
!RP18/WR_ACID=0.0
!
!RP18/WR_RP16=0.0
!
!RP18/WR_UR21=0.0
!
!RP18/WR_UR28=0.0
!
!RP18/WR_ACID2=0.0
!
!RP18/WR_ASO3=0.0
!
!RP18/WR_ASO4=0.0
!
!RP18/WR_ASO5=0.0
!
!RP18/WR_AHSO5=0.0
!
!RP18/WR_AHMS=0.0
!
!RPG3/NO=+0.3000000*K231*<RO233>+0.3000000*K252*<RO236>
 PJAC(:,52,1)=+0.3000000*TPK%K231(:)*TPK%RO233(:)+0.3000000*TPK%K252(:)*TPK%RO2&
&36(:)
!
!RPG3/NO2=0.0
!
!RPG3/O3=0.0
!
!RPG3/HONO=0.0
!
!RPG3/HNO3=0.0
!
!RPG3/HNO4=0.0
!
!RPG3/N2O5=0.0
!
!RPG3/NO3=0.0
!
!RPG3/NH3=0.0
!
!RPG3/HO2=+0.3000000*K233*<RO233>+0.3000000*K254*<RO236>
 PJAC(:,52,10)=+0.3000000*TPK%K233(:)*TPK%RO233(:)+0.3000000*TPK%K254(:)*TPK%RO&
&236(:)
!
!RPG3/CO=0.0
!
!RPG3/H2O2=0.0
!
!RPG3/SO2=0.0
!
!RPG3/H2SO4=0.0
!
!RPG3/OH=-K334*<RPG3>
 PJAC(:,52,15)=-TPK%K334(:)*PCONC(:,52)
!
!RPG3/ETHE=0.0
!
!RPG3/OLEL=0.0
!
!RPG3/OLEH=0.0
!
!RPG3/ALKL=0.0
!
!RPG3/ALKM=0.0
!
!RPG3/ALKH=0.0
!
!RPG3/AROH=0.0
!
!RPG3/AROL=0.0
!
!RPG3/AROO=0.0
!
!RPG3/ARAL=0.0
!
!RPG3/ARAC=0.0
!
!RPG3/PAH=0.0
!
!RPG3/HCHO=0.0
!
!RPG3/ALD2=0.0
!
!RPG3/KETL=0.0
!
!RPG3/KETH=0.0
!
!RPG3/MEOH=0.0
!
!RPG3/ETOH=0.0
!
!RPG3/ALCH=0.0
!
!RPG3/ISOP=0.0
!
!RPG3/BIOL=0.0
!
!RPG3/BIOH=0.0
!
!RPG3/MTBE=0.0
!
!RPG3/MVK=0.0
!
!RPG3/MCR=0.0
!
!RPG3/MGLY=0.0
!
!RPG3/GLY=0.0
!
!RPG3/ORA1=0.0
!
!RPG3/ORA2=0.0
!
!RPG3/ACID=0.0
!
!RPG3/UR28=0.0
!
!RPG3/UR21=0.0
!
!RPG3/URG2=0.0
!
!RPG3/UR26=0.0
!
!RPG3/RPG2=0.0
!
!RPG3/RP18=0.0
!
!RPG3/RPG3=-K334*<OH>
 PJAC(:,52,52)=-TPK%K334(:)*PCONC(:,15)
!
!RPG3/URG4=0.0
!
!RPG3/UR8=0.0
!
!RPG3/UR17=0.0
!
!RPG3/UR7=0.0
!
!RPG3/RPR3=0.0
!
!RPG3/URG6=0.0
!
!RPG3/UR22=0.0
!
!RPG3/URG7=0.0
!
!RPG3/RPR4=0.0
!
!RPG3/RPR7=0.0
!
!RPG3/RPG7=0.0
!
!RPG3/URG8=0.0
!
!RPG3/UR19=0.0
!
!RPG3/URG9=0.0
!
!RPG3/AP7=0.0
!
!RPG3/URG10=0.0
!
!RPG3/RPR1=0.0
!
!RPG3/RPR5=0.0
!
!RPG3/RPR8=0.0
!
!RPG3/RP10=0.0
!
!RPG3/RP11=0.0
!
!RPG3/RP16=0.0
!
!RPG3/RPRL=0.0
!
!RPG3/APAN=0.0
!
!RPG3/PAN1=0.0
!
!RPG3/PAN2=0.0
!
!RPG3/PAN3=0.0
!
!RPG3/PAN4=0.0
!
!RPG3/PAN6=0.0
!
!RPG3/PAN7=0.0
!
!RPG3/PAN8=0.0
!
!RPG3/PN10=0.0
!
!RPG3/RO2T=+1.0000000*K232*<RO233>+1.0000000*K253*<RO236>
 PJAC(:,52,85)=+1.0000000*TPK%K232(:)*TPK%RO233(:)+1.0000000*TPK%K253(:)*TPK%RO&
&236(:)
!
!RPG3/RO21=0.0
!
!RPG3/RO25=0.0
!
!RPG3/WC_O3=0.0
!
!RPG3/WC_H2O2=0.0
!
!RPG3/WC_NO=0.0
!
!RPG3/WC_NO2=0.0
!
!RPG3/WC_NO3=0.0
!
!RPG3/WC_N2O5=0.0
!
!RPG3/WC_HONO=0.0
!
!RPG3/WC_HNO3=0.0
!
!RPG3/WC_HNO4=0.0
!
!RPG3/WC_NH3=0.0
!
!RPG3/WC_OH=0.0
!
!RPG3/WC_HO2=0.0
!
!RPG3/WC_CO2=0.0
!
!RPG3/WC_SO2=0.0
!
!RPG3/WC_H2SO4=0.0
!
!RPG3/WC_RO21=0.0
!
!RPG3/WC_RO25=0.0
!
!RPG3/WC_MEOH=0.0
!
!RPG3/WC_ETOH=0.0
!
!RPG3/WC_ALCH=0.0
!
!RPG3/WC_HCHO=0.0
!
!RPG3/WC_ALD2=0.0
!
!RPG3/WC_GLY=0.0
!
!RPG3/WC_MGLY=0.0
!
!RPG3/WC_KETL=0.0
!
!RPG3/WC_ORA1=0.0
!
!RPG3/WC_ORA2=0.0
!
!RPG3/WC_ACID=0.0
!
!RPG3/WC_RP16=0.0
!
!RPG3/WC_UR21=0.0
!
!RPG3/WC_UR28=0.0
!
!RPG3/WC_ACID2=0.0
!
!RPG3/WC_ASO3=0.0
!
!RPG3/WC_ASO4=0.0
!
!RPG3/WC_ASO5=0.0
!
!RPG3/WC_AHSO5=0.0
!
!RPG3/WC_AHMS=0.0
!
!RPG3/WR_O3=0.0
!
!RPG3/WR_H2O2=0.0
!
!RPG3/WR_NO=0.0
!
!RPG3/WR_NO2=0.0
!
!RPG3/WR_NO3=0.0
!
!RPG3/WR_N2O5=0.0
!
!RPG3/WR_HONO=0.0
!
!RPG3/WR_HNO3=0.0
!
!RPG3/WR_HNO4=0.0
!
!RPG3/WR_NH3=0.0
!
!RPG3/WR_OH=0.0
!
!RPG3/WR_HO2=0.0
!
!RPG3/WR_CO2=0.0
!
!RPG3/WR_SO2=0.0
!
!RPG3/WR_H2SO4=0.0
!
!RPG3/WR_RO21=0.0
!
!RPG3/WR_RO25=0.0
!
!RPG3/WR_MEOH=0.0
!
!RPG3/WR_ETOH=0.0
!
!RPG3/WR_ALCH=0.0
!
!RPG3/WR_HCHO=0.0
!
!RPG3/WR_ALD2=0.0
!
!RPG3/WR_GLY=0.0
!
!RPG3/WR_MGLY=0.0
!
!RPG3/WR_KETL=0.0
!
!RPG3/WR_ORA1=0.0
!
!RPG3/WR_ORA2=0.0
!
!RPG3/WR_ACID=0.0
!
!RPG3/WR_RP16=0.0
!
!RPG3/WR_UR21=0.0
!
!RPG3/WR_UR28=0.0
!
!RPG3/WR_ACID2=0.0
!
!RPG3/WR_ASO3=0.0
!
!RPG3/WR_ASO4=0.0
!
!RPG3/WR_ASO5=0.0
!
!RPG3/WR_AHSO5=0.0
!
!RPG3/WR_AHMS=0.0
!
!URG4/NO=0.0
!
!URG4/NO2=0.0
!
!URG4/O3=-02*K086*<BIOL>
 PJAC(:,53,3)=-02*TPK%K086(:)*PCONC(:,36)
!
!URG4/HONO=0.0
!
!URG4/HNO3=0.0
!
!URG4/HNO4=0.0
!
!URG4/N2O5=0.0
!
!URG4/NO3=0.0
!
!URG4/NH3=0.0
!
!URG4/HO2=+1.0000000*K318*<RO256>+1.0000000*K332*<RO257>
 PJAC(:,53,10)=+1.0000000*TPK%K318(:)*TPK%RO256(:)+1.0000000*TPK%K332(:)*TPK%RO&
&257(:)
!
!URG4/CO=0.0
!
!URG4/H2O2=0.0
!
!URG4/SO2=0.0
!
!URG4/H2SO4=0.0
!
!URG4/OH=0.0
!
!URG4/ETHE=0.0
!
!URG4/OLEL=0.0
!
!URG4/OLEH=0.0
!
!URG4/ALKL=0.0
!
!URG4/ALKM=0.0
!
!URG4/ALKH=0.0
!
!URG4/AROH=0.0
!
!URG4/AROL=0.0
!
!URG4/AROO=0.0
!
!URG4/ARAL=0.0
!
!URG4/ARAC=0.0
!
!URG4/PAH=0.0
!
!URG4/HCHO=0.0
!
!URG4/ALD2=0.0
!
!URG4/KETL=0.0
!
!URG4/KETH=0.0
!
!URG4/MEOH=0.0
!
!URG4/ETOH=0.0
!
!URG4/ALCH=0.0
!
!URG4/ISOP=0.0
!
!URG4/BIOL=-02*K086*<O3>
 PJAC(:,53,36)=-02*TPK%K086(:)*PCONC(:,3)
!
!URG4/BIOH=0.0
!
!URG4/MTBE=0.0
!
!URG4/MVK=0.0
!
!URG4/MCR=0.0
!
!URG4/MGLY=0.0
!
!URG4/GLY=0.0
!
!URG4/ORA1=0.0
!
!URG4/ORA2=0.0
!
!URG4/ACID=0.0
!
!URG4/UR28=0.0
!
!URG4/UR21=0.0
!
!URG4/URG2=0.0
!
!URG4/UR26=0.0
!
!URG4/RPG2=0.0
!
!URG4/RP18=0.0
!
!URG4/RPG3=0.0
!
!URG4/URG4=-K351
 PJAC(:,53,53)=-TPK%K351(:)
!
!URG4/UR8=0.0
!
!URG4/UR17=0.0
!
!URG4/UR7=0.0
!
!URG4/RPR3=0.0
!
!URG4/URG6=0.0
!
!URG4/UR22=0.0
!
!URG4/URG7=0.0
!
!URG4/RPR4=0.0
!
!URG4/RPR7=0.0
!
!URG4/RPG7=0.0
!
!URG4/URG8=0.0
!
!URG4/UR19=0.0
!
!URG4/URG9=0.0
!
!URG4/AP7=0.0
!
!URG4/URG10=0.0
!
!URG4/RPR1=0.0
!
!URG4/RPR5=0.0
!
!URG4/RPR8=0.0
!
!URG4/RP10=0.0
!
!URG4/RP11=0.0
!
!URG4/RP16=0.0
!
!URG4/RPRL=0.0
!
!URG4/APAN=0.0
!
!URG4/PAN1=0.0
!
!URG4/PAN2=0.0
!
!URG4/PAN3=0.0
!
!URG4/PAN4=0.0
!
!URG4/PAN6=0.0
!
!URG4/PAN7=0.0
!
!URG4/PAN8=0.0
!
!URG4/PN10=0.0
!
!URG4/RO2T=0.0
!
!URG4/RO21=0.0
!
!URG4/RO25=0.0
!
!URG4/WC_O3=0.0
!
!URG4/WC_H2O2=0.0
!
!URG4/WC_NO=0.0
!
!URG4/WC_NO2=0.0
!
!URG4/WC_NO3=0.0
!
!URG4/WC_N2O5=0.0
!
!URG4/WC_HONO=0.0
!
!URG4/WC_HNO3=0.0
!
!URG4/WC_HNO4=0.0
!
!URG4/WC_NH3=0.0
!
!URG4/WC_OH=0.0
!
!URG4/WC_HO2=0.0
!
!URG4/WC_CO2=0.0
!
!URG4/WC_SO2=0.0
!
!URG4/WC_H2SO4=0.0
!
!URG4/WC_RO21=0.0
!
!URG4/WC_RO25=0.0
!
!URG4/WC_MEOH=0.0
!
!URG4/WC_ETOH=0.0
!
!URG4/WC_ALCH=0.0
!
!URG4/WC_HCHO=0.0
!
!URG4/WC_ALD2=0.0
!
!URG4/WC_GLY=0.0
!
!URG4/WC_MGLY=0.0
!
!URG4/WC_KETL=0.0
!
!URG4/WC_ORA1=0.0
!
!URG4/WC_ORA2=0.0
!
!URG4/WC_ACID=0.0
!
!URG4/WC_RP16=0.0
!
!URG4/WC_UR21=0.0
!
!URG4/WC_UR28=0.0
!
!URG4/WC_ACID2=0.0
!
!URG4/WC_ASO3=0.0
!
!URG4/WC_ASO4=0.0
!
!URG4/WC_ASO5=0.0
!
!URG4/WC_AHSO5=0.0
!
!URG4/WC_AHMS=0.0
!
!URG4/WR_O3=0.0
!
!URG4/WR_H2O2=0.0
!
!URG4/WR_NO=0.0
!
!URG4/WR_NO2=0.0
!
!URG4/WR_NO3=0.0
!
!URG4/WR_N2O5=0.0
!
!URG4/WR_HONO=0.0
!
!URG4/WR_HNO3=0.0
!
!URG4/WR_HNO4=0.0
!
!URG4/WR_NH3=0.0
!
!URG4/WR_OH=0.0
!
!URG4/WR_HO2=0.0
!
!URG4/WR_CO2=0.0
!
!URG4/WR_SO2=0.0
!
!URG4/WR_H2SO4=0.0
!
!URG4/WR_RO21=0.0
!
!URG4/WR_RO25=0.0
!
!URG4/WR_MEOH=0.0
!
!URG4/WR_ETOH=0.0
!
!URG4/WR_ALCH=0.0
!
!URG4/WR_HCHO=0.0
!
!URG4/WR_ALD2=0.0
!
!URG4/WR_GLY=0.0
!
!URG4/WR_MGLY=0.0
!
!URG4/WR_KETL=0.0
!
!URG4/WR_ORA1=0.0
!
!URG4/WR_ORA2=0.0
!
!URG4/WR_ACID=0.0
!
!URG4/WR_RP16=0.0
!
!URG4/WR_UR21=0.0
!
!URG4/WR_UR28=0.0
!
!URG4/WR_ACID2=0.0
!
!URG4/WR_ASO3=0.0
!
!URG4/WR_ASO4=0.0
!
!URG4/WR_ASO5=0.0
!
!URG4/WR_AHSO5=0.0
!
!URG4/WR_AHMS=0.0
!
!UR8/NO=0.0
!
!UR8/NO2=0.0
!
!UR8/O3=+0.055*K090*<BIOH>
 PJAC(:,54,3)=+0.055*TPK%K090(:)*PCONC(:,37)
!
!UR8/HONO=0.0
!
!UR8/HNO3=0.0
!
!UR8/HNO4=0.0
!
!UR8/N2O5=0.0
!
!UR8/NO3=0.0
!
!UR8/NH3=0.0
!
!UR8/HO2=0.0
!
!UR8/CO=0.0
!
!UR8/H2O2=0.0
!
!UR8/SO2=0.0
!
!UR8/H2SO4=0.0
!
!UR8/OH=0.0
!
!UR8/ETHE=0.0
!
!UR8/OLEL=0.0
!
!UR8/OLEH=0.0
!
!UR8/ALKL=0.0
!
!UR8/ALKM=0.0
!
!UR8/ALKH=0.0
!
!UR8/AROH=0.0
!
!UR8/AROL=0.0
!
!UR8/AROO=0.0
!
!UR8/ARAL=0.0
!
!UR8/ARAC=0.0
!
!UR8/PAH=0.0
!
!UR8/HCHO=0.0
!
!UR8/ALD2=0.0
!
!UR8/KETL=0.0
!
!UR8/KETH=0.0
!
!UR8/MEOH=0.0
!
!UR8/ETOH=0.0
!
!UR8/ALCH=0.0
!
!UR8/ISOP=0.0
!
!UR8/BIOL=0.0
!
!UR8/BIOH=+0.055*K090*<O3>
 PJAC(:,54,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!UR8/MTBE=0.0
!
!UR8/MVK=0.0
!
!UR8/MCR=0.0
!
!UR8/MGLY=0.0
!
!UR8/GLY=0.0
!
!UR8/ORA1=0.0
!
!UR8/ORA2=0.0
!
!UR8/ACID=0.0
!
!UR8/UR28=0.0
!
!UR8/UR21=0.0
!
!UR8/URG2=0.0
!
!UR8/UR26=0.0
!
!UR8/RPG2=0.0
!
!UR8/RP18=0.0
!
!UR8/RPG3=0.0
!
!UR8/URG4=0.0
!
!UR8/UR8=-K358
 PJAC(:,54,54)=-TPK%K358(:)
!
!UR8/UR17=0.0
!
!UR8/UR7=0.0
!
!UR8/RPR3=0.0
!
!UR8/URG6=0.0
!
!UR8/UR22=0.0
!
!UR8/URG7=0.0
!
!UR8/RPR4=0.0
!
!UR8/RPR7=0.0
!
!UR8/RPG7=0.0
!
!UR8/URG8=0.0
!
!UR8/UR19=0.0
!
!UR8/URG9=0.0
!
!UR8/AP7=0.0
!
!UR8/URG10=0.0
!
!UR8/RPR1=0.0
!
!UR8/RPR5=0.0
!
!UR8/RPR8=0.0
!
!UR8/RP10=0.0
!
!UR8/RP11=0.0
!
!UR8/RP16=0.0
!
!UR8/RPRL=0.0
!
!UR8/APAN=0.0
!
!UR8/PAN1=0.0
!
!UR8/PAN2=0.0
!
!UR8/PAN3=0.0
!
!UR8/PAN4=0.0
!
!UR8/PAN6=0.0
!
!UR8/PAN7=0.0
!
!UR8/PAN8=0.0
!
!UR8/PN10=0.0
!
!UR8/RO2T=0.0
!
!UR8/RO21=0.0
!
!UR8/RO25=0.0
!
!UR8/WC_O3=0.0
!
!UR8/WC_H2O2=0.0
!
!UR8/WC_NO=0.0
!
!UR8/WC_NO2=0.0
!
!UR8/WC_NO3=0.0
!
!UR8/WC_N2O5=0.0
!
!UR8/WC_HONO=0.0
!
!UR8/WC_HNO3=0.0
!
!UR8/WC_HNO4=0.0
!
!UR8/WC_NH3=0.0
!
!UR8/WC_OH=0.0
!
!UR8/WC_HO2=0.0
!
!UR8/WC_CO2=0.0
!
!UR8/WC_SO2=0.0
!
!UR8/WC_H2SO4=0.0
!
!UR8/WC_RO21=0.0
!
!UR8/WC_RO25=0.0
!
!UR8/WC_MEOH=0.0
!
!UR8/WC_ETOH=0.0
!
!UR8/WC_ALCH=0.0
!
!UR8/WC_HCHO=0.0
!
!UR8/WC_ALD2=0.0
!
!UR8/WC_GLY=0.0
!
!UR8/WC_MGLY=0.0
!
!UR8/WC_KETL=0.0
!
!UR8/WC_ORA1=0.0
!
!UR8/WC_ORA2=0.0
!
!UR8/WC_ACID=0.0
!
!UR8/WC_RP16=0.0
!
!UR8/WC_UR21=0.0
!
!UR8/WC_UR28=0.0
!
!UR8/WC_ACID2=0.0
!
!UR8/WC_ASO3=0.0
!
!UR8/WC_ASO4=0.0
!
!UR8/WC_ASO5=0.0
!
!UR8/WC_AHSO5=0.0
!
!UR8/WC_AHMS=0.0
!
!UR8/WR_O3=0.0
!
!UR8/WR_H2O2=0.0
!
!UR8/WR_NO=0.0
!
!UR8/WR_NO2=0.0
!
!UR8/WR_NO3=0.0
!
!UR8/WR_N2O5=0.0
!
!UR8/WR_HONO=0.0
!
!UR8/WR_HNO3=0.0
!
!UR8/WR_HNO4=0.0
!
!UR8/WR_NH3=0.0
!
!UR8/WR_OH=0.0
!
!UR8/WR_HO2=0.0
!
!UR8/WR_CO2=0.0
!
!UR8/WR_SO2=0.0
!
!UR8/WR_H2SO4=0.0
!
!UR8/WR_RO21=0.0
!
!UR8/WR_RO25=0.0
!
!UR8/WR_MEOH=0.0
!
!UR8/WR_ETOH=0.0
!
!UR8/WR_ALCH=0.0
!
!UR8/WR_HCHO=0.0
!
!UR8/WR_ALD2=0.0
!
!UR8/WR_GLY=0.0
!
!UR8/WR_MGLY=0.0
!
!UR8/WR_KETL=0.0
!
!UR8/WR_ORA1=0.0
!
!UR8/WR_ORA2=0.0
!
!UR8/WR_ACID=0.0
!
!UR8/WR_RP16=0.0
!
!UR8/WR_UR21=0.0
!
!UR8/WR_UR28=0.0
!
!UR8/WR_ACID2=0.0
!
!UR8/WR_ASO3=0.0
!
!UR8/WR_ASO4=0.0
!
!UR8/WR_ASO5=0.0
!
!UR8/WR_AHSO5=0.0
!
!UR8/WR_AHMS=0.0
!
!UR17/NO=+1.0000000*K204*<RO226>
 PJAC(:,55,1)=+1.0000000*TPK%K204(:)*TPK%RO226(:)
!
!UR17/NO2=0.0
!
!UR17/O3=0.0
!
!UR17/HONO=0.0
!
!UR17/HNO3=0.0
!
!UR17/HNO4=0.0
!
!UR17/N2O5=0.0
!
!UR17/NO3=0.0
!
!UR17/NH3=0.0
!
!UR17/HO2=+1.0000000*K206*<RO226>
 PJAC(:,55,10)=+1.0000000*TPK%K206(:)*TPK%RO226(:)
!
!UR17/CO=0.0
!
!UR17/H2O2=0.0
!
!UR17/SO2=0.0
!
!UR17/H2SO4=0.0
!
!UR17/OH=0.0
!
!UR17/ETHE=0.0
!
!UR17/OLEL=0.0
!
!UR17/OLEH=0.0
!
!UR17/ALKL=0.0
!
!UR17/ALKM=0.0
!
!UR17/ALKH=0.0
!
!UR17/AROH=0.0
!
!UR17/AROL=0.0
!
!UR17/AROO=0.0
!
!UR17/ARAL=0.0
!
!UR17/ARAC=0.0
!
!UR17/PAH=0.0
!
!UR17/HCHO=0.0
!
!UR17/ALD2=0.0
!
!UR17/KETL=0.0
!
!UR17/KETH=0.0
!
!UR17/MEOH=0.0
!
!UR17/ETOH=0.0
!
!UR17/ALCH=0.0
!
!UR17/ISOP=0.0
!
!UR17/BIOL=0.0
!
!UR17/BIOH=0.0
!
!UR17/MTBE=0.0
!
!UR17/MVK=0.0
!
!UR17/MCR=0.0
!
!UR17/MGLY=0.0
!
!UR17/GLY=0.0
!
!UR17/ORA1=0.0
!
!UR17/ORA2=0.0
!
!UR17/ACID=0.0
!
!UR17/UR28=0.0
!
!UR17/UR21=0.0
!
!UR17/URG2=0.0
!
!UR17/UR26=0.0
!
!UR17/RPG2=0.0
!
!UR17/RP18=0.0
!
!UR17/RPG3=0.0
!
!UR17/URG4=0.0
!
!UR17/UR8=0.0
!
!UR17/UR17=-K359
 PJAC(:,55,55)=-TPK%K359(:)
!
!UR17/UR7=0.0
!
!UR17/RPR3=0.0
!
!UR17/URG6=0.0
!
!UR17/UR22=0.0
!
!UR17/URG7=0.0
!
!UR17/RPR4=0.0
!
!UR17/RPR7=0.0
!
!UR17/RPG7=0.0
!
!UR17/URG8=0.0
!
!UR17/UR19=0.0
!
!UR17/URG9=0.0
!
!UR17/AP7=0.0
!
!UR17/URG10=0.0
!
!UR17/RPR1=0.0
!
!UR17/RPR5=0.0
!
!UR17/RPR8=0.0
!
!UR17/RP10=0.0
!
!UR17/RP11=0.0
!
!UR17/RP16=0.0
!
!UR17/RPRL=0.0
!
!UR17/APAN=0.0
!
!UR17/PAN1=0.0
!
!UR17/PAN2=0.0
!
!UR17/PAN3=0.0
!
!UR17/PAN4=0.0
!
!UR17/PAN6=0.0
!
!UR17/PAN7=0.0
!
!UR17/PAN8=0.0
!
!UR17/PN10=0.0
!
!UR17/RO2T=+1.0000000*K205*<RO226>
 PJAC(:,55,85)=+1.0000000*TPK%K205(:)*TPK%RO226(:)
!
!UR17/RO21=0.0
!
!UR17/RO25=0.0
!
!UR17/WC_O3=0.0
!
!UR17/WC_H2O2=0.0
!
!UR17/WC_NO=0.0
!
!UR17/WC_NO2=0.0
!
!UR17/WC_NO3=0.0
!
!UR17/WC_N2O5=0.0
!
!UR17/WC_HONO=0.0
!
!UR17/WC_HNO3=0.0
!
!UR17/WC_HNO4=0.0
!
!UR17/WC_NH3=0.0
!
!UR17/WC_OH=0.0
!
!UR17/WC_HO2=0.0
!
!UR17/WC_CO2=0.0
!
!UR17/WC_SO2=0.0
!
!UR17/WC_H2SO4=0.0
!
!UR17/WC_RO21=0.0
!
!UR17/WC_RO25=0.0
!
!UR17/WC_MEOH=0.0
!
!UR17/WC_ETOH=0.0
!
!UR17/WC_ALCH=0.0
!
!UR17/WC_HCHO=0.0
!
!UR17/WC_ALD2=0.0
!
!UR17/WC_GLY=0.0
!
!UR17/WC_MGLY=0.0
!
!UR17/WC_KETL=0.0
!
!UR17/WC_ORA1=0.0
!
!UR17/WC_ORA2=0.0
!
!UR17/WC_ACID=0.0
!
!UR17/WC_RP16=0.0
!
!UR17/WC_UR21=0.0
!
!UR17/WC_UR28=0.0
!
!UR17/WC_ACID2=0.0
!
!UR17/WC_ASO3=0.0
!
!UR17/WC_ASO4=0.0
!
!UR17/WC_ASO5=0.0
!
!UR17/WC_AHSO5=0.0
!
!UR17/WC_AHMS=0.0
!
!UR17/WR_O3=0.0
!
!UR17/WR_H2O2=0.0
!
!UR17/WR_NO=0.0
!
!UR17/WR_NO2=0.0
!
!UR17/WR_NO3=0.0
!
!UR17/WR_N2O5=0.0
!
!UR17/WR_HONO=0.0
!
!UR17/WR_HNO3=0.0
!
!UR17/WR_HNO4=0.0
!
!UR17/WR_NH3=0.0
!
!UR17/WR_OH=0.0
!
!UR17/WR_HO2=0.0
!
!UR17/WR_CO2=0.0
!
!UR17/WR_SO2=0.0
!
!UR17/WR_H2SO4=0.0
!
!UR17/WR_RO21=0.0
!
!UR17/WR_RO25=0.0
!
!UR17/WR_MEOH=0.0
!
!UR17/WR_ETOH=0.0
!
!UR17/WR_ALCH=0.0
!
!UR17/WR_HCHO=0.0
!
!UR17/WR_ALD2=0.0
!
!UR17/WR_GLY=0.0
!
!UR17/WR_MGLY=0.0
!
!UR17/WR_KETL=0.0
!
!UR17/WR_ORA1=0.0
!
!UR17/WR_ORA2=0.0
!
!UR17/WR_ACID=0.0
!
!UR17/WR_RP16=0.0
!
!UR17/WR_UR21=0.0
!
!UR17/WR_UR28=0.0
!
!UR17/WR_ACID2=0.0
!
!UR17/WR_ASO3=0.0
!
!UR17/WR_ASO4=0.0
!
!UR17/WR_ASO5=0.0
!
!UR17/WR_AHSO5=0.0
!
!UR17/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ10
!
SUBROUTINE SUBJ11
!
!Indices 56 a 60
!
!
!UR7/NO=+TPK%CFA12*K207*<RO227>+0.3*K210*<RO228>
 PJAC(:,56,1)=+TPK%CFA12*TPK%K207(:)*TPK%RO227(:)+0.3*TPK%K210(:)*TPK%RO228(:)
!
!UR7/NO2=0.0
!
!UR7/O3=+0.055*K090*<BIOH>
 PJAC(:,56,3)=+0.055*TPK%K090(:)*PCONC(:,37)
!
!UR7/HONO=0.0
!
!UR7/HNO3=0.0
!
!UR7/HNO4=0.0
!
!UR7/N2O5=0.0
!
!UR7/NO3=0.0
!
!UR7/NH3=0.0
!
!UR7/HO2=+0.3*K209*<RO227>+0.3*K212*<RO228>
 PJAC(:,56,10)=+0.3*TPK%K209(:)*TPK%RO227(:)+0.3*TPK%K212(:)*TPK%RO228(:)
!
!UR7/CO=0.0
!
!UR7/H2O2=0.0
!
!UR7/SO2=0.0
!
!UR7/H2SO4=0.0
!
!UR7/OH=0.0
!
!UR7/ETHE=0.0
!
!UR7/OLEL=0.0
!
!UR7/OLEH=0.0
!
!UR7/ALKL=0.0
!
!UR7/ALKM=0.0
!
!UR7/ALKH=0.0
!
!UR7/AROH=0.0
!
!UR7/AROL=0.0
!
!UR7/AROO=0.0
!
!UR7/ARAL=0.0
!
!UR7/ARAC=0.0
!
!UR7/PAH=0.0
!
!UR7/HCHO=0.0
!
!UR7/ALD2=0.0
!
!UR7/KETL=0.0
!
!UR7/KETH=0.0
!
!UR7/MEOH=0.0
!
!UR7/ETOH=0.0
!
!UR7/ALCH=0.0
!
!UR7/ISOP=0.0
!
!UR7/BIOL=0.0
!
!UR7/BIOH=+0.055*K090*<O3>
 PJAC(:,56,37)=+0.055*TPK%K090(:)*PCONC(:,3)
!
!UR7/MTBE=0.0
!
!UR7/MVK=0.0
!
!UR7/MCR=0.0
!
!UR7/MGLY=0.0
!
!UR7/GLY=0.0
!
!UR7/ORA1=0.0
!
!UR7/ORA2=0.0
!
!UR7/ACID=0.0
!
!UR7/UR28=0.0
!
!UR7/UR21=0.0
!
!UR7/URG2=0.0
!
!UR7/UR26=0.0
!
!UR7/RPG2=0.0
!
!UR7/RP18=0.0
!
!UR7/RPG3=0.0
!
!UR7/URG4=0.0
!
!UR7/UR8=0.0
!
!UR7/UR17=0.0
!
!UR7/UR7=-K357
 PJAC(:,56,56)=-TPK%K357(:)
!
!UR7/RPR3=0.0
!
!UR7/URG6=0.0
!
!UR7/UR22=0.0
!
!UR7/URG7=0.0
!
!UR7/RPR4=0.0
!
!UR7/RPR7=0.0
!
!UR7/RPG7=0.0
!
!UR7/URG8=0.0
!
!UR7/UR19=0.0
!
!UR7/URG9=0.0
!
!UR7/AP7=0.0
!
!UR7/URG10=0.0
!
!UR7/RPR1=0.0
!
!UR7/RPR5=0.0
!
!UR7/RPR8=0.0
!
!UR7/RP10=0.0
!
!UR7/RP11=0.0
!
!UR7/RP16=0.0
!
!UR7/RPRL=0.0
!
!UR7/APAN=0.0
!
!UR7/PAN1=0.0
!
!UR7/PAN2=0.0
!
!UR7/PAN3=0.0
!
!UR7/PAN4=0.0
!
!UR7/PAN6=0.0
!
!UR7/PAN7=0.0
!
!UR7/PAN8=0.0
!
!UR7/PN10=0.0
!
!UR7/RO2T=+K208*<RO227>+0.3*K211*<RO228>
 PJAC(:,56,85)=+TPK%K208(:)*TPK%RO227(:)+0.3*TPK%K211(:)*TPK%RO228(:)
!
!UR7/RO21=0.0
!
!UR7/RO25=0.0
!
!UR7/WC_O3=0.0
!
!UR7/WC_H2O2=0.0
!
!UR7/WC_NO=0.0
!
!UR7/WC_NO2=0.0
!
!UR7/WC_NO3=0.0
!
!UR7/WC_N2O5=0.0
!
!UR7/WC_HONO=0.0
!
!UR7/WC_HNO3=0.0
!
!UR7/WC_HNO4=0.0
!
!UR7/WC_NH3=0.0
!
!UR7/WC_OH=0.0
!
!UR7/WC_HO2=0.0
!
!UR7/WC_CO2=0.0
!
!UR7/WC_SO2=0.0
!
!UR7/WC_H2SO4=0.0
!
!UR7/WC_RO21=0.0
!
!UR7/WC_RO25=0.0
!
!UR7/WC_MEOH=0.0
!
!UR7/WC_ETOH=0.0
!
!UR7/WC_ALCH=0.0
!
!UR7/WC_HCHO=0.0
!
!UR7/WC_ALD2=0.0
!
!UR7/WC_GLY=0.0
!
!UR7/WC_MGLY=0.0
!
!UR7/WC_KETL=0.0
!
!UR7/WC_ORA1=0.0
!
!UR7/WC_ORA2=0.0
!
!UR7/WC_ACID=0.0
!
!UR7/WC_RP16=0.0
!
!UR7/WC_UR21=0.0
!
!UR7/WC_UR28=0.0
!
!UR7/WC_ACID2=0.0
!
!UR7/WC_ASO3=0.0
!
!UR7/WC_ASO4=0.0
!
!UR7/WC_ASO5=0.0
!
!UR7/WC_AHSO5=0.0
!
!UR7/WC_AHMS=0.0
!
!UR7/WR_O3=0.0
!
!UR7/WR_H2O2=0.0
!
!UR7/WR_NO=0.0
!
!UR7/WR_NO2=0.0
!
!UR7/WR_NO3=0.0
!
!UR7/WR_N2O5=0.0
!
!UR7/WR_HONO=0.0
!
!UR7/WR_HNO3=0.0
!
!UR7/WR_HNO4=0.0
!
!UR7/WR_NH3=0.0
!
!UR7/WR_OH=0.0
!
!UR7/WR_HO2=0.0
!
!UR7/WR_CO2=0.0
!
!UR7/WR_SO2=0.0
!
!UR7/WR_H2SO4=0.0
!
!UR7/WR_RO21=0.0
!
!UR7/WR_RO25=0.0
!
!UR7/WR_MEOH=0.0
!
!UR7/WR_ETOH=0.0
!
!UR7/WR_ALCH=0.0
!
!UR7/WR_HCHO=0.0
!
!UR7/WR_ALD2=0.0
!
!UR7/WR_GLY=0.0
!
!UR7/WR_MGLY=0.0
!
!UR7/WR_KETL=0.0
!
!UR7/WR_ORA1=0.0
!
!UR7/WR_ORA2=0.0
!
!UR7/WR_ACID=0.0
!
!UR7/WR_RP16=0.0
!
!UR7/WR_UR21=0.0
!
!UR7/WR_UR28=0.0
!
!UR7/WR_ACID2=0.0
!
!UR7/WR_ASO3=0.0
!
!UR7/WR_ASO4=0.0
!
!UR7/WR_ASO5=0.0
!
!UR7/WR_AHSO5=0.0
!
!UR7/WR_AHMS=0.0
!
!RPR3/NO=+TPK%CFA10*K198*<RO224>+K201*<RO225>
 PJAC(:,57,1)=+TPK%CFA10*TPK%K198(:)*TPK%RO224(:)+TPK%K201(:)*TPK%RO225(:)
!
!RPR3/NO2=0.0
!
!RPR3/O3=+0.055*K086*<BIOL>
 PJAC(:,57,3)=+0.055*TPK%K086(:)*PCONC(:,36)
!
!RPR3/HONO=0.0
!
!RPR3/HNO3=0.0
!
!RPR3/HNO4=0.0
!
!RPR3/N2O5=0.0
!
!RPR3/NO3=-K313*<RPR3>
 PJAC(:,57,8)=-TPK%K313(:)*PCONC(:,57)
!
!RPR3/NH3=0.0
!
!RPR3/HO2=+K200*<RO224>+K203*<RO225>
 PJAC(:,57,10)=+TPK%K200(:)*TPK%RO224(:)+TPK%K203(:)*TPK%RO225(:)
!
!RPR3/CO=0.0
!
!RPR3/H2O2=0.0
!
!RPR3/SO2=0.0
!
!RPR3/H2SO4=0.0
!
!RPR3/OH=-K312*<RPR3>
 PJAC(:,57,15)=-TPK%K312(:)*PCONC(:,57)
!
!RPR3/ETHE=0.0
!
!RPR3/OLEL=0.0
!
!RPR3/OLEH=0.0
!
!RPR3/ALKL=0.0
!
!RPR3/ALKM=0.0
!
!RPR3/ALKH=0.0
!
!RPR3/AROH=0.0
!
!RPR3/AROL=0.0
!
!RPR3/AROO=0.0
!
!RPR3/ARAL=0.0
!
!RPR3/ARAC=0.0
!
!RPR3/PAH=0.0
!
!RPR3/HCHO=0.0
!
!RPR3/ALD2=0.0
!
!RPR3/KETL=0.0
!
!RPR3/KETH=0.0
!
!RPR3/MEOH=0.0
!
!RPR3/ETOH=0.0
!
!RPR3/ALCH=0.0
!
!RPR3/ISOP=0.0
!
!RPR3/BIOL=+0.055*K086*<O3>
 PJAC(:,57,36)=+0.055*TPK%K086(:)*PCONC(:,3)
!
!RPR3/BIOH=0.0
!
!RPR3/MTBE=0.0
!
!RPR3/MVK=0.0
!
!RPR3/MCR=0.0
!
!RPR3/MGLY=0.0
!
!RPR3/GLY=0.0
!
!RPR3/ORA1=0.0
!
!RPR3/ORA2=0.0
!
!RPR3/ACID=0.0
!
!RPR3/UR28=0.0
!
!RPR3/UR21=0.0
!
!RPR3/URG2=0.0
!
!RPR3/UR26=0.0
!
!RPR3/RPG2=0.0
!
!RPR3/RP18=0.0
!
!RPR3/RPG3=0.0
!
!RPR3/URG4=0.0
!
!RPR3/UR8=0.0
!
!RPR3/UR17=0.0
!
!RPR3/UR7=0.0
!
!RPR3/RPR3=-K312*<OH>-K313*<NO3>-K314
 PJAC(:,57,57)=-TPK%K312(:)*PCONC(:,15)-TPK%K313(:)*PCONC(:,8)-TPK%K314(:)
!
!RPR3/URG6=0.0
!
!RPR3/UR22=0.0
!
!RPR3/URG7=0.0
!
!RPR3/RPR4=0.0
!
!RPR3/RPR7=0.0
!
!RPR3/RPG7=0.0
!
!RPR3/URG8=0.0
!
!RPR3/UR19=0.0
!
!RPR3/URG9=0.0
!
!RPR3/AP7=0.0
!
!RPR3/URG10=0.0
!
!RPR3/RPR1=0.0
!
!RPR3/RPR5=0.0
!
!RPR3/RPR8=0.0
!
!RPR3/RP10=0.0
!
!RPR3/RP11=0.0
!
!RPR3/RP16=0.0
!
!RPR3/RPRL=0.0
!
!RPR3/APAN=0.0
!
!RPR3/PAN1=0.0
!
!RPR3/PAN2=0.0
!
!RPR3/PAN3=0.0
!
!RPR3/PAN4=0.0
!
!RPR3/PAN6=0.0
!
!RPR3/PAN7=0.0
!
!RPR3/PAN8=0.0
!
!RPR3/PN10=0.0
!
!RPR3/RO2T=+K199*<RO224>+K202*<RO225>
 PJAC(:,57,85)=+TPK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO225(:)
!
!RPR3/RO21=0.0
!
!RPR3/RO25=0.0
!
!RPR3/WC_O3=0.0
!
!RPR3/WC_H2O2=0.0
!
!RPR3/WC_NO=0.0
!
!RPR3/WC_NO2=0.0
!
!RPR3/WC_NO3=0.0
!
!RPR3/WC_N2O5=0.0
!
!RPR3/WC_HONO=0.0
!
!RPR3/WC_HNO3=0.0
!
!RPR3/WC_HNO4=0.0
!
!RPR3/WC_NH3=0.0
!
!RPR3/WC_OH=0.0
!
!RPR3/WC_HO2=0.0
!
!RPR3/WC_CO2=0.0
!
!RPR3/WC_SO2=0.0
!
!RPR3/WC_H2SO4=0.0
!
!RPR3/WC_RO21=0.0
!
!RPR3/WC_RO25=0.0
!
!RPR3/WC_MEOH=0.0
!
!RPR3/WC_ETOH=0.0
!
!RPR3/WC_ALCH=0.0
!
!RPR3/WC_HCHO=0.0
!
!RPR3/WC_ALD2=0.0
!
!RPR3/WC_GLY=0.0
!
!RPR3/WC_MGLY=0.0
!
!RPR3/WC_KETL=0.0
!
!RPR3/WC_ORA1=0.0
!
!RPR3/WC_ORA2=0.0
!
!RPR3/WC_ACID=0.0
!
!RPR3/WC_RP16=0.0
!
!RPR3/WC_UR21=0.0
!
!RPR3/WC_UR28=0.0
!
!RPR3/WC_ACID2=0.0
!
!RPR3/WC_ASO3=0.0
!
!RPR3/WC_ASO4=0.0
!
!RPR3/WC_ASO5=0.0
!
!RPR3/WC_AHSO5=0.0
!
!RPR3/WC_AHMS=0.0
!
!RPR3/WR_O3=0.0
!
!RPR3/WR_H2O2=0.0
!
!RPR3/WR_NO=0.0
!
!RPR3/WR_NO2=0.0
!
!RPR3/WR_NO3=0.0
!
!RPR3/WR_N2O5=0.0
!
!RPR3/WR_HONO=0.0
!
!RPR3/WR_HNO3=0.0
!
!RPR3/WR_HNO4=0.0
!
!RPR3/WR_NH3=0.0
!
!RPR3/WR_OH=0.0
!
!RPR3/WR_HO2=0.0
!
!RPR3/WR_CO2=0.0
!
!RPR3/WR_SO2=0.0
!
!RPR3/WR_H2SO4=0.0
!
!RPR3/WR_RO21=0.0
!
!RPR3/WR_RO25=0.0
!
!RPR3/WR_MEOH=0.0
!
!RPR3/WR_ETOH=0.0
!
!RPR3/WR_ALCH=0.0
!
!RPR3/WR_HCHO=0.0
!
!RPR3/WR_ALD2=0.0
!
!RPR3/WR_GLY=0.0
!
!RPR3/WR_MGLY=0.0
!
!RPR3/WR_KETL=0.0
!
!RPR3/WR_ORA1=0.0
!
!RPR3/WR_ORA2=0.0
!
!RPR3/WR_ACID=0.0
!
!RPR3/WR_RP16=0.0
!
!RPR3/WR_UR21=0.0
!
!RPR3/WR_UR28=0.0
!
!RPR3/WR_ACID2=0.0
!
!RPR3/WR_ASO3=0.0
!
!RPR3/WR_ASO4=0.0
!
!RPR3/WR_ASO5=0.0
!
!RPR3/WR_AHSO5=0.0
!
!RPR3/WR_AHMS=0.0
!
!URG6/NO=+TPK%CF21*K177*<RO217>+TPK%CF43*K195*<RO223>
 PJAC(:,58,1)=+TPK%CF21*TPK%K177(:)*TPK%RO217(:)+TPK%CF43*TPK%K195(:)*TPK%RO223&
&(:)
!
!URG6/NO2=0.0
!
!URG6/O3=0.0
!
!URG6/HONO=0.0
!
!URG6/HNO3=0.0
!
!URG6/HNO4=0.0
!
!URG6/N2O5=0.0
!
!URG6/NO3=0.0
!
!URG6/NH3=0.0
!
!URG6/HO2=0.0
!
!URG6/CO=0.0
!
!URG6/H2O2=0.0
!
!URG6/SO2=0.0
!
!URG6/H2SO4=0.0
!
!URG6/OH=+0.4978440*K323*<RPG7>
 PJAC(:,58,15)=+0.4978440*TPK%K323(:)*PCONC(:,63)
!
!URG6/ETHE=0.0
!
!URG6/OLEL=0.0
!
!URG6/OLEH=0.0
!
!URG6/ALKL=0.0
!
!URG6/ALKM=0.0
!
!URG6/ALKH=0.0
!
!URG6/AROH=0.0
!
!URG6/AROL=0.0
!
!URG6/AROO=0.0
!
!URG6/ARAL=0.0
!
!URG6/ARAC=0.0
!
!URG6/PAH=0.0
!
!URG6/HCHO=0.0
!
!URG6/ALD2=0.0
!
!URG6/KETL=0.0
!
!URG6/KETH=0.0
!
!URG6/MEOH=0.0
!
!URG6/ETOH=0.0
!
!URG6/ALCH=0.0
!
!URG6/ISOP=0.0
!
!URG6/BIOL=0.0
!
!URG6/BIOH=0.0
!
!URG6/MTBE=0.0
!
!URG6/MVK=0.0
!
!URG6/MCR=0.0
!
!URG6/MGLY=0.0
!
!URG6/GLY=0.0
!
!URG6/ORA1=0.0
!
!URG6/ORA2=0.0
!
!URG6/ACID=0.0
!
!URG6/UR28=0.0
!
!URG6/UR21=0.0
!
!URG6/URG2=0.0
!
!URG6/UR26=0.0
!
!URG6/RPG2=0.0
!
!URG6/RP18=0.0
!
!URG6/RPG3=0.0
!
!URG6/URG4=0.0
!
!URG6/UR8=0.0
!
!URG6/UR17=0.0
!
!URG6/UR7=0.0
!
!URG6/RPR3=0.0
!
!URG6/URG6=-K352
 PJAC(:,58,58)=-TPK%K352(:)
!
!URG6/UR22=0.0
!
!URG6/URG7=0.0
!
!URG6/RPR4=0.0
!
!URG6/RPR7=0.0
!
!URG6/RPG7=+0.4978440*K323*<OH>
 PJAC(:,58,63)=+0.4978440*TPK%K323(:)*PCONC(:,15)
!
!URG6/URG8=0.0
!
!URG6/UR19=0.0
!
!URG6/URG9=0.0
!
!URG6/AP7=0.0
!
!URG6/URG10=0.0
!
!URG6/RPR1=0.0
!
!URG6/RPR5=0.0
!
!URG6/RPR8=0.0
!
!URG6/RP10=0.0
!
!URG6/RP11=0.0
!
!URG6/RP16=0.0
!
!URG6/RPRL=0.0
!
!URG6/APAN=0.0
!
!URG6/PAN1=0.0
!
!URG6/PAN2=0.0
!
!URG6/PAN3=0.0
!
!URG6/PAN4=0.0
!
!URG6/PAN6=0.0
!
!URG6/PAN7=0.0
!
!URG6/PAN8=0.0
!
!URG6/PN10=0.0
!
!URG6/RO2T=0.0
!
!URG6/RO21=0.0
!
!URG6/RO25=0.0
!
!URG6/WC_O3=0.0
!
!URG6/WC_H2O2=0.0
!
!URG6/WC_NO=0.0
!
!URG6/WC_NO2=0.0
!
!URG6/WC_NO3=0.0
!
!URG6/WC_N2O5=0.0
!
!URG6/WC_HONO=0.0
!
!URG6/WC_HNO3=0.0
!
!URG6/WC_HNO4=0.0
!
!URG6/WC_NH3=0.0
!
!URG6/WC_OH=0.0
!
!URG6/WC_HO2=0.0
!
!URG6/WC_CO2=0.0
!
!URG6/WC_SO2=0.0
!
!URG6/WC_H2SO4=0.0
!
!URG6/WC_RO21=0.0
!
!URG6/WC_RO25=0.0
!
!URG6/WC_MEOH=0.0
!
!URG6/WC_ETOH=0.0
!
!URG6/WC_ALCH=0.0
!
!URG6/WC_HCHO=0.0
!
!URG6/WC_ALD2=0.0
!
!URG6/WC_GLY=0.0
!
!URG6/WC_MGLY=0.0
!
!URG6/WC_KETL=0.0
!
!URG6/WC_ORA1=0.0
!
!URG6/WC_ORA2=0.0
!
!URG6/WC_ACID=0.0
!
!URG6/WC_RP16=0.0
!
!URG6/WC_UR21=0.0
!
!URG6/WC_UR28=0.0
!
!URG6/WC_ACID2=0.0
!
!URG6/WC_ASO3=0.0
!
!URG6/WC_ASO4=0.0
!
!URG6/WC_ASO5=0.0
!
!URG6/WC_AHSO5=0.0
!
!URG6/WC_AHMS=0.0
!
!URG6/WR_O3=0.0
!
!URG6/WR_H2O2=0.0
!
!URG6/WR_NO=0.0
!
!URG6/WR_NO2=0.0
!
!URG6/WR_NO3=0.0
!
!URG6/WR_N2O5=0.0
!
!URG6/WR_HONO=0.0
!
!URG6/WR_HNO3=0.0
!
!URG6/WR_HNO4=0.0
!
!URG6/WR_NH3=0.0
!
!URG6/WR_OH=0.0
!
!URG6/WR_HO2=0.0
!
!URG6/WR_CO2=0.0
!
!URG6/WR_SO2=0.0
!
!URG6/WR_H2SO4=0.0
!
!URG6/WR_RO21=0.0
!
!URG6/WR_RO25=0.0
!
!URG6/WR_MEOH=0.0
!
!URG6/WR_ETOH=0.0
!
!URG6/WR_ALCH=0.0
!
!URG6/WR_HCHO=0.0
!
!URG6/WR_ALD2=0.0
!
!URG6/WR_GLY=0.0
!
!URG6/WR_MGLY=0.0
!
!URG6/WR_KETL=0.0
!
!URG6/WR_ORA1=0.0
!
!URG6/WR_ORA2=0.0
!
!URG6/WR_ACID=0.0
!
!URG6/WR_RP16=0.0
!
!URG6/WR_UR21=0.0
!
!URG6/WR_UR28=0.0
!
!URG6/WR_ACID2=0.0
!
!URG6/WR_ASO3=0.0
!
!URG6/WR_ASO4=0.0
!
!URG6/WR_ASO5=0.0
!
!URG6/WR_AHSO5=0.0
!
!URG6/WR_AHMS=0.0
!
!UR22/NO=0.0
!
!UR22/NO2=+K321*<RAD8>
 PJAC(:,59,2)=+TPK%K321(:)*TPK%RAD8(:)
!
!UR22/O3=0.0
!
!UR22/HONO=0.0
!
!UR22/HNO3=0.0
!
!UR22/HNO4=0.0
!
!UR22/N2O5=0.0
!
!UR22/NO3=0.0
!
!UR22/NH3=0.0
!
!UR22/HO2=0.0
!
!UR22/CO=0.0
!
!UR22/H2O2=0.0
!
!UR22/SO2=0.0
!
!UR22/H2SO4=0.0
!
!UR22/OH=0.0
!
!UR22/ETHE=0.0
!
!UR22/OLEL=0.0
!
!UR22/OLEH=0.0
!
!UR22/ALKL=0.0
!
!UR22/ALKM=0.0
!
!UR22/ALKH=0.0
!
!UR22/AROH=0.0
!
!UR22/AROL=0.0
!
!UR22/AROO=0.0
!
!UR22/ARAL=0.0
!
!UR22/ARAC=0.0
!
!UR22/PAH=0.0
!
!UR22/HCHO=0.0
!
!UR22/ALD2=0.0
!
!UR22/KETL=0.0
!
!UR22/KETH=0.0
!
!UR22/MEOH=0.0
!
!UR22/ETOH=0.0
!
!UR22/ALCH=0.0
!
!UR22/ISOP=0.0
!
!UR22/BIOL=0.0
!
!UR22/BIOH=0.0
!
!UR22/MTBE=0.0
!
!UR22/MVK=0.0
!
!UR22/MCR=0.0
!
!UR22/MGLY=0.0
!
!UR22/GLY=0.0
!
!UR22/ORA1=0.0
!
!UR22/ORA2=0.0
!
!UR22/ACID=0.0
!
!UR22/UR28=0.0
!
!UR22/UR21=0.0
!
!UR22/URG2=0.0
!
!UR22/UR26=0.0
!
!UR22/RPG2=0.0
!
!UR22/RP18=0.0
!
!UR22/RPG3=0.0
!
!UR22/URG4=0.0
!
!UR22/UR8=0.0
!
!UR22/UR17=0.0
!
!UR22/UR7=0.0
!
!UR22/RPR3=0.0
!
!UR22/URG6=0.0
!
!UR22/UR22=-K362
 PJAC(:,59,59)=-TPK%K362(:)
!
!UR22/URG7=0.0
!
!UR22/RPR4=0.0
!
!UR22/RPR7=0.0
!
!UR22/RPG7=0.0
!
!UR22/URG8=0.0
!
!UR22/UR19=0.0
!
!UR22/URG9=0.0
!
!UR22/AP7=0.0
!
!UR22/URG10=0.0
!
!UR22/RPR1=0.0
!
!UR22/RPR5=0.0
!
!UR22/RPR8=0.0
!
!UR22/RP10=0.0
!
!UR22/RP11=0.0
!
!UR22/RP16=0.0
!
!UR22/RPRL=0.0
!
!UR22/APAN=0.0
!
!UR22/PAN1=0.0
!
!UR22/PAN2=0.0
!
!UR22/PAN3=0.0
!
!UR22/PAN4=0.0
!
!UR22/PAN6=0.0
!
!UR22/PAN7=0.0
!
!UR22/PAN8=0.0
!
!UR22/PN10=0.0
!
!UR22/RO2T=0.0
!
!UR22/RO21=0.0
!
!UR22/RO25=0.0
!
!UR22/WC_O3=0.0
!
!UR22/WC_H2O2=0.0
!
!UR22/WC_NO=0.0
!
!UR22/WC_NO2=0.0
!
!UR22/WC_NO3=0.0
!
!UR22/WC_N2O5=0.0
!
!UR22/WC_HONO=0.0
!
!UR22/WC_HNO3=0.0
!
!UR22/WC_HNO4=0.0
!
!UR22/WC_NH3=0.0
!
!UR22/WC_OH=0.0
!
!UR22/WC_HO2=0.0
!
!UR22/WC_CO2=0.0
!
!UR22/WC_SO2=0.0
!
!UR22/WC_H2SO4=0.0
!
!UR22/WC_RO21=0.0
!
!UR22/WC_RO25=0.0
!
!UR22/WC_MEOH=0.0
!
!UR22/WC_ETOH=0.0
!
!UR22/WC_ALCH=0.0
!
!UR22/WC_HCHO=0.0
!
!UR22/WC_ALD2=0.0
!
!UR22/WC_GLY=0.0
!
!UR22/WC_MGLY=0.0
!
!UR22/WC_KETL=0.0
!
!UR22/WC_ORA1=0.0
!
!UR22/WC_ORA2=0.0
!
!UR22/WC_ACID=0.0
!
!UR22/WC_RP16=0.0
!
!UR22/WC_UR21=0.0
!
!UR22/WC_UR28=0.0
!
!UR22/WC_ACID2=0.0
!
!UR22/WC_ASO3=0.0
!
!UR22/WC_ASO4=0.0
!
!UR22/WC_ASO5=0.0
!
!UR22/WC_AHSO5=0.0
!
!UR22/WC_AHMS=0.0
!
!UR22/WR_O3=0.0
!
!UR22/WR_H2O2=0.0
!
!UR22/WR_NO=0.0
!
!UR22/WR_NO2=0.0
!
!UR22/WR_NO3=0.0
!
!UR22/WR_N2O5=0.0
!
!UR22/WR_HONO=0.0
!
!UR22/WR_HNO3=0.0
!
!UR22/WR_HNO4=0.0
!
!UR22/WR_NH3=0.0
!
!UR22/WR_OH=0.0
!
!UR22/WR_HO2=0.0
!
!UR22/WR_CO2=0.0
!
!UR22/WR_SO2=0.0
!
!UR22/WR_H2SO4=0.0
!
!UR22/WR_RO21=0.0
!
!UR22/WR_RO25=0.0
!
!UR22/WR_MEOH=0.0
!
!UR22/WR_ETOH=0.0
!
!UR22/WR_ALCH=0.0
!
!UR22/WR_HCHO=0.0
!
!UR22/WR_ALD2=0.0
!
!UR22/WR_GLY=0.0
!
!UR22/WR_MGLY=0.0
!
!UR22/WR_KETL=0.0
!
!UR22/WR_ORA1=0.0
!
!UR22/WR_ORA2=0.0
!
!UR22/WR_ACID=0.0
!
!UR22/WR_RP16=0.0
!
!UR22/WR_UR21=0.0
!
!UR22/WR_UR28=0.0
!
!UR22/WR_ACID2=0.0
!
!UR22/WR_ASO3=0.0
!
!UR22/WR_ASO4=0.0
!
!UR22/WR_ASO5=0.0
!
!UR22/WR_AHSO5=0.0
!
!UR22/WR_AHMS=0.0
!
!URG7/NO=0.0
!
!URG7/NO2=+0.9999993*K108*<RAD6>
 PJAC(:,60,2)=+0.9999993*TPK%K108(:)*TPK%RAD6(:)
!
!URG7/O3=0.0
!
!URG7/HONO=0.0
!
!URG7/HNO3=0.0
!
!URG7/HNO4=0.0
!
!URG7/N2O5=0.0
!
!URG7/NO3=0.0
!
!URG7/NH3=0.0
!
!URG7/HO2=0.0
!
!URG7/CO=0.0
!
!URG7/H2O2=0.0
!
!URG7/SO2=0.0
!
!URG7/H2SO4=0.0
!
!URG7/OH=+0.1599999*K083*<ARAC>+0.9999993*K303*<RPR5>+0.9979297*K306*<RPRL>+0.9
!999993*K322*<RPR7>
 PJAC(:,60,15)=+0.1599999*TPK%K083(:)*PCONC(:,26)+0.9999993*TPK%K303(:)*PCONC(:&
&,70)+0.9979297*TPK%K306(:)*PCONC(:,75)+0.9999993*TPK%K322(:)*PCONC(:,62)
!
!URG7/ETHE=0.0
!
!URG7/OLEL=0.0
!
!URG7/OLEH=0.0
!
!URG7/ALKL=0.0
!
!URG7/ALKM=0.0
!
!URG7/ALKH=0.0
!
!URG7/AROH=0.0
!
!URG7/AROL=0.0
!
!URG7/AROO=0.0
!
!URG7/ARAL=0.0
!
!URG7/ARAC=+0.1599999*K083*<OH>
 PJAC(:,60,26)=+0.1599999*TPK%K083(:)*PCONC(:,15)
!
!URG7/PAH=0.0
!
!URG7/HCHO=0.0
!
!URG7/ALD2=0.0
!
!URG7/KETL=0.0
!
!URG7/KETH=0.0
!
!URG7/MEOH=0.0
!
!URG7/ETOH=0.0
!
!URG7/ALCH=0.0
!
!URG7/ISOP=0.0
!
!URG7/BIOL=0.0
!
!URG7/BIOH=0.0
!
!URG7/MTBE=0.0
!
!URG7/MVK=0.0
!
!URG7/MCR=0.0
!
!URG7/MGLY=0.0
!
!URG7/GLY=0.0
!
!URG7/ORA1=0.0
!
!URG7/ORA2=0.0
!
!URG7/ACID=0.0
!
!URG7/UR28=0.0
!
!URG7/UR21=0.0
!
!URG7/URG2=0.0
!
!URG7/UR26=0.0
!
!URG7/RPG2=0.0
!
!URG7/RP18=0.0
!
!URG7/RPG3=0.0
!
!URG7/URG4=0.0
!
!URG7/UR8=0.0
!
!URG7/UR17=0.0
!
!URG7/UR7=0.0
!
!URG7/RPR3=0.0
!
!URG7/URG6=0.0
!
!URG7/UR22=0.0
!
!URG7/URG7=-K353
 PJAC(:,60,60)=-TPK%K353(:)
!
!URG7/RPR4=0.0
!
!URG7/RPR7=+0.9999993*K322*<OH>
 PJAC(:,60,62)=+0.9999993*TPK%K322(:)*PCONC(:,15)
!
!URG7/RPG7=0.0
!
!URG7/URG8=0.0
!
!URG7/UR19=0.0
!
!URG7/URG9=0.0
!
!URG7/AP7=0.0
!
!URG7/URG10=0.0
!
!URG7/RPR1=0.0
!
!URG7/RPR5=+0.9999993*K303*<OH>
 PJAC(:,60,70)=+0.9999993*TPK%K303(:)*PCONC(:,15)
!
!URG7/RPR8=0.0
!
!URG7/RP10=0.0
!
!URG7/RP11=0.0
!
!URG7/RP16=0.0
!
!URG7/RPRL=+0.9979297*K306*<OH>
 PJAC(:,60,75)=+0.9979297*TPK%K306(:)*PCONC(:,15)
!
!URG7/APAN=0.0
!
!URG7/PAN1=0.0
!
!URG7/PAN2=0.0
!
!URG7/PAN3=0.0
!
!URG7/PAN4=0.0
!
!URG7/PAN6=0.0
!
!URG7/PAN7=0.0
!
!URG7/PAN8=0.0
!
!URG7/PN10=0.0
!
!URG7/RO2T=0.0
!
!URG7/RO21=0.0
!
!URG7/RO25=0.0
!
!URG7/WC_O3=0.0
!
!URG7/WC_H2O2=0.0
!
!URG7/WC_NO=0.0
!
!URG7/WC_NO2=0.0
!
!URG7/WC_NO3=0.0
!
!URG7/WC_N2O5=0.0
!
!URG7/WC_HONO=0.0
!
!URG7/WC_HNO3=0.0
!
!URG7/WC_HNO4=0.0
!
!URG7/WC_NH3=0.0
!
!URG7/WC_OH=0.0
!
!URG7/WC_HO2=0.0
!
!URG7/WC_CO2=0.0
!
!URG7/WC_SO2=0.0
!
!URG7/WC_H2SO4=0.0
!
!URG7/WC_RO21=0.0
!
!URG7/WC_RO25=0.0
!
!URG7/WC_MEOH=0.0
!
!URG7/WC_ETOH=0.0
!
!URG7/WC_ALCH=0.0
!
!URG7/WC_HCHO=0.0
!
!URG7/WC_ALD2=0.0
!
!URG7/WC_GLY=0.0
!
!URG7/WC_MGLY=0.0
!
!URG7/WC_KETL=0.0
!
!URG7/WC_ORA1=0.0
!
!URG7/WC_ORA2=0.0
!
!URG7/WC_ACID=0.0
!
!URG7/WC_RP16=0.0
!
!URG7/WC_UR21=0.0
!
!URG7/WC_UR28=0.0
!
!URG7/WC_ACID2=0.0
!
!URG7/WC_ASO3=0.0
!
!URG7/WC_ASO4=0.0
!
!URG7/WC_ASO5=0.0
!
!URG7/WC_AHSO5=0.0
!
!URG7/WC_AHMS=0.0
!
!URG7/WR_O3=0.0
!
!URG7/WR_H2O2=0.0
!
!URG7/WR_NO=0.0
!
!URG7/WR_NO2=0.0
!
!URG7/WR_NO3=0.0
!
!URG7/WR_N2O5=0.0
!
!URG7/WR_HONO=0.0
!
!URG7/WR_HNO3=0.0
!
!URG7/WR_HNO4=0.0
!
!URG7/WR_NH3=0.0
!
!URG7/WR_OH=0.0
!
!URG7/WR_HO2=0.0
!
!URG7/WR_CO2=0.0
!
!URG7/WR_SO2=0.0
!
!URG7/WR_H2SO4=0.0
!
!URG7/WR_RO21=0.0
!
!URG7/WR_RO25=0.0
!
!URG7/WR_MEOH=0.0
!
!URG7/WR_ETOH=0.0
!
!URG7/WR_ALCH=0.0
!
!URG7/WR_HCHO=0.0
!
!URG7/WR_ALD2=0.0
!
!URG7/WR_GLY=0.0
!
!URG7/WR_MGLY=0.0
!
!URG7/WR_KETL=0.0
!
!URG7/WR_ORA1=0.0
!
!URG7/WR_ORA2=0.0
!
!URG7/WR_ACID=0.0
!
!URG7/WR_RP16=0.0
!
!URG7/WR_UR21=0.0
!
!URG7/WR_UR28=0.0
!
!URG7/WR_ACID2=0.0
!
!URG7/WR_ASO3=0.0
!
!URG7/WR_ASO4=0.0
!
!URG7/WR_ASO5=0.0
!
!URG7/WR_AHSO5=0.0
!
!URG7/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ11
!
SUBROUTINE SUBJ12
!
!Indices 61 a 65
!
!
!RPR4/NO=0.0
!
!RPR4/NO2=+K103*<RAD1>+K104*<RAD2>
 PJAC(:,61,2)=+TPK%K103(:)*TPK%RAD1(:)+TPK%K104(:)*TPK%RAD2(:)
!
!RPR4/O3=0.0
!
!RPR4/HONO=0.0
!
!RPR4/HNO3=0.0
!
!RPR4/HNO4=0.0
!
!RPR4/N2O5=0.0
!
!RPR4/NO3=-K320*<RPR4>
 PJAC(:,61,8)=-TPK%K320(:)*PCONC(:,61)
!
!RPR4/NH3=0.0
!
!RPR4/HO2=0.0
!
!RPR4/CO=0.0
!
!RPR4/H2O2=0.0
!
!RPR4/SO2=0.0
!
!RPR4/H2SO4=0.0
!
!RPR4/OH=0.0
!
!RPR4/ETHE=0.0
!
!RPR4/OLEL=0.0
!
!RPR4/OLEH=0.0
!
!RPR4/ALKL=0.0
!
!RPR4/ALKM=0.0
!
!RPR4/ALKH=0.0
!
!RPR4/AROH=0.0
!
!RPR4/AROL=0.0
!
!RPR4/AROO=0.0
!
!RPR4/ARAL=0.0
!
!RPR4/ARAC=0.0
!
!RPR4/PAH=0.0
!
!RPR4/HCHO=0.0
!
!RPR4/ALD2=0.0
!
!RPR4/KETL=0.0
!
!RPR4/KETH=0.0
!
!RPR4/MEOH=0.0
!
!RPR4/ETOH=0.0
!
!RPR4/ALCH=0.0
!
!RPR4/ISOP=0.0
!
!RPR4/BIOL=0.0
!
!RPR4/BIOH=0.0
!
!RPR4/MTBE=0.0
!
!RPR4/MVK=0.0
!
!RPR4/MCR=0.0
!
!RPR4/MGLY=0.0
!
!RPR4/GLY=0.0
!
!RPR4/ORA1=0.0
!
!RPR4/ORA2=0.0
!
!RPR4/ACID=0.0
!
!RPR4/UR28=0.0
!
!RPR4/UR21=0.0
!
!RPR4/URG2=0.0
!
!RPR4/UR26=0.0
!
!RPR4/RPG2=0.0
!
!RPR4/RP18=0.0
!
!RPR4/RPG3=0.0
!
!RPR4/URG4=0.0
!
!RPR4/UR8=0.0
!
!RPR4/UR17=0.0
!
!RPR4/UR7=0.0
!
!RPR4/RPR3=0.0
!
!RPR4/URG6=0.0
!
!RPR4/UR22=0.0
!
!RPR4/URG7=0.0
!
!RPR4/RPR4=-K320*<NO3>
 PJAC(:,61,61)=-TPK%K320(:)*PCONC(:,8)
!
!RPR4/RPR7=0.0
!
!RPR4/RPG7=0.0
!
!RPR4/URG8=0.0
!
!RPR4/UR19=0.0
!
!RPR4/URG9=0.0
!
!RPR4/AP7=0.0
!
!RPR4/URG10=0.0
!
!RPR4/RPR1=0.0
!
!RPR4/RPR5=0.0
!
!RPR4/RPR8=0.0
!
!RPR4/RP10=0.0
!
!RPR4/RP11=0.0
!
!RPR4/RP16=0.0
!
!RPR4/RPRL=0.0
!
!RPR4/APAN=0.0
!
!RPR4/PAN1=0.0
!
!RPR4/PAN2=0.0
!
!RPR4/PAN3=0.0
!
!RPR4/PAN4=0.0
!
!RPR4/PAN6=0.0
!
!RPR4/PAN7=0.0
!
!RPR4/PAN8=0.0
!
!RPR4/PN10=0.0
!
!RPR4/RO2T=0.0
!
!RPR4/RO21=0.0
!
!RPR4/RO25=0.0
!
!RPR4/WC_O3=0.0
!
!RPR4/WC_H2O2=0.0
!
!RPR4/WC_NO=0.0
!
!RPR4/WC_NO2=0.0
!
!RPR4/WC_NO3=0.0
!
!RPR4/WC_N2O5=0.0
!
!RPR4/WC_HONO=0.0
!
!RPR4/WC_HNO3=0.0
!
!RPR4/WC_HNO4=0.0
!
!RPR4/WC_NH3=0.0
!
!RPR4/WC_OH=0.0
!
!RPR4/WC_HO2=0.0
!
!RPR4/WC_CO2=0.0
!
!RPR4/WC_SO2=0.0
!
!RPR4/WC_H2SO4=0.0
!
!RPR4/WC_RO21=0.0
!
!RPR4/WC_RO25=0.0
!
!RPR4/WC_MEOH=0.0
!
!RPR4/WC_ETOH=0.0
!
!RPR4/WC_ALCH=0.0
!
!RPR4/WC_HCHO=0.0
!
!RPR4/WC_ALD2=0.0
!
!RPR4/WC_GLY=0.0
!
!RPR4/WC_MGLY=0.0
!
!RPR4/WC_KETL=0.0
!
!RPR4/WC_ORA1=0.0
!
!RPR4/WC_ORA2=0.0
!
!RPR4/WC_ACID=0.0
!
!RPR4/WC_RP16=0.0
!
!RPR4/WC_UR21=0.0
!
!RPR4/WC_UR28=0.0
!
!RPR4/WC_ACID2=0.0
!
!RPR4/WC_ASO3=0.0
!
!RPR4/WC_ASO4=0.0
!
!RPR4/WC_ASO5=0.0
!
!RPR4/WC_AHSO5=0.0
!
!RPR4/WC_AHMS=0.0
!
!RPR4/WR_O3=0.0
!
!RPR4/WR_H2O2=0.0
!
!RPR4/WR_NO=0.0
!
!RPR4/WR_NO2=0.0
!
!RPR4/WR_NO3=0.0
!
!RPR4/WR_N2O5=0.0
!
!RPR4/WR_HONO=0.0
!
!RPR4/WR_HNO3=0.0
!
!RPR4/WR_HNO4=0.0
!
!RPR4/WR_NH3=0.0
!
!RPR4/WR_OH=0.0
!
!RPR4/WR_HO2=0.0
!
!RPR4/WR_CO2=0.0
!
!RPR4/WR_SO2=0.0
!
!RPR4/WR_H2SO4=0.0
!
!RPR4/WR_RO21=0.0
!
!RPR4/WR_RO25=0.0
!
!RPR4/WR_MEOH=0.0
!
!RPR4/WR_ETOH=0.0
!
!RPR4/WR_ALCH=0.0
!
!RPR4/WR_HCHO=0.0
!
!RPR4/WR_ALD2=0.0
!
!RPR4/WR_GLY=0.0
!
!RPR4/WR_MGLY=0.0
!
!RPR4/WR_KETL=0.0
!
!RPR4/WR_ORA1=0.0
!
!RPR4/WR_ORA2=0.0
!
!RPR4/WR_ACID=0.0
!
!RPR4/WR_RP16=0.0
!
!RPR4/WR_UR21=0.0
!
!RPR4/WR_UR28=0.0
!
!RPR4/WR_ACID2=0.0
!
!RPR4/WR_ASO3=0.0
!
!RPR4/WR_ASO4=0.0
!
!RPR4/WR_ASO5=0.0
!
!RPR4/WR_AHSO5=0.0
!
!RPR4/WR_AHMS=0.0
!
!RPR7/NO=+TPK%CF44*K195*<RO223>
 PJAC(:,62,1)=+TPK%CF44*TPK%K195(:)*TPK%RO223(:)
!
!RPR7/NO2=0.0
!
!RPR7/O3=0.0
!
!RPR7/HONO=0.0
!
!RPR7/HNO3=0.0
!
!RPR7/HNO4=0.0
!
!RPR7/N2O5=0.0
!
!RPR7/NO3=0.0
!
!RPR7/NH3=0.0
!
!RPR7/HO2=+K197*<RO223>
 PJAC(:,62,10)=+TPK%K197(:)*TPK%RO223(:)
!
!RPR7/CO=0.0
!
!RPR7/H2O2=0.0
!
!RPR7/SO2=0.0
!
!RPR7/H2SO4=0.0
!
!RPR7/OH=-03*K306*<RPRL>-K322*<RPR7>
 PJAC(:,62,15)=-03*TPK%K306(:)*PCONC(:,75)-TPK%K322(:)*PCONC(:,62)
!
!RPR7/ETHE=0.0
!
!RPR7/OLEL=0.0
!
!RPR7/OLEH=0.0
!
!RPR7/ALKL=0.0
!
!RPR7/ALKM=0.0
!
!RPR7/ALKH=0.0
!
!RPR7/AROH=0.0
!
!RPR7/AROL=0.0
!
!RPR7/AROO=0.0
!
!RPR7/ARAL=0.0
!
!RPR7/ARAC=0.0
!
!RPR7/PAH=0.0
!
!RPR7/HCHO=0.0
!
!RPR7/ALD2=0.0
!
!RPR7/KETL=0.0
!
!RPR7/KETH=0.0
!
!RPR7/MEOH=0.0
!
!RPR7/ETOH=0.0
!
!RPR7/ALCH=0.0
!
!RPR7/ISOP=0.0
!
!RPR7/BIOL=0.0
!
!RPR7/BIOH=0.0
!
!RPR7/MTBE=0.0
!
!RPR7/MVK=0.0
!
!RPR7/MCR=0.0
!
!RPR7/MGLY=0.0
!
!RPR7/GLY=0.0
!
!RPR7/ORA1=0.0
!
!RPR7/ORA2=0.0
!
!RPR7/ACID=0.0
!
!RPR7/UR28=0.0
!
!RPR7/UR21=0.0
!
!RPR7/URG2=0.0
!
!RPR7/UR26=0.0
!
!RPR7/RPG2=0.0
!
!RPR7/RP18=0.0
!
!RPR7/RPG3=0.0
!
!RPR7/URG4=0.0
!
!RPR7/UR8=0.0
!
!RPR7/UR17=0.0
!
!RPR7/UR7=0.0
!
!RPR7/RPR3=0.0
!
!RPR7/URG6=0.0
!
!RPR7/UR22=0.0
!
!RPR7/URG7=0.0
!
!RPR7/RPR4=0.0
!
!RPR7/RPR7=-K322*<OH>
 PJAC(:,62,62)=-TPK%K322(:)*PCONC(:,15)
!
!RPR7/RPG7=0.0
!
!RPR7/URG8=0.0
!
!RPR7/UR19=0.0
!
!RPR7/URG9=0.0
!
!RPR7/AP7=0.0
!
!RPR7/URG10=0.0
!
!RPR7/RPR1=0.0
!
!RPR7/RPR5=0.0
!
!RPR7/RPR8=0.0
!
!RPR7/RP10=0.0
!
!RPR7/RP11=0.0
!
!RPR7/RP16=0.0
!
!RPR7/RPRL=-03*K306*<OH>
 PJAC(:,62,75)=-03*TPK%K306(:)*PCONC(:,15)
!
!RPR7/APAN=0.0
!
!RPR7/PAN1=0.0
!
!RPR7/PAN2=0.0
!
!RPR7/PAN3=0.0
!
!RPR7/PAN4=0.0
!
!RPR7/PAN6=0.0
!
!RPR7/PAN7=0.0
!
!RPR7/PAN8=0.0
!
!RPR7/PN10=0.0
!
!RPR7/RO2T=+K196*<RO223>
 PJAC(:,62,85)=+TPK%K196(:)*TPK%RO223(:)
!
!RPR7/RO21=0.0
!
!RPR7/RO25=0.0
!
!RPR7/WC_O3=0.0
!
!RPR7/WC_H2O2=0.0
!
!RPR7/WC_NO=0.0
!
!RPR7/WC_NO2=0.0
!
!RPR7/WC_NO3=0.0
!
!RPR7/WC_N2O5=0.0
!
!RPR7/WC_HONO=0.0
!
!RPR7/WC_HNO3=0.0
!
!RPR7/WC_HNO4=0.0
!
!RPR7/WC_NH3=0.0
!
!RPR7/WC_OH=0.0
!
!RPR7/WC_HO2=0.0
!
!RPR7/WC_CO2=0.0
!
!RPR7/WC_SO2=0.0
!
!RPR7/WC_H2SO4=0.0
!
!RPR7/WC_RO21=0.0
!
!RPR7/WC_RO25=0.0
!
!RPR7/WC_MEOH=0.0
!
!RPR7/WC_ETOH=0.0
!
!RPR7/WC_ALCH=0.0
!
!RPR7/WC_HCHO=0.0
!
!RPR7/WC_ALD2=0.0
!
!RPR7/WC_GLY=0.0
!
!RPR7/WC_MGLY=0.0
!
!RPR7/WC_KETL=0.0
!
!RPR7/WC_ORA1=0.0
!
!RPR7/WC_ORA2=0.0
!
!RPR7/WC_ACID=0.0
!
!RPR7/WC_RP16=0.0
!
!RPR7/WC_UR21=0.0
!
!RPR7/WC_UR28=0.0
!
!RPR7/WC_ACID2=0.0
!
!RPR7/WC_ASO3=0.0
!
!RPR7/WC_ASO4=0.0
!
!RPR7/WC_ASO5=0.0
!
!RPR7/WC_AHSO5=0.0
!
!RPR7/WC_AHMS=0.0
!
!RPR7/WR_O3=0.0
!
!RPR7/WR_H2O2=0.0
!
!RPR7/WR_NO=0.0
!
!RPR7/WR_NO2=0.0
!
!RPR7/WR_NO3=0.0
!
!RPR7/WR_N2O5=0.0
!
!RPR7/WR_HONO=0.0
!
!RPR7/WR_HNO3=0.0
!
!RPR7/WR_HNO4=0.0
!
!RPR7/WR_NH3=0.0
!
!RPR7/WR_OH=0.0
!
!RPR7/WR_HO2=0.0
!
!RPR7/WR_CO2=0.0
!
!RPR7/WR_SO2=0.0
!
!RPR7/WR_H2SO4=0.0
!
!RPR7/WR_RO21=0.0
!
!RPR7/WR_RO25=0.0
!
!RPR7/WR_MEOH=0.0
!
!RPR7/WR_ETOH=0.0
!
!RPR7/WR_ALCH=0.0
!
!RPR7/WR_HCHO=0.0
!
!RPR7/WR_ALD2=0.0
!
!RPR7/WR_GLY=0.0
!
!RPR7/WR_MGLY=0.0
!
!RPR7/WR_KETL=0.0
!
!RPR7/WR_ORA1=0.0
!
!RPR7/WR_ORA2=0.0
!
!RPR7/WR_ACID=0.0
!
!RPR7/WR_RP16=0.0
!
!RPR7/WR_UR21=0.0
!
!RPR7/WR_UR28=0.0
!
!RPR7/WR_ACID2=0.0
!
!RPR7/WR_ASO3=0.0
!
!RPR7/WR_ASO4=0.0
!
!RPR7/WR_ASO5=0.0
!
!RPR7/WR_AHSO5=0.0
!
!RPR7/WR_AHMS=0.0
!
!RPG7/NO=+1.0000013*K266*<RO238>
 PJAC(:,63,1)=+1.0000013*TPK%K266(:)*TPK%RO238(:)
!
!RPG7/NO2=0.0
!
!RPG7/O3=0.0
!
!RPG7/HONO=0.0
!
!RPG7/HNO3=0.0
!
!RPG7/HNO4=0.0
!
!RPG7/N2O5=0.0
!
!RPG7/NO3=0.0
!
!RPG7/NH3=0.0
!
!RPG7/HO2=+1.0000013*K268*<RO238>
 PJAC(:,63,10)=+1.0000013*TPK%K268(:)*TPK%RO238(:)
!
!RPG7/CO=0.0
!
!RPG7/H2O2=0.0
!
!RPG7/SO2=0.0
!
!RPG7/H2SO4=0.0
!
!RPG7/OH=+0.5021558*K323*<RPG7>-K323*<RPG7>
 PJAC(:,63,15)=+0.5021558*TPK%K323(:)*PCONC(:,63)-TPK%K323(:)*PCONC(:,63)
!
!RPG7/ETHE=0.0
!
!RPG7/OLEL=0.0
!
!RPG7/OLEH=0.0
!
!RPG7/ALKL=0.0
!
!RPG7/ALKM=0.0
!
!RPG7/ALKH=0.0
!
!RPG7/AROH=0.0
!
!RPG7/AROL=0.0
!
!RPG7/AROO=0.0
!
!RPG7/ARAL=0.0
!
!RPG7/ARAC=0.0
!
!RPG7/PAH=0.0
!
!RPG7/HCHO=0.0
!
!RPG7/ALD2=0.0
!
!RPG7/KETL=0.0
!
!RPG7/KETH=0.0
!
!RPG7/MEOH=0.0
!
!RPG7/ETOH=0.0
!
!RPG7/ALCH=0.0
!
!RPG7/ISOP=0.0
!
!RPG7/BIOL=0.0
!
!RPG7/BIOH=0.0
!
!RPG7/MTBE=0.0
!
!RPG7/MVK=0.0
!
!RPG7/MCR=0.0
!
!RPG7/MGLY=0.0
!
!RPG7/GLY=0.0
!
!RPG7/ORA1=0.0
!
!RPG7/ORA2=0.0
!
!RPG7/ACID=0.0
!
!RPG7/UR28=0.0
!
!RPG7/UR21=0.0
!
!RPG7/URG2=0.0
!
!RPG7/UR26=0.0
!
!RPG7/RPG2=0.0
!
!RPG7/RP18=0.0
!
!RPG7/RPG3=0.0
!
!RPG7/URG4=0.0
!
!RPG7/UR8=0.0
!
!RPG7/UR17=0.0
!
!RPG7/UR7=0.0
!
!RPG7/RPR3=0.0
!
!RPG7/URG6=0.0
!
!RPG7/UR22=0.0
!
!RPG7/URG7=0.0
!
!RPG7/RPR4=0.0
!
!RPG7/RPR7=0.0
!
!RPG7/RPG7=+0.5021558*K323*<OH>-K323*<OH>
 PJAC(:,63,63)=+0.5021558*TPK%K323(:)*PCONC(:,15)-TPK%K323(:)*PCONC(:,15)
!
!RPG7/URG8=0.0
!
!RPG7/UR19=0.0
!
!RPG7/URG9=0.0
!
!RPG7/AP7=0.0
!
!RPG7/URG10=0.0
!
!RPG7/RPR1=0.0
!
!RPG7/RPR5=0.0
!
!RPG7/RPR8=0.0
!
!RPG7/RP10=0.0
!
!RPG7/RP11=0.0
!
!RPG7/RP16=0.0
!
!RPG7/RPRL=0.0
!
!RPG7/APAN=0.0
!
!RPG7/PAN1=0.0
!
!RPG7/PAN2=0.0
!
!RPG7/PAN3=0.0
!
!RPG7/PAN4=0.0
!
!RPG7/PAN6=0.0
!
!RPG7/PAN7=0.0
!
!RPG7/PAN8=0.0
!
!RPG7/PN10=0.0
!
!RPG7/RO2T=+1.0000013*K267*<RO238>
 PJAC(:,63,85)=+1.0000013*TPK%K267(:)*TPK%RO238(:)
!
!RPG7/RO21=0.0
!
!RPG7/RO25=0.0
!
!RPG7/WC_O3=0.0
!
!RPG7/WC_H2O2=0.0
!
!RPG7/WC_NO=0.0
!
!RPG7/WC_NO2=0.0
!
!RPG7/WC_NO3=0.0
!
!RPG7/WC_N2O5=0.0
!
!RPG7/WC_HONO=0.0
!
!RPG7/WC_HNO3=0.0
!
!RPG7/WC_HNO4=0.0
!
!RPG7/WC_NH3=0.0
!
!RPG7/WC_OH=0.0
!
!RPG7/WC_HO2=0.0
!
!RPG7/WC_CO2=0.0
!
!RPG7/WC_SO2=0.0
!
!RPG7/WC_H2SO4=0.0
!
!RPG7/WC_RO21=0.0
!
!RPG7/WC_RO25=0.0
!
!RPG7/WC_MEOH=0.0
!
!RPG7/WC_ETOH=0.0
!
!RPG7/WC_ALCH=0.0
!
!RPG7/WC_HCHO=0.0
!
!RPG7/WC_ALD2=0.0
!
!RPG7/WC_GLY=0.0
!
!RPG7/WC_MGLY=0.0
!
!RPG7/WC_KETL=0.0
!
!RPG7/WC_ORA1=0.0
!
!RPG7/WC_ORA2=0.0
!
!RPG7/WC_ACID=0.0
!
!RPG7/WC_RP16=0.0
!
!RPG7/WC_UR21=0.0
!
!RPG7/WC_UR28=0.0
!
!RPG7/WC_ACID2=0.0
!
!RPG7/WC_ASO3=0.0
!
!RPG7/WC_ASO4=0.0
!
!RPG7/WC_ASO5=0.0
!
!RPG7/WC_AHSO5=0.0
!
!RPG7/WC_AHMS=0.0
!
!RPG7/WR_O3=0.0
!
!RPG7/WR_H2O2=0.0
!
!RPG7/WR_NO=0.0
!
!RPG7/WR_NO2=0.0
!
!RPG7/WR_NO3=0.0
!
!RPG7/WR_N2O5=0.0
!
!RPG7/WR_HONO=0.0
!
!RPG7/WR_HNO3=0.0
!
!RPG7/WR_HNO4=0.0
!
!RPG7/WR_NH3=0.0
!
!RPG7/WR_OH=0.0
!
!RPG7/WR_HO2=0.0
!
!RPG7/WR_CO2=0.0
!
!RPG7/WR_SO2=0.0
!
!RPG7/WR_H2SO4=0.0
!
!RPG7/WR_RO21=0.0
!
!RPG7/WR_RO25=0.0
!
!RPG7/WR_MEOH=0.0
!
!RPG7/WR_ETOH=0.0
!
!RPG7/WR_ALCH=0.0
!
!RPG7/WR_HCHO=0.0
!
!RPG7/WR_ALD2=0.0
!
!RPG7/WR_GLY=0.0
!
!RPG7/WR_MGLY=0.0
!
!RPG7/WR_KETL=0.0
!
!RPG7/WR_ORA1=0.0
!
!RPG7/WR_ORA2=0.0
!
!RPG7/WR_ACID=0.0
!
!RPG7/WR_RP16=0.0
!
!RPG7/WR_UR21=0.0
!
!RPG7/WR_UR28=0.0
!
!RPG7/WR_ACID2=0.0
!
!RPG7/WR_ASO3=0.0
!
!RPG7/WR_ASO4=0.0
!
!RPG7/WR_ASO5=0.0
!
!RPG7/WR_AHSO5=0.0
!
!RPG7/WR_AHMS=0.0
!
!URG8/NO=+TPK%CF31*K221*<RO231>
 PJAC(:,64,1)=+TPK%CF31*TPK%K221(:)*TPK%RO231(:)
!
!URG8/NO2=+1.0000000*K109*<RAD7>
 PJAC(:,64,2)=+1.0000000*TPK%K109(:)*TPK%RAD7(:)
!
!URG8/O3=0.0
!
!URG8/HONO=0.0
!
!URG8/HNO3=0.0
!
!URG8/HNO4=0.0
!
!URG8/N2O5=0.0
!
!URG8/NO3=0.0
!
!URG8/NH3=0.0
!
!URG8/HO2=0.0
!
!URG8/CO=0.0
!
!URG8/H2O2=0.0
!
!URG8/SO2=0.0
!
!URG8/H2SO4=0.0
!
!URG8/OH=+0.1600000*K092*<PAH>
 PJAC(:,64,15)=+0.1600000*TPK%K092(:)*PCONC(:,27)
!
!URG8/ETHE=0.0
!
!URG8/OLEL=0.0
!
!URG8/OLEH=0.0
!
!URG8/ALKL=0.0
!
!URG8/ALKM=0.0
!
!URG8/ALKH=0.0
!
!URG8/AROH=0.0
!
!URG8/AROL=0.0
!
!URG8/AROO=0.0
!
!URG8/ARAL=0.0
!
!URG8/ARAC=0.0
!
!URG8/PAH=+0.1600000*K092*<OH>
 PJAC(:,64,27)=+0.1600000*TPK%K092(:)*PCONC(:,15)
!
!URG8/HCHO=0.0
!
!URG8/ALD2=0.0
!
!URG8/KETL=0.0
!
!URG8/KETH=0.0
!
!URG8/MEOH=0.0
!
!URG8/ETOH=0.0
!
!URG8/ALCH=0.0
!
!URG8/ISOP=0.0
!
!URG8/BIOL=0.0
!
!URG8/BIOH=0.0
!
!URG8/MTBE=0.0
!
!URG8/MVK=0.0
!
!URG8/MCR=0.0
!
!URG8/MGLY=0.0
!
!URG8/GLY=0.0
!
!URG8/ORA1=0.0
!
!URG8/ORA2=0.0
!
!URG8/ACID=0.0
!
!URG8/UR28=0.0
!
!URG8/UR21=0.0
!
!URG8/URG2=0.0
!
!URG8/UR26=0.0
!
!URG8/RPG2=0.0
!
!URG8/RP18=0.0
!
!URG8/RPG3=0.0
!
!URG8/URG4=0.0
!
!URG8/UR8=0.0
!
!URG8/UR17=0.0
!
!URG8/UR7=0.0
!
!URG8/RPR3=0.0
!
!URG8/URG6=0.0
!
!URG8/UR22=0.0
!
!URG8/URG7=0.0
!
!URG8/RPR4=0.0
!
!URG8/RPR7=0.0
!
!URG8/RPG7=0.0
!
!URG8/URG8=-K354
 PJAC(:,64,64)=-TPK%K354(:)
!
!URG8/UR19=0.0
!
!URG8/URG9=0.0
!
!URG8/AP7=0.0
!
!URG8/URG10=0.0
!
!URG8/RPR1=0.0
!
!URG8/RPR5=0.0
!
!URG8/RPR8=0.0
!
!URG8/RP10=0.0
!
!URG8/RP11=0.0
!
!URG8/RP16=0.0
!
!URG8/RPRL=0.0
!
!URG8/APAN=0.0
!
!URG8/PAN1=0.0
!
!URG8/PAN2=0.0
!
!URG8/PAN3=0.0
!
!URG8/PAN4=0.0
!
!URG8/PAN6=0.0
!
!URG8/PAN7=0.0
!
!URG8/PAN8=0.0
!
!URG8/PN10=0.0
!
!URG8/RO2T=0.0
!
!URG8/RO21=0.0
!
!URG8/RO25=0.0
!
!URG8/WC_O3=0.0
!
!URG8/WC_H2O2=0.0
!
!URG8/WC_NO=0.0
!
!URG8/WC_NO2=0.0
!
!URG8/WC_NO3=0.0
!
!URG8/WC_N2O5=0.0
!
!URG8/WC_HONO=0.0
!
!URG8/WC_HNO3=0.0
!
!URG8/WC_HNO4=0.0
!
!URG8/WC_NH3=0.0
!
!URG8/WC_OH=0.0
!
!URG8/WC_HO2=0.0
!
!URG8/WC_CO2=0.0
!
!URG8/WC_SO2=0.0
!
!URG8/WC_H2SO4=0.0
!
!URG8/WC_RO21=0.0
!
!URG8/WC_RO25=0.0
!
!URG8/WC_MEOH=0.0
!
!URG8/WC_ETOH=0.0
!
!URG8/WC_ALCH=0.0
!
!URG8/WC_HCHO=0.0
!
!URG8/WC_ALD2=0.0
!
!URG8/WC_GLY=0.0
!
!URG8/WC_MGLY=0.0
!
!URG8/WC_KETL=0.0
!
!URG8/WC_ORA1=0.0
!
!URG8/WC_ORA2=0.0
!
!URG8/WC_ACID=0.0
!
!URG8/WC_RP16=0.0
!
!URG8/WC_UR21=0.0
!
!URG8/WC_UR28=0.0
!
!URG8/WC_ACID2=0.0
!
!URG8/WC_ASO3=0.0
!
!URG8/WC_ASO4=0.0
!
!URG8/WC_ASO5=0.0
!
!URG8/WC_AHSO5=0.0
!
!URG8/WC_AHMS=0.0
!
!URG8/WR_O3=0.0
!
!URG8/WR_H2O2=0.0
!
!URG8/WR_NO=0.0
!
!URG8/WR_NO2=0.0
!
!URG8/WR_NO3=0.0
!
!URG8/WR_N2O5=0.0
!
!URG8/WR_HONO=0.0
!
!URG8/WR_HNO3=0.0
!
!URG8/WR_HNO4=0.0
!
!URG8/WR_NH3=0.0
!
!URG8/WR_OH=0.0
!
!URG8/WR_HO2=0.0
!
!URG8/WR_CO2=0.0
!
!URG8/WR_SO2=0.0
!
!URG8/WR_H2SO4=0.0
!
!URG8/WR_RO21=0.0
!
!URG8/WR_RO25=0.0
!
!URG8/WR_MEOH=0.0
!
!URG8/WR_ETOH=0.0
!
!URG8/WR_ALCH=0.0
!
!URG8/WR_HCHO=0.0
!
!URG8/WR_ALD2=0.0
!
!URG8/WR_GLY=0.0
!
!URG8/WR_MGLY=0.0
!
!URG8/WR_KETL=0.0
!
!URG8/WR_ORA1=0.0
!
!URG8/WR_ORA2=0.0
!
!URG8/WR_ACID=0.0
!
!URG8/WR_RP16=0.0
!
!URG8/WR_UR21=0.0
!
!URG8/WR_UR28=0.0
!
!URG8/WR_ACID2=0.0
!
!URG8/WR_ASO3=0.0
!
!URG8/WR_ASO4=0.0
!
!URG8/WR_ASO5=0.0
!
!URG8/WR_AHSO5=0.0
!
!URG8/WR_AHMS=0.0
!
!UR19/NO=+TPK%CF32*K221*<RO231>
 PJAC(:,65,1)=+TPK%CF32*TPK%K221(:)*TPK%RO231(:)
!
!UR19/NO2=0.0
!
!UR19/O3=0.0
!
!UR19/HONO=0.0
!
!UR19/HNO3=0.0
!
!UR19/HNO4=0.0
!
!UR19/N2O5=0.0
!
!UR19/NO3=0.0
!
!UR19/NH3=0.0
!
!UR19/HO2=+K223*<RO231>
 PJAC(:,65,10)=+TPK%K223(:)*TPK%RO231(:)
!
!UR19/CO=0.0
!
!UR19/H2O2=0.0
!
!UR19/SO2=0.0
!
!UR19/H2SO4=0.0
!
!UR19/OH=0.0
!
!UR19/ETHE=0.0
!
!UR19/OLEL=0.0
!
!UR19/OLEH=0.0
!
!UR19/ALKL=0.0
!
!UR19/ALKM=0.0
!
!UR19/ALKH=0.0
!
!UR19/AROH=0.0
!
!UR19/AROL=0.0
!
!UR19/AROO=0.0
!
!UR19/ARAL=0.0
!
!UR19/ARAC=0.0
!
!UR19/PAH=0.0
!
!UR19/HCHO=0.0
!
!UR19/ALD2=0.0
!
!UR19/KETL=0.0
!
!UR19/KETH=0.0
!
!UR19/MEOH=0.0
!
!UR19/ETOH=0.0
!
!UR19/ALCH=0.0
!
!UR19/ISOP=0.0
!
!UR19/BIOL=0.0
!
!UR19/BIOH=0.0
!
!UR19/MTBE=0.0
!
!UR19/MVK=0.0
!
!UR19/MCR=0.0
!
!UR19/MGLY=0.0
!
!UR19/GLY=0.0
!
!UR19/ORA1=0.0
!
!UR19/ORA2=0.0
!
!UR19/ACID=0.0
!
!UR19/UR28=0.0
!
!UR19/UR21=0.0
!
!UR19/URG2=0.0
!
!UR19/UR26=0.0
!
!UR19/RPG2=0.0
!
!UR19/RP18=0.0
!
!UR19/RPG3=0.0
!
!UR19/URG4=0.0
!
!UR19/UR8=0.0
!
!UR19/UR17=0.0
!
!UR19/UR7=0.0
!
!UR19/RPR3=0.0
!
!UR19/URG6=0.0
!
!UR19/UR22=0.0
!
!UR19/URG7=0.0
!
!UR19/RPR4=0.0
!
!UR19/RPR7=0.0
!
!UR19/RPG7=0.0
!
!UR19/URG8=0.0
!
!UR19/UR19=-K360
 PJAC(:,65,65)=-TPK%K360(:)
!
!UR19/URG9=0.0
!
!UR19/AP7=0.0
!
!UR19/URG10=0.0
!
!UR19/RPR1=0.0
!
!UR19/RPR5=0.0
!
!UR19/RPR8=0.0
!
!UR19/RP10=0.0
!
!UR19/RP11=0.0
!
!UR19/RP16=0.0
!
!UR19/RPRL=0.0
!
!UR19/APAN=0.0
!
!UR19/PAN1=0.0
!
!UR19/PAN2=0.0
!
!UR19/PAN3=0.0
!
!UR19/PAN4=0.0
!
!UR19/PAN6=0.0
!
!UR19/PAN7=0.0
!
!UR19/PAN8=0.0
!
!UR19/PN10=0.0
!
!UR19/RO2T=+K222*<RO231>
 PJAC(:,65,85)=+TPK%K222(:)*TPK%RO231(:)
!
!UR19/RO21=0.0
!
!UR19/RO25=0.0
!
!UR19/WC_O3=0.0
!
!UR19/WC_H2O2=0.0
!
!UR19/WC_NO=0.0
!
!UR19/WC_NO2=0.0
!
!UR19/WC_NO3=0.0
!
!UR19/WC_N2O5=0.0
!
!UR19/WC_HONO=0.0
!
!UR19/WC_HNO3=0.0
!
!UR19/WC_HNO4=0.0
!
!UR19/WC_NH3=0.0
!
!UR19/WC_OH=0.0
!
!UR19/WC_HO2=0.0
!
!UR19/WC_CO2=0.0
!
!UR19/WC_SO2=0.0
!
!UR19/WC_H2SO4=0.0
!
!UR19/WC_RO21=0.0
!
!UR19/WC_RO25=0.0
!
!UR19/WC_MEOH=0.0
!
!UR19/WC_ETOH=0.0
!
!UR19/WC_ALCH=0.0
!
!UR19/WC_HCHO=0.0
!
!UR19/WC_ALD2=0.0
!
!UR19/WC_GLY=0.0
!
!UR19/WC_MGLY=0.0
!
!UR19/WC_KETL=0.0
!
!UR19/WC_ORA1=0.0
!
!UR19/WC_ORA2=0.0
!
!UR19/WC_ACID=0.0
!
!UR19/WC_RP16=0.0
!
!UR19/WC_UR21=0.0
!
!UR19/WC_UR28=0.0
!
!UR19/WC_ACID2=0.0
!
!UR19/WC_ASO3=0.0
!
!UR19/WC_ASO4=0.0
!
!UR19/WC_ASO5=0.0
!
!UR19/WC_AHSO5=0.0
!
!UR19/WC_AHMS=0.0
!
!UR19/WR_O3=0.0
!
!UR19/WR_H2O2=0.0
!
!UR19/WR_NO=0.0
!
!UR19/WR_NO2=0.0
!
!UR19/WR_NO3=0.0
!
!UR19/WR_N2O5=0.0
!
!UR19/WR_HONO=0.0
!
!UR19/WR_HNO3=0.0
!
!UR19/WR_HNO4=0.0
!
!UR19/WR_NH3=0.0
!
!UR19/WR_OH=0.0
!
!UR19/WR_HO2=0.0
!
!UR19/WR_CO2=0.0
!
!UR19/WR_SO2=0.0
!
!UR19/WR_H2SO4=0.0
!
!UR19/WR_RO21=0.0
!
!UR19/WR_RO25=0.0
!
!UR19/WR_MEOH=0.0
!
!UR19/WR_ETOH=0.0
!
!UR19/WR_ALCH=0.0
!
!UR19/WR_HCHO=0.0
!
!UR19/WR_ALD2=0.0
!
!UR19/WR_GLY=0.0
!
!UR19/WR_MGLY=0.0
!
!UR19/WR_KETL=0.0
!
!UR19/WR_ORA1=0.0
!
!UR19/WR_ORA2=0.0
!
!UR19/WR_ACID=0.0
!
!UR19/WR_RP16=0.0
!
!UR19/WR_UR21=0.0
!
!UR19/WR_UR28=0.0
!
!UR19/WR_ACID2=0.0
!
!UR19/WR_ASO3=0.0
!
!UR19/WR_ASO4=0.0
!
!UR19/WR_ASO5=0.0
!
!UR19/WR_AHSO5=0.0
!
!UR19/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ12
!
SUBROUTINE SUBJ13
!
!Indices 66 a 70
!
!
!URG9/NO=+TPK%CFA14*K224*<RO232>+TPK%CFA16*K227*<RO241>+TPK%CFA15*K227*<RO241>
 PJAC(:,66,1)=+TPK%CFA14*TPK%K224(:)*TPK%RO232(:)+TPK%CFA16*TPK%K227(:)*TPK%RO2&
&41(:)+TPK%CFA15*TPK%K227(:)*TPK%RO241(:)
!
!URG9/NO2=0.0
!
!URG9/O3=0.0
!
!URG9/HONO=0.0
!
!URG9/HNO3=0.0
!
!URG9/HNO4=0.0
!
!URG9/N2O5=0.0
!
!URG9/NO3=0.0
!
!URG9/NH3=0.0
!
!URG9/HO2=+0.9999996*K229*<RO241>
 PJAC(:,66,10)=+0.9999996*TPK%K229(:)*TPK%RO241(:)
!
!URG9/CO=0.0
!
!URG9/H2O2=0.0
!
!URG9/SO2=0.0
!
!URG9/H2SO4=0.0
!
!URG9/OH=0.0
!
!URG9/ETHE=0.0
!
!URG9/OLEL=0.0
!
!URG9/OLEH=0.0
!
!URG9/ALKL=0.0
!
!URG9/ALKM=0.0
!
!URG9/ALKH=0.0
!
!URG9/AROH=0.0
!
!URG9/AROL=0.0
!
!URG9/AROO=0.0
!
!URG9/ARAL=0.0
!
!URG9/ARAC=0.0
!
!URG9/PAH=0.0
!
!URG9/HCHO=0.0
!
!URG9/ALD2=0.0
!
!URG9/KETL=0.0
!
!URG9/KETH=0.0
!
!URG9/MEOH=0.0
!
!URG9/ETOH=0.0
!
!URG9/ALCH=0.0
!
!URG9/ISOP=0.0
!
!URG9/BIOL=0.0
!
!URG9/BIOH=0.0
!
!URG9/MTBE=0.0
!
!URG9/MVK=0.0
!
!URG9/MCR=0.0
!
!URG9/MGLY=0.0
!
!URG9/GLY=0.0
!
!URG9/ORA1=0.0
!
!URG9/ORA2=0.0
!
!URG9/ACID=0.0
!
!URG9/UR28=0.0
!
!URG9/UR21=0.0
!
!URG9/URG2=0.0
!
!URG9/UR26=0.0
!
!URG9/RPG2=0.0
!
!URG9/RP18=0.0
!
!URG9/RPG3=0.0
!
!URG9/URG4=0.0
!
!URG9/UR8=0.0
!
!URG9/UR17=0.0
!
!URG9/UR7=0.0
!
!URG9/RPR3=0.0
!
!URG9/URG6=0.0
!
!URG9/UR22=0.0
!
!URG9/URG7=0.0
!
!URG9/RPR4=0.0
!
!URG9/RPR7=0.0
!
!URG9/RPG7=0.0
!
!URG9/URG8=0.0
!
!URG9/UR19=0.0
!
!URG9/URG9=-K355
 PJAC(:,66,66)=-TPK%K355(:)
!
!URG9/AP7=0.0
!
!URG9/URG10=0.0
!
!URG9/RPR1=0.0
!
!URG9/RPR5=0.0
!
!URG9/RPR8=0.0
!
!URG9/RP10=0.0
!
!URG9/RP11=0.0
!
!URG9/RP16=0.0
!
!URG9/RPRL=0.0
!
!URG9/APAN=0.0
!
!URG9/PAN1=0.0
!
!URG9/PAN2=0.0
!
!URG9/PAN3=0.0
!
!URG9/PAN4=0.0
!
!URG9/PAN6=0.0
!
!URG9/PAN7=0.0
!
!URG9/PAN8=0.0
!
!URG9/PN10=0.0
!
!URG9/RO2T=+0.9999996*K228*<RO241>
 PJAC(:,66,85)=+0.9999996*TPK%K228(:)*TPK%RO241(:)
!
!URG9/RO21=0.0
!
!URG9/RO25=0.0
!
!URG9/WC_O3=0.0
!
!URG9/WC_H2O2=0.0
!
!URG9/WC_NO=0.0
!
!URG9/WC_NO2=0.0
!
!URG9/WC_NO3=0.0
!
!URG9/WC_N2O5=0.0
!
!URG9/WC_HONO=0.0
!
!URG9/WC_HNO3=0.0
!
!URG9/WC_HNO4=0.0
!
!URG9/WC_NH3=0.0
!
!URG9/WC_OH=0.0
!
!URG9/WC_HO2=0.0
!
!URG9/WC_CO2=0.0
!
!URG9/WC_SO2=0.0
!
!URG9/WC_H2SO4=0.0
!
!URG9/WC_RO21=0.0
!
!URG9/WC_RO25=0.0
!
!URG9/WC_MEOH=0.0
!
!URG9/WC_ETOH=0.0
!
!URG9/WC_ALCH=0.0
!
!URG9/WC_HCHO=0.0
!
!URG9/WC_ALD2=0.0
!
!URG9/WC_GLY=0.0
!
!URG9/WC_MGLY=0.0
!
!URG9/WC_KETL=0.0
!
!URG9/WC_ORA1=0.0
!
!URG9/WC_ORA2=0.0
!
!URG9/WC_ACID=0.0
!
!URG9/WC_RP16=0.0
!
!URG9/WC_UR21=0.0
!
!URG9/WC_UR28=0.0
!
!URG9/WC_ACID2=0.0
!
!URG9/WC_ASO3=0.0
!
!URG9/WC_ASO4=0.0
!
!URG9/WC_ASO5=0.0
!
!URG9/WC_AHSO5=0.0
!
!URG9/WC_AHMS=0.0
!
!URG9/WR_O3=0.0
!
!URG9/WR_H2O2=0.0
!
!URG9/WR_NO=0.0
!
!URG9/WR_NO2=0.0
!
!URG9/WR_NO3=0.0
!
!URG9/WR_N2O5=0.0
!
!URG9/WR_HONO=0.0
!
!URG9/WR_HNO3=0.0
!
!URG9/WR_HNO4=0.0
!
!URG9/WR_NH3=0.0
!
!URG9/WR_OH=0.0
!
!URG9/WR_HO2=0.0
!
!URG9/WR_CO2=0.0
!
!URG9/WR_SO2=0.0
!
!URG9/WR_H2SO4=0.0
!
!URG9/WR_RO21=0.0
!
!URG9/WR_RO25=0.0
!
!URG9/WR_MEOH=0.0
!
!URG9/WR_ETOH=0.0
!
!URG9/WR_ALCH=0.0
!
!URG9/WR_HCHO=0.0
!
!URG9/WR_ALD2=0.0
!
!URG9/WR_GLY=0.0
!
!URG9/WR_MGLY=0.0
!
!URG9/WR_KETL=0.0
!
!URG9/WR_ORA1=0.0
!
!URG9/WR_ORA2=0.0
!
!URG9/WR_ACID=0.0
!
!URG9/WR_RP16=0.0
!
!URG9/WR_UR21=0.0
!
!URG9/WR_UR28=0.0
!
!URG9/WR_ACID2=0.0
!
!URG9/WR_ASO3=0.0
!
!URG9/WR_ASO4=0.0
!
!URG9/WR_ASO5=0.0
!
!URG9/WR_AHSO5=0.0
!
!URG9/WR_AHMS=0.0
!
!AP7/NO=+TPK%CFA23*K198*<RO224>
 PJAC(:,67,1)=+TPK%CFA23*TPK%K198(:)*TPK%RO224(:)
!
!AP7/NO2=0.0
!
!AP7/O3=0.0
!
!AP7/HONO=0.0
!
!AP7/HNO3=0.0
!
!AP7/HNO4=0.0
!
!AP7/N2O5=0.0
!
!AP7/NO3=0.0
!
!AP7/NH3=0.0
!
!AP7/HO2=0.0
!
!AP7/CO=0.0
!
!AP7/H2O2=0.0
!
!AP7/SO2=0.0
!
!AP7/H2SO4=0.0
!
!AP7/OH=0.0
!
!AP7/ETHE=0.0
!
!AP7/OLEL=0.0
!
!AP7/OLEH=0.0
!
!AP7/ALKL=0.0
!
!AP7/ALKM=0.0
!
!AP7/ALKH=0.0
!
!AP7/AROH=0.0
!
!AP7/AROL=0.0
!
!AP7/AROO=0.0
!
!AP7/ARAL=0.0
!
!AP7/ARAC=0.0
!
!AP7/PAH=0.0
!
!AP7/HCHO=0.0
!
!AP7/ALD2=0.0
!
!AP7/KETL=0.0
!
!AP7/KETH=0.0
!
!AP7/MEOH=0.0
!
!AP7/ETOH=0.0
!
!AP7/ALCH=0.0
!
!AP7/ISOP=0.0
!
!AP7/BIOL=0.0
!
!AP7/BIOH=0.0
!
!AP7/MTBE=0.0
!
!AP7/MVK=0.0
!
!AP7/MCR=0.0
!
!AP7/MGLY=0.0
!
!AP7/GLY=0.0
!
!AP7/ORA1=0.0
!
!AP7/ORA2=0.0
!
!AP7/ACID=0.0
!
!AP7/UR28=0.0
!
!AP7/UR21=0.0
!
!AP7/URG2=0.0
!
!AP7/UR26=0.0
!
!AP7/RPG2=0.0
!
!AP7/RP18=0.0
!
!AP7/RPG3=0.0
!
!AP7/URG4=0.0
!
!AP7/UR8=0.0
!
!AP7/UR17=0.0
!
!AP7/UR7=0.0
!
!AP7/RPR3=0.0
!
!AP7/URG6=0.0
!
!AP7/UR22=0.0
!
!AP7/URG7=0.0
!
!AP7/RPR4=0.0
!
!AP7/RPR7=0.0
!
!AP7/RPG7=0.0
!
!AP7/URG8=0.0
!
!AP7/UR19=0.0
!
!AP7/URG9=0.0
!
!AP7/AP7=-K365
 PJAC(:,67,67)=-TPK%K365(:)
!
!AP7/URG10=0.0
!
!AP7/RPR1=0.0
!
!AP7/RPR5=0.0
!
!AP7/RPR8=0.0
!
!AP7/RP10=0.0
!
!AP7/RP11=0.0
!
!AP7/RP16=0.0
!
!AP7/RPRL=0.0
!
!AP7/APAN=0.0
!
!AP7/PAN1=0.0
!
!AP7/PAN2=0.0
!
!AP7/PAN3=0.0
!
!AP7/PAN4=0.0
!
!AP7/PAN6=0.0
!
!AP7/PAN7=0.0
!
!AP7/PAN8=0.0
!
!AP7/PN10=0.0
!
!AP7/RO2T=0.0
!
!AP7/RO21=0.0
!
!AP7/RO25=0.0
!
!AP7/WC_O3=0.0
!
!AP7/WC_H2O2=0.0
!
!AP7/WC_NO=0.0
!
!AP7/WC_NO2=0.0
!
!AP7/WC_NO3=0.0
!
!AP7/WC_N2O5=0.0
!
!AP7/WC_HONO=0.0
!
!AP7/WC_HNO3=0.0
!
!AP7/WC_HNO4=0.0
!
!AP7/WC_NH3=0.0
!
!AP7/WC_OH=0.0
!
!AP7/WC_HO2=0.0
!
!AP7/WC_CO2=0.0
!
!AP7/WC_SO2=0.0
!
!AP7/WC_H2SO4=0.0
!
!AP7/WC_RO21=0.0
!
!AP7/WC_RO25=0.0
!
!AP7/WC_MEOH=0.0
!
!AP7/WC_ETOH=0.0
!
!AP7/WC_ALCH=0.0
!
!AP7/WC_HCHO=0.0
!
!AP7/WC_ALD2=0.0
!
!AP7/WC_GLY=0.0
!
!AP7/WC_MGLY=0.0
!
!AP7/WC_KETL=0.0
!
!AP7/WC_ORA1=0.0
!
!AP7/WC_ORA2=0.0
!
!AP7/WC_ACID=0.0
!
!AP7/WC_RP16=0.0
!
!AP7/WC_UR21=0.0
!
!AP7/WC_UR28=0.0
!
!AP7/WC_ACID2=0.0
!
!AP7/WC_ASO3=0.0
!
!AP7/WC_ASO4=0.0
!
!AP7/WC_ASO5=0.0
!
!AP7/WC_AHSO5=0.0
!
!AP7/WC_AHMS=0.0
!
!AP7/WR_O3=0.0
!
!AP7/WR_H2O2=0.0
!
!AP7/WR_NO=0.0
!
!AP7/WR_NO2=0.0
!
!AP7/WR_NO3=0.0
!
!AP7/WR_N2O5=0.0
!
!AP7/WR_HONO=0.0
!
!AP7/WR_HNO3=0.0
!
!AP7/WR_HNO4=0.0
!
!AP7/WR_NH3=0.0
!
!AP7/WR_OH=0.0
!
!AP7/WR_HO2=0.0
!
!AP7/WR_CO2=0.0
!
!AP7/WR_SO2=0.0
!
!AP7/WR_H2SO4=0.0
!
!AP7/WR_RO21=0.0
!
!AP7/WR_RO25=0.0
!
!AP7/WR_MEOH=0.0
!
!AP7/WR_ETOH=0.0
!
!AP7/WR_ALCH=0.0
!
!AP7/WR_HCHO=0.0
!
!AP7/WR_ALD2=0.0
!
!AP7/WR_GLY=0.0
!
!AP7/WR_MGLY=0.0
!
!AP7/WR_KETL=0.0
!
!AP7/WR_ORA1=0.0
!
!AP7/WR_ORA2=0.0
!
!AP7/WR_ACID=0.0
!
!AP7/WR_RP16=0.0
!
!AP7/WR_UR21=0.0
!
!AP7/WR_UR28=0.0
!
!AP7/WR_ACID2=0.0
!
!AP7/WR_ASO3=0.0
!
!AP7/WR_ASO4=0.0
!
!AP7/WR_ASO5=0.0
!
!AP7/WR_AHSO5=0.0
!
!AP7/WR_AHMS=0.0
!
!URG10/NO=+TPK%CF27*K207*<RO227>
 PJAC(:,68,1)=+TPK%CF27*TPK%K207(:)*TPK%RO227(:)
!
!URG10/NO2=0.0
!
!URG10/O3=0.0
!
!URG10/HONO=0.0
!
!URG10/HNO3=0.0
!
!URG10/HNO4=0.0
!
!URG10/N2O5=0.0
!
!URG10/NO3=0.0
!
!URG10/NH3=0.0
!
!URG10/HO2=0.0
!
!URG10/CO=0.0
!
!URG10/H2O2=0.0
!
!URG10/SO2=0.0
!
!URG10/H2SO4=0.0
!
!URG10/OH=0.0
!
!URG10/ETHE=0.0
!
!URG10/OLEL=0.0
!
!URG10/OLEH=0.0
!
!URG10/ALKL=0.0
!
!URG10/ALKM=0.0
!
!URG10/ALKH=0.0
!
!URG10/AROH=0.0
!
!URG10/AROL=0.0
!
!URG10/AROO=0.0
!
!URG10/ARAL=0.0
!
!URG10/ARAC=0.0
!
!URG10/PAH=0.0
!
!URG10/HCHO=0.0
!
!URG10/ALD2=0.0
!
!URG10/KETL=0.0
!
!URG10/KETH=0.0
!
!URG10/MEOH=0.0
!
!URG10/ETOH=0.0
!
!URG10/ALCH=0.0
!
!URG10/ISOP=0.0
!
!URG10/BIOL=+0.2500000*K087*<O>+0.7500000*K087*<O>
 PJAC(:,68,36)=+0.2500000*TPK%K087(:)*TPK%O(:)+0.7500000*TPK%K087(:)*TPK%O(:)
!
!URG10/BIOH=0.0
!
!URG10/MTBE=0.0
!
!URG10/MVK=0.0
!
!URG10/MCR=0.0
!
!URG10/MGLY=0.0
!
!URG10/GLY=0.0
!
!URG10/ORA1=0.0
!
!URG10/ORA2=0.0
!
!URG10/ACID=0.0
!
!URG10/UR28=0.0
!
!URG10/UR21=0.0
!
!URG10/URG2=0.0
!
!URG10/UR26=0.0
!
!URG10/RPG2=0.0
!
!URG10/RP18=0.0
!
!URG10/RPG3=0.0
!
!URG10/URG4=0.0
!
!URG10/UR8=0.0
!
!URG10/UR17=0.0
!
!URG10/UR7=0.0
!
!URG10/RPR3=0.0
!
!URG10/URG6=0.0
!
!URG10/UR22=0.0
!
!URG10/URG7=0.0
!
!URG10/RPR4=0.0
!
!URG10/RPR7=0.0
!
!URG10/RPG7=0.0
!
!URG10/URG8=0.0
!
!URG10/UR19=0.0
!
!URG10/URG9=0.0
!
!URG10/AP7=0.0
!
!URG10/URG10=-K356
 PJAC(:,68,68)=-TPK%K356(:)
!
!URG10/RPR1=0.0
!
!URG10/RPR5=0.0
!
!URG10/RPR8=0.0
!
!URG10/RP10=0.0
!
!URG10/RP11=0.0
!
!URG10/RP16=0.0
!
!URG10/RPRL=0.0
!
!URG10/APAN=0.0
!
!URG10/PAN1=0.0
!
!URG10/PAN2=0.0
!
!URG10/PAN3=0.0
!
!URG10/PAN4=0.0
!
!URG10/PAN6=0.0
!
!URG10/PAN7=0.0
!
!URG10/PAN8=0.0
!
!URG10/PN10=0.0
!
!URG10/RO2T=0.0
!
!URG10/RO21=0.0
!
!URG10/RO25=0.0
!
!URG10/WC_O3=0.0
!
!URG10/WC_H2O2=0.0
!
!URG10/WC_NO=0.0
!
!URG10/WC_NO2=0.0
!
!URG10/WC_NO3=0.0
!
!URG10/WC_N2O5=0.0
!
!URG10/WC_HONO=0.0
!
!URG10/WC_HNO3=0.0
!
!URG10/WC_HNO4=0.0
!
!URG10/WC_NH3=0.0
!
!URG10/WC_OH=0.0
!
!URG10/WC_HO2=0.0
!
!URG10/WC_CO2=0.0
!
!URG10/WC_SO2=0.0
!
!URG10/WC_H2SO4=0.0
!
!URG10/WC_RO21=0.0
!
!URG10/WC_RO25=0.0
!
!URG10/WC_MEOH=0.0
!
!URG10/WC_ETOH=0.0
!
!URG10/WC_ALCH=0.0
!
!URG10/WC_HCHO=0.0
!
!URG10/WC_ALD2=0.0
!
!URG10/WC_GLY=0.0
!
!URG10/WC_MGLY=0.0
!
!URG10/WC_KETL=0.0
!
!URG10/WC_ORA1=0.0
!
!URG10/WC_ORA2=0.0
!
!URG10/WC_ACID=0.0
!
!URG10/WC_RP16=0.0
!
!URG10/WC_UR21=0.0
!
!URG10/WC_UR28=0.0
!
!URG10/WC_ACID2=0.0
!
!URG10/WC_ASO3=0.0
!
!URG10/WC_ASO4=0.0
!
!URG10/WC_ASO5=0.0
!
!URG10/WC_AHSO5=0.0
!
!URG10/WC_AHMS=0.0
!
!URG10/WR_O3=0.0
!
!URG10/WR_H2O2=0.0
!
!URG10/WR_NO=0.0
!
!URG10/WR_NO2=0.0
!
!URG10/WR_NO3=0.0
!
!URG10/WR_N2O5=0.0
!
!URG10/WR_HONO=0.0
!
!URG10/WR_HNO3=0.0
!
!URG10/WR_HNO4=0.0
!
!URG10/WR_NH3=0.0
!
!URG10/WR_OH=0.0
!
!URG10/WR_HO2=0.0
!
!URG10/WR_CO2=0.0
!
!URG10/WR_SO2=0.0
!
!URG10/WR_H2SO4=0.0
!
!URG10/WR_RO21=0.0
!
!URG10/WR_RO25=0.0
!
!URG10/WR_MEOH=0.0
!
!URG10/WR_ETOH=0.0
!
!URG10/WR_ALCH=0.0
!
!URG10/WR_HCHO=0.0
!
!URG10/WR_ALD2=0.0
!
!URG10/WR_GLY=0.0
!
!URG10/WR_MGLY=0.0
!
!URG10/WR_KETL=0.0
!
!URG10/WR_ORA1=0.0
!
!URG10/WR_ORA2=0.0
!
!URG10/WR_ACID=0.0
!
!URG10/WR_RP16=0.0
!
!URG10/WR_UR21=0.0
!
!URG10/WR_UR28=0.0
!
!URG10/WR_ACID2=0.0
!
!URG10/WR_ASO3=0.0
!
!URG10/WR_ASO4=0.0
!
!URG10/WR_ASO5=0.0
!
!URG10/WR_AHSO5=0.0
!
!URG10/WR_AHMS=0.0
!
!RPR1/NO=+K183*<RO219>
 PJAC(:,69,1)=+TPK%K183(:)*TPK%RO219(:)
!
!RPR1/NO2=0.0
!
!RPR1/O3=+0.5*K076*<OLEH>
 PJAC(:,69,3)=+0.5*TPK%K076(:)*PCONC(:,18)
!
!RPR1/HONO=0.0
!
!RPR1/HNO3=0.0
!
!RPR1/HNO4=0.0
!
!RPR1/N2O5=0.0
!
!RPR1/NO3=-K307*<RPR1>
 PJAC(:,69,8)=-TPK%K307(:)*PCONC(:,69)
!
!RPR1/NH3=0.0
!
!RPR1/HO2=+K185*<RO219>
 PJAC(:,69,10)=+TPK%K185(:)*TPK%RO219(:)
!
!RPR1/CO=0.0
!
!RPR1/H2O2=0.0
!
!RPR1/SO2=0.0
!
!RPR1/H2SO4=0.0
!
!RPR1/OH=-K304*<RPR1>
 PJAC(:,69,15)=-TPK%K304(:)*PCONC(:,69)
!
!RPR1/ETHE=0.0
!
!RPR1/OLEL=0.0
!
!RPR1/OLEH=+0.5*K076*<O3>+0.4*K077*<O>
 PJAC(:,69,18)=+0.5*TPK%K076(:)*PCONC(:,3)+0.4*TPK%K077(:)*TPK%O(:)
!
!RPR1/ALKL=0.0
!
!RPR1/ALKM=0.0
!
!RPR1/ALKH=0.0
!
!RPR1/AROH=0.0
!
!RPR1/AROL=0.0
!
!RPR1/AROO=0.0
!
!RPR1/ARAL=0.0
!
!RPR1/ARAC=0.0
!
!RPR1/PAH=0.0
!
!RPR1/HCHO=0.0
!
!RPR1/ALD2=0.0
!
!RPR1/KETL=0.0
!
!RPR1/KETH=0.0
!
!RPR1/MEOH=0.0
!
!RPR1/ETOH=0.0
!
!RPR1/ALCH=0.0
!
!RPR1/ISOP=0.0
!
!RPR1/BIOL=0.0
!
!RPR1/BIOH=0.0
!
!RPR1/MTBE=0.0
!
!RPR1/MVK=0.0
!
!RPR1/MCR=0.0
!
!RPR1/MGLY=0.0
!
!RPR1/GLY=0.0
!
!RPR1/ORA1=0.0
!
!RPR1/ORA2=0.0
!
!RPR1/ACID=0.0
!
!RPR1/UR28=0.0
!
!RPR1/UR21=0.0
!
!RPR1/URG2=0.0
!
!RPR1/UR26=0.0
!
!RPR1/RPG2=0.0
!
!RPR1/RP18=0.0
!
!RPR1/RPG3=0.0
!
!RPR1/URG4=0.0
!
!RPR1/UR8=0.0
!
!RPR1/UR17=0.0
!
!RPR1/UR7=0.0
!
!RPR1/RPR3=0.0
!
!RPR1/URG6=0.0
!
!RPR1/UR22=0.0
!
!RPR1/URG7=0.0
!
!RPR1/RPR4=0.0
!
!RPR1/RPR7=0.0
!
!RPR1/RPG7=0.0
!
!RPR1/URG8=0.0
!
!RPR1/UR19=0.0
!
!RPR1/URG9=0.0
!
!RPR1/AP7=0.0
!
!RPR1/URG10=0.0
!
!RPR1/RPR1=-K304*<OH>-K307*<NO3>-K308
 PJAC(:,69,69)=-TPK%K304(:)*PCONC(:,15)-TPK%K307(:)*PCONC(:,8)-TPK%K308(:)
!
!RPR1/RPR5=0.0
!
!RPR1/RPR8=0.0
!
!RPR1/RP10=0.0
!
!RPR1/RP11=0.0
!
!RPR1/RP16=0.0
!
!RPR1/RPRL=0.0
!
!RPR1/APAN=0.0
!
!RPR1/PAN1=0.0
!
!RPR1/PAN2=0.0
!
!RPR1/PAN3=0.0
!
!RPR1/PAN4=0.0
!
!RPR1/PAN6=0.0
!
!RPR1/PAN7=0.0
!
!RPR1/PAN8=0.0
!
!RPR1/PN10=0.0
!
!RPR1/RO2T=+K184*<RO219>
 PJAC(:,69,85)=+TPK%K184(:)*TPK%RO219(:)
!
!RPR1/RO21=0.0
!
!RPR1/RO25=0.0
!
!RPR1/WC_O3=0.0
!
!RPR1/WC_H2O2=0.0
!
!RPR1/WC_NO=0.0
!
!RPR1/WC_NO2=0.0
!
!RPR1/WC_NO3=0.0
!
!RPR1/WC_N2O5=0.0
!
!RPR1/WC_HONO=0.0
!
!RPR1/WC_HNO3=0.0
!
!RPR1/WC_HNO4=0.0
!
!RPR1/WC_NH3=0.0
!
!RPR1/WC_OH=0.0
!
!RPR1/WC_HO2=0.0
!
!RPR1/WC_CO2=0.0
!
!RPR1/WC_SO2=0.0
!
!RPR1/WC_H2SO4=0.0
!
!RPR1/WC_RO21=0.0
!
!RPR1/WC_RO25=0.0
!
!RPR1/WC_MEOH=0.0
!
!RPR1/WC_ETOH=0.0
!
!RPR1/WC_ALCH=0.0
!
!RPR1/WC_HCHO=0.0
!
!RPR1/WC_ALD2=0.0
!
!RPR1/WC_GLY=0.0
!
!RPR1/WC_MGLY=0.0
!
!RPR1/WC_KETL=0.0
!
!RPR1/WC_ORA1=0.0
!
!RPR1/WC_ORA2=0.0
!
!RPR1/WC_ACID=0.0
!
!RPR1/WC_RP16=0.0
!
!RPR1/WC_UR21=0.0
!
!RPR1/WC_UR28=0.0
!
!RPR1/WC_ACID2=0.0
!
!RPR1/WC_ASO3=0.0
!
!RPR1/WC_ASO4=0.0
!
!RPR1/WC_ASO5=0.0
!
!RPR1/WC_AHSO5=0.0
!
!RPR1/WC_AHMS=0.0
!
!RPR1/WR_O3=0.0
!
!RPR1/WR_H2O2=0.0
!
!RPR1/WR_NO=0.0
!
!RPR1/WR_NO2=0.0
!
!RPR1/WR_NO3=0.0
!
!RPR1/WR_N2O5=0.0
!
!RPR1/WR_HONO=0.0
!
!RPR1/WR_HNO3=0.0
!
!RPR1/WR_HNO4=0.0
!
!RPR1/WR_NH3=0.0
!
!RPR1/WR_OH=0.0
!
!RPR1/WR_HO2=0.0
!
!RPR1/WR_CO2=0.0
!
!RPR1/WR_SO2=0.0
!
!RPR1/WR_H2SO4=0.0
!
!RPR1/WR_RO21=0.0
!
!RPR1/WR_RO25=0.0
!
!RPR1/WR_MEOH=0.0
!
!RPR1/WR_ETOH=0.0
!
!RPR1/WR_ALCH=0.0
!
!RPR1/WR_HCHO=0.0
!
!RPR1/WR_ALD2=0.0
!
!RPR1/WR_GLY=0.0
!
!RPR1/WR_MGLY=0.0
!
!RPR1/WR_KETL=0.0
!
!RPR1/WR_ORA1=0.0
!
!RPR1/WR_ORA2=0.0
!
!RPR1/WR_ACID=0.0
!
!RPR1/WR_RP16=0.0
!
!RPR1/WR_UR21=0.0
!
!RPR1/WR_UR28=0.0
!
!RPR1/WR_ACID2=0.0
!
!RPR1/WR_ASO3=0.0
!
!RPR1/WR_ASO4=0.0
!
!RPR1/WR_ASO5=0.0
!
!RPR1/WR_AHSO5=0.0
!
!RPR1/WR_AHMS=0.0
!
!RPR5/NO=0.0
!
!RPR5/NO2=+K107*<RAD5>
 PJAC(:,70,2)=+TPK%K107(:)*TPK%RAD5(:)
!
!RPR5/O3=0.0
!
!RPR5/HONO=0.0
!
!RPR5/HNO3=0.0
!
!RPR5/HNO4=0.0
!
!RPR5/N2O5=0.0
!
!RPR5/NO3=0.0
!
!RPR5/NH3=0.0
!
!RPR5/HO2=0.0
!
!RPR5/CO=0.0
!
!RPR5/H2O2=0.0
!
!RPR5/SO2=0.0
!
!RPR5/H2SO4=0.0
!
!RPR5/OH=-K303*<RPR5>
 PJAC(:,70,15)=-TPK%K303(:)*PCONC(:,70)
!
!RPR5/ETHE=0.0
!
!RPR5/OLEL=0.0
!
!RPR5/OLEH=0.0
!
!RPR5/ALKL=0.0
!
!RPR5/ALKM=0.0
!
!RPR5/ALKH=0.0
!
!RPR5/AROH=0.0
!
!RPR5/AROL=0.0
!
!RPR5/AROO=0.0
!
!RPR5/ARAL=0.0
!
!RPR5/ARAC=0.0
!
!RPR5/PAH=0.0
!
!RPR5/HCHO=0.0
!
!RPR5/ALD2=0.0
!
!RPR5/KETL=0.0
!
!RPR5/KETH=0.0
!
!RPR5/MEOH=0.0
!
!RPR5/ETOH=0.0
!
!RPR5/ALCH=0.0
!
!RPR5/ISOP=0.0
!
!RPR5/BIOL=0.0
!
!RPR5/BIOH=0.0
!
!RPR5/MTBE=0.0
!
!RPR5/MVK=0.0
!
!RPR5/MCR=0.0
!
!RPR5/MGLY=0.0
!
!RPR5/GLY=0.0
!
!RPR5/ORA1=0.0
!
!RPR5/ORA2=0.0
!
!RPR5/ACID=0.0
!
!RPR5/UR28=0.0
!
!RPR5/UR21=0.0
!
!RPR5/URG2=0.0
!
!RPR5/UR26=0.0
!
!RPR5/RPG2=0.0
!
!RPR5/RP18=0.0
!
!RPR5/RPG3=0.0
!
!RPR5/URG4=0.0
!
!RPR5/UR8=0.0
!
!RPR5/UR17=0.0
!
!RPR5/UR7=0.0
!
!RPR5/RPR3=0.0
!
!RPR5/URG6=0.0
!
!RPR5/UR22=0.0
!
!RPR5/URG7=0.0
!
!RPR5/RPR4=0.0
!
!RPR5/RPR7=0.0
!
!RPR5/RPG7=0.0
!
!RPR5/URG8=0.0
!
!RPR5/UR19=0.0
!
!RPR5/URG9=0.0
!
!RPR5/AP7=0.0
!
!RPR5/URG10=0.0
!
!RPR5/RPR1=0.0
!
!RPR5/RPR5=-K303*<OH>
 PJAC(:,70,70)=-TPK%K303(:)*PCONC(:,15)
!
!RPR5/RPR8=0.0
!
!RPR5/RP10=0.0
!
!RPR5/RP11=0.0
!
!RPR5/RP16=0.0
!
!RPR5/RPRL=0.0
!
!RPR5/APAN=0.0
!
!RPR5/PAN1=0.0
!
!RPR5/PAN2=0.0
!
!RPR5/PAN3=0.0
!
!RPR5/PAN4=0.0
!
!RPR5/PAN6=0.0
!
!RPR5/PAN7=0.0
!
!RPR5/PAN8=0.0
!
!RPR5/PN10=0.0
!
!RPR5/RO2T=0.0
!
!RPR5/RO21=0.0
!
!RPR5/RO25=0.0
!
!RPR5/WC_O3=0.0
!
!RPR5/WC_H2O2=0.0
!
!RPR5/WC_NO=0.0
!
!RPR5/WC_NO2=0.0
!
!RPR5/WC_NO3=0.0
!
!RPR5/WC_N2O5=0.0
!
!RPR5/WC_HONO=0.0
!
!RPR5/WC_HNO3=0.0
!
!RPR5/WC_HNO4=0.0
!
!RPR5/WC_NH3=0.0
!
!RPR5/WC_OH=0.0
!
!RPR5/WC_HO2=0.0
!
!RPR5/WC_CO2=0.0
!
!RPR5/WC_SO2=0.0
!
!RPR5/WC_H2SO4=0.0
!
!RPR5/WC_RO21=0.0
!
!RPR5/WC_RO25=0.0
!
!RPR5/WC_MEOH=0.0
!
!RPR5/WC_ETOH=0.0
!
!RPR5/WC_ALCH=0.0
!
!RPR5/WC_HCHO=0.0
!
!RPR5/WC_ALD2=0.0
!
!RPR5/WC_GLY=0.0
!
!RPR5/WC_MGLY=0.0
!
!RPR5/WC_KETL=0.0
!
!RPR5/WC_ORA1=0.0
!
!RPR5/WC_ORA2=0.0
!
!RPR5/WC_ACID=0.0
!
!RPR5/WC_RP16=0.0
!
!RPR5/WC_UR21=0.0
!
!RPR5/WC_UR28=0.0
!
!RPR5/WC_ACID2=0.0
!
!RPR5/WC_ASO3=0.0
!
!RPR5/WC_ASO4=0.0
!
!RPR5/WC_ASO5=0.0
!
!RPR5/WC_AHSO5=0.0
!
!RPR5/WC_AHMS=0.0
!
!RPR5/WR_O3=0.0
!
!RPR5/WR_H2O2=0.0
!
!RPR5/WR_NO=0.0
!
!RPR5/WR_NO2=0.0
!
!RPR5/WR_NO3=0.0
!
!RPR5/WR_N2O5=0.0
!
!RPR5/WR_HONO=0.0
!
!RPR5/WR_HNO3=0.0
!
!RPR5/WR_HNO4=0.0
!
!RPR5/WR_NH3=0.0
!
!RPR5/WR_OH=0.0
!
!RPR5/WR_HO2=0.0
!
!RPR5/WR_CO2=0.0
!
!RPR5/WR_SO2=0.0
!
!RPR5/WR_H2SO4=0.0
!
!RPR5/WR_RO21=0.0
!
!RPR5/WR_RO25=0.0
!
!RPR5/WR_MEOH=0.0
!
!RPR5/WR_ETOH=0.0
!
!RPR5/WR_ALCH=0.0
!
!RPR5/WR_HCHO=0.0
!
!RPR5/WR_ALD2=0.0
!
!RPR5/WR_GLY=0.0
!
!RPR5/WR_MGLY=0.0
!
!RPR5/WR_KETL=0.0
!
!RPR5/WR_ORA1=0.0
!
!RPR5/WR_ORA2=0.0
!
!RPR5/WR_ACID=0.0
!
!RPR5/WR_RP16=0.0
!
!RPR5/WR_UR21=0.0
!
!RPR5/WR_UR28=0.0
!
!RPR5/WR_ACID2=0.0
!
!RPR5/WR_ASO3=0.0
!
!RPR5/WR_ASO4=0.0
!
!RPR5/WR_ASO5=0.0
!
!RPR5/WR_AHSO5=0.0
!
!RPR5/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ13
!
SUBROUTINE SUBJ14
!
!Indices 71 a 75
!
!
!RPR8/NO=+K216*<RO240>
 PJAC(:,71,1)=+TPK%K216(:)*TPK%RO240(:)
!
!RPR8/NO2=0.0
!
!RPR8/O3=0.0
!
!RPR8/HONO=0.0
!
!RPR8/HNO3=0.0
!
!RPR8/HNO4=0.0
!
!RPR8/N2O5=0.0
!
!RPR8/NO3=-K327*<RPR8>
 PJAC(:,71,8)=-TPK%K327(:)*PCONC(:,71)
!
!RPR8/NH3=0.0
!
!RPR8/HO2=+K218*<RO240>
 PJAC(:,71,10)=+TPK%K218(:)*TPK%RO240(:)
!
!RPR8/CO=0.0
!
!RPR8/H2O2=0.0
!
!RPR8/SO2=0.0
!
!RPR8/H2SO4=0.0
!
!RPR8/OH=-K324*<RPR8>
 PJAC(:,71,15)=-TPK%K324(:)*PCONC(:,71)
!
!RPR8/ETHE=0.0
!
!RPR8/OLEL=0.0
!
!RPR8/OLEH=0.0
!
!RPR8/ALKL=0.0
!
!RPR8/ALKM=0.0
!
!RPR8/ALKH=0.0
!
!RPR8/AROH=0.0
!
!RPR8/AROL=0.0
!
!RPR8/AROO=0.0
!
!RPR8/ARAL=0.0
!
!RPR8/ARAC=0.0
!
!RPR8/PAH=0.0
!
!RPR8/HCHO=0.0
!
!RPR8/ALD2=0.0
!
!RPR8/KETL=0.0
!
!RPR8/KETH=0.0
!
!RPR8/MEOH=0.0
!
!RPR8/ETOH=0.0
!
!RPR8/ALCH=0.0
!
!RPR8/ISOP=0.0
!
!RPR8/BIOL=0.0
!
!RPR8/BIOH=0.0
!
!RPR8/MTBE=0.0
!
!RPR8/MVK=0.0
!
!RPR8/MCR=0.0
!
!RPR8/MGLY=0.0
!
!RPR8/GLY=0.0
!
!RPR8/ORA1=0.0
!
!RPR8/ORA2=0.0
!
!RPR8/ACID=0.0
!
!RPR8/UR28=0.0
!
!RPR8/UR21=0.0
!
!RPR8/URG2=0.0
!
!RPR8/UR26=0.0
!
!RPR8/RPG2=0.0
!
!RPR8/RP18=0.0
!
!RPR8/RPG3=0.0
!
!RPR8/URG4=0.0
!
!RPR8/UR8=0.0
!
!RPR8/UR17=0.0
!
!RPR8/UR7=0.0
!
!RPR8/RPR3=0.0
!
!RPR8/URG6=0.0
!
!RPR8/UR22=0.0
!
!RPR8/URG7=0.0
!
!RPR8/RPR4=0.0
!
!RPR8/RPR7=0.0
!
!RPR8/RPG7=0.0
!
!RPR8/URG8=0.0
!
!RPR8/UR19=0.0
!
!RPR8/URG9=0.0
!
!RPR8/AP7=0.0
!
!RPR8/URG10=0.0
!
!RPR8/RPR1=0.0
!
!RPR8/RPR5=0.0
!
!RPR8/RPR8=-K324*<OH>-K327*<NO3>-K329-K330
 PJAC(:,71,71)=-TPK%K324(:)*PCONC(:,15)-TPK%K327(:)*PCONC(:,8)-TPK%K329(:)-TPK%&
&K330(:)
!
!RPR8/RP10=0.0
!
!RPR8/RP11=0.0
!
!RPR8/RP16=0.0
!
!RPR8/RPRL=0.0
!
!RPR8/APAN=0.0
!
!RPR8/PAN1=0.0
!
!RPR8/PAN2=0.0
!
!RPR8/PAN3=0.0
!
!RPR8/PAN4=0.0
!
!RPR8/PAN6=0.0
!
!RPR8/PAN7=0.0
!
!RPR8/PAN8=0.0
!
!RPR8/PN10=0.0
!
!RPR8/RO2T=+K217*<RO240>
 PJAC(:,71,85)=+TPK%K217(:)*TPK%RO240(:)
!
!RPR8/RO21=0.0
!
!RPR8/RO25=0.0
!
!RPR8/WC_O3=0.0
!
!RPR8/WC_H2O2=0.0
!
!RPR8/WC_NO=0.0
!
!RPR8/WC_NO2=0.0
!
!RPR8/WC_NO3=0.0
!
!RPR8/WC_N2O5=0.0
!
!RPR8/WC_HONO=0.0
!
!RPR8/WC_HNO3=0.0
!
!RPR8/WC_HNO4=0.0
!
!RPR8/WC_NH3=0.0
!
!RPR8/WC_OH=0.0
!
!RPR8/WC_HO2=0.0
!
!RPR8/WC_CO2=0.0
!
!RPR8/WC_SO2=0.0
!
!RPR8/WC_H2SO4=0.0
!
!RPR8/WC_RO21=0.0
!
!RPR8/WC_RO25=0.0
!
!RPR8/WC_MEOH=0.0
!
!RPR8/WC_ETOH=0.0
!
!RPR8/WC_ALCH=0.0
!
!RPR8/WC_HCHO=0.0
!
!RPR8/WC_ALD2=0.0
!
!RPR8/WC_GLY=0.0
!
!RPR8/WC_MGLY=0.0
!
!RPR8/WC_KETL=0.0
!
!RPR8/WC_ORA1=0.0
!
!RPR8/WC_ORA2=0.0
!
!RPR8/WC_ACID=0.0
!
!RPR8/WC_RP16=0.0
!
!RPR8/WC_UR21=0.0
!
!RPR8/WC_UR28=0.0
!
!RPR8/WC_ACID2=0.0
!
!RPR8/WC_ASO3=0.0
!
!RPR8/WC_ASO4=0.0
!
!RPR8/WC_ASO5=0.0
!
!RPR8/WC_AHSO5=0.0
!
!RPR8/WC_AHMS=0.0
!
!RPR8/WR_O3=0.0
!
!RPR8/WR_H2O2=0.0
!
!RPR8/WR_NO=0.0
!
!RPR8/WR_NO2=0.0
!
!RPR8/WR_NO3=0.0
!
!RPR8/WR_N2O5=0.0
!
!RPR8/WR_HONO=0.0
!
!RPR8/WR_HNO3=0.0
!
!RPR8/WR_HNO4=0.0
!
!RPR8/WR_NH3=0.0
!
!RPR8/WR_OH=0.0
!
!RPR8/WR_HO2=0.0
!
!RPR8/WR_CO2=0.0
!
!RPR8/WR_SO2=0.0
!
!RPR8/WR_H2SO4=0.0
!
!RPR8/WR_RO21=0.0
!
!RPR8/WR_RO25=0.0
!
!RPR8/WR_MEOH=0.0
!
!RPR8/WR_ETOH=0.0
!
!RPR8/WR_ALCH=0.0
!
!RPR8/WR_HCHO=0.0
!
!RPR8/WR_ALD2=0.0
!
!RPR8/WR_GLY=0.0
!
!RPR8/WR_MGLY=0.0
!
!RPR8/WR_KETL=0.0
!
!RPR8/WR_ORA1=0.0
!
!RPR8/WR_ORA2=0.0
!
!RPR8/WR_ACID=0.0
!
!RPR8/WR_RP16=0.0
!
!RPR8/WR_UR21=0.0
!
!RPR8/WR_UR28=0.0
!
!RPR8/WR_ACID2=0.0
!
!RPR8/WR_ASO3=0.0
!
!RPR8/WR_ASO4=0.0
!
!RPR8/WR_ASO5=0.0
!
!RPR8/WR_AHSO5=0.0
!
!RPR8/WR_AHMS=0.0
!
!RP10/NO=+K234*<RO242>+K241*<RO243>+K248*<RO244>+K255*<RO245>+K262*<RO246>
 PJAC(:,72,1)=+TPK%K234(:)*TPK%RO242(:)+TPK%K241(:)*TPK%RO243(:)+TPK%K248(:)*TP&
&K%RO244(:)+TPK%K255(:)*TPK%RO245(:)+TPK%K262(:)*TPK%RO246(:)
!
!RP10/NO2=0.0
!
!RP10/O3=0.0
!
!RP10/HONO=0.0
!
!RP10/HNO3=0.0
!
!RP10/HNO4=0.0
!
!RP10/N2O5=0.0
!
!RP10/NO3=0.0
!
!RP10/NH3=0.0
!
!RP10/HO2=+K236*<RO242>+K243*<RO243>+K250*<RO244>+K257*<RO245>+K264*<RO246>
 PJAC(:,72,10)=+TPK%K236(:)*TPK%RO242(:)+TPK%K243(:)*TPK%RO243(:)+TPK%K250(:)*T&
&PK%RO244(:)+TPK%K257(:)*TPK%RO245(:)+TPK%K264(:)*TPK%RO246(:)
!
!RP10/CO=0.0
!
!RP10/H2O2=0.0
!
!RP10/SO2=0.0
!
!RP10/H2SO4=0.0
!
!RP10/OH=-K325*<RP10>
 PJAC(:,72,15)=-TPK%K325(:)*PCONC(:,72)
!
!RP10/ETHE=0.0
!
!RP10/OLEL=0.0
!
!RP10/OLEH=0.0
!
!RP10/ALKL=0.0
!
!RP10/ALKM=0.0
!
!RP10/ALKH=0.0
!
!RP10/AROH=0.0
!
!RP10/AROL=0.0
!
!RP10/AROO=0.0
!
!RP10/ARAL=0.0
!
!RP10/ARAC=0.0
!
!RP10/PAH=0.0
!
!RP10/HCHO=0.0
!
!RP10/ALD2=0.0
!
!RP10/KETL=0.0
!
!RP10/KETH=0.0
!
!RP10/MEOH=0.0
!
!RP10/ETOH=0.0
!
!RP10/ALCH=0.0
!
!RP10/ISOP=0.0
!
!RP10/BIOL=0.0
!
!RP10/BIOH=0.0
!
!RP10/MTBE=0.0
!
!RP10/MVK=0.0
!
!RP10/MCR=0.0
!
!RP10/MGLY=0.0
!
!RP10/GLY=0.0
!
!RP10/ORA1=0.0
!
!RP10/ORA2=0.0
!
!RP10/ACID=0.0
!
!RP10/UR28=0.0
!
!RP10/UR21=0.0
!
!RP10/URG2=0.0
!
!RP10/UR26=0.0
!
!RP10/RPG2=0.0
!
!RP10/RP18=0.0
!
!RP10/RPG3=0.0
!
!RP10/URG4=0.0
!
!RP10/UR8=0.0
!
!RP10/UR17=0.0
!
!RP10/UR7=0.0
!
!RP10/RPR3=0.0
!
!RP10/URG6=0.0
!
!RP10/UR22=0.0
!
!RP10/URG7=0.0
!
!RP10/RPR4=0.0
!
!RP10/RPR7=0.0
!
!RP10/RPG7=0.0
!
!RP10/URG8=0.0
!
!RP10/UR19=0.0
!
!RP10/URG9=0.0
!
!RP10/AP7=0.0
!
!RP10/URG10=0.0
!
!RP10/RPR1=0.0
!
!RP10/RPR5=0.0
!
!RP10/RPR8=0.0
!
!RP10/RP10=-K325*<OH>-K328
 PJAC(:,72,72)=-TPK%K325(:)*PCONC(:,15)-TPK%K328(:)
!
!RP10/RP11=0.0
!
!RP10/RP16=0.0
!
!RP10/RPRL=0.0
!
!RP10/APAN=0.0
!
!RP10/PAN1=0.0
!
!RP10/PAN2=0.0
!
!RP10/PAN3=0.0
!
!RP10/PAN4=0.0
!
!RP10/PAN6=0.0
!
!RP10/PAN7=0.0
!
!RP10/PAN8=0.0
!
!RP10/PN10=0.0
!
!RP10/RO2T=+K235*<RO242>+K242*<RO243>+K249*<RO244>+K256*<RO245>+K263*<RO246>
 PJAC(:,72,85)=+TPK%K235(:)*TPK%RO242(:)+TPK%K242(:)*TPK%RO243(:)+TPK%K249(:)*T&
&PK%RO244(:)+TPK%K256(:)*TPK%RO245(:)+TPK%K263(:)*TPK%RO246(:)
!
!RP10/RO21=0.0
!
!RP10/RO25=0.0
!
!RP10/WC_O3=0.0
!
!RP10/WC_H2O2=0.0
!
!RP10/WC_NO=0.0
!
!RP10/WC_NO2=0.0
!
!RP10/WC_NO3=0.0
!
!RP10/WC_N2O5=0.0
!
!RP10/WC_HONO=0.0
!
!RP10/WC_HNO3=0.0
!
!RP10/WC_HNO4=0.0
!
!RP10/WC_NH3=0.0
!
!RP10/WC_OH=0.0
!
!RP10/WC_HO2=0.0
!
!RP10/WC_CO2=0.0
!
!RP10/WC_SO2=0.0
!
!RP10/WC_H2SO4=0.0
!
!RP10/WC_RO21=0.0
!
!RP10/WC_RO25=0.0
!
!RP10/WC_MEOH=0.0
!
!RP10/WC_ETOH=0.0
!
!RP10/WC_ALCH=0.0
!
!RP10/WC_HCHO=0.0
!
!RP10/WC_ALD2=0.0
!
!RP10/WC_GLY=0.0
!
!RP10/WC_MGLY=0.0
!
!RP10/WC_KETL=0.0
!
!RP10/WC_ORA1=0.0
!
!RP10/WC_ORA2=0.0
!
!RP10/WC_ACID=0.0
!
!RP10/WC_RP16=0.0
!
!RP10/WC_UR21=0.0
!
!RP10/WC_UR28=0.0
!
!RP10/WC_ACID2=0.0
!
!RP10/WC_ASO3=0.0
!
!RP10/WC_ASO4=0.0
!
!RP10/WC_ASO5=0.0
!
!RP10/WC_AHSO5=0.0
!
!RP10/WC_AHMS=0.0
!
!RP10/WR_O3=0.0
!
!RP10/WR_H2O2=0.0
!
!RP10/WR_NO=0.0
!
!RP10/WR_NO2=0.0
!
!RP10/WR_NO3=0.0
!
!RP10/WR_N2O5=0.0
!
!RP10/WR_HONO=0.0
!
!RP10/WR_HNO3=0.0
!
!RP10/WR_HNO4=0.0
!
!RP10/WR_NH3=0.0
!
!RP10/WR_OH=0.0
!
!RP10/WR_HO2=0.0
!
!RP10/WR_CO2=0.0
!
!RP10/WR_SO2=0.0
!
!RP10/WR_H2SO4=0.0
!
!RP10/WR_RO21=0.0
!
!RP10/WR_RO25=0.0
!
!RP10/WR_MEOH=0.0
!
!RP10/WR_ETOH=0.0
!
!RP10/WR_ALCH=0.0
!
!RP10/WR_HCHO=0.0
!
!RP10/WR_ALD2=0.0
!
!RP10/WR_GLY=0.0
!
!RP10/WR_MGLY=0.0
!
!RP10/WR_KETL=0.0
!
!RP10/WR_ORA1=0.0
!
!RP10/WR_ORA2=0.0
!
!RP10/WR_ACID=0.0
!
!RP10/WR_RP16=0.0
!
!RP10/WR_UR21=0.0
!
!RP10/WR_UR28=0.0
!
!RP10/WR_ACID2=0.0
!
!RP10/WR_ASO3=0.0
!
!RP10/WR_ASO4=0.0
!
!RP10/WR_ASO5=0.0
!
!RP10/WR_AHSO5=0.0
!
!RP10/WR_AHMS=0.0
!
!RP11/NO=+0.3*K238*<RO234>+0.5*K245*<RO235>
 PJAC(:,73,1)=+0.3*TPK%K238(:)*TPK%RO234(:)+0.5*TPK%K245(:)*TPK%RO235(:)
!
!RP11/NO2=0.0
!
!RP11/O3=0.0
!
!RP11/HONO=0.0
!
!RP11/HNO3=0.0
!
!RP11/HNO4=0.0
!
!RP11/N2O5=0.0
!
!RP11/NO3=0.0
!
!RP11/NH3=0.0
!
!RP11/HO2=+0.3*K240*<RO234>+K247*<RO235>
 PJAC(:,73,10)=+0.3*TPK%K240(:)*TPK%RO234(:)+TPK%K247(:)*TPK%RO235(:)
!
!RP11/CO=0.0
!
!RP11/H2O2=0.0
!
!RP11/SO2=0.0
!
!RP11/H2SO4=0.0
!
!RP11/OH=-K326*<RP11>
 PJAC(:,73,15)=-TPK%K326(:)*PCONC(:,73)
!
!RP11/ETHE=0.0
!
!RP11/OLEL=0.0
!
!RP11/OLEH=0.0
!
!RP11/ALKL=0.0
!
!RP11/ALKM=0.0
!
!RP11/ALKH=0.0
!
!RP11/AROH=0.0
!
!RP11/AROL=0.0
!
!RP11/AROO=0.0
!
!RP11/ARAL=0.0
!
!RP11/ARAC=0.0
!
!RP11/PAH=0.0
!
!RP11/HCHO=0.0
!
!RP11/ALD2=0.0
!
!RP11/KETL=0.0
!
!RP11/KETH=0.0
!
!RP11/MEOH=0.0
!
!RP11/ETOH=0.0
!
!RP11/ALCH=0.0
!
!RP11/ISOP=0.0
!
!RP11/BIOL=0.0
!
!RP11/BIOH=0.0
!
!RP11/MTBE=0.0
!
!RP11/MVK=0.0
!
!RP11/MCR=0.0
!
!RP11/MGLY=0.0
!
!RP11/GLY=0.0
!
!RP11/ORA1=0.0
!
!RP11/ORA2=0.0
!
!RP11/ACID=0.0
!
!RP11/UR28=0.0
!
!RP11/UR21=0.0
!
!RP11/URG2=0.0
!
!RP11/UR26=0.0
!
!RP11/RPG2=0.0
!
!RP11/RP18=0.0
!
!RP11/RPG3=0.0
!
!RP11/URG4=0.0
!
!RP11/UR8=0.0
!
!RP11/UR17=0.0
!
!RP11/UR7=0.0
!
!RP11/RPR3=0.0
!
!RP11/URG6=0.0
!
!RP11/UR22=0.0
!
!RP11/URG7=0.0
!
!RP11/RPR4=0.0
!
!RP11/RPR7=0.0
!
!RP11/RPG7=0.0
!
!RP11/URG8=0.0
!
!RP11/UR19=0.0
!
!RP11/URG9=0.0
!
!RP11/AP7=0.0
!
!RP11/URG10=0.0
!
!RP11/RPR1=0.0
!
!RP11/RPR5=0.0
!
!RP11/RPR8=0.0
!
!RP11/RP10=0.0
!
!RP11/RP11=-K326*<OH>
 PJAC(:,73,73)=-TPK%K326(:)*PCONC(:,15)
!
!RP11/RP16=0.0
!
!RP11/RPRL=0.0
!
!RP11/APAN=0.0
!
!RP11/PAN1=0.0
!
!RP11/PAN2=0.0
!
!RP11/PAN3=0.0
!
!RP11/PAN4=0.0
!
!RP11/PAN6=0.0
!
!RP11/PAN7=0.0
!
!RP11/PAN8=0.0
!
!RP11/PN10=0.0
!
!RP11/RO2T=+K239*<RO234>+K246*<RO235>
 PJAC(:,73,85)=+TPK%K239(:)*TPK%RO234(:)+TPK%K246(:)*TPK%RO235(:)
!
!RP11/RO21=0.0
!
!RP11/RO25=0.0
!
!RP11/WC_O3=0.0
!
!RP11/WC_H2O2=0.0
!
!RP11/WC_NO=0.0
!
!RP11/WC_NO2=0.0
!
!RP11/WC_NO3=0.0
!
!RP11/WC_N2O5=0.0
!
!RP11/WC_HONO=0.0
!
!RP11/WC_HNO3=0.0
!
!RP11/WC_HNO4=0.0
!
!RP11/WC_NH3=0.0
!
!RP11/WC_OH=0.0
!
!RP11/WC_HO2=0.0
!
!RP11/WC_CO2=0.0
!
!RP11/WC_SO2=0.0
!
!RP11/WC_H2SO4=0.0
!
!RP11/WC_RO21=0.0
!
!RP11/WC_RO25=0.0
!
!RP11/WC_MEOH=0.0
!
!RP11/WC_ETOH=0.0
!
!RP11/WC_ALCH=0.0
!
!RP11/WC_HCHO=0.0
!
!RP11/WC_ALD2=0.0
!
!RP11/WC_GLY=0.0
!
!RP11/WC_MGLY=0.0
!
!RP11/WC_KETL=0.0
!
!RP11/WC_ORA1=0.0
!
!RP11/WC_ORA2=0.0
!
!RP11/WC_ACID=0.0
!
!RP11/WC_RP16=0.0
!
!RP11/WC_UR21=0.0
!
!RP11/WC_UR28=0.0
!
!RP11/WC_ACID2=0.0
!
!RP11/WC_ASO3=0.0
!
!RP11/WC_ASO4=0.0
!
!RP11/WC_ASO5=0.0
!
!RP11/WC_AHSO5=0.0
!
!RP11/WC_AHMS=0.0
!
!RP11/WR_O3=0.0
!
!RP11/WR_H2O2=0.0
!
!RP11/WR_NO=0.0
!
!RP11/WR_NO2=0.0
!
!RP11/WR_NO3=0.0
!
!RP11/WR_N2O5=0.0
!
!RP11/WR_HONO=0.0
!
!RP11/WR_HNO3=0.0
!
!RP11/WR_HNO4=0.0
!
!RP11/WR_NH3=0.0
!
!RP11/WR_OH=0.0
!
!RP11/WR_HO2=0.0
!
!RP11/WR_CO2=0.0
!
!RP11/WR_SO2=0.0
!
!RP11/WR_H2SO4=0.0
!
!RP11/WR_RO21=0.0
!
!RP11/WR_RO25=0.0
!
!RP11/WR_MEOH=0.0
!
!RP11/WR_ETOH=0.0
!
!RP11/WR_ALCH=0.0
!
!RP11/WR_HCHO=0.0
!
!RP11/WR_ALD2=0.0
!
!RP11/WR_GLY=0.0
!
!RP11/WR_MGLY=0.0
!
!RP11/WR_KETL=0.0
!
!RP11/WR_ORA1=0.0
!
!RP11/WR_ORA2=0.0
!
!RP11/WR_ACID=0.0
!
!RP11/WR_RP16=0.0
!
!RP11/WR_UR21=0.0
!
!RP11/WR_UR28=0.0
!
!RP11/WR_ACID2=0.0
!
!RP11/WR_ASO3=0.0
!
!RP11/WR_ASO4=0.0
!
!RP11/WR_ASO5=0.0
!
!RP11/WR_AHSO5=0.0
!
!RP11/WR_AHMS=0.0
!
!RP16/NO=0.0
!
!RP16/NO2=0.0
!
!RP16/O3=0.0
!
!RP16/HONO=0.0
!
!RP16/HNO3=0.0
!
!RP16/HNO4=0.0
!
!RP16/N2O5=0.0
!
!RP16/NO3=-K338*<RP16>
 PJAC(:,74,8)=-TPK%K338(:)*PCONC(:,74)
!
!RP16/NH3=0.0
!
!RP16/HO2=+K301*<RO254>
 PJAC(:,74,10)=+TPK%K301(:)*TPK%RO254(:)
!
!RP16/CO=0.0
!
!RP16/H2O2=0.0
!
!RP16/SO2=0.0
!
!RP16/H2SO4=0.0
!
!RP16/OH=-K305*<RP16>
 PJAC(:,74,15)=-TPK%K305(:)*PCONC(:,74)
!
!RP16/ETHE=0.0
!
!RP16/OLEL=0.0
!
!RP16/OLEH=0.0
!
!RP16/ALKL=0.0
!
!RP16/ALKM=0.0
!
!RP16/ALKH=0.0
!
!RP16/AROH=0.0
!
!RP16/AROL=0.0
!
!RP16/AROO=0.0
!
!RP16/ARAL=0.0
!
!RP16/ARAC=0.0
!
!RP16/PAH=0.0
!
!RP16/HCHO=0.0
!
!RP16/ALD2=0.0
!
!RP16/KETL=0.0
!
!RP16/KETH=0.0
!
!RP16/MEOH=0.0
!
!RP16/ETOH=0.0
!
!RP16/ALCH=0.0
!
!RP16/ISOP=0.0
!
!RP16/BIOL=0.0
!
!RP16/BIOH=0.0
!
!RP16/MTBE=0.0
!
!RP16/MVK=0.0
!
!RP16/MCR=0.0
!
!RP16/MGLY=0.0
!
!RP16/GLY=0.0
!
!RP16/ORA1=0.0
!
!RP16/ORA2=0.0
!
!RP16/ACID=0.0
!
!RP16/UR28=0.0
!
!RP16/UR21=0.0
!
!RP16/URG2=0.0
!
!RP16/UR26=0.0
!
!RP16/RPG2=0.0
!
!RP16/RP18=0.0
!
!RP16/RPG3=0.0
!
!RP16/URG4=0.0
!
!RP16/UR8=0.0
!
!RP16/UR17=0.0
!
!RP16/UR7=0.0
!
!RP16/RPR3=0.0
!
!RP16/URG6=0.0
!
!RP16/UR22=0.0
!
!RP16/URG7=0.0
!
!RP16/RPR4=0.0
!
!RP16/RPR7=0.0
!
!RP16/RPG7=0.0
!
!RP16/URG8=0.0
!
!RP16/UR19=0.0
!
!RP16/URG9=0.0
!
!RP16/AP7=0.0
!
!RP16/URG10=0.0
!
!RP16/RPR1=0.0
!
!RP16/RPR5=0.0
!
!RP16/RPR8=0.0
!
!RP16/RP10=0.0
!
!RP16/RP11=0.0
!
!RP16/RP16=-K305*<OH>-K338*<NO3>-K339-KTC29-KTR29
 PJAC(:,74,74)=-TPK%K305(:)*PCONC(:,15)-TPK%K338(:)*PCONC(:,8)-TPK%K339(:)-TPK%&
&KTC29(:)-TPK%KTR29(:)
!
!RP16/RPRL=0.0
!
!RP16/APAN=0.0
!
!RP16/PAN1=0.0
!
!RP16/PAN2=0.0
!
!RP16/PAN3=0.0
!
!RP16/PAN4=0.0
!
!RP16/PAN6=0.0
!
!RP16/PAN7=0.0
!
!RP16/PAN8=0.0
!
!RP16/PN10=0.0
!
!RP16/RO2T=0.0
!
!RP16/RO21=0.0
!
!RP16/RO25=0.0
!
!RP16/WC_O3=0.0
!
!RP16/WC_H2O2=0.0
!
!RP16/WC_NO=0.0
!
!RP16/WC_NO2=0.0
!
!RP16/WC_NO3=0.0
!
!RP16/WC_N2O5=0.0
!
!RP16/WC_HONO=0.0
!
!RP16/WC_HNO3=0.0
!
!RP16/WC_HNO4=0.0
!
!RP16/WC_NH3=0.0
!
!RP16/WC_OH=0.0
!
!RP16/WC_HO2=0.0
!
!RP16/WC_CO2=0.0
!
!RP16/WC_SO2=0.0
!
!RP16/WC_H2SO4=0.0
!
!RP16/WC_RO21=0.0
!
!RP16/WC_RO25=0.0
!
!RP16/WC_MEOH=0.0
!
!RP16/WC_ETOH=0.0
!
!RP16/WC_ALCH=0.0
!
!RP16/WC_HCHO=0.0
!
!RP16/WC_ALD2=0.0
!
!RP16/WC_GLY=0.0
!
!RP16/WC_MGLY=0.0
!
!RP16/WC_KETL=0.0
!
!RP16/WC_ORA1=0.0
!
!RP16/WC_ORA2=0.0
!
!RP16/WC_ACID=0.0
!
!RP16/WC_RP16=+KTC60
 PJAC(:,74,116)=+TPK%KTC60(:)
!
!RP16/WC_UR21=0.0
!
!RP16/WC_UR28=0.0
!
!RP16/WC_ACID2=0.0
!
!RP16/WC_ASO3=0.0
!
!RP16/WC_ASO4=0.0
!
!RP16/WC_ASO5=0.0
!
!RP16/WC_AHSO5=0.0
!
!RP16/WC_AHMS=0.0
!
!RP16/WR_O3=0.0
!
!RP16/WR_H2O2=0.0
!
!RP16/WR_NO=0.0
!
!RP16/WR_NO2=0.0
!
!RP16/WR_NO3=0.0
!
!RP16/WR_N2O5=0.0
!
!RP16/WR_HONO=0.0
!
!RP16/WR_HNO3=0.0
!
!RP16/WR_HNO4=0.0
!
!RP16/WR_NH3=0.0
!
!RP16/WR_OH=0.0
!
!RP16/WR_HO2=0.0
!
!RP16/WR_CO2=0.0
!
!RP16/WR_SO2=0.0
!
!RP16/WR_H2SO4=0.0
!
!RP16/WR_RO21=0.0
!
!RP16/WR_RO25=0.0
!
!RP16/WR_MEOH=0.0
!
!RP16/WR_ETOH=0.0
!
!RP16/WR_ALCH=0.0
!
!RP16/WR_HCHO=0.0
!
!RP16/WR_ALD2=0.0
!
!RP16/WR_GLY=0.0
!
!RP16/WR_MGLY=0.0
!
!RP16/WR_KETL=0.0
!
!RP16/WR_ORA1=0.0
!
!RP16/WR_ORA2=0.0
!
!RP16/WR_ACID=0.0
!
!RP16/WR_RP16=+KTR60
 PJAC(:,74,153)=+TPK%KTR60(:)
!
!RP16/WR_UR21=0.0
!
!RP16/WR_UR28=0.0
!
!RP16/WR_ACID2=0.0
!
!RP16/WR_ASO3=0.0
!
!RP16/WR_ASO4=0.0
!
!RP16/WR_ASO5=0.0
!
!RP16/WR_AHSO5=0.0
!
!RP16/WR_AHMS=0.0
!
!RPRL/NO=+TPK%CFA2*K177*<RO217>+TPK%CFA7*K192*<RO222>+1.0023998*K269*<RO247>
 PJAC(:,75,1)=+TPK%CFA2*TPK%K177(:)*TPK%RO217(:)+TPK%CFA7*TPK%K192(:)*TPK%RO222&
&(:)+1.0023998*TPK%K269(:)*TPK%RO247(:)
!
!RPRL/NO2=0.0
!
!RPRL/O3=0.0
!
!RPRL/HONO=0.0
!
!RPRL/HNO3=0.0
!
!RPRL/HNO4=0.0
!
!RPRL/N2O5=0.0
!
!RPRL/NO3=0.0
!
!RPRL/NH3=0.0
!
!RPRL/HO2=+0.9983609*K179*<RO217>+0.9983609*K194*<RO222>+1.0023998*K271*<RO247>
 PJAC(:,75,10)=+0.9983609*TPK%K179(:)*TPK%RO217(:)+0.9983609*TPK%K194(:)*TPK%RO&
&222(:)+1.0023998*TPK%K271(:)*TPK%RO247(:)
!
!RPRL/CO=0.0
!
!RPRL/H2O2=0.0
!
!RPRL/SO2=0.0
!
!RPRL/H2SO4=0.0
!
!RPRL/OH=+0.9983609*K082*<ARAL>-K306*<RPRL>
 PJAC(:,75,15)=+0.9983609*TPK%K082(:)*PCONC(:,25)-TPK%K306(:)*PCONC(:,75)
!
!RPRL/ETHE=0.0
!
!RPRL/OLEL=0.0
!
!RPRL/OLEH=0.0
!
!RPRL/ALKL=0.0
!
!RPRL/ALKM=0.0
!
!RPRL/ALKH=0.0
!
!RPRL/AROH=0.0
!
!RPRL/AROL=0.0
!
!RPRL/AROO=0.0
!
!RPRL/ARAL=+0.9983609*K082*<OH>
 PJAC(:,75,25)=+0.9983609*TPK%K082(:)*PCONC(:,15)
!
!RPRL/ARAC=0.0
!
!RPRL/PAH=0.0
!
!RPRL/HCHO=0.0
!
!RPRL/ALD2=0.0
!
!RPRL/KETL=0.0
!
!RPRL/KETH=0.0
!
!RPRL/MEOH=0.0
!
!RPRL/ETOH=0.0
!
!RPRL/ALCH=0.0
!
!RPRL/ISOP=0.0
!
!RPRL/BIOL=0.0
!
!RPRL/BIOH=0.0
!
!RPRL/MTBE=0.0
!
!RPRL/MVK=0.0
!
!RPRL/MCR=0.0
!
!RPRL/MGLY=0.0
!
!RPRL/GLY=0.0
!
!RPRL/ORA1=0.0
!
!RPRL/ORA2=0.0
!
!RPRL/ACID=0.0
!
!RPRL/UR28=0.0
!
!RPRL/UR21=0.0
!
!RPRL/URG2=0.0
!
!RPRL/UR26=0.0
!
!RPRL/RPG2=0.0
!
!RPRL/RP18=0.0
!
!RPRL/RPG3=0.0
!
!RPRL/URG4=0.0
!
!RPRL/UR8=0.0
!
!RPRL/UR17=0.0
!
!RPRL/UR7=0.0
!
!RPRL/RPR3=0.0
!
!RPRL/URG6=0.0
!
!RPRL/UR22=0.0
!
!RPRL/URG7=0.0
!
!RPRL/RPR4=0.0
!
!RPRL/RPR7=0.0
!
!RPRL/RPG7=0.0
!
!RPRL/URG8=0.0
!
!RPRL/UR19=0.0
!
!RPRL/URG9=0.0
!
!RPRL/AP7=0.0
!
!RPRL/URG10=0.0
!
!RPRL/RPR1=0.0
!
!RPRL/RPR5=0.0
!
!RPRL/RPR8=0.0
!
!RPRL/RP10=0.0
!
!RPRL/RP11=0.0
!
!RPRL/RP16=0.0
!
!RPRL/RPRL=-K306*<OH>
 PJAC(:,75,75)=-TPK%K306(:)*PCONC(:,15)
!
!RPRL/APAN=0.0
!
!RPRL/PAN1=0.0
!
!RPRL/PAN2=0.0
!
!RPRL/PAN3=0.0
!
!RPRL/PAN4=0.0
!
!RPRL/PAN6=0.0
!
!RPRL/PAN7=0.0
!
!RPRL/PAN8=0.0
!
!RPRL/PN10=0.0
!
!RPRL/RO2T=+0.9983609*K178*<RO217>+0.9983609*K193*<RO222>+1.0023998*K270*<RO247
!>
 PJAC(:,75,85)=+0.9983609*TPK%K178(:)*TPK%RO217(:)+0.9983609*TPK%K193(:)*TPK%RO&
&222(:)+1.0023998*TPK%K270(:)*TPK%RO247(:)
!
!RPRL/RO21=0.0
!
!RPRL/RO25=0.0
!
!RPRL/WC_O3=0.0
!
!RPRL/WC_H2O2=0.0
!
!RPRL/WC_NO=0.0
!
!RPRL/WC_NO2=0.0
!
!RPRL/WC_NO3=0.0
!
!RPRL/WC_N2O5=0.0
!
!RPRL/WC_HONO=0.0
!
!RPRL/WC_HNO3=0.0
!
!RPRL/WC_HNO4=0.0
!
!RPRL/WC_NH3=0.0
!
!RPRL/WC_OH=0.0
!
!RPRL/WC_HO2=0.0
!
!RPRL/WC_CO2=0.0
!
!RPRL/WC_SO2=0.0
!
!RPRL/WC_H2SO4=0.0
!
!RPRL/WC_RO21=0.0
!
!RPRL/WC_RO25=0.0
!
!RPRL/WC_MEOH=0.0
!
!RPRL/WC_ETOH=0.0
!
!RPRL/WC_ALCH=0.0
!
!RPRL/WC_HCHO=0.0
!
!RPRL/WC_ALD2=0.0
!
!RPRL/WC_GLY=0.0
!
!RPRL/WC_MGLY=0.0
!
!RPRL/WC_KETL=0.0
!
!RPRL/WC_ORA1=0.0
!
!RPRL/WC_ORA2=0.0
!
!RPRL/WC_ACID=0.0
!
!RPRL/WC_RP16=0.0
!
!RPRL/WC_UR21=0.0
!
!RPRL/WC_UR28=0.0
!
!RPRL/WC_ACID2=0.0
!
!RPRL/WC_ASO3=0.0
!
!RPRL/WC_ASO4=0.0
!
!RPRL/WC_ASO5=0.0
!
!RPRL/WC_AHSO5=0.0
!
!RPRL/WC_AHMS=0.0
!
!RPRL/WR_O3=0.0
!
!RPRL/WR_H2O2=0.0
!
!RPRL/WR_NO=0.0
!
!RPRL/WR_NO2=0.0
!
!RPRL/WR_NO3=0.0
!
!RPRL/WR_N2O5=0.0
!
!RPRL/WR_HONO=0.0
!
!RPRL/WR_HNO3=0.0
!
!RPRL/WR_HNO4=0.0
!
!RPRL/WR_NH3=0.0
!
!RPRL/WR_OH=0.0
!
!RPRL/WR_HO2=0.0
!
!RPRL/WR_CO2=0.0
!
!RPRL/WR_SO2=0.0
!
!RPRL/WR_H2SO4=0.0
!
!RPRL/WR_RO21=0.0
!
!RPRL/WR_RO25=0.0
!
!RPRL/WR_MEOH=0.0
!
!RPRL/WR_ETOH=0.0
!
!RPRL/WR_ALCH=0.0
!
!RPRL/WR_HCHO=0.0
!
!RPRL/WR_ALD2=0.0
!
!RPRL/WR_GLY=0.0
!
!RPRL/WR_MGLY=0.0
!
!RPRL/WR_KETL=0.0
!
!RPRL/WR_ORA1=0.0
!
!RPRL/WR_ORA2=0.0
!
!RPRL/WR_ACID=0.0
!
!RPRL/WR_RP16=0.0
!
!RPRL/WR_UR21=0.0
!
!RPRL/WR_UR28=0.0
!
!RPRL/WR_ACID2=0.0
!
!RPRL/WR_ASO3=0.0
!
!RPRL/WR_ASO4=0.0
!
!RPRL/WR_ASO5=0.0
!
!RPRL/WR_AHSO5=0.0
!
!RPRL/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ14
!
SUBROUTINE SUBJ15
!
!Indices 76 a 80
!
!
!APAN/NO=0.0
!
!APAN/NO2=+K130*<RO250>+K133*<RO257>
 PJAC(:,76,2)=+TPK%K130(:)*TPK%RO250(:)+TPK%K133(:)*TPK%RO257(:)
!
!APAN/O3=0.0
!
!APAN/HONO=0.0
!
!APAN/HNO3=0.0
!
!APAN/HNO4=0.0
!
!APAN/N2O5=0.0
!
!APAN/NO3=0.0
!
!APAN/NH3=0.0
!
!APAN/HO2=0.0
!
!APAN/CO=0.0
!
!APAN/H2O2=0.0
!
!APAN/SO2=0.0
!
!APAN/H2SO4=0.0
!
!APAN/OH=0.0
!
!APAN/ETHE=0.0
!
!APAN/OLEL=0.0
!
!APAN/OLEH=0.0
!
!APAN/ALKL=0.0
!
!APAN/ALKM=0.0
!
!APAN/ALKH=0.0
!
!APAN/AROH=0.0
!
!APAN/AROL=0.0
!
!APAN/AROO=0.0
!
!APAN/ARAL=0.0
!
!APAN/ARAC=0.0
!
!APAN/PAH=0.0
!
!APAN/HCHO=0.0
!
!APAN/ALD2=0.0
!
!APAN/KETL=0.0
!
!APAN/KETH=0.0
!
!APAN/MEOH=0.0
!
!APAN/ETOH=0.0
!
!APAN/ALCH=0.0
!
!APAN/ISOP=0.0
!
!APAN/BIOL=0.0
!
!APAN/BIOH=0.0
!
!APAN/MTBE=0.0
!
!APAN/MVK=0.0
!
!APAN/MCR=0.0
!
!APAN/MGLY=0.0
!
!APAN/GLY=0.0
!
!APAN/ORA1=0.0
!
!APAN/ORA2=0.0
!
!APAN/ACID=0.0
!
!APAN/UR28=0.0
!
!APAN/UR21=0.0
!
!APAN/URG2=0.0
!
!APAN/UR26=0.0
!
!APAN/RPG2=0.0
!
!APAN/RP18=0.0
!
!APAN/RPG3=0.0
!
!APAN/URG4=0.0
!
!APAN/UR8=0.0
!
!APAN/UR17=0.0
!
!APAN/UR7=0.0
!
!APAN/RPR3=0.0
!
!APAN/URG6=0.0
!
!APAN/UR22=0.0
!
!APAN/URG7=0.0
!
!APAN/RPR4=0.0
!
!APAN/RPR7=0.0
!
!APAN/RPG7=0.0
!
!APAN/URG8=0.0
!
!APAN/UR19=0.0
!
!APAN/URG9=0.0
!
!APAN/AP7=0.0
!
!APAN/URG10=0.0
!
!APAN/RPR1=0.0
!
!APAN/RPR5=0.0
!
!APAN/RPR8=0.0
!
!APAN/RP10=0.0
!
!APAN/RP11=0.0
!
!APAN/RP16=0.0
!
!APAN/RPRL=0.0
!
!APAN/APAN=-K139
 PJAC(:,76,76)=-TPK%K139(:)
!
!APAN/PAN1=0.0
!
!APAN/PAN2=0.0
!
!APAN/PAN3=0.0
!
!APAN/PAN4=0.0
!
!APAN/PAN6=0.0
!
!APAN/PAN7=0.0
!
!APAN/PAN8=0.0
!
!APAN/PN10=0.0
!
!APAN/RO2T=0.0
!
!APAN/RO21=0.0
!
!APAN/RO25=0.0
!
!APAN/WC_O3=0.0
!
!APAN/WC_H2O2=0.0
!
!APAN/WC_NO=0.0
!
!APAN/WC_NO2=0.0
!
!APAN/WC_NO3=0.0
!
!APAN/WC_N2O5=0.0
!
!APAN/WC_HONO=0.0
!
!APAN/WC_HNO3=0.0
!
!APAN/WC_HNO4=0.0
!
!APAN/WC_NH3=0.0
!
!APAN/WC_OH=0.0
!
!APAN/WC_HO2=0.0
!
!APAN/WC_CO2=0.0
!
!APAN/WC_SO2=0.0
!
!APAN/WC_H2SO4=0.0
!
!APAN/WC_RO21=0.0
!
!APAN/WC_RO25=0.0
!
!APAN/WC_MEOH=0.0
!
!APAN/WC_ETOH=0.0
!
!APAN/WC_ALCH=0.0
!
!APAN/WC_HCHO=0.0
!
!APAN/WC_ALD2=0.0
!
!APAN/WC_GLY=0.0
!
!APAN/WC_MGLY=0.0
!
!APAN/WC_KETL=0.0
!
!APAN/WC_ORA1=0.0
!
!APAN/WC_ORA2=0.0
!
!APAN/WC_ACID=0.0
!
!APAN/WC_RP16=0.0
!
!APAN/WC_UR21=0.0
!
!APAN/WC_UR28=0.0
!
!APAN/WC_ACID2=0.0
!
!APAN/WC_ASO3=0.0
!
!APAN/WC_ASO4=0.0
!
!APAN/WC_ASO5=0.0
!
!APAN/WC_AHSO5=0.0
!
!APAN/WC_AHMS=0.0
!
!APAN/WR_O3=0.0
!
!APAN/WR_H2O2=0.0
!
!APAN/WR_NO=0.0
!
!APAN/WR_NO2=0.0
!
!APAN/WR_NO3=0.0
!
!APAN/WR_N2O5=0.0
!
!APAN/WR_HONO=0.0
!
!APAN/WR_HNO3=0.0
!
!APAN/WR_HNO4=0.0
!
!APAN/WR_NH3=0.0
!
!APAN/WR_OH=0.0
!
!APAN/WR_HO2=0.0
!
!APAN/WR_CO2=0.0
!
!APAN/WR_SO2=0.0
!
!APAN/WR_H2SO4=0.0
!
!APAN/WR_RO21=0.0
!
!APAN/WR_RO25=0.0
!
!APAN/WR_MEOH=0.0
!
!APAN/WR_ETOH=0.0
!
!APAN/WR_ALCH=0.0
!
!APAN/WR_HCHO=0.0
!
!APAN/WR_ALD2=0.0
!
!APAN/WR_GLY=0.0
!
!APAN/WR_MGLY=0.0
!
!APAN/WR_KETL=0.0
!
!APAN/WR_ORA1=0.0
!
!APAN/WR_ORA2=0.0
!
!APAN/WR_ACID=0.0
!
!APAN/WR_RP16=0.0
!
!APAN/WR_UR21=0.0
!
!APAN/WR_UR28=0.0
!
!APAN/WR_ACID2=0.0
!
!APAN/WR_ASO3=0.0
!
!APAN/WR_ASO4=0.0
!
!APAN/WR_ASO5=0.0
!
!APAN/WR_AHSO5=0.0
!
!APAN/WR_AHMS=0.0
!
!PAN1/NO=0.0
!
!PAN1/NO2=+K126*<RO26>
 PJAC(:,77,2)=+TPK%K126(:)*TPK%RO26(:)
!
!PAN1/O3=0.0
!
!PAN1/HONO=0.0
!
!PAN1/HNO3=0.0
!
!PAN1/HNO4=0.0
!
!PAN1/N2O5=0.0
!
!PAN1/NO3=0.0
!
!PAN1/NH3=0.0
!
!PAN1/HO2=0.0
!
!PAN1/CO=0.0
!
!PAN1/H2O2=0.0
!
!PAN1/SO2=0.0
!
!PAN1/H2SO4=0.0
!
!PAN1/OH=0.0
!
!PAN1/ETHE=0.0
!
!PAN1/OLEL=0.0
!
!PAN1/OLEH=0.0
!
!PAN1/ALKL=0.0
!
!PAN1/ALKM=0.0
!
!PAN1/ALKH=0.0
!
!PAN1/AROH=0.0
!
!PAN1/AROL=0.0
!
!PAN1/AROO=0.0
!
!PAN1/ARAL=0.0
!
!PAN1/ARAC=0.0
!
!PAN1/PAH=0.0
!
!PAN1/HCHO=0.0
!
!PAN1/ALD2=0.0
!
!PAN1/KETL=0.0
!
!PAN1/KETH=0.0
!
!PAN1/MEOH=0.0
!
!PAN1/ETOH=0.0
!
!PAN1/ALCH=0.0
!
!PAN1/ISOP=0.0
!
!PAN1/BIOL=0.0
!
!PAN1/BIOH=0.0
!
!PAN1/MTBE=0.0
!
!PAN1/MVK=0.0
!
!PAN1/MCR=0.0
!
!PAN1/MGLY=0.0
!
!PAN1/GLY=0.0
!
!PAN1/ORA1=0.0
!
!PAN1/ORA2=0.0
!
!PAN1/ACID=0.0
!
!PAN1/UR28=0.0
!
!PAN1/UR21=0.0
!
!PAN1/URG2=0.0
!
!PAN1/UR26=0.0
!
!PAN1/RPG2=0.0
!
!PAN1/RP18=0.0
!
!PAN1/RPG3=0.0
!
!PAN1/URG4=0.0
!
!PAN1/UR8=0.0
!
!PAN1/UR17=0.0
!
!PAN1/UR7=0.0
!
!PAN1/RPR3=0.0
!
!PAN1/URG6=0.0
!
!PAN1/UR22=0.0
!
!PAN1/URG7=0.0
!
!PAN1/RPR4=0.0
!
!PAN1/RPR7=0.0
!
!PAN1/RPG7=0.0
!
!PAN1/URG8=0.0
!
!PAN1/UR19=0.0
!
!PAN1/URG9=0.0
!
!PAN1/AP7=0.0
!
!PAN1/URG10=0.0
!
!PAN1/RPR1=0.0
!
!PAN1/RPR5=0.0
!
!PAN1/RPR8=0.0
!
!PAN1/RP10=0.0
!
!PAN1/RP11=0.0
!
!PAN1/RP16=0.0
!
!PAN1/RPRL=0.0
!
!PAN1/APAN=0.0
!
!PAN1/PAN1=-K135
 PJAC(:,77,77)=-TPK%K135(:)
!
!PAN1/PAN2=0.0
!
!PAN1/PAN3=0.0
!
!PAN1/PAN4=0.0
!
!PAN1/PAN6=0.0
!
!PAN1/PAN7=0.0
!
!PAN1/PAN8=0.0
!
!PAN1/PN10=0.0
!
!PAN1/RO2T=0.0
!
!PAN1/RO21=0.0
!
!PAN1/RO25=0.0
!
!PAN1/WC_O3=0.0
!
!PAN1/WC_H2O2=0.0
!
!PAN1/WC_NO=0.0
!
!PAN1/WC_NO2=0.0
!
!PAN1/WC_NO3=0.0
!
!PAN1/WC_N2O5=0.0
!
!PAN1/WC_HONO=0.0
!
!PAN1/WC_HNO3=0.0
!
!PAN1/WC_HNO4=0.0
!
!PAN1/WC_NH3=0.0
!
!PAN1/WC_OH=0.0
!
!PAN1/WC_HO2=0.0
!
!PAN1/WC_CO2=0.0
!
!PAN1/WC_SO2=0.0
!
!PAN1/WC_H2SO4=0.0
!
!PAN1/WC_RO21=0.0
!
!PAN1/WC_RO25=0.0
!
!PAN1/WC_MEOH=0.0
!
!PAN1/WC_ETOH=0.0
!
!PAN1/WC_ALCH=0.0
!
!PAN1/WC_HCHO=0.0
!
!PAN1/WC_ALD2=0.0
!
!PAN1/WC_GLY=0.0
!
!PAN1/WC_MGLY=0.0
!
!PAN1/WC_KETL=0.0
!
!PAN1/WC_ORA1=0.0
!
!PAN1/WC_ORA2=0.0
!
!PAN1/WC_ACID=0.0
!
!PAN1/WC_RP16=0.0
!
!PAN1/WC_UR21=0.0
!
!PAN1/WC_UR28=0.0
!
!PAN1/WC_ACID2=0.0
!
!PAN1/WC_ASO3=0.0
!
!PAN1/WC_ASO4=0.0
!
!PAN1/WC_ASO5=0.0
!
!PAN1/WC_AHSO5=0.0
!
!PAN1/WC_AHMS=0.0
!
!PAN1/WR_O3=0.0
!
!PAN1/WR_H2O2=0.0
!
!PAN1/WR_NO=0.0
!
!PAN1/WR_NO2=0.0
!
!PAN1/WR_NO3=0.0
!
!PAN1/WR_N2O5=0.0
!
!PAN1/WR_HONO=0.0
!
!PAN1/WR_HNO3=0.0
!
!PAN1/WR_HNO4=0.0
!
!PAN1/WR_NH3=0.0
!
!PAN1/WR_OH=0.0
!
!PAN1/WR_HO2=0.0
!
!PAN1/WR_CO2=0.0
!
!PAN1/WR_SO2=0.0
!
!PAN1/WR_H2SO4=0.0
!
!PAN1/WR_RO21=0.0
!
!PAN1/WR_RO25=0.0
!
!PAN1/WR_MEOH=0.0
!
!PAN1/WR_ETOH=0.0
!
!PAN1/WR_ALCH=0.0
!
!PAN1/WR_HCHO=0.0
!
!PAN1/WR_ALD2=0.0
!
!PAN1/WR_GLY=0.0
!
!PAN1/WR_MGLY=0.0
!
!PAN1/WR_KETL=0.0
!
!PAN1/WR_ORA1=0.0
!
!PAN1/WR_ORA2=0.0
!
!PAN1/WR_ACID=0.0
!
!PAN1/WR_RP16=0.0
!
!PAN1/WR_UR21=0.0
!
!PAN1/WR_UR28=0.0
!
!PAN1/WR_ACID2=0.0
!
!PAN1/WR_ASO3=0.0
!
!PAN1/WR_ASO4=0.0
!
!PAN1/WR_ASO5=0.0
!
!PAN1/WR_AHSO5=0.0
!
!PAN1/WR_AHMS=0.0
!
!PAN2/NO=0.0
!
!PAN2/NO2=+K127*<RO28>
 PJAC(:,78,2)=+TPK%K127(:)*TPK%RO28(:)
!
!PAN2/O3=0.0
!
!PAN2/HONO=0.0
!
!PAN2/HNO3=0.0
!
!PAN2/HNO4=0.0
!
!PAN2/N2O5=0.0
!
!PAN2/NO3=0.0
!
!PAN2/NH3=0.0
!
!PAN2/HO2=0.0
!
!PAN2/CO=0.0
!
!PAN2/H2O2=0.0
!
!PAN2/SO2=0.0
!
!PAN2/H2SO4=0.0
!
!PAN2/OH=0.0
!
!PAN2/ETHE=0.0
!
!PAN2/OLEL=0.0
!
!PAN2/OLEH=0.0
!
!PAN2/ALKL=0.0
!
!PAN2/ALKM=0.0
!
!PAN2/ALKH=0.0
!
!PAN2/AROH=0.0
!
!PAN2/AROL=0.0
!
!PAN2/AROO=0.0
!
!PAN2/ARAL=0.0
!
!PAN2/ARAC=0.0
!
!PAN2/PAH=0.0
!
!PAN2/HCHO=0.0
!
!PAN2/ALD2=0.0
!
!PAN2/KETL=0.0
!
!PAN2/KETH=0.0
!
!PAN2/MEOH=0.0
!
!PAN2/ETOH=0.0
!
!PAN2/ALCH=0.0
!
!PAN2/ISOP=0.0
!
!PAN2/BIOL=0.0
!
!PAN2/BIOH=0.0
!
!PAN2/MTBE=0.0
!
!PAN2/MVK=0.0
!
!PAN2/MCR=0.0
!
!PAN2/MGLY=0.0
!
!PAN2/GLY=0.0
!
!PAN2/ORA1=0.0
!
!PAN2/ORA2=0.0
!
!PAN2/ACID=0.0
!
!PAN2/UR28=0.0
!
!PAN2/UR21=0.0
!
!PAN2/URG2=0.0
!
!PAN2/UR26=0.0
!
!PAN2/RPG2=0.0
!
!PAN2/RP18=0.0
!
!PAN2/RPG3=0.0
!
!PAN2/URG4=0.0
!
!PAN2/UR8=0.0
!
!PAN2/UR17=0.0
!
!PAN2/UR7=0.0
!
!PAN2/RPR3=0.0
!
!PAN2/URG6=0.0
!
!PAN2/UR22=0.0
!
!PAN2/URG7=0.0
!
!PAN2/RPR4=0.0
!
!PAN2/RPR7=0.0
!
!PAN2/RPG7=0.0
!
!PAN2/URG8=0.0
!
!PAN2/UR19=0.0
!
!PAN2/URG9=0.0
!
!PAN2/AP7=0.0
!
!PAN2/URG10=0.0
!
!PAN2/RPR1=0.0
!
!PAN2/RPR5=0.0
!
!PAN2/RPR8=0.0
!
!PAN2/RP10=0.0
!
!PAN2/RP11=0.0
!
!PAN2/RP16=0.0
!
!PAN2/RPRL=0.0
!
!PAN2/APAN=0.0
!
!PAN2/PAN1=0.0
!
!PAN2/PAN2=-K136
 PJAC(:,78,78)=-TPK%K136(:)
!
!PAN2/PAN3=0.0
!
!PAN2/PAN4=0.0
!
!PAN2/PAN6=0.0
!
!PAN2/PAN7=0.0
!
!PAN2/PAN8=0.0
!
!PAN2/PN10=0.0
!
!PAN2/RO2T=0.0
!
!PAN2/RO21=0.0
!
!PAN2/RO25=0.0
!
!PAN2/WC_O3=0.0
!
!PAN2/WC_H2O2=0.0
!
!PAN2/WC_NO=0.0
!
!PAN2/WC_NO2=0.0
!
!PAN2/WC_NO3=0.0
!
!PAN2/WC_N2O5=0.0
!
!PAN2/WC_HONO=0.0
!
!PAN2/WC_HNO3=0.0
!
!PAN2/WC_HNO4=0.0
!
!PAN2/WC_NH3=0.0
!
!PAN2/WC_OH=0.0
!
!PAN2/WC_HO2=0.0
!
!PAN2/WC_CO2=0.0
!
!PAN2/WC_SO2=0.0
!
!PAN2/WC_H2SO4=0.0
!
!PAN2/WC_RO21=0.0
!
!PAN2/WC_RO25=0.0
!
!PAN2/WC_MEOH=0.0
!
!PAN2/WC_ETOH=0.0
!
!PAN2/WC_ALCH=0.0
!
!PAN2/WC_HCHO=0.0
!
!PAN2/WC_ALD2=0.0
!
!PAN2/WC_GLY=0.0
!
!PAN2/WC_MGLY=0.0
!
!PAN2/WC_KETL=0.0
!
!PAN2/WC_ORA1=0.0
!
!PAN2/WC_ORA2=0.0
!
!PAN2/WC_ACID=0.0
!
!PAN2/WC_RP16=0.0
!
!PAN2/WC_UR21=0.0
!
!PAN2/WC_UR28=0.0
!
!PAN2/WC_ACID2=0.0
!
!PAN2/WC_ASO3=0.0
!
!PAN2/WC_ASO4=0.0
!
!PAN2/WC_ASO5=0.0
!
!PAN2/WC_AHSO5=0.0
!
!PAN2/WC_AHMS=0.0
!
!PAN2/WR_O3=0.0
!
!PAN2/WR_H2O2=0.0
!
!PAN2/WR_NO=0.0
!
!PAN2/WR_NO2=0.0
!
!PAN2/WR_NO3=0.0
!
!PAN2/WR_N2O5=0.0
!
!PAN2/WR_HONO=0.0
!
!PAN2/WR_HNO3=0.0
!
!PAN2/WR_HNO4=0.0
!
!PAN2/WR_NH3=0.0
!
!PAN2/WR_OH=0.0
!
!PAN2/WR_HO2=0.0
!
!PAN2/WR_CO2=0.0
!
!PAN2/WR_SO2=0.0
!
!PAN2/WR_H2SO4=0.0
!
!PAN2/WR_RO21=0.0
!
!PAN2/WR_RO25=0.0
!
!PAN2/WR_MEOH=0.0
!
!PAN2/WR_ETOH=0.0
!
!PAN2/WR_ALCH=0.0
!
!PAN2/WR_HCHO=0.0
!
!PAN2/WR_ALD2=0.0
!
!PAN2/WR_GLY=0.0
!
!PAN2/WR_MGLY=0.0
!
!PAN2/WR_KETL=0.0
!
!PAN2/WR_ORA1=0.0
!
!PAN2/WR_ORA2=0.0
!
!PAN2/WR_ACID=0.0
!
!PAN2/WR_RP16=0.0
!
!PAN2/WR_UR21=0.0
!
!PAN2/WR_UR28=0.0
!
!PAN2/WR_ACID2=0.0
!
!PAN2/WR_ASO3=0.0
!
!PAN2/WR_ASO4=0.0
!
!PAN2/WR_ASO5=0.0
!
!PAN2/WR_AHSO5=0.0
!
!PAN2/WR_AHMS=0.0
!
!PAN3/NO=0.0
!
!PAN3/NO2=+K128*<RO239>
 PJAC(:,79,2)=+TPK%K128(:)*TPK%RO239(:)
!
!PAN3/O3=0.0
!
!PAN3/HONO=0.0
!
!PAN3/HNO3=0.0
!
!PAN3/HNO4=0.0
!
!PAN3/N2O5=0.0
!
!PAN3/NO3=0.0
!
!PAN3/NH3=0.0
!
!PAN3/HO2=0.0
!
!PAN3/CO=0.0
!
!PAN3/H2O2=0.0
!
!PAN3/SO2=0.0
!
!PAN3/H2SO4=0.0
!
!PAN3/OH=0.0
!
!PAN3/ETHE=0.0
!
!PAN3/OLEL=0.0
!
!PAN3/OLEH=0.0
!
!PAN3/ALKL=0.0
!
!PAN3/ALKM=0.0
!
!PAN3/ALKH=0.0
!
!PAN3/AROH=0.0
!
!PAN3/AROL=0.0
!
!PAN3/AROO=0.0
!
!PAN3/ARAL=0.0
!
!PAN3/ARAC=0.0
!
!PAN3/PAH=0.0
!
!PAN3/HCHO=0.0
!
!PAN3/ALD2=0.0
!
!PAN3/KETL=0.0
!
!PAN3/KETH=0.0
!
!PAN3/MEOH=0.0
!
!PAN3/ETOH=0.0
!
!PAN3/ALCH=0.0
!
!PAN3/ISOP=0.0
!
!PAN3/BIOL=0.0
!
!PAN3/BIOH=0.0
!
!PAN3/MTBE=0.0
!
!PAN3/MVK=0.0
!
!PAN3/MCR=0.0
!
!PAN3/MGLY=0.0
!
!PAN3/GLY=0.0
!
!PAN3/ORA1=0.0
!
!PAN3/ORA2=0.0
!
!PAN3/ACID=0.0
!
!PAN3/UR28=0.0
!
!PAN3/UR21=0.0
!
!PAN3/URG2=0.0
!
!PAN3/UR26=0.0
!
!PAN3/RPG2=0.0
!
!PAN3/RP18=0.0
!
!PAN3/RPG3=0.0
!
!PAN3/URG4=0.0
!
!PAN3/UR8=0.0
!
!PAN3/UR17=0.0
!
!PAN3/UR7=0.0
!
!PAN3/RPR3=0.0
!
!PAN3/URG6=0.0
!
!PAN3/UR22=0.0
!
!PAN3/URG7=0.0
!
!PAN3/RPR4=0.0
!
!PAN3/RPR7=0.0
!
!PAN3/RPG7=0.0
!
!PAN3/URG8=0.0
!
!PAN3/UR19=0.0
!
!PAN3/URG9=0.0
!
!PAN3/AP7=0.0
!
!PAN3/URG10=0.0
!
!PAN3/RPR1=0.0
!
!PAN3/RPR5=0.0
!
!PAN3/RPR8=0.0
!
!PAN3/RP10=0.0
!
!PAN3/RP11=0.0
!
!PAN3/RP16=0.0
!
!PAN3/RPRL=0.0
!
!PAN3/APAN=0.0
!
!PAN3/PAN1=0.0
!
!PAN3/PAN2=0.0
!
!PAN3/PAN3=-K137
 PJAC(:,79,79)=-TPK%K137(:)
!
!PAN3/PAN4=0.0
!
!PAN3/PAN6=0.0
!
!PAN3/PAN7=0.0
!
!PAN3/PAN8=0.0
!
!PAN3/PN10=0.0
!
!PAN3/RO2T=0.0
!
!PAN3/RO21=0.0
!
!PAN3/RO25=0.0
!
!PAN3/WC_O3=0.0
!
!PAN3/WC_H2O2=0.0
!
!PAN3/WC_NO=0.0
!
!PAN3/WC_NO2=0.0
!
!PAN3/WC_NO3=0.0
!
!PAN3/WC_N2O5=0.0
!
!PAN3/WC_HONO=0.0
!
!PAN3/WC_HNO3=0.0
!
!PAN3/WC_HNO4=0.0
!
!PAN3/WC_NH3=0.0
!
!PAN3/WC_OH=0.0
!
!PAN3/WC_HO2=0.0
!
!PAN3/WC_CO2=0.0
!
!PAN3/WC_SO2=0.0
!
!PAN3/WC_H2SO4=0.0
!
!PAN3/WC_RO21=0.0
!
!PAN3/WC_RO25=0.0
!
!PAN3/WC_MEOH=0.0
!
!PAN3/WC_ETOH=0.0
!
!PAN3/WC_ALCH=0.0
!
!PAN3/WC_HCHO=0.0
!
!PAN3/WC_ALD2=0.0
!
!PAN3/WC_GLY=0.0
!
!PAN3/WC_MGLY=0.0
!
!PAN3/WC_KETL=0.0
!
!PAN3/WC_ORA1=0.0
!
!PAN3/WC_ORA2=0.0
!
!PAN3/WC_ACID=0.0
!
!PAN3/WC_RP16=0.0
!
!PAN3/WC_UR21=0.0
!
!PAN3/WC_UR28=0.0
!
!PAN3/WC_ACID2=0.0
!
!PAN3/WC_ASO3=0.0
!
!PAN3/WC_ASO4=0.0
!
!PAN3/WC_ASO5=0.0
!
!PAN3/WC_AHSO5=0.0
!
!PAN3/WC_AHMS=0.0
!
!PAN3/WR_O3=0.0
!
!PAN3/WR_H2O2=0.0
!
!PAN3/WR_NO=0.0
!
!PAN3/WR_NO2=0.0
!
!PAN3/WR_NO3=0.0
!
!PAN3/WR_N2O5=0.0
!
!PAN3/WR_HONO=0.0
!
!PAN3/WR_HNO3=0.0
!
!PAN3/WR_HNO4=0.0
!
!PAN3/WR_NH3=0.0
!
!PAN3/WR_OH=0.0
!
!PAN3/WR_HO2=0.0
!
!PAN3/WR_CO2=0.0
!
!PAN3/WR_SO2=0.0
!
!PAN3/WR_H2SO4=0.0
!
!PAN3/WR_RO21=0.0
!
!PAN3/WR_RO25=0.0
!
!PAN3/WR_MEOH=0.0
!
!PAN3/WR_ETOH=0.0
!
!PAN3/WR_ALCH=0.0
!
!PAN3/WR_HCHO=0.0
!
!PAN3/WR_ALD2=0.0
!
!PAN3/WR_GLY=0.0
!
!PAN3/WR_MGLY=0.0
!
!PAN3/WR_KETL=0.0
!
!PAN3/WR_ORA1=0.0
!
!PAN3/WR_ORA2=0.0
!
!PAN3/WR_ACID=0.0
!
!PAN3/WR_RP16=0.0
!
!PAN3/WR_UR21=0.0
!
!PAN3/WR_UR28=0.0
!
!PAN3/WR_ACID2=0.0
!
!PAN3/WR_ASO3=0.0
!
!PAN3/WR_ASO4=0.0
!
!PAN3/WR_ASO5=0.0
!
!PAN3/WR_AHSO5=0.0
!
!PAN3/WR_AHMS=0.0
!
!PAN4/NO=0.0
!
!PAN4/NO2=+K129*<RO248>
 PJAC(:,80,2)=+TPK%K129(:)*TPK%RO248(:)
!
!PAN4/O3=0.0
!
!PAN4/HONO=0.0
!
!PAN4/HNO3=0.0
!
!PAN4/HNO4=0.0
!
!PAN4/N2O5=0.0
!
!PAN4/NO3=0.0
!
!PAN4/NH3=0.0
!
!PAN4/HO2=0.0
!
!PAN4/CO=0.0
!
!PAN4/H2O2=0.0
!
!PAN4/SO2=0.0
!
!PAN4/H2SO4=0.0
!
!PAN4/OH=0.0
!
!PAN4/ETHE=0.0
!
!PAN4/OLEL=0.0
!
!PAN4/OLEH=0.0
!
!PAN4/ALKL=0.0
!
!PAN4/ALKM=0.0
!
!PAN4/ALKH=0.0
!
!PAN4/AROH=0.0
!
!PAN4/AROL=0.0
!
!PAN4/AROO=0.0
!
!PAN4/ARAL=0.0
!
!PAN4/ARAC=0.0
!
!PAN4/PAH=0.0
!
!PAN4/HCHO=0.0
!
!PAN4/ALD2=0.0
!
!PAN4/KETL=0.0
!
!PAN4/KETH=0.0
!
!PAN4/MEOH=0.0
!
!PAN4/ETOH=0.0
!
!PAN4/ALCH=0.0
!
!PAN4/ISOP=0.0
!
!PAN4/BIOL=0.0
!
!PAN4/BIOH=0.0
!
!PAN4/MTBE=0.0
!
!PAN4/MVK=0.0
!
!PAN4/MCR=0.0
!
!PAN4/MGLY=0.0
!
!PAN4/GLY=0.0
!
!PAN4/ORA1=0.0
!
!PAN4/ORA2=0.0
!
!PAN4/ACID=0.0
!
!PAN4/UR28=0.0
!
!PAN4/UR21=0.0
!
!PAN4/URG2=0.0
!
!PAN4/UR26=0.0
!
!PAN4/RPG2=0.0
!
!PAN4/RP18=0.0
!
!PAN4/RPG3=0.0
!
!PAN4/URG4=0.0
!
!PAN4/UR8=0.0
!
!PAN4/UR17=0.0
!
!PAN4/UR7=0.0
!
!PAN4/RPR3=0.0
!
!PAN4/URG6=0.0
!
!PAN4/UR22=0.0
!
!PAN4/URG7=0.0
!
!PAN4/RPR4=0.0
!
!PAN4/RPR7=0.0
!
!PAN4/RPG7=0.0
!
!PAN4/URG8=0.0
!
!PAN4/UR19=0.0
!
!PAN4/URG9=0.0
!
!PAN4/AP7=0.0
!
!PAN4/URG10=0.0
!
!PAN4/RPR1=0.0
!
!PAN4/RPR5=0.0
!
!PAN4/RPR8=0.0
!
!PAN4/RP10=0.0
!
!PAN4/RP11=0.0
!
!PAN4/RP16=0.0
!
!PAN4/RPRL=0.0
!
!PAN4/APAN=0.0
!
!PAN4/PAN1=0.0
!
!PAN4/PAN2=0.0
!
!PAN4/PAN3=0.0
!
!PAN4/PAN4=-K141
 PJAC(:,80,80)=-TPK%K141(:)
!
!PAN4/PAN6=0.0
!
!PAN4/PAN7=0.0
!
!PAN4/PAN8=0.0
!
!PAN4/PN10=0.0
!
!PAN4/RO2T=0.0
!
!PAN4/RO21=0.0
!
!PAN4/RO25=0.0
!
!PAN4/WC_O3=0.0
!
!PAN4/WC_H2O2=0.0
!
!PAN4/WC_NO=0.0
!
!PAN4/WC_NO2=0.0
!
!PAN4/WC_NO3=0.0
!
!PAN4/WC_N2O5=0.0
!
!PAN4/WC_HONO=0.0
!
!PAN4/WC_HNO3=0.0
!
!PAN4/WC_HNO4=0.0
!
!PAN4/WC_NH3=0.0
!
!PAN4/WC_OH=0.0
!
!PAN4/WC_HO2=0.0
!
!PAN4/WC_CO2=0.0
!
!PAN4/WC_SO2=0.0
!
!PAN4/WC_H2SO4=0.0
!
!PAN4/WC_RO21=0.0
!
!PAN4/WC_RO25=0.0
!
!PAN4/WC_MEOH=0.0
!
!PAN4/WC_ETOH=0.0
!
!PAN4/WC_ALCH=0.0
!
!PAN4/WC_HCHO=0.0
!
!PAN4/WC_ALD2=0.0
!
!PAN4/WC_GLY=0.0
!
!PAN4/WC_MGLY=0.0
!
!PAN4/WC_KETL=0.0
!
!PAN4/WC_ORA1=0.0
!
!PAN4/WC_ORA2=0.0
!
!PAN4/WC_ACID=0.0
!
!PAN4/WC_RP16=0.0
!
!PAN4/WC_UR21=0.0
!
!PAN4/WC_UR28=0.0
!
!PAN4/WC_ACID2=0.0
!
!PAN4/WC_ASO3=0.0
!
!PAN4/WC_ASO4=0.0
!
!PAN4/WC_ASO5=0.0
!
!PAN4/WC_AHSO5=0.0
!
!PAN4/WC_AHMS=0.0
!
!PAN4/WR_O3=0.0
!
!PAN4/WR_H2O2=0.0
!
!PAN4/WR_NO=0.0
!
!PAN4/WR_NO2=0.0
!
!PAN4/WR_NO3=0.0
!
!PAN4/WR_N2O5=0.0
!
!PAN4/WR_HONO=0.0
!
!PAN4/WR_HNO3=0.0
!
!PAN4/WR_HNO4=0.0
!
!PAN4/WR_NH3=0.0
!
!PAN4/WR_OH=0.0
!
!PAN4/WR_HO2=0.0
!
!PAN4/WR_CO2=0.0
!
!PAN4/WR_SO2=0.0
!
!PAN4/WR_H2SO4=0.0
!
!PAN4/WR_RO21=0.0
!
!PAN4/WR_RO25=0.0
!
!PAN4/WR_MEOH=0.0
!
!PAN4/WR_ETOH=0.0
!
!PAN4/WR_ALCH=0.0
!
!PAN4/WR_HCHO=0.0
!
!PAN4/WR_ALD2=0.0
!
!PAN4/WR_GLY=0.0
!
!PAN4/WR_MGLY=0.0
!
!PAN4/WR_KETL=0.0
!
!PAN4/WR_ORA1=0.0
!
!PAN4/WR_ORA2=0.0
!
!PAN4/WR_ACID=0.0
!
!PAN4/WR_RP16=0.0
!
!PAN4/WR_UR21=0.0
!
!PAN4/WR_UR28=0.0
!
!PAN4/WR_ACID2=0.0
!
!PAN4/WR_ASO3=0.0
!
!PAN4/WR_ASO4=0.0
!
!PAN4/WR_ASO5=0.0
!
!PAN4/WR_AHSO5=0.0
!
!PAN4/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ15
!
SUBROUTINE SUBJ16
!
!Indices 81 a 85
!
!
!PAN6/NO=0.0
!
!PAN6/NO2=+K131*<RO254>
 PJAC(:,81,2)=+TPK%K131(:)*TPK%RO254(:)
!
!PAN6/O3=0.0
!
!PAN6/HONO=0.0
!
!PAN6/HNO3=0.0
!
!PAN6/HNO4=0.0
!
!PAN6/N2O5=0.0
!
!PAN6/NO3=0.0
!
!PAN6/NH3=0.0
!
!PAN6/HO2=0.0
!
!PAN6/CO=0.0
!
!PAN6/H2O2=0.0
!
!PAN6/SO2=0.0
!
!PAN6/H2SO4=0.0
!
!PAN6/OH=0.0
!
!PAN6/ETHE=0.0
!
!PAN6/OLEL=0.0
!
!PAN6/OLEH=0.0
!
!PAN6/ALKL=0.0
!
!PAN6/ALKM=0.0
!
!PAN6/ALKH=0.0
!
!PAN6/AROH=0.0
!
!PAN6/AROL=0.0
!
!PAN6/AROO=0.0
!
!PAN6/ARAL=0.0
!
!PAN6/ARAC=0.0
!
!PAN6/PAH=0.0
!
!PAN6/HCHO=0.0
!
!PAN6/ALD2=0.0
!
!PAN6/KETL=0.0
!
!PAN6/KETH=0.0
!
!PAN6/MEOH=0.0
!
!PAN6/ETOH=0.0
!
!PAN6/ALCH=0.0
!
!PAN6/ISOP=0.0
!
!PAN6/BIOL=0.0
!
!PAN6/BIOH=0.0
!
!PAN6/MTBE=0.0
!
!PAN6/MVK=0.0
!
!PAN6/MCR=0.0
!
!PAN6/MGLY=0.0
!
!PAN6/GLY=0.0
!
!PAN6/ORA1=0.0
!
!PAN6/ORA2=0.0
!
!PAN6/ACID=0.0
!
!PAN6/UR28=0.0
!
!PAN6/UR21=0.0
!
!PAN6/URG2=0.0
!
!PAN6/UR26=0.0
!
!PAN6/RPG2=0.0
!
!PAN6/RP18=0.0
!
!PAN6/RPG3=0.0
!
!PAN6/URG4=0.0
!
!PAN6/UR8=0.0
!
!PAN6/UR17=0.0
!
!PAN6/UR7=0.0
!
!PAN6/RPR3=0.0
!
!PAN6/URG6=0.0
!
!PAN6/UR22=0.0
!
!PAN6/URG7=0.0
!
!PAN6/RPR4=0.0
!
!PAN6/RPR7=0.0
!
!PAN6/RPG7=0.0
!
!PAN6/URG8=0.0
!
!PAN6/UR19=0.0
!
!PAN6/URG9=0.0
!
!PAN6/AP7=0.0
!
!PAN6/URG10=0.0
!
!PAN6/RPR1=0.0
!
!PAN6/RPR5=0.0
!
!PAN6/RPR8=0.0
!
!PAN6/RP10=0.0
!
!PAN6/RP11=0.0
!
!PAN6/RP16=0.0
!
!PAN6/RPRL=0.0
!
!PAN6/APAN=0.0
!
!PAN6/PAN1=0.0
!
!PAN6/PAN2=0.0
!
!PAN6/PAN3=0.0
!
!PAN6/PAN4=0.0
!
!PAN6/PAN6=-K140
 PJAC(:,81,81)=-TPK%K140(:)
!
!PAN6/PAN7=0.0
!
!PAN6/PAN8=0.0
!
!PAN6/PN10=0.0
!
!PAN6/RO2T=0.0
!
!PAN6/RO21=0.0
!
!PAN6/RO25=0.0
!
!PAN6/WC_O3=0.0
!
!PAN6/WC_H2O2=0.0
!
!PAN6/WC_NO=0.0
!
!PAN6/WC_NO2=0.0
!
!PAN6/WC_NO3=0.0
!
!PAN6/WC_N2O5=0.0
!
!PAN6/WC_HONO=0.0
!
!PAN6/WC_HNO3=0.0
!
!PAN6/WC_HNO4=0.0
!
!PAN6/WC_NH3=0.0
!
!PAN6/WC_OH=0.0
!
!PAN6/WC_HO2=0.0
!
!PAN6/WC_CO2=0.0
!
!PAN6/WC_SO2=0.0
!
!PAN6/WC_H2SO4=0.0
!
!PAN6/WC_RO21=0.0
!
!PAN6/WC_RO25=0.0
!
!PAN6/WC_MEOH=0.0
!
!PAN6/WC_ETOH=0.0
!
!PAN6/WC_ALCH=0.0
!
!PAN6/WC_HCHO=0.0
!
!PAN6/WC_ALD2=0.0
!
!PAN6/WC_GLY=0.0
!
!PAN6/WC_MGLY=0.0
!
!PAN6/WC_KETL=0.0
!
!PAN6/WC_ORA1=0.0
!
!PAN6/WC_ORA2=0.0
!
!PAN6/WC_ACID=0.0
!
!PAN6/WC_RP16=0.0
!
!PAN6/WC_UR21=0.0
!
!PAN6/WC_UR28=0.0
!
!PAN6/WC_ACID2=0.0
!
!PAN6/WC_ASO3=0.0
!
!PAN6/WC_ASO4=0.0
!
!PAN6/WC_ASO5=0.0
!
!PAN6/WC_AHSO5=0.0
!
!PAN6/WC_AHMS=0.0
!
!PAN6/WR_O3=0.0
!
!PAN6/WR_H2O2=0.0
!
!PAN6/WR_NO=0.0
!
!PAN6/WR_NO2=0.0
!
!PAN6/WR_NO3=0.0
!
!PAN6/WR_N2O5=0.0
!
!PAN6/WR_HONO=0.0
!
!PAN6/WR_HNO3=0.0
!
!PAN6/WR_HNO4=0.0
!
!PAN6/WR_NH3=0.0
!
!PAN6/WR_OH=0.0
!
!PAN6/WR_HO2=0.0
!
!PAN6/WR_CO2=0.0
!
!PAN6/WR_SO2=0.0
!
!PAN6/WR_H2SO4=0.0
!
!PAN6/WR_RO21=0.0
!
!PAN6/WR_RO25=0.0
!
!PAN6/WR_MEOH=0.0
!
!PAN6/WR_ETOH=0.0
!
!PAN6/WR_ALCH=0.0
!
!PAN6/WR_HCHO=0.0
!
!PAN6/WR_ALD2=0.0
!
!PAN6/WR_GLY=0.0
!
!PAN6/WR_MGLY=0.0
!
!PAN6/WR_KETL=0.0
!
!PAN6/WR_ORA1=0.0
!
!PAN6/WR_ORA2=0.0
!
!PAN6/WR_ACID=0.0
!
!PAN6/WR_RP16=0.0
!
!PAN6/WR_UR21=0.0
!
!PAN6/WR_UR28=0.0
!
!PAN6/WR_ACID2=0.0
!
!PAN6/WR_ASO3=0.0
!
!PAN6/WR_ASO4=0.0
!
!PAN6/WR_ASO5=0.0
!
!PAN6/WR_AHSO5=0.0
!
!PAN6/WR_AHMS=0.0
!
!PAN7/NO=0.0
!
!PAN7/NO2=+K132*<RO255>
 PJAC(:,82,2)=+TPK%K132(:)*TPK%RO255(:)
!
!PAN7/O3=0.0
!
!PAN7/HONO=0.0
!
!PAN7/HNO3=0.0
!
!PAN7/HNO4=0.0
!
!PAN7/N2O5=0.0
!
!PAN7/NO3=0.0
!
!PAN7/NH3=0.0
!
!PAN7/HO2=0.0
!
!PAN7/CO=0.0
!
!PAN7/H2O2=0.0
!
!PAN7/SO2=0.0
!
!PAN7/H2SO4=0.0
!
!PAN7/OH=0.0
!
!PAN7/ETHE=0.0
!
!PAN7/OLEL=0.0
!
!PAN7/OLEH=0.0
!
!PAN7/ALKL=0.0
!
!PAN7/ALKM=0.0
!
!PAN7/ALKH=0.0
!
!PAN7/AROH=0.0
!
!PAN7/AROL=0.0
!
!PAN7/AROO=0.0
!
!PAN7/ARAL=0.0
!
!PAN7/ARAC=0.0
!
!PAN7/PAH=0.0
!
!PAN7/HCHO=0.0
!
!PAN7/ALD2=0.0
!
!PAN7/KETL=0.0
!
!PAN7/KETH=0.0
!
!PAN7/MEOH=0.0
!
!PAN7/ETOH=0.0
!
!PAN7/ALCH=0.0
!
!PAN7/ISOP=0.0
!
!PAN7/BIOL=0.0
!
!PAN7/BIOH=0.0
!
!PAN7/MTBE=0.0
!
!PAN7/MVK=0.0
!
!PAN7/MCR=0.0
!
!PAN7/MGLY=0.0
!
!PAN7/GLY=0.0
!
!PAN7/ORA1=0.0
!
!PAN7/ORA2=0.0
!
!PAN7/ACID=0.0
!
!PAN7/UR28=0.0
!
!PAN7/UR21=0.0
!
!PAN7/URG2=0.0
!
!PAN7/UR26=0.0
!
!PAN7/RPG2=0.0
!
!PAN7/RP18=0.0
!
!PAN7/RPG3=0.0
!
!PAN7/URG4=0.0
!
!PAN7/UR8=0.0
!
!PAN7/UR17=0.0
!
!PAN7/UR7=0.0
!
!PAN7/RPR3=0.0
!
!PAN7/URG6=0.0
!
!PAN7/UR22=0.0
!
!PAN7/URG7=0.0
!
!PAN7/RPR4=0.0
!
!PAN7/RPR7=0.0
!
!PAN7/RPG7=0.0
!
!PAN7/URG8=0.0
!
!PAN7/UR19=0.0
!
!PAN7/URG9=0.0
!
!PAN7/AP7=0.0
!
!PAN7/URG10=0.0
!
!PAN7/RPR1=0.0
!
!PAN7/RPR5=0.0
!
!PAN7/RPR8=0.0
!
!PAN7/RP10=0.0
!
!PAN7/RP11=0.0
!
!PAN7/RP16=0.0
!
!PAN7/RPRL=0.0
!
!PAN7/APAN=0.0
!
!PAN7/PAN1=0.0
!
!PAN7/PAN2=0.0
!
!PAN7/PAN3=0.0
!
!PAN7/PAN4=0.0
!
!PAN7/PAN6=0.0
!
!PAN7/PAN7=-K343
 PJAC(:,82,82)=-TPK%K343(:)
!
!PAN7/PAN8=0.0
!
!PAN7/PN10=0.0
!
!PAN7/RO2T=0.0
!
!PAN7/RO21=0.0
!
!PAN7/RO25=0.0
!
!PAN7/WC_O3=0.0
!
!PAN7/WC_H2O2=0.0
!
!PAN7/WC_NO=0.0
!
!PAN7/WC_NO2=0.0
!
!PAN7/WC_NO3=0.0
!
!PAN7/WC_N2O5=0.0
!
!PAN7/WC_HONO=0.0
!
!PAN7/WC_HNO3=0.0
!
!PAN7/WC_HNO4=0.0
!
!PAN7/WC_NH3=0.0
!
!PAN7/WC_OH=0.0
!
!PAN7/WC_HO2=0.0
!
!PAN7/WC_CO2=0.0
!
!PAN7/WC_SO2=0.0
!
!PAN7/WC_H2SO4=0.0
!
!PAN7/WC_RO21=0.0
!
!PAN7/WC_RO25=0.0
!
!PAN7/WC_MEOH=0.0
!
!PAN7/WC_ETOH=0.0
!
!PAN7/WC_ALCH=0.0
!
!PAN7/WC_HCHO=0.0
!
!PAN7/WC_ALD2=0.0
!
!PAN7/WC_GLY=0.0
!
!PAN7/WC_MGLY=0.0
!
!PAN7/WC_KETL=0.0
!
!PAN7/WC_ORA1=0.0
!
!PAN7/WC_ORA2=0.0
!
!PAN7/WC_ACID=0.0
!
!PAN7/WC_RP16=0.0
!
!PAN7/WC_UR21=0.0
!
!PAN7/WC_UR28=0.0
!
!PAN7/WC_ACID2=0.0
!
!PAN7/WC_ASO3=0.0
!
!PAN7/WC_ASO4=0.0
!
!PAN7/WC_ASO5=0.0
!
!PAN7/WC_AHSO5=0.0
!
!PAN7/WC_AHMS=0.0
!
!PAN7/WR_O3=0.0
!
!PAN7/WR_H2O2=0.0
!
!PAN7/WR_NO=0.0
!
!PAN7/WR_NO2=0.0
!
!PAN7/WR_NO3=0.0
!
!PAN7/WR_N2O5=0.0
!
!PAN7/WR_HONO=0.0
!
!PAN7/WR_HNO3=0.0
!
!PAN7/WR_HNO4=0.0
!
!PAN7/WR_NH3=0.0
!
!PAN7/WR_OH=0.0
!
!PAN7/WR_HO2=0.0
!
!PAN7/WR_CO2=0.0
!
!PAN7/WR_SO2=0.0
!
!PAN7/WR_H2SO4=0.0
!
!PAN7/WR_RO21=0.0
!
!PAN7/WR_RO25=0.0
!
!PAN7/WR_MEOH=0.0
!
!PAN7/WR_ETOH=0.0
!
!PAN7/WR_ALCH=0.0
!
!PAN7/WR_HCHO=0.0
!
!PAN7/WR_ALD2=0.0
!
!PAN7/WR_GLY=0.0
!
!PAN7/WR_MGLY=0.0
!
!PAN7/WR_KETL=0.0
!
!PAN7/WR_ORA1=0.0
!
!PAN7/WR_ORA2=0.0
!
!PAN7/WR_ACID=0.0
!
!PAN7/WR_RP16=0.0
!
!PAN7/WR_UR21=0.0
!
!PAN7/WR_UR28=0.0
!
!PAN7/WR_ACID2=0.0
!
!PAN7/WR_ASO3=0.0
!
!PAN7/WR_ASO4=0.0
!
!PAN7/WR_ASO5=0.0
!
!PAN7/WR_AHSO5=0.0
!
!PAN7/WR_AHMS=0.0
!
!PAN8/NO=0.0
!
!PAN8/NO2=+K316*<RO256>
 PJAC(:,83,2)=+TPK%K316(:)*TPK%RO256(:)
!
!PAN8/O3=0.0
!
!PAN8/HONO=0.0
!
!PAN8/HNO3=0.0
!
!PAN8/HNO4=0.0
!
!PAN8/N2O5=0.0
!
!PAN8/NO3=0.0
!
!PAN8/NH3=0.0
!
!PAN8/HO2=0.0
!
!PAN8/CO=0.0
!
!PAN8/H2O2=0.0
!
!PAN8/SO2=0.0
!
!PAN8/H2SO4=0.0
!
!PAN8/OH=0.0
!
!PAN8/ETHE=0.0
!
!PAN8/OLEL=0.0
!
!PAN8/OLEH=0.0
!
!PAN8/ALKL=0.0
!
!PAN8/ALKM=0.0
!
!PAN8/ALKH=0.0
!
!PAN8/AROH=0.0
!
!PAN8/AROL=0.0
!
!PAN8/AROO=0.0
!
!PAN8/ARAL=0.0
!
!PAN8/ARAC=0.0
!
!PAN8/PAH=0.0
!
!PAN8/HCHO=0.0
!
!PAN8/ALD2=0.0
!
!PAN8/KETL=0.0
!
!PAN8/KETH=0.0
!
!PAN8/MEOH=0.0
!
!PAN8/ETOH=0.0
!
!PAN8/ALCH=0.0
!
!PAN8/ISOP=0.0
!
!PAN8/BIOL=0.0
!
!PAN8/BIOH=0.0
!
!PAN8/MTBE=0.0
!
!PAN8/MVK=0.0
!
!PAN8/MCR=0.0
!
!PAN8/MGLY=0.0
!
!PAN8/GLY=0.0
!
!PAN8/ORA1=0.0
!
!PAN8/ORA2=0.0
!
!PAN8/ACID=0.0
!
!PAN8/UR28=0.0
!
!PAN8/UR21=0.0
!
!PAN8/URG2=0.0
!
!PAN8/UR26=0.0
!
!PAN8/RPG2=0.0
!
!PAN8/RP18=0.0
!
!PAN8/RPG3=0.0
!
!PAN8/URG4=0.0
!
!PAN8/UR8=0.0
!
!PAN8/UR17=0.0
!
!PAN8/UR7=0.0
!
!PAN8/RPR3=0.0
!
!PAN8/URG6=0.0
!
!PAN8/UR22=0.0
!
!PAN8/URG7=0.0
!
!PAN8/RPR4=0.0
!
!PAN8/RPR7=0.0
!
!PAN8/RPG7=0.0
!
!PAN8/URG8=0.0
!
!PAN8/UR19=0.0
!
!PAN8/URG9=0.0
!
!PAN8/AP7=0.0
!
!PAN8/URG10=0.0
!
!PAN8/RPR1=0.0
!
!PAN8/RPR5=0.0
!
!PAN8/RPR8=0.0
!
!PAN8/RP10=0.0
!
!PAN8/RP11=0.0
!
!PAN8/RP16=0.0
!
!PAN8/RPRL=0.0
!
!PAN8/APAN=0.0
!
!PAN8/PAN1=0.0
!
!PAN8/PAN2=0.0
!
!PAN8/PAN3=0.0
!
!PAN8/PAN4=0.0
!
!PAN8/PAN6=0.0
!
!PAN8/PAN7=0.0
!
!PAN8/PAN8=-K317
 PJAC(:,83,83)=-TPK%K317(:)
!
!PAN8/PN10=0.0
!
!PAN8/RO2T=0.0
!
!PAN8/RO21=0.0
!
!PAN8/RO25=0.0
!
!PAN8/WC_O3=0.0
!
!PAN8/WC_H2O2=0.0
!
!PAN8/WC_NO=0.0
!
!PAN8/WC_NO2=0.0
!
!PAN8/WC_NO3=0.0
!
!PAN8/WC_N2O5=0.0
!
!PAN8/WC_HONO=0.0
!
!PAN8/WC_HNO3=0.0
!
!PAN8/WC_HNO4=0.0
!
!PAN8/WC_NH3=0.0
!
!PAN8/WC_OH=0.0
!
!PAN8/WC_HO2=0.0
!
!PAN8/WC_CO2=0.0
!
!PAN8/WC_SO2=0.0
!
!PAN8/WC_H2SO4=0.0
!
!PAN8/WC_RO21=0.0
!
!PAN8/WC_RO25=0.0
!
!PAN8/WC_MEOH=0.0
!
!PAN8/WC_ETOH=0.0
!
!PAN8/WC_ALCH=0.0
!
!PAN8/WC_HCHO=0.0
!
!PAN8/WC_ALD2=0.0
!
!PAN8/WC_GLY=0.0
!
!PAN8/WC_MGLY=0.0
!
!PAN8/WC_KETL=0.0
!
!PAN8/WC_ORA1=0.0
!
!PAN8/WC_ORA2=0.0
!
!PAN8/WC_ACID=0.0
!
!PAN8/WC_RP16=0.0
!
!PAN8/WC_UR21=0.0
!
!PAN8/WC_UR28=0.0
!
!PAN8/WC_ACID2=0.0
!
!PAN8/WC_ASO3=0.0
!
!PAN8/WC_ASO4=0.0
!
!PAN8/WC_ASO5=0.0
!
!PAN8/WC_AHSO5=0.0
!
!PAN8/WC_AHMS=0.0
!
!PAN8/WR_O3=0.0
!
!PAN8/WR_H2O2=0.0
!
!PAN8/WR_NO=0.0
!
!PAN8/WR_NO2=0.0
!
!PAN8/WR_NO3=0.0
!
!PAN8/WR_N2O5=0.0
!
!PAN8/WR_HONO=0.0
!
!PAN8/WR_HNO3=0.0
!
!PAN8/WR_HNO4=0.0
!
!PAN8/WR_NH3=0.0
!
!PAN8/WR_OH=0.0
!
!PAN8/WR_HO2=0.0
!
!PAN8/WR_CO2=0.0
!
!PAN8/WR_SO2=0.0
!
!PAN8/WR_H2SO4=0.0
!
!PAN8/WR_RO21=0.0
!
!PAN8/WR_RO25=0.0
!
!PAN8/WR_MEOH=0.0
!
!PAN8/WR_ETOH=0.0
!
!PAN8/WR_ALCH=0.0
!
!PAN8/WR_HCHO=0.0
!
!PAN8/WR_ALD2=0.0
!
!PAN8/WR_GLY=0.0
!
!PAN8/WR_MGLY=0.0
!
!PAN8/WR_KETL=0.0
!
!PAN8/WR_ORA1=0.0
!
!PAN8/WR_ORA2=0.0
!
!PAN8/WR_ACID=0.0
!
!PAN8/WR_RP16=0.0
!
!PAN8/WR_UR21=0.0
!
!PAN8/WR_UR28=0.0
!
!PAN8/WR_ACID2=0.0
!
!PAN8/WR_ASO3=0.0
!
!PAN8/WR_ASO4=0.0
!
!PAN8/WR_ASO5=0.0
!
!PAN8/WR_AHSO5=0.0
!
!PAN8/WR_AHMS=0.0
!
!PN10/NO=0.0
!
!PN10/NO2=+K134*<RO258>
 PJAC(:,84,2)=+TPK%K134(:)*TPK%RO258(:)
!
!PN10/O3=0.0
!
!PN10/HONO=0.0
!
!PN10/HNO3=0.0
!
!PN10/HNO4=0.0
!
!PN10/N2O5=0.0
!
!PN10/NO3=0.0
!
!PN10/NH3=0.0
!
!PN10/HO2=0.0
!
!PN10/CO=0.0
!
!PN10/H2O2=0.0
!
!PN10/SO2=0.0
!
!PN10/H2SO4=0.0
!
!PN10/OH=0.0
!
!PN10/ETHE=0.0
!
!PN10/OLEL=0.0
!
!PN10/OLEH=0.0
!
!PN10/ALKL=0.0
!
!PN10/ALKM=0.0
!
!PN10/ALKH=0.0
!
!PN10/AROH=0.0
!
!PN10/AROL=0.0
!
!PN10/AROO=0.0
!
!PN10/ARAL=0.0
!
!PN10/ARAC=0.0
!
!PN10/PAH=0.0
!
!PN10/HCHO=0.0
!
!PN10/ALD2=0.0
!
!PN10/KETL=0.0
!
!PN10/KETH=0.0
!
!PN10/MEOH=0.0
!
!PN10/ETOH=0.0
!
!PN10/ALCH=0.0
!
!PN10/ISOP=0.0
!
!PN10/BIOL=0.0
!
!PN10/BIOH=0.0
!
!PN10/MTBE=0.0
!
!PN10/MVK=0.0
!
!PN10/MCR=0.0
!
!PN10/MGLY=0.0
!
!PN10/GLY=0.0
!
!PN10/ORA1=0.0
!
!PN10/ORA2=0.0
!
!PN10/ACID=0.0
!
!PN10/UR28=0.0
!
!PN10/UR21=0.0
!
!PN10/URG2=0.0
!
!PN10/UR26=0.0
!
!PN10/RPG2=0.0
!
!PN10/RP18=0.0
!
!PN10/RPG3=0.0
!
!PN10/URG4=0.0
!
!PN10/UR8=0.0
!
!PN10/UR17=0.0
!
!PN10/UR7=0.0
!
!PN10/RPR3=0.0
!
!PN10/URG6=0.0
!
!PN10/UR22=0.0
!
!PN10/URG7=0.0
!
!PN10/RPR4=0.0
!
!PN10/RPR7=0.0
!
!PN10/RPG7=0.0
!
!PN10/URG8=0.0
!
!PN10/UR19=0.0
!
!PN10/URG9=0.0
!
!PN10/AP7=0.0
!
!PN10/URG10=0.0
!
!PN10/RPR1=0.0
!
!PN10/RPR5=0.0
!
!PN10/RPR8=0.0
!
!PN10/RP10=0.0
!
!PN10/RP11=0.0
!
!PN10/RP16=0.0
!
!PN10/RPRL=0.0
!
!PN10/APAN=0.0
!
!PN10/PAN1=0.0
!
!PN10/PAN2=0.0
!
!PN10/PAN3=0.0
!
!PN10/PAN4=0.0
!
!PN10/PAN6=0.0
!
!PN10/PAN7=0.0
!
!PN10/PAN8=0.0
!
!PN10/PN10=-K138
 PJAC(:,84,84)=-TPK%K138(:)
!
!PN10/RO2T=0.0
!
!PN10/RO21=0.0
!
!PN10/RO25=0.0
!
!PN10/WC_O3=0.0
!
!PN10/WC_H2O2=0.0
!
!PN10/WC_NO=0.0
!
!PN10/WC_NO2=0.0
!
!PN10/WC_NO3=0.0
!
!PN10/WC_N2O5=0.0
!
!PN10/WC_HONO=0.0
!
!PN10/WC_HNO3=0.0
!
!PN10/WC_HNO4=0.0
!
!PN10/WC_NH3=0.0
!
!PN10/WC_OH=0.0
!
!PN10/WC_HO2=0.0
!
!PN10/WC_CO2=0.0
!
!PN10/WC_SO2=0.0
!
!PN10/WC_H2SO4=0.0
!
!PN10/WC_RO21=0.0
!
!PN10/WC_RO25=0.0
!
!PN10/WC_MEOH=0.0
!
!PN10/WC_ETOH=0.0
!
!PN10/WC_ALCH=0.0
!
!PN10/WC_HCHO=0.0
!
!PN10/WC_ALD2=0.0
!
!PN10/WC_GLY=0.0
!
!PN10/WC_MGLY=0.0
!
!PN10/WC_KETL=0.0
!
!PN10/WC_ORA1=0.0
!
!PN10/WC_ORA2=0.0
!
!PN10/WC_ACID=0.0
!
!PN10/WC_RP16=0.0
!
!PN10/WC_UR21=0.0
!
!PN10/WC_UR28=0.0
!
!PN10/WC_ACID2=0.0
!
!PN10/WC_ASO3=0.0
!
!PN10/WC_ASO4=0.0
!
!PN10/WC_ASO5=0.0
!
!PN10/WC_AHSO5=0.0
!
!PN10/WC_AHMS=0.0
!
!PN10/WR_O3=0.0
!
!PN10/WR_H2O2=0.0
!
!PN10/WR_NO=0.0
!
!PN10/WR_NO2=0.0
!
!PN10/WR_NO3=0.0
!
!PN10/WR_N2O5=0.0
!
!PN10/WR_HONO=0.0
!
!PN10/WR_HNO3=0.0
!
!PN10/WR_HNO4=0.0
!
!PN10/WR_NH3=0.0
!
!PN10/WR_OH=0.0
!
!PN10/WR_HO2=0.0
!
!PN10/WR_CO2=0.0
!
!PN10/WR_SO2=0.0
!
!PN10/WR_H2SO4=0.0
!
!PN10/WR_RO21=0.0
!
!PN10/WR_RO25=0.0
!
!PN10/WR_MEOH=0.0
!
!PN10/WR_ETOH=0.0
!
!PN10/WR_ALCH=0.0
!
!PN10/WR_HCHO=0.0
!
!PN10/WR_ALD2=0.0
!
!PN10/WR_GLY=0.0
!
!PN10/WR_MGLY=0.0
!
!PN10/WR_KETL=0.0
!
!PN10/WR_ORA1=0.0
!
!PN10/WR_ORA2=0.0
!
!PN10/WR_ACID=0.0
!
!PN10/WR_RP16=0.0
!
!PN10/WR_UR21=0.0
!
!PN10/WR_UR28=0.0
!
!PN10/WR_ACID2=0.0
!
!PN10/WR_ASO3=0.0
!
!PN10/WR_ASO4=0.0
!
!PN10/WR_ASO5=0.0
!
!PN10/WR_AHSO5=0.0
!
!PN10/WR_AHMS=0.0
!
!RO2T/NO=-K095*<RO2T>+K125*<RO26>+K144*<RO27>+K147*<RO28>+K162*<RO213>+K165*<RO
!239>+TPK%CF8*K168*<RO214>+K174*<RO216>+TPK%CF18*K186*<RO220>+K204*<RO226>+TPK%
!CF30*K213*<RO229>+K216*<RO240>+TPK%CF34*K224*<RO232>+K277*<RO248>+K288*<RO250>
!+K297*<RO253>+K309*<RO255>+K331*<RO257>+K344*<RO230>
 PJAC(:,85,1)=-TPK%K095(:)*PCONC(:,85)+TPK%K125(:)*TPK%RO26(:)+TPK%K144(:)*TPK%&
&RO27(:)+TPK%K147(:)*TPK%RO28(:)+TPK%K162(:)*TPK%RO213(:)+TPK%K165(:)*TPK%RO239&
&(:)+TPK%CF8*TPK%K168(:)*TPK%RO214(:)+TPK%K174(:)*TPK%RO216(:)+TPK%CF18*TPK%K18&
&6(:)*TPK%RO220(:)+TPK%K204(:)*TPK%RO226(:)+TPK%CF30*TPK%K213(:)*TPK%RO229(:)+T&
&PK%K216(:)*TPK%RO240(:)+TPK%CF34*TPK%K224(:)*TPK%RO232(:)+TPK%K277(:)*TPK%RO24&
&8(:)+TPK%K288(:)*TPK%RO250(:)+TPK%K297(:)*TPK%RO253(:)+TPK%K309(:)*TPK%RO255(:&
&)+TPK%K331(:)*TPK%RO257(:)+TPK%K344(:)*TPK%RO230(:)
!
!RO2T/NO2=0.0
!
!RO2T/O3=+0.28*K056*<OLEL>+0.366*K066*<ISOP>+0.28*K076*<OLEH>+0.445*K086*<BIOL>
!+0.89*K090*<BIOH>+0.28*K281*<MVK>+0.41*K282*<MCR>
 PJAC(:,85,3)=+0.28*TPK%K056(:)*PCONC(:,17)+0.366*TPK%K066(:)*PCONC(:,35)+0.28*&
&TPK%K076(:)*PCONC(:,18)+0.445*TPK%K086(:)*PCONC(:,36)+0.89*TPK%K090(:)*PCONC(:&
&,37)+0.28*TPK%K281(:)*PCONC(:,39)+0.41*TPK%K282(:)*PCONC(:,40)
!
!RO2T/HONO=0.0
!
!RO2T/HNO3=0.0
!
!RO2T/HNO4=0.0
!
!RO2T/N2O5=0.0
!
!RO2T/NO3=+K050*<ETHE>+K055*<OLEL>+K061*<ALD2>+K065*<ISOP>+K075*<OLEH>+K085*<BI
!OL>+K089*<BIOH>+K275*<MCR>+K278*<MGLY>+K307*<RPR1>+K313*<RPR3>+K327*<RPR8>+K33
!8*<RP16>
 PJAC(:,85,8)=+TPK%K050(:)*PCONC(:,16)+TPK%K055(:)*PCONC(:,17)+TPK%K061(:)*PCON&
&C(:,29)+TPK%K065(:)*PCONC(:,35)+TPK%K075(:)*PCONC(:,18)+TPK%K085(:)*PCONC(:,36&
&)+TPK%K089(:)*PCONC(:,37)+TPK%K275(:)*PCONC(:,40)+TPK%K278(:)*PCONC(:,41)+TPK%&
&K307(:)*PCONC(:,69)+TPK%K313(:)*PCONC(:,57)+TPK%K327(:)*PCONC(:,71)+TPK%K338(:&
&)*PCONC(:,74)
!
!RO2T/NH3=0.0
!
!RO2T/HO2=-K094*<RO2T>+K146*<RO27>+K164*<RO213>+K170*<RO214>+K176*<RO216>+K188*
!<RO220>+K206*<RO226>+K215*<RO229>+K218*<RO240>+K220*<RO230>+K226*<RO232>+K292*
!<RO251>+K295*<RO252>+2.*K298*<RO253>
 PJAC(:,85,10)=-TPK%K094(:)*PCONC(:,85)+TPK%K146(:)*TPK%RO27(:)+TPK%K164(:)*TPK&
&%RO213(:)+TPK%K170(:)*TPK%RO214(:)+TPK%K176(:)*TPK%RO216(:)+TPK%K188(:)*TPK%RO&
&220(:)+TPK%K206(:)*TPK%RO226(:)+TPK%K215(:)*TPK%RO229(:)+TPK%K218(:)*TPK%RO240&
&(:)+TPK%K220(:)*TPK%RO230(:)+TPK%K226(:)*TPK%RO232(:)+TPK%K292(:)*TPK%RO251(:)&
&+TPK%K295(:)*TPK%RO252(:)+2.*TPK%K298(:)*TPK%RO253(:)
!
!RO2T/CO=0.0
!
!RO2T/H2O2=0.0
!
!RO2T/SO2=0.0
!
!RO2T/H2SO4=0.0
!
!RO2T/OH=+K043*<CH4>+K049*<ETHE>+TPK%CF2*K053*<ETOH>+K054*<OLEL>+K058*<ALKL>+K0
!60*<ALD2>+K062*<KETL>+K064*<ISOP>+K068*<MTBE>+K069*<ALCH>+K070*<KETH>+0.1*K073
!*<AROO>+K074*<OLEH>+K078*<ALKM>+0.06*K079*<AROL>+TPK%CF45*K082*<ARAL>+0.1*K083
!*<ARAC>+K084*<BIOL>+K088*<BIOH>+0.1*K092*<PAH>+K093*<ALKH>+K272*<MVK>+K273*<MC
!R>+K274*<MGLY>+K304*<RPR1>+K305*<RP16>+K312*<RPR3>+K324*<RPR8>
 PJAC(:,85,15)=+TPK%K043(:)*TPK%CH4(:)+TPK%K049(:)*PCONC(:,16)+TPK%CF2*TPK%K053&
&(:)*PCONC(:,33)+TPK%K054(:)*PCONC(:,17)+TPK%K058(:)*PCONC(:,19)+TPK%K060(:)*PC&
&ONC(:,29)+TPK%K062(:)*PCONC(:,30)+TPK%K064(:)*PCONC(:,35)+TPK%K068(:)*PCONC(:,&
&38)+TPK%K069(:)*PCONC(:,34)+TPK%K070(:)*PCONC(:,31)+0.1*TPK%K073(:)*PCONC(:,24&
&)+TPK%K074(:)*PCONC(:,18)+TPK%K078(:)*PCONC(:,20)+0.06*TPK%K079(:)*PCONC(:,23)&
&+TPK%CF45*TPK%K082(:)*PCONC(:,25)+0.1*TPK%K083(:)*PCONC(:,26)+TPK%K084(:)*PCON&
&C(:,36)+TPK%K088(:)*PCONC(:,37)+0.1*TPK%K092(:)*PCONC(:,27)+TPK%K093(:)*PCONC(&
&:,21)+TPK%K272(:)*PCONC(:,39)+TPK%K273(:)*PCONC(:,40)+TPK%K274(:)*PCONC(:,41)+&
&TPK%K304(:)*PCONC(:,69)+TPK%K305(:)*PCONC(:,74)+TPK%K312(:)*PCONC(:,57)+TPK%K3&
&24(:)*PCONC(:,71)
!
!RO2T/ETHE=+K049*<OH>+K050*<NO3>+K052*<O>
 PJAC(:,85,16)=+TPK%K049(:)*PCONC(:,15)+TPK%K050(:)*PCONC(:,8)+TPK%K052(:)*TPK%&
&O(:)
!
!RO2T/OLEL=+K054*<OH>+K055*<NO3>+0.28*K056*<O3>+0.2*K057*<O>
 PJAC(:,85,17)=+TPK%K054(:)*PCONC(:,15)+TPK%K055(:)*PCONC(:,8)+0.28*TPK%K056(:)&
&*PCONC(:,3)+0.2*TPK%K057(:)*TPK%O(:)
!
!RO2T/OLEH=+K074*<OH>+K075*<NO3>+0.28*K076*<O3>+0.2*K077*<O>
 PJAC(:,85,18)=+TPK%K074(:)*PCONC(:,15)+TPK%K075(:)*PCONC(:,8)+0.28*TPK%K076(:)&
&*PCONC(:,3)+0.2*TPK%K077(:)*TPK%O(:)
!
!RO2T/ALKL=+K058*<OH>
 PJAC(:,85,19)=+TPK%K058(:)*PCONC(:,15)
!
!RO2T/ALKM=+K078*<OH>
 PJAC(:,85,20)=+TPK%K078(:)*PCONC(:,15)
!
!RO2T/ALKH=+K093*<OH>
 PJAC(:,85,21)=+TPK%K093(:)*PCONC(:,15)
!
!RO2T/AROH=0.0
!
!RO2T/AROL=+0.06*K079*<OH>
 PJAC(:,85,23)=+0.06*TPK%K079(:)*PCONC(:,15)
!
!RO2T/AROO=+0.1*K073*<OH>
 PJAC(:,85,24)=+0.1*TPK%K073(:)*PCONC(:,15)
!
!RO2T/ARAL=+TPK%CF45*K082*<OH>
 PJAC(:,85,25)=+TPK%CF45*TPK%K082(:)*PCONC(:,15)
!
!RO2T/ARAC=+0.1*K083*<OH>
 PJAC(:,85,26)=+0.1*TPK%K083(:)*PCONC(:,15)
!
!RO2T/PAH=+0.1*K092*<OH>
 PJAC(:,85,27)=+0.1*TPK%K092(:)*PCONC(:,15)
!
!RO2T/HCHO=0.0
!
!RO2T/ALD2=+K059+K060*<OH>+K061*<NO3>
 PJAC(:,85,29)=+TPK%K059(:)+TPK%K060(:)*PCONC(:,15)+TPK%K061(:)*PCONC(:,8)
!
!RO2T/KETL=+K062*<OH>+2.*K063
 PJAC(:,85,30)=+TPK%K062(:)*PCONC(:,15)+2.*TPK%K063(:)
!
!RO2T/KETH=+K070*<OH>+2.*K071
 PJAC(:,85,31)=+TPK%K070(:)*PCONC(:,15)+2.*TPK%K071(:)
!
!RO2T/MEOH=0.0
!
!RO2T/ETOH=+TPK%CF2*K053*<OH>
 PJAC(:,85,33)=+TPK%CF2*TPK%K053(:)*PCONC(:,15)
!
!RO2T/ALCH=+K069*<OH>
 PJAC(:,85,34)=+TPK%K069(:)*PCONC(:,15)
!
!RO2T/ISOP=+K064*<OH>+K065*<NO3>+0.366*K066*<O3>
 PJAC(:,85,35)=+TPK%K064(:)*PCONC(:,15)+TPK%K065(:)*PCONC(:,8)+0.366*TPK%K066(:&
&)*PCONC(:,3)
!
!RO2T/BIOL=+K084*<OH>+K085*<NO3>+0.445*K086*<O3>
 PJAC(:,85,36)=+TPK%K084(:)*PCONC(:,15)+TPK%K085(:)*PCONC(:,8)+0.445*TPK%K086(:&
&)*PCONC(:,3)
!
!RO2T/BIOH=+K088*<OH>+K089*<NO3>+0.89*K090*<O3>
 PJAC(:,85,37)=+TPK%K088(:)*PCONC(:,15)+TPK%K089(:)*PCONC(:,8)+0.89*TPK%K090(:)&
&*PCONC(:,3)
!
!RO2T/MTBE=+K068*<OH>
 PJAC(:,85,38)=+TPK%K068(:)*PCONC(:,15)
!
!RO2T/MVK=+K272*<OH>+0.28*K281*<O3>+0.3*K283*<O>
 PJAC(:,85,39)=+TPK%K272(:)*PCONC(:,15)+0.28*TPK%K281(:)*PCONC(:,3)+0.3*TPK%K28&
&3(:)*TPK%O(:)
!
!RO2T/MCR=+K273*<OH>+K275*<NO3>+0.41*K282*<O3>+0.15*K284*<O>
 PJAC(:,85,40)=+TPK%K273(:)*PCONC(:,15)+TPK%K275(:)*PCONC(:,8)+0.41*TPK%K282(:)&
&*PCONC(:,3)+0.15*TPK%K284(:)*TPK%O(:)
!
!RO2T/MGLY=+K274*<OH>+K276+K278*<NO3>
 PJAC(:,85,41)=+TPK%K274(:)*PCONC(:,15)+TPK%K276(:)+TPK%K278(:)*PCONC(:,8)
!
!RO2T/GLY=0.0
!
!RO2T/ORA1=0.0
!
!RO2T/ORA2=0.0
!
!RO2T/ACID=0.0
!
!RO2T/UR28=0.0
!
!RO2T/UR21=0.0
!
!RO2T/URG2=0.0
!
!RO2T/UR26=0.0
!
!RO2T/RPG2=0.0
!
!RO2T/RP18=0.0
!
!RO2T/RPG3=0.0
!
!RO2T/URG4=0.0
!
!RO2T/UR8=0.0
!
!RO2T/UR17=0.0
!
!RO2T/UR7=0.0
!
!RO2T/RPR3=+K312*<OH>+K313*<NO3>
 PJAC(:,85,57)=+TPK%K312(:)*PCONC(:,15)+TPK%K313(:)*PCONC(:,8)
!
!RO2T/URG6=0.0
!
!RO2T/UR22=0.0
!
!RO2T/URG7=0.0
!
!RO2T/RPR4=0.0
!
!RO2T/RPR7=0.0
!
!RO2T/RPG7=0.0
!
!RO2T/URG8=0.0
!
!RO2T/UR19=0.0
!
!RO2T/URG9=0.0
!
!RO2T/AP7=0.0
!
!RO2T/URG10=0.0
!
!RO2T/RPR1=+K304*<OH>+K307*<NO3>+K308
 PJAC(:,85,69)=+TPK%K304(:)*PCONC(:,15)+TPK%K307(:)*PCONC(:,8)+TPK%K308(:)
!
!RO2T/RPR5=0.0
!
!RO2T/RPR8=+K324*<OH>+K327*<NO3>+K329+K330
 PJAC(:,85,71)=+TPK%K324(:)*PCONC(:,15)+TPK%K327(:)*PCONC(:,8)+TPK%K329(:)+TPK%&
&K330(:)
!
!RO2T/RP10=0.0
!
!RO2T/RP11=0.0
!
!RO2T/RP16=+K305*<OH>+K338*<NO3>
 PJAC(:,85,74)=+TPK%K305(:)*PCONC(:,15)+TPK%K338(:)*PCONC(:,8)
!
!RO2T/RPRL=0.0
!
!RO2T/APAN=+1.0000000*K139
 PJAC(:,85,76)=+1.0000000*TPK%K139(:)
!
!RO2T/PAN1=+K135
 PJAC(:,85,77)=+TPK%K135(:)
!
!RO2T/PAN2=+K136
 PJAC(:,85,78)=+TPK%K136(:)
!
!RO2T/PAN3=+K137
 PJAC(:,85,79)=+TPK%K137(:)
!
!RO2T/PAN4=+K141
 PJAC(:,85,80)=+TPK%K141(:)
!
!RO2T/PAN6=+K140
 PJAC(:,85,81)=+TPK%K140(:)
!
!RO2T/PAN7=+K343
 PJAC(:,85,82)=+TPK%K343(:)
!
!RO2T/PAN8=+K317
 PJAC(:,85,83)=+TPK%K317(:)
!
!RO2T/PN10=+K138
 PJAC(:,85,84)=+TPK%K138(:)
!
!RO2T/RO2T=-K094*<HO2>-K095*<NO>+K096*<RO2T>+K096*<RO2T>-K096*<RO2T>-K096*<RO2T
!>-K096*<RO2T>-K096*<RO2T>+K111*<RO21>-K111*<RO21>+K114*<RO22>-K114*<RO22>+K117
!*<RO23>-K117*<RO23>+K120*<RO24>-K120*<RO24>+K123*<RO25>-K123*<RO25>+2.*K143*<R
!O26>-K143*<RO26>+2.*K145*<RO27>-K145*<RO27>+2.*K149*<RO28>-K149*<RO28>+K151*<R
!O29>-K151*<RO29>+K154*<RO210>-K154*<RO210>+K157*<RO211>-K157*<RO211>+K160*<RO2
!12>-K160*<RO212>+2.*K163*<RO213>-K163*<RO213>+2.*K167*<RO239>-K167*<RO239>+2.*
!K169*<RO214>-K169*<RO214>+K172*<RO215>-K172*<RO215>+2.*K175*<RO216>-K175*<RO21
!6>+K178*<RO217>-K178*<RO217>+K181*<RO218>-K181*<RO218>+K184*<RO219>-K184*<RO21
!9>+2.*K187*<RO220>-K187*<RO220>+K190*<RO221>-K190*<RO221>+K193*<RO222>-K193*<R
!O222>+K196*<RO223>-K196*<RO223>+K199*<RO224>-K199*<RO224>+K202*<RO225>-K202*<R
!O225>+2.*K205*<RO226>-K205*<RO226>+K208*<RO227>-K208*<RO227>+K211*<RO228>-K211
!*<RO228>+2.*K214*<RO229>-K214*<RO229>+2.*K217*<RO240>-K217*<RO240>+2.*K219*<RO
!230>-K219*<RO230>+K222*<RO231>-K222*<RO231>+2.*K225*<RO232>-K225*<RO232>+K228*
!<RO241>-K228*<RO241>+K232*<RO233>-K232*<RO233>+K235*<RO242>-K235*<RO242>+K239*
!<RO234>-K239*<RO234>+K242*<RO243>-K242*<RO243>+K246*<RO235>-K246*<RO235>+K249*
!<RO244>-K249*<RO244>+K253*<RO236>-K253*<RO236>+K256*<RO245>-K256*<RO245>+K260*
!<RO237>-K260*<RO237>+K263*<RO246>-K263*<RO246>+K267*<RO238>-K267*<RO238>+K270*
!<RO247>-K270*<RO247>+2.*K280*<RO248>-K280*<RO248>+K286*<RO249>-K286*<RO249>+2.
!*K290*<RO250>-K290*<RO250>-K293*<RO251>-K296*<RO252>+K299*<RO253>-K299*<RO253>
!+K302*<RO254>-K302*<RO254>+2.*K311*<RO255>-K311*<RO255>+K319*<RO256>-K319*<RO2
!56>+2.*K333*<RO257>-K333*<RO257>+K342*<RO258>-K342*<RO258>
 PJAC(:,85,85)=-TPK%K094(:)*PCONC(:,10)-TPK%K095(:)*PCONC(:,1)+TPK%K096(:)*PCON&
&C(:,85)+TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85&
&)-TPK%K096(:)*PCONC(:,85)-TPK%K096(:)*PCONC(:,85)+TPK%K111(:)*PCONC(:,86)-TPK%&
&K111(:)*PCONC(:,86)+TPK%K114(:)*TPK%RO22(:)-TPK%K114(:)*TPK%RO22(:)+TPK%K117(:&
&)*TPK%RO23(:)-TPK%K117(:)*TPK%RO23(:)+TPK%K120(:)*TPK%RO24(:)-TPK%K120(:)*TPK%&
&RO24(:)+TPK%K123(:)*PCONC(:,87)-TPK%K123(:)*PCONC(:,87)+2.*TPK%K143(:)*TPK%RO2&
&6(:)-TPK%K143(:)*TPK%RO26(:)+2.*TPK%K145(:)*TPK%RO27(:)-TPK%K145(:)*TPK%RO27(:&
&)+2.*TPK%K149(:)*TPK%RO28(:)-TPK%K149(:)*TPK%RO28(:)+TPK%K151(:)*TPK%RO29(:)-T&
&PK%K151(:)*TPK%RO29(:)+TPK%K154(:)*TPK%RO210(:)-TPK%K154(:)*TPK%RO210(:)+TPK%K&
&157(:)*TPK%RO211(:)-TPK%K157(:)*TPK%RO211(:)+TPK%K160(:)*TPK%RO212(:)-TPK%K160&
&(:)*TPK%RO212(:)+2.*TPK%K163(:)*TPK%RO213(:)-TPK%K163(:)*TPK%RO213(:)+2.*TPK%K&
&167(:)*TPK%RO239(:)-TPK%K167(:)*TPK%RO239(:)+2.*TPK%K169(:)*TPK%RO214(:)-TPK%K&
&169(:)*TPK%RO214(:)+TPK%K172(:)*TPK%RO215(:)-TPK%K172(:)*TPK%RO215(:)+2.*TPK%K&
&175(:)*TPK%RO216(:)-TPK%K175(:)*TPK%RO216(:)+TPK%K178(:)*TPK%RO217(:)-TPK%K178&
&(:)*TPK%RO217(:)+TPK%K181(:)*TPK%RO218(:)-TPK%K181(:)*TPK%RO218(:)+TPK%K184(:)&
&*TPK%RO219(:)-TPK%K184(:)*TPK%RO219(:)+2.*TPK%K187(:)*TPK%RO220(:)-TPK%K187(:)&
&*TPK%RO220(:)+TPK%K190(:)*TPK%RO221(:)-TPK%K190(:)*TPK%RO221(:)+TPK%K193(:)*TP&
&K%RO222(:)-TPK%K193(:)*TPK%RO222(:)+TPK%K196(:)*TPK%RO223(:)-TPK%K196(:)*TPK%R&
&O223(:)+TPK%K199(:)*TPK%RO224(:)-TPK%K199(:)*TPK%RO224(:)+TPK%K202(:)*TPK%RO22&
&5(:)-TPK%K202(:)*TPK%RO225(:)+2.*TPK%K205(:)*TPK%RO226(:)-TPK%K205(:)*TPK%RO22&
&6(:)+TPK%K208(:)*TPK%RO227(:)-TPK%K208(:)*TPK%RO227(:)+TPK%K211(:)*TPK%RO228(:&
&)-TPK%K211(:)*TPK%RO228(:)+2.*TPK%K214(:)*TPK%RO229(:)-TPK%K214(:)*TPK%RO229(:&
&)+2.*TPK%K217(:)*TPK%RO240(:)-TPK%K217(:)*TPK%RO240(:)+2.*TPK%K219(:)*TPK%RO23&
&0(:)-TPK%K219(:)*TPK%RO230(:)+TPK%K222(:)*TPK%RO231(:)-TPK%K222(:)*TPK%RO231(:&
&)+2.*TPK%K225(:)*TPK%RO232(:)-TPK%K225(:)*TPK%RO232(:)+TPK%K228(:)*TPK%RO241(:&
&)-TPK%K228(:)*TPK%RO241(:)+TPK%K232(:)*TPK%RO233(:)-TPK%K232(:)*TPK%RO233(:)+T&
&PK%K235(:)*TPK%RO242(:)-TPK%K235(:)*TPK%RO242(:)+TPK%K239(:)*TPK%RO234(:)-TPK%&
&K239(:)*TPK%RO234(:)+TPK%K242(:)*TPK%RO243(:)-TPK%K242(:)*TPK%RO243(:)+TPK%K24&
&6(:)*TPK%RO235(:)-TPK%K246(:)*TPK%RO235(:)+TPK%K249(:)*TPK%RO244(:)-TPK%K249(:&
&)*TPK%RO244(:)+TPK%K253(:)*TPK%RO236(:)-TPK%K253(:)*TPK%RO236(:)+TPK%K256(:)*T&
&PK%RO245(:)-TPK%K256(:)*TPK%RO245(:)+TPK%K260(:)*TPK%RO237(:)-TPK%K260(:)*TPK%&
&RO237(:)+TPK%K263(:)*TPK%RO246(:)-TPK%K263(:)*TPK%RO246(:)+TPK%K267(:)*TPK%RO2&
&38(:)-TPK%K267(:)*TPK%RO238(:)+TPK%K270(:)*TPK%RO247(:)-TPK%K270(:)*TPK%RO247(&
&:)+2.*TPK%K280(:)*TPK%RO248(:)-TPK%K280(:)*TPK%RO248(:)+TPK%K286(:)*TPK%RO249(&
&:)-TPK%K286(:)*TPK%RO249(:)+2.*TPK%K290(:)*TPK%RO250(:)-TPK%K290(:)*TPK%RO250(&
&:)-TPK%K293(:)*TPK%RO251(:)-TPK%K296(:)*TPK%RO252(:)+TPK%K299(:)*TPK%RO253(:)-&
&TPK%K299(:)*TPK%RO253(:)+TPK%K302(:)*TPK%RO254(:)-TPK%K302(:)*TPK%RO254(:)+2.*&
&TPK%K311(:)*TPK%RO255(:)-TPK%K311(:)*TPK%RO255(:)+TPK%K319(:)*TPK%RO256(:)-TPK&
&%K319(:)*TPK%RO256(:)+2.*TPK%K333(:)*TPK%RO257(:)-TPK%K333(:)*TPK%RO257(:)+TPK&
&%K342(:)*TPK%RO258(:)-TPK%K342(:)*TPK%RO258(:)
!
!RO2T/RO21=+K111*<RO2T>-K111*<RO2T>
 PJAC(:,85,86)=+TPK%K111(:)*PCONC(:,85)-TPK%K111(:)*PCONC(:,85)
!
!RO2T/RO25=+K123*<RO2T>-K123*<RO2T>
 PJAC(:,85,87)=+TPK%K123(:)*PCONC(:,85)-TPK%K123(:)*PCONC(:,85)
!
!RO2T/WC_O3=0.0
!
!RO2T/WC_H2O2=0.0
!
!RO2T/WC_NO=0.0
!
!RO2T/WC_NO2=0.0
!
!RO2T/WC_NO3=0.0
!
!RO2T/WC_N2O5=0.0
!
!RO2T/WC_HONO=0.0
!
!RO2T/WC_HNO3=0.0
!
!RO2T/WC_HNO4=0.0
!
!RO2T/WC_NH3=0.0
!
!RO2T/WC_OH=0.0
!
!RO2T/WC_HO2=0.0
!
!RO2T/WC_CO2=0.0
!
!RO2T/WC_SO2=0.0
!
!RO2T/WC_H2SO4=0.0
!
!RO2T/WC_RO21=0.0
!
!RO2T/WC_RO25=0.0
!
!RO2T/WC_MEOH=0.0
!
!RO2T/WC_ETOH=0.0
!
!RO2T/WC_ALCH=0.0
!
!RO2T/WC_HCHO=0.0
!
!RO2T/WC_ALD2=0.0
!
!RO2T/WC_GLY=0.0
!
!RO2T/WC_MGLY=0.0
!
!RO2T/WC_KETL=0.0
!
!RO2T/WC_ORA1=0.0
!
!RO2T/WC_ORA2=0.0
!
!RO2T/WC_ACID=0.0
!
!RO2T/WC_RP16=0.0
!
!RO2T/WC_UR21=0.0
!
!RO2T/WC_UR28=0.0
!
!RO2T/WC_ACID2=0.0
!
!RO2T/WC_ASO3=0.0
!
!RO2T/WC_ASO4=0.0
!
!RO2T/WC_ASO5=0.0
!
!RO2T/WC_AHSO5=0.0
!
!RO2T/WC_AHMS=0.0
!
!RO2T/WR_O3=0.0
!
!RO2T/WR_H2O2=0.0
!
!RO2T/WR_NO=0.0
!
!RO2T/WR_NO2=0.0
!
!RO2T/WR_NO3=0.0
!
!RO2T/WR_N2O5=0.0
!
!RO2T/WR_HONO=0.0
!
!RO2T/WR_HNO3=0.0
!
!RO2T/WR_HNO4=0.0
!
!RO2T/WR_NH3=0.0
!
!RO2T/WR_OH=0.0
!
!RO2T/WR_HO2=0.0
!
!RO2T/WR_CO2=0.0
!
!RO2T/WR_SO2=0.0
!
!RO2T/WR_H2SO4=0.0
!
!RO2T/WR_RO21=0.0
!
!RO2T/WR_RO25=0.0
!
!RO2T/WR_MEOH=0.0
!
!RO2T/WR_ETOH=0.0
!
!RO2T/WR_ALCH=0.0
!
!RO2T/WR_HCHO=0.0
!
!RO2T/WR_ALD2=0.0
!
!RO2T/WR_GLY=0.0
!
!RO2T/WR_MGLY=0.0
!
!RO2T/WR_KETL=0.0
!
!RO2T/WR_ORA1=0.0
!
!RO2T/WR_ORA2=0.0
!
!RO2T/WR_ACID=0.0
!
!RO2T/WR_RP16=0.0
!
!RO2T/WR_UR21=0.0
!
!RO2T/WR_UR28=0.0
!
!RO2T/WR_ACID2=0.0
!
!RO2T/WR_ASO3=0.0
!
!RO2T/WR_ASO4=0.0
!
!RO2T/WR_ASO5=0.0
!
!RO2T/WR_AHSO5=0.0
!
!RO2T/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ16
!
SUBROUTINE SUBJ17
!
!Indices 86 a 90
!
!
!RO21/NO=-K110*<RO21>+K147*<RO28>
 PJAC(:,86,1)=-TPK%K110(:)*PCONC(:,86)+TPK%K147(:)*TPK%RO28(:)
!
!RO21/NO2=0.0
!
!RO21/O3=0.0
!
!RO21/HONO=0.0
!
!RO21/HNO3=0.0
!
!RO21/HNO4=0.0
!
!RO21/N2O5=0.0
!
!RO21/NO3=0.0
!
!RO21/NH3=0.0
!
!RO21/HO2=-K112*<RO21>
 PJAC(:,86,10)=-TPK%K112(:)*PCONC(:,86)
!
!RO21/CO=0.0
!
!RO21/H2O2=0.0
!
!RO21/SO2=0.0
!
!RO21/H2SO4=0.0
!
!RO21/OH=+K043*<CH4>
 PJAC(:,86,15)=+TPK%K043(:)*TPK%CH4(:)
!
!RO21/ETHE=+0.6*K052*<O>
 PJAC(:,86,16)=+0.6*TPK%K052(:)*TPK%O(:)
!
!RO21/OLEL=0.0
!
!RO21/OLEH=0.0
!
!RO21/ALKL=0.0
!
!RO21/ALKM=0.0
!
!RO21/ALKH=0.0
!
!RO21/AROH=0.0
!
!RO21/AROL=0.0
!
!RO21/AROO=0.0
!
!RO21/ARAL=0.0
!
!RO21/ARAC=0.0
!
!RO21/PAH=0.0
!
!RO21/HCHO=0.0
!
!RO21/ALD2=0.0
!
!RO21/KETL=0.0
!
!RO21/KETH=0.0
!
!RO21/MEOH=0.0
!
!RO21/ETOH=0.0
!
!RO21/ALCH=0.0
!
!RO21/ISOP=0.0
!
!RO21/BIOL=0.0
!
!RO21/BIOH=0.0
!
!RO21/MTBE=0.0
!
!RO21/MVK=0.0
!
!RO21/MCR=0.0
!
!RO21/MGLY=0.0
!
!RO21/GLY=0.0
!
!RO21/ORA1=0.0
!
!RO21/ORA2=0.0
!
!RO21/ACID=0.0
!
!RO21/UR28=0.0
!
!RO21/UR21=0.0
!
!RO21/URG2=0.0
!
!RO21/UR26=0.0
!
!RO21/RPG2=0.0
!
!RO21/RP18=0.0
!
!RO21/RPG3=0.0
!
!RO21/URG4=0.0
!
!RO21/UR8=0.0
!
!RO21/UR17=0.0
!
!RO21/UR7=0.0
!
!RO21/RPR3=0.0
!
!RO21/URG6=0.0
!
!RO21/UR22=0.0
!
!RO21/URG7=0.0
!
!RO21/RPR4=0.0
!
!RO21/RPR7=0.0
!
!RO21/RPG7=0.0
!
!RO21/URG8=0.0
!
!RO21/UR19=0.0
!
!RO21/URG9=0.0
!
!RO21/AP7=0.0
!
!RO21/URG10=0.0
!
!RO21/RPR1=0.0
!
!RO21/RPR5=0.0
!
!RO21/RPR8=0.0
!
!RO21/RP10=0.0
!
!RO21/RP11=0.0
!
!RO21/RP16=0.0
!
!RO21/RPRL=0.0
!
!RO21/APAN=0.0
!
!RO21/PAN1=0.0
!
!RO21/PAN2=0.0
!
!RO21/PAN3=0.0
!
!RO21/PAN4=0.0
!
!RO21/PAN6=0.0
!
!RO21/PAN7=0.0
!
!RO21/PAN8=0.0
!
!RO21/PN10=0.0
!
!RO21/RO2T=-K111*<RO21>+K149*<RO28>
 PJAC(:,86,85)=-TPK%K111(:)*PCONC(:,86)+TPK%K149(:)*TPK%RO28(:)
!
!RO21/RO21=-K110*<NO>-K111*<RO2T>-K112*<HO2>-KTC16-KTR16
 PJAC(:,86,86)=-TPK%K110(:)*PCONC(:,1)-TPK%K111(:)*PCONC(:,85)-TPK%K112(:)*PCON&
&C(:,10)-TPK%KTC16(:)-TPK%KTR16(:)
!
!RO21/RO25=0.0
!
!RO21/WC_O3=0.0
!
!RO21/WC_H2O2=0.0
!
!RO21/WC_NO=0.0
!
!RO21/WC_NO2=0.0
!
!RO21/WC_NO3=0.0
!
!RO21/WC_N2O5=0.0
!
!RO21/WC_HONO=0.0
!
!RO21/WC_HNO3=0.0
!
!RO21/WC_HNO4=0.0
!
!RO21/WC_NH3=0.0
!
!RO21/WC_OH=0.0
!
!RO21/WC_HO2=0.0
!
!RO21/WC_CO2=0.0
!
!RO21/WC_SO2=0.0
!
!RO21/WC_H2SO4=0.0
!
!RO21/WC_RO21=+KTC47
 PJAC(:,86,103)=+TPK%KTC47(:)
!
!RO21/WC_RO25=0.0
!
!RO21/WC_MEOH=0.0
!
!RO21/WC_ETOH=0.0
!
!RO21/WC_ALCH=0.0
!
!RO21/WC_HCHO=0.0
!
!RO21/WC_ALD2=0.0
!
!RO21/WC_GLY=0.0
!
!RO21/WC_MGLY=0.0
!
!RO21/WC_KETL=0.0
!
!RO21/WC_ORA1=0.0
!
!RO21/WC_ORA2=0.0
!
!RO21/WC_ACID=0.0
!
!RO21/WC_RP16=0.0
!
!RO21/WC_UR21=0.0
!
!RO21/WC_UR28=0.0
!
!RO21/WC_ACID2=0.0
!
!RO21/WC_ASO3=0.0
!
!RO21/WC_ASO4=0.0
!
!RO21/WC_ASO5=0.0
!
!RO21/WC_AHSO5=0.0
!
!RO21/WC_AHMS=0.0
!
!RO21/WR_O3=0.0
!
!RO21/WR_H2O2=0.0
!
!RO21/WR_NO=0.0
!
!RO21/WR_NO2=0.0
!
!RO21/WR_NO3=0.0
!
!RO21/WR_N2O5=0.0
!
!RO21/WR_HONO=0.0
!
!RO21/WR_HNO3=0.0
!
!RO21/WR_HNO4=0.0
!
!RO21/WR_NH3=0.0
!
!RO21/WR_OH=0.0
!
!RO21/WR_HO2=0.0
!
!RO21/WR_CO2=0.0
!
!RO21/WR_SO2=0.0
!
!RO21/WR_H2SO4=0.0
!
!RO21/WR_RO21=+KTR47
 PJAC(:,86,140)=+TPK%KTR47(:)
!
!RO21/WR_RO25=0.0
!
!RO21/WR_MEOH=0.0
!
!RO21/WR_ETOH=0.0
!
!RO21/WR_ALCH=0.0
!
!RO21/WR_HCHO=0.0
!
!RO21/WR_ALD2=0.0
!
!RO21/WR_GLY=0.0
!
!RO21/WR_MGLY=0.0
!
!RO21/WR_KETL=0.0
!
!RO21/WR_ORA1=0.0
!
!RO21/WR_ORA2=0.0
!
!RO21/WR_ACID=0.0
!
!RO21/WR_RP16=0.0
!
!RO21/WR_UR21=0.0
!
!RO21/WR_UR28=0.0
!
!RO21/WR_ACID2=0.0
!
!RO21/WR_ASO3=0.0
!
!RO21/WR_ASO4=0.0
!
!RO21/WR_ASO5=0.0
!
!RO21/WR_AHSO5=0.0
!
!RO21/WR_AHMS=0.0
!
!RO25/NO=-K122*<RO25>+K125*<RO26>
 PJAC(:,87,1)=-TPK%K122(:)*PCONC(:,87)+TPK%K125(:)*TPK%RO26(:)
!
!RO25/NO2=0.0
!
!RO25/O3=+0.28*K056*<OLEL>
 PJAC(:,87,3)=+0.28*TPK%K056(:)*PCONC(:,17)
!
!RO25/HONO=0.0
!
!RO25/HNO3=0.0
!
!RO25/HNO4=0.0
!
!RO25/N2O5=0.0
!
!RO25/NO3=0.0
!
!RO25/NH3=0.0
!
!RO25/HO2=-K124*<RO25>
 PJAC(:,87,10)=-TPK%K124(:)*PCONC(:,87)
!
!RO25/CO=0.0
!
!RO25/H2O2=0.0
!
!RO25/SO2=0.0
!
!RO25/H2SO4=0.0
!
!RO25/OH=+K058*<ALKL>
 PJAC(:,87,15)=+TPK%K058(:)*PCONC(:,19)
!
!RO25/ETHE=0.0
!
!RO25/OLEL=+0.28*K056*<O3>+0.1*K057*<O>
 PJAC(:,87,17)=+0.28*TPK%K056(:)*PCONC(:,3)+0.1*TPK%K057(:)*TPK%O(:)
!
!RO25/OLEH=0.0
!
!RO25/ALKL=+K058*<OH>
 PJAC(:,87,19)=+TPK%K058(:)*PCONC(:,15)
!
!RO25/ALKM=0.0
!
!RO25/ALKH=0.0
!
!RO25/AROH=0.0
!
!RO25/AROL=0.0
!
!RO25/AROO=0.0
!
!RO25/ARAL=0.0
!
!RO25/ARAC=0.0
!
!RO25/PAH=0.0
!
!RO25/HCHO=0.0
!
!RO25/ALD2=+K059
 PJAC(:,87,29)=+TPK%K059(:)
!
!RO25/KETL=+K063
 PJAC(:,87,30)=+TPK%K063(:)
!
!RO25/KETH=+K071
 PJAC(:,87,31)=+TPK%K071(:)
!
!RO25/MEOH=0.0
!
!RO25/ETOH=0.0
!
!RO25/ALCH=0.0
!
!RO25/ISOP=0.0
!
!RO25/BIOL=0.0
!
!RO25/BIOH=0.0
!
!RO25/MTBE=0.0
!
!RO25/MVK=0.0
!
!RO25/MCR=0.0
!
!RO25/MGLY=0.0
!
!RO25/GLY=0.0
!
!RO25/ORA1=0.0
!
!RO25/ORA2=0.0
!
!RO25/ACID=0.0
!
!RO25/UR28=0.0
!
!RO25/UR21=0.0
!
!RO25/URG2=0.0
!
!RO25/UR26=0.0
!
!RO25/RPG2=0.0
!
!RO25/RP18=0.0
!
!RO25/RPG3=0.0
!
!RO25/URG4=0.0
!
!RO25/UR8=0.0
!
!RO25/UR17=0.0
!
!RO25/UR7=0.0
!
!RO25/RPR3=0.0
!
!RO25/URG6=0.0
!
!RO25/UR22=0.0
!
!RO25/URG7=0.0
!
!RO25/RPR4=0.0
!
!RO25/RPR7=0.0
!
!RO25/RPG7=0.0
!
!RO25/URG8=0.0
!
!RO25/UR19=0.0
!
!RO25/URG9=0.0
!
!RO25/AP7=0.0
!
!RO25/URG10=0.0
!
!RO25/RPR1=0.0
!
!RO25/RPR5=0.0
!
!RO25/RPR8=0.0
!
!RO25/RP10=0.0
!
!RO25/RP11=0.0
!
!RO25/RP16=0.0
!
!RO25/RPRL=0.0
!
!RO25/APAN=0.0
!
!RO25/PAN1=0.0
!
!RO25/PAN2=0.0
!
!RO25/PAN3=0.0
!
!RO25/PAN4=0.0
!
!RO25/PAN6=0.0
!
!RO25/PAN7=0.0
!
!RO25/PAN8=0.0
!
!RO25/PN10=0.0
!
!RO25/RO2T=-K123*<RO25>+K143*<RO26>
 PJAC(:,87,85)=-TPK%K123(:)*PCONC(:,87)+TPK%K143(:)*TPK%RO26(:)
!
!RO25/RO21=0.0
!
!RO25/RO25=-K122*<NO>-K123*<RO2T>-K124*<HO2>-KTC17-KTR17
 PJAC(:,87,87)=-TPK%K122(:)*PCONC(:,1)-TPK%K123(:)*PCONC(:,85)-TPK%K124(:)*PCON&
&C(:,10)-TPK%KTC17(:)-TPK%KTR17(:)
!
!RO25/WC_O3=0.0
!
!RO25/WC_H2O2=0.0
!
!RO25/WC_NO=0.0
!
!RO25/WC_NO2=0.0
!
!RO25/WC_NO3=0.0
!
!RO25/WC_N2O5=0.0
!
!RO25/WC_HONO=0.0
!
!RO25/WC_HNO3=0.0
!
!RO25/WC_HNO4=0.0
!
!RO25/WC_NH3=0.0
!
!RO25/WC_OH=0.0
!
!RO25/WC_HO2=0.0
!
!RO25/WC_CO2=0.0
!
!RO25/WC_SO2=0.0
!
!RO25/WC_H2SO4=0.0
!
!RO25/WC_RO21=0.0
!
!RO25/WC_RO25=+KTC48
 PJAC(:,87,104)=+TPK%KTC48(:)
!
!RO25/WC_MEOH=0.0
!
!RO25/WC_ETOH=0.0
!
!RO25/WC_ALCH=0.0
!
!RO25/WC_HCHO=0.0
!
!RO25/WC_ALD2=0.0
!
!RO25/WC_GLY=0.0
!
!RO25/WC_MGLY=0.0
!
!RO25/WC_KETL=0.0
!
!RO25/WC_ORA1=0.0
!
!RO25/WC_ORA2=0.0
!
!RO25/WC_ACID=0.0
!
!RO25/WC_RP16=0.0
!
!RO25/WC_UR21=0.0
!
!RO25/WC_UR28=0.0
!
!RO25/WC_ACID2=0.0
!
!RO25/WC_ASO3=0.0
!
!RO25/WC_ASO4=0.0
!
!RO25/WC_ASO5=0.0
!
!RO25/WC_AHSO5=0.0
!
!RO25/WC_AHMS=0.0
!
!RO25/WR_O3=0.0
!
!RO25/WR_H2O2=0.0
!
!RO25/WR_NO=0.0
!
!RO25/WR_NO2=0.0
!
!RO25/WR_NO3=0.0
!
!RO25/WR_N2O5=0.0
!
!RO25/WR_HONO=0.0
!
!RO25/WR_HNO3=0.0
!
!RO25/WR_HNO4=0.0
!
!RO25/WR_NH3=0.0
!
!RO25/WR_OH=0.0
!
!RO25/WR_HO2=0.0
!
!RO25/WR_CO2=0.0
!
!RO25/WR_SO2=0.0
!
!RO25/WR_H2SO4=0.0
!
!RO25/WR_RO21=0.0
!
!RO25/WR_RO25=+KTR48
 PJAC(:,87,141)=+TPK%KTR48(:)
!
!RO25/WR_MEOH=0.0
!
!RO25/WR_ETOH=0.0
!
!RO25/WR_ALCH=0.0
!
!RO25/WR_HCHO=0.0
!
!RO25/WR_ALD2=0.0
!
!RO25/WR_GLY=0.0
!
!RO25/WR_MGLY=0.0
!
!RO25/WR_KETL=0.0
!
!RO25/WR_ORA1=0.0
!
!RO25/WR_ORA2=0.0
!
!RO25/WR_ACID=0.0
!
!RO25/WR_RP16=0.0
!
!RO25/WR_UR21=0.0
!
!RO25/WR_UR28=0.0
!
!RO25/WR_ACID2=0.0
!
!RO25/WR_ASO3=0.0
!
!RO25/WR_ASO4=0.0
!
!RO25/WR_ASO5=0.0
!
!RO25/WR_AHSO5=0.0
!
!RO25/WR_AHMS=0.0
!
!WC_O3/NO=0.0
!
!WC_O3/NO2=0.0
!
!WC_O3/O3=+KTC1
 PJAC(:,88,3)=+TPK%KTC1(:)
!
!WC_O3/HONO=0.0
!
!WC_O3/HNO3=0.0
!
!WC_O3/HNO4=0.0
!
!WC_O3/N2O5=0.0
!
!WC_O3/NO3=0.0
!
!WC_O3/NH3=0.0
!
!WC_O3/HO2=0.0
!
!WC_O3/CO=0.0
!
!WC_O3/H2O2=0.0
!
!WC_O3/SO2=0.0
!
!WC_O3/H2SO4=0.0
!
!WC_O3/OH=0.0
!
!WC_O3/ETHE=0.0
!
!WC_O3/OLEL=0.0
!
!WC_O3/OLEH=0.0
!
!WC_O3/ALKL=0.0
!
!WC_O3/ALKM=0.0
!
!WC_O3/ALKH=0.0
!
!WC_O3/AROH=0.0
!
!WC_O3/AROL=0.0
!
!WC_O3/AROO=0.0
!
!WC_O3/ARAL=0.0
!
!WC_O3/ARAC=0.0
!
!WC_O3/PAH=0.0
!
!WC_O3/HCHO=0.0
!
!WC_O3/ALD2=0.0
!
!WC_O3/KETL=0.0
!
!WC_O3/KETH=0.0
!
!WC_O3/MEOH=0.0
!
!WC_O3/ETOH=0.0
!
!WC_O3/ALCH=0.0
!
!WC_O3/ISOP=0.0
!
!WC_O3/BIOL=0.0
!
!WC_O3/BIOH=0.0
!
!WC_O3/MTBE=0.0
!
!WC_O3/MVK=0.0
!
!WC_O3/MCR=0.0
!
!WC_O3/MGLY=0.0
!
!WC_O3/GLY=0.0
!
!WC_O3/ORA1=0.0
!
!WC_O3/ORA2=0.0
!
!WC_O3/ACID=0.0
!
!WC_O3/UR28=0.0
!
!WC_O3/UR21=0.0
!
!WC_O3/URG2=0.0
!
!WC_O3/UR26=0.0
!
!WC_O3/RPG2=0.0
!
!WC_O3/RP18=0.0
!
!WC_O3/RPG3=0.0
!
!WC_O3/URG4=0.0
!
!WC_O3/UR8=0.0
!
!WC_O3/UR17=0.0
!
!WC_O3/UR7=0.0
!
!WC_O3/RPR3=0.0
!
!WC_O3/URG6=0.0
!
!WC_O3/UR22=0.0
!
!WC_O3/URG7=0.0
!
!WC_O3/RPR4=0.0
!
!WC_O3/RPR7=0.0
!
!WC_O3/RPG7=0.0
!
!WC_O3/URG8=0.0
!
!WC_O3/UR19=0.0
!
!WC_O3/URG9=0.0
!
!WC_O3/AP7=0.0
!
!WC_O3/URG10=0.0
!
!WC_O3/RPR1=0.0
!
!WC_O3/RPR5=0.0
!
!WC_O3/RPR8=0.0
!
!WC_O3/RP10=0.0
!
!WC_O3/RP11=0.0
!
!WC_O3/RP16=0.0
!
!WC_O3/RPRL=0.0
!
!WC_O3/APAN=0.0
!
!WC_O3/PAN1=0.0
!
!WC_O3/PAN2=0.0
!
!WC_O3/PAN3=0.0
!
!WC_O3/PAN4=0.0
!
!WC_O3/PAN6=0.0
!
!WC_O3/PAN7=0.0
!
!WC_O3/PAN8=0.0
!
!WC_O3/PN10=0.0
!
!WC_O3/RO2T=0.0
!
!WC_O3/RO21=0.0
!
!WC_O3/RO25=0.0
!
!WC_O3/WC_O3=-KTC32-KC6*<WC_HO2>-KC25*<WC_SO2>
 PJAC(:,88,88)=-TPK%KTC32(:)-TPK%KC6(:)*PCONC(:,99)-TPK%KC25(:)*PCONC(:,101)
!
!WC_O3/WC_H2O2=0.0
!
!WC_O3/WC_NO=0.0
!
!WC_O3/WC_NO2=0.0
!
!WC_O3/WC_NO3=0.0
!
!WC_O3/WC_N2O5=0.0
!
!WC_O3/WC_HONO=0.0
!
!WC_O3/WC_HNO3=0.0
!
!WC_O3/WC_HNO4=0.0
!
!WC_O3/WC_NH3=0.0
!
!WC_O3/WC_OH=0.0
!
!WC_O3/WC_HO2=-KC6*<WC_O3>
 PJAC(:,88,99)=-TPK%KC6(:)*PCONC(:,88)
!
!WC_O3/WC_CO2=0.0
!
!WC_O3/WC_SO2=-KC25*<WC_O3>
 PJAC(:,88,101)=-TPK%KC25(:)*PCONC(:,88)
!
!WC_O3/WC_H2SO4=0.0
!
!WC_O3/WC_RO21=0.0
!
!WC_O3/WC_RO25=0.0
!
!WC_O3/WC_MEOH=0.0
!
!WC_O3/WC_ETOH=0.0
!
!WC_O3/WC_ALCH=0.0
!
!WC_O3/WC_HCHO=0.0
!
!WC_O3/WC_ALD2=0.0
!
!WC_O3/WC_GLY=0.0
!
!WC_O3/WC_MGLY=0.0
!
!WC_O3/WC_KETL=0.0
!
!WC_O3/WC_ORA1=0.0
!
!WC_O3/WC_ORA2=0.0
!
!WC_O3/WC_ACID=0.0
!
!WC_O3/WC_RP16=0.0
!
!WC_O3/WC_UR21=0.0
!
!WC_O3/WC_UR28=0.0
!
!WC_O3/WC_ACID2=0.0
!
!WC_O3/WC_ASO3=0.0
!
!WC_O3/WC_ASO4=0.0
!
!WC_O3/WC_ASO5=0.0
!
!WC_O3/WC_AHSO5=0.0
!
!WC_O3/WC_AHMS=0.0
!
!WC_O3/WR_O3=0.0
!
!WC_O3/WR_H2O2=0.0
!
!WC_O3/WR_NO=0.0
!
!WC_O3/WR_NO2=0.0
!
!WC_O3/WR_NO3=0.0
!
!WC_O3/WR_N2O5=0.0
!
!WC_O3/WR_HONO=0.0
!
!WC_O3/WR_HNO3=0.0
!
!WC_O3/WR_HNO4=0.0
!
!WC_O3/WR_NH3=0.0
!
!WC_O3/WR_OH=0.0
!
!WC_O3/WR_HO2=0.0
!
!WC_O3/WR_CO2=0.0
!
!WC_O3/WR_SO2=0.0
!
!WC_O3/WR_H2SO4=0.0
!
!WC_O3/WR_RO21=0.0
!
!WC_O3/WR_RO25=0.0
!
!WC_O3/WR_MEOH=0.0
!
!WC_O3/WR_ETOH=0.0
!
!WC_O3/WR_ALCH=0.0
!
!WC_O3/WR_HCHO=0.0
!
!WC_O3/WR_ALD2=0.0
!
!WC_O3/WR_GLY=0.0
!
!WC_O3/WR_MGLY=0.0
!
!WC_O3/WR_KETL=0.0
!
!WC_O3/WR_ORA1=0.0
!
!WC_O3/WR_ORA2=0.0
!
!WC_O3/WR_ACID=0.0
!
!WC_O3/WR_RP16=0.0
!
!WC_O3/WR_UR21=0.0
!
!WC_O3/WR_UR28=0.0
!
!WC_O3/WR_ACID2=0.0
!
!WC_O3/WR_ASO3=0.0
!
!WC_O3/WR_ASO4=0.0
!
!WC_O3/WR_ASO5=0.0
!
!WC_O3/WR_AHSO5=0.0
!
!WC_O3/WR_AHMS=0.0
!
!WC_H2O2/NO=0.0
!
!WC_H2O2/NO2=0.0
!
!WC_H2O2/O3=0.0
!
!WC_H2O2/HONO=0.0
!
!WC_H2O2/HNO3=0.0
!
!WC_H2O2/HNO4=0.0
!
!WC_H2O2/N2O5=0.0
!
!WC_H2O2/NO3=0.0
!
!WC_H2O2/NH3=0.0
!
!WC_H2O2/HO2=0.0
!
!WC_H2O2/CO=0.0
!
!WC_H2O2/H2O2=+KTC2
 PJAC(:,89,12)=+TPK%KTC2(:)
!
!WC_H2O2/SO2=0.0
!
!WC_H2O2/H2SO4=0.0
!
!WC_H2O2/OH=0.0
!
!WC_H2O2/ETHE=0.0
!
!WC_H2O2/OLEL=0.0
!
!WC_H2O2/OLEH=0.0
!
!WC_H2O2/ALKL=0.0
!
!WC_H2O2/ALKM=0.0
!
!WC_H2O2/ALKH=0.0
!
!WC_H2O2/AROH=0.0
!
!WC_H2O2/AROL=0.0
!
!WC_H2O2/AROO=0.0
!
!WC_H2O2/ARAL=0.0
!
!WC_H2O2/ARAC=0.0
!
!WC_H2O2/PAH=0.0
!
!WC_H2O2/HCHO=0.0
!
!WC_H2O2/ALD2=0.0
!
!WC_H2O2/KETL=0.0
!
!WC_H2O2/KETH=0.0
!
!WC_H2O2/MEOH=0.0
!
!WC_H2O2/ETOH=0.0
!
!WC_H2O2/ALCH=0.0
!
!WC_H2O2/ISOP=0.0
!
!WC_H2O2/BIOL=0.0
!
!WC_H2O2/BIOH=0.0
!
!WC_H2O2/MTBE=0.0
!
!WC_H2O2/MVK=0.0
!
!WC_H2O2/MCR=0.0
!
!WC_H2O2/MGLY=0.0
!
!WC_H2O2/GLY=0.0
!
!WC_H2O2/ORA1=0.0
!
!WC_H2O2/ORA2=0.0
!
!WC_H2O2/ACID=0.0
!
!WC_H2O2/UR28=0.0
!
!WC_H2O2/UR21=0.0
!
!WC_H2O2/URG2=0.0
!
!WC_H2O2/UR26=0.0
!
!WC_H2O2/RPG2=0.0
!
!WC_H2O2/RP18=0.0
!
!WC_H2O2/RPG3=0.0
!
!WC_H2O2/URG4=0.0
!
!WC_H2O2/UR8=0.0
!
!WC_H2O2/UR17=0.0
!
!WC_H2O2/UR7=0.0
!
!WC_H2O2/RPR3=0.0
!
!WC_H2O2/URG6=0.0
!
!WC_H2O2/UR22=0.0
!
!WC_H2O2/URG7=0.0
!
!WC_H2O2/RPR4=0.0
!
!WC_H2O2/RPR7=0.0
!
!WC_H2O2/RPG7=0.0
!
!WC_H2O2/URG8=0.0
!
!WC_H2O2/UR19=0.0
!
!WC_H2O2/URG9=0.0
!
!WC_H2O2/AP7=0.0
!
!WC_H2O2/URG10=0.0
!
!WC_H2O2/RPR1=0.0
!
!WC_H2O2/RPR5=0.0
!
!WC_H2O2/RPR8=0.0
!
!WC_H2O2/RP10=0.0
!
!WC_H2O2/RP11=0.0
!
!WC_H2O2/RP16=0.0
!
!WC_H2O2/RPRL=0.0
!
!WC_H2O2/APAN=0.0
!
!WC_H2O2/PAN1=0.0
!
!WC_H2O2/PAN2=0.0
!
!WC_H2O2/PAN3=0.0
!
!WC_H2O2/PAN4=0.0
!
!WC_H2O2/PAN6=0.0
!
!WC_H2O2/PAN7=0.0
!
!WC_H2O2/PAN8=0.0
!
!WC_H2O2/PN10=0.0
!
!WC_H2O2/RO2T=0.0
!
!WC_H2O2/RO21=0.0
!
!WC_H2O2/RO25=0.0
!
!WC_H2O2/WC_O3=0.0
!
!WC_H2O2/WC_H2O2=-KTC33-KC1-KC4*<WC_OH>-KC26*<WC_SO2>
 PJAC(:,89,89)=-TPK%KTC33(:)-TPK%KC1(:)-TPK%KC4(:)*PCONC(:,98)-TPK%KC26(:)*PCON&
&C(:,101)
!
!WC_H2O2/WC_NO=0.0
!
!WC_H2O2/WC_NO2=0.0
!
!WC_H2O2/WC_NO3=0.0
!
!WC_H2O2/WC_N2O5=0.0
!
!WC_H2O2/WC_HONO=0.0
!
!WC_H2O2/WC_HNO3=0.0
!
!WC_H2O2/WC_HNO4=0.0
!
!WC_H2O2/WC_NH3=0.0
!
!WC_H2O2/WC_OH=+KC2*<WC_OH>+KC2*<WC_OH>-KC4*<WC_H2O2>+KC37*<WC_KETL>+0.5*KC39*<
!WC_ORA2>+0.29*KC41*<WC_ACID>+0.3*KC43*<WC_UR21>+0.45*KC45*<WC_RP16>
 PJAC(:,89,98)=+TPK%KC2(:)*PCONC(:,98)+TPK%KC2(:)*PCONC(:,98)-TPK%KC4(:)*PCONC(&
&:,89)+TPK%KC37(:)*PCONC(:,112)+0.5*TPK%KC39(:)*PCONC(:,114)+0.29*TPK%KC41(:)*P&
&CONC(:,115)+0.3*TPK%KC43(:)*PCONC(:,117)+0.45*TPK%KC45(:)*PCONC(:,116)
!
!WC_H2O2/WC_HO2=+KC5*<WC_HO2>+KC5*<WC_HO2>
 PJAC(:,89,99)=+TPK%KC5(:)*PCONC(:,99)+TPK%KC5(:)*PCONC(:,99)
!
!WC_H2O2/WC_CO2=0.0
!
!WC_H2O2/WC_SO2=-KC26*<WC_H2O2>
 PJAC(:,89,101)=-TPK%KC26(:)*PCONC(:,89)
!
!WC_H2O2/WC_H2SO4=0.0
!
!WC_H2O2/WC_RO21=0.0
!
!WC_H2O2/WC_RO25=+KC29*<WC_RO25>+KC29*<WC_RO25>
 PJAC(:,89,104)=+TPK%KC29(:)*PCONC(:,104)+TPK%KC29(:)*PCONC(:,104)
!
!WC_H2O2/WC_MEOH=0.0
!
!WC_H2O2/WC_ETOH=0.0
!
!WC_H2O2/WC_ALCH=0.0
!
!WC_H2O2/WC_HCHO=0.0
!
!WC_H2O2/WC_ALD2=0.0
!
!WC_H2O2/WC_GLY=0.0
!
!WC_H2O2/WC_MGLY=0.0
!
!WC_H2O2/WC_KETL=+KC37*<WC_OH>
 PJAC(:,89,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_H2O2/WC_ORA1=0.0
!
!WC_H2O2/WC_ORA2=+0.5*KC39*<WC_OH>
 PJAC(:,89,114)=+0.5*TPK%KC39(:)*PCONC(:,98)
!
!WC_H2O2/WC_ACID=+0.29*KC41*<WC_OH>
 PJAC(:,89,115)=+0.29*TPK%KC41(:)*PCONC(:,98)
!
!WC_H2O2/WC_RP16=+0.45*KC45*<WC_OH>
 PJAC(:,89,116)=+0.45*TPK%KC45(:)*PCONC(:,98)
!
!WC_H2O2/WC_UR21=+0.3*KC43*<WC_OH>
 PJAC(:,89,117)=+0.3*TPK%KC43(:)*PCONC(:,98)
!
!WC_H2O2/WC_UR28=0.0
!
!WC_H2O2/WC_ACID2=0.0
!
!WC_H2O2/WC_ASO3=0.0
!
!WC_H2O2/WC_ASO4=0.0
!
!WC_H2O2/WC_ASO5=0.0
!
!WC_H2O2/WC_AHSO5=0.0
!
!WC_H2O2/WC_AHMS=0.0
!
!WC_H2O2/WR_O3=0.0
!
!WC_H2O2/WR_H2O2=0.0
!
!WC_H2O2/WR_NO=0.0
!
!WC_H2O2/WR_NO2=0.0
!
!WC_H2O2/WR_NO3=0.0
!
!WC_H2O2/WR_N2O5=0.0
!
!WC_H2O2/WR_HONO=0.0
!
!WC_H2O2/WR_HNO3=0.0
!
!WC_H2O2/WR_HNO4=0.0
!
!WC_H2O2/WR_NH3=0.0
!
!WC_H2O2/WR_OH=0.0
!
!WC_H2O2/WR_HO2=0.0
!
!WC_H2O2/WR_CO2=0.0
!
!WC_H2O2/WR_SO2=0.0
!
!WC_H2O2/WR_H2SO4=0.0
!
!WC_H2O2/WR_RO21=0.0
!
!WC_H2O2/WR_RO25=0.0
!
!WC_H2O2/WR_MEOH=0.0
!
!WC_H2O2/WR_ETOH=0.0
!
!WC_H2O2/WR_ALCH=0.0
!
!WC_H2O2/WR_HCHO=0.0
!
!WC_H2O2/WR_ALD2=0.0
!
!WC_H2O2/WR_GLY=0.0
!
!WC_H2O2/WR_MGLY=0.0
!
!WC_H2O2/WR_KETL=0.0
!
!WC_H2O2/WR_ORA1=0.0
!
!WC_H2O2/WR_ORA2=0.0
!
!WC_H2O2/WR_ACID=0.0
!
!WC_H2O2/WR_RP16=0.0
!
!WC_H2O2/WR_UR21=0.0
!
!WC_H2O2/WR_UR28=0.0
!
!WC_H2O2/WR_ACID2=0.0
!
!WC_H2O2/WR_ASO3=0.0
!
!WC_H2O2/WR_ASO4=0.0
!
!WC_H2O2/WR_ASO5=0.0
!
!WC_H2O2/WR_AHSO5=0.0
!
!WC_H2O2/WR_AHMS=0.0
!
!WC_NO/NO=+KTC3
 PJAC(:,90,1)=+TPK%KTC3(:)
!
!WC_NO/NO2=0.0
!
!WC_NO/O3=0.0
!
!WC_NO/HONO=0.0
!
!WC_NO/HNO3=0.0
!
!WC_NO/HNO4=0.0
!
!WC_NO/N2O5=0.0
!
!WC_NO/NO3=0.0
!
!WC_NO/NH3=0.0
!
!WC_NO/HO2=0.0
!
!WC_NO/CO=0.0
!
!WC_NO/H2O2=0.0
!
!WC_NO/SO2=0.0
!
!WC_NO/H2SO4=0.0
!
!WC_NO/OH=0.0
!
!WC_NO/ETHE=0.0
!
!WC_NO/OLEL=0.0
!
!WC_NO/OLEH=0.0
!
!WC_NO/ALKL=0.0
!
!WC_NO/ALKM=0.0
!
!WC_NO/ALKH=0.0
!
!WC_NO/AROH=0.0
!
!WC_NO/AROL=0.0
!
!WC_NO/AROO=0.0
!
!WC_NO/ARAL=0.0
!
!WC_NO/ARAC=0.0
!
!WC_NO/PAH=0.0
!
!WC_NO/HCHO=0.0
!
!WC_NO/ALD2=0.0
!
!WC_NO/KETL=0.0
!
!WC_NO/KETH=0.0
!
!WC_NO/MEOH=0.0
!
!WC_NO/ETOH=0.0
!
!WC_NO/ALCH=0.0
!
!WC_NO/ISOP=0.0
!
!WC_NO/BIOL=0.0
!
!WC_NO/BIOH=0.0
!
!WC_NO/MTBE=0.0
!
!WC_NO/MVK=0.0
!
!WC_NO/MCR=0.0
!
!WC_NO/MGLY=0.0
!
!WC_NO/GLY=0.0
!
!WC_NO/ORA1=0.0
!
!WC_NO/ORA2=0.0
!
!WC_NO/ACID=0.0
!
!WC_NO/UR28=0.0
!
!WC_NO/UR21=0.0
!
!WC_NO/URG2=0.0
!
!WC_NO/UR26=0.0
!
!WC_NO/RPG2=0.0
!
!WC_NO/RP18=0.0
!
!WC_NO/RPG3=0.0
!
!WC_NO/URG4=0.0
!
!WC_NO/UR8=0.0
!
!WC_NO/UR17=0.0
!
!WC_NO/UR7=0.0
!
!WC_NO/RPR3=0.0
!
!WC_NO/URG6=0.0
!
!WC_NO/UR22=0.0
!
!WC_NO/URG7=0.0
!
!WC_NO/RPR4=0.0
!
!WC_NO/RPR7=0.0
!
!WC_NO/RPG7=0.0
!
!WC_NO/URG8=0.0
!
!WC_NO/UR19=0.0
!
!WC_NO/URG9=0.0
!
!WC_NO/AP7=0.0
!
!WC_NO/URG10=0.0
!
!WC_NO/RPR1=0.0
!
!WC_NO/RPR5=0.0
!
!WC_NO/RPR8=0.0
!
!WC_NO/RP10=0.0
!
!WC_NO/RP11=0.0
!
!WC_NO/RP16=0.0
!
!WC_NO/RPRL=0.0
!
!WC_NO/APAN=0.0
!
!WC_NO/PAN1=0.0
!
!WC_NO/PAN2=0.0
!
!WC_NO/PAN3=0.0
!
!WC_NO/PAN4=0.0
!
!WC_NO/PAN6=0.0
!
!WC_NO/PAN7=0.0
!
!WC_NO/PAN8=0.0
!
!WC_NO/PN10=0.0
!
!WC_NO/RO2T=0.0
!
!WC_NO/RO21=0.0
!
!WC_NO/RO25=0.0
!
!WC_NO/WC_O3=0.0
!
!WC_NO/WC_H2O2=0.0
!
!WC_NO/WC_NO=-KTC34
 PJAC(:,90,90)=-TPK%KTC34(:)
!
!WC_NO/WC_NO2=0.0
!
!WC_NO/WC_NO3=0.0
!
!WC_NO/WC_N2O5=0.0
!
!WC_NO/WC_HONO=0.0
!
!WC_NO/WC_HNO3=0.0
!
!WC_NO/WC_HNO4=0.0
!
!WC_NO/WC_NH3=0.0
!
!WC_NO/WC_OH=0.0
!
!WC_NO/WC_HO2=0.0
!
!WC_NO/WC_CO2=0.0
!
!WC_NO/WC_SO2=0.0
!
!WC_NO/WC_H2SO4=0.0
!
!WC_NO/WC_RO21=0.0
!
!WC_NO/WC_RO25=0.0
!
!WC_NO/WC_MEOH=0.0
!
!WC_NO/WC_ETOH=0.0
!
!WC_NO/WC_ALCH=0.0
!
!WC_NO/WC_HCHO=0.0
!
!WC_NO/WC_ALD2=0.0
!
!WC_NO/WC_GLY=0.0
!
!WC_NO/WC_MGLY=0.0
!
!WC_NO/WC_KETL=0.0
!
!WC_NO/WC_ORA1=0.0
!
!WC_NO/WC_ORA2=0.0
!
!WC_NO/WC_ACID=0.0
!
!WC_NO/WC_RP16=0.0
!
!WC_NO/WC_UR21=0.0
!
!WC_NO/WC_UR28=0.0
!
!WC_NO/WC_ACID2=0.0
!
!WC_NO/WC_ASO3=0.0
!
!WC_NO/WC_ASO4=0.0
!
!WC_NO/WC_ASO5=0.0
!
!WC_NO/WC_AHSO5=0.0
!
!WC_NO/WC_AHMS=0.0
!
!WC_NO/WR_O3=0.0
!
!WC_NO/WR_H2O2=0.0
!
!WC_NO/WR_NO=0.0
!
!WC_NO/WR_NO2=0.0
!
!WC_NO/WR_NO3=0.0
!
!WC_NO/WR_N2O5=0.0
!
!WC_NO/WR_HONO=0.0
!
!WC_NO/WR_HNO3=0.0
!
!WC_NO/WR_HNO4=0.0
!
!WC_NO/WR_NH3=0.0
!
!WC_NO/WR_OH=0.0
!
!WC_NO/WR_HO2=0.0
!
!WC_NO/WR_CO2=0.0
!
!WC_NO/WR_SO2=0.0
!
!WC_NO/WR_H2SO4=0.0
!
!WC_NO/WR_RO21=0.0
!
!WC_NO/WR_RO25=0.0
!
!WC_NO/WR_MEOH=0.0
!
!WC_NO/WR_ETOH=0.0
!
!WC_NO/WR_ALCH=0.0
!
!WC_NO/WR_HCHO=0.0
!
!WC_NO/WR_ALD2=0.0
!
!WC_NO/WR_GLY=0.0
!
!WC_NO/WR_MGLY=0.0
!
!WC_NO/WR_KETL=0.0
!
!WC_NO/WR_ORA1=0.0
!
!WC_NO/WR_ORA2=0.0
!
!WC_NO/WR_ACID=0.0
!
!WC_NO/WR_RP16=0.0
!
!WC_NO/WR_UR21=0.0
!
!WC_NO/WR_UR28=0.0
!
!WC_NO/WR_ACID2=0.0
!
!WC_NO/WR_ASO3=0.0
!
!WC_NO/WR_ASO4=0.0
!
!WC_NO/WR_ASO5=0.0
!
!WC_NO/WR_AHSO5=0.0
!
!WC_NO/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ17
!
SUBROUTINE SUBJ18
!
!Indices 91 a 95
!
!
!WC_NO2/NO=0.0
!
!WC_NO2/NO2=+KTC4
 PJAC(:,91,2)=+TPK%KTC4(:)
!
!WC_NO2/O3=0.0
!
!WC_NO2/HONO=0.0
!
!WC_NO2/HNO3=0.0
!
!WC_NO2/HNO4=0.0
!
!WC_NO2/N2O5=0.0
!
!WC_NO2/NO3=0.0
!
!WC_NO2/NH3=0.0
!
!WC_NO2/HO2=0.0
!
!WC_NO2/CO=0.0
!
!WC_NO2/H2O2=0.0
!
!WC_NO2/SO2=0.0
!
!WC_NO2/H2SO4=0.0
!
!WC_NO2/OH=0.0
!
!WC_NO2/ETHE=0.0
!
!WC_NO2/OLEL=0.0
!
!WC_NO2/OLEH=0.0
!
!WC_NO2/ALKL=0.0
!
!WC_NO2/ALKM=0.0
!
!WC_NO2/ALKH=0.0
!
!WC_NO2/AROH=0.0
!
!WC_NO2/AROL=0.0
!
!WC_NO2/AROO=0.0
!
!WC_NO2/ARAL=0.0
!
!WC_NO2/ARAC=0.0
!
!WC_NO2/PAH=0.0
!
!WC_NO2/HCHO=0.0
!
!WC_NO2/ALD2=0.0
!
!WC_NO2/KETL=0.0
!
!WC_NO2/KETH=0.0
!
!WC_NO2/MEOH=0.0
!
!WC_NO2/ETOH=0.0
!
!WC_NO2/ALCH=0.0
!
!WC_NO2/ISOP=0.0
!
!WC_NO2/BIOL=0.0
!
!WC_NO2/BIOH=0.0
!
!WC_NO2/MTBE=0.0
!
!WC_NO2/MVK=0.0
!
!WC_NO2/MCR=0.0
!
!WC_NO2/MGLY=0.0
!
!WC_NO2/GLY=0.0
!
!WC_NO2/ORA1=0.0
!
!WC_NO2/ORA2=0.0
!
!WC_NO2/ACID=0.0
!
!WC_NO2/UR28=0.0
!
!WC_NO2/UR21=0.0
!
!WC_NO2/URG2=0.0
!
!WC_NO2/UR26=0.0
!
!WC_NO2/RPG2=0.0
!
!WC_NO2/RP18=0.0
!
!WC_NO2/RPG3=0.0
!
!WC_NO2/URG4=0.0
!
!WC_NO2/UR8=0.0
!
!WC_NO2/UR17=0.0
!
!WC_NO2/UR7=0.0
!
!WC_NO2/RPR3=0.0
!
!WC_NO2/URG6=0.0
!
!WC_NO2/UR22=0.0
!
!WC_NO2/URG7=0.0
!
!WC_NO2/RPR4=0.0
!
!WC_NO2/RPR7=0.0
!
!WC_NO2/RPG7=0.0
!
!WC_NO2/URG8=0.0
!
!WC_NO2/UR19=0.0
!
!WC_NO2/URG9=0.0
!
!WC_NO2/AP7=0.0
!
!WC_NO2/URG10=0.0
!
!WC_NO2/RPR1=0.0
!
!WC_NO2/RPR5=0.0
!
!WC_NO2/RPR8=0.0
!
!WC_NO2/RP10=0.0
!
!WC_NO2/RP11=0.0
!
!WC_NO2/RP16=0.0
!
!WC_NO2/RPRL=0.0
!
!WC_NO2/APAN=0.0
!
!WC_NO2/PAN1=0.0
!
!WC_NO2/PAN2=0.0
!
!WC_NO2/PAN3=0.0
!
!WC_NO2/PAN4=0.0
!
!WC_NO2/PAN6=0.0
!
!WC_NO2/PAN7=0.0
!
!WC_NO2/PAN8=0.0
!
!WC_NO2/PN10=0.0
!
!WC_NO2/RO2T=0.0
!
!WC_NO2/RO21=0.0
!
!WC_NO2/RO25=0.0
!
!WC_NO2/WC_O3=0.0
!
!WC_NO2/WC_H2O2=0.0
!
!WC_NO2/WC_NO=0.0
!
!WC_NO2/WC_NO2=-KTC35-KC9*<WC_HO2>
 PJAC(:,91,91)=-TPK%KTC35(:)-TPK%KC9(:)*PCONC(:,99)
!
!WC_NO2/WC_NO3=0.0
!
!WC_NO2/WC_N2O5=0.0
!
!WC_NO2/WC_HONO=+KC8*<WC_OH>
 PJAC(:,91,94)=+TPK%KC8(:)*PCONC(:,98)
!
!WC_NO2/WC_HNO3=+KC13
 PJAC(:,91,95)=+TPK%KC13(:)
!
!WC_NO2/WC_HNO4=+KC10
 PJAC(:,91,96)=+TPK%KC10(:)
!
!WC_NO2/WC_NH3=0.0
!
!WC_NO2/WC_OH=+KC8*<WC_HONO>
 PJAC(:,91,98)=+TPK%KC8(:)*PCONC(:,94)
!
!WC_NO2/WC_HO2=-KC9*<WC_NO2>
 PJAC(:,91,99)=-TPK%KC9(:)*PCONC(:,91)
!
!WC_NO2/WC_CO2=0.0
!
!WC_NO2/WC_SO2=0.0
!
!WC_NO2/WC_H2SO4=0.0
!
!WC_NO2/WC_RO21=0.0
!
!WC_NO2/WC_RO25=0.0
!
!WC_NO2/WC_MEOH=0.0
!
!WC_NO2/WC_ETOH=0.0
!
!WC_NO2/WC_ALCH=0.0
!
!WC_NO2/WC_HCHO=0.0
!
!WC_NO2/WC_ALD2=0.0
!
!WC_NO2/WC_GLY=0.0
!
!WC_NO2/WC_MGLY=0.0
!
!WC_NO2/WC_KETL=0.0
!
!WC_NO2/WC_ORA1=0.0
!
!WC_NO2/WC_ORA2=0.0
!
!WC_NO2/WC_ACID=0.0
!
!WC_NO2/WC_RP16=0.0
!
!WC_NO2/WC_UR21=0.0
!
!WC_NO2/WC_UR28=0.0
!
!WC_NO2/WC_ACID2=0.0
!
!WC_NO2/WC_ASO3=0.0
!
!WC_NO2/WC_ASO4=0.0
!
!WC_NO2/WC_ASO5=0.0
!
!WC_NO2/WC_AHSO5=0.0
!
!WC_NO2/WC_AHMS=0.0
!
!WC_NO2/WR_O3=0.0
!
!WC_NO2/WR_H2O2=0.0
!
!WC_NO2/WR_NO=0.0
!
!WC_NO2/WR_NO2=0.0
!
!WC_NO2/WR_NO3=0.0
!
!WC_NO2/WR_N2O5=0.0
!
!WC_NO2/WR_HONO=0.0
!
!WC_NO2/WR_HNO3=0.0
!
!WC_NO2/WR_HNO4=0.0
!
!WC_NO2/WR_NH3=0.0
!
!WC_NO2/WR_OH=0.0
!
!WC_NO2/WR_HO2=0.0
!
!WC_NO2/WR_CO2=0.0
!
!WC_NO2/WR_SO2=0.0
!
!WC_NO2/WR_H2SO4=0.0
!
!WC_NO2/WR_RO21=0.0
!
!WC_NO2/WR_RO25=0.0
!
!WC_NO2/WR_MEOH=0.0
!
!WC_NO2/WR_ETOH=0.0
!
!WC_NO2/WR_ALCH=0.0
!
!WC_NO2/WR_HCHO=0.0
!
!WC_NO2/WR_ALD2=0.0
!
!WC_NO2/WR_GLY=0.0
!
!WC_NO2/WR_MGLY=0.0
!
!WC_NO2/WR_KETL=0.0
!
!WC_NO2/WR_ORA1=0.0
!
!WC_NO2/WR_ORA2=0.0
!
!WC_NO2/WR_ACID=0.0
!
!WC_NO2/WR_RP16=0.0
!
!WC_NO2/WR_UR21=0.0
!
!WC_NO2/WR_UR28=0.0
!
!WC_NO2/WR_ACID2=0.0
!
!WC_NO2/WR_ASO3=0.0
!
!WC_NO2/WR_ASO4=0.0
!
!WC_NO2/WR_ASO5=0.0
!
!WC_NO2/WR_AHSO5=0.0
!
!WC_NO2/WR_AHMS=0.0
!
!WC_NO3/NO=0.0
!
!WC_NO3/NO2=0.0
!
!WC_NO3/O3=0.0
!
!WC_NO3/HONO=0.0
!
!WC_NO3/HNO3=0.0
!
!WC_NO3/HNO4=0.0
!
!WC_NO3/N2O5=0.0
!
!WC_NO3/NO3=+KTC5
 PJAC(:,92,8)=+TPK%KTC5(:)
!
!WC_NO3/NH3=0.0
!
!WC_NO3/HO2=0.0
!
!WC_NO3/CO=0.0
!
!WC_NO3/H2O2=0.0
!
!WC_NO3/SO2=0.0
!
!WC_NO3/H2SO4=0.0
!
!WC_NO3/OH=0.0
!
!WC_NO3/ETHE=0.0
!
!WC_NO3/OLEL=0.0
!
!WC_NO3/OLEH=0.0
!
!WC_NO3/ALKL=0.0
!
!WC_NO3/ALKM=0.0
!
!WC_NO3/ALKH=0.0
!
!WC_NO3/AROH=0.0
!
!WC_NO3/AROL=0.0
!
!WC_NO3/AROO=0.0
!
!WC_NO3/ARAL=0.0
!
!WC_NO3/ARAC=0.0
!
!WC_NO3/PAH=0.0
!
!WC_NO3/HCHO=0.0
!
!WC_NO3/ALD2=0.0
!
!WC_NO3/KETL=0.0
!
!WC_NO3/KETH=0.0
!
!WC_NO3/MEOH=0.0
!
!WC_NO3/ETOH=0.0
!
!WC_NO3/ALCH=0.0
!
!WC_NO3/ISOP=0.0
!
!WC_NO3/BIOL=0.0
!
!WC_NO3/BIOH=0.0
!
!WC_NO3/MTBE=0.0
!
!WC_NO3/MVK=0.0
!
!WC_NO3/MCR=0.0
!
!WC_NO3/MGLY=0.0
!
!WC_NO3/GLY=0.0
!
!WC_NO3/ORA1=0.0
!
!WC_NO3/ORA2=0.0
!
!WC_NO3/ACID=0.0
!
!WC_NO3/UR28=0.0
!
!WC_NO3/UR21=0.0
!
!WC_NO3/URG2=0.0
!
!WC_NO3/UR26=0.0
!
!WC_NO3/RPG2=0.0
!
!WC_NO3/RP18=0.0
!
!WC_NO3/RPG3=0.0
!
!WC_NO3/URG4=0.0
!
!WC_NO3/UR8=0.0
!
!WC_NO3/UR17=0.0
!
!WC_NO3/UR7=0.0
!
!WC_NO3/RPR3=0.0
!
!WC_NO3/URG6=0.0
!
!WC_NO3/UR22=0.0
!
!WC_NO3/URG7=0.0
!
!WC_NO3/RPR4=0.0
!
!WC_NO3/RPR7=0.0
!
!WC_NO3/RPG7=0.0
!
!WC_NO3/URG8=0.0
!
!WC_NO3/UR19=0.0
!
!WC_NO3/URG9=0.0
!
!WC_NO3/AP7=0.0
!
!WC_NO3/URG10=0.0
!
!WC_NO3/RPR1=0.0
!
!WC_NO3/RPR5=0.0
!
!WC_NO3/RPR8=0.0
!
!WC_NO3/RP10=0.0
!
!WC_NO3/RP11=0.0
!
!WC_NO3/RP16=0.0
!
!WC_NO3/RPRL=0.0
!
!WC_NO3/APAN=0.0
!
!WC_NO3/PAN1=0.0
!
!WC_NO3/PAN2=0.0
!
!WC_NO3/PAN3=0.0
!
!WC_NO3/PAN4=0.0
!
!WC_NO3/PAN6=0.0
!
!WC_NO3/PAN7=0.0
!
!WC_NO3/PAN8=0.0
!
!WC_NO3/PN10=0.0
!
!WC_NO3/RO2T=0.0
!
!WC_NO3/RO21=0.0
!
!WC_NO3/RO25=0.0
!
!WC_NO3/WC_O3=0.0
!
!WC_NO3/WC_H2O2=0.0
!
!WC_NO3/WC_NO=0.0
!
!WC_NO3/WC_NO2=0.0
!
!WC_NO3/WC_NO3=-KTC36-KC15*<WC_H2SO4>-KC16*<WC_SO2>
 PJAC(:,92,92)=-TPK%KTC36(:)-TPK%KC15(:)*PCONC(:,102)-TPK%KC16(:)*PCONC(:,101)
!
!WC_NO3/WC_N2O5=0.0
!
!WC_NO3/WC_HONO=0.0
!
!WC_NO3/WC_HNO3=0.0
!
!WC_NO3/WC_HNO4=0.0
!
!WC_NO3/WC_NH3=0.0
!
!WC_NO3/WC_OH=0.0
!
!WC_NO3/WC_HO2=0.0
!
!WC_NO3/WC_CO2=0.0
!
!WC_NO3/WC_SO2=-KC16*<WC_NO3>
 PJAC(:,92,101)=-TPK%KC16(:)*PCONC(:,92)
!
!WC_NO3/WC_H2SO4=-KC15*<WC_NO3>
 PJAC(:,92,102)=-TPK%KC15(:)*PCONC(:,92)
!
!WC_NO3/WC_RO21=0.0
!
!WC_NO3/WC_RO25=0.0
!
!WC_NO3/WC_MEOH=0.0
!
!WC_NO3/WC_ETOH=0.0
!
!WC_NO3/WC_ALCH=0.0
!
!WC_NO3/WC_HCHO=0.0
!
!WC_NO3/WC_ALD2=0.0
!
!WC_NO3/WC_GLY=0.0
!
!WC_NO3/WC_MGLY=0.0
!
!WC_NO3/WC_KETL=0.0
!
!WC_NO3/WC_ORA1=0.0
!
!WC_NO3/WC_ORA2=0.0
!
!WC_NO3/WC_ACID=0.0
!
!WC_NO3/WC_RP16=0.0
!
!WC_NO3/WC_UR21=0.0
!
!WC_NO3/WC_UR28=0.0
!
!WC_NO3/WC_ACID2=0.0
!
!WC_NO3/WC_ASO3=0.0
!
!WC_NO3/WC_ASO4=0.0
!
!WC_NO3/WC_ASO5=0.0
!
!WC_NO3/WC_AHSO5=0.0
!
!WC_NO3/WC_AHMS=0.0
!
!WC_NO3/WR_O3=0.0
!
!WC_NO3/WR_H2O2=0.0
!
!WC_NO3/WR_NO=0.0
!
!WC_NO3/WR_NO2=0.0
!
!WC_NO3/WR_NO3=0.0
!
!WC_NO3/WR_N2O5=0.0
!
!WC_NO3/WR_HONO=0.0
!
!WC_NO3/WR_HNO3=0.0
!
!WC_NO3/WR_HNO4=0.0
!
!WC_NO3/WR_NH3=0.0
!
!WC_NO3/WR_OH=0.0
!
!WC_NO3/WR_HO2=0.0
!
!WC_NO3/WR_CO2=0.0
!
!WC_NO3/WR_SO2=0.0
!
!WC_NO3/WR_H2SO4=0.0
!
!WC_NO3/WR_RO21=0.0
!
!WC_NO3/WR_RO25=0.0
!
!WC_NO3/WR_MEOH=0.0
!
!WC_NO3/WR_ETOH=0.0
!
!WC_NO3/WR_ALCH=0.0
!
!WC_NO3/WR_HCHO=0.0
!
!WC_NO3/WR_ALD2=0.0
!
!WC_NO3/WR_GLY=0.0
!
!WC_NO3/WR_MGLY=0.0
!
!WC_NO3/WR_KETL=0.0
!
!WC_NO3/WR_ORA1=0.0
!
!WC_NO3/WR_ORA2=0.0
!
!WC_NO3/WR_ACID=0.0
!
!WC_NO3/WR_RP16=0.0
!
!WC_NO3/WR_UR21=0.0
!
!WC_NO3/WR_UR28=0.0
!
!WC_NO3/WR_ACID2=0.0
!
!WC_NO3/WR_ASO3=0.0
!
!WC_NO3/WR_ASO4=0.0
!
!WC_NO3/WR_ASO5=0.0
!
!WC_NO3/WR_AHSO5=0.0
!
!WC_NO3/WR_AHMS=0.0
!
!WC_N2O5/NO=0.0
!
!WC_N2O5/NO2=0.0
!
!WC_N2O5/O3=0.0
!
!WC_N2O5/HONO=0.0
!
!WC_N2O5/HNO3=0.0
!
!WC_N2O5/HNO4=0.0
!
!WC_N2O5/N2O5=+KTC6
 PJAC(:,93,7)=+TPK%KTC6(:)
!
!WC_N2O5/NO3=0.0
!
!WC_N2O5/NH3=0.0
!
!WC_N2O5/HO2=0.0
!
!WC_N2O5/CO=0.0
!
!WC_N2O5/H2O2=0.0
!
!WC_N2O5/SO2=0.0
!
!WC_N2O5/H2SO4=0.0
!
!WC_N2O5/OH=0.0
!
!WC_N2O5/ETHE=0.0
!
!WC_N2O5/OLEL=0.0
!
!WC_N2O5/OLEH=0.0
!
!WC_N2O5/ALKL=0.0
!
!WC_N2O5/ALKM=0.0
!
!WC_N2O5/ALKH=0.0
!
!WC_N2O5/AROH=0.0
!
!WC_N2O5/AROL=0.0
!
!WC_N2O5/AROO=0.0
!
!WC_N2O5/ARAL=0.0
!
!WC_N2O5/ARAC=0.0
!
!WC_N2O5/PAH=0.0
!
!WC_N2O5/HCHO=0.0
!
!WC_N2O5/ALD2=0.0
!
!WC_N2O5/KETL=0.0
!
!WC_N2O5/KETH=0.0
!
!WC_N2O5/MEOH=0.0
!
!WC_N2O5/ETOH=0.0
!
!WC_N2O5/ALCH=0.0
!
!WC_N2O5/ISOP=0.0
!
!WC_N2O5/BIOL=0.0
!
!WC_N2O5/BIOH=0.0
!
!WC_N2O5/MTBE=0.0
!
!WC_N2O5/MVK=0.0
!
!WC_N2O5/MCR=0.0
!
!WC_N2O5/MGLY=0.0
!
!WC_N2O5/GLY=0.0
!
!WC_N2O5/ORA1=0.0
!
!WC_N2O5/ORA2=0.0
!
!WC_N2O5/ACID=0.0
!
!WC_N2O5/UR28=0.0
!
!WC_N2O5/UR21=0.0
!
!WC_N2O5/URG2=0.0
!
!WC_N2O5/UR26=0.0
!
!WC_N2O5/RPG2=0.0
!
!WC_N2O5/RP18=0.0
!
!WC_N2O5/RPG3=0.0
!
!WC_N2O5/URG4=0.0
!
!WC_N2O5/UR8=0.0
!
!WC_N2O5/UR17=0.0
!
!WC_N2O5/UR7=0.0
!
!WC_N2O5/RPR3=0.0
!
!WC_N2O5/URG6=0.0
!
!WC_N2O5/UR22=0.0
!
!WC_N2O5/URG7=0.0
!
!WC_N2O5/RPR4=0.0
!
!WC_N2O5/RPR7=0.0
!
!WC_N2O5/RPG7=0.0
!
!WC_N2O5/URG8=0.0
!
!WC_N2O5/UR19=0.0
!
!WC_N2O5/URG9=0.0
!
!WC_N2O5/AP7=0.0
!
!WC_N2O5/URG10=0.0
!
!WC_N2O5/RPR1=0.0
!
!WC_N2O5/RPR5=0.0
!
!WC_N2O5/RPR8=0.0
!
!WC_N2O5/RP10=0.0
!
!WC_N2O5/RP11=0.0
!
!WC_N2O5/RP16=0.0
!
!WC_N2O5/RPRL=0.0
!
!WC_N2O5/APAN=0.0
!
!WC_N2O5/PAN1=0.0
!
!WC_N2O5/PAN2=0.0
!
!WC_N2O5/PAN3=0.0
!
!WC_N2O5/PAN4=0.0
!
!WC_N2O5/PAN6=0.0
!
!WC_N2O5/PAN7=0.0
!
!WC_N2O5/PAN8=0.0
!
!WC_N2O5/PN10=0.0
!
!WC_N2O5/RO2T=0.0
!
!WC_N2O5/RO21=0.0
!
!WC_N2O5/RO25=0.0
!
!WC_N2O5/WC_O3=0.0
!
!WC_N2O5/WC_H2O2=0.0
!
!WC_N2O5/WC_NO=0.0
!
!WC_N2O5/WC_NO2=0.0
!
!WC_N2O5/WC_NO3=0.0
!
!WC_N2O5/WC_N2O5=-KTC37-KC14
 PJAC(:,93,93)=-TPK%KTC37(:)-TPK%KC14(:)
!
!WC_N2O5/WC_HONO=0.0
!
!WC_N2O5/WC_HNO3=0.0
!
!WC_N2O5/WC_HNO4=0.0
!
!WC_N2O5/WC_NH3=0.0
!
!WC_N2O5/WC_OH=0.0
!
!WC_N2O5/WC_HO2=0.0
!
!WC_N2O5/WC_CO2=0.0
!
!WC_N2O5/WC_SO2=0.0
!
!WC_N2O5/WC_H2SO4=0.0
!
!WC_N2O5/WC_RO21=0.0
!
!WC_N2O5/WC_RO25=0.0
!
!WC_N2O5/WC_MEOH=0.0
!
!WC_N2O5/WC_ETOH=0.0
!
!WC_N2O5/WC_ALCH=0.0
!
!WC_N2O5/WC_HCHO=0.0
!
!WC_N2O5/WC_ALD2=0.0
!
!WC_N2O5/WC_GLY=0.0
!
!WC_N2O5/WC_MGLY=0.0
!
!WC_N2O5/WC_KETL=0.0
!
!WC_N2O5/WC_ORA1=0.0
!
!WC_N2O5/WC_ORA2=0.0
!
!WC_N2O5/WC_ACID=0.0
!
!WC_N2O5/WC_RP16=0.0
!
!WC_N2O5/WC_UR21=0.0
!
!WC_N2O5/WC_UR28=0.0
!
!WC_N2O5/WC_ACID2=0.0
!
!WC_N2O5/WC_ASO3=0.0
!
!WC_N2O5/WC_ASO4=0.0
!
!WC_N2O5/WC_ASO5=0.0
!
!WC_N2O5/WC_AHSO5=0.0
!
!WC_N2O5/WC_AHMS=0.0
!
!WC_N2O5/WR_O3=0.0
!
!WC_N2O5/WR_H2O2=0.0
!
!WC_N2O5/WR_NO=0.0
!
!WC_N2O5/WR_NO2=0.0
!
!WC_N2O5/WR_NO3=0.0
!
!WC_N2O5/WR_N2O5=0.0
!
!WC_N2O5/WR_HONO=0.0
!
!WC_N2O5/WR_HNO3=0.0
!
!WC_N2O5/WR_HNO4=0.0
!
!WC_N2O5/WR_NH3=0.0
!
!WC_N2O5/WR_OH=0.0
!
!WC_N2O5/WR_HO2=0.0
!
!WC_N2O5/WR_CO2=0.0
!
!WC_N2O5/WR_SO2=0.0
!
!WC_N2O5/WR_H2SO4=0.0
!
!WC_N2O5/WR_RO21=0.0
!
!WC_N2O5/WR_RO25=0.0
!
!WC_N2O5/WR_MEOH=0.0
!
!WC_N2O5/WR_ETOH=0.0
!
!WC_N2O5/WR_ALCH=0.0
!
!WC_N2O5/WR_HCHO=0.0
!
!WC_N2O5/WR_ALD2=0.0
!
!WC_N2O5/WR_GLY=0.0
!
!WC_N2O5/WR_MGLY=0.0
!
!WC_N2O5/WR_KETL=0.0
!
!WC_N2O5/WR_ORA1=0.0
!
!WC_N2O5/WR_ORA2=0.0
!
!WC_N2O5/WR_ACID=0.0
!
!WC_N2O5/WR_RP16=0.0
!
!WC_N2O5/WR_UR21=0.0
!
!WC_N2O5/WR_UR28=0.0
!
!WC_N2O5/WR_ACID2=0.0
!
!WC_N2O5/WR_ASO3=0.0
!
!WC_N2O5/WR_ASO4=0.0
!
!WC_N2O5/WR_ASO5=0.0
!
!WC_N2O5/WR_AHSO5=0.0
!
!WC_N2O5/WR_AHMS=0.0
!
!WC_HONO/NO=0.0
!
!WC_HONO/NO2=0.0
!
!WC_HONO/O3=0.0
!
!WC_HONO/HONO=+KTC7
 PJAC(:,94,4)=+TPK%KTC7(:)
!
!WC_HONO/HNO3=0.0
!
!WC_HONO/HNO4=0.0
!
!WC_HONO/N2O5=0.0
!
!WC_HONO/NO3=0.0
!
!WC_HONO/NH3=0.0
!
!WC_HONO/HO2=0.0
!
!WC_HONO/CO=0.0
!
!WC_HONO/H2O2=0.0
!
!WC_HONO/SO2=0.0
!
!WC_HONO/H2SO4=0.0
!
!WC_HONO/OH=0.0
!
!WC_HONO/ETHE=0.0
!
!WC_HONO/OLEL=0.0
!
!WC_HONO/OLEH=0.0
!
!WC_HONO/ALKL=0.0
!
!WC_HONO/ALKM=0.0
!
!WC_HONO/ALKH=0.0
!
!WC_HONO/AROH=0.0
!
!WC_HONO/AROL=0.0
!
!WC_HONO/AROO=0.0
!
!WC_HONO/ARAL=0.0
!
!WC_HONO/ARAC=0.0
!
!WC_HONO/PAH=0.0
!
!WC_HONO/HCHO=0.0
!
!WC_HONO/ALD2=0.0
!
!WC_HONO/KETL=0.0
!
!WC_HONO/KETH=0.0
!
!WC_HONO/MEOH=0.0
!
!WC_HONO/ETOH=0.0
!
!WC_HONO/ALCH=0.0
!
!WC_HONO/ISOP=0.0
!
!WC_HONO/BIOL=0.0
!
!WC_HONO/BIOH=0.0
!
!WC_HONO/MTBE=0.0
!
!WC_HONO/MVK=0.0
!
!WC_HONO/MCR=0.0
!
!WC_HONO/MGLY=0.0
!
!WC_HONO/GLY=0.0
!
!WC_HONO/ORA1=0.0
!
!WC_HONO/ORA2=0.0
!
!WC_HONO/ACID=0.0
!
!WC_HONO/UR28=0.0
!
!WC_HONO/UR21=0.0
!
!WC_HONO/URG2=0.0
!
!WC_HONO/UR26=0.0
!
!WC_HONO/RPG2=0.0
!
!WC_HONO/RP18=0.0
!
!WC_HONO/RPG3=0.0
!
!WC_HONO/URG4=0.0
!
!WC_HONO/UR8=0.0
!
!WC_HONO/UR17=0.0
!
!WC_HONO/UR7=0.0
!
!WC_HONO/RPR3=0.0
!
!WC_HONO/URG6=0.0
!
!WC_HONO/UR22=0.0
!
!WC_HONO/URG7=0.0
!
!WC_HONO/RPR4=0.0
!
!WC_HONO/RPR7=0.0
!
!WC_HONO/RPG7=0.0
!
!WC_HONO/URG8=0.0
!
!WC_HONO/UR19=0.0
!
!WC_HONO/URG9=0.0
!
!WC_HONO/AP7=0.0
!
!WC_HONO/URG10=0.0
!
!WC_HONO/RPR1=0.0
!
!WC_HONO/RPR5=0.0
!
!WC_HONO/RPR8=0.0
!
!WC_HONO/RP10=0.0
!
!WC_HONO/RP11=0.0
!
!WC_HONO/RP16=0.0
!
!WC_HONO/RPRL=0.0
!
!WC_HONO/APAN=0.0
!
!WC_HONO/PAN1=0.0
!
!WC_HONO/PAN2=0.0
!
!WC_HONO/PAN3=0.0
!
!WC_HONO/PAN4=0.0
!
!WC_HONO/PAN6=0.0
!
!WC_HONO/PAN7=0.0
!
!WC_HONO/PAN8=0.0
!
!WC_HONO/PN10=0.0
!
!WC_HONO/RO2T=0.0
!
!WC_HONO/RO21=0.0
!
!WC_HONO/RO25=0.0
!
!WC_HONO/WC_O3=0.0
!
!WC_HONO/WC_H2O2=0.0
!
!WC_HONO/WC_NO=0.0
!
!WC_HONO/WC_NO2=0.0
!
!WC_HONO/WC_NO3=0.0
!
!WC_HONO/WC_N2O5=0.0
!
!WC_HONO/WC_HONO=-KTC38-KC8*<WC_OH>
 PJAC(:,94,94)=-TPK%KTC38(:)-TPK%KC8(:)*PCONC(:,98)
!
!WC_HONO/WC_HNO3=0.0
!
!WC_HONO/WC_HNO4=+KC11
 PJAC(:,94,96)=+TPK%KC11(:)
!
!WC_HONO/WC_NH3=0.0
!
!WC_HONO/WC_OH=-KC8*<WC_HONO>
 PJAC(:,94,98)=-TPK%KC8(:)*PCONC(:,94)
!
!WC_HONO/WC_HO2=0.0
!
!WC_HONO/WC_CO2=0.0
!
!WC_HONO/WC_SO2=0.0
!
!WC_HONO/WC_H2SO4=0.0
!
!WC_HONO/WC_RO21=0.0
!
!WC_HONO/WC_RO25=0.0
!
!WC_HONO/WC_MEOH=0.0
!
!WC_HONO/WC_ETOH=0.0
!
!WC_HONO/WC_ALCH=0.0
!
!WC_HONO/WC_HCHO=0.0
!
!WC_HONO/WC_ALD2=0.0
!
!WC_HONO/WC_GLY=0.0
!
!WC_HONO/WC_MGLY=0.0
!
!WC_HONO/WC_KETL=0.0
!
!WC_HONO/WC_ORA1=0.0
!
!WC_HONO/WC_ORA2=0.0
!
!WC_HONO/WC_ACID=0.0
!
!WC_HONO/WC_RP16=0.0
!
!WC_HONO/WC_UR21=0.0
!
!WC_HONO/WC_UR28=0.0
!
!WC_HONO/WC_ACID2=0.0
!
!WC_HONO/WC_ASO3=0.0
!
!WC_HONO/WC_ASO4=0.0
!
!WC_HONO/WC_ASO5=0.0
!
!WC_HONO/WC_AHSO5=0.0
!
!WC_HONO/WC_AHMS=0.0
!
!WC_HONO/WR_O3=0.0
!
!WC_HONO/WR_H2O2=0.0
!
!WC_HONO/WR_NO=0.0
!
!WC_HONO/WR_NO2=0.0
!
!WC_HONO/WR_NO3=0.0
!
!WC_HONO/WR_N2O5=0.0
!
!WC_HONO/WR_HONO=0.0
!
!WC_HONO/WR_HNO3=0.0
!
!WC_HONO/WR_HNO4=0.0
!
!WC_HONO/WR_NH3=0.0
!
!WC_HONO/WR_OH=0.0
!
!WC_HONO/WR_HO2=0.0
!
!WC_HONO/WR_CO2=0.0
!
!WC_HONO/WR_SO2=0.0
!
!WC_HONO/WR_H2SO4=0.0
!
!WC_HONO/WR_RO21=0.0
!
!WC_HONO/WR_RO25=0.0
!
!WC_HONO/WR_MEOH=0.0
!
!WC_HONO/WR_ETOH=0.0
!
!WC_HONO/WR_ALCH=0.0
!
!WC_HONO/WR_HCHO=0.0
!
!WC_HONO/WR_ALD2=0.0
!
!WC_HONO/WR_GLY=0.0
!
!WC_HONO/WR_MGLY=0.0
!
!WC_HONO/WR_KETL=0.0
!
!WC_HONO/WR_ORA1=0.0
!
!WC_HONO/WR_ORA2=0.0
!
!WC_HONO/WR_ACID=0.0
!
!WC_HONO/WR_RP16=0.0
!
!WC_HONO/WR_UR21=0.0
!
!WC_HONO/WR_UR28=0.0
!
!WC_HONO/WR_ACID2=0.0
!
!WC_HONO/WR_ASO3=0.0
!
!WC_HONO/WR_ASO4=0.0
!
!WC_HONO/WR_ASO5=0.0
!
!WC_HONO/WR_AHSO5=0.0
!
!WC_HONO/WR_AHMS=0.0
!
!WC_HNO3/NO=0.0
!
!WC_HNO3/NO2=0.0
!
!WC_HNO3/O3=0.0
!
!WC_HNO3/HONO=0.0
!
!WC_HNO3/HNO3=+KTC8
 PJAC(:,95,5)=+TPK%KTC8(:)
!
!WC_HNO3/HNO4=0.0
!
!WC_HNO3/N2O5=0.0
!
!WC_HNO3/NO3=0.0
!
!WC_HNO3/NH3=0.0
!
!WC_HNO3/HO2=0.0
!
!WC_HNO3/CO=0.0
!
!WC_HNO3/H2O2=0.0
!
!WC_HNO3/SO2=0.0
!
!WC_HNO3/H2SO4=0.0
!
!WC_HNO3/OH=0.0
!
!WC_HNO3/ETHE=0.0
!
!WC_HNO3/OLEL=0.0
!
!WC_HNO3/OLEH=0.0
!
!WC_HNO3/ALKL=0.0
!
!WC_HNO3/ALKM=0.0
!
!WC_HNO3/ALKH=0.0
!
!WC_HNO3/AROH=0.0
!
!WC_HNO3/AROL=0.0
!
!WC_HNO3/AROO=0.0
!
!WC_HNO3/ARAL=0.0
!
!WC_HNO3/ARAC=0.0
!
!WC_HNO3/PAH=0.0
!
!WC_HNO3/HCHO=0.0
!
!WC_HNO3/ALD2=0.0
!
!WC_HNO3/KETL=0.0
!
!WC_HNO3/KETH=0.0
!
!WC_HNO3/MEOH=0.0
!
!WC_HNO3/ETOH=0.0
!
!WC_HNO3/ALCH=0.0
!
!WC_HNO3/ISOP=0.0
!
!WC_HNO3/BIOL=0.0
!
!WC_HNO3/BIOH=0.0
!
!WC_HNO3/MTBE=0.0
!
!WC_HNO3/MVK=0.0
!
!WC_HNO3/MCR=0.0
!
!WC_HNO3/MGLY=0.0
!
!WC_HNO3/GLY=0.0
!
!WC_HNO3/ORA1=0.0
!
!WC_HNO3/ORA2=0.0
!
!WC_HNO3/ACID=0.0
!
!WC_HNO3/UR28=0.0
!
!WC_HNO3/UR21=0.0
!
!WC_HNO3/URG2=0.0
!
!WC_HNO3/UR26=0.0
!
!WC_HNO3/RPG2=0.0
!
!WC_HNO3/RP18=0.0
!
!WC_HNO3/RPG3=0.0
!
!WC_HNO3/URG4=0.0
!
!WC_HNO3/UR8=0.0
!
!WC_HNO3/UR17=0.0
!
!WC_HNO3/UR7=0.0
!
!WC_HNO3/RPR3=0.0
!
!WC_HNO3/URG6=0.0
!
!WC_HNO3/UR22=0.0
!
!WC_HNO3/URG7=0.0
!
!WC_HNO3/RPR4=0.0
!
!WC_HNO3/RPR7=0.0
!
!WC_HNO3/RPG7=0.0
!
!WC_HNO3/URG8=0.0
!
!WC_HNO3/UR19=0.0
!
!WC_HNO3/URG9=0.0
!
!WC_HNO3/AP7=0.0
!
!WC_HNO3/URG10=0.0
!
!WC_HNO3/RPR1=0.0
!
!WC_HNO3/RPR5=0.0
!
!WC_HNO3/RPR8=0.0
!
!WC_HNO3/RP10=0.0
!
!WC_HNO3/RP11=0.0
!
!WC_HNO3/RP16=0.0
!
!WC_HNO3/RPRL=0.0
!
!WC_HNO3/APAN=0.0
!
!WC_HNO3/PAN1=0.0
!
!WC_HNO3/PAN2=0.0
!
!WC_HNO3/PAN3=0.0
!
!WC_HNO3/PAN4=0.0
!
!WC_HNO3/PAN6=0.0
!
!WC_HNO3/PAN7=0.0
!
!WC_HNO3/PAN8=0.0
!
!WC_HNO3/PN10=0.0
!
!WC_HNO3/RO2T=0.0
!
!WC_HNO3/RO21=0.0
!
!WC_HNO3/RO25=0.0
!
!WC_HNO3/WC_O3=0.0
!
!WC_HNO3/WC_H2O2=0.0
!
!WC_HNO3/WC_NO=0.0
!
!WC_HNO3/WC_NO2=0.0
!
!WC_HNO3/WC_NO3=+KC15*<WC_H2SO4>+KC16*<WC_SO2>
 PJAC(:,95,92)=+TPK%KC15(:)*PCONC(:,102)+TPK%KC16(:)*PCONC(:,101)
!
!WC_HNO3/WC_N2O5=+KC14+KC14
 PJAC(:,95,93)=+TPK%KC14(:)+TPK%KC14(:)
!
!WC_HNO3/WC_HONO=0.0
!
!WC_HNO3/WC_HNO3=-KTC39-KC13
 PJAC(:,95,95)=-TPK%KTC39(:)-TPK%KC13(:)
!
!WC_HNO3/WC_HNO4=+KC12*<WC_SO2>
 PJAC(:,95,96)=+TPK%KC12(:)*PCONC(:,101)
!
!WC_HNO3/WC_NH3=0.0
!
!WC_HNO3/WC_OH=0.0
!
!WC_HNO3/WC_HO2=0.0
!
!WC_HNO3/WC_CO2=0.0
!
!WC_HNO3/WC_SO2=+KC12*<WC_HNO4>+KC16*<WC_NO3>
 PJAC(:,95,101)=+TPK%KC12(:)*PCONC(:,96)+TPK%KC16(:)*PCONC(:,92)
!
!WC_HNO3/WC_H2SO4=+KC15*<WC_NO3>
 PJAC(:,95,102)=+TPK%KC15(:)*PCONC(:,92)
!
!WC_HNO3/WC_RO21=0.0
!
!WC_HNO3/WC_RO25=0.0
!
!WC_HNO3/WC_MEOH=0.0
!
!WC_HNO3/WC_ETOH=0.0
!
!WC_HNO3/WC_ALCH=0.0
!
!WC_HNO3/WC_HCHO=0.0
!
!WC_HNO3/WC_ALD2=0.0
!
!WC_HNO3/WC_GLY=0.0
!
!WC_HNO3/WC_MGLY=0.0
!
!WC_HNO3/WC_KETL=0.0
!
!WC_HNO3/WC_ORA1=0.0
!
!WC_HNO3/WC_ORA2=0.0
!
!WC_HNO3/WC_ACID=0.0
!
!WC_HNO3/WC_RP16=0.0
!
!WC_HNO3/WC_UR21=0.0
!
!WC_HNO3/WC_UR28=0.0
!
!WC_HNO3/WC_ACID2=0.0
!
!WC_HNO3/WC_ASO3=0.0
!
!WC_HNO3/WC_ASO4=0.0
!
!WC_HNO3/WC_ASO5=0.0
!
!WC_HNO3/WC_AHSO5=0.0
!
!WC_HNO3/WC_AHMS=0.0
!
!WC_HNO3/WR_O3=0.0
!
!WC_HNO3/WR_H2O2=0.0
!
!WC_HNO3/WR_NO=0.0
!
!WC_HNO3/WR_NO2=0.0
!
!WC_HNO3/WR_NO3=0.0
!
!WC_HNO3/WR_N2O5=0.0
!
!WC_HNO3/WR_HONO=0.0
!
!WC_HNO3/WR_HNO3=0.0
!
!WC_HNO3/WR_HNO4=0.0
!
!WC_HNO3/WR_NH3=0.0
!
!WC_HNO3/WR_OH=0.0
!
!WC_HNO3/WR_HO2=0.0
!
!WC_HNO3/WR_CO2=0.0
!
!WC_HNO3/WR_SO2=0.0
!
!WC_HNO3/WR_H2SO4=0.0
!
!WC_HNO3/WR_RO21=0.0
!
!WC_HNO3/WR_RO25=0.0
!
!WC_HNO3/WR_MEOH=0.0
!
!WC_HNO3/WR_ETOH=0.0
!
!WC_HNO3/WR_ALCH=0.0
!
!WC_HNO3/WR_HCHO=0.0
!
!WC_HNO3/WR_ALD2=0.0
!
!WC_HNO3/WR_GLY=0.0
!
!WC_HNO3/WR_MGLY=0.0
!
!WC_HNO3/WR_KETL=0.0
!
!WC_HNO3/WR_ORA1=0.0
!
!WC_HNO3/WR_ORA2=0.0
!
!WC_HNO3/WR_ACID=0.0
!
!WC_HNO3/WR_RP16=0.0
!
!WC_HNO3/WR_UR21=0.0
!
!WC_HNO3/WR_UR28=0.0
!
!WC_HNO3/WR_ACID2=0.0
!
!WC_HNO3/WR_ASO3=0.0
!
!WC_HNO3/WR_ASO4=0.0
!
!WC_HNO3/WR_ASO5=0.0
!
!WC_HNO3/WR_AHSO5=0.0
!
!WC_HNO3/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ18
!
SUBROUTINE SUBJ19
!
!Indices 96 a 100
!
!
!WC_HNO4/NO=0.0
!
!WC_HNO4/NO2=0.0
!
!WC_HNO4/O3=0.0
!
!WC_HNO4/HONO=0.0
!
!WC_HNO4/HNO3=0.0
!
!WC_HNO4/HNO4=+KTC9
 PJAC(:,96,6)=+TPK%KTC9(:)
!
!WC_HNO4/N2O5=0.0
!
!WC_HNO4/NO3=0.0
!
!WC_HNO4/NH3=0.0
!
!WC_HNO4/HO2=0.0
!
!WC_HNO4/CO=0.0
!
!WC_HNO4/H2O2=0.0
!
!WC_HNO4/SO2=0.0
!
!WC_HNO4/H2SO4=0.0
!
!WC_HNO4/OH=0.0
!
!WC_HNO4/ETHE=0.0
!
!WC_HNO4/OLEL=0.0
!
!WC_HNO4/OLEH=0.0
!
!WC_HNO4/ALKL=0.0
!
!WC_HNO4/ALKM=0.0
!
!WC_HNO4/ALKH=0.0
!
!WC_HNO4/AROH=0.0
!
!WC_HNO4/AROL=0.0
!
!WC_HNO4/AROO=0.0
!
!WC_HNO4/ARAL=0.0
!
!WC_HNO4/ARAC=0.0
!
!WC_HNO4/PAH=0.0
!
!WC_HNO4/HCHO=0.0
!
!WC_HNO4/ALD2=0.0
!
!WC_HNO4/KETL=0.0
!
!WC_HNO4/KETH=0.0
!
!WC_HNO4/MEOH=0.0
!
!WC_HNO4/ETOH=0.0
!
!WC_HNO4/ALCH=0.0
!
!WC_HNO4/ISOP=0.0
!
!WC_HNO4/BIOL=0.0
!
!WC_HNO4/BIOH=0.0
!
!WC_HNO4/MTBE=0.0
!
!WC_HNO4/MVK=0.0
!
!WC_HNO4/MCR=0.0
!
!WC_HNO4/MGLY=0.0
!
!WC_HNO4/GLY=0.0
!
!WC_HNO4/ORA1=0.0
!
!WC_HNO4/ORA2=0.0
!
!WC_HNO4/ACID=0.0
!
!WC_HNO4/UR28=0.0
!
!WC_HNO4/UR21=0.0
!
!WC_HNO4/URG2=0.0
!
!WC_HNO4/UR26=0.0
!
!WC_HNO4/RPG2=0.0
!
!WC_HNO4/RP18=0.0
!
!WC_HNO4/RPG3=0.0
!
!WC_HNO4/URG4=0.0
!
!WC_HNO4/UR8=0.0
!
!WC_HNO4/UR17=0.0
!
!WC_HNO4/UR7=0.0
!
!WC_HNO4/RPR3=0.0
!
!WC_HNO4/URG6=0.0
!
!WC_HNO4/UR22=0.0
!
!WC_HNO4/URG7=0.0
!
!WC_HNO4/RPR4=0.0
!
!WC_HNO4/RPR7=0.0
!
!WC_HNO4/RPG7=0.0
!
!WC_HNO4/URG8=0.0
!
!WC_HNO4/UR19=0.0
!
!WC_HNO4/URG9=0.0
!
!WC_HNO4/AP7=0.0
!
!WC_HNO4/URG10=0.0
!
!WC_HNO4/RPR1=0.0
!
!WC_HNO4/RPR5=0.0
!
!WC_HNO4/RPR8=0.0
!
!WC_HNO4/RP10=0.0
!
!WC_HNO4/RP11=0.0
!
!WC_HNO4/RP16=0.0
!
!WC_HNO4/RPRL=0.0
!
!WC_HNO4/APAN=0.0
!
!WC_HNO4/PAN1=0.0
!
!WC_HNO4/PAN2=0.0
!
!WC_HNO4/PAN3=0.0
!
!WC_HNO4/PAN4=0.0
!
!WC_HNO4/PAN6=0.0
!
!WC_HNO4/PAN7=0.0
!
!WC_HNO4/PAN8=0.0
!
!WC_HNO4/PN10=0.0
!
!WC_HNO4/RO2T=0.0
!
!WC_HNO4/RO21=0.0
!
!WC_HNO4/RO25=0.0
!
!WC_HNO4/WC_O3=0.0
!
!WC_HNO4/WC_H2O2=0.0
!
!WC_HNO4/WC_NO=0.0
!
!WC_HNO4/WC_NO2=+KC9*<WC_HO2>
 PJAC(:,96,91)=+TPK%KC9(:)*PCONC(:,99)
!
!WC_HNO4/WC_NO3=0.0
!
!WC_HNO4/WC_N2O5=0.0
!
!WC_HNO4/WC_HONO=0.0
!
!WC_HNO4/WC_HNO3=0.0
!
!WC_HNO4/WC_HNO4=-KTC40-KC10-KC11-KC12*<WC_SO2>
 PJAC(:,96,96)=-TPK%KTC40(:)-TPK%KC10(:)-TPK%KC11(:)-TPK%KC12(:)*PCONC(:,101)
!
!WC_HNO4/WC_NH3=0.0
!
!WC_HNO4/WC_OH=0.0
!
!WC_HNO4/WC_HO2=+KC9*<WC_NO2>
 PJAC(:,96,99)=+TPK%KC9(:)*PCONC(:,91)
!
!WC_HNO4/WC_CO2=0.0
!
!WC_HNO4/WC_SO2=-KC12*<WC_HNO4>
 PJAC(:,96,101)=-TPK%KC12(:)*PCONC(:,96)
!
!WC_HNO4/WC_H2SO4=0.0
!
!WC_HNO4/WC_RO21=0.0
!
!WC_HNO4/WC_RO25=0.0
!
!WC_HNO4/WC_MEOH=0.0
!
!WC_HNO4/WC_ETOH=0.0
!
!WC_HNO4/WC_ALCH=0.0
!
!WC_HNO4/WC_HCHO=0.0
!
!WC_HNO4/WC_ALD2=0.0
!
!WC_HNO4/WC_GLY=0.0
!
!WC_HNO4/WC_MGLY=0.0
!
!WC_HNO4/WC_KETL=0.0
!
!WC_HNO4/WC_ORA1=0.0
!
!WC_HNO4/WC_ORA2=0.0
!
!WC_HNO4/WC_ACID=0.0
!
!WC_HNO4/WC_RP16=0.0
!
!WC_HNO4/WC_UR21=0.0
!
!WC_HNO4/WC_UR28=0.0
!
!WC_HNO4/WC_ACID2=0.0
!
!WC_HNO4/WC_ASO3=0.0
!
!WC_HNO4/WC_ASO4=0.0
!
!WC_HNO4/WC_ASO5=0.0
!
!WC_HNO4/WC_AHSO5=0.0
!
!WC_HNO4/WC_AHMS=0.0
!
!WC_HNO4/WR_O3=0.0
!
!WC_HNO4/WR_H2O2=0.0
!
!WC_HNO4/WR_NO=0.0
!
!WC_HNO4/WR_NO2=0.0
!
!WC_HNO4/WR_NO3=0.0
!
!WC_HNO4/WR_N2O5=0.0
!
!WC_HNO4/WR_HONO=0.0
!
!WC_HNO4/WR_HNO3=0.0
!
!WC_HNO4/WR_HNO4=0.0
!
!WC_HNO4/WR_NH3=0.0
!
!WC_HNO4/WR_OH=0.0
!
!WC_HNO4/WR_HO2=0.0
!
!WC_HNO4/WR_CO2=0.0
!
!WC_HNO4/WR_SO2=0.0
!
!WC_HNO4/WR_H2SO4=0.0
!
!WC_HNO4/WR_RO21=0.0
!
!WC_HNO4/WR_RO25=0.0
!
!WC_HNO4/WR_MEOH=0.0
!
!WC_HNO4/WR_ETOH=0.0
!
!WC_HNO4/WR_ALCH=0.0
!
!WC_HNO4/WR_HCHO=0.0
!
!WC_HNO4/WR_ALD2=0.0
!
!WC_HNO4/WR_GLY=0.0
!
!WC_HNO4/WR_MGLY=0.0
!
!WC_HNO4/WR_KETL=0.0
!
!WC_HNO4/WR_ORA1=0.0
!
!WC_HNO4/WR_ORA2=0.0
!
!WC_HNO4/WR_ACID=0.0
!
!WC_HNO4/WR_RP16=0.0
!
!WC_HNO4/WR_UR21=0.0
!
!WC_HNO4/WR_UR28=0.0
!
!WC_HNO4/WR_ACID2=0.0
!
!WC_HNO4/WR_ASO3=0.0
!
!WC_HNO4/WR_ASO4=0.0
!
!WC_HNO4/WR_ASO5=0.0
!
!WC_HNO4/WR_AHSO5=0.0
!
!WC_HNO4/WR_AHMS=0.0
!
!WC_NH3/NO=0.0
!
!WC_NH3/NO2=0.0
!
!WC_NH3/O3=0.0
!
!WC_NH3/HONO=0.0
!
!WC_NH3/HNO3=0.0
!
!WC_NH3/HNO4=0.0
!
!WC_NH3/N2O5=0.0
!
!WC_NH3/NO3=0.0
!
!WC_NH3/NH3=+KTC10
 PJAC(:,97,9)=+TPK%KTC10(:)
!
!WC_NH3/HO2=0.0
!
!WC_NH3/CO=0.0
!
!WC_NH3/H2O2=0.0
!
!WC_NH3/SO2=0.0
!
!WC_NH3/H2SO4=0.0
!
!WC_NH3/OH=0.0
!
!WC_NH3/ETHE=0.0
!
!WC_NH3/OLEL=0.0
!
!WC_NH3/OLEH=0.0
!
!WC_NH3/ALKL=0.0
!
!WC_NH3/ALKM=0.0
!
!WC_NH3/ALKH=0.0
!
!WC_NH3/AROH=0.0
!
!WC_NH3/AROL=0.0
!
!WC_NH3/AROO=0.0
!
!WC_NH3/ARAL=0.0
!
!WC_NH3/ARAC=0.0
!
!WC_NH3/PAH=0.0
!
!WC_NH3/HCHO=0.0
!
!WC_NH3/ALD2=0.0
!
!WC_NH3/KETL=0.0
!
!WC_NH3/KETH=0.0
!
!WC_NH3/MEOH=0.0
!
!WC_NH3/ETOH=0.0
!
!WC_NH3/ALCH=0.0
!
!WC_NH3/ISOP=0.0
!
!WC_NH3/BIOL=0.0
!
!WC_NH3/BIOH=0.0
!
!WC_NH3/MTBE=0.0
!
!WC_NH3/MVK=0.0
!
!WC_NH3/MCR=0.0
!
!WC_NH3/MGLY=0.0
!
!WC_NH3/GLY=0.0
!
!WC_NH3/ORA1=0.0
!
!WC_NH3/ORA2=0.0
!
!WC_NH3/ACID=0.0
!
!WC_NH3/UR28=0.0
!
!WC_NH3/UR21=0.0
!
!WC_NH3/URG2=0.0
!
!WC_NH3/UR26=0.0
!
!WC_NH3/RPG2=0.0
!
!WC_NH3/RP18=0.0
!
!WC_NH3/RPG3=0.0
!
!WC_NH3/URG4=0.0
!
!WC_NH3/UR8=0.0
!
!WC_NH3/UR17=0.0
!
!WC_NH3/UR7=0.0
!
!WC_NH3/RPR3=0.0
!
!WC_NH3/URG6=0.0
!
!WC_NH3/UR22=0.0
!
!WC_NH3/URG7=0.0
!
!WC_NH3/RPR4=0.0
!
!WC_NH3/RPR7=0.0
!
!WC_NH3/RPG7=0.0
!
!WC_NH3/URG8=0.0
!
!WC_NH3/UR19=0.0
!
!WC_NH3/URG9=0.0
!
!WC_NH3/AP7=0.0
!
!WC_NH3/URG10=0.0
!
!WC_NH3/RPR1=0.0
!
!WC_NH3/RPR5=0.0
!
!WC_NH3/RPR8=0.0
!
!WC_NH3/RP10=0.0
!
!WC_NH3/RP11=0.0
!
!WC_NH3/RP16=0.0
!
!WC_NH3/RPRL=0.0
!
!WC_NH3/APAN=0.0
!
!WC_NH3/PAN1=0.0
!
!WC_NH3/PAN2=0.0
!
!WC_NH3/PAN3=0.0
!
!WC_NH3/PAN4=0.0
!
!WC_NH3/PAN6=0.0
!
!WC_NH3/PAN7=0.0
!
!WC_NH3/PAN8=0.0
!
!WC_NH3/PN10=0.0
!
!WC_NH3/RO2T=0.0
!
!WC_NH3/RO21=0.0
!
!WC_NH3/RO25=0.0
!
!WC_NH3/WC_O3=0.0
!
!WC_NH3/WC_H2O2=0.0
!
!WC_NH3/WC_NO=0.0
!
!WC_NH3/WC_NO2=0.0
!
!WC_NH3/WC_NO3=0.0
!
!WC_NH3/WC_N2O5=0.0
!
!WC_NH3/WC_HONO=0.0
!
!WC_NH3/WC_HNO3=0.0
!
!WC_NH3/WC_HNO4=0.0
!
!WC_NH3/WC_NH3=-KTC41
 PJAC(:,97,97)=-TPK%KTC41(:)
!
!WC_NH3/WC_OH=0.0
!
!WC_NH3/WC_HO2=0.0
!
!WC_NH3/WC_CO2=0.0
!
!WC_NH3/WC_SO2=0.0
!
!WC_NH3/WC_H2SO4=0.0
!
!WC_NH3/WC_RO21=0.0
!
!WC_NH3/WC_RO25=0.0
!
!WC_NH3/WC_MEOH=0.0
!
!WC_NH3/WC_ETOH=0.0
!
!WC_NH3/WC_ALCH=0.0
!
!WC_NH3/WC_HCHO=0.0
!
!WC_NH3/WC_ALD2=0.0
!
!WC_NH3/WC_GLY=0.0
!
!WC_NH3/WC_MGLY=0.0
!
!WC_NH3/WC_KETL=0.0
!
!WC_NH3/WC_ORA1=0.0
!
!WC_NH3/WC_ORA2=0.0
!
!WC_NH3/WC_ACID=0.0
!
!WC_NH3/WC_RP16=0.0
!
!WC_NH3/WC_UR21=0.0
!
!WC_NH3/WC_UR28=0.0
!
!WC_NH3/WC_ACID2=0.0
!
!WC_NH3/WC_ASO3=0.0
!
!WC_NH3/WC_ASO4=0.0
!
!WC_NH3/WC_ASO5=0.0
!
!WC_NH3/WC_AHSO5=0.0
!
!WC_NH3/WC_AHMS=0.0
!
!WC_NH3/WR_O3=0.0
!
!WC_NH3/WR_H2O2=0.0
!
!WC_NH3/WR_NO=0.0
!
!WC_NH3/WR_NO2=0.0
!
!WC_NH3/WR_NO3=0.0
!
!WC_NH3/WR_N2O5=0.0
!
!WC_NH3/WR_HONO=0.0
!
!WC_NH3/WR_HNO3=0.0
!
!WC_NH3/WR_HNO4=0.0
!
!WC_NH3/WR_NH3=0.0
!
!WC_NH3/WR_OH=0.0
!
!WC_NH3/WR_HO2=0.0
!
!WC_NH3/WR_CO2=0.0
!
!WC_NH3/WR_SO2=0.0
!
!WC_NH3/WR_H2SO4=0.0
!
!WC_NH3/WR_RO21=0.0
!
!WC_NH3/WR_RO25=0.0
!
!WC_NH3/WR_MEOH=0.0
!
!WC_NH3/WR_ETOH=0.0
!
!WC_NH3/WR_ALCH=0.0
!
!WC_NH3/WR_HCHO=0.0
!
!WC_NH3/WR_ALD2=0.0
!
!WC_NH3/WR_GLY=0.0
!
!WC_NH3/WR_MGLY=0.0
!
!WC_NH3/WR_KETL=0.0
!
!WC_NH3/WR_ORA1=0.0
!
!WC_NH3/WR_ORA2=0.0
!
!WC_NH3/WR_ACID=0.0
!
!WC_NH3/WR_RP16=0.0
!
!WC_NH3/WR_UR21=0.0
!
!WC_NH3/WR_UR28=0.0
!
!WC_NH3/WR_ACID2=0.0
!
!WC_NH3/WR_ASO3=0.0
!
!WC_NH3/WR_ASO4=0.0
!
!WC_NH3/WR_ASO5=0.0
!
!WC_NH3/WR_AHSO5=0.0
!
!WC_NH3/WR_AHMS=0.0
!
!WC_OH/NO=0.0
!
!WC_OH/NO2=0.0
!
!WC_OH/O3=0.0
!
!WC_OH/HONO=0.0
!
!WC_OH/HNO3=0.0
!
!WC_OH/HNO4=0.0
!
!WC_OH/N2O5=0.0
!
!WC_OH/NO3=0.0
!
!WC_OH/NH3=0.0
!
!WC_OH/HO2=0.0
!
!WC_OH/CO=0.0
!
!WC_OH/H2O2=0.0
!
!WC_OH/SO2=0.0
!
!WC_OH/H2SO4=0.0
!
!WC_OH/OH=+KTC11
 PJAC(:,98,15)=+TPK%KTC11(:)
!
!WC_OH/ETHE=0.0
!
!WC_OH/OLEL=0.0
!
!WC_OH/OLEH=0.0
!
!WC_OH/ALKL=0.0
!
!WC_OH/ALKM=0.0
!
!WC_OH/ALKH=0.0
!
!WC_OH/AROH=0.0
!
!WC_OH/AROL=0.0
!
!WC_OH/AROO=0.0
!
!WC_OH/ARAL=0.0
!
!WC_OH/ARAC=0.0
!
!WC_OH/PAH=0.0
!
!WC_OH/HCHO=0.0
!
!WC_OH/ALD2=0.0
!
!WC_OH/KETL=0.0
!
!WC_OH/KETH=0.0
!
!WC_OH/MEOH=0.0
!
!WC_OH/ETOH=0.0
!
!WC_OH/ALCH=0.0
!
!WC_OH/ISOP=0.0
!
!WC_OH/BIOL=0.0
!
!WC_OH/BIOH=0.0
!
!WC_OH/MTBE=0.0
!
!WC_OH/MVK=0.0
!
!WC_OH/MCR=0.0
!
!WC_OH/MGLY=0.0
!
!WC_OH/GLY=0.0
!
!WC_OH/ORA1=0.0
!
!WC_OH/ORA2=0.0
!
!WC_OH/ACID=0.0
!
!WC_OH/UR28=0.0
!
!WC_OH/UR21=0.0
!
!WC_OH/URG2=0.0
!
!WC_OH/UR26=0.0
!
!WC_OH/RPG2=0.0
!
!WC_OH/RP18=0.0
!
!WC_OH/RPG3=0.0
!
!WC_OH/URG4=0.0
!
!WC_OH/UR8=0.0
!
!WC_OH/UR17=0.0
!
!WC_OH/UR7=0.0
!
!WC_OH/RPR3=0.0
!
!WC_OH/URG6=0.0
!
!WC_OH/UR22=0.0
!
!WC_OH/URG7=0.0
!
!WC_OH/RPR4=0.0
!
!WC_OH/RPR7=0.0
!
!WC_OH/RPG7=0.0
!
!WC_OH/URG8=0.0
!
!WC_OH/UR19=0.0
!
!WC_OH/URG9=0.0
!
!WC_OH/AP7=0.0
!
!WC_OH/URG10=0.0
!
!WC_OH/RPR1=0.0
!
!WC_OH/RPR5=0.0
!
!WC_OH/RPR8=0.0
!
!WC_OH/RP10=0.0
!
!WC_OH/RP11=0.0
!
!WC_OH/RP16=0.0
!
!WC_OH/RPRL=0.0
!
!WC_OH/APAN=0.0
!
!WC_OH/PAN1=0.0
!
!WC_OH/PAN2=0.0
!
!WC_OH/PAN3=0.0
!
!WC_OH/PAN4=0.0
!
!WC_OH/PAN6=0.0
!
!WC_OH/PAN7=0.0
!
!WC_OH/PAN8=0.0
!
!WC_OH/PN10=0.0
!
!WC_OH/RO2T=0.0
!
!WC_OH/RO21=0.0
!
!WC_OH/RO25=0.0
!
!WC_OH/WC_O3=+KC6*<WC_HO2>
 PJAC(:,98,88)=+TPK%KC6(:)*PCONC(:,99)
!
!WC_OH/WC_H2O2=+KC1+KC1-KC4*<WC_OH>
 PJAC(:,98,89)=+TPK%KC1(:)+TPK%KC1(:)-TPK%KC4(:)*PCONC(:,98)
!
!WC_OH/WC_NO=0.0
!
!WC_OH/WC_NO2=0.0
!
!WC_OH/WC_NO3=0.0
!
!WC_OH/WC_N2O5=0.0
!
!WC_OH/WC_HONO=-KC8*<WC_OH>
 PJAC(:,98,94)=-TPK%KC8(:)*PCONC(:,98)
!
!WC_OH/WC_HNO3=+KC13
 PJAC(:,98,95)=+TPK%KC13(:)
!
!WC_OH/WC_HNO4=0.0
!
!WC_OH/WC_NH3=0.0
!
!WC_OH/WC_OH=-KTC42-KC2*<WC_OH>-KC2*<WC_OH>-KC2*<WC_OH>-KC2*<WC_OH>-KC3*<WC_HO2
!>-KC4*<WC_H2O2>-KC7*<WC_SO2>-KC8*<WC_HONO>-KC19*<WC_AHMS>-KC30*<WC_MEOH>-KC31*
!<WC_ETOH>-KC32*<WC_ALCH>-KC33*<WC_HCHO>-KC34*<WC_ALD2>-KC35*<WC_GLY>-KC36*<WC_
!MGLY>-KC37*<WC_KETL>-KC38*<WC_ORA1>-KC39*<WC_ORA2>-KC40*<WC_ACID>-KC41*<WC_ACI
!D>-KC42*<WC_UR28>-KC43*<WC_UR21>-KC44*<WC_RP16>-KC45*<WC_RP16>-KC46*<WC_ACID2>
 PJAC(:,98,98)=-TPK%KTC42(:)-TPK%KC2(:)*PCONC(:,98)-TPK%KC2(:)*PCONC(:,98)-TPK%&
&KC2(:)*PCONC(:,98)-TPK%KC2(:)*PCONC(:,98)-TPK%KC3(:)*PCONC(:,99)-TPK%KC4(:)*PC&
&ONC(:,89)-TPK%KC7(:)*PCONC(:,101)-TPK%KC8(:)*PCONC(:,94)-TPK%KC19(:)*PCONC(:,1&
&24)-TPK%KC30(:)*PCONC(:,105)-TPK%KC31(:)*PCONC(:,106)-TPK%KC32(:)*PCONC(:,107)&
&-TPK%KC33(:)*PCONC(:,108)-TPK%KC34(:)*PCONC(:,109)-TPK%KC35(:)*PCONC(:,110)-TP&
&K%KC36(:)*PCONC(:,111)-TPK%KC37(:)*PCONC(:,112)-TPK%KC38(:)*PCONC(:,113)-TPK%K&
&C39(:)*PCONC(:,114)-TPK%KC40(:)*PCONC(:,115)-TPK%KC41(:)*PCONC(:,115)-TPK%KC42&
&(:)*PCONC(:,118)-TPK%KC43(:)*PCONC(:,117)-TPK%KC44(:)*PCONC(:,116)-TPK%KC45(:)&
&*PCONC(:,116)-TPK%KC46(:)*PCONC(:,119)
!
!WC_OH/WC_HO2=-KC3*<WC_OH>+KC6*<WC_O3>
 PJAC(:,98,99)=-TPK%KC3(:)*PCONC(:,98)+TPK%KC6(:)*PCONC(:,88)
!
!WC_OH/WC_CO2=0.0
!
!WC_OH/WC_SO2=-KC7*<WC_OH>
 PJAC(:,98,101)=-TPK%KC7(:)*PCONC(:,98)
!
!WC_OH/WC_H2SO4=0.0
!
!WC_OH/WC_RO21=0.0
!
!WC_OH/WC_RO25=0.0
!
!WC_OH/WC_MEOH=-KC30*<WC_OH>
 PJAC(:,98,105)=-TPK%KC30(:)*PCONC(:,98)
!
!WC_OH/WC_ETOH=-KC31*<WC_OH>
 PJAC(:,98,106)=-TPK%KC31(:)*PCONC(:,98)
!
!WC_OH/WC_ALCH=-KC32*<WC_OH>
 PJAC(:,98,107)=-TPK%KC32(:)*PCONC(:,98)
!
!WC_OH/WC_HCHO=-KC33*<WC_OH>
 PJAC(:,98,108)=-TPK%KC33(:)*PCONC(:,98)
!
!WC_OH/WC_ALD2=-KC34*<WC_OH>
 PJAC(:,98,109)=-TPK%KC34(:)*PCONC(:,98)
!
!WC_OH/WC_GLY=-KC35*<WC_OH>
 PJAC(:,98,110)=-TPK%KC35(:)*PCONC(:,98)
!
!WC_OH/WC_MGLY=-KC36*<WC_OH>
 PJAC(:,98,111)=-TPK%KC36(:)*PCONC(:,98)
!
!WC_OH/WC_KETL=-KC37*<WC_OH>
 PJAC(:,98,112)=-TPK%KC37(:)*PCONC(:,98)
!
!WC_OH/WC_ORA1=-KC38*<WC_OH>
 PJAC(:,98,113)=-TPK%KC38(:)*PCONC(:,98)
!
!WC_OH/WC_ORA2=-KC39*<WC_OH>
 PJAC(:,98,114)=-TPK%KC39(:)*PCONC(:,98)
!
!WC_OH/WC_ACID=-KC40*<WC_OH>-KC41*<WC_OH>
 PJAC(:,98,115)=-TPK%KC40(:)*PCONC(:,98)-TPK%KC41(:)*PCONC(:,98)
!
!WC_OH/WC_RP16=-KC44*<WC_OH>-KC45*<WC_OH>
 PJAC(:,98,116)=-TPK%KC44(:)*PCONC(:,98)-TPK%KC45(:)*PCONC(:,98)
!
!WC_OH/WC_UR21=-KC43*<WC_OH>
 PJAC(:,98,117)=-TPK%KC43(:)*PCONC(:,98)
!
!WC_OH/WC_UR28=-KC42*<WC_OH>
 PJAC(:,98,118)=-TPK%KC42(:)*PCONC(:,98)
!
!WC_OH/WC_ACID2=-KC46*<WC_OH>
 PJAC(:,98,119)=-TPK%KC46(:)*PCONC(:,98)
!
!WC_OH/WC_ASO3=0.0
!
!WC_OH/WC_ASO4=+KC24
 PJAC(:,98,121)=+TPK%KC24(:)
!
!WC_OH/WC_ASO5=0.0
!
!WC_OH/WC_AHSO5=0.0
!
!WC_OH/WC_AHMS=-KC19*<WC_OH>
 PJAC(:,98,124)=-TPK%KC19(:)*PCONC(:,98)
!
!WC_OH/WR_O3=0.0
!
!WC_OH/WR_H2O2=0.0
!
!WC_OH/WR_NO=0.0
!
!WC_OH/WR_NO2=0.0
!
!WC_OH/WR_NO3=0.0
!
!WC_OH/WR_N2O5=0.0
!
!WC_OH/WR_HONO=0.0
!
!WC_OH/WR_HNO3=0.0
!
!WC_OH/WR_HNO4=0.0
!
!WC_OH/WR_NH3=0.0
!
!WC_OH/WR_OH=0.0
!
!WC_OH/WR_HO2=0.0
!
!WC_OH/WR_CO2=0.0
!
!WC_OH/WR_SO2=0.0
!
!WC_OH/WR_H2SO4=0.0
!
!WC_OH/WR_RO21=0.0
!
!WC_OH/WR_RO25=0.0
!
!WC_OH/WR_MEOH=0.0
!
!WC_OH/WR_ETOH=0.0
!
!WC_OH/WR_ALCH=0.0
!
!WC_OH/WR_HCHO=0.0
!
!WC_OH/WR_ALD2=0.0
!
!WC_OH/WR_GLY=0.0
!
!WC_OH/WR_MGLY=0.0
!
!WC_OH/WR_KETL=0.0
!
!WC_OH/WR_ORA1=0.0
!
!WC_OH/WR_ORA2=0.0
!
!WC_OH/WR_ACID=0.0
!
!WC_OH/WR_RP16=0.0
!
!WC_OH/WR_UR21=0.0
!
!WC_OH/WR_UR28=0.0
!
!WC_OH/WR_ACID2=0.0
!
!WC_OH/WR_ASO3=0.0
!
!WC_OH/WR_ASO4=0.0
!
!WC_OH/WR_ASO5=0.0
!
!WC_OH/WR_AHSO5=0.0
!
!WC_OH/WR_AHMS=0.0
!
!WC_HO2/NO=0.0
!
!WC_HO2/NO2=0.0
!
!WC_HO2/O3=0.0
!
!WC_HO2/HONO=0.0
!
!WC_HO2/HNO3=0.0
!
!WC_HO2/HNO4=0.0
!
!WC_HO2/N2O5=0.0
!
!WC_HO2/NO3=0.0
!
!WC_HO2/NH3=0.0
!
!WC_HO2/HO2=+KTC12
 PJAC(:,99,10)=+TPK%KTC12(:)
!
!WC_HO2/CO=0.0
!
!WC_HO2/H2O2=0.0
!
!WC_HO2/SO2=0.0
!
!WC_HO2/H2SO4=0.0
!
!WC_HO2/OH=0.0
!
!WC_HO2/ETHE=0.0
!
!WC_HO2/OLEL=0.0
!
!WC_HO2/OLEH=0.0
!
!WC_HO2/ALKL=0.0
!
!WC_HO2/ALKM=0.0
!
!WC_HO2/ALKH=0.0
!
!WC_HO2/AROH=0.0
!
!WC_HO2/AROL=0.0
!
!WC_HO2/AROO=0.0
!
!WC_HO2/ARAL=0.0
!
!WC_HO2/ARAC=0.0
!
!WC_HO2/PAH=0.0
!
!WC_HO2/HCHO=0.0
!
!WC_HO2/ALD2=0.0
!
!WC_HO2/KETL=0.0
!
!WC_HO2/KETH=0.0
!
!WC_HO2/MEOH=0.0
!
!WC_HO2/ETOH=0.0
!
!WC_HO2/ALCH=0.0
!
!WC_HO2/ISOP=0.0
!
!WC_HO2/BIOL=0.0
!
!WC_HO2/BIOH=0.0
!
!WC_HO2/MTBE=0.0
!
!WC_HO2/MVK=0.0
!
!WC_HO2/MCR=0.0
!
!WC_HO2/MGLY=0.0
!
!WC_HO2/GLY=0.0
!
!WC_HO2/ORA1=0.0
!
!WC_HO2/ORA2=0.0
!
!WC_HO2/ACID=0.0
!
!WC_HO2/UR28=0.0
!
!WC_HO2/UR21=0.0
!
!WC_HO2/URG2=0.0
!
!WC_HO2/UR26=0.0
!
!WC_HO2/RPG2=0.0
!
!WC_HO2/RP18=0.0
!
!WC_HO2/RPG3=0.0
!
!WC_HO2/URG4=0.0
!
!WC_HO2/UR8=0.0
!
!WC_HO2/UR17=0.0
!
!WC_HO2/UR7=0.0
!
!WC_HO2/RPR3=0.0
!
!WC_HO2/URG6=0.0
!
!WC_HO2/UR22=0.0
!
!WC_HO2/URG7=0.0
!
!WC_HO2/RPR4=0.0
!
!WC_HO2/RPR7=0.0
!
!WC_HO2/RPG7=0.0
!
!WC_HO2/URG8=0.0
!
!WC_HO2/UR19=0.0
!
!WC_HO2/URG9=0.0
!
!WC_HO2/AP7=0.0
!
!WC_HO2/URG10=0.0
!
!WC_HO2/RPR1=0.0
!
!WC_HO2/RPR5=0.0
!
!WC_HO2/RPR8=0.0
!
!WC_HO2/RP10=0.0
!
!WC_HO2/RP11=0.0
!
!WC_HO2/RP16=0.0
!
!WC_HO2/RPRL=0.0
!
!WC_HO2/APAN=0.0
!
!WC_HO2/PAN1=0.0
!
!WC_HO2/PAN2=0.0
!
!WC_HO2/PAN3=0.0
!
!WC_HO2/PAN4=0.0
!
!WC_HO2/PAN6=0.0
!
!WC_HO2/PAN7=0.0
!
!WC_HO2/PAN8=0.0
!
!WC_HO2/PN10=0.0
!
!WC_HO2/RO2T=0.0
!
!WC_HO2/RO21=0.0
!
!WC_HO2/RO25=0.0
!
!WC_HO2/WC_O3=-KC6*<WC_HO2>
 PJAC(:,99,88)=-TPK%KC6(:)*PCONC(:,99)
!
!WC_HO2/WC_H2O2=+KC4*<WC_OH>
 PJAC(:,99,89)=+TPK%KC4(:)*PCONC(:,98)
!
!WC_HO2/WC_NO=0.0
!
!WC_HO2/WC_NO2=-KC9*<WC_HO2>
 PJAC(:,99,91)=-TPK%KC9(:)*PCONC(:,99)
!
!WC_HO2/WC_NO3=0.0
!
!WC_HO2/WC_N2O5=0.0
!
!WC_HO2/WC_HONO=0.0
!
!WC_HO2/WC_HNO3=0.0
!
!WC_HO2/WC_HNO4=+KC10
 PJAC(:,99,96)=+TPK%KC10(:)
!
!WC_HO2/WC_NH3=0.0
!
!WC_HO2/WC_OH=-KC3*<WC_HO2>+KC4*<WC_H2O2>+KC19*<WC_AHMS>+KC30*<WC_MEOH>+KC31*<W
!C_ETOH>+KC32*<WC_ALCH>+KC33*<WC_HCHO>+KC35*<WC_GLY>+KC36*<WC_MGLY>+KC37*<WC_KE
!TL>+KC38*<WC_ORA1>+0.11*KC41*<WC_ACID>+KC42*<WC_UR28>+0.81*KC43*<WC_UR21>+KC44
!*<WC_RP16>+0.71*KC45*<WC_RP16>
 PJAC(:,99,98)=-TPK%KC3(:)*PCONC(:,99)+TPK%KC4(:)*PCONC(:,89)+TPK%KC19(:)*PCONC&
&(:,124)+TPK%KC30(:)*PCONC(:,105)+TPK%KC31(:)*PCONC(:,106)+TPK%KC32(:)*PCONC(:,&
&107)+TPK%KC33(:)*PCONC(:,108)+TPK%KC35(:)*PCONC(:,110)+TPK%KC36(:)*PCONC(:,111&
&)+TPK%KC37(:)*PCONC(:,112)+TPK%KC38(:)*PCONC(:,113)+0.11*TPK%KC41(:)*PCONC(:,1&
&15)+TPK%KC42(:)*PCONC(:,118)+0.81*TPK%KC43(:)*PCONC(:,117)+TPK%KC44(:)*PCONC(:&
&,116)+0.71*TPK%KC45(:)*PCONC(:,116)
!
!WC_HO2/WC_HO2=-KTC43-KC3*<WC_OH>-KC5*<WC_HO2>-KC5*<WC_HO2>-KC5*<WC_HO2>-KC5*<W
!C_HO2>-KC6*<WC_O3>-KC9*<WC_NO2>-KC21*<WC_ASO5>
 PJAC(:,99,99)=-TPK%KTC43(:)-TPK%KC3(:)*PCONC(:,98)-TPK%KC5(:)*PCONC(:,99)-TPK%&
&KC5(:)*PCONC(:,99)-TPK%KC5(:)*PCONC(:,99)-TPK%KC5(:)*PCONC(:,99)-TPK%KC6(:)*PC&
&ONC(:,88)-TPK%KC9(:)*PCONC(:,91)-TPK%KC21(:)*PCONC(:,122)
!
!WC_HO2/WC_CO2=0.0
!
!WC_HO2/WC_SO2=0.0
!
!WC_HO2/WC_H2SO4=0.0
!
!WC_HO2/WC_RO21=+2.00*KC27*<WC_RO21>+2.00*KC27*<WC_RO21>
 PJAC(:,99,103)=+2.00*TPK%KC27(:)*PCONC(:,103)+2.00*TPK%KC27(:)*PCONC(:,103)
!
!WC_HO2/WC_RO25=+KC29*<WC_RO25>+KC29*<WC_RO25>
 PJAC(:,99,104)=+TPK%KC29(:)*PCONC(:,104)+TPK%KC29(:)*PCONC(:,104)
!
!WC_HO2/WC_MEOH=+KC30*<WC_OH>
 PJAC(:,99,105)=+TPK%KC30(:)*PCONC(:,98)
!
!WC_HO2/WC_ETOH=+KC31*<WC_OH>
 PJAC(:,99,106)=+TPK%KC31(:)*PCONC(:,98)
!
!WC_HO2/WC_ALCH=+KC32*<WC_OH>
 PJAC(:,99,107)=+TPK%KC32(:)*PCONC(:,98)
!
!WC_HO2/WC_HCHO=+KC33*<WC_OH>
 PJAC(:,99,108)=+TPK%KC33(:)*PCONC(:,98)
!
!WC_HO2/WC_ALD2=0.0
!
!WC_HO2/WC_GLY=+KC35*<WC_OH>
 PJAC(:,99,110)=+TPK%KC35(:)*PCONC(:,98)
!
!WC_HO2/WC_MGLY=+KC36*<WC_OH>
 PJAC(:,99,111)=+TPK%KC36(:)*PCONC(:,98)
!
!WC_HO2/WC_KETL=+KC37*<WC_OH>
 PJAC(:,99,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_HO2/WC_ORA1=+KC38*<WC_OH>
 PJAC(:,99,113)=+TPK%KC38(:)*PCONC(:,98)
!
!WC_HO2/WC_ORA2=0.0
!
!WC_HO2/WC_ACID=+0.11*KC41*<WC_OH>
 PJAC(:,99,115)=+0.11*TPK%KC41(:)*PCONC(:,98)
!
!WC_HO2/WC_RP16=+KC44*<WC_OH>+0.71*KC45*<WC_OH>
 PJAC(:,99,116)=+TPK%KC44(:)*PCONC(:,98)+0.71*TPK%KC45(:)*PCONC(:,98)
!
!WC_HO2/WC_UR21=+0.81*KC43*<WC_OH>
 PJAC(:,99,117)=+0.81*TPK%KC43(:)*PCONC(:,98)
!
!WC_HO2/WC_UR28=+KC42*<WC_OH>
 PJAC(:,99,118)=+TPK%KC42(:)*PCONC(:,98)
!
!WC_HO2/WC_ACID2=0.0
!
!WC_HO2/WC_ASO3=0.0
!
!WC_HO2/WC_ASO4=0.0
!
!WC_HO2/WC_ASO5=-KC21*<WC_HO2>
 PJAC(:,99,122)=-TPK%KC21(:)*PCONC(:,99)
!
!WC_HO2/WC_AHSO5=0.0
!
!WC_HO2/WC_AHMS=+KC19*<WC_OH>
 PJAC(:,99,124)=+TPK%KC19(:)*PCONC(:,98)
!
!WC_HO2/WR_O3=0.0
!
!WC_HO2/WR_H2O2=0.0
!
!WC_HO2/WR_NO=0.0
!
!WC_HO2/WR_NO2=0.0
!
!WC_HO2/WR_NO3=0.0
!
!WC_HO2/WR_N2O5=0.0
!
!WC_HO2/WR_HONO=0.0
!
!WC_HO2/WR_HNO3=0.0
!
!WC_HO2/WR_HNO4=0.0
!
!WC_HO2/WR_NH3=0.0
!
!WC_HO2/WR_OH=0.0
!
!WC_HO2/WR_HO2=0.0
!
!WC_HO2/WR_CO2=0.0
!
!WC_HO2/WR_SO2=0.0
!
!WC_HO2/WR_H2SO4=0.0
!
!WC_HO2/WR_RO21=0.0
!
!WC_HO2/WR_RO25=0.0
!
!WC_HO2/WR_MEOH=0.0
!
!WC_HO2/WR_ETOH=0.0
!
!WC_HO2/WR_ALCH=0.0
!
!WC_HO2/WR_HCHO=0.0
!
!WC_HO2/WR_ALD2=0.0
!
!WC_HO2/WR_GLY=0.0
!
!WC_HO2/WR_MGLY=0.0
!
!WC_HO2/WR_KETL=0.0
!
!WC_HO2/WR_ORA1=0.0
!
!WC_HO2/WR_ORA2=0.0
!
!WC_HO2/WR_ACID=0.0
!
!WC_HO2/WR_RP16=0.0
!
!WC_HO2/WR_UR21=0.0
!
!WC_HO2/WR_UR28=0.0
!
!WC_HO2/WR_ACID2=0.0
!
!WC_HO2/WR_ASO3=0.0
!
!WC_HO2/WR_ASO4=0.0
!
!WC_HO2/WR_ASO5=0.0
!
!WC_HO2/WR_AHSO5=0.0
!
!WC_HO2/WR_AHMS=0.0
!
!WC_CO2/NO=0.0
!
!WC_CO2/NO2=0.0
!
!WC_CO2/O3=0.0
!
!WC_CO2/HONO=0.0
!
!WC_CO2/HNO3=0.0
!
!WC_CO2/HNO4=0.0
!
!WC_CO2/N2O5=0.0
!
!WC_CO2/NO3=0.0
!
!WC_CO2/NH3=0.0
!
!WC_CO2/HO2=0.0
!
!WC_CO2/CO=0.0
!
!WC_CO2/H2O2=0.0
!
!WC_CO2/SO2=0.0
!
!WC_CO2/H2SO4=0.0
!
!WC_CO2/OH=0.0
!
!WC_CO2/ETHE=0.0
!
!WC_CO2/OLEL=0.0
!
!WC_CO2/OLEH=0.0
!
!WC_CO2/ALKL=0.0
!
!WC_CO2/ALKM=0.0
!
!WC_CO2/ALKH=0.0
!
!WC_CO2/AROH=0.0
!
!WC_CO2/AROL=0.0
!
!WC_CO2/AROO=0.0
!
!WC_CO2/ARAL=0.0
!
!WC_CO2/ARAC=0.0
!
!WC_CO2/PAH=0.0
!
!WC_CO2/HCHO=0.0
!
!WC_CO2/ALD2=0.0
!
!WC_CO2/KETL=0.0
!
!WC_CO2/KETH=0.0
!
!WC_CO2/MEOH=0.0
!
!WC_CO2/ETOH=0.0
!
!WC_CO2/ALCH=0.0
!
!WC_CO2/ISOP=0.0
!
!WC_CO2/BIOL=0.0
!
!WC_CO2/BIOH=0.0
!
!WC_CO2/MTBE=0.0
!
!WC_CO2/MVK=0.0
!
!WC_CO2/MCR=0.0
!
!WC_CO2/MGLY=0.0
!
!WC_CO2/GLY=0.0
!
!WC_CO2/ORA1=0.0
!
!WC_CO2/ORA2=0.0
!
!WC_CO2/ACID=0.0
!
!WC_CO2/UR28=0.0
!
!WC_CO2/UR21=0.0
!
!WC_CO2/URG2=0.0
!
!WC_CO2/UR26=0.0
!
!WC_CO2/RPG2=0.0
!
!WC_CO2/RP18=0.0
!
!WC_CO2/RPG3=0.0
!
!WC_CO2/URG4=0.0
!
!WC_CO2/UR8=0.0
!
!WC_CO2/UR17=0.0
!
!WC_CO2/UR7=0.0
!
!WC_CO2/RPR3=0.0
!
!WC_CO2/URG6=0.0
!
!WC_CO2/UR22=0.0
!
!WC_CO2/URG7=0.0
!
!WC_CO2/RPR4=0.0
!
!WC_CO2/RPR7=0.0
!
!WC_CO2/RPG7=0.0
!
!WC_CO2/URG8=0.0
!
!WC_CO2/UR19=0.0
!
!WC_CO2/URG9=0.0
!
!WC_CO2/AP7=0.0
!
!WC_CO2/URG10=0.0
!
!WC_CO2/RPR1=0.0
!
!WC_CO2/RPR5=0.0
!
!WC_CO2/RPR8=0.0
!
!WC_CO2/RP10=0.0
!
!WC_CO2/RP11=0.0
!
!WC_CO2/RP16=0.0
!
!WC_CO2/RPRL=0.0
!
!WC_CO2/APAN=0.0
!
!WC_CO2/PAN1=0.0
!
!WC_CO2/PAN2=0.0
!
!WC_CO2/PAN3=0.0
!
!WC_CO2/PAN4=0.0
!
!WC_CO2/PAN6=0.0
!
!WC_CO2/PAN7=0.0
!
!WC_CO2/PAN8=0.0
!
!WC_CO2/PN10=0.0
!
!WC_CO2/RO2T=0.0
!
!WC_CO2/RO21=0.0
!
!WC_CO2/RO25=0.0
!
!WC_CO2/WC_O3=0.0
!
!WC_CO2/WC_H2O2=0.0
!
!WC_CO2/WC_NO=0.0
!
!WC_CO2/WC_NO2=0.0
!
!WC_CO2/WC_NO3=0.0
!
!WC_CO2/WC_N2O5=0.0
!
!WC_CO2/WC_HONO=0.0
!
!WC_CO2/WC_HNO3=0.0
!
!WC_CO2/WC_HNO4=0.0
!
!WC_CO2/WC_NH3=0.0
!
!WC_CO2/WC_OH=+KC34*<WC_ALD2>+KC37*<WC_KETL>+KC38*<WC_ORA1>+KC40*<WC_ACID>+2*KC
!42*<WC_UR28>+0.43*KC43*<WC_UR21>+2*KC45*<WC_RP16>
 PJAC(:,100,98)=+TPK%KC34(:)*PCONC(:,109)+TPK%KC37(:)*PCONC(:,112)+TPK%KC38(:)*&
&PCONC(:,113)+TPK%KC40(:)*PCONC(:,115)+2*TPK%KC42(:)*PCONC(:,118)+0.43*TPK%KC43&
&(:)*PCONC(:,117)+2*TPK%KC45(:)*PCONC(:,116)
!
!WC_CO2/WC_HO2=0.0
!
!WC_CO2/WC_CO2=-KTC44
 PJAC(:,100,100)=-TPK%KTC44(:)
!
!WC_CO2/WC_SO2=0.0
!
!WC_CO2/WC_H2SO4=0.0
!
!WC_CO2/WC_RO21=0.0
!
!WC_CO2/WC_RO25=0.0
!
!WC_CO2/WC_MEOH=0.0
!
!WC_CO2/WC_ETOH=0.0
!
!WC_CO2/WC_ALCH=0.0
!
!WC_CO2/WC_HCHO=0.0
!
!WC_CO2/WC_ALD2=+KC34*<WC_OH>
 PJAC(:,100,109)=+TPK%KC34(:)*PCONC(:,98)
!
!WC_CO2/WC_GLY=0.0
!
!WC_CO2/WC_MGLY=0.0
!
!WC_CO2/WC_KETL=+KC37*<WC_OH>
 PJAC(:,100,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_CO2/WC_ORA1=+KC38*<WC_OH>
 PJAC(:,100,113)=+TPK%KC38(:)*PCONC(:,98)
!
!WC_CO2/WC_ORA2=0.0
!
!WC_CO2/WC_ACID=+KC40*<WC_OH>
 PJAC(:,100,115)=+TPK%KC40(:)*PCONC(:,98)
!
!WC_CO2/WC_RP16=+2*KC45*<WC_OH>
 PJAC(:,100,116)=+2*TPK%KC45(:)*PCONC(:,98)
!
!WC_CO2/WC_UR21=+0.43*KC43*<WC_OH>
 PJAC(:,100,117)=+0.43*TPK%KC43(:)*PCONC(:,98)
!
!WC_CO2/WC_UR28=+2*KC42*<WC_OH>
 PJAC(:,100,118)=+2*TPK%KC42(:)*PCONC(:,98)
!
!WC_CO2/WC_ACID2=0.0
!
!WC_CO2/WC_ASO3=0.0
!
!WC_CO2/WC_ASO4=0.0
!
!WC_CO2/WC_ASO5=0.0
!
!WC_CO2/WC_AHSO5=0.0
!
!WC_CO2/WC_AHMS=0.0
!
!WC_CO2/WR_O3=0.0
!
!WC_CO2/WR_H2O2=0.0
!
!WC_CO2/WR_NO=0.0
!
!WC_CO2/WR_NO2=0.0
!
!WC_CO2/WR_NO3=0.0
!
!WC_CO2/WR_N2O5=0.0
!
!WC_CO2/WR_HONO=0.0
!
!WC_CO2/WR_HNO3=0.0
!
!WC_CO2/WR_HNO4=0.0
!
!WC_CO2/WR_NH3=0.0
!
!WC_CO2/WR_OH=0.0
!
!WC_CO2/WR_HO2=0.0
!
!WC_CO2/WR_CO2=0.0
!
!WC_CO2/WR_SO2=0.0
!
!WC_CO2/WR_H2SO4=0.0
!
!WC_CO2/WR_RO21=0.0
!
!WC_CO2/WR_RO25=0.0
!
!WC_CO2/WR_MEOH=0.0
!
!WC_CO2/WR_ETOH=0.0
!
!WC_CO2/WR_ALCH=0.0
!
!WC_CO2/WR_HCHO=0.0
!
!WC_CO2/WR_ALD2=0.0
!
!WC_CO2/WR_GLY=0.0
!
!WC_CO2/WR_MGLY=0.0
!
!WC_CO2/WR_KETL=0.0
!
!WC_CO2/WR_ORA1=0.0
!
!WC_CO2/WR_ORA2=0.0
!
!WC_CO2/WR_ACID=0.0
!
!WC_CO2/WR_RP16=0.0
!
!WC_CO2/WR_UR21=0.0
!
!WC_CO2/WR_UR28=0.0
!
!WC_CO2/WR_ACID2=0.0
!
!WC_CO2/WR_ASO3=0.0
!
!WC_CO2/WR_ASO4=0.0
!
!WC_CO2/WR_ASO5=0.0
!
!WC_CO2/WR_AHSO5=0.0
!
!WC_CO2/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ19
!
SUBROUTINE SUBJ20
!
!Indices 101 a 105
!
!
!WC_SO2/NO=0.0
!
!WC_SO2/NO2=0.0
!
!WC_SO2/O3=0.0
!
!WC_SO2/HONO=0.0
!
!WC_SO2/HNO3=0.0
!
!WC_SO2/HNO4=0.0
!
!WC_SO2/N2O5=0.0
!
!WC_SO2/NO3=0.0
!
!WC_SO2/NH3=0.0
!
!WC_SO2/HO2=0.0
!
!WC_SO2/CO=0.0
!
!WC_SO2/H2O2=0.0
!
!WC_SO2/SO2=+KTC14
 PJAC(:,101,13)=+TPK%KTC14(:)
!
!WC_SO2/H2SO4=0.0
!
!WC_SO2/OH=0.0
!
!WC_SO2/ETHE=0.0
!
!WC_SO2/OLEL=0.0
!
!WC_SO2/OLEH=0.0
!
!WC_SO2/ALKL=0.0
!
!WC_SO2/ALKM=0.0
!
!WC_SO2/ALKH=0.0
!
!WC_SO2/AROH=0.0
!
!WC_SO2/AROL=0.0
!
!WC_SO2/AROO=0.0
!
!WC_SO2/ARAL=0.0
!
!WC_SO2/ARAC=0.0
!
!WC_SO2/PAH=0.0
!
!WC_SO2/HCHO=0.0
!
!WC_SO2/ALD2=0.0
!
!WC_SO2/KETL=0.0
!
!WC_SO2/KETH=0.0
!
!WC_SO2/MEOH=0.0
!
!WC_SO2/ETOH=0.0
!
!WC_SO2/ALCH=0.0
!
!WC_SO2/ISOP=0.0
!
!WC_SO2/BIOL=0.0
!
!WC_SO2/BIOH=0.0
!
!WC_SO2/MTBE=0.0
!
!WC_SO2/MVK=0.0
!
!WC_SO2/MCR=0.0
!
!WC_SO2/MGLY=0.0
!
!WC_SO2/GLY=0.0
!
!WC_SO2/ORA1=0.0
!
!WC_SO2/ORA2=0.0
!
!WC_SO2/ACID=0.0
!
!WC_SO2/UR28=0.0
!
!WC_SO2/UR21=0.0
!
!WC_SO2/URG2=0.0
!
!WC_SO2/UR26=0.0
!
!WC_SO2/RPG2=0.0
!
!WC_SO2/RP18=0.0
!
!WC_SO2/RPG3=0.0
!
!WC_SO2/URG4=0.0
!
!WC_SO2/UR8=0.0
!
!WC_SO2/UR17=0.0
!
!WC_SO2/UR7=0.0
!
!WC_SO2/RPR3=0.0
!
!WC_SO2/URG6=0.0
!
!WC_SO2/UR22=0.0
!
!WC_SO2/URG7=0.0
!
!WC_SO2/RPR4=0.0
!
!WC_SO2/RPR7=0.0
!
!WC_SO2/RPG7=0.0
!
!WC_SO2/URG8=0.0
!
!WC_SO2/UR19=0.0
!
!WC_SO2/URG9=0.0
!
!WC_SO2/AP7=0.0
!
!WC_SO2/URG10=0.0
!
!WC_SO2/RPR1=0.0
!
!WC_SO2/RPR5=0.0
!
!WC_SO2/RPR8=0.0
!
!WC_SO2/RP10=0.0
!
!WC_SO2/RP11=0.0
!
!WC_SO2/RP16=0.0
!
!WC_SO2/RPRL=0.0
!
!WC_SO2/APAN=0.0
!
!WC_SO2/PAN1=0.0
!
!WC_SO2/PAN2=0.0
!
!WC_SO2/PAN3=0.0
!
!WC_SO2/PAN4=0.0
!
!WC_SO2/PAN6=0.0
!
!WC_SO2/PAN7=0.0
!
!WC_SO2/PAN8=0.0
!
!WC_SO2/PN10=0.0
!
!WC_SO2/RO2T=0.0
!
!WC_SO2/RO21=0.0
!
!WC_SO2/RO25=0.0
!
!WC_SO2/WC_O3=-KC25*<WC_SO2>
 PJAC(:,101,88)=-TPK%KC25(:)*PCONC(:,101)
!
!WC_SO2/WC_H2O2=-KC26*<WC_SO2>
 PJAC(:,101,89)=-TPK%KC26(:)*PCONC(:,101)
!
!WC_SO2/WC_NO=0.0
!
!WC_SO2/WC_NO2=0.0
!
!WC_SO2/WC_NO3=-KC16*<WC_SO2>
 PJAC(:,101,92)=-TPK%KC16(:)*PCONC(:,101)
!
!WC_SO2/WC_N2O5=0.0
!
!WC_SO2/WC_HONO=0.0
!
!WC_SO2/WC_HNO3=0.0
!
!WC_SO2/WC_HNO4=-KC12*<WC_SO2>
 PJAC(:,101,96)=-TPK%KC12(:)*PCONC(:,101)
!
!WC_SO2/WC_NH3=0.0
!
!WC_SO2/WC_OH=-KC7*<WC_SO2>+KC19*<WC_AHMS>
 PJAC(:,101,98)=-TPK%KC7(:)*PCONC(:,101)+TPK%KC19(:)*PCONC(:,124)
!
!WC_SO2/WC_HO2=0.0
!
!WC_SO2/WC_CO2=0.0
!
!WC_SO2/WC_SO2=-KTC45-KC7*<WC_OH>-KC12*<WC_HNO4>-KC16*<WC_NO3>-KC17*<WC_HCHO>-K
!C23*<WC_AHSO5>-KC25*<WC_O3>-KC26*<WC_H2O2>-KC28*<WC_RO21>
 PJAC(:,101,101)=-TPK%KTC45(:)-TPK%KC7(:)*PCONC(:,98)-TPK%KC12(:)*PCONC(:,96)-T&
&PK%KC16(:)*PCONC(:,92)-TPK%KC17(:)*PCONC(:,108)-TPK%KC23(:)*PCONC(:,123)-TPK%K&
&C25(:)*PCONC(:,88)-TPK%KC26(:)*PCONC(:,89)-TPK%KC28(:)*PCONC(:,103)
!
!WC_SO2/WC_H2SO4=0.0
!
!WC_SO2/WC_RO21=-KC28*<WC_SO2>
 PJAC(:,101,103)=-TPK%KC28(:)*PCONC(:,101)
!
!WC_SO2/WC_RO25=0.0
!
!WC_SO2/WC_MEOH=0.0
!
!WC_SO2/WC_ETOH=0.0
!
!WC_SO2/WC_ALCH=0.0
!
!WC_SO2/WC_HCHO=-KC17*<WC_SO2>
 PJAC(:,101,108)=-TPK%KC17(:)*PCONC(:,101)
!
!WC_SO2/WC_ALD2=0.0
!
!WC_SO2/WC_GLY=0.0
!
!WC_SO2/WC_MGLY=0.0
!
!WC_SO2/WC_KETL=0.0
!
!WC_SO2/WC_ORA1=0.0
!
!WC_SO2/WC_ORA2=0.0
!
!WC_SO2/WC_ACID=0.0
!
!WC_SO2/WC_RP16=0.0
!
!WC_SO2/WC_UR21=0.0
!
!WC_SO2/WC_UR28=0.0
!
!WC_SO2/WC_ACID2=0.0
!
!WC_SO2/WC_ASO3=0.0
!
!WC_SO2/WC_ASO4=0.0
!
!WC_SO2/WC_ASO5=0.0
!
!WC_SO2/WC_AHSO5=-KC23*<WC_SO2>
 PJAC(:,101,123)=-TPK%KC23(:)*PCONC(:,101)
!
!WC_SO2/WC_AHMS=+KC18+KC19*<WC_OH>
 PJAC(:,101,124)=+TPK%KC18(:)+TPK%KC19(:)*PCONC(:,98)
!
!WC_SO2/WR_O3=0.0
!
!WC_SO2/WR_H2O2=0.0
!
!WC_SO2/WR_NO=0.0
!
!WC_SO2/WR_NO2=0.0
!
!WC_SO2/WR_NO3=0.0
!
!WC_SO2/WR_N2O5=0.0
!
!WC_SO2/WR_HONO=0.0
!
!WC_SO2/WR_HNO3=0.0
!
!WC_SO2/WR_HNO4=0.0
!
!WC_SO2/WR_NH3=0.0
!
!WC_SO2/WR_OH=0.0
!
!WC_SO2/WR_HO2=0.0
!
!WC_SO2/WR_CO2=0.0
!
!WC_SO2/WR_SO2=0.0
!
!WC_SO2/WR_H2SO4=0.0
!
!WC_SO2/WR_RO21=0.0
!
!WC_SO2/WR_RO25=0.0
!
!WC_SO2/WR_MEOH=0.0
!
!WC_SO2/WR_ETOH=0.0
!
!WC_SO2/WR_ALCH=0.0
!
!WC_SO2/WR_HCHO=0.0
!
!WC_SO2/WR_ALD2=0.0
!
!WC_SO2/WR_GLY=0.0
!
!WC_SO2/WR_MGLY=0.0
!
!WC_SO2/WR_KETL=0.0
!
!WC_SO2/WR_ORA1=0.0
!
!WC_SO2/WR_ORA2=0.0
!
!WC_SO2/WR_ACID=0.0
!
!WC_SO2/WR_RP16=0.0
!
!WC_SO2/WR_UR21=0.0
!
!WC_SO2/WR_UR28=0.0
!
!WC_SO2/WR_ACID2=0.0
!
!WC_SO2/WR_ASO3=0.0
!
!WC_SO2/WR_ASO4=0.0
!
!WC_SO2/WR_ASO5=0.0
!
!WC_SO2/WR_AHSO5=0.0
!
!WC_SO2/WR_AHMS=0.0
!
!WC_H2SO4/NO=0.0
!
!WC_H2SO4/NO2=0.0
!
!WC_H2SO4/O3=0.0
!
!WC_H2SO4/HONO=0.0
!
!WC_H2SO4/HNO3=0.0
!
!WC_H2SO4/HNO4=0.0
!
!WC_H2SO4/N2O5=0.0
!
!WC_H2SO4/NO3=0.0
!
!WC_H2SO4/NH3=0.0
!
!WC_H2SO4/HO2=0.0
!
!WC_H2SO4/CO=0.0
!
!WC_H2SO4/H2O2=0.0
!
!WC_H2SO4/SO2=0.0
!
!WC_H2SO4/H2SO4=+KTC15
 PJAC(:,102,14)=+TPK%KTC15(:)
!
!WC_H2SO4/OH=0.0
!
!WC_H2SO4/ETHE=0.0
!
!WC_H2SO4/OLEL=0.0
!
!WC_H2SO4/OLEH=0.0
!
!WC_H2SO4/ALKL=0.0
!
!WC_H2SO4/ALKM=0.0
!
!WC_H2SO4/ALKH=0.0
!
!WC_H2SO4/AROH=0.0
!
!WC_H2SO4/AROL=0.0
!
!WC_H2SO4/AROO=0.0
!
!WC_H2SO4/ARAL=0.0
!
!WC_H2SO4/ARAC=0.0
!
!WC_H2SO4/PAH=0.0
!
!WC_H2SO4/HCHO=0.0
!
!WC_H2SO4/ALD2=0.0
!
!WC_H2SO4/KETL=0.0
!
!WC_H2SO4/KETH=0.0
!
!WC_H2SO4/MEOH=0.0
!
!WC_H2SO4/ETOH=0.0
!
!WC_H2SO4/ALCH=0.0
!
!WC_H2SO4/ISOP=0.0
!
!WC_H2SO4/BIOL=0.0
!
!WC_H2SO4/BIOH=0.0
!
!WC_H2SO4/MTBE=0.0
!
!WC_H2SO4/MVK=0.0
!
!WC_H2SO4/MCR=0.0
!
!WC_H2SO4/MGLY=0.0
!
!WC_H2SO4/GLY=0.0
!
!WC_H2SO4/ORA1=0.0
!
!WC_H2SO4/ORA2=0.0
!
!WC_H2SO4/ACID=0.0
!
!WC_H2SO4/UR28=0.0
!
!WC_H2SO4/UR21=0.0
!
!WC_H2SO4/URG2=0.0
!
!WC_H2SO4/UR26=0.0
!
!WC_H2SO4/RPG2=0.0
!
!WC_H2SO4/RP18=0.0
!
!WC_H2SO4/RPG3=0.0
!
!WC_H2SO4/URG4=0.0
!
!WC_H2SO4/UR8=0.0
!
!WC_H2SO4/UR17=0.0
!
!WC_H2SO4/UR7=0.0
!
!WC_H2SO4/RPR3=0.0
!
!WC_H2SO4/URG6=0.0
!
!WC_H2SO4/UR22=0.0
!
!WC_H2SO4/URG7=0.0
!
!WC_H2SO4/RPR4=0.0
!
!WC_H2SO4/RPR7=0.0
!
!WC_H2SO4/RPG7=0.0
!
!WC_H2SO4/URG8=0.0
!
!WC_H2SO4/UR19=0.0
!
!WC_H2SO4/URG9=0.0
!
!WC_H2SO4/AP7=0.0
!
!WC_H2SO4/URG10=0.0
!
!WC_H2SO4/RPR1=0.0
!
!WC_H2SO4/RPR5=0.0
!
!WC_H2SO4/RPR8=0.0
!
!WC_H2SO4/RP10=0.0
!
!WC_H2SO4/RP11=0.0
!
!WC_H2SO4/RP16=0.0
!
!WC_H2SO4/RPRL=0.0
!
!WC_H2SO4/APAN=0.0
!
!WC_H2SO4/PAN1=0.0
!
!WC_H2SO4/PAN2=0.0
!
!WC_H2SO4/PAN3=0.0
!
!WC_H2SO4/PAN4=0.0
!
!WC_H2SO4/PAN6=0.0
!
!WC_H2SO4/PAN7=0.0
!
!WC_H2SO4/PAN8=0.0
!
!WC_H2SO4/PN10=0.0
!
!WC_H2SO4/RO2T=0.0
!
!WC_H2SO4/RO21=0.0
!
!WC_H2SO4/RO25=0.0
!
!WC_H2SO4/WC_O3=+KC25*<WC_SO2>
 PJAC(:,102,88)=+TPK%KC25(:)*PCONC(:,101)
!
!WC_H2SO4/WC_H2O2=+KC26*<WC_SO2>
 PJAC(:,102,89)=+TPK%KC26(:)*PCONC(:,101)
!
!WC_H2SO4/WC_NO=0.0
!
!WC_H2SO4/WC_NO2=0.0
!
!WC_H2SO4/WC_NO3=-KC15*<WC_H2SO4>
 PJAC(:,102,92)=-TPK%KC15(:)*PCONC(:,102)
!
!WC_H2SO4/WC_N2O5=0.0
!
!WC_H2SO4/WC_HONO=0.0
!
!WC_H2SO4/WC_HNO3=0.0
!
!WC_H2SO4/WC_HNO4=+KC12*<WC_SO2>
 PJAC(:,102,96)=+TPK%KC12(:)*PCONC(:,101)
!
!WC_H2SO4/WC_NH3=0.0
!
!WC_H2SO4/WC_OH=0.0
!
!WC_H2SO4/WC_HO2=0.0
!
!WC_H2SO4/WC_CO2=0.0
!
!WC_H2SO4/WC_SO2=+KC12*<WC_HNO4>+2.00*KC23*<WC_AHSO5>+KC25*<WC_O3>+KC26*<WC_H2O
!2>
 PJAC(:,102,101)=+TPK%KC12(:)*PCONC(:,96)+2.00*TPK%KC23(:)*PCONC(:,123)+TPK%KC2&
&5(:)*PCONC(:,88)+TPK%KC26(:)*PCONC(:,89)
!
!WC_H2SO4/WC_H2SO4=-KTC46-KC15*<WC_NO3>
 PJAC(:,102,102)=-TPK%KTC46(:)-TPK%KC15(:)*PCONC(:,92)
!
!WC_H2SO4/WC_RO21=0.0
!
!WC_H2SO4/WC_RO25=0.0
!
!WC_H2SO4/WC_MEOH=0.0
!
!WC_H2SO4/WC_ETOH=0.0
!
!WC_H2SO4/WC_ALCH=0.0
!
!WC_H2SO4/WC_HCHO=0.0
!
!WC_H2SO4/WC_ALD2=0.0
!
!WC_H2SO4/WC_GLY=0.0
!
!WC_H2SO4/WC_MGLY=0.0
!
!WC_H2SO4/WC_KETL=0.0
!
!WC_H2SO4/WC_ORA1=0.0
!
!WC_H2SO4/WC_ORA2=0.0
!
!WC_H2SO4/WC_ACID=0.0
!
!WC_H2SO4/WC_RP16=0.0
!
!WC_H2SO4/WC_UR21=0.0
!
!WC_H2SO4/WC_UR28=0.0
!
!WC_H2SO4/WC_ACID2=0.0
!
!WC_H2SO4/WC_ASO3=0.0
!
!WC_H2SO4/WC_ASO4=+KC24
 PJAC(:,102,121)=+TPK%KC24(:)
!
!WC_H2SO4/WC_ASO5=0.0
!
!WC_H2SO4/WC_AHSO5=+2.00*KC23*<WC_SO2>
 PJAC(:,102,123)=+2.00*TPK%KC23(:)*PCONC(:,101)
!
!WC_H2SO4/WC_AHMS=0.0
!
!WC_H2SO4/WR_O3=0.0
!
!WC_H2SO4/WR_H2O2=0.0
!
!WC_H2SO4/WR_NO=0.0
!
!WC_H2SO4/WR_NO2=0.0
!
!WC_H2SO4/WR_NO3=0.0
!
!WC_H2SO4/WR_N2O5=0.0
!
!WC_H2SO4/WR_HONO=0.0
!
!WC_H2SO4/WR_HNO3=0.0
!
!WC_H2SO4/WR_HNO4=0.0
!
!WC_H2SO4/WR_NH3=0.0
!
!WC_H2SO4/WR_OH=0.0
!
!WC_H2SO4/WR_HO2=0.0
!
!WC_H2SO4/WR_CO2=0.0
!
!WC_H2SO4/WR_SO2=0.0
!
!WC_H2SO4/WR_H2SO4=0.0
!
!WC_H2SO4/WR_RO21=0.0
!
!WC_H2SO4/WR_RO25=0.0
!
!WC_H2SO4/WR_MEOH=0.0
!
!WC_H2SO4/WR_ETOH=0.0
!
!WC_H2SO4/WR_ALCH=0.0
!
!WC_H2SO4/WR_HCHO=0.0
!
!WC_H2SO4/WR_ALD2=0.0
!
!WC_H2SO4/WR_GLY=0.0
!
!WC_H2SO4/WR_MGLY=0.0
!
!WC_H2SO4/WR_KETL=0.0
!
!WC_H2SO4/WR_ORA1=0.0
!
!WC_H2SO4/WR_ORA2=0.0
!
!WC_H2SO4/WR_ACID=0.0
!
!WC_H2SO4/WR_RP16=0.0
!
!WC_H2SO4/WR_UR21=0.0
!
!WC_H2SO4/WR_UR28=0.0
!
!WC_H2SO4/WR_ACID2=0.0
!
!WC_H2SO4/WR_ASO3=0.0
!
!WC_H2SO4/WR_ASO4=0.0
!
!WC_H2SO4/WR_ASO5=0.0
!
!WC_H2SO4/WR_AHSO5=0.0
!
!WC_H2SO4/WR_AHMS=0.0
!
!WC_RO21/NO=0.0
!
!WC_RO21/NO2=0.0
!
!WC_RO21/O3=0.0
!
!WC_RO21/HONO=0.0
!
!WC_RO21/HNO3=0.0
!
!WC_RO21/HNO4=0.0
!
!WC_RO21/N2O5=0.0
!
!WC_RO21/NO3=0.0
!
!WC_RO21/NH3=0.0
!
!WC_RO21/HO2=0.0
!
!WC_RO21/CO=0.0
!
!WC_RO21/H2O2=0.0
!
!WC_RO21/SO2=0.0
!
!WC_RO21/H2SO4=0.0
!
!WC_RO21/OH=0.0
!
!WC_RO21/ETHE=0.0
!
!WC_RO21/OLEL=0.0
!
!WC_RO21/OLEH=0.0
!
!WC_RO21/ALKL=0.0
!
!WC_RO21/ALKM=0.0
!
!WC_RO21/ALKH=0.0
!
!WC_RO21/AROH=0.0
!
!WC_RO21/AROL=0.0
!
!WC_RO21/AROO=0.0
!
!WC_RO21/ARAL=0.0
!
!WC_RO21/ARAC=0.0
!
!WC_RO21/PAH=0.0
!
!WC_RO21/HCHO=0.0
!
!WC_RO21/ALD2=0.0
!
!WC_RO21/KETL=0.0
!
!WC_RO21/KETH=0.0
!
!WC_RO21/MEOH=0.0
!
!WC_RO21/ETOH=0.0
!
!WC_RO21/ALCH=0.0
!
!WC_RO21/ISOP=0.0
!
!WC_RO21/BIOL=0.0
!
!WC_RO21/BIOH=0.0
!
!WC_RO21/MTBE=0.0
!
!WC_RO21/MVK=0.0
!
!WC_RO21/MCR=0.0
!
!WC_RO21/MGLY=0.0
!
!WC_RO21/GLY=0.0
!
!WC_RO21/ORA1=0.0
!
!WC_RO21/ORA2=0.0
!
!WC_RO21/ACID=0.0
!
!WC_RO21/UR28=0.0
!
!WC_RO21/UR21=0.0
!
!WC_RO21/URG2=0.0
!
!WC_RO21/UR26=0.0
!
!WC_RO21/RPG2=0.0
!
!WC_RO21/RP18=0.0
!
!WC_RO21/RPG3=0.0
!
!WC_RO21/URG4=0.0
!
!WC_RO21/UR8=0.0
!
!WC_RO21/UR17=0.0
!
!WC_RO21/UR7=0.0
!
!WC_RO21/RPR3=0.0
!
!WC_RO21/URG6=0.0
!
!WC_RO21/UR22=0.0
!
!WC_RO21/URG7=0.0
!
!WC_RO21/RPR4=0.0
!
!WC_RO21/RPR7=0.0
!
!WC_RO21/RPG7=0.0
!
!WC_RO21/URG8=0.0
!
!WC_RO21/UR19=0.0
!
!WC_RO21/URG9=0.0
!
!WC_RO21/AP7=0.0
!
!WC_RO21/URG10=0.0
!
!WC_RO21/RPR1=0.0
!
!WC_RO21/RPR5=0.0
!
!WC_RO21/RPR8=0.0
!
!WC_RO21/RP10=0.0
!
!WC_RO21/RP11=0.0
!
!WC_RO21/RP16=0.0
!
!WC_RO21/RPRL=0.0
!
!WC_RO21/APAN=0.0
!
!WC_RO21/PAN1=0.0
!
!WC_RO21/PAN2=0.0
!
!WC_RO21/PAN3=0.0
!
!WC_RO21/PAN4=0.0
!
!WC_RO21/PAN6=0.0
!
!WC_RO21/PAN7=0.0
!
!WC_RO21/PAN8=0.0
!
!WC_RO21/PN10=0.0
!
!WC_RO21/RO2T=0.0
!
!WC_RO21/RO21=+KTC16
 PJAC(:,103,86)=+TPK%KTC16(:)
!
!WC_RO21/RO25=0.0
!
!WC_RO21/WC_O3=0.0
!
!WC_RO21/WC_H2O2=0.0
!
!WC_RO21/WC_NO=0.0
!
!WC_RO21/WC_NO2=0.0
!
!WC_RO21/WC_NO3=0.0
!
!WC_RO21/WC_N2O5=0.0
!
!WC_RO21/WC_HONO=0.0
!
!WC_RO21/WC_HNO3=0.0
!
!WC_RO21/WC_HNO4=0.0
!
!WC_RO21/WC_NH3=0.0
!
!WC_RO21/WC_OH=+0.50*KC34*<WC_ALD2>+KC37*<WC_KETL>
 PJAC(:,103,98)=+0.50*TPK%KC34(:)*PCONC(:,109)+TPK%KC37(:)*PCONC(:,112)
!
!WC_RO21/WC_HO2=0.0
!
!WC_RO21/WC_CO2=0.0
!
!WC_RO21/WC_SO2=-KC28*<WC_RO21>
 PJAC(:,103,101)=-TPK%KC28(:)*PCONC(:,103)
!
!WC_RO21/WC_H2SO4=0.0
!
!WC_RO21/WC_RO21=-KTC47-KC27*<WC_RO21>-KC27*<WC_RO21>-KC27*<WC_RO21>-KC27*<WC_R
!O21>-KC28*<WC_SO2>
 PJAC(:,103,103)=-TPK%KTC47(:)-TPK%KC27(:)*PCONC(:,103)-TPK%KC27(:)*PCONC(:,103&
&)-TPK%KC27(:)*PCONC(:,103)-TPK%KC27(:)*PCONC(:,103)-TPK%KC28(:)*PCONC(:,101)
!
!WC_RO21/WC_RO25=0.0
!
!WC_RO21/WC_MEOH=0.0
!
!WC_RO21/WC_ETOH=0.0
!
!WC_RO21/WC_ALCH=0.0
!
!WC_RO21/WC_HCHO=0.0
!
!WC_RO21/WC_ALD2=+0.50*KC34*<WC_OH>
 PJAC(:,103,109)=+0.50*TPK%KC34(:)*PCONC(:,98)
!
!WC_RO21/WC_GLY=0.0
!
!WC_RO21/WC_MGLY=0.0
!
!WC_RO21/WC_KETL=+KC37*<WC_OH>
 PJAC(:,103,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_RO21/WC_ORA1=0.0
!
!WC_RO21/WC_ORA2=0.0
!
!WC_RO21/WC_ACID=0.0
!
!WC_RO21/WC_RP16=0.0
!
!WC_RO21/WC_UR21=0.0
!
!WC_RO21/WC_UR28=0.0
!
!WC_RO21/WC_ACID2=0.0
!
!WC_RO21/WC_ASO3=0.0
!
!WC_RO21/WC_ASO4=0.0
!
!WC_RO21/WC_ASO5=0.0
!
!WC_RO21/WC_AHSO5=0.0
!
!WC_RO21/WC_AHMS=0.0
!
!WC_RO21/WR_O3=0.0
!
!WC_RO21/WR_H2O2=0.0
!
!WC_RO21/WR_NO=0.0
!
!WC_RO21/WR_NO2=0.0
!
!WC_RO21/WR_NO3=0.0
!
!WC_RO21/WR_N2O5=0.0
!
!WC_RO21/WR_HONO=0.0
!
!WC_RO21/WR_HNO3=0.0
!
!WC_RO21/WR_HNO4=0.0
!
!WC_RO21/WR_NH3=0.0
!
!WC_RO21/WR_OH=0.0
!
!WC_RO21/WR_HO2=0.0
!
!WC_RO21/WR_CO2=0.0
!
!WC_RO21/WR_SO2=0.0
!
!WC_RO21/WR_H2SO4=0.0
!
!WC_RO21/WR_RO21=0.0
!
!WC_RO21/WR_RO25=0.0
!
!WC_RO21/WR_MEOH=0.0
!
!WC_RO21/WR_ETOH=0.0
!
!WC_RO21/WR_ALCH=0.0
!
!WC_RO21/WR_HCHO=0.0
!
!WC_RO21/WR_ALD2=0.0
!
!WC_RO21/WR_GLY=0.0
!
!WC_RO21/WR_MGLY=0.0
!
!WC_RO21/WR_KETL=0.0
!
!WC_RO21/WR_ORA1=0.0
!
!WC_RO21/WR_ORA2=0.0
!
!WC_RO21/WR_ACID=0.0
!
!WC_RO21/WR_RP16=0.0
!
!WC_RO21/WR_UR21=0.0
!
!WC_RO21/WR_UR28=0.0
!
!WC_RO21/WR_ACID2=0.0
!
!WC_RO21/WR_ASO3=0.0
!
!WC_RO21/WR_ASO4=0.0
!
!WC_RO21/WR_ASO5=0.0
!
!WC_RO21/WR_AHSO5=0.0
!
!WC_RO21/WR_AHMS=0.0
!
!WC_RO25/NO=0.0
!
!WC_RO25/NO2=0.0
!
!WC_RO25/O3=0.0
!
!WC_RO25/HONO=0.0
!
!WC_RO25/HNO3=0.0
!
!WC_RO25/HNO4=0.0
!
!WC_RO25/N2O5=0.0
!
!WC_RO25/NO3=0.0
!
!WC_RO25/NH3=0.0
!
!WC_RO25/HO2=0.0
!
!WC_RO25/CO=0.0
!
!WC_RO25/H2O2=0.0
!
!WC_RO25/SO2=0.0
!
!WC_RO25/H2SO4=0.0
!
!WC_RO25/OH=0.0
!
!WC_RO25/ETHE=0.0
!
!WC_RO25/OLEL=0.0
!
!WC_RO25/OLEH=0.0
!
!WC_RO25/ALKL=0.0
!
!WC_RO25/ALKM=0.0
!
!WC_RO25/ALKH=0.0
!
!WC_RO25/AROH=0.0
!
!WC_RO25/AROL=0.0
!
!WC_RO25/AROO=0.0
!
!WC_RO25/ARAL=0.0
!
!WC_RO25/ARAC=0.0
!
!WC_RO25/PAH=0.0
!
!WC_RO25/HCHO=0.0
!
!WC_RO25/ALD2=0.0
!
!WC_RO25/KETL=0.0
!
!WC_RO25/KETH=0.0
!
!WC_RO25/MEOH=0.0
!
!WC_RO25/ETOH=0.0
!
!WC_RO25/ALCH=0.0
!
!WC_RO25/ISOP=0.0
!
!WC_RO25/BIOL=0.0
!
!WC_RO25/BIOH=0.0
!
!WC_RO25/MTBE=0.0
!
!WC_RO25/MVK=0.0
!
!WC_RO25/MCR=0.0
!
!WC_RO25/MGLY=0.0
!
!WC_RO25/GLY=0.0
!
!WC_RO25/ORA1=0.0
!
!WC_RO25/ORA2=0.0
!
!WC_RO25/ACID=0.0
!
!WC_RO25/UR28=0.0
!
!WC_RO25/UR21=0.0
!
!WC_RO25/URG2=0.0
!
!WC_RO25/UR26=0.0
!
!WC_RO25/RPG2=0.0
!
!WC_RO25/RP18=0.0
!
!WC_RO25/RPG3=0.0
!
!WC_RO25/URG4=0.0
!
!WC_RO25/UR8=0.0
!
!WC_RO25/UR17=0.0
!
!WC_RO25/UR7=0.0
!
!WC_RO25/RPR3=0.0
!
!WC_RO25/URG6=0.0
!
!WC_RO25/UR22=0.0
!
!WC_RO25/URG7=0.0
!
!WC_RO25/RPR4=0.0
!
!WC_RO25/RPR7=0.0
!
!WC_RO25/RPG7=0.0
!
!WC_RO25/URG8=0.0
!
!WC_RO25/UR19=0.0
!
!WC_RO25/URG9=0.0
!
!WC_RO25/AP7=0.0
!
!WC_RO25/URG10=0.0
!
!WC_RO25/RPR1=0.0
!
!WC_RO25/RPR5=0.0
!
!WC_RO25/RPR8=0.0
!
!WC_RO25/RP10=0.0
!
!WC_RO25/RP11=0.0
!
!WC_RO25/RP16=0.0
!
!WC_RO25/RPRL=0.0
!
!WC_RO25/APAN=0.0
!
!WC_RO25/PAN1=0.0
!
!WC_RO25/PAN2=0.0
!
!WC_RO25/PAN3=0.0
!
!WC_RO25/PAN4=0.0
!
!WC_RO25/PAN6=0.0
!
!WC_RO25/PAN7=0.0
!
!WC_RO25/PAN8=0.0
!
!WC_RO25/PN10=0.0
!
!WC_RO25/RO2T=0.0
!
!WC_RO25/RO21=0.0
!
!WC_RO25/RO25=+KTC17
 PJAC(:,104,87)=+TPK%KTC17(:)
!
!WC_RO25/WC_O3=0.0
!
!WC_RO25/WC_H2O2=0.0
!
!WC_RO25/WC_NO=0.0
!
!WC_RO25/WC_NO2=0.0
!
!WC_RO25/WC_NO3=0.0
!
!WC_RO25/WC_N2O5=0.0
!
!WC_RO25/WC_HONO=0.0
!
!WC_RO25/WC_HNO3=0.0
!
!WC_RO25/WC_HNO4=0.0
!
!WC_RO25/WC_NH3=0.0
!
!WC_RO25/WC_OH=+0.50*KC34*<WC_ALD2>+KC40*<WC_ACID>
 PJAC(:,104,98)=+0.50*TPK%KC34(:)*PCONC(:,109)+TPK%KC40(:)*PCONC(:,115)
!
!WC_RO25/WC_HO2=0.0
!
!WC_RO25/WC_CO2=0.0
!
!WC_RO25/WC_SO2=0.0
!
!WC_RO25/WC_H2SO4=0.0
!
!WC_RO25/WC_RO21=0.0
!
!WC_RO25/WC_RO25=-KTC48-KC29*<WC_RO25>-KC29*<WC_RO25>-KC29*<WC_RO25>-KC29*<WC_R
!O25>
 PJAC(:,104,104)=-TPK%KTC48(:)-TPK%KC29(:)*PCONC(:,104)-TPK%KC29(:)*PCONC(:,104&
&)-TPK%KC29(:)*PCONC(:,104)-TPK%KC29(:)*PCONC(:,104)
!
!WC_RO25/WC_MEOH=0.0
!
!WC_RO25/WC_ETOH=0.0
!
!WC_RO25/WC_ALCH=0.0
!
!WC_RO25/WC_HCHO=0.0
!
!WC_RO25/WC_ALD2=+0.50*KC34*<WC_OH>
 PJAC(:,104,109)=+0.50*TPK%KC34(:)*PCONC(:,98)
!
!WC_RO25/WC_GLY=0.0
!
!WC_RO25/WC_MGLY=0.0
!
!WC_RO25/WC_KETL=0.0
!
!WC_RO25/WC_ORA1=0.0
!
!WC_RO25/WC_ORA2=0.0
!
!WC_RO25/WC_ACID=+KC40*<WC_OH>
 PJAC(:,104,115)=+TPK%KC40(:)*PCONC(:,98)
!
!WC_RO25/WC_RP16=0.0
!
!WC_RO25/WC_UR21=0.0
!
!WC_RO25/WC_UR28=0.0
!
!WC_RO25/WC_ACID2=0.0
!
!WC_RO25/WC_ASO3=0.0
!
!WC_RO25/WC_ASO4=0.0
!
!WC_RO25/WC_ASO5=0.0
!
!WC_RO25/WC_AHSO5=0.0
!
!WC_RO25/WC_AHMS=0.0
!
!WC_RO25/WR_O3=0.0
!
!WC_RO25/WR_H2O2=0.0
!
!WC_RO25/WR_NO=0.0
!
!WC_RO25/WR_NO2=0.0
!
!WC_RO25/WR_NO3=0.0
!
!WC_RO25/WR_N2O5=0.0
!
!WC_RO25/WR_HONO=0.0
!
!WC_RO25/WR_HNO3=0.0
!
!WC_RO25/WR_HNO4=0.0
!
!WC_RO25/WR_NH3=0.0
!
!WC_RO25/WR_OH=0.0
!
!WC_RO25/WR_HO2=0.0
!
!WC_RO25/WR_CO2=0.0
!
!WC_RO25/WR_SO2=0.0
!
!WC_RO25/WR_H2SO4=0.0
!
!WC_RO25/WR_RO21=0.0
!
!WC_RO25/WR_RO25=0.0
!
!WC_RO25/WR_MEOH=0.0
!
!WC_RO25/WR_ETOH=0.0
!
!WC_RO25/WR_ALCH=0.0
!
!WC_RO25/WR_HCHO=0.0
!
!WC_RO25/WR_ALD2=0.0
!
!WC_RO25/WR_GLY=0.0
!
!WC_RO25/WR_MGLY=0.0
!
!WC_RO25/WR_KETL=0.0
!
!WC_RO25/WR_ORA1=0.0
!
!WC_RO25/WR_ORA2=0.0
!
!WC_RO25/WR_ACID=0.0
!
!WC_RO25/WR_RP16=0.0
!
!WC_RO25/WR_UR21=0.0
!
!WC_RO25/WR_UR28=0.0
!
!WC_RO25/WR_ACID2=0.0
!
!WC_RO25/WR_ASO3=0.0
!
!WC_RO25/WR_ASO4=0.0
!
!WC_RO25/WR_ASO5=0.0
!
!WC_RO25/WR_AHSO5=0.0
!
!WC_RO25/WR_AHMS=0.0
!
!WC_MEOH/NO=0.0
!
!WC_MEOH/NO2=0.0
!
!WC_MEOH/O3=0.0
!
!WC_MEOH/HONO=0.0
!
!WC_MEOH/HNO3=0.0
!
!WC_MEOH/HNO4=0.0
!
!WC_MEOH/N2O5=0.0
!
!WC_MEOH/NO3=0.0
!
!WC_MEOH/NH3=0.0
!
!WC_MEOH/HO2=0.0
!
!WC_MEOH/CO=0.0
!
!WC_MEOH/H2O2=0.0
!
!WC_MEOH/SO2=0.0
!
!WC_MEOH/H2SO4=0.0
!
!WC_MEOH/OH=0.0
!
!WC_MEOH/ETHE=0.0
!
!WC_MEOH/OLEL=0.0
!
!WC_MEOH/OLEH=0.0
!
!WC_MEOH/ALKL=0.0
!
!WC_MEOH/ALKM=0.0
!
!WC_MEOH/ALKH=0.0
!
!WC_MEOH/AROH=0.0
!
!WC_MEOH/AROL=0.0
!
!WC_MEOH/AROO=0.0
!
!WC_MEOH/ARAL=0.0
!
!WC_MEOH/ARAC=0.0
!
!WC_MEOH/PAH=0.0
!
!WC_MEOH/HCHO=0.0
!
!WC_MEOH/ALD2=0.0
!
!WC_MEOH/KETL=0.0
!
!WC_MEOH/KETH=0.0
!
!WC_MEOH/MEOH=+KTC18
 PJAC(:,105,32)=+TPK%KTC18(:)
!
!WC_MEOH/ETOH=0.0
!
!WC_MEOH/ALCH=0.0
!
!WC_MEOH/ISOP=0.0
!
!WC_MEOH/BIOL=0.0
!
!WC_MEOH/BIOH=0.0
!
!WC_MEOH/MTBE=0.0
!
!WC_MEOH/MVK=0.0
!
!WC_MEOH/MCR=0.0
!
!WC_MEOH/MGLY=0.0
!
!WC_MEOH/GLY=0.0
!
!WC_MEOH/ORA1=0.0
!
!WC_MEOH/ORA2=0.0
!
!WC_MEOH/ACID=0.0
!
!WC_MEOH/UR28=0.0
!
!WC_MEOH/UR21=0.0
!
!WC_MEOH/URG2=0.0
!
!WC_MEOH/UR26=0.0
!
!WC_MEOH/RPG2=0.0
!
!WC_MEOH/RP18=0.0
!
!WC_MEOH/RPG3=0.0
!
!WC_MEOH/URG4=0.0
!
!WC_MEOH/UR8=0.0
!
!WC_MEOH/UR17=0.0
!
!WC_MEOH/UR7=0.0
!
!WC_MEOH/RPR3=0.0
!
!WC_MEOH/URG6=0.0
!
!WC_MEOH/UR22=0.0
!
!WC_MEOH/URG7=0.0
!
!WC_MEOH/RPR4=0.0
!
!WC_MEOH/RPR7=0.0
!
!WC_MEOH/RPG7=0.0
!
!WC_MEOH/URG8=0.0
!
!WC_MEOH/UR19=0.0
!
!WC_MEOH/URG9=0.0
!
!WC_MEOH/AP7=0.0
!
!WC_MEOH/URG10=0.0
!
!WC_MEOH/RPR1=0.0
!
!WC_MEOH/RPR5=0.0
!
!WC_MEOH/RPR8=0.0
!
!WC_MEOH/RP10=0.0
!
!WC_MEOH/RP11=0.0
!
!WC_MEOH/RP16=0.0
!
!WC_MEOH/RPRL=0.0
!
!WC_MEOH/APAN=0.0
!
!WC_MEOH/PAN1=0.0
!
!WC_MEOH/PAN2=0.0
!
!WC_MEOH/PAN3=0.0
!
!WC_MEOH/PAN4=0.0
!
!WC_MEOH/PAN6=0.0
!
!WC_MEOH/PAN7=0.0
!
!WC_MEOH/PAN8=0.0
!
!WC_MEOH/PN10=0.0
!
!WC_MEOH/RO2T=0.0
!
!WC_MEOH/RO21=0.0
!
!WC_MEOH/RO25=0.0
!
!WC_MEOH/WC_O3=0.0
!
!WC_MEOH/WC_H2O2=0.0
!
!WC_MEOH/WC_NO=0.0
!
!WC_MEOH/WC_NO2=0.0
!
!WC_MEOH/WC_NO3=0.0
!
!WC_MEOH/WC_N2O5=0.0
!
!WC_MEOH/WC_HONO=0.0
!
!WC_MEOH/WC_HNO3=0.0
!
!WC_MEOH/WC_HNO4=0.0
!
!WC_MEOH/WC_NH3=0.0
!
!WC_MEOH/WC_OH=-KC30*<WC_MEOH>
 PJAC(:,105,98)=-TPK%KC30(:)*PCONC(:,105)
!
!WC_MEOH/WC_HO2=0.0
!
!WC_MEOH/WC_CO2=0.0
!
!WC_MEOH/WC_SO2=0.0
!
!WC_MEOH/WC_H2SO4=0.0
!
!WC_MEOH/WC_RO21=0.0
!
!WC_MEOH/WC_RO25=0.0
!
!WC_MEOH/WC_MEOH=-KTC49-KC30*<WC_OH>
 PJAC(:,105,105)=-TPK%KTC49(:)-TPK%KC30(:)*PCONC(:,98)
!
!WC_MEOH/WC_ETOH=0.0
!
!WC_MEOH/WC_ALCH=0.0
!
!WC_MEOH/WC_HCHO=0.0
!
!WC_MEOH/WC_ALD2=0.0
!
!WC_MEOH/WC_GLY=0.0
!
!WC_MEOH/WC_MGLY=0.0
!
!WC_MEOH/WC_KETL=0.0
!
!WC_MEOH/WC_ORA1=0.0
!
!WC_MEOH/WC_ORA2=0.0
!
!WC_MEOH/WC_ACID=0.0
!
!WC_MEOH/WC_RP16=0.0
!
!WC_MEOH/WC_UR21=0.0
!
!WC_MEOH/WC_UR28=0.0
!
!WC_MEOH/WC_ACID2=0.0
!
!WC_MEOH/WC_ASO3=0.0
!
!WC_MEOH/WC_ASO4=0.0
!
!WC_MEOH/WC_ASO5=0.0
!
!WC_MEOH/WC_AHSO5=0.0
!
!WC_MEOH/WC_AHMS=0.0
!
!WC_MEOH/WR_O3=0.0
!
!WC_MEOH/WR_H2O2=0.0
!
!WC_MEOH/WR_NO=0.0
!
!WC_MEOH/WR_NO2=0.0
!
!WC_MEOH/WR_NO3=0.0
!
!WC_MEOH/WR_N2O5=0.0
!
!WC_MEOH/WR_HONO=0.0
!
!WC_MEOH/WR_HNO3=0.0
!
!WC_MEOH/WR_HNO4=0.0
!
!WC_MEOH/WR_NH3=0.0
!
!WC_MEOH/WR_OH=0.0
!
!WC_MEOH/WR_HO2=0.0
!
!WC_MEOH/WR_CO2=0.0
!
!WC_MEOH/WR_SO2=0.0
!
!WC_MEOH/WR_H2SO4=0.0
!
!WC_MEOH/WR_RO21=0.0
!
!WC_MEOH/WR_RO25=0.0
!
!WC_MEOH/WR_MEOH=0.0
!
!WC_MEOH/WR_ETOH=0.0
!
!WC_MEOH/WR_ALCH=0.0
!
!WC_MEOH/WR_HCHO=0.0
!
!WC_MEOH/WR_ALD2=0.0
!
!WC_MEOH/WR_GLY=0.0
!
!WC_MEOH/WR_MGLY=0.0
!
!WC_MEOH/WR_KETL=0.0
!
!WC_MEOH/WR_ORA1=0.0
!
!WC_MEOH/WR_ORA2=0.0
!
!WC_MEOH/WR_ACID=0.0
!
!WC_MEOH/WR_RP16=0.0
!
!WC_MEOH/WR_UR21=0.0
!
!WC_MEOH/WR_UR28=0.0
!
!WC_MEOH/WR_ACID2=0.0
!
!WC_MEOH/WR_ASO3=0.0
!
!WC_MEOH/WR_ASO4=0.0
!
!WC_MEOH/WR_ASO5=0.0
!
!WC_MEOH/WR_AHSO5=0.0
!
!WC_MEOH/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ20
!
SUBROUTINE SUBJ21
!
!Indices 106 a 110
!
!
!WC_ETOH/NO=0.0
!
!WC_ETOH/NO2=0.0
!
!WC_ETOH/O3=0.0
!
!WC_ETOH/HONO=0.0
!
!WC_ETOH/HNO3=0.0
!
!WC_ETOH/HNO4=0.0
!
!WC_ETOH/N2O5=0.0
!
!WC_ETOH/NO3=0.0
!
!WC_ETOH/NH3=0.0
!
!WC_ETOH/HO2=0.0
!
!WC_ETOH/CO=0.0
!
!WC_ETOH/H2O2=0.0
!
!WC_ETOH/SO2=0.0
!
!WC_ETOH/H2SO4=0.0
!
!WC_ETOH/OH=0.0
!
!WC_ETOH/ETHE=0.0
!
!WC_ETOH/OLEL=0.0
!
!WC_ETOH/OLEH=0.0
!
!WC_ETOH/ALKL=0.0
!
!WC_ETOH/ALKM=0.0
!
!WC_ETOH/ALKH=0.0
!
!WC_ETOH/AROH=0.0
!
!WC_ETOH/AROL=0.0
!
!WC_ETOH/AROO=0.0
!
!WC_ETOH/ARAL=0.0
!
!WC_ETOH/ARAC=0.0
!
!WC_ETOH/PAH=0.0
!
!WC_ETOH/HCHO=0.0
!
!WC_ETOH/ALD2=0.0
!
!WC_ETOH/KETL=0.0
!
!WC_ETOH/KETH=0.0
!
!WC_ETOH/MEOH=0.0
!
!WC_ETOH/ETOH=+KTC19
 PJAC(:,106,33)=+TPK%KTC19(:)
!
!WC_ETOH/ALCH=0.0
!
!WC_ETOH/ISOP=0.0
!
!WC_ETOH/BIOL=0.0
!
!WC_ETOH/BIOH=0.0
!
!WC_ETOH/MTBE=0.0
!
!WC_ETOH/MVK=0.0
!
!WC_ETOH/MCR=0.0
!
!WC_ETOH/MGLY=0.0
!
!WC_ETOH/GLY=0.0
!
!WC_ETOH/ORA1=0.0
!
!WC_ETOH/ORA2=0.0
!
!WC_ETOH/ACID=0.0
!
!WC_ETOH/UR28=0.0
!
!WC_ETOH/UR21=0.0
!
!WC_ETOH/URG2=0.0
!
!WC_ETOH/UR26=0.0
!
!WC_ETOH/RPG2=0.0
!
!WC_ETOH/RP18=0.0
!
!WC_ETOH/RPG3=0.0
!
!WC_ETOH/URG4=0.0
!
!WC_ETOH/UR8=0.0
!
!WC_ETOH/UR17=0.0
!
!WC_ETOH/UR7=0.0
!
!WC_ETOH/RPR3=0.0
!
!WC_ETOH/URG6=0.0
!
!WC_ETOH/UR22=0.0
!
!WC_ETOH/URG7=0.0
!
!WC_ETOH/RPR4=0.0
!
!WC_ETOH/RPR7=0.0
!
!WC_ETOH/RPG7=0.0
!
!WC_ETOH/URG8=0.0
!
!WC_ETOH/UR19=0.0
!
!WC_ETOH/URG9=0.0
!
!WC_ETOH/AP7=0.0
!
!WC_ETOH/URG10=0.0
!
!WC_ETOH/RPR1=0.0
!
!WC_ETOH/RPR5=0.0
!
!WC_ETOH/RPR8=0.0
!
!WC_ETOH/RP10=0.0
!
!WC_ETOH/RP11=0.0
!
!WC_ETOH/RP16=0.0
!
!WC_ETOH/RPRL=0.0
!
!WC_ETOH/APAN=0.0
!
!WC_ETOH/PAN1=0.0
!
!WC_ETOH/PAN2=0.0
!
!WC_ETOH/PAN3=0.0
!
!WC_ETOH/PAN4=0.0
!
!WC_ETOH/PAN6=0.0
!
!WC_ETOH/PAN7=0.0
!
!WC_ETOH/PAN8=0.0
!
!WC_ETOH/PN10=0.0
!
!WC_ETOH/RO2T=0.0
!
!WC_ETOH/RO21=0.0
!
!WC_ETOH/RO25=0.0
!
!WC_ETOH/WC_O3=0.0
!
!WC_ETOH/WC_H2O2=0.0
!
!WC_ETOH/WC_NO=0.0
!
!WC_ETOH/WC_NO2=0.0
!
!WC_ETOH/WC_NO3=0.0
!
!WC_ETOH/WC_N2O5=0.0
!
!WC_ETOH/WC_HONO=0.0
!
!WC_ETOH/WC_HNO3=0.0
!
!WC_ETOH/WC_HNO4=0.0
!
!WC_ETOH/WC_NH3=0.0
!
!WC_ETOH/WC_OH=-KC31*<WC_ETOH>
 PJAC(:,106,98)=-TPK%KC31(:)*PCONC(:,106)
!
!WC_ETOH/WC_HO2=0.0
!
!WC_ETOH/WC_CO2=0.0
!
!WC_ETOH/WC_SO2=0.0
!
!WC_ETOH/WC_H2SO4=0.0
!
!WC_ETOH/WC_RO21=0.0
!
!WC_ETOH/WC_RO25=0.0
!
!WC_ETOH/WC_MEOH=0.0
!
!WC_ETOH/WC_ETOH=-KTC50-KC31*<WC_OH>
 PJAC(:,106,106)=-TPK%KTC50(:)-TPK%KC31(:)*PCONC(:,98)
!
!WC_ETOH/WC_ALCH=0.0
!
!WC_ETOH/WC_HCHO=0.0
!
!WC_ETOH/WC_ALD2=0.0
!
!WC_ETOH/WC_GLY=0.0
!
!WC_ETOH/WC_MGLY=0.0
!
!WC_ETOH/WC_KETL=0.0
!
!WC_ETOH/WC_ORA1=0.0
!
!WC_ETOH/WC_ORA2=0.0
!
!WC_ETOH/WC_ACID=0.0
!
!WC_ETOH/WC_RP16=0.0
!
!WC_ETOH/WC_UR21=0.0
!
!WC_ETOH/WC_UR28=0.0
!
!WC_ETOH/WC_ACID2=0.0
!
!WC_ETOH/WC_ASO3=0.0
!
!WC_ETOH/WC_ASO4=0.0
!
!WC_ETOH/WC_ASO5=0.0
!
!WC_ETOH/WC_AHSO5=0.0
!
!WC_ETOH/WC_AHMS=0.0
!
!WC_ETOH/WR_O3=0.0
!
!WC_ETOH/WR_H2O2=0.0
!
!WC_ETOH/WR_NO=0.0
!
!WC_ETOH/WR_NO2=0.0
!
!WC_ETOH/WR_NO3=0.0
!
!WC_ETOH/WR_N2O5=0.0
!
!WC_ETOH/WR_HONO=0.0
!
!WC_ETOH/WR_HNO3=0.0
!
!WC_ETOH/WR_HNO4=0.0
!
!WC_ETOH/WR_NH3=0.0
!
!WC_ETOH/WR_OH=0.0
!
!WC_ETOH/WR_HO2=0.0
!
!WC_ETOH/WR_CO2=0.0
!
!WC_ETOH/WR_SO2=0.0
!
!WC_ETOH/WR_H2SO4=0.0
!
!WC_ETOH/WR_RO21=0.0
!
!WC_ETOH/WR_RO25=0.0
!
!WC_ETOH/WR_MEOH=0.0
!
!WC_ETOH/WR_ETOH=0.0
!
!WC_ETOH/WR_ALCH=0.0
!
!WC_ETOH/WR_HCHO=0.0
!
!WC_ETOH/WR_ALD2=0.0
!
!WC_ETOH/WR_GLY=0.0
!
!WC_ETOH/WR_MGLY=0.0
!
!WC_ETOH/WR_KETL=0.0
!
!WC_ETOH/WR_ORA1=0.0
!
!WC_ETOH/WR_ORA2=0.0
!
!WC_ETOH/WR_ACID=0.0
!
!WC_ETOH/WR_RP16=0.0
!
!WC_ETOH/WR_UR21=0.0
!
!WC_ETOH/WR_UR28=0.0
!
!WC_ETOH/WR_ACID2=0.0
!
!WC_ETOH/WR_ASO3=0.0
!
!WC_ETOH/WR_ASO4=0.0
!
!WC_ETOH/WR_ASO5=0.0
!
!WC_ETOH/WR_AHSO5=0.0
!
!WC_ETOH/WR_AHMS=0.0
!
!WC_ALCH/NO=0.0
!
!WC_ALCH/NO2=0.0
!
!WC_ALCH/O3=0.0
!
!WC_ALCH/HONO=0.0
!
!WC_ALCH/HNO3=0.0
!
!WC_ALCH/HNO4=0.0
!
!WC_ALCH/N2O5=0.0
!
!WC_ALCH/NO3=0.0
!
!WC_ALCH/NH3=0.0
!
!WC_ALCH/HO2=0.0
!
!WC_ALCH/CO=0.0
!
!WC_ALCH/H2O2=0.0
!
!WC_ALCH/SO2=0.0
!
!WC_ALCH/H2SO4=0.0
!
!WC_ALCH/OH=0.0
!
!WC_ALCH/ETHE=0.0
!
!WC_ALCH/OLEL=0.0
!
!WC_ALCH/OLEH=0.0
!
!WC_ALCH/ALKL=0.0
!
!WC_ALCH/ALKM=0.0
!
!WC_ALCH/ALKH=0.0
!
!WC_ALCH/AROH=0.0
!
!WC_ALCH/AROL=0.0
!
!WC_ALCH/AROO=0.0
!
!WC_ALCH/ARAL=0.0
!
!WC_ALCH/ARAC=0.0
!
!WC_ALCH/PAH=0.0
!
!WC_ALCH/HCHO=0.0
!
!WC_ALCH/ALD2=0.0
!
!WC_ALCH/KETL=0.0
!
!WC_ALCH/KETH=0.0
!
!WC_ALCH/MEOH=0.0
!
!WC_ALCH/ETOH=0.0
!
!WC_ALCH/ALCH=+KTC20
 PJAC(:,107,34)=+TPK%KTC20(:)
!
!WC_ALCH/ISOP=0.0
!
!WC_ALCH/BIOL=0.0
!
!WC_ALCH/BIOH=0.0
!
!WC_ALCH/MTBE=0.0
!
!WC_ALCH/MVK=0.0
!
!WC_ALCH/MCR=0.0
!
!WC_ALCH/MGLY=0.0
!
!WC_ALCH/GLY=0.0
!
!WC_ALCH/ORA1=0.0
!
!WC_ALCH/ORA2=0.0
!
!WC_ALCH/ACID=0.0
!
!WC_ALCH/UR28=0.0
!
!WC_ALCH/UR21=0.0
!
!WC_ALCH/URG2=0.0
!
!WC_ALCH/UR26=0.0
!
!WC_ALCH/RPG2=0.0
!
!WC_ALCH/RP18=0.0
!
!WC_ALCH/RPG3=0.0
!
!WC_ALCH/URG4=0.0
!
!WC_ALCH/UR8=0.0
!
!WC_ALCH/UR17=0.0
!
!WC_ALCH/UR7=0.0
!
!WC_ALCH/RPR3=0.0
!
!WC_ALCH/URG6=0.0
!
!WC_ALCH/UR22=0.0
!
!WC_ALCH/URG7=0.0
!
!WC_ALCH/RPR4=0.0
!
!WC_ALCH/RPR7=0.0
!
!WC_ALCH/RPG7=0.0
!
!WC_ALCH/URG8=0.0
!
!WC_ALCH/UR19=0.0
!
!WC_ALCH/URG9=0.0
!
!WC_ALCH/AP7=0.0
!
!WC_ALCH/URG10=0.0
!
!WC_ALCH/RPR1=0.0
!
!WC_ALCH/RPR5=0.0
!
!WC_ALCH/RPR8=0.0
!
!WC_ALCH/RP10=0.0
!
!WC_ALCH/RP11=0.0
!
!WC_ALCH/RP16=0.0
!
!WC_ALCH/RPRL=0.0
!
!WC_ALCH/APAN=0.0
!
!WC_ALCH/PAN1=0.0
!
!WC_ALCH/PAN2=0.0
!
!WC_ALCH/PAN3=0.0
!
!WC_ALCH/PAN4=0.0
!
!WC_ALCH/PAN6=0.0
!
!WC_ALCH/PAN7=0.0
!
!WC_ALCH/PAN8=0.0
!
!WC_ALCH/PN10=0.0
!
!WC_ALCH/RO2T=0.0
!
!WC_ALCH/RO21=0.0
!
!WC_ALCH/RO25=0.0
!
!WC_ALCH/WC_O3=0.0
!
!WC_ALCH/WC_H2O2=0.0
!
!WC_ALCH/WC_NO=0.0
!
!WC_ALCH/WC_NO2=0.0
!
!WC_ALCH/WC_NO3=0.0
!
!WC_ALCH/WC_N2O5=0.0
!
!WC_ALCH/WC_HONO=0.0
!
!WC_ALCH/WC_HNO3=0.0
!
!WC_ALCH/WC_HNO4=0.0
!
!WC_ALCH/WC_NH3=0.0
!
!WC_ALCH/WC_OH=-KC32*<WC_ALCH>
 PJAC(:,107,98)=-TPK%KC32(:)*PCONC(:,107)
!
!WC_ALCH/WC_HO2=0.0
!
!WC_ALCH/WC_CO2=0.0
!
!WC_ALCH/WC_SO2=0.0
!
!WC_ALCH/WC_H2SO4=0.0
!
!WC_ALCH/WC_RO21=0.0
!
!WC_ALCH/WC_RO25=0.0
!
!WC_ALCH/WC_MEOH=0.0
!
!WC_ALCH/WC_ETOH=0.0
!
!WC_ALCH/WC_ALCH=-KTC51-KC32*<WC_OH>
 PJAC(:,107,107)=-TPK%KTC51(:)-TPK%KC32(:)*PCONC(:,98)
!
!WC_ALCH/WC_HCHO=0.0
!
!WC_ALCH/WC_ALD2=0.0
!
!WC_ALCH/WC_GLY=0.0
!
!WC_ALCH/WC_MGLY=0.0
!
!WC_ALCH/WC_KETL=0.0
!
!WC_ALCH/WC_ORA1=0.0
!
!WC_ALCH/WC_ORA2=0.0
!
!WC_ALCH/WC_ACID=0.0
!
!WC_ALCH/WC_RP16=0.0
!
!WC_ALCH/WC_UR21=0.0
!
!WC_ALCH/WC_UR28=0.0
!
!WC_ALCH/WC_ACID2=0.0
!
!WC_ALCH/WC_ASO3=0.0
!
!WC_ALCH/WC_ASO4=0.0
!
!WC_ALCH/WC_ASO5=0.0
!
!WC_ALCH/WC_AHSO5=0.0
!
!WC_ALCH/WC_AHMS=0.0
!
!WC_ALCH/WR_O3=0.0
!
!WC_ALCH/WR_H2O2=0.0
!
!WC_ALCH/WR_NO=0.0
!
!WC_ALCH/WR_NO2=0.0
!
!WC_ALCH/WR_NO3=0.0
!
!WC_ALCH/WR_N2O5=0.0
!
!WC_ALCH/WR_HONO=0.0
!
!WC_ALCH/WR_HNO3=0.0
!
!WC_ALCH/WR_HNO4=0.0
!
!WC_ALCH/WR_NH3=0.0
!
!WC_ALCH/WR_OH=0.0
!
!WC_ALCH/WR_HO2=0.0
!
!WC_ALCH/WR_CO2=0.0
!
!WC_ALCH/WR_SO2=0.0
!
!WC_ALCH/WR_H2SO4=0.0
!
!WC_ALCH/WR_RO21=0.0
!
!WC_ALCH/WR_RO25=0.0
!
!WC_ALCH/WR_MEOH=0.0
!
!WC_ALCH/WR_ETOH=0.0
!
!WC_ALCH/WR_ALCH=0.0
!
!WC_ALCH/WR_HCHO=0.0
!
!WC_ALCH/WR_ALD2=0.0
!
!WC_ALCH/WR_GLY=0.0
!
!WC_ALCH/WR_MGLY=0.0
!
!WC_ALCH/WR_KETL=0.0
!
!WC_ALCH/WR_ORA1=0.0
!
!WC_ALCH/WR_ORA2=0.0
!
!WC_ALCH/WR_ACID=0.0
!
!WC_ALCH/WR_RP16=0.0
!
!WC_ALCH/WR_UR21=0.0
!
!WC_ALCH/WR_UR28=0.0
!
!WC_ALCH/WR_ACID2=0.0
!
!WC_ALCH/WR_ASO3=0.0
!
!WC_ALCH/WR_ASO4=0.0
!
!WC_ALCH/WR_ASO5=0.0
!
!WC_ALCH/WR_AHSO5=0.0
!
!WC_ALCH/WR_AHMS=0.0
!
!WC_HCHO/NO=0.0
!
!WC_HCHO/NO2=0.0
!
!WC_HCHO/O3=0.0
!
!WC_HCHO/HONO=0.0
!
!WC_HCHO/HNO3=0.0
!
!WC_HCHO/HNO4=0.0
!
!WC_HCHO/N2O5=0.0
!
!WC_HCHO/NO3=0.0
!
!WC_HCHO/NH3=0.0
!
!WC_HCHO/HO2=0.0
!
!WC_HCHO/CO=0.0
!
!WC_HCHO/H2O2=0.0
!
!WC_HCHO/SO2=0.0
!
!WC_HCHO/H2SO4=0.0
!
!WC_HCHO/OH=0.0
!
!WC_HCHO/ETHE=0.0
!
!WC_HCHO/OLEL=0.0
!
!WC_HCHO/OLEH=0.0
!
!WC_HCHO/ALKL=0.0
!
!WC_HCHO/ALKM=0.0
!
!WC_HCHO/ALKH=0.0
!
!WC_HCHO/AROH=0.0
!
!WC_HCHO/AROL=0.0
!
!WC_HCHO/AROO=0.0
!
!WC_HCHO/ARAL=0.0
!
!WC_HCHO/ARAC=0.0
!
!WC_HCHO/PAH=0.0
!
!WC_HCHO/HCHO=+KTC21
 PJAC(:,108,28)=+TPK%KTC21(:)
!
!WC_HCHO/ALD2=0.0
!
!WC_HCHO/KETL=0.0
!
!WC_HCHO/KETH=0.0
!
!WC_HCHO/MEOH=0.0
!
!WC_HCHO/ETOH=0.0
!
!WC_HCHO/ALCH=0.0
!
!WC_HCHO/ISOP=0.0
!
!WC_HCHO/BIOL=0.0
!
!WC_HCHO/BIOH=0.0
!
!WC_HCHO/MTBE=0.0
!
!WC_HCHO/MVK=0.0
!
!WC_HCHO/MCR=0.0
!
!WC_HCHO/MGLY=0.0
!
!WC_HCHO/GLY=0.0
!
!WC_HCHO/ORA1=0.0
!
!WC_HCHO/ORA2=0.0
!
!WC_HCHO/ACID=0.0
!
!WC_HCHO/UR28=0.0
!
!WC_HCHO/UR21=0.0
!
!WC_HCHO/URG2=0.0
!
!WC_HCHO/UR26=0.0
!
!WC_HCHO/RPG2=0.0
!
!WC_HCHO/RP18=0.0
!
!WC_HCHO/RPG3=0.0
!
!WC_HCHO/URG4=0.0
!
!WC_HCHO/UR8=0.0
!
!WC_HCHO/UR17=0.0
!
!WC_HCHO/UR7=0.0
!
!WC_HCHO/RPR3=0.0
!
!WC_HCHO/URG6=0.0
!
!WC_HCHO/UR22=0.0
!
!WC_HCHO/URG7=0.0
!
!WC_HCHO/RPR4=0.0
!
!WC_HCHO/RPR7=0.0
!
!WC_HCHO/RPG7=0.0
!
!WC_HCHO/URG8=0.0
!
!WC_HCHO/UR19=0.0
!
!WC_HCHO/URG9=0.0
!
!WC_HCHO/AP7=0.0
!
!WC_HCHO/URG10=0.0
!
!WC_HCHO/RPR1=0.0
!
!WC_HCHO/RPR5=0.0
!
!WC_HCHO/RPR8=0.0
!
!WC_HCHO/RP10=0.0
!
!WC_HCHO/RP11=0.0
!
!WC_HCHO/RP16=0.0
!
!WC_HCHO/RPRL=0.0
!
!WC_HCHO/APAN=0.0
!
!WC_HCHO/PAN1=0.0
!
!WC_HCHO/PAN2=0.0
!
!WC_HCHO/PAN3=0.0
!
!WC_HCHO/PAN4=0.0
!
!WC_HCHO/PAN6=0.0
!
!WC_HCHO/PAN7=0.0
!
!WC_HCHO/PAN8=0.0
!
!WC_HCHO/PN10=0.0
!
!WC_HCHO/RO2T=0.0
!
!WC_HCHO/RO21=0.0
!
!WC_HCHO/RO25=0.0
!
!WC_HCHO/WC_O3=0.0
!
!WC_HCHO/WC_H2O2=0.0
!
!WC_HCHO/WC_NO=0.0
!
!WC_HCHO/WC_NO2=0.0
!
!WC_HCHO/WC_NO3=0.0
!
!WC_HCHO/WC_N2O5=0.0
!
!WC_HCHO/WC_HONO=0.0
!
!WC_HCHO/WC_HNO3=0.0
!
!WC_HCHO/WC_HNO4=0.0
!
!WC_HCHO/WC_NH3=0.0
!
!WC_HCHO/WC_OH=+KC30*<WC_MEOH>-KC33*<WC_HCHO>+KC37*<WC_KETL>
 PJAC(:,108,98)=+TPK%KC30(:)*PCONC(:,105)-TPK%KC33(:)*PCONC(:,108)+TPK%KC37(:)*&
&PCONC(:,112)
!
!WC_HCHO/WC_HO2=0.0
!
!WC_HCHO/WC_CO2=0.0
!
!WC_HCHO/WC_SO2=-KC17*<WC_HCHO>+KC28*<WC_RO21>
 PJAC(:,108,101)=-TPK%KC17(:)*PCONC(:,108)+TPK%KC28(:)*PCONC(:,103)
!
!WC_HCHO/WC_H2SO4=0.0
!
!WC_HCHO/WC_RO21=+2.00*KC27*<WC_RO21>+2.00*KC27*<WC_RO21>+KC28*<WC_SO2>
 PJAC(:,108,103)=+2.00*TPK%KC27(:)*PCONC(:,103)+2.00*TPK%KC27(:)*PCONC(:,103)+T&
&PK%KC28(:)*PCONC(:,101)
!
!WC_HCHO/WC_RO25=0.0
!
!WC_HCHO/WC_MEOH=+KC30*<WC_OH>
 PJAC(:,108,105)=+TPK%KC30(:)*PCONC(:,98)
!
!WC_HCHO/WC_ETOH=0.0
!
!WC_HCHO/WC_ALCH=0.0
!
!WC_HCHO/WC_HCHO=-KTC52-KC17*<WC_SO2>-KC33*<WC_OH>
 PJAC(:,108,108)=-TPK%KTC52(:)-TPK%KC17(:)*PCONC(:,101)-TPK%KC33(:)*PCONC(:,98)
!
!WC_HCHO/WC_ALD2=0.0
!
!WC_HCHO/WC_GLY=0.0
!
!WC_HCHO/WC_MGLY=0.0
!
!WC_HCHO/WC_KETL=+KC37*<WC_OH>
 PJAC(:,108,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_HCHO/WC_ORA1=0.0
!
!WC_HCHO/WC_ORA2=0.0
!
!WC_HCHO/WC_ACID=0.0
!
!WC_HCHO/WC_RP16=0.0
!
!WC_HCHO/WC_UR21=0.0
!
!WC_HCHO/WC_UR28=0.0
!
!WC_HCHO/WC_ACID2=0.0
!
!WC_HCHO/WC_ASO3=0.0
!
!WC_HCHO/WC_ASO4=0.0
!
!WC_HCHO/WC_ASO5=0.0
!
!WC_HCHO/WC_AHSO5=0.0
!
!WC_HCHO/WC_AHMS=+KC18
 PJAC(:,108,124)=+TPK%KC18(:)
!
!WC_HCHO/WR_O3=0.0
!
!WC_HCHO/WR_H2O2=0.0
!
!WC_HCHO/WR_NO=0.0
!
!WC_HCHO/WR_NO2=0.0
!
!WC_HCHO/WR_NO3=0.0
!
!WC_HCHO/WR_N2O5=0.0
!
!WC_HCHO/WR_HONO=0.0
!
!WC_HCHO/WR_HNO3=0.0
!
!WC_HCHO/WR_HNO4=0.0
!
!WC_HCHO/WR_NH3=0.0
!
!WC_HCHO/WR_OH=0.0
!
!WC_HCHO/WR_HO2=0.0
!
!WC_HCHO/WR_CO2=0.0
!
!WC_HCHO/WR_SO2=0.0
!
!WC_HCHO/WR_H2SO4=0.0
!
!WC_HCHO/WR_RO21=0.0
!
!WC_HCHO/WR_RO25=0.0
!
!WC_HCHO/WR_MEOH=0.0
!
!WC_HCHO/WR_ETOH=0.0
!
!WC_HCHO/WR_ALCH=0.0
!
!WC_HCHO/WR_HCHO=0.0
!
!WC_HCHO/WR_ALD2=0.0
!
!WC_HCHO/WR_GLY=0.0
!
!WC_HCHO/WR_MGLY=0.0
!
!WC_HCHO/WR_KETL=0.0
!
!WC_HCHO/WR_ORA1=0.0
!
!WC_HCHO/WR_ORA2=0.0
!
!WC_HCHO/WR_ACID=0.0
!
!WC_HCHO/WR_RP16=0.0
!
!WC_HCHO/WR_UR21=0.0
!
!WC_HCHO/WR_UR28=0.0
!
!WC_HCHO/WR_ACID2=0.0
!
!WC_HCHO/WR_ASO3=0.0
!
!WC_HCHO/WR_ASO4=0.0
!
!WC_HCHO/WR_ASO5=0.0
!
!WC_HCHO/WR_AHSO5=0.0
!
!WC_HCHO/WR_AHMS=0.0
!
!WC_ALD2/NO=0.0
!
!WC_ALD2/NO2=0.0
!
!WC_ALD2/O3=0.0
!
!WC_ALD2/HONO=0.0
!
!WC_ALD2/HNO3=0.0
!
!WC_ALD2/HNO4=0.0
!
!WC_ALD2/N2O5=0.0
!
!WC_ALD2/NO3=0.0
!
!WC_ALD2/NH3=0.0
!
!WC_ALD2/HO2=0.0
!
!WC_ALD2/CO=0.0
!
!WC_ALD2/H2O2=0.0
!
!WC_ALD2/SO2=0.0
!
!WC_ALD2/H2SO4=0.0
!
!WC_ALD2/OH=0.0
!
!WC_ALD2/ETHE=0.0
!
!WC_ALD2/OLEL=0.0
!
!WC_ALD2/OLEH=0.0
!
!WC_ALD2/ALKL=0.0
!
!WC_ALD2/ALKM=0.0
!
!WC_ALD2/ALKH=0.0
!
!WC_ALD2/AROH=0.0
!
!WC_ALD2/AROL=0.0
!
!WC_ALD2/AROO=0.0
!
!WC_ALD2/ARAL=0.0
!
!WC_ALD2/ARAC=0.0
!
!WC_ALD2/PAH=0.0
!
!WC_ALD2/HCHO=0.0
!
!WC_ALD2/ALD2=+KTC22
 PJAC(:,109,29)=+TPK%KTC22(:)
!
!WC_ALD2/KETL=0.0
!
!WC_ALD2/KETH=0.0
!
!WC_ALD2/MEOH=0.0
!
!WC_ALD2/ETOH=0.0
!
!WC_ALD2/ALCH=0.0
!
!WC_ALD2/ISOP=0.0
!
!WC_ALD2/BIOL=0.0
!
!WC_ALD2/BIOH=0.0
!
!WC_ALD2/MTBE=0.0
!
!WC_ALD2/MVK=0.0
!
!WC_ALD2/MCR=0.0
!
!WC_ALD2/MGLY=0.0
!
!WC_ALD2/GLY=0.0
!
!WC_ALD2/ORA1=0.0
!
!WC_ALD2/ORA2=0.0
!
!WC_ALD2/ACID=0.0
!
!WC_ALD2/UR28=0.0
!
!WC_ALD2/UR21=0.0
!
!WC_ALD2/URG2=0.0
!
!WC_ALD2/UR26=0.0
!
!WC_ALD2/RPG2=0.0
!
!WC_ALD2/RP18=0.0
!
!WC_ALD2/RPG3=0.0
!
!WC_ALD2/URG4=0.0
!
!WC_ALD2/UR8=0.0
!
!WC_ALD2/UR17=0.0
!
!WC_ALD2/UR7=0.0
!
!WC_ALD2/RPR3=0.0
!
!WC_ALD2/URG6=0.0
!
!WC_ALD2/UR22=0.0
!
!WC_ALD2/URG7=0.0
!
!WC_ALD2/RPR4=0.0
!
!WC_ALD2/RPR7=0.0
!
!WC_ALD2/RPG7=0.0
!
!WC_ALD2/URG8=0.0
!
!WC_ALD2/UR19=0.0
!
!WC_ALD2/URG9=0.0
!
!WC_ALD2/AP7=0.0
!
!WC_ALD2/URG10=0.0
!
!WC_ALD2/RPR1=0.0
!
!WC_ALD2/RPR5=0.0
!
!WC_ALD2/RPR8=0.0
!
!WC_ALD2/RP10=0.0
!
!WC_ALD2/RP11=0.0
!
!WC_ALD2/RP16=0.0
!
!WC_ALD2/RPRL=0.0
!
!WC_ALD2/APAN=0.0
!
!WC_ALD2/PAN1=0.0
!
!WC_ALD2/PAN2=0.0
!
!WC_ALD2/PAN3=0.0
!
!WC_ALD2/PAN4=0.0
!
!WC_ALD2/PAN6=0.0
!
!WC_ALD2/PAN7=0.0
!
!WC_ALD2/PAN8=0.0
!
!WC_ALD2/PN10=0.0
!
!WC_ALD2/RO2T=0.0
!
!WC_ALD2/RO21=0.0
!
!WC_ALD2/RO25=0.0
!
!WC_ALD2/WC_O3=0.0
!
!WC_ALD2/WC_H2O2=0.0
!
!WC_ALD2/WC_NO=0.0
!
!WC_ALD2/WC_NO2=0.0
!
!WC_ALD2/WC_NO3=0.0
!
!WC_ALD2/WC_N2O5=0.0
!
!WC_ALD2/WC_HONO=0.0
!
!WC_ALD2/WC_HNO3=0.0
!
!WC_ALD2/WC_HNO4=0.0
!
!WC_ALD2/WC_NH3=0.0
!
!WC_ALD2/WC_OH=+KC31*<WC_ETOH>+0.50*KC32*<WC_ALCH>-KC34*<WC_ALD2>+KC37*<WC_KETL
!>+0.29*KC41*<WC_ACID>+0.43*KC43*<WC_UR21>
 PJAC(:,109,98)=+TPK%KC31(:)*PCONC(:,106)+0.50*TPK%KC32(:)*PCONC(:,107)-TPK%KC3&
&4(:)*PCONC(:,109)+TPK%KC37(:)*PCONC(:,112)+0.29*TPK%KC41(:)*PCONC(:,115)+0.43*&
&TPK%KC43(:)*PCONC(:,117)
!
!WC_ALD2/WC_HO2=0.0
!
!WC_ALD2/WC_CO2=0.0
!
!WC_ALD2/WC_SO2=0.0
!
!WC_ALD2/WC_H2SO4=0.0
!
!WC_ALD2/WC_RO21=0.0
!
!WC_ALD2/WC_RO25=+KC29*<WC_RO25>+KC29*<WC_RO25>
 PJAC(:,109,104)=+TPK%KC29(:)*PCONC(:,104)+TPK%KC29(:)*PCONC(:,104)
!
!WC_ALD2/WC_MEOH=0.0
!
!WC_ALD2/WC_ETOH=+KC31*<WC_OH>
 PJAC(:,109,106)=+TPK%KC31(:)*PCONC(:,98)
!
!WC_ALD2/WC_ALCH=+0.50*KC32*<WC_OH>
 PJAC(:,109,107)=+0.50*TPK%KC32(:)*PCONC(:,98)
!
!WC_ALD2/WC_HCHO=0.0
!
!WC_ALD2/WC_ALD2=-KTC53-KC34*<WC_OH>
 PJAC(:,109,109)=-TPK%KTC53(:)-TPK%KC34(:)*PCONC(:,98)
!
!WC_ALD2/WC_GLY=0.0
!
!WC_ALD2/WC_MGLY=0.0
!
!WC_ALD2/WC_KETL=+KC37*<WC_OH>
 PJAC(:,109,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_ALD2/WC_ORA1=0.0
!
!WC_ALD2/WC_ORA2=0.0
!
!WC_ALD2/WC_ACID=+0.29*KC41*<WC_OH>
 PJAC(:,109,115)=+0.29*TPK%KC41(:)*PCONC(:,98)
!
!WC_ALD2/WC_RP16=0.0
!
!WC_ALD2/WC_UR21=+0.43*KC43*<WC_OH>
 PJAC(:,109,117)=+0.43*TPK%KC43(:)*PCONC(:,98)
!
!WC_ALD2/WC_UR28=0.0
!
!WC_ALD2/WC_ACID2=0.0
!
!WC_ALD2/WC_ASO3=0.0
!
!WC_ALD2/WC_ASO4=0.0
!
!WC_ALD2/WC_ASO5=0.0
!
!WC_ALD2/WC_AHSO5=0.0
!
!WC_ALD2/WC_AHMS=0.0
!
!WC_ALD2/WR_O3=0.0
!
!WC_ALD2/WR_H2O2=0.0
!
!WC_ALD2/WR_NO=0.0
!
!WC_ALD2/WR_NO2=0.0
!
!WC_ALD2/WR_NO3=0.0
!
!WC_ALD2/WR_N2O5=0.0
!
!WC_ALD2/WR_HONO=0.0
!
!WC_ALD2/WR_HNO3=0.0
!
!WC_ALD2/WR_HNO4=0.0
!
!WC_ALD2/WR_NH3=0.0
!
!WC_ALD2/WR_OH=0.0
!
!WC_ALD2/WR_HO2=0.0
!
!WC_ALD2/WR_CO2=0.0
!
!WC_ALD2/WR_SO2=0.0
!
!WC_ALD2/WR_H2SO4=0.0
!
!WC_ALD2/WR_RO21=0.0
!
!WC_ALD2/WR_RO25=0.0
!
!WC_ALD2/WR_MEOH=0.0
!
!WC_ALD2/WR_ETOH=0.0
!
!WC_ALD2/WR_ALCH=0.0
!
!WC_ALD2/WR_HCHO=0.0
!
!WC_ALD2/WR_ALD2=0.0
!
!WC_ALD2/WR_GLY=0.0
!
!WC_ALD2/WR_MGLY=0.0
!
!WC_ALD2/WR_KETL=0.0
!
!WC_ALD2/WR_ORA1=0.0
!
!WC_ALD2/WR_ORA2=0.0
!
!WC_ALD2/WR_ACID=0.0
!
!WC_ALD2/WR_RP16=0.0
!
!WC_ALD2/WR_UR21=0.0
!
!WC_ALD2/WR_UR28=0.0
!
!WC_ALD2/WR_ACID2=0.0
!
!WC_ALD2/WR_ASO3=0.0
!
!WC_ALD2/WR_ASO4=0.0
!
!WC_ALD2/WR_ASO5=0.0
!
!WC_ALD2/WR_AHSO5=0.0
!
!WC_ALD2/WR_AHMS=0.0
!
!WC_GLY/NO=0.0
!
!WC_GLY/NO2=0.0
!
!WC_GLY/O3=0.0
!
!WC_GLY/HONO=0.0
!
!WC_GLY/HNO3=0.0
!
!WC_GLY/HNO4=0.0
!
!WC_GLY/N2O5=0.0
!
!WC_GLY/NO3=0.0
!
!WC_GLY/NH3=0.0
!
!WC_GLY/HO2=0.0
!
!WC_GLY/CO=0.0
!
!WC_GLY/H2O2=0.0
!
!WC_GLY/SO2=0.0
!
!WC_GLY/H2SO4=0.0
!
!WC_GLY/OH=0.0
!
!WC_GLY/ETHE=0.0
!
!WC_GLY/OLEL=0.0
!
!WC_GLY/OLEH=0.0
!
!WC_GLY/ALKL=0.0
!
!WC_GLY/ALKM=0.0
!
!WC_GLY/ALKH=0.0
!
!WC_GLY/AROH=0.0
!
!WC_GLY/AROL=0.0
!
!WC_GLY/AROO=0.0
!
!WC_GLY/ARAL=0.0
!
!WC_GLY/ARAC=0.0
!
!WC_GLY/PAH=0.0
!
!WC_GLY/HCHO=0.0
!
!WC_GLY/ALD2=0.0
!
!WC_GLY/KETL=0.0
!
!WC_GLY/KETH=0.0
!
!WC_GLY/MEOH=0.0
!
!WC_GLY/ETOH=0.0
!
!WC_GLY/ALCH=0.0
!
!WC_GLY/ISOP=0.0
!
!WC_GLY/BIOL=0.0
!
!WC_GLY/BIOH=0.0
!
!WC_GLY/MTBE=0.0
!
!WC_GLY/MVK=0.0
!
!WC_GLY/MCR=0.0
!
!WC_GLY/MGLY=0.0
!
!WC_GLY/GLY=+KTC23
 PJAC(:,110,42)=+TPK%KTC23(:)
!
!WC_GLY/ORA1=0.0
!
!WC_GLY/ORA2=0.0
!
!WC_GLY/ACID=0.0
!
!WC_GLY/UR28=0.0
!
!WC_GLY/UR21=0.0
!
!WC_GLY/URG2=0.0
!
!WC_GLY/UR26=0.0
!
!WC_GLY/RPG2=0.0
!
!WC_GLY/RP18=0.0
!
!WC_GLY/RPG3=0.0
!
!WC_GLY/URG4=0.0
!
!WC_GLY/UR8=0.0
!
!WC_GLY/UR17=0.0
!
!WC_GLY/UR7=0.0
!
!WC_GLY/RPR3=0.0
!
!WC_GLY/URG6=0.0
!
!WC_GLY/UR22=0.0
!
!WC_GLY/URG7=0.0
!
!WC_GLY/RPR4=0.0
!
!WC_GLY/RPR7=0.0
!
!WC_GLY/RPG7=0.0
!
!WC_GLY/URG8=0.0
!
!WC_GLY/UR19=0.0
!
!WC_GLY/URG9=0.0
!
!WC_GLY/AP7=0.0
!
!WC_GLY/URG10=0.0
!
!WC_GLY/RPR1=0.0
!
!WC_GLY/RPR5=0.0
!
!WC_GLY/RPR8=0.0
!
!WC_GLY/RP10=0.0
!
!WC_GLY/RP11=0.0
!
!WC_GLY/RP16=0.0
!
!WC_GLY/RPRL=0.0
!
!WC_GLY/APAN=0.0
!
!WC_GLY/PAN1=0.0
!
!WC_GLY/PAN2=0.0
!
!WC_GLY/PAN3=0.0
!
!WC_GLY/PAN4=0.0
!
!WC_GLY/PAN6=0.0
!
!WC_GLY/PAN7=0.0
!
!WC_GLY/PAN8=0.0
!
!WC_GLY/PN10=0.0
!
!WC_GLY/RO2T=0.0
!
!WC_GLY/RO21=0.0
!
!WC_GLY/RO25=0.0
!
!WC_GLY/WC_O3=0.0
!
!WC_GLY/WC_H2O2=0.0
!
!WC_GLY/WC_NO=0.0
!
!WC_GLY/WC_NO2=0.0
!
!WC_GLY/WC_NO3=0.0
!
!WC_GLY/WC_N2O5=0.0
!
!WC_GLY/WC_HONO=0.0
!
!WC_GLY/WC_HNO3=0.0
!
!WC_GLY/WC_HNO4=0.0
!
!WC_GLY/WC_NH3=0.0
!
!WC_GLY/WC_OH=-KC35*<WC_GLY>
 PJAC(:,110,98)=-TPK%KC35(:)*PCONC(:,110)
!
!WC_GLY/WC_HO2=0.0
!
!WC_GLY/WC_CO2=0.0
!
!WC_GLY/WC_SO2=0.0
!
!WC_GLY/WC_H2SO4=0.0
!
!WC_GLY/WC_RO21=0.0
!
!WC_GLY/WC_RO25=0.0
!
!WC_GLY/WC_MEOH=0.0
!
!WC_GLY/WC_ETOH=0.0
!
!WC_GLY/WC_ALCH=0.0
!
!WC_GLY/WC_HCHO=0.0
!
!WC_GLY/WC_ALD2=0.0
!
!WC_GLY/WC_GLY=-KTC54-KC35*<WC_OH>
 PJAC(:,110,110)=-TPK%KTC54(:)-TPK%KC35(:)*PCONC(:,98)
!
!WC_GLY/WC_MGLY=0.0
!
!WC_GLY/WC_KETL=0.0
!
!WC_GLY/WC_ORA1=0.0
!
!WC_GLY/WC_ORA2=0.0
!
!WC_GLY/WC_ACID=0.0
!
!WC_GLY/WC_RP16=0.0
!
!WC_GLY/WC_UR21=0.0
!
!WC_GLY/WC_UR28=0.0
!
!WC_GLY/WC_ACID2=0.0
!
!WC_GLY/WC_ASO3=0.0
!
!WC_GLY/WC_ASO4=0.0
!
!WC_GLY/WC_ASO5=0.0
!
!WC_GLY/WC_AHSO5=0.0
!
!WC_GLY/WC_AHMS=0.0
!
!WC_GLY/WR_O3=0.0
!
!WC_GLY/WR_H2O2=0.0
!
!WC_GLY/WR_NO=0.0
!
!WC_GLY/WR_NO2=0.0
!
!WC_GLY/WR_NO3=0.0
!
!WC_GLY/WR_N2O5=0.0
!
!WC_GLY/WR_HONO=0.0
!
!WC_GLY/WR_HNO3=0.0
!
!WC_GLY/WR_HNO4=0.0
!
!WC_GLY/WR_NH3=0.0
!
!WC_GLY/WR_OH=0.0
!
!WC_GLY/WR_HO2=0.0
!
!WC_GLY/WR_CO2=0.0
!
!WC_GLY/WR_SO2=0.0
!
!WC_GLY/WR_H2SO4=0.0
!
!WC_GLY/WR_RO21=0.0
!
!WC_GLY/WR_RO25=0.0
!
!WC_GLY/WR_MEOH=0.0
!
!WC_GLY/WR_ETOH=0.0
!
!WC_GLY/WR_ALCH=0.0
!
!WC_GLY/WR_HCHO=0.0
!
!WC_GLY/WR_ALD2=0.0
!
!WC_GLY/WR_GLY=0.0
!
!WC_GLY/WR_MGLY=0.0
!
!WC_GLY/WR_KETL=0.0
!
!WC_GLY/WR_ORA1=0.0
!
!WC_GLY/WR_ORA2=0.0
!
!WC_GLY/WR_ACID=0.0
!
!WC_GLY/WR_RP16=0.0
!
!WC_GLY/WR_UR21=0.0
!
!WC_GLY/WR_UR28=0.0
!
!WC_GLY/WR_ACID2=0.0
!
!WC_GLY/WR_ASO3=0.0
!
!WC_GLY/WR_ASO4=0.0
!
!WC_GLY/WR_ASO5=0.0
!
!WC_GLY/WR_AHSO5=0.0
!
!WC_GLY/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ21
!
SUBROUTINE SUBJ22
!
!Indices 111 a 115
!
!
!WC_MGLY/NO=0.0
!
!WC_MGLY/NO2=0.0
!
!WC_MGLY/O3=0.0
!
!WC_MGLY/HONO=0.0
!
!WC_MGLY/HNO3=0.0
!
!WC_MGLY/HNO4=0.0
!
!WC_MGLY/N2O5=0.0
!
!WC_MGLY/NO3=0.0
!
!WC_MGLY/NH3=0.0
!
!WC_MGLY/HO2=0.0
!
!WC_MGLY/CO=0.0
!
!WC_MGLY/H2O2=0.0
!
!WC_MGLY/SO2=0.0
!
!WC_MGLY/H2SO4=0.0
!
!WC_MGLY/OH=0.0
!
!WC_MGLY/ETHE=0.0
!
!WC_MGLY/OLEL=0.0
!
!WC_MGLY/OLEH=0.0
!
!WC_MGLY/ALKL=0.0
!
!WC_MGLY/ALKM=0.0
!
!WC_MGLY/ALKH=0.0
!
!WC_MGLY/AROH=0.0
!
!WC_MGLY/AROL=0.0
!
!WC_MGLY/AROO=0.0
!
!WC_MGLY/ARAL=0.0
!
!WC_MGLY/ARAC=0.0
!
!WC_MGLY/PAH=0.0
!
!WC_MGLY/HCHO=0.0
!
!WC_MGLY/ALD2=0.0
!
!WC_MGLY/KETL=0.0
!
!WC_MGLY/KETH=0.0
!
!WC_MGLY/MEOH=0.0
!
!WC_MGLY/ETOH=0.0
!
!WC_MGLY/ALCH=0.0
!
!WC_MGLY/ISOP=0.0
!
!WC_MGLY/BIOL=0.0
!
!WC_MGLY/BIOH=0.0
!
!WC_MGLY/MTBE=0.0
!
!WC_MGLY/MVK=0.0
!
!WC_MGLY/MCR=0.0
!
!WC_MGLY/MGLY=+KTC25
 PJAC(:,111,41)=+TPK%KTC25(:)
!
!WC_MGLY/GLY=0.0
!
!WC_MGLY/ORA1=0.0
!
!WC_MGLY/ORA2=0.0
!
!WC_MGLY/ACID=0.0
!
!WC_MGLY/UR28=0.0
!
!WC_MGLY/UR21=0.0
!
!WC_MGLY/URG2=0.0
!
!WC_MGLY/UR26=0.0
!
!WC_MGLY/RPG2=0.0
!
!WC_MGLY/RP18=0.0
!
!WC_MGLY/RPG3=0.0
!
!WC_MGLY/URG4=0.0
!
!WC_MGLY/UR8=0.0
!
!WC_MGLY/UR17=0.0
!
!WC_MGLY/UR7=0.0
!
!WC_MGLY/RPR3=0.0
!
!WC_MGLY/URG6=0.0
!
!WC_MGLY/UR22=0.0
!
!WC_MGLY/URG7=0.0
!
!WC_MGLY/RPR4=0.0
!
!WC_MGLY/RPR7=0.0
!
!WC_MGLY/RPG7=0.0
!
!WC_MGLY/URG8=0.0
!
!WC_MGLY/UR19=0.0
!
!WC_MGLY/URG9=0.0
!
!WC_MGLY/AP7=0.0
!
!WC_MGLY/URG10=0.0
!
!WC_MGLY/RPR1=0.0
!
!WC_MGLY/RPR5=0.0
!
!WC_MGLY/RPR8=0.0
!
!WC_MGLY/RP10=0.0
!
!WC_MGLY/RP11=0.0
!
!WC_MGLY/RP16=0.0
!
!WC_MGLY/RPRL=0.0
!
!WC_MGLY/APAN=0.0
!
!WC_MGLY/PAN1=0.0
!
!WC_MGLY/PAN2=0.0
!
!WC_MGLY/PAN3=0.0
!
!WC_MGLY/PAN4=0.0
!
!WC_MGLY/PAN6=0.0
!
!WC_MGLY/PAN7=0.0
!
!WC_MGLY/PAN8=0.0
!
!WC_MGLY/PN10=0.0
!
!WC_MGLY/RO2T=0.0
!
!WC_MGLY/RO21=0.0
!
!WC_MGLY/RO25=0.0
!
!WC_MGLY/WC_O3=0.0
!
!WC_MGLY/WC_H2O2=0.0
!
!WC_MGLY/WC_NO=0.0
!
!WC_MGLY/WC_NO2=0.0
!
!WC_MGLY/WC_NO3=0.0
!
!WC_MGLY/WC_N2O5=0.0
!
!WC_MGLY/WC_HONO=0.0
!
!WC_MGLY/WC_HNO3=0.0
!
!WC_MGLY/WC_HNO4=0.0
!
!WC_MGLY/WC_NH3=0.0
!
!WC_MGLY/WC_OH=-KC36*<WC_MGLY>+KC37*<WC_KETL>
 PJAC(:,111,98)=-TPK%KC36(:)*PCONC(:,111)+TPK%KC37(:)*PCONC(:,112)
!
!WC_MGLY/WC_HO2=0.0
!
!WC_MGLY/WC_CO2=0.0
!
!WC_MGLY/WC_SO2=0.0
!
!WC_MGLY/WC_H2SO4=0.0
!
!WC_MGLY/WC_RO21=0.0
!
!WC_MGLY/WC_RO25=0.0
!
!WC_MGLY/WC_MEOH=0.0
!
!WC_MGLY/WC_ETOH=0.0
!
!WC_MGLY/WC_ALCH=0.0
!
!WC_MGLY/WC_HCHO=0.0
!
!WC_MGLY/WC_ALD2=0.0
!
!WC_MGLY/WC_GLY=0.0
!
!WC_MGLY/WC_MGLY=-KTC56-KC36*<WC_OH>
 PJAC(:,111,111)=-TPK%KTC56(:)-TPK%KC36(:)*PCONC(:,98)
!
!WC_MGLY/WC_KETL=+KC37*<WC_OH>
 PJAC(:,111,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_MGLY/WC_ORA1=0.0
!
!WC_MGLY/WC_ORA2=0.0
!
!WC_MGLY/WC_ACID=0.0
!
!WC_MGLY/WC_RP16=0.0
!
!WC_MGLY/WC_UR21=0.0
!
!WC_MGLY/WC_UR28=0.0
!
!WC_MGLY/WC_ACID2=0.0
!
!WC_MGLY/WC_ASO3=0.0
!
!WC_MGLY/WC_ASO4=0.0
!
!WC_MGLY/WC_ASO5=0.0
!
!WC_MGLY/WC_AHSO5=0.0
!
!WC_MGLY/WC_AHMS=0.0
!
!WC_MGLY/WR_O3=0.0
!
!WC_MGLY/WR_H2O2=0.0
!
!WC_MGLY/WR_NO=0.0
!
!WC_MGLY/WR_NO2=0.0
!
!WC_MGLY/WR_NO3=0.0
!
!WC_MGLY/WR_N2O5=0.0
!
!WC_MGLY/WR_HONO=0.0
!
!WC_MGLY/WR_HNO3=0.0
!
!WC_MGLY/WR_HNO4=0.0
!
!WC_MGLY/WR_NH3=0.0
!
!WC_MGLY/WR_OH=0.0
!
!WC_MGLY/WR_HO2=0.0
!
!WC_MGLY/WR_CO2=0.0
!
!WC_MGLY/WR_SO2=0.0
!
!WC_MGLY/WR_H2SO4=0.0
!
!WC_MGLY/WR_RO21=0.0
!
!WC_MGLY/WR_RO25=0.0
!
!WC_MGLY/WR_MEOH=0.0
!
!WC_MGLY/WR_ETOH=0.0
!
!WC_MGLY/WR_ALCH=0.0
!
!WC_MGLY/WR_HCHO=0.0
!
!WC_MGLY/WR_ALD2=0.0
!
!WC_MGLY/WR_GLY=0.0
!
!WC_MGLY/WR_MGLY=0.0
!
!WC_MGLY/WR_KETL=0.0
!
!WC_MGLY/WR_ORA1=0.0
!
!WC_MGLY/WR_ORA2=0.0
!
!WC_MGLY/WR_ACID=0.0
!
!WC_MGLY/WR_RP16=0.0
!
!WC_MGLY/WR_UR21=0.0
!
!WC_MGLY/WR_UR28=0.0
!
!WC_MGLY/WR_ACID2=0.0
!
!WC_MGLY/WR_ASO3=0.0
!
!WC_MGLY/WR_ASO4=0.0
!
!WC_MGLY/WR_ASO5=0.0
!
!WC_MGLY/WR_AHSO5=0.0
!
!WC_MGLY/WR_AHMS=0.0
!
!WC_KETL/NO=0.0
!
!WC_KETL/NO2=0.0
!
!WC_KETL/O3=0.0
!
!WC_KETL/HONO=0.0
!
!WC_KETL/HNO3=0.0
!
!WC_KETL/HNO4=0.0
!
!WC_KETL/N2O5=0.0
!
!WC_KETL/NO3=0.0
!
!WC_KETL/NH3=0.0
!
!WC_KETL/HO2=0.0
!
!WC_KETL/CO=0.0
!
!WC_KETL/H2O2=0.0
!
!WC_KETL/SO2=0.0
!
!WC_KETL/H2SO4=0.0
!
!WC_KETL/OH=0.0
!
!WC_KETL/ETHE=0.0
!
!WC_KETL/OLEL=0.0
!
!WC_KETL/OLEH=0.0
!
!WC_KETL/ALKL=0.0
!
!WC_KETL/ALKM=0.0
!
!WC_KETL/ALKH=0.0
!
!WC_KETL/AROH=0.0
!
!WC_KETL/AROL=0.0
!
!WC_KETL/AROO=0.0
!
!WC_KETL/ARAL=0.0
!
!WC_KETL/ARAC=0.0
!
!WC_KETL/PAH=0.0
!
!WC_KETL/HCHO=0.0
!
!WC_KETL/ALD2=0.0
!
!WC_KETL/KETL=+KTC24
 PJAC(:,112,30)=+TPK%KTC24(:)
!
!WC_KETL/KETH=0.0
!
!WC_KETL/MEOH=0.0
!
!WC_KETL/ETOH=0.0
!
!WC_KETL/ALCH=0.0
!
!WC_KETL/ISOP=0.0
!
!WC_KETL/BIOL=0.0
!
!WC_KETL/BIOH=0.0
!
!WC_KETL/MTBE=0.0
!
!WC_KETL/MVK=0.0
!
!WC_KETL/MCR=0.0
!
!WC_KETL/MGLY=0.0
!
!WC_KETL/GLY=0.0
!
!WC_KETL/ORA1=0.0
!
!WC_KETL/ORA2=0.0
!
!WC_KETL/ACID=0.0
!
!WC_KETL/UR28=0.0
!
!WC_KETL/UR21=0.0
!
!WC_KETL/URG2=0.0
!
!WC_KETL/UR26=0.0
!
!WC_KETL/RPG2=0.0
!
!WC_KETL/RP18=0.0
!
!WC_KETL/RPG3=0.0
!
!WC_KETL/URG4=0.0
!
!WC_KETL/UR8=0.0
!
!WC_KETL/UR17=0.0
!
!WC_KETL/UR7=0.0
!
!WC_KETL/RPR3=0.0
!
!WC_KETL/URG6=0.0
!
!WC_KETL/UR22=0.0
!
!WC_KETL/URG7=0.0
!
!WC_KETL/RPR4=0.0
!
!WC_KETL/RPR7=0.0
!
!WC_KETL/RPG7=0.0
!
!WC_KETL/URG8=0.0
!
!WC_KETL/UR19=0.0
!
!WC_KETL/URG9=0.0
!
!WC_KETL/AP7=0.0
!
!WC_KETL/URG10=0.0
!
!WC_KETL/RPR1=0.0
!
!WC_KETL/RPR5=0.0
!
!WC_KETL/RPR8=0.0
!
!WC_KETL/RP10=0.0
!
!WC_KETL/RP11=0.0
!
!WC_KETL/RP16=0.0
!
!WC_KETL/RPRL=0.0
!
!WC_KETL/APAN=0.0
!
!WC_KETL/PAN1=0.0
!
!WC_KETL/PAN2=0.0
!
!WC_KETL/PAN3=0.0
!
!WC_KETL/PAN4=0.0
!
!WC_KETL/PAN6=0.0
!
!WC_KETL/PAN7=0.0
!
!WC_KETL/PAN8=0.0
!
!WC_KETL/PN10=0.0
!
!WC_KETL/RO2T=0.0
!
!WC_KETL/RO21=0.0
!
!WC_KETL/RO25=0.0
!
!WC_KETL/WC_O3=0.0
!
!WC_KETL/WC_H2O2=0.0
!
!WC_KETL/WC_NO=0.0
!
!WC_KETL/WC_NO2=0.0
!
!WC_KETL/WC_NO3=0.0
!
!WC_KETL/WC_N2O5=0.0
!
!WC_KETL/WC_HONO=0.0
!
!WC_KETL/WC_HNO3=0.0
!
!WC_KETL/WC_HNO4=0.0
!
!WC_KETL/WC_NH3=0.0
!
!WC_KETL/WC_OH=+0.50*KC32*<WC_ALCH>+KC37*<WC_KETL>-KC37*<WC_KETL>
 PJAC(:,112,98)=+0.50*TPK%KC32(:)*PCONC(:,107)+TPK%KC37(:)*PCONC(:,112)-TPK%KC3&
&7(:)*PCONC(:,112)
!
!WC_KETL/WC_HO2=0.0
!
!WC_KETL/WC_CO2=0.0
!
!WC_KETL/WC_SO2=0.0
!
!WC_KETL/WC_H2SO4=0.0
!
!WC_KETL/WC_RO21=0.0
!
!WC_KETL/WC_RO25=0.0
!
!WC_KETL/WC_MEOH=0.0
!
!WC_KETL/WC_ETOH=0.0
!
!WC_KETL/WC_ALCH=+0.50*KC32*<WC_OH>
 PJAC(:,112,107)=+0.50*TPK%KC32(:)*PCONC(:,98)
!
!WC_KETL/WC_HCHO=0.0
!
!WC_KETL/WC_ALD2=0.0
!
!WC_KETL/WC_GLY=0.0
!
!WC_KETL/WC_MGLY=0.0
!
!WC_KETL/WC_KETL=-KTC55+KC37*<WC_OH>-KC37*<WC_OH>
 PJAC(:,112,112)=-TPK%KTC55(:)+TPK%KC37(:)*PCONC(:,98)-TPK%KC37(:)*PCONC(:,98)
!
!WC_KETL/WC_ORA1=0.0
!
!WC_KETL/WC_ORA2=0.0
!
!WC_KETL/WC_ACID=0.0
!
!WC_KETL/WC_RP16=0.0
!
!WC_KETL/WC_UR21=0.0
!
!WC_KETL/WC_UR28=0.0
!
!WC_KETL/WC_ACID2=0.0
!
!WC_KETL/WC_ASO3=0.0
!
!WC_KETL/WC_ASO4=0.0
!
!WC_KETL/WC_ASO5=0.0
!
!WC_KETL/WC_AHSO5=0.0
!
!WC_KETL/WC_AHMS=0.0
!
!WC_KETL/WR_O3=0.0
!
!WC_KETL/WR_H2O2=0.0
!
!WC_KETL/WR_NO=0.0
!
!WC_KETL/WR_NO2=0.0
!
!WC_KETL/WR_NO3=0.0
!
!WC_KETL/WR_N2O5=0.0
!
!WC_KETL/WR_HONO=0.0
!
!WC_KETL/WR_HNO3=0.0
!
!WC_KETL/WR_HNO4=0.0
!
!WC_KETL/WR_NH3=0.0
!
!WC_KETL/WR_OH=0.0
!
!WC_KETL/WR_HO2=0.0
!
!WC_KETL/WR_CO2=0.0
!
!WC_KETL/WR_SO2=0.0
!
!WC_KETL/WR_H2SO4=0.0
!
!WC_KETL/WR_RO21=0.0
!
!WC_KETL/WR_RO25=0.0
!
!WC_KETL/WR_MEOH=0.0
!
!WC_KETL/WR_ETOH=0.0
!
!WC_KETL/WR_ALCH=0.0
!
!WC_KETL/WR_HCHO=0.0
!
!WC_KETL/WR_ALD2=0.0
!
!WC_KETL/WR_GLY=0.0
!
!WC_KETL/WR_MGLY=0.0
!
!WC_KETL/WR_KETL=0.0
!
!WC_KETL/WR_ORA1=0.0
!
!WC_KETL/WR_ORA2=0.0
!
!WC_KETL/WR_ACID=0.0
!
!WC_KETL/WR_RP16=0.0
!
!WC_KETL/WR_UR21=0.0
!
!WC_KETL/WR_UR28=0.0
!
!WC_KETL/WR_ACID2=0.0
!
!WC_KETL/WR_ASO3=0.0
!
!WC_KETL/WR_ASO4=0.0
!
!WC_KETL/WR_ASO5=0.0
!
!WC_KETL/WR_AHSO5=0.0
!
!WC_KETL/WR_AHMS=0.0
!
!WC_ORA1/NO=0.0
!
!WC_ORA1/NO2=0.0
!
!WC_ORA1/O3=0.0
!
!WC_ORA1/HONO=0.0
!
!WC_ORA1/HNO3=0.0
!
!WC_ORA1/HNO4=0.0
!
!WC_ORA1/N2O5=0.0
!
!WC_ORA1/NO3=0.0
!
!WC_ORA1/NH3=0.0
!
!WC_ORA1/HO2=0.0
!
!WC_ORA1/CO=0.0
!
!WC_ORA1/H2O2=0.0
!
!WC_ORA1/SO2=0.0
!
!WC_ORA1/H2SO4=0.0
!
!WC_ORA1/OH=0.0
!
!WC_ORA1/ETHE=0.0
!
!WC_ORA1/OLEL=0.0
!
!WC_ORA1/OLEH=0.0
!
!WC_ORA1/ALKL=0.0
!
!WC_ORA1/ALKM=0.0
!
!WC_ORA1/ALKH=0.0
!
!WC_ORA1/AROH=0.0
!
!WC_ORA1/AROL=0.0
!
!WC_ORA1/AROO=0.0
!
!WC_ORA1/ARAL=0.0
!
!WC_ORA1/ARAC=0.0
!
!WC_ORA1/PAH=0.0
!
!WC_ORA1/HCHO=0.0
!
!WC_ORA1/ALD2=0.0
!
!WC_ORA1/KETL=0.0
!
!WC_ORA1/KETH=0.0
!
!WC_ORA1/MEOH=0.0
!
!WC_ORA1/ETOH=0.0
!
!WC_ORA1/ALCH=0.0
!
!WC_ORA1/ISOP=0.0
!
!WC_ORA1/BIOL=0.0
!
!WC_ORA1/BIOH=0.0
!
!WC_ORA1/MTBE=0.0
!
!WC_ORA1/MVK=0.0
!
!WC_ORA1/MCR=0.0
!
!WC_ORA1/MGLY=0.0
!
!WC_ORA1/GLY=0.0
!
!WC_ORA1/ORA1=+KTC26
 PJAC(:,113,43)=+TPK%KTC26(:)
!
!WC_ORA1/ORA2=0.0
!
!WC_ORA1/ACID=0.0
!
!WC_ORA1/UR28=0.0
!
!WC_ORA1/UR21=0.0
!
!WC_ORA1/URG2=0.0
!
!WC_ORA1/UR26=0.0
!
!WC_ORA1/RPG2=0.0
!
!WC_ORA1/RP18=0.0
!
!WC_ORA1/RPG3=0.0
!
!WC_ORA1/URG4=0.0
!
!WC_ORA1/UR8=0.0
!
!WC_ORA1/UR17=0.0
!
!WC_ORA1/UR7=0.0
!
!WC_ORA1/RPR3=0.0
!
!WC_ORA1/URG6=0.0
!
!WC_ORA1/UR22=0.0
!
!WC_ORA1/URG7=0.0
!
!WC_ORA1/RPR4=0.0
!
!WC_ORA1/RPR7=0.0
!
!WC_ORA1/RPG7=0.0
!
!WC_ORA1/URG8=0.0
!
!WC_ORA1/UR19=0.0
!
!WC_ORA1/URG9=0.0
!
!WC_ORA1/AP7=0.0
!
!WC_ORA1/URG10=0.0
!
!WC_ORA1/RPR1=0.0
!
!WC_ORA1/RPR5=0.0
!
!WC_ORA1/RPR8=0.0
!
!WC_ORA1/RP10=0.0
!
!WC_ORA1/RP11=0.0
!
!WC_ORA1/RP16=0.0
!
!WC_ORA1/RPRL=0.0
!
!WC_ORA1/APAN=0.0
!
!WC_ORA1/PAN1=0.0
!
!WC_ORA1/PAN2=0.0
!
!WC_ORA1/PAN3=0.0
!
!WC_ORA1/PAN4=0.0
!
!WC_ORA1/PAN6=0.0
!
!WC_ORA1/PAN7=0.0
!
!WC_ORA1/PAN8=0.0
!
!WC_ORA1/PN10=0.0
!
!WC_ORA1/RO2T=0.0
!
!WC_ORA1/RO21=0.0
!
!WC_ORA1/RO25=0.0
!
!WC_ORA1/WC_O3=0.0
!
!WC_ORA1/WC_H2O2=0.0
!
!WC_ORA1/WC_NO=0.0
!
!WC_ORA1/WC_NO2=0.0
!
!WC_ORA1/WC_NO3=0.0
!
!WC_ORA1/WC_N2O5=0.0
!
!WC_ORA1/WC_HONO=0.0
!
!WC_ORA1/WC_HNO3=0.0
!
!WC_ORA1/WC_HNO4=0.0
!
!WC_ORA1/WC_NH3=0.0
!
!WC_ORA1/WC_OH=+KC19*<WC_AHMS>+KC33*<WC_HCHO>-KC38*<WC_ORA1>
 PJAC(:,113,98)=+TPK%KC19(:)*PCONC(:,124)+TPK%KC33(:)*PCONC(:,108)-TPK%KC38(:)*&
&PCONC(:,113)
!
!WC_ORA1/WC_HO2=0.0
!
!WC_ORA1/WC_CO2=0.0
!
!WC_ORA1/WC_SO2=0.0
!
!WC_ORA1/WC_H2SO4=0.0
!
!WC_ORA1/WC_RO21=0.0
!
!WC_ORA1/WC_RO25=0.0
!
!WC_ORA1/WC_MEOH=0.0
!
!WC_ORA1/WC_ETOH=0.0
!
!WC_ORA1/WC_ALCH=0.0
!
!WC_ORA1/WC_HCHO=+KC33*<WC_OH>
 PJAC(:,113,108)=+TPK%KC33(:)*PCONC(:,98)
!
!WC_ORA1/WC_ALD2=0.0
!
!WC_ORA1/WC_GLY=0.0
!
!WC_ORA1/WC_MGLY=0.0
!
!WC_ORA1/WC_KETL=0.0
!
!WC_ORA1/WC_ORA1=-KTC57-KC38*<WC_OH>
 PJAC(:,113,113)=-TPK%KTC57(:)-TPK%KC38(:)*PCONC(:,98)
!
!WC_ORA1/WC_ORA2=0.0
!
!WC_ORA1/WC_ACID=0.0
!
!WC_ORA1/WC_RP16=0.0
!
!WC_ORA1/WC_UR21=0.0
!
!WC_ORA1/WC_UR28=0.0
!
!WC_ORA1/WC_ACID2=0.0
!
!WC_ORA1/WC_ASO3=0.0
!
!WC_ORA1/WC_ASO4=0.0
!
!WC_ORA1/WC_ASO5=0.0
!
!WC_ORA1/WC_AHSO5=0.0
!
!WC_ORA1/WC_AHMS=+KC19*<WC_OH>
 PJAC(:,113,124)=+TPK%KC19(:)*PCONC(:,98)
!
!WC_ORA1/WR_O3=0.0
!
!WC_ORA1/WR_H2O2=0.0
!
!WC_ORA1/WR_NO=0.0
!
!WC_ORA1/WR_NO2=0.0
!
!WC_ORA1/WR_NO3=0.0
!
!WC_ORA1/WR_N2O5=0.0
!
!WC_ORA1/WR_HONO=0.0
!
!WC_ORA1/WR_HNO3=0.0
!
!WC_ORA1/WR_HNO4=0.0
!
!WC_ORA1/WR_NH3=0.0
!
!WC_ORA1/WR_OH=0.0
!
!WC_ORA1/WR_HO2=0.0
!
!WC_ORA1/WR_CO2=0.0
!
!WC_ORA1/WR_SO2=0.0
!
!WC_ORA1/WR_H2SO4=0.0
!
!WC_ORA1/WR_RO21=0.0
!
!WC_ORA1/WR_RO25=0.0
!
!WC_ORA1/WR_MEOH=0.0
!
!WC_ORA1/WR_ETOH=0.0
!
!WC_ORA1/WR_ALCH=0.0
!
!WC_ORA1/WR_HCHO=0.0
!
!WC_ORA1/WR_ALD2=0.0
!
!WC_ORA1/WR_GLY=0.0
!
!WC_ORA1/WR_MGLY=0.0
!
!WC_ORA1/WR_KETL=0.0
!
!WC_ORA1/WR_ORA1=0.0
!
!WC_ORA1/WR_ORA2=0.0
!
!WC_ORA1/WR_ACID=0.0
!
!WC_ORA1/WR_RP16=0.0
!
!WC_ORA1/WR_UR21=0.0
!
!WC_ORA1/WR_UR28=0.0
!
!WC_ORA1/WR_ACID2=0.0
!
!WC_ORA1/WR_ASO3=0.0
!
!WC_ORA1/WR_ASO4=0.0
!
!WC_ORA1/WR_ASO5=0.0
!
!WC_ORA1/WR_AHSO5=0.0
!
!WC_ORA1/WR_AHMS=0.0
!
!WC_ORA2/NO=0.0
!
!WC_ORA2/NO2=0.0
!
!WC_ORA2/O3=0.0
!
!WC_ORA2/HONO=0.0
!
!WC_ORA2/HNO3=0.0
!
!WC_ORA2/HNO4=0.0
!
!WC_ORA2/N2O5=0.0
!
!WC_ORA2/NO3=0.0
!
!WC_ORA2/NH3=0.0
!
!WC_ORA2/HO2=0.0
!
!WC_ORA2/CO=0.0
!
!WC_ORA2/H2O2=0.0
!
!WC_ORA2/SO2=0.0
!
!WC_ORA2/H2SO4=0.0
!
!WC_ORA2/OH=0.0
!
!WC_ORA2/ETHE=0.0
!
!WC_ORA2/OLEL=0.0
!
!WC_ORA2/OLEH=0.0
!
!WC_ORA2/ALKL=0.0
!
!WC_ORA2/ALKM=0.0
!
!WC_ORA2/ALKH=0.0
!
!WC_ORA2/AROH=0.0
!
!WC_ORA2/AROL=0.0
!
!WC_ORA2/AROO=0.0
!
!WC_ORA2/ARAL=0.0
!
!WC_ORA2/ARAC=0.0
!
!WC_ORA2/PAH=0.0
!
!WC_ORA2/HCHO=0.0
!
!WC_ORA2/ALD2=0.0
!
!WC_ORA2/KETL=0.0
!
!WC_ORA2/KETH=0.0
!
!WC_ORA2/MEOH=0.0
!
!WC_ORA2/ETOH=0.0
!
!WC_ORA2/ALCH=0.0
!
!WC_ORA2/ISOP=0.0
!
!WC_ORA2/BIOL=0.0
!
!WC_ORA2/BIOH=0.0
!
!WC_ORA2/MTBE=0.0
!
!WC_ORA2/MVK=0.0
!
!WC_ORA2/MCR=0.0
!
!WC_ORA2/MGLY=0.0
!
!WC_ORA2/GLY=0.0
!
!WC_ORA2/ORA1=0.0
!
!WC_ORA2/ORA2=+KTC27
 PJAC(:,114,44)=+TPK%KTC27(:)
!
!WC_ORA2/ACID=0.0
!
!WC_ORA2/UR28=0.0
!
!WC_ORA2/UR21=0.0
!
!WC_ORA2/URG2=0.0
!
!WC_ORA2/UR26=0.0
!
!WC_ORA2/RPG2=0.0
!
!WC_ORA2/RP18=0.0
!
!WC_ORA2/RPG3=0.0
!
!WC_ORA2/URG4=0.0
!
!WC_ORA2/UR8=0.0
!
!WC_ORA2/UR17=0.0
!
!WC_ORA2/UR7=0.0
!
!WC_ORA2/RPR3=0.0
!
!WC_ORA2/URG6=0.0
!
!WC_ORA2/UR22=0.0
!
!WC_ORA2/URG7=0.0
!
!WC_ORA2/RPR4=0.0
!
!WC_ORA2/RPR7=0.0
!
!WC_ORA2/RPG7=0.0
!
!WC_ORA2/URG8=0.0
!
!WC_ORA2/UR19=0.0
!
!WC_ORA2/URG9=0.0
!
!WC_ORA2/AP7=0.0
!
!WC_ORA2/URG10=0.0
!
!WC_ORA2/RPR1=0.0
!
!WC_ORA2/RPR5=0.0
!
!WC_ORA2/RPR8=0.0
!
!WC_ORA2/RP10=0.0
!
!WC_ORA2/RP11=0.0
!
!WC_ORA2/RP16=0.0
!
!WC_ORA2/RPRL=0.0
!
!WC_ORA2/APAN=0.0
!
!WC_ORA2/PAN1=0.0
!
!WC_ORA2/PAN2=0.0
!
!WC_ORA2/PAN3=0.0
!
!WC_ORA2/PAN4=0.0
!
!WC_ORA2/PAN6=0.0
!
!WC_ORA2/PAN7=0.0
!
!WC_ORA2/PAN8=0.0
!
!WC_ORA2/PN10=0.0
!
!WC_ORA2/RO2T=0.0
!
!WC_ORA2/RO21=0.0
!
!WC_ORA2/RO25=0.0
!
!WC_ORA2/WC_O3=0.0
!
!WC_ORA2/WC_H2O2=0.0
!
!WC_ORA2/WC_NO=0.0
!
!WC_ORA2/WC_NO2=0.0
!
!WC_ORA2/WC_NO3=0.0
!
!WC_ORA2/WC_N2O5=0.0
!
!WC_ORA2/WC_HONO=0.0
!
!WC_ORA2/WC_HNO3=0.0
!
!WC_ORA2/WC_HNO4=0.0
!
!WC_ORA2/WC_NH3=0.0
!
!WC_ORA2/WC_OH=-KC39*<WC_ORA2>
 PJAC(:,114,98)=-TPK%KC39(:)*PCONC(:,114)
!
!WC_ORA2/WC_HO2=0.0
!
!WC_ORA2/WC_CO2=0.0
!
!WC_ORA2/WC_SO2=0.0
!
!WC_ORA2/WC_H2SO4=0.0
!
!WC_ORA2/WC_RO21=0.0
!
!WC_ORA2/WC_RO25=+KC29*<WC_RO25>+KC29*<WC_RO25>
 PJAC(:,114,104)=+TPK%KC29(:)*PCONC(:,104)+TPK%KC29(:)*PCONC(:,104)
!
!WC_ORA2/WC_MEOH=0.0
!
!WC_ORA2/WC_ETOH=0.0
!
!WC_ORA2/WC_ALCH=0.0
!
!WC_ORA2/WC_HCHO=0.0
!
!WC_ORA2/WC_ALD2=0.0
!
!WC_ORA2/WC_GLY=0.0
!
!WC_ORA2/WC_MGLY=0.0
!
!WC_ORA2/WC_KETL=0.0
!
!WC_ORA2/WC_ORA1=0.0
!
!WC_ORA2/WC_ORA2=-KTC58-KC39*<WC_OH>
 PJAC(:,114,114)=-TPK%KTC58(:)-TPK%KC39(:)*PCONC(:,98)
!
!WC_ORA2/WC_ACID=0.0
!
!WC_ORA2/WC_RP16=0.0
!
!WC_ORA2/WC_UR21=0.0
!
!WC_ORA2/WC_UR28=0.0
!
!WC_ORA2/WC_ACID2=0.0
!
!WC_ORA2/WC_ASO3=0.0
!
!WC_ORA2/WC_ASO4=0.0
!
!WC_ORA2/WC_ASO5=0.0
!
!WC_ORA2/WC_AHSO5=0.0
!
!WC_ORA2/WC_AHMS=0.0
!
!WC_ORA2/WR_O3=0.0
!
!WC_ORA2/WR_H2O2=0.0
!
!WC_ORA2/WR_NO=0.0
!
!WC_ORA2/WR_NO2=0.0
!
!WC_ORA2/WR_NO3=0.0
!
!WC_ORA2/WR_N2O5=0.0
!
!WC_ORA2/WR_HONO=0.0
!
!WC_ORA2/WR_HNO3=0.0
!
!WC_ORA2/WR_HNO4=0.0
!
!WC_ORA2/WR_NH3=0.0
!
!WC_ORA2/WR_OH=0.0
!
!WC_ORA2/WR_HO2=0.0
!
!WC_ORA2/WR_CO2=0.0
!
!WC_ORA2/WR_SO2=0.0
!
!WC_ORA2/WR_H2SO4=0.0
!
!WC_ORA2/WR_RO21=0.0
!
!WC_ORA2/WR_RO25=0.0
!
!WC_ORA2/WR_MEOH=0.0
!
!WC_ORA2/WR_ETOH=0.0
!
!WC_ORA2/WR_ALCH=0.0
!
!WC_ORA2/WR_HCHO=0.0
!
!WC_ORA2/WR_ALD2=0.0
!
!WC_ORA2/WR_GLY=0.0
!
!WC_ORA2/WR_MGLY=0.0
!
!WC_ORA2/WR_KETL=0.0
!
!WC_ORA2/WR_ORA1=0.0
!
!WC_ORA2/WR_ORA2=0.0
!
!WC_ORA2/WR_ACID=0.0
!
!WC_ORA2/WR_RP16=0.0
!
!WC_ORA2/WR_UR21=0.0
!
!WC_ORA2/WR_UR28=0.0
!
!WC_ORA2/WR_ACID2=0.0
!
!WC_ORA2/WR_ASO3=0.0
!
!WC_ORA2/WR_ASO4=0.0
!
!WC_ORA2/WR_ASO5=0.0
!
!WC_ORA2/WR_AHSO5=0.0
!
!WC_ORA2/WR_AHMS=0.0
!
!WC_ACID/NO=0.0
!
!WC_ACID/NO2=0.0
!
!WC_ACID/O3=0.0
!
!WC_ACID/HONO=0.0
!
!WC_ACID/HNO3=0.0
!
!WC_ACID/HNO4=0.0
!
!WC_ACID/N2O5=0.0
!
!WC_ACID/NO3=0.0
!
!WC_ACID/NH3=0.0
!
!WC_ACID/HO2=0.0
!
!WC_ACID/CO=0.0
!
!WC_ACID/H2O2=0.0
!
!WC_ACID/SO2=0.0
!
!WC_ACID/H2SO4=0.0
!
!WC_ACID/OH=0.0
!
!WC_ACID/ETHE=0.0
!
!WC_ACID/OLEL=0.0
!
!WC_ACID/OLEH=0.0
!
!WC_ACID/ALKL=0.0
!
!WC_ACID/ALKM=0.0
!
!WC_ACID/ALKH=0.0
!
!WC_ACID/AROH=0.0
!
!WC_ACID/AROL=0.0
!
!WC_ACID/AROO=0.0
!
!WC_ACID/ARAL=0.0
!
!WC_ACID/ARAC=0.0
!
!WC_ACID/PAH=0.0
!
!WC_ACID/HCHO=0.0
!
!WC_ACID/ALD2=0.0
!
!WC_ACID/KETL=0.0
!
!WC_ACID/KETH=0.0
!
!WC_ACID/MEOH=0.0
!
!WC_ACID/ETOH=0.0
!
!WC_ACID/ALCH=0.0
!
!WC_ACID/ISOP=0.0
!
!WC_ACID/BIOL=0.0
!
!WC_ACID/BIOH=0.0
!
!WC_ACID/MTBE=0.0
!
!WC_ACID/MVK=0.0
!
!WC_ACID/MCR=0.0
!
!WC_ACID/MGLY=0.0
!
!WC_ACID/GLY=0.0
!
!WC_ACID/ORA1=0.0
!
!WC_ACID/ORA2=0.0
!
!WC_ACID/ACID=+KTC28
 PJAC(:,115,45)=+TPK%KTC28(:)
!
!WC_ACID/UR28=0.0
!
!WC_ACID/UR21=0.0
!
!WC_ACID/URG2=0.0
!
!WC_ACID/UR26=0.0
!
!WC_ACID/RPG2=0.0
!
!WC_ACID/RP18=0.0
!
!WC_ACID/RPG3=0.0
!
!WC_ACID/URG4=0.0
!
!WC_ACID/UR8=0.0
!
!WC_ACID/UR17=0.0
!
!WC_ACID/UR7=0.0
!
!WC_ACID/RPR3=0.0
!
!WC_ACID/URG6=0.0
!
!WC_ACID/UR22=0.0
!
!WC_ACID/URG7=0.0
!
!WC_ACID/RPR4=0.0
!
!WC_ACID/RPR7=0.0
!
!WC_ACID/RPG7=0.0
!
!WC_ACID/URG8=0.0
!
!WC_ACID/UR19=0.0
!
!WC_ACID/URG9=0.0
!
!WC_ACID/AP7=0.0
!
!WC_ACID/URG10=0.0
!
!WC_ACID/RPR1=0.0
!
!WC_ACID/RPR5=0.0
!
!WC_ACID/RPR8=0.0
!
!WC_ACID/RP10=0.0
!
!WC_ACID/RP11=0.0
!
!WC_ACID/RP16=0.0
!
!WC_ACID/RPRL=0.0
!
!WC_ACID/APAN=0.0
!
!WC_ACID/PAN1=0.0
!
!WC_ACID/PAN2=0.0
!
!WC_ACID/PAN3=0.0
!
!WC_ACID/PAN4=0.0
!
!WC_ACID/PAN6=0.0
!
!WC_ACID/PAN7=0.0
!
!WC_ACID/PAN8=0.0
!
!WC_ACID/PN10=0.0
!
!WC_ACID/RO2T=0.0
!
!WC_ACID/RO21=0.0
!
!WC_ACID/RO25=0.0
!
!WC_ACID/WC_O3=0.0
!
!WC_ACID/WC_H2O2=0.0
!
!WC_ACID/WC_NO=0.0
!
!WC_ACID/WC_NO2=0.0
!
!WC_ACID/WC_NO3=0.0
!
!WC_ACID/WC_N2O5=0.0
!
!WC_ACID/WC_HONO=0.0
!
!WC_ACID/WC_HNO3=0.0
!
!WC_ACID/WC_HNO4=0.0
!
!WC_ACID/WC_NH3=0.0
!
!WC_ACID/WC_OH=-KC40*<WC_ACID>-KC41*<WC_ACID>
 PJAC(:,115,98)=-TPK%KC40(:)*PCONC(:,115)-TPK%KC41(:)*PCONC(:,115)
!
!WC_ACID/WC_HO2=0.0
!
!WC_ACID/WC_CO2=0.0
!
!WC_ACID/WC_SO2=0.0
!
!WC_ACID/WC_H2SO4=0.0
!
!WC_ACID/WC_RO21=0.0
!
!WC_ACID/WC_RO25=0.0
!
!WC_ACID/WC_MEOH=0.0
!
!WC_ACID/WC_ETOH=0.0
!
!WC_ACID/WC_ALCH=0.0
!
!WC_ACID/WC_HCHO=0.0
!
!WC_ACID/WC_ALD2=0.0
!
!WC_ACID/WC_GLY=0.0
!
!WC_ACID/WC_MGLY=0.0
!
!WC_ACID/WC_KETL=0.0
!
!WC_ACID/WC_ORA1=0.0
!
!WC_ACID/WC_ORA2=0.0
!
!WC_ACID/WC_ACID=-KTC59-KC40*<WC_OH>-KC41*<WC_OH>
 PJAC(:,115,115)=-TPK%KTC59(:)-TPK%KC40(:)*PCONC(:,98)-TPK%KC41(:)*PCONC(:,98)
!
!WC_ACID/WC_RP16=0.0
!
!WC_ACID/WC_UR21=0.0
!
!WC_ACID/WC_UR28=0.0
!
!WC_ACID/WC_ACID2=0.0
!
!WC_ACID/WC_ASO3=0.0
!
!WC_ACID/WC_ASO4=0.0
!
!WC_ACID/WC_ASO5=0.0
!
!WC_ACID/WC_AHSO5=0.0
!
!WC_ACID/WC_AHMS=0.0
!
!WC_ACID/WR_O3=0.0
!
!WC_ACID/WR_H2O2=0.0
!
!WC_ACID/WR_NO=0.0
!
!WC_ACID/WR_NO2=0.0
!
!WC_ACID/WR_NO3=0.0
!
!WC_ACID/WR_N2O5=0.0
!
!WC_ACID/WR_HONO=0.0
!
!WC_ACID/WR_HNO3=0.0
!
!WC_ACID/WR_HNO4=0.0
!
!WC_ACID/WR_NH3=0.0
!
!WC_ACID/WR_OH=0.0
!
!WC_ACID/WR_HO2=0.0
!
!WC_ACID/WR_CO2=0.0
!
!WC_ACID/WR_SO2=0.0
!
!WC_ACID/WR_H2SO4=0.0
!
!WC_ACID/WR_RO21=0.0
!
!WC_ACID/WR_RO25=0.0
!
!WC_ACID/WR_MEOH=0.0
!
!WC_ACID/WR_ETOH=0.0
!
!WC_ACID/WR_ALCH=0.0
!
!WC_ACID/WR_HCHO=0.0
!
!WC_ACID/WR_ALD2=0.0
!
!WC_ACID/WR_GLY=0.0
!
!WC_ACID/WR_MGLY=0.0
!
!WC_ACID/WR_KETL=0.0
!
!WC_ACID/WR_ORA1=0.0
!
!WC_ACID/WR_ORA2=0.0
!
!WC_ACID/WR_ACID=0.0
!
!WC_ACID/WR_RP16=0.0
!
!WC_ACID/WR_UR21=0.0
!
!WC_ACID/WR_UR28=0.0
!
!WC_ACID/WR_ACID2=0.0
!
!WC_ACID/WR_ASO3=0.0
!
!WC_ACID/WR_ASO4=0.0
!
!WC_ACID/WR_ASO5=0.0
!
!WC_ACID/WR_AHSO5=0.0
!
!WC_ACID/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ22
!
SUBROUTINE SUBJ23
!
!Indices 116 a 120
!
!
!WC_RP16/NO=0.0
!
!WC_RP16/NO2=0.0
!
!WC_RP16/O3=0.0
!
!WC_RP16/HONO=0.0
!
!WC_RP16/HNO3=0.0
!
!WC_RP16/HNO4=0.0
!
!WC_RP16/N2O5=0.0
!
!WC_RP16/NO3=0.0
!
!WC_RP16/NH3=0.0
!
!WC_RP16/HO2=0.0
!
!WC_RP16/CO=0.0
!
!WC_RP16/H2O2=0.0
!
!WC_RP16/SO2=0.0
!
!WC_RP16/H2SO4=0.0
!
!WC_RP16/OH=0.0
!
!WC_RP16/ETHE=0.0
!
!WC_RP16/OLEL=0.0
!
!WC_RP16/OLEH=0.0
!
!WC_RP16/ALKL=0.0
!
!WC_RP16/ALKM=0.0
!
!WC_RP16/ALKH=0.0
!
!WC_RP16/AROH=0.0
!
!WC_RP16/AROL=0.0
!
!WC_RP16/AROO=0.0
!
!WC_RP16/ARAL=0.0
!
!WC_RP16/ARAC=0.0
!
!WC_RP16/PAH=0.0
!
!WC_RP16/HCHO=0.0
!
!WC_RP16/ALD2=0.0
!
!WC_RP16/KETL=0.0
!
!WC_RP16/KETH=0.0
!
!WC_RP16/MEOH=0.0
!
!WC_RP16/ETOH=0.0
!
!WC_RP16/ALCH=0.0
!
!WC_RP16/ISOP=0.0
!
!WC_RP16/BIOL=0.0
!
!WC_RP16/BIOH=0.0
!
!WC_RP16/MTBE=0.0
!
!WC_RP16/MVK=0.0
!
!WC_RP16/MCR=0.0
!
!WC_RP16/MGLY=0.0
!
!WC_RP16/GLY=0.0
!
!WC_RP16/ORA1=0.0
!
!WC_RP16/ORA2=0.0
!
!WC_RP16/ACID=0.0
!
!WC_RP16/UR28=0.0
!
!WC_RP16/UR21=0.0
!
!WC_RP16/URG2=0.0
!
!WC_RP16/UR26=0.0
!
!WC_RP16/RPG2=0.0
!
!WC_RP16/RP18=0.0
!
!WC_RP16/RPG3=0.0
!
!WC_RP16/URG4=0.0
!
!WC_RP16/UR8=0.0
!
!WC_RP16/UR17=0.0
!
!WC_RP16/UR7=0.0
!
!WC_RP16/RPR3=0.0
!
!WC_RP16/URG6=0.0
!
!WC_RP16/UR22=0.0
!
!WC_RP16/URG7=0.0
!
!WC_RP16/RPR4=0.0
!
!WC_RP16/RPR7=0.0
!
!WC_RP16/RPG7=0.0
!
!WC_RP16/URG8=0.0
!
!WC_RP16/UR19=0.0
!
!WC_RP16/URG9=0.0
!
!WC_RP16/AP7=0.0
!
!WC_RP16/URG10=0.0
!
!WC_RP16/RPR1=0.0
!
!WC_RP16/RPR5=0.0
!
!WC_RP16/RPR8=0.0
!
!WC_RP16/RP10=0.0
!
!WC_RP16/RP11=0.0
!
!WC_RP16/RP16=+KTC29
 PJAC(:,116,74)=+TPK%KTC29(:)
!
!WC_RP16/RPRL=0.0
!
!WC_RP16/APAN=0.0
!
!WC_RP16/PAN1=0.0
!
!WC_RP16/PAN2=0.0
!
!WC_RP16/PAN3=0.0
!
!WC_RP16/PAN4=0.0
!
!WC_RP16/PAN6=0.0
!
!WC_RP16/PAN7=0.0
!
!WC_RP16/PAN8=0.0
!
!WC_RP16/PN10=0.0
!
!WC_RP16/RO2T=0.0
!
!WC_RP16/RO21=0.0
!
!WC_RP16/RO25=0.0
!
!WC_RP16/WC_O3=0.0
!
!WC_RP16/WC_H2O2=0.0
!
!WC_RP16/WC_NO=0.0
!
!WC_RP16/WC_NO2=0.0
!
!WC_RP16/WC_NO3=0.0
!
!WC_RP16/WC_N2O5=0.0
!
!WC_RP16/WC_HONO=0.0
!
!WC_RP16/WC_HNO3=0.0
!
!WC_RP16/WC_HNO4=0.0
!
!WC_RP16/WC_NH3=0.0
!
!WC_RP16/WC_OH=+KC35*<WC_GLY>+KC39*<WC_ORA2>-KC44*<WC_RP16>-KC45*<WC_RP16>
 PJAC(:,116,98)=+TPK%KC35(:)*PCONC(:,110)+TPK%KC39(:)*PCONC(:,114)-TPK%KC44(:)*&
&PCONC(:,116)-TPK%KC45(:)*PCONC(:,116)
!
!WC_RP16/WC_HO2=0.0
!
!WC_RP16/WC_CO2=0.0
!
!WC_RP16/WC_SO2=0.0
!
!WC_RP16/WC_H2SO4=0.0
!
!WC_RP16/WC_RO21=0.0
!
!WC_RP16/WC_RO25=0.0
!
!WC_RP16/WC_MEOH=0.0
!
!WC_RP16/WC_ETOH=0.0
!
!WC_RP16/WC_ALCH=0.0
!
!WC_RP16/WC_HCHO=0.0
!
!WC_RP16/WC_ALD2=0.0
!
!WC_RP16/WC_GLY=+KC35*<WC_OH>
 PJAC(:,116,110)=+TPK%KC35(:)*PCONC(:,98)
!
!WC_RP16/WC_MGLY=0.0
!
!WC_RP16/WC_KETL=0.0
!
!WC_RP16/WC_ORA1=0.0
!
!WC_RP16/WC_ORA2=+KC39*<WC_OH>
 PJAC(:,116,114)=+TPK%KC39(:)*PCONC(:,98)
!
!WC_RP16/WC_ACID=0.0
!
!WC_RP16/WC_RP16=-KTC60-KC44*<WC_OH>-KC45*<WC_OH>
 PJAC(:,116,116)=-TPK%KTC60(:)-TPK%KC44(:)*PCONC(:,98)-TPK%KC45(:)*PCONC(:,98)
!
!WC_RP16/WC_UR21=0.0
!
!WC_RP16/WC_UR28=0.0
!
!WC_RP16/WC_ACID2=0.0
!
!WC_RP16/WC_ASO3=0.0
!
!WC_RP16/WC_ASO4=0.0
!
!WC_RP16/WC_ASO5=0.0
!
!WC_RP16/WC_AHSO5=0.0
!
!WC_RP16/WC_AHMS=0.0
!
!WC_RP16/WR_O3=0.0
!
!WC_RP16/WR_H2O2=0.0
!
!WC_RP16/WR_NO=0.0
!
!WC_RP16/WR_NO2=0.0
!
!WC_RP16/WR_NO3=0.0
!
!WC_RP16/WR_N2O5=0.0
!
!WC_RP16/WR_HONO=0.0
!
!WC_RP16/WR_HNO3=0.0
!
!WC_RP16/WR_HNO4=0.0
!
!WC_RP16/WR_NH3=0.0
!
!WC_RP16/WR_OH=0.0
!
!WC_RP16/WR_HO2=0.0
!
!WC_RP16/WR_CO2=0.0
!
!WC_RP16/WR_SO2=0.0
!
!WC_RP16/WR_H2SO4=0.0
!
!WC_RP16/WR_RO21=0.0
!
!WC_RP16/WR_RO25=0.0
!
!WC_RP16/WR_MEOH=0.0
!
!WC_RP16/WR_ETOH=0.0
!
!WC_RP16/WR_ALCH=0.0
!
!WC_RP16/WR_HCHO=0.0
!
!WC_RP16/WR_ALD2=0.0
!
!WC_RP16/WR_GLY=0.0
!
!WC_RP16/WR_MGLY=0.0
!
!WC_RP16/WR_KETL=0.0
!
!WC_RP16/WR_ORA1=0.0
!
!WC_RP16/WR_ORA2=0.0
!
!WC_RP16/WR_ACID=0.0
!
!WC_RP16/WR_RP16=0.0
!
!WC_RP16/WR_UR21=0.0
!
!WC_RP16/WR_UR28=0.0
!
!WC_RP16/WR_ACID2=0.0
!
!WC_RP16/WR_ASO3=0.0
!
!WC_RP16/WR_ASO4=0.0
!
!WC_RP16/WR_ASO5=0.0
!
!WC_RP16/WR_AHSO5=0.0
!
!WC_RP16/WR_AHMS=0.0
!
!WC_UR21/NO=0.0
!
!WC_UR21/NO2=0.0
!
!WC_UR21/O3=0.0
!
!WC_UR21/HONO=0.0
!
!WC_UR21/HNO3=0.0
!
!WC_UR21/HNO4=0.0
!
!WC_UR21/N2O5=0.0
!
!WC_UR21/NO3=0.0
!
!WC_UR21/NH3=0.0
!
!WC_UR21/HO2=0.0
!
!WC_UR21/CO=0.0
!
!WC_UR21/H2O2=0.0
!
!WC_UR21/SO2=0.0
!
!WC_UR21/H2SO4=0.0
!
!WC_UR21/OH=0.0
!
!WC_UR21/ETHE=0.0
!
!WC_UR21/OLEL=0.0
!
!WC_UR21/OLEH=0.0
!
!WC_UR21/ALKL=0.0
!
!WC_UR21/ALKM=0.0
!
!WC_UR21/ALKH=0.0
!
!WC_UR21/AROH=0.0
!
!WC_UR21/AROL=0.0
!
!WC_UR21/AROO=0.0
!
!WC_UR21/ARAL=0.0
!
!WC_UR21/ARAC=0.0
!
!WC_UR21/PAH=0.0
!
!WC_UR21/HCHO=0.0
!
!WC_UR21/ALD2=0.0
!
!WC_UR21/KETL=0.0
!
!WC_UR21/KETH=0.0
!
!WC_UR21/MEOH=0.0
!
!WC_UR21/ETOH=0.0
!
!WC_UR21/ALCH=0.0
!
!WC_UR21/ISOP=0.0
!
!WC_UR21/BIOL=0.0
!
!WC_UR21/BIOH=0.0
!
!WC_UR21/MTBE=0.0
!
!WC_UR21/MVK=0.0
!
!WC_UR21/MCR=0.0
!
!WC_UR21/MGLY=0.0
!
!WC_UR21/GLY=0.0
!
!WC_UR21/ORA1=0.0
!
!WC_UR21/ORA2=0.0
!
!WC_UR21/ACID=0.0
!
!WC_UR21/UR28=0.0
!
!WC_UR21/UR21=+KTC30
 PJAC(:,117,47)=+TPK%KTC30(:)
!
!WC_UR21/URG2=0.0
!
!WC_UR21/UR26=0.0
!
!WC_UR21/RPG2=0.0
!
!WC_UR21/RP18=0.0
!
!WC_UR21/RPG3=0.0
!
!WC_UR21/URG4=0.0
!
!WC_UR21/UR8=0.0
!
!WC_UR21/UR17=0.0
!
!WC_UR21/UR7=0.0
!
!WC_UR21/RPR3=0.0
!
!WC_UR21/URG6=0.0
!
!WC_UR21/UR22=0.0
!
!WC_UR21/URG7=0.0
!
!WC_UR21/RPR4=0.0
!
!WC_UR21/RPR7=0.0
!
!WC_UR21/RPG7=0.0
!
!WC_UR21/URG8=0.0
!
!WC_UR21/UR19=0.0
!
!WC_UR21/URG9=0.0
!
!WC_UR21/AP7=0.0
!
!WC_UR21/URG10=0.0
!
!WC_UR21/RPR1=0.0
!
!WC_UR21/RPR5=0.0
!
!WC_UR21/RPR8=0.0
!
!WC_UR21/RP10=0.0
!
!WC_UR21/RP11=0.0
!
!WC_UR21/RP16=0.0
!
!WC_UR21/RPRL=0.0
!
!WC_UR21/APAN=0.0
!
!WC_UR21/PAN1=0.0
!
!WC_UR21/PAN2=0.0
!
!WC_UR21/PAN3=0.0
!
!WC_UR21/PAN4=0.0
!
!WC_UR21/PAN6=0.0
!
!WC_UR21/PAN7=0.0
!
!WC_UR21/PAN8=0.0
!
!WC_UR21/PN10=0.0
!
!WC_UR21/RO2T=0.0
!
!WC_UR21/RO21=0.0
!
!WC_UR21/RO25=0.0
!
!WC_UR21/WC_O3=0.0
!
!WC_UR21/WC_H2O2=0.0
!
!WC_UR21/WC_NO=0.0
!
!WC_UR21/WC_NO2=0.0
!
!WC_UR21/WC_NO3=0.0
!
!WC_UR21/WC_N2O5=0.0
!
!WC_UR21/WC_HONO=0.0
!
!WC_UR21/WC_HNO3=0.0
!
!WC_UR21/WC_HNO4=0.0
!
!WC_UR21/WC_NH3=0.0
!
!WC_UR21/WC_OH=+KC36*<WC_MGLY>+KC37*<WC_KETL>+0.56*KC41*<WC_ACID>-KC43*<WC_UR21
!>
 PJAC(:,117,98)=+TPK%KC36(:)*PCONC(:,111)+TPK%KC37(:)*PCONC(:,112)+0.56*TPK%KC4&
&1(:)*PCONC(:,115)-TPK%KC43(:)*PCONC(:,117)
!
!WC_UR21/WC_HO2=0.0
!
!WC_UR21/WC_CO2=0.0
!
!WC_UR21/WC_SO2=0.0
!
!WC_UR21/WC_H2SO4=0.0
!
!WC_UR21/WC_RO21=0.0
!
!WC_UR21/WC_RO25=0.0
!
!WC_UR21/WC_MEOH=0.0
!
!WC_UR21/WC_ETOH=0.0
!
!WC_UR21/WC_ALCH=0.0
!
!WC_UR21/WC_HCHO=0.0
!
!WC_UR21/WC_ALD2=0.0
!
!WC_UR21/WC_GLY=0.0
!
!WC_UR21/WC_MGLY=+KC36*<WC_OH>
 PJAC(:,117,111)=+TPK%KC36(:)*PCONC(:,98)
!
!WC_UR21/WC_KETL=+KC37*<WC_OH>
 PJAC(:,117,112)=+TPK%KC37(:)*PCONC(:,98)
!
!WC_UR21/WC_ORA1=0.0
!
!WC_UR21/WC_ORA2=0.0
!
!WC_UR21/WC_ACID=+0.56*KC41*<WC_OH>
 PJAC(:,117,115)=+0.56*TPK%KC41(:)*PCONC(:,98)
!
!WC_UR21/WC_RP16=0.0
!
!WC_UR21/WC_UR21=-KTC61-KC43*<WC_OH>
 PJAC(:,117,117)=-TPK%KTC61(:)-TPK%KC43(:)*PCONC(:,98)
!
!WC_UR21/WC_UR28=0.0
!
!WC_UR21/WC_ACID2=0.0
!
!WC_UR21/WC_ASO3=0.0
!
!WC_UR21/WC_ASO4=0.0
!
!WC_UR21/WC_ASO5=0.0
!
!WC_UR21/WC_AHSO5=0.0
!
!WC_UR21/WC_AHMS=0.0
!
!WC_UR21/WR_O3=0.0
!
!WC_UR21/WR_H2O2=0.0
!
!WC_UR21/WR_NO=0.0
!
!WC_UR21/WR_NO2=0.0
!
!WC_UR21/WR_NO3=0.0
!
!WC_UR21/WR_N2O5=0.0
!
!WC_UR21/WR_HONO=0.0
!
!WC_UR21/WR_HNO3=0.0
!
!WC_UR21/WR_HNO4=0.0
!
!WC_UR21/WR_NH3=0.0
!
!WC_UR21/WR_OH=0.0
!
!WC_UR21/WR_HO2=0.0
!
!WC_UR21/WR_CO2=0.0
!
!WC_UR21/WR_SO2=0.0
!
!WC_UR21/WR_H2SO4=0.0
!
!WC_UR21/WR_RO21=0.0
!
!WC_UR21/WR_RO25=0.0
!
!WC_UR21/WR_MEOH=0.0
!
!WC_UR21/WR_ETOH=0.0
!
!WC_UR21/WR_ALCH=0.0
!
!WC_UR21/WR_HCHO=0.0
!
!WC_UR21/WR_ALD2=0.0
!
!WC_UR21/WR_GLY=0.0
!
!WC_UR21/WR_MGLY=0.0
!
!WC_UR21/WR_KETL=0.0
!
!WC_UR21/WR_ORA1=0.0
!
!WC_UR21/WR_ORA2=0.0
!
!WC_UR21/WR_ACID=0.0
!
!WC_UR21/WR_RP16=0.0
!
!WC_UR21/WR_UR21=0.0
!
!WC_UR21/WR_UR28=0.0
!
!WC_UR21/WR_ACID2=0.0
!
!WC_UR21/WR_ASO3=0.0
!
!WC_UR21/WR_ASO4=0.0
!
!WC_UR21/WR_ASO5=0.0
!
!WC_UR21/WR_AHSO5=0.0
!
!WC_UR21/WR_AHMS=0.0
!
!WC_UR28/NO=0.0
!
!WC_UR28/NO2=0.0
!
!WC_UR28/O3=0.0
!
!WC_UR28/HONO=0.0
!
!WC_UR28/HNO3=0.0
!
!WC_UR28/HNO4=0.0
!
!WC_UR28/N2O5=0.0
!
!WC_UR28/NO3=0.0
!
!WC_UR28/NH3=0.0
!
!WC_UR28/HO2=0.0
!
!WC_UR28/CO=0.0
!
!WC_UR28/H2O2=0.0
!
!WC_UR28/SO2=0.0
!
!WC_UR28/H2SO4=0.0
!
!WC_UR28/OH=0.0
!
!WC_UR28/ETHE=0.0
!
!WC_UR28/OLEL=0.0
!
!WC_UR28/OLEH=0.0
!
!WC_UR28/ALKL=0.0
!
!WC_UR28/ALKM=0.0
!
!WC_UR28/ALKH=0.0
!
!WC_UR28/AROH=0.0
!
!WC_UR28/AROL=0.0
!
!WC_UR28/AROO=0.0
!
!WC_UR28/ARAL=0.0
!
!WC_UR28/ARAC=0.0
!
!WC_UR28/PAH=0.0
!
!WC_UR28/HCHO=0.0
!
!WC_UR28/ALD2=0.0
!
!WC_UR28/KETL=0.0
!
!WC_UR28/KETH=0.0
!
!WC_UR28/MEOH=0.0
!
!WC_UR28/ETOH=0.0
!
!WC_UR28/ALCH=0.0
!
!WC_UR28/ISOP=0.0
!
!WC_UR28/BIOL=0.0
!
!WC_UR28/BIOH=0.0
!
!WC_UR28/MTBE=0.0
!
!WC_UR28/MVK=0.0
!
!WC_UR28/MCR=0.0
!
!WC_UR28/MGLY=0.0
!
!WC_UR28/GLY=0.0
!
!WC_UR28/ORA1=0.0
!
!WC_UR28/ORA2=0.0
!
!WC_UR28/ACID=0.0
!
!WC_UR28/UR28=+KTC31
 PJAC(:,118,46)=+TPK%KTC31(:)
!
!WC_UR28/UR21=0.0
!
!WC_UR28/URG2=0.0
!
!WC_UR28/UR26=0.0
!
!WC_UR28/RPG2=0.0
!
!WC_UR28/RP18=0.0
!
!WC_UR28/RPG3=0.0
!
!WC_UR28/URG4=0.0
!
!WC_UR28/UR8=0.0
!
!WC_UR28/UR17=0.0
!
!WC_UR28/UR7=0.0
!
!WC_UR28/RPR3=0.0
!
!WC_UR28/URG6=0.0
!
!WC_UR28/UR22=0.0
!
!WC_UR28/URG7=0.0
!
!WC_UR28/RPR4=0.0
!
!WC_UR28/RPR7=0.0
!
!WC_UR28/RPG7=0.0
!
!WC_UR28/URG8=0.0
!
!WC_UR28/UR19=0.0
!
!WC_UR28/URG9=0.0
!
!WC_UR28/AP7=0.0
!
!WC_UR28/URG10=0.0
!
!WC_UR28/RPR1=0.0
!
!WC_UR28/RPR5=0.0
!
!WC_UR28/RPR8=0.0
!
!WC_UR28/RP10=0.0
!
!WC_UR28/RP11=0.0
!
!WC_UR28/RP16=0.0
!
!WC_UR28/RPRL=0.0
!
!WC_UR28/APAN=0.0
!
!WC_UR28/PAN1=0.0
!
!WC_UR28/PAN2=0.0
!
!WC_UR28/PAN3=0.0
!
!WC_UR28/PAN4=0.0
!
!WC_UR28/PAN6=0.0
!
!WC_UR28/PAN7=0.0
!
!WC_UR28/PAN8=0.0
!
!WC_UR28/PN10=0.0
!
!WC_UR28/RO2T=0.0
!
!WC_UR28/RO21=0.0
!
!WC_UR28/RO25=0.0
!
!WC_UR28/WC_O3=0.0
!
!WC_UR28/WC_H2O2=0.0
!
!WC_UR28/WC_NO=0.0
!
!WC_UR28/WC_NO2=0.0
!
!WC_UR28/WC_NO3=0.0
!
!WC_UR28/WC_N2O5=0.0
!
!WC_UR28/WC_HONO=0.0
!
!WC_UR28/WC_HNO3=0.0
!
!WC_UR28/WC_HNO4=0.0
!
!WC_UR28/WC_NH3=0.0
!
!WC_UR28/WC_OH=-KC42*<WC_UR28>+KC44*<WC_RP16>
 PJAC(:,118,98)=-TPK%KC42(:)*PCONC(:,118)+TPK%KC44(:)*PCONC(:,116)
!
!WC_UR28/WC_HO2=0.0
!
!WC_UR28/WC_CO2=0.0
!
!WC_UR28/WC_SO2=0.0
!
!WC_UR28/WC_H2SO4=0.0
!
!WC_UR28/WC_RO21=0.0
!
!WC_UR28/WC_RO25=0.0
!
!WC_UR28/WC_MEOH=0.0
!
!WC_UR28/WC_ETOH=0.0
!
!WC_UR28/WC_ALCH=0.0
!
!WC_UR28/WC_HCHO=0.0
!
!WC_UR28/WC_ALD2=0.0
!
!WC_UR28/WC_GLY=0.0
!
!WC_UR28/WC_MGLY=0.0
!
!WC_UR28/WC_KETL=0.0
!
!WC_UR28/WC_ORA1=0.0
!
!WC_UR28/WC_ORA2=0.0
!
!WC_UR28/WC_ACID=0.0
!
!WC_UR28/WC_RP16=+KC44*<WC_OH>
 PJAC(:,118,116)=+TPK%KC44(:)*PCONC(:,98)
!
!WC_UR28/WC_UR21=0.0
!
!WC_UR28/WC_UR28=-KTC62-KC42*<WC_OH>
 PJAC(:,118,118)=-TPK%KTC62(:)-TPK%KC42(:)*PCONC(:,98)
!
!WC_UR28/WC_ACID2=0.0
!
!WC_UR28/WC_ASO3=0.0
!
!WC_UR28/WC_ASO4=0.0
!
!WC_UR28/WC_ASO5=0.0
!
!WC_UR28/WC_AHSO5=0.0
!
!WC_UR28/WC_AHMS=0.0
!
!WC_UR28/WR_O3=0.0
!
!WC_UR28/WR_H2O2=0.0
!
!WC_UR28/WR_NO=0.0
!
!WC_UR28/WR_NO2=0.0
!
!WC_UR28/WR_NO3=0.0
!
!WC_UR28/WR_N2O5=0.0
!
!WC_UR28/WR_HONO=0.0
!
!WC_UR28/WR_HNO3=0.0
!
!WC_UR28/WR_HNO4=0.0
!
!WC_UR28/WR_NH3=0.0
!
!WC_UR28/WR_OH=0.0
!
!WC_UR28/WR_HO2=0.0
!
!WC_UR28/WR_CO2=0.0
!
!WC_UR28/WR_SO2=0.0
!
!WC_UR28/WR_H2SO4=0.0
!
!WC_UR28/WR_RO21=0.0
!
!WC_UR28/WR_RO25=0.0
!
!WC_UR28/WR_MEOH=0.0
!
!WC_UR28/WR_ETOH=0.0
!
!WC_UR28/WR_ALCH=0.0
!
!WC_UR28/WR_HCHO=0.0
!
!WC_UR28/WR_ALD2=0.0
!
!WC_UR28/WR_GLY=0.0
!
!WC_UR28/WR_MGLY=0.0
!
!WC_UR28/WR_KETL=0.0
!
!WC_UR28/WR_ORA1=0.0
!
!WC_UR28/WR_ORA2=0.0
!
!WC_UR28/WR_ACID=0.0
!
!WC_UR28/WR_RP16=0.0
!
!WC_UR28/WR_UR21=0.0
!
!WC_UR28/WR_UR28=0.0
!
!WC_UR28/WR_ACID2=0.0
!
!WC_UR28/WR_ASO3=0.0
!
!WC_UR28/WR_ASO4=0.0
!
!WC_UR28/WR_ASO5=0.0
!
!WC_UR28/WR_AHSO5=0.0
!
!WC_UR28/WR_AHMS=0.0
!
!WC_ACID2/NO=0.0
!
!WC_ACID2/NO2=0.0
!
!WC_ACID2/O3=0.0
!
!WC_ACID2/HONO=0.0
!
!WC_ACID2/HNO3=0.0
!
!WC_ACID2/HNO4=0.0
!
!WC_ACID2/N2O5=0.0
!
!WC_ACID2/NO3=0.0
!
!WC_ACID2/NH3=0.0
!
!WC_ACID2/HO2=0.0
!
!WC_ACID2/CO=0.0
!
!WC_ACID2/H2O2=0.0
!
!WC_ACID2/SO2=0.0
!
!WC_ACID2/H2SO4=0.0
!
!WC_ACID2/OH=0.0
!
!WC_ACID2/ETHE=0.0
!
!WC_ACID2/OLEL=0.0
!
!WC_ACID2/OLEH=0.0
!
!WC_ACID2/ALKL=0.0
!
!WC_ACID2/ALKM=0.0
!
!WC_ACID2/ALKH=0.0
!
!WC_ACID2/AROH=0.0
!
!WC_ACID2/AROL=0.0
!
!WC_ACID2/AROO=0.0
!
!WC_ACID2/ARAL=0.0
!
!WC_ACID2/ARAC=0.0
!
!WC_ACID2/PAH=0.0
!
!WC_ACID2/HCHO=0.0
!
!WC_ACID2/ALD2=0.0
!
!WC_ACID2/KETL=0.0
!
!WC_ACID2/KETH=0.0
!
!WC_ACID2/MEOH=0.0
!
!WC_ACID2/ETOH=0.0
!
!WC_ACID2/ALCH=0.0
!
!WC_ACID2/ISOP=0.0
!
!WC_ACID2/BIOL=0.0
!
!WC_ACID2/BIOH=0.0
!
!WC_ACID2/MTBE=0.0
!
!WC_ACID2/MVK=0.0
!
!WC_ACID2/MCR=0.0
!
!WC_ACID2/MGLY=0.0
!
!WC_ACID2/GLY=0.0
!
!WC_ACID2/ORA1=0.0
!
!WC_ACID2/ORA2=0.0
!
!WC_ACID2/ACID=0.0
!
!WC_ACID2/UR28=0.0
!
!WC_ACID2/UR21=0.0
!
!WC_ACID2/URG2=0.0
!
!WC_ACID2/UR26=0.0
!
!WC_ACID2/RPG2=0.0
!
!WC_ACID2/RP18=0.0
!
!WC_ACID2/RPG3=0.0
!
!WC_ACID2/URG4=0.0
!
!WC_ACID2/UR8=0.0
!
!WC_ACID2/UR17=0.0
!
!WC_ACID2/UR7=0.0
!
!WC_ACID2/RPR3=0.0
!
!WC_ACID2/URG6=0.0
!
!WC_ACID2/UR22=0.0
!
!WC_ACID2/URG7=0.0
!
!WC_ACID2/RPR4=0.0
!
!WC_ACID2/RPR7=0.0
!
!WC_ACID2/RPG7=0.0
!
!WC_ACID2/URG8=0.0
!
!WC_ACID2/UR19=0.0
!
!WC_ACID2/URG9=0.0
!
!WC_ACID2/AP7=0.0
!
!WC_ACID2/URG10=0.0
!
!WC_ACID2/RPR1=0.0
!
!WC_ACID2/RPR5=0.0
!
!WC_ACID2/RPR8=0.0
!
!WC_ACID2/RP10=0.0
!
!WC_ACID2/RP11=0.0
!
!WC_ACID2/RP16=0.0
!
!WC_ACID2/RPRL=0.0
!
!WC_ACID2/APAN=0.0
!
!WC_ACID2/PAN1=0.0
!
!WC_ACID2/PAN2=0.0
!
!WC_ACID2/PAN3=0.0
!
!WC_ACID2/PAN4=0.0
!
!WC_ACID2/PAN6=0.0
!
!WC_ACID2/PAN7=0.0
!
!WC_ACID2/PAN8=0.0
!
!WC_ACID2/PN10=0.0
!
!WC_ACID2/RO2T=0.0
!
!WC_ACID2/RO21=0.0
!
!WC_ACID2/RO25=0.0
!
!WC_ACID2/WC_O3=0.0
!
!WC_ACID2/WC_H2O2=0.0
!
!WC_ACID2/WC_NO=0.0
!
!WC_ACID2/WC_NO2=0.0
!
!WC_ACID2/WC_NO3=0.0
!
!WC_ACID2/WC_N2O5=0.0
!
!WC_ACID2/WC_HONO=0.0
!
!WC_ACID2/WC_HNO3=0.0
!
!WC_ACID2/WC_HNO4=0.0
!
!WC_ACID2/WC_NH3=0.0
!
!WC_ACID2/WC_OH=+0.15*KC41*<WC_ACID>+0.56*KC43*<WC_UR21>-KC46*<WC_ACID2>
 PJAC(:,119,98)=+0.15*TPK%KC41(:)*PCONC(:,115)+0.56*TPK%KC43(:)*PCONC(:,117)-TP&
&K%KC46(:)*PCONC(:,119)
!
!WC_ACID2/WC_HO2=0.0
!
!WC_ACID2/WC_CO2=0.0
!
!WC_ACID2/WC_SO2=0.0
!
!WC_ACID2/WC_H2SO4=0.0
!
!WC_ACID2/WC_RO21=0.0
!
!WC_ACID2/WC_RO25=0.0
!
!WC_ACID2/WC_MEOH=0.0
!
!WC_ACID2/WC_ETOH=0.0
!
!WC_ACID2/WC_ALCH=0.0
!
!WC_ACID2/WC_HCHO=0.0
!
!WC_ACID2/WC_ALD2=0.0
!
!WC_ACID2/WC_GLY=0.0
!
!WC_ACID2/WC_MGLY=0.0
!
!WC_ACID2/WC_KETL=0.0
!
!WC_ACID2/WC_ORA1=0.0
!
!WC_ACID2/WC_ORA2=0.0
!
!WC_ACID2/WC_ACID=+0.15*KC41*<WC_OH>
 PJAC(:,119,115)=+0.15*TPK%KC41(:)*PCONC(:,98)
!
!WC_ACID2/WC_RP16=0.0
!
!WC_ACID2/WC_UR21=+0.56*KC43*<WC_OH>
 PJAC(:,119,117)=+0.56*TPK%KC43(:)*PCONC(:,98)
!
!WC_ACID2/WC_UR28=0.0
!
!WC_ACID2/WC_ACID2=-KC46*<WC_OH>
 PJAC(:,119,119)=-TPK%KC46(:)*PCONC(:,98)
!
!WC_ACID2/WC_ASO3=0.0
!
!WC_ACID2/WC_ASO4=0.0
!
!WC_ACID2/WC_ASO5=0.0
!
!WC_ACID2/WC_AHSO5=0.0
!
!WC_ACID2/WC_AHMS=0.0
!
!WC_ACID2/WR_O3=0.0
!
!WC_ACID2/WR_H2O2=0.0
!
!WC_ACID2/WR_NO=0.0
!
!WC_ACID2/WR_NO2=0.0
!
!WC_ACID2/WR_NO3=0.0
!
!WC_ACID2/WR_N2O5=0.0
!
!WC_ACID2/WR_HONO=0.0
!
!WC_ACID2/WR_HNO3=0.0
!
!WC_ACID2/WR_HNO4=0.0
!
!WC_ACID2/WR_NH3=0.0
!
!WC_ACID2/WR_OH=0.0
!
!WC_ACID2/WR_HO2=0.0
!
!WC_ACID2/WR_CO2=0.0
!
!WC_ACID2/WR_SO2=0.0
!
!WC_ACID2/WR_H2SO4=0.0
!
!WC_ACID2/WR_RO21=0.0
!
!WC_ACID2/WR_RO25=0.0
!
!WC_ACID2/WR_MEOH=0.0
!
!WC_ACID2/WR_ETOH=0.0
!
!WC_ACID2/WR_ALCH=0.0
!
!WC_ACID2/WR_HCHO=0.0
!
!WC_ACID2/WR_ALD2=0.0
!
!WC_ACID2/WR_GLY=0.0
!
!WC_ACID2/WR_MGLY=0.0
!
!WC_ACID2/WR_KETL=0.0
!
!WC_ACID2/WR_ORA1=0.0
!
!WC_ACID2/WR_ORA2=0.0
!
!WC_ACID2/WR_ACID=0.0
!
!WC_ACID2/WR_RP16=0.0
!
!WC_ACID2/WR_UR21=0.0
!
!WC_ACID2/WR_UR28=0.0
!
!WC_ACID2/WR_ACID2=0.0
!
!WC_ACID2/WR_ASO3=0.0
!
!WC_ACID2/WR_ASO4=0.0
!
!WC_ACID2/WR_ASO5=0.0
!
!WC_ACID2/WR_AHSO5=0.0
!
!WC_ACID2/WR_AHMS=0.0
!
!WC_ASO3/NO=0.0
!
!WC_ASO3/NO2=0.0
!
!WC_ASO3/O3=0.0
!
!WC_ASO3/HONO=0.0
!
!WC_ASO3/HNO3=0.0
!
!WC_ASO3/HNO4=0.0
!
!WC_ASO3/N2O5=0.0
!
!WC_ASO3/NO3=0.0
!
!WC_ASO3/NH3=0.0
!
!WC_ASO3/HO2=0.0
!
!WC_ASO3/CO=0.0
!
!WC_ASO3/H2O2=0.0
!
!WC_ASO3/SO2=0.0
!
!WC_ASO3/H2SO4=0.0
!
!WC_ASO3/OH=0.0
!
!WC_ASO3/ETHE=0.0
!
!WC_ASO3/OLEL=0.0
!
!WC_ASO3/OLEH=0.0
!
!WC_ASO3/ALKL=0.0
!
!WC_ASO3/ALKM=0.0
!
!WC_ASO3/ALKH=0.0
!
!WC_ASO3/AROH=0.0
!
!WC_ASO3/AROL=0.0
!
!WC_ASO3/AROO=0.0
!
!WC_ASO3/ARAL=0.0
!
!WC_ASO3/ARAC=0.0
!
!WC_ASO3/PAH=0.0
!
!WC_ASO3/HCHO=0.0
!
!WC_ASO3/ALD2=0.0
!
!WC_ASO3/KETL=0.0
!
!WC_ASO3/KETH=0.0
!
!WC_ASO3/MEOH=0.0
!
!WC_ASO3/ETOH=0.0
!
!WC_ASO3/ALCH=0.0
!
!WC_ASO3/ISOP=0.0
!
!WC_ASO3/BIOL=0.0
!
!WC_ASO3/BIOH=0.0
!
!WC_ASO3/MTBE=0.0
!
!WC_ASO3/MVK=0.0
!
!WC_ASO3/MCR=0.0
!
!WC_ASO3/MGLY=0.0
!
!WC_ASO3/GLY=0.0
!
!WC_ASO3/ORA1=0.0
!
!WC_ASO3/ORA2=0.0
!
!WC_ASO3/ACID=0.0
!
!WC_ASO3/UR28=0.0
!
!WC_ASO3/UR21=0.0
!
!WC_ASO3/URG2=0.0
!
!WC_ASO3/UR26=0.0
!
!WC_ASO3/RPG2=0.0
!
!WC_ASO3/RP18=0.0
!
!WC_ASO3/RPG3=0.0
!
!WC_ASO3/URG4=0.0
!
!WC_ASO3/UR8=0.0
!
!WC_ASO3/UR17=0.0
!
!WC_ASO3/UR7=0.0
!
!WC_ASO3/RPR3=0.0
!
!WC_ASO3/URG6=0.0
!
!WC_ASO3/UR22=0.0
!
!WC_ASO3/URG7=0.0
!
!WC_ASO3/RPR4=0.0
!
!WC_ASO3/RPR7=0.0
!
!WC_ASO3/RPG7=0.0
!
!WC_ASO3/URG8=0.0
!
!WC_ASO3/UR19=0.0
!
!WC_ASO3/URG9=0.0
!
!WC_ASO3/AP7=0.0
!
!WC_ASO3/URG10=0.0
!
!WC_ASO3/RPR1=0.0
!
!WC_ASO3/RPR5=0.0
!
!WC_ASO3/RPR8=0.0
!
!WC_ASO3/RP10=0.0
!
!WC_ASO3/RP11=0.0
!
!WC_ASO3/RP16=0.0
!
!WC_ASO3/RPRL=0.0
!
!WC_ASO3/APAN=0.0
!
!WC_ASO3/PAN1=0.0
!
!WC_ASO3/PAN2=0.0
!
!WC_ASO3/PAN3=0.0
!
!WC_ASO3/PAN4=0.0
!
!WC_ASO3/PAN6=0.0
!
!WC_ASO3/PAN7=0.0
!
!WC_ASO3/PAN8=0.0
!
!WC_ASO3/PN10=0.0
!
!WC_ASO3/RO2T=0.0
!
!WC_ASO3/RO21=0.0
!
!WC_ASO3/RO25=0.0
!
!WC_ASO3/WC_O3=0.0
!
!WC_ASO3/WC_H2O2=0.0
!
!WC_ASO3/WC_NO=0.0
!
!WC_ASO3/WC_NO2=0.0
!
!WC_ASO3/WC_NO3=+KC16*<WC_SO2>
 PJAC(:,120,92)=+TPK%KC16(:)*PCONC(:,101)
!
!WC_ASO3/WC_N2O5=0.0
!
!WC_ASO3/WC_HONO=0.0
!
!WC_ASO3/WC_HNO3=0.0
!
!WC_ASO3/WC_HNO4=0.0
!
!WC_ASO3/WC_NH3=0.0
!
!WC_ASO3/WC_OH=+KC7*<WC_SO2>
 PJAC(:,120,98)=+TPK%KC7(:)*PCONC(:,101)
!
!WC_ASO3/WC_HO2=0.0
!
!WC_ASO3/WC_CO2=0.0
!
!WC_ASO3/WC_SO2=+KC7*<WC_OH>+KC16*<WC_NO3>+KC28*<WC_RO21>
 PJAC(:,120,101)=+TPK%KC7(:)*PCONC(:,98)+TPK%KC16(:)*PCONC(:,92)+TPK%KC28(:)*PC&
&ONC(:,103)
!
!WC_ASO3/WC_H2SO4=0.0
!
!WC_ASO3/WC_RO21=+KC28*<WC_SO2>
 PJAC(:,120,103)=+TPK%KC28(:)*PCONC(:,101)
!
!WC_ASO3/WC_RO25=0.0
!
!WC_ASO3/WC_MEOH=0.0
!
!WC_ASO3/WC_ETOH=0.0
!
!WC_ASO3/WC_ALCH=0.0
!
!WC_ASO3/WC_HCHO=0.0
!
!WC_ASO3/WC_ALD2=0.0
!
!WC_ASO3/WC_GLY=0.0
!
!WC_ASO3/WC_MGLY=0.0
!
!WC_ASO3/WC_KETL=0.0
!
!WC_ASO3/WC_ORA1=0.0
!
!WC_ASO3/WC_ORA2=0.0
!
!WC_ASO3/WC_ACID=0.0
!
!WC_ASO3/WC_RP16=0.0
!
!WC_ASO3/WC_UR21=0.0
!
!WC_ASO3/WC_UR28=0.0
!
!WC_ASO3/WC_ACID2=0.0
!
!WC_ASO3/WC_ASO3=-KC20*<W_O2>
 PJAC(:,120,120)=-TPK%KC20(:)*TPK%W_O2(:)
!
!WC_ASO3/WC_ASO4=0.0
!
!WC_ASO3/WC_ASO5=0.0
!
!WC_ASO3/WC_AHSO5=0.0
!
!WC_ASO3/WC_AHMS=0.0
!
!WC_ASO3/WR_O3=0.0
!
!WC_ASO3/WR_H2O2=0.0
!
!WC_ASO3/WR_NO=0.0
!
!WC_ASO3/WR_NO2=0.0
!
!WC_ASO3/WR_NO3=0.0
!
!WC_ASO3/WR_N2O5=0.0
!
!WC_ASO3/WR_HONO=0.0
!
!WC_ASO3/WR_HNO3=0.0
!
!WC_ASO3/WR_HNO4=0.0
!
!WC_ASO3/WR_NH3=0.0
!
!WC_ASO3/WR_OH=0.0
!
!WC_ASO3/WR_HO2=0.0
!
!WC_ASO3/WR_CO2=0.0
!
!WC_ASO3/WR_SO2=0.0
!
!WC_ASO3/WR_H2SO4=0.0
!
!WC_ASO3/WR_RO21=0.0
!
!WC_ASO3/WR_RO25=0.0
!
!WC_ASO3/WR_MEOH=0.0
!
!WC_ASO3/WR_ETOH=0.0
!
!WC_ASO3/WR_ALCH=0.0
!
!WC_ASO3/WR_HCHO=0.0
!
!WC_ASO3/WR_ALD2=0.0
!
!WC_ASO3/WR_GLY=0.0
!
!WC_ASO3/WR_MGLY=0.0
!
!WC_ASO3/WR_KETL=0.0
!
!WC_ASO3/WR_ORA1=0.0
!
!WC_ASO3/WR_ORA2=0.0
!
!WC_ASO3/WR_ACID=0.0
!
!WC_ASO3/WR_RP16=0.0
!
!WC_ASO3/WR_UR21=0.0
!
!WC_ASO3/WR_UR28=0.0
!
!WC_ASO3/WR_ACID2=0.0
!
!WC_ASO3/WR_ASO3=0.0
!
!WC_ASO3/WR_ASO4=0.0
!
!WC_ASO3/WR_ASO5=0.0
!
!WC_ASO3/WR_AHSO5=0.0
!
!WC_ASO3/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ23
!
SUBROUTINE SUBJ24
!
!Indices 121 a 125
!
!
!WC_ASO4/NO=0.0
!
!WC_ASO4/NO2=0.0
!
!WC_ASO4/O3=0.0
!
!WC_ASO4/HONO=0.0
!
!WC_ASO4/HNO3=0.0
!
!WC_ASO4/HNO4=0.0
!
!WC_ASO4/N2O5=0.0
!
!WC_ASO4/NO3=0.0
!
!WC_ASO4/NH3=0.0
!
!WC_ASO4/HO2=0.0
!
!WC_ASO4/CO=0.0
!
!WC_ASO4/H2O2=0.0
!
!WC_ASO4/SO2=0.0
!
!WC_ASO4/H2SO4=0.0
!
!WC_ASO4/OH=0.0
!
!WC_ASO4/ETHE=0.0
!
!WC_ASO4/OLEL=0.0
!
!WC_ASO4/OLEH=0.0
!
!WC_ASO4/ALKL=0.0
!
!WC_ASO4/ALKM=0.0
!
!WC_ASO4/ALKH=0.0
!
!WC_ASO4/AROH=0.0
!
!WC_ASO4/AROL=0.0
!
!WC_ASO4/AROO=0.0
!
!WC_ASO4/ARAL=0.0
!
!WC_ASO4/ARAC=0.0
!
!WC_ASO4/PAH=0.0
!
!WC_ASO4/HCHO=0.0
!
!WC_ASO4/ALD2=0.0
!
!WC_ASO4/KETL=0.0
!
!WC_ASO4/KETH=0.0
!
!WC_ASO4/MEOH=0.0
!
!WC_ASO4/ETOH=0.0
!
!WC_ASO4/ALCH=0.0
!
!WC_ASO4/ISOP=0.0
!
!WC_ASO4/BIOL=0.0
!
!WC_ASO4/BIOH=0.0
!
!WC_ASO4/MTBE=0.0
!
!WC_ASO4/MVK=0.0
!
!WC_ASO4/MCR=0.0
!
!WC_ASO4/MGLY=0.0
!
!WC_ASO4/GLY=0.0
!
!WC_ASO4/ORA1=0.0
!
!WC_ASO4/ORA2=0.0
!
!WC_ASO4/ACID=0.0
!
!WC_ASO4/UR28=0.0
!
!WC_ASO4/UR21=0.0
!
!WC_ASO4/URG2=0.0
!
!WC_ASO4/UR26=0.0
!
!WC_ASO4/RPG2=0.0
!
!WC_ASO4/RP18=0.0
!
!WC_ASO4/RPG3=0.0
!
!WC_ASO4/URG4=0.0
!
!WC_ASO4/UR8=0.0
!
!WC_ASO4/UR17=0.0
!
!WC_ASO4/UR7=0.0
!
!WC_ASO4/RPR3=0.0
!
!WC_ASO4/URG6=0.0
!
!WC_ASO4/UR22=0.0
!
!WC_ASO4/URG7=0.0
!
!WC_ASO4/RPR4=0.0
!
!WC_ASO4/RPR7=0.0
!
!WC_ASO4/RPG7=0.0
!
!WC_ASO4/URG8=0.0
!
!WC_ASO4/UR19=0.0
!
!WC_ASO4/URG9=0.0
!
!WC_ASO4/AP7=0.0
!
!WC_ASO4/URG10=0.0
!
!WC_ASO4/RPR1=0.0
!
!WC_ASO4/RPR5=0.0
!
!WC_ASO4/RPR8=0.0
!
!WC_ASO4/RP10=0.0
!
!WC_ASO4/RP11=0.0
!
!WC_ASO4/RP16=0.0
!
!WC_ASO4/RPRL=0.0
!
!WC_ASO4/APAN=0.0
!
!WC_ASO4/PAN1=0.0
!
!WC_ASO4/PAN2=0.0
!
!WC_ASO4/PAN3=0.0
!
!WC_ASO4/PAN4=0.0
!
!WC_ASO4/PAN6=0.0
!
!WC_ASO4/PAN7=0.0
!
!WC_ASO4/PAN8=0.0
!
!WC_ASO4/PN10=0.0
!
!WC_ASO4/RO2T=0.0
!
!WC_ASO4/RO21=0.0
!
!WC_ASO4/RO25=0.0
!
!WC_ASO4/WC_O3=0.0
!
!WC_ASO4/WC_H2O2=0.0
!
!WC_ASO4/WC_NO=0.0
!
!WC_ASO4/WC_NO2=0.0
!
!WC_ASO4/WC_NO3=+KC15*<WC_H2SO4>
 PJAC(:,121,92)=+TPK%KC15(:)*PCONC(:,102)
!
!WC_ASO4/WC_N2O5=0.0
!
!WC_ASO4/WC_HONO=0.0
!
!WC_ASO4/WC_HNO3=0.0
!
!WC_ASO4/WC_HNO4=0.0
!
!WC_ASO4/WC_NH3=0.0
!
!WC_ASO4/WC_OH=0.0
!
!WC_ASO4/WC_HO2=0.0
!
!WC_ASO4/WC_CO2=0.0
!
!WC_ASO4/WC_SO2=0.0
!
!WC_ASO4/WC_H2SO4=+KC15*<WC_NO3>
 PJAC(:,121,102)=+TPK%KC15(:)*PCONC(:,92)
!
!WC_ASO4/WC_RO21=0.0
!
!WC_ASO4/WC_RO25=0.0
!
!WC_ASO4/WC_MEOH=0.0
!
!WC_ASO4/WC_ETOH=0.0
!
!WC_ASO4/WC_ALCH=0.0
!
!WC_ASO4/WC_HCHO=0.0
!
!WC_ASO4/WC_ALD2=0.0
!
!WC_ASO4/WC_GLY=0.0
!
!WC_ASO4/WC_MGLY=0.0
!
!WC_ASO4/WC_KETL=0.0
!
!WC_ASO4/WC_ORA1=0.0
!
!WC_ASO4/WC_ORA2=0.0
!
!WC_ASO4/WC_ACID=0.0
!
!WC_ASO4/WC_RP16=0.0
!
!WC_ASO4/WC_UR21=0.0
!
!WC_ASO4/WC_UR28=0.0
!
!WC_ASO4/WC_ACID2=0.0
!
!WC_ASO4/WC_ASO3=0.0
!
!WC_ASO4/WC_ASO4=-KC24
 PJAC(:,121,121)=-TPK%KC24(:)
!
!WC_ASO4/WC_ASO5=+KC22*<WC_ASO5>+KC22*<WC_ASO5>+KC22*<WC_ASO5>+KC22*<WC_ASO5>
 PJAC(:,121,122)=+TPK%KC22(:)*PCONC(:,122)+TPK%KC22(:)*PCONC(:,122)+TPK%KC22(:)&
&*PCONC(:,122)+TPK%KC22(:)*PCONC(:,122)
!
!WC_ASO4/WC_AHSO5=0.0
!
!WC_ASO4/WC_AHMS=0.0
!
!WC_ASO4/WR_O3=0.0
!
!WC_ASO4/WR_H2O2=0.0
!
!WC_ASO4/WR_NO=0.0
!
!WC_ASO4/WR_NO2=0.0
!
!WC_ASO4/WR_NO3=0.0
!
!WC_ASO4/WR_N2O5=0.0
!
!WC_ASO4/WR_HONO=0.0
!
!WC_ASO4/WR_HNO3=0.0
!
!WC_ASO4/WR_HNO4=0.0
!
!WC_ASO4/WR_NH3=0.0
!
!WC_ASO4/WR_OH=0.0
!
!WC_ASO4/WR_HO2=0.0
!
!WC_ASO4/WR_CO2=0.0
!
!WC_ASO4/WR_SO2=0.0
!
!WC_ASO4/WR_H2SO4=0.0
!
!WC_ASO4/WR_RO21=0.0
!
!WC_ASO4/WR_RO25=0.0
!
!WC_ASO4/WR_MEOH=0.0
!
!WC_ASO4/WR_ETOH=0.0
!
!WC_ASO4/WR_ALCH=0.0
!
!WC_ASO4/WR_HCHO=0.0
!
!WC_ASO4/WR_ALD2=0.0
!
!WC_ASO4/WR_GLY=0.0
!
!WC_ASO4/WR_MGLY=0.0
!
!WC_ASO4/WR_KETL=0.0
!
!WC_ASO4/WR_ORA1=0.0
!
!WC_ASO4/WR_ORA2=0.0
!
!WC_ASO4/WR_ACID=0.0
!
!WC_ASO4/WR_RP16=0.0
!
!WC_ASO4/WR_UR21=0.0
!
!WC_ASO4/WR_UR28=0.0
!
!WC_ASO4/WR_ACID2=0.0
!
!WC_ASO4/WR_ASO3=0.0
!
!WC_ASO4/WR_ASO4=0.0
!
!WC_ASO4/WR_ASO5=0.0
!
!WC_ASO4/WR_AHSO5=0.0
!
!WC_ASO4/WR_AHMS=0.0
!
!WC_ASO5/NO=0.0
!
!WC_ASO5/NO2=0.0
!
!WC_ASO5/O3=0.0
!
!WC_ASO5/HONO=0.0
!
!WC_ASO5/HNO3=0.0
!
!WC_ASO5/HNO4=0.0
!
!WC_ASO5/N2O5=0.0
!
!WC_ASO5/NO3=0.0
!
!WC_ASO5/NH3=0.0
!
!WC_ASO5/HO2=0.0
!
!WC_ASO5/CO=0.0
!
!WC_ASO5/H2O2=0.0
!
!WC_ASO5/SO2=0.0
!
!WC_ASO5/H2SO4=0.0
!
!WC_ASO5/OH=0.0
!
!WC_ASO5/ETHE=0.0
!
!WC_ASO5/OLEL=0.0
!
!WC_ASO5/OLEH=0.0
!
!WC_ASO5/ALKL=0.0
!
!WC_ASO5/ALKM=0.0
!
!WC_ASO5/ALKH=0.0
!
!WC_ASO5/AROH=0.0
!
!WC_ASO5/AROL=0.0
!
!WC_ASO5/AROO=0.0
!
!WC_ASO5/ARAL=0.0
!
!WC_ASO5/ARAC=0.0
!
!WC_ASO5/PAH=0.0
!
!WC_ASO5/HCHO=0.0
!
!WC_ASO5/ALD2=0.0
!
!WC_ASO5/KETL=0.0
!
!WC_ASO5/KETH=0.0
!
!WC_ASO5/MEOH=0.0
!
!WC_ASO5/ETOH=0.0
!
!WC_ASO5/ALCH=0.0
!
!WC_ASO5/ISOP=0.0
!
!WC_ASO5/BIOL=0.0
!
!WC_ASO5/BIOH=0.0
!
!WC_ASO5/MTBE=0.0
!
!WC_ASO5/MVK=0.0
!
!WC_ASO5/MCR=0.0
!
!WC_ASO5/MGLY=0.0
!
!WC_ASO5/GLY=0.0
!
!WC_ASO5/ORA1=0.0
!
!WC_ASO5/ORA2=0.0
!
!WC_ASO5/ACID=0.0
!
!WC_ASO5/UR28=0.0
!
!WC_ASO5/UR21=0.0
!
!WC_ASO5/URG2=0.0
!
!WC_ASO5/UR26=0.0
!
!WC_ASO5/RPG2=0.0
!
!WC_ASO5/RP18=0.0
!
!WC_ASO5/RPG3=0.0
!
!WC_ASO5/URG4=0.0
!
!WC_ASO5/UR8=0.0
!
!WC_ASO5/UR17=0.0
!
!WC_ASO5/UR7=0.0
!
!WC_ASO5/RPR3=0.0
!
!WC_ASO5/URG6=0.0
!
!WC_ASO5/UR22=0.0
!
!WC_ASO5/URG7=0.0
!
!WC_ASO5/RPR4=0.0
!
!WC_ASO5/RPR7=0.0
!
!WC_ASO5/RPG7=0.0
!
!WC_ASO5/URG8=0.0
!
!WC_ASO5/UR19=0.0
!
!WC_ASO5/URG9=0.0
!
!WC_ASO5/AP7=0.0
!
!WC_ASO5/URG10=0.0
!
!WC_ASO5/RPR1=0.0
!
!WC_ASO5/RPR5=0.0
!
!WC_ASO5/RPR8=0.0
!
!WC_ASO5/RP10=0.0
!
!WC_ASO5/RP11=0.0
!
!WC_ASO5/RP16=0.0
!
!WC_ASO5/RPRL=0.0
!
!WC_ASO5/APAN=0.0
!
!WC_ASO5/PAN1=0.0
!
!WC_ASO5/PAN2=0.0
!
!WC_ASO5/PAN3=0.0
!
!WC_ASO5/PAN4=0.0
!
!WC_ASO5/PAN6=0.0
!
!WC_ASO5/PAN7=0.0
!
!WC_ASO5/PAN8=0.0
!
!WC_ASO5/PN10=0.0
!
!WC_ASO5/RO2T=0.0
!
!WC_ASO5/RO21=0.0
!
!WC_ASO5/RO25=0.0
!
!WC_ASO5/WC_O3=0.0
!
!WC_ASO5/WC_H2O2=0.0
!
!WC_ASO5/WC_NO=0.0
!
!WC_ASO5/WC_NO2=0.0
!
!WC_ASO5/WC_NO3=0.0
!
!WC_ASO5/WC_N2O5=0.0
!
!WC_ASO5/WC_HONO=0.0
!
!WC_ASO5/WC_HNO3=0.0
!
!WC_ASO5/WC_HNO4=0.0
!
!WC_ASO5/WC_NH3=0.0
!
!WC_ASO5/WC_OH=0.0
!
!WC_ASO5/WC_HO2=-KC21*<WC_ASO5>
 PJAC(:,122,99)=-TPK%KC21(:)*PCONC(:,122)
!
!WC_ASO5/WC_CO2=0.0
!
!WC_ASO5/WC_SO2=0.0
!
!WC_ASO5/WC_H2SO4=0.0
!
!WC_ASO5/WC_RO21=0.0
!
!WC_ASO5/WC_RO25=0.0
!
!WC_ASO5/WC_MEOH=0.0
!
!WC_ASO5/WC_ETOH=0.0
!
!WC_ASO5/WC_ALCH=0.0
!
!WC_ASO5/WC_HCHO=0.0
!
!WC_ASO5/WC_ALD2=0.0
!
!WC_ASO5/WC_GLY=0.0
!
!WC_ASO5/WC_MGLY=0.0
!
!WC_ASO5/WC_KETL=0.0
!
!WC_ASO5/WC_ORA1=0.0
!
!WC_ASO5/WC_ORA2=0.0
!
!WC_ASO5/WC_ACID=0.0
!
!WC_ASO5/WC_RP16=0.0
!
!WC_ASO5/WC_UR21=0.0
!
!WC_ASO5/WC_UR28=0.0
!
!WC_ASO5/WC_ACID2=0.0
!
!WC_ASO5/WC_ASO3=+KC20*<W_O2>
 PJAC(:,122,120)=+TPK%KC20(:)*TPK%W_O2(:)
!
!WC_ASO5/WC_ASO4=0.0
!
!WC_ASO5/WC_ASO5=-KC21*<WC_HO2>-KC22*<WC_ASO5>-KC22*<WC_ASO5>-KC22*<WC_ASO5>-KC
!22*<WC_ASO5>
 PJAC(:,122,122)=-TPK%KC21(:)*PCONC(:,99)-TPK%KC22(:)*PCONC(:,122)-TPK%KC22(:)*&
&PCONC(:,122)-TPK%KC22(:)*PCONC(:,122)-TPK%KC22(:)*PCONC(:,122)
!
!WC_ASO5/WC_AHSO5=0.0
!
!WC_ASO5/WC_AHMS=0.0
!
!WC_ASO5/WR_O3=0.0
!
!WC_ASO5/WR_H2O2=0.0
!
!WC_ASO5/WR_NO=0.0
!
!WC_ASO5/WR_NO2=0.0
!
!WC_ASO5/WR_NO3=0.0
!
!WC_ASO5/WR_N2O5=0.0
!
!WC_ASO5/WR_HONO=0.0
!
!WC_ASO5/WR_HNO3=0.0
!
!WC_ASO5/WR_HNO4=0.0
!
!WC_ASO5/WR_NH3=0.0
!
!WC_ASO5/WR_OH=0.0
!
!WC_ASO5/WR_HO2=0.0
!
!WC_ASO5/WR_CO2=0.0
!
!WC_ASO5/WR_SO2=0.0
!
!WC_ASO5/WR_H2SO4=0.0
!
!WC_ASO5/WR_RO21=0.0
!
!WC_ASO5/WR_RO25=0.0
!
!WC_ASO5/WR_MEOH=0.0
!
!WC_ASO5/WR_ETOH=0.0
!
!WC_ASO5/WR_ALCH=0.0
!
!WC_ASO5/WR_HCHO=0.0
!
!WC_ASO5/WR_ALD2=0.0
!
!WC_ASO5/WR_GLY=0.0
!
!WC_ASO5/WR_MGLY=0.0
!
!WC_ASO5/WR_KETL=0.0
!
!WC_ASO5/WR_ORA1=0.0
!
!WC_ASO5/WR_ORA2=0.0
!
!WC_ASO5/WR_ACID=0.0
!
!WC_ASO5/WR_RP16=0.0
!
!WC_ASO5/WR_UR21=0.0
!
!WC_ASO5/WR_UR28=0.0
!
!WC_ASO5/WR_ACID2=0.0
!
!WC_ASO5/WR_ASO3=0.0
!
!WC_ASO5/WR_ASO4=0.0
!
!WC_ASO5/WR_ASO5=0.0
!
!WC_ASO5/WR_AHSO5=0.0
!
!WC_ASO5/WR_AHMS=0.0
!
!WC_AHSO5/NO=0.0
!
!WC_AHSO5/NO2=0.0
!
!WC_AHSO5/O3=0.0
!
!WC_AHSO5/HONO=0.0
!
!WC_AHSO5/HNO3=0.0
!
!WC_AHSO5/HNO4=0.0
!
!WC_AHSO5/N2O5=0.0
!
!WC_AHSO5/NO3=0.0
!
!WC_AHSO5/NH3=0.0
!
!WC_AHSO5/HO2=0.0
!
!WC_AHSO5/CO=0.0
!
!WC_AHSO5/H2O2=0.0
!
!WC_AHSO5/SO2=0.0
!
!WC_AHSO5/H2SO4=0.0
!
!WC_AHSO5/OH=0.0
!
!WC_AHSO5/ETHE=0.0
!
!WC_AHSO5/OLEL=0.0
!
!WC_AHSO5/OLEH=0.0
!
!WC_AHSO5/ALKL=0.0
!
!WC_AHSO5/ALKM=0.0
!
!WC_AHSO5/ALKH=0.0
!
!WC_AHSO5/AROH=0.0
!
!WC_AHSO5/AROL=0.0
!
!WC_AHSO5/AROO=0.0
!
!WC_AHSO5/ARAL=0.0
!
!WC_AHSO5/ARAC=0.0
!
!WC_AHSO5/PAH=0.0
!
!WC_AHSO5/HCHO=0.0
!
!WC_AHSO5/ALD2=0.0
!
!WC_AHSO5/KETL=0.0
!
!WC_AHSO5/KETH=0.0
!
!WC_AHSO5/MEOH=0.0
!
!WC_AHSO5/ETOH=0.0
!
!WC_AHSO5/ALCH=0.0
!
!WC_AHSO5/ISOP=0.0
!
!WC_AHSO5/BIOL=0.0
!
!WC_AHSO5/BIOH=0.0
!
!WC_AHSO5/MTBE=0.0
!
!WC_AHSO5/MVK=0.0
!
!WC_AHSO5/MCR=0.0
!
!WC_AHSO5/MGLY=0.0
!
!WC_AHSO5/GLY=0.0
!
!WC_AHSO5/ORA1=0.0
!
!WC_AHSO5/ORA2=0.0
!
!WC_AHSO5/ACID=0.0
!
!WC_AHSO5/UR28=0.0
!
!WC_AHSO5/UR21=0.0
!
!WC_AHSO5/URG2=0.0
!
!WC_AHSO5/UR26=0.0
!
!WC_AHSO5/RPG2=0.0
!
!WC_AHSO5/RP18=0.0
!
!WC_AHSO5/RPG3=0.0
!
!WC_AHSO5/URG4=0.0
!
!WC_AHSO5/UR8=0.0
!
!WC_AHSO5/UR17=0.0
!
!WC_AHSO5/UR7=0.0
!
!WC_AHSO5/RPR3=0.0
!
!WC_AHSO5/URG6=0.0
!
!WC_AHSO5/UR22=0.0
!
!WC_AHSO5/URG7=0.0
!
!WC_AHSO5/RPR4=0.0
!
!WC_AHSO5/RPR7=0.0
!
!WC_AHSO5/RPG7=0.0
!
!WC_AHSO5/URG8=0.0
!
!WC_AHSO5/UR19=0.0
!
!WC_AHSO5/URG9=0.0
!
!WC_AHSO5/AP7=0.0
!
!WC_AHSO5/URG10=0.0
!
!WC_AHSO5/RPR1=0.0
!
!WC_AHSO5/RPR5=0.0
!
!WC_AHSO5/RPR8=0.0
!
!WC_AHSO5/RP10=0.0
!
!WC_AHSO5/RP11=0.0
!
!WC_AHSO5/RP16=0.0
!
!WC_AHSO5/RPRL=0.0
!
!WC_AHSO5/APAN=0.0
!
!WC_AHSO5/PAN1=0.0
!
!WC_AHSO5/PAN2=0.0
!
!WC_AHSO5/PAN3=0.0
!
!WC_AHSO5/PAN4=0.0
!
!WC_AHSO5/PAN6=0.0
!
!WC_AHSO5/PAN7=0.0
!
!WC_AHSO5/PAN8=0.0
!
!WC_AHSO5/PN10=0.0
!
!WC_AHSO5/RO2T=0.0
!
!WC_AHSO5/RO21=0.0
!
!WC_AHSO5/RO25=0.0
!
!WC_AHSO5/WC_O3=0.0
!
!WC_AHSO5/WC_H2O2=0.0
!
!WC_AHSO5/WC_NO=0.0
!
!WC_AHSO5/WC_NO2=0.0
!
!WC_AHSO5/WC_NO3=0.0
!
!WC_AHSO5/WC_N2O5=0.0
!
!WC_AHSO5/WC_HONO=0.0
!
!WC_AHSO5/WC_HNO3=0.0
!
!WC_AHSO5/WC_HNO4=0.0
!
!WC_AHSO5/WC_NH3=0.0
!
!WC_AHSO5/WC_OH=0.0
!
!WC_AHSO5/WC_HO2=+KC21*<WC_ASO5>
 PJAC(:,123,99)=+TPK%KC21(:)*PCONC(:,122)
!
!WC_AHSO5/WC_CO2=0.0
!
!WC_AHSO5/WC_SO2=-KC23*<WC_AHSO5>
 PJAC(:,123,101)=-TPK%KC23(:)*PCONC(:,123)
!
!WC_AHSO5/WC_H2SO4=0.0
!
!WC_AHSO5/WC_RO21=0.0
!
!WC_AHSO5/WC_RO25=0.0
!
!WC_AHSO5/WC_MEOH=0.0
!
!WC_AHSO5/WC_ETOH=0.0
!
!WC_AHSO5/WC_ALCH=0.0
!
!WC_AHSO5/WC_HCHO=0.0
!
!WC_AHSO5/WC_ALD2=0.0
!
!WC_AHSO5/WC_GLY=0.0
!
!WC_AHSO5/WC_MGLY=0.0
!
!WC_AHSO5/WC_KETL=0.0
!
!WC_AHSO5/WC_ORA1=0.0
!
!WC_AHSO5/WC_ORA2=0.0
!
!WC_AHSO5/WC_ACID=0.0
!
!WC_AHSO5/WC_RP16=0.0
!
!WC_AHSO5/WC_UR21=0.0
!
!WC_AHSO5/WC_UR28=0.0
!
!WC_AHSO5/WC_ACID2=0.0
!
!WC_AHSO5/WC_ASO3=0.0
!
!WC_AHSO5/WC_ASO4=0.0
!
!WC_AHSO5/WC_ASO5=+KC21*<WC_HO2>
 PJAC(:,123,122)=+TPK%KC21(:)*PCONC(:,99)
!
!WC_AHSO5/WC_AHSO5=-KC23*<WC_SO2>
 PJAC(:,123,123)=-TPK%KC23(:)*PCONC(:,101)
!
!WC_AHSO5/WC_AHMS=0.0
!
!WC_AHSO5/WR_O3=0.0
!
!WC_AHSO5/WR_H2O2=0.0
!
!WC_AHSO5/WR_NO=0.0
!
!WC_AHSO5/WR_NO2=0.0
!
!WC_AHSO5/WR_NO3=0.0
!
!WC_AHSO5/WR_N2O5=0.0
!
!WC_AHSO5/WR_HONO=0.0
!
!WC_AHSO5/WR_HNO3=0.0
!
!WC_AHSO5/WR_HNO4=0.0
!
!WC_AHSO5/WR_NH3=0.0
!
!WC_AHSO5/WR_OH=0.0
!
!WC_AHSO5/WR_HO2=0.0
!
!WC_AHSO5/WR_CO2=0.0
!
!WC_AHSO5/WR_SO2=0.0
!
!WC_AHSO5/WR_H2SO4=0.0
!
!WC_AHSO5/WR_RO21=0.0
!
!WC_AHSO5/WR_RO25=0.0
!
!WC_AHSO5/WR_MEOH=0.0
!
!WC_AHSO5/WR_ETOH=0.0
!
!WC_AHSO5/WR_ALCH=0.0
!
!WC_AHSO5/WR_HCHO=0.0
!
!WC_AHSO5/WR_ALD2=0.0
!
!WC_AHSO5/WR_GLY=0.0
!
!WC_AHSO5/WR_MGLY=0.0
!
!WC_AHSO5/WR_KETL=0.0
!
!WC_AHSO5/WR_ORA1=0.0
!
!WC_AHSO5/WR_ORA2=0.0
!
!WC_AHSO5/WR_ACID=0.0
!
!WC_AHSO5/WR_RP16=0.0
!
!WC_AHSO5/WR_UR21=0.0
!
!WC_AHSO5/WR_UR28=0.0
!
!WC_AHSO5/WR_ACID2=0.0
!
!WC_AHSO5/WR_ASO3=0.0
!
!WC_AHSO5/WR_ASO4=0.0
!
!WC_AHSO5/WR_ASO5=0.0
!
!WC_AHSO5/WR_AHSO5=0.0
!
!WC_AHSO5/WR_AHMS=0.0
!
!WC_AHMS/NO=0.0
!
!WC_AHMS/NO2=0.0
!
!WC_AHMS/O3=0.0
!
!WC_AHMS/HONO=0.0
!
!WC_AHMS/HNO3=0.0
!
!WC_AHMS/HNO4=0.0
!
!WC_AHMS/N2O5=0.0
!
!WC_AHMS/NO3=0.0
!
!WC_AHMS/NH3=0.0
!
!WC_AHMS/HO2=0.0
!
!WC_AHMS/CO=0.0
!
!WC_AHMS/H2O2=0.0
!
!WC_AHMS/SO2=0.0
!
!WC_AHMS/H2SO4=0.0
!
!WC_AHMS/OH=0.0
!
!WC_AHMS/ETHE=0.0
!
!WC_AHMS/OLEL=0.0
!
!WC_AHMS/OLEH=0.0
!
!WC_AHMS/ALKL=0.0
!
!WC_AHMS/ALKM=0.0
!
!WC_AHMS/ALKH=0.0
!
!WC_AHMS/AROH=0.0
!
!WC_AHMS/AROL=0.0
!
!WC_AHMS/AROO=0.0
!
!WC_AHMS/ARAL=0.0
!
!WC_AHMS/ARAC=0.0
!
!WC_AHMS/PAH=0.0
!
!WC_AHMS/HCHO=0.0
!
!WC_AHMS/ALD2=0.0
!
!WC_AHMS/KETL=0.0
!
!WC_AHMS/KETH=0.0
!
!WC_AHMS/MEOH=0.0
!
!WC_AHMS/ETOH=0.0
!
!WC_AHMS/ALCH=0.0
!
!WC_AHMS/ISOP=0.0
!
!WC_AHMS/BIOL=0.0
!
!WC_AHMS/BIOH=0.0
!
!WC_AHMS/MTBE=0.0
!
!WC_AHMS/MVK=0.0
!
!WC_AHMS/MCR=0.0
!
!WC_AHMS/MGLY=0.0
!
!WC_AHMS/GLY=0.0
!
!WC_AHMS/ORA1=0.0
!
!WC_AHMS/ORA2=0.0
!
!WC_AHMS/ACID=0.0
!
!WC_AHMS/UR28=0.0
!
!WC_AHMS/UR21=0.0
!
!WC_AHMS/URG2=0.0
!
!WC_AHMS/UR26=0.0
!
!WC_AHMS/RPG2=0.0
!
!WC_AHMS/RP18=0.0
!
!WC_AHMS/RPG3=0.0
!
!WC_AHMS/URG4=0.0
!
!WC_AHMS/UR8=0.0
!
!WC_AHMS/UR17=0.0
!
!WC_AHMS/UR7=0.0
!
!WC_AHMS/RPR3=0.0
!
!WC_AHMS/URG6=0.0
!
!WC_AHMS/UR22=0.0
!
!WC_AHMS/URG7=0.0
!
!WC_AHMS/RPR4=0.0
!
!WC_AHMS/RPR7=0.0
!
!WC_AHMS/RPG7=0.0
!
!WC_AHMS/URG8=0.0
!
!WC_AHMS/UR19=0.0
!
!WC_AHMS/URG9=0.0
!
!WC_AHMS/AP7=0.0
!
!WC_AHMS/URG10=0.0
!
!WC_AHMS/RPR1=0.0
!
!WC_AHMS/RPR5=0.0
!
!WC_AHMS/RPR8=0.0
!
!WC_AHMS/RP10=0.0
!
!WC_AHMS/RP11=0.0
!
!WC_AHMS/RP16=0.0
!
!WC_AHMS/RPRL=0.0
!
!WC_AHMS/APAN=0.0
!
!WC_AHMS/PAN1=0.0
!
!WC_AHMS/PAN2=0.0
!
!WC_AHMS/PAN3=0.0
!
!WC_AHMS/PAN4=0.0
!
!WC_AHMS/PAN6=0.0
!
!WC_AHMS/PAN7=0.0
!
!WC_AHMS/PAN8=0.0
!
!WC_AHMS/PN10=0.0
!
!WC_AHMS/RO2T=0.0
!
!WC_AHMS/RO21=0.0
!
!WC_AHMS/RO25=0.0
!
!WC_AHMS/WC_O3=0.0
!
!WC_AHMS/WC_H2O2=0.0
!
!WC_AHMS/WC_NO=0.0
!
!WC_AHMS/WC_NO2=0.0
!
!WC_AHMS/WC_NO3=0.0
!
!WC_AHMS/WC_N2O5=0.0
!
!WC_AHMS/WC_HONO=0.0
!
!WC_AHMS/WC_HNO3=0.0
!
!WC_AHMS/WC_HNO4=0.0
!
!WC_AHMS/WC_NH3=0.0
!
!WC_AHMS/WC_OH=-KC19*<WC_AHMS>
 PJAC(:,124,98)=-TPK%KC19(:)*PCONC(:,124)
!
!WC_AHMS/WC_HO2=0.0
!
!WC_AHMS/WC_CO2=0.0
!
!WC_AHMS/WC_SO2=+KC17*<WC_HCHO>
 PJAC(:,124,101)=+TPK%KC17(:)*PCONC(:,108)
!
!WC_AHMS/WC_H2SO4=0.0
!
!WC_AHMS/WC_RO21=0.0
!
!WC_AHMS/WC_RO25=0.0
!
!WC_AHMS/WC_MEOH=0.0
!
!WC_AHMS/WC_ETOH=0.0
!
!WC_AHMS/WC_ALCH=0.0
!
!WC_AHMS/WC_HCHO=+KC17*<WC_SO2>
 PJAC(:,124,108)=+TPK%KC17(:)*PCONC(:,101)
!
!WC_AHMS/WC_ALD2=0.0
!
!WC_AHMS/WC_GLY=0.0
!
!WC_AHMS/WC_MGLY=0.0
!
!WC_AHMS/WC_KETL=0.0
!
!WC_AHMS/WC_ORA1=0.0
!
!WC_AHMS/WC_ORA2=0.0
!
!WC_AHMS/WC_ACID=0.0
!
!WC_AHMS/WC_RP16=0.0
!
!WC_AHMS/WC_UR21=0.0
!
!WC_AHMS/WC_UR28=0.0
!
!WC_AHMS/WC_ACID2=0.0
!
!WC_AHMS/WC_ASO3=0.0
!
!WC_AHMS/WC_ASO4=0.0
!
!WC_AHMS/WC_ASO5=0.0
!
!WC_AHMS/WC_AHSO5=0.0
!
!WC_AHMS/WC_AHMS=-KC18-KC19*<WC_OH>
 PJAC(:,124,124)=-TPK%KC18(:)-TPK%KC19(:)*PCONC(:,98)
!
!WC_AHMS/WR_O3=0.0
!
!WC_AHMS/WR_H2O2=0.0
!
!WC_AHMS/WR_NO=0.0
!
!WC_AHMS/WR_NO2=0.0
!
!WC_AHMS/WR_NO3=0.0
!
!WC_AHMS/WR_N2O5=0.0
!
!WC_AHMS/WR_HONO=0.0
!
!WC_AHMS/WR_HNO3=0.0
!
!WC_AHMS/WR_HNO4=0.0
!
!WC_AHMS/WR_NH3=0.0
!
!WC_AHMS/WR_OH=0.0
!
!WC_AHMS/WR_HO2=0.0
!
!WC_AHMS/WR_CO2=0.0
!
!WC_AHMS/WR_SO2=0.0
!
!WC_AHMS/WR_H2SO4=0.0
!
!WC_AHMS/WR_RO21=0.0
!
!WC_AHMS/WR_RO25=0.0
!
!WC_AHMS/WR_MEOH=0.0
!
!WC_AHMS/WR_ETOH=0.0
!
!WC_AHMS/WR_ALCH=0.0
!
!WC_AHMS/WR_HCHO=0.0
!
!WC_AHMS/WR_ALD2=0.0
!
!WC_AHMS/WR_GLY=0.0
!
!WC_AHMS/WR_MGLY=0.0
!
!WC_AHMS/WR_KETL=0.0
!
!WC_AHMS/WR_ORA1=0.0
!
!WC_AHMS/WR_ORA2=0.0
!
!WC_AHMS/WR_ACID=0.0
!
!WC_AHMS/WR_RP16=0.0
!
!WC_AHMS/WR_UR21=0.0
!
!WC_AHMS/WR_UR28=0.0
!
!WC_AHMS/WR_ACID2=0.0
!
!WC_AHMS/WR_ASO3=0.0
!
!WC_AHMS/WR_ASO4=0.0
!
!WC_AHMS/WR_ASO5=0.0
!
!WC_AHMS/WR_AHSO5=0.0
!
!WC_AHMS/WR_AHMS=0.0
!
!WR_O3/NO=0.0
!
!WR_O3/NO2=0.0
!
!WR_O3/O3=+KTR1
 PJAC(:,125,3)=+TPK%KTR1(:)
!
!WR_O3/HONO=0.0
!
!WR_O3/HNO3=0.0
!
!WR_O3/HNO4=0.0
!
!WR_O3/N2O5=0.0
!
!WR_O3/NO3=0.0
!
!WR_O3/NH3=0.0
!
!WR_O3/HO2=0.0
!
!WR_O3/CO=0.0
!
!WR_O3/H2O2=0.0
!
!WR_O3/SO2=0.0
!
!WR_O3/H2SO4=0.0
!
!WR_O3/OH=0.0
!
!WR_O3/ETHE=0.0
!
!WR_O3/OLEL=0.0
!
!WR_O3/OLEH=0.0
!
!WR_O3/ALKL=0.0
!
!WR_O3/ALKM=0.0
!
!WR_O3/ALKH=0.0
!
!WR_O3/AROH=0.0
!
!WR_O3/AROL=0.0
!
!WR_O3/AROO=0.0
!
!WR_O3/ARAL=0.0
!
!WR_O3/ARAC=0.0
!
!WR_O3/PAH=0.0
!
!WR_O3/HCHO=0.0
!
!WR_O3/ALD2=0.0
!
!WR_O3/KETL=0.0
!
!WR_O3/KETH=0.0
!
!WR_O3/MEOH=0.0
!
!WR_O3/ETOH=0.0
!
!WR_O3/ALCH=0.0
!
!WR_O3/ISOP=0.0
!
!WR_O3/BIOL=0.0
!
!WR_O3/BIOH=0.0
!
!WR_O3/MTBE=0.0
!
!WR_O3/MVK=0.0
!
!WR_O3/MCR=0.0
!
!WR_O3/MGLY=0.0
!
!WR_O3/GLY=0.0
!
!WR_O3/ORA1=0.0
!
!WR_O3/ORA2=0.0
!
!WR_O3/ACID=0.0
!
!WR_O3/UR28=0.0
!
!WR_O3/UR21=0.0
!
!WR_O3/URG2=0.0
!
!WR_O3/UR26=0.0
!
!WR_O3/RPG2=0.0
!
!WR_O3/RP18=0.0
!
!WR_O3/RPG3=0.0
!
!WR_O3/URG4=0.0
!
!WR_O3/UR8=0.0
!
!WR_O3/UR17=0.0
!
!WR_O3/UR7=0.0
!
!WR_O3/RPR3=0.0
!
!WR_O3/URG6=0.0
!
!WR_O3/UR22=0.0
!
!WR_O3/URG7=0.0
!
!WR_O3/RPR4=0.0
!
!WR_O3/RPR7=0.0
!
!WR_O3/RPG7=0.0
!
!WR_O3/URG8=0.0
!
!WR_O3/UR19=0.0
!
!WR_O3/URG9=0.0
!
!WR_O3/AP7=0.0
!
!WR_O3/URG10=0.0
!
!WR_O3/RPR1=0.0
!
!WR_O3/RPR5=0.0
!
!WR_O3/RPR8=0.0
!
!WR_O3/RP10=0.0
!
!WR_O3/RP11=0.0
!
!WR_O3/RP16=0.0
!
!WR_O3/RPRL=0.0
!
!WR_O3/APAN=0.0
!
!WR_O3/PAN1=0.0
!
!WR_O3/PAN2=0.0
!
!WR_O3/PAN3=0.0
!
!WR_O3/PAN4=0.0
!
!WR_O3/PAN6=0.0
!
!WR_O3/PAN7=0.0
!
!WR_O3/PAN8=0.0
!
!WR_O3/PN10=0.0
!
!WR_O3/RO2T=0.0
!
!WR_O3/RO21=0.0
!
!WR_O3/RO25=0.0
!
!WR_O3/WC_O3=0.0
!
!WR_O3/WC_H2O2=0.0
!
!WR_O3/WC_NO=0.0
!
!WR_O3/WC_NO2=0.0
!
!WR_O3/WC_NO3=0.0
!
!WR_O3/WC_N2O5=0.0
!
!WR_O3/WC_HONO=0.0
!
!WR_O3/WC_HNO3=0.0
!
!WR_O3/WC_HNO4=0.0
!
!WR_O3/WC_NH3=0.0
!
!WR_O3/WC_OH=0.0
!
!WR_O3/WC_HO2=0.0
!
!WR_O3/WC_CO2=0.0
!
!WR_O3/WC_SO2=0.0
!
!WR_O3/WC_H2SO4=0.0
!
!WR_O3/WC_RO21=0.0
!
!WR_O3/WC_RO25=0.0
!
!WR_O3/WC_MEOH=0.0
!
!WR_O3/WC_ETOH=0.0
!
!WR_O3/WC_ALCH=0.0
!
!WR_O3/WC_HCHO=0.0
!
!WR_O3/WC_ALD2=0.0
!
!WR_O3/WC_GLY=0.0
!
!WR_O3/WC_MGLY=0.0
!
!WR_O3/WC_KETL=0.0
!
!WR_O3/WC_ORA1=0.0
!
!WR_O3/WC_ORA2=0.0
!
!WR_O3/WC_ACID=0.0
!
!WR_O3/WC_RP16=0.0
!
!WR_O3/WC_UR21=0.0
!
!WR_O3/WC_UR28=0.0
!
!WR_O3/WC_ACID2=0.0
!
!WR_O3/WC_ASO3=0.0
!
!WR_O3/WC_ASO4=0.0
!
!WR_O3/WC_ASO5=0.0
!
!WR_O3/WC_AHSO5=0.0
!
!WR_O3/WC_AHMS=0.0
!
!WR_O3/WR_O3=-KTR32-KR6*<WR_HO2>-KR25*<WR_SO2>
 PJAC(:,125,125)=-TPK%KTR32(:)-TPK%KR6(:)*PCONC(:,136)-TPK%KR25(:)*PCONC(:,138)
!
!WR_O3/WR_H2O2=0.0
!
!WR_O3/WR_NO=0.0
!
!WR_O3/WR_NO2=0.0
!
!WR_O3/WR_NO3=0.0
!
!WR_O3/WR_N2O5=0.0
!
!WR_O3/WR_HONO=0.0
!
!WR_O3/WR_HNO3=0.0
!
!WR_O3/WR_HNO4=0.0
!
!WR_O3/WR_NH3=0.0
!
!WR_O3/WR_OH=0.0
!
!WR_O3/WR_HO2=-KR6*<WR_O3>
 PJAC(:,125,136)=-TPK%KR6(:)*PCONC(:,125)
!
!WR_O3/WR_CO2=0.0
!
!WR_O3/WR_SO2=-KR25*<WR_O3>
 PJAC(:,125,138)=-TPK%KR25(:)*PCONC(:,125)
!
!WR_O3/WR_H2SO4=0.0
!
!WR_O3/WR_RO21=0.0
!
!WR_O3/WR_RO25=0.0
!
!WR_O3/WR_MEOH=0.0
!
!WR_O3/WR_ETOH=0.0
!
!WR_O3/WR_ALCH=0.0
!
!WR_O3/WR_HCHO=0.0
!
!WR_O3/WR_ALD2=0.0
!
!WR_O3/WR_GLY=0.0
!
!WR_O3/WR_MGLY=0.0
!
!WR_O3/WR_KETL=0.0
!
!WR_O3/WR_ORA1=0.0
!
!WR_O3/WR_ORA2=0.0
!
!WR_O3/WR_ACID=0.0
!
!WR_O3/WR_RP16=0.0
!
!WR_O3/WR_UR21=0.0
!
!WR_O3/WR_UR28=0.0
!
!WR_O3/WR_ACID2=0.0
!
!WR_O3/WR_ASO3=0.0
!
!WR_O3/WR_ASO4=0.0
!
!WR_O3/WR_ASO5=0.0
!
!WR_O3/WR_AHSO5=0.0
!
!WR_O3/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ24
!
SUBROUTINE SUBJ25
!
!Indices 126 a 130
!
!
!WR_H2O2/NO=0.0
!
!WR_H2O2/NO2=0.0
!
!WR_H2O2/O3=0.0
!
!WR_H2O2/HONO=0.0
!
!WR_H2O2/HNO3=0.0
!
!WR_H2O2/HNO4=0.0
!
!WR_H2O2/N2O5=0.0
!
!WR_H2O2/NO3=0.0
!
!WR_H2O2/NH3=0.0
!
!WR_H2O2/HO2=0.0
!
!WR_H2O2/CO=0.0
!
!WR_H2O2/H2O2=+KTR2
 PJAC(:,126,12)=+TPK%KTR2(:)
!
!WR_H2O2/SO2=0.0
!
!WR_H2O2/H2SO4=0.0
!
!WR_H2O2/OH=0.0
!
!WR_H2O2/ETHE=0.0
!
!WR_H2O2/OLEL=0.0
!
!WR_H2O2/OLEH=0.0
!
!WR_H2O2/ALKL=0.0
!
!WR_H2O2/ALKM=0.0
!
!WR_H2O2/ALKH=0.0
!
!WR_H2O2/AROH=0.0
!
!WR_H2O2/AROL=0.0
!
!WR_H2O2/AROO=0.0
!
!WR_H2O2/ARAL=0.0
!
!WR_H2O2/ARAC=0.0
!
!WR_H2O2/PAH=0.0
!
!WR_H2O2/HCHO=0.0
!
!WR_H2O2/ALD2=0.0
!
!WR_H2O2/KETL=0.0
!
!WR_H2O2/KETH=0.0
!
!WR_H2O2/MEOH=0.0
!
!WR_H2O2/ETOH=0.0
!
!WR_H2O2/ALCH=0.0
!
!WR_H2O2/ISOP=0.0
!
!WR_H2O2/BIOL=0.0
!
!WR_H2O2/BIOH=0.0
!
!WR_H2O2/MTBE=0.0
!
!WR_H2O2/MVK=0.0
!
!WR_H2O2/MCR=0.0
!
!WR_H2O2/MGLY=0.0
!
!WR_H2O2/GLY=0.0
!
!WR_H2O2/ORA1=0.0
!
!WR_H2O2/ORA2=0.0
!
!WR_H2O2/ACID=0.0
!
!WR_H2O2/UR28=0.0
!
!WR_H2O2/UR21=0.0
!
!WR_H2O2/URG2=0.0
!
!WR_H2O2/UR26=0.0
!
!WR_H2O2/RPG2=0.0
!
!WR_H2O2/RP18=0.0
!
!WR_H2O2/RPG3=0.0
!
!WR_H2O2/URG4=0.0
!
!WR_H2O2/UR8=0.0
!
!WR_H2O2/UR17=0.0
!
!WR_H2O2/UR7=0.0
!
!WR_H2O2/RPR3=0.0
!
!WR_H2O2/URG6=0.0
!
!WR_H2O2/UR22=0.0
!
!WR_H2O2/URG7=0.0
!
!WR_H2O2/RPR4=0.0
!
!WR_H2O2/RPR7=0.0
!
!WR_H2O2/RPG7=0.0
!
!WR_H2O2/URG8=0.0
!
!WR_H2O2/UR19=0.0
!
!WR_H2O2/URG9=0.0
!
!WR_H2O2/AP7=0.0
!
!WR_H2O2/URG10=0.0
!
!WR_H2O2/RPR1=0.0
!
!WR_H2O2/RPR5=0.0
!
!WR_H2O2/RPR8=0.0
!
!WR_H2O2/RP10=0.0
!
!WR_H2O2/RP11=0.0
!
!WR_H2O2/RP16=0.0
!
!WR_H2O2/RPRL=0.0
!
!WR_H2O2/APAN=0.0
!
!WR_H2O2/PAN1=0.0
!
!WR_H2O2/PAN2=0.0
!
!WR_H2O2/PAN3=0.0
!
!WR_H2O2/PAN4=0.0
!
!WR_H2O2/PAN6=0.0
!
!WR_H2O2/PAN7=0.0
!
!WR_H2O2/PAN8=0.0
!
!WR_H2O2/PN10=0.0
!
!WR_H2O2/RO2T=0.0
!
!WR_H2O2/RO21=0.0
!
!WR_H2O2/RO25=0.0
!
!WR_H2O2/WC_O3=0.0
!
!WR_H2O2/WC_H2O2=0.0
!
!WR_H2O2/WC_NO=0.0
!
!WR_H2O2/WC_NO2=0.0
!
!WR_H2O2/WC_NO3=0.0
!
!WR_H2O2/WC_N2O5=0.0
!
!WR_H2O2/WC_HONO=0.0
!
!WR_H2O2/WC_HNO3=0.0
!
!WR_H2O2/WC_HNO4=0.0
!
!WR_H2O2/WC_NH3=0.0
!
!WR_H2O2/WC_OH=0.0
!
!WR_H2O2/WC_HO2=0.0
!
!WR_H2O2/WC_CO2=0.0
!
!WR_H2O2/WC_SO2=0.0
!
!WR_H2O2/WC_H2SO4=0.0
!
!WR_H2O2/WC_RO21=0.0
!
!WR_H2O2/WC_RO25=0.0
!
!WR_H2O2/WC_MEOH=0.0
!
!WR_H2O2/WC_ETOH=0.0
!
!WR_H2O2/WC_ALCH=0.0
!
!WR_H2O2/WC_HCHO=0.0
!
!WR_H2O2/WC_ALD2=0.0
!
!WR_H2O2/WC_GLY=0.0
!
!WR_H2O2/WC_MGLY=0.0
!
!WR_H2O2/WC_KETL=0.0
!
!WR_H2O2/WC_ORA1=0.0
!
!WR_H2O2/WC_ORA2=0.0
!
!WR_H2O2/WC_ACID=0.0
!
!WR_H2O2/WC_RP16=0.0
!
!WR_H2O2/WC_UR21=0.0
!
!WR_H2O2/WC_UR28=0.0
!
!WR_H2O2/WC_ACID2=0.0
!
!WR_H2O2/WC_ASO3=0.0
!
!WR_H2O2/WC_ASO4=0.0
!
!WR_H2O2/WC_ASO5=0.0
!
!WR_H2O2/WC_AHSO5=0.0
!
!WR_H2O2/WC_AHMS=0.0
!
!WR_H2O2/WR_O3=0.0
!
!WR_H2O2/WR_H2O2=-KTR33-KR1-KR4*<WR_OH>-KR26*<WR_SO2>
 PJAC(:,126,126)=-TPK%KTR33(:)-TPK%KR1(:)-TPK%KR4(:)*PCONC(:,135)-TPK%KR26(:)*P&
&CONC(:,138)
!
!WR_H2O2/WR_NO=0.0
!
!WR_H2O2/WR_NO2=0.0
!
!WR_H2O2/WR_NO3=0.0
!
!WR_H2O2/WR_N2O5=0.0
!
!WR_H2O2/WR_HONO=0.0
!
!WR_H2O2/WR_HNO3=0.0
!
!WR_H2O2/WR_HNO4=0.0
!
!WR_H2O2/WR_NH3=0.0
!
!WR_H2O2/WR_OH=+KR2*<WR_OH>+KR2*<WR_OH>-KR4*<WR_H2O2>+KR37*<WR_KETL>+0.5*KR39*<
!WR_ORA2>+0.29*KR41*<WR_ACID>+0.3*KR43*<WR_UR21>+0.45*KR45*<WR_RP16>
 PJAC(:,126,135)=+TPK%KR2(:)*PCONC(:,135)+TPK%KR2(:)*PCONC(:,135)-TPK%KR4(:)*PC&
&ONC(:,126)+TPK%KR37(:)*PCONC(:,149)+0.5*TPK%KR39(:)*PCONC(:,151)+0.29*TPK%KR41&
&(:)*PCONC(:,152)+0.3*TPK%KR43(:)*PCONC(:,154)+0.45*TPK%KR45(:)*PCONC(:,153)
!
!WR_H2O2/WR_HO2=+KR5*<WR_HO2>+KR5*<WR_HO2>
 PJAC(:,126,136)=+TPK%KR5(:)*PCONC(:,136)+TPK%KR5(:)*PCONC(:,136)
!
!WR_H2O2/WR_CO2=0.0
!
!WR_H2O2/WR_SO2=-KR26*<WR_H2O2>
 PJAC(:,126,138)=-TPK%KR26(:)*PCONC(:,126)
!
!WR_H2O2/WR_H2SO4=0.0
!
!WR_H2O2/WR_RO21=0.0
!
!WR_H2O2/WR_RO25=+KR29*<WR_RO25>+KR29*<WR_RO25>
 PJAC(:,126,141)=+TPK%KR29(:)*PCONC(:,141)+TPK%KR29(:)*PCONC(:,141)
!
!WR_H2O2/WR_MEOH=0.0
!
!WR_H2O2/WR_ETOH=0.0
!
!WR_H2O2/WR_ALCH=0.0
!
!WR_H2O2/WR_HCHO=0.0
!
!WR_H2O2/WR_ALD2=0.0
!
!WR_H2O2/WR_GLY=0.0
!
!WR_H2O2/WR_MGLY=0.0
!
!WR_H2O2/WR_KETL=+KR37*<WR_OH>
 PJAC(:,126,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_H2O2/WR_ORA1=0.0
!
!WR_H2O2/WR_ORA2=+0.5*KR39*<WR_OH>
 PJAC(:,126,151)=+0.5*TPK%KR39(:)*PCONC(:,135)
!
!WR_H2O2/WR_ACID=+0.29*KR41*<WR_OH>
 PJAC(:,126,152)=+0.29*TPK%KR41(:)*PCONC(:,135)
!
!WR_H2O2/WR_RP16=+0.45*KR45*<WR_OH>
 PJAC(:,126,153)=+0.45*TPK%KR45(:)*PCONC(:,135)
!
!WR_H2O2/WR_UR21=+0.3*KR43*<WR_OH>
 PJAC(:,126,154)=+0.3*TPK%KR43(:)*PCONC(:,135)
!
!WR_H2O2/WR_UR28=0.0
!
!WR_H2O2/WR_ACID2=0.0
!
!WR_H2O2/WR_ASO3=0.0
!
!WR_H2O2/WR_ASO4=0.0
!
!WR_H2O2/WR_ASO5=0.0
!
!WR_H2O2/WR_AHSO5=0.0
!
!WR_H2O2/WR_AHMS=0.0
!
!WR_NO/NO=+KTR3
 PJAC(:,127,1)=+TPK%KTR3(:)
!
!WR_NO/NO2=0.0
!
!WR_NO/O3=0.0
!
!WR_NO/HONO=0.0
!
!WR_NO/HNO3=0.0
!
!WR_NO/HNO4=0.0
!
!WR_NO/N2O5=0.0
!
!WR_NO/NO3=0.0
!
!WR_NO/NH3=0.0
!
!WR_NO/HO2=0.0
!
!WR_NO/CO=0.0
!
!WR_NO/H2O2=0.0
!
!WR_NO/SO2=0.0
!
!WR_NO/H2SO4=0.0
!
!WR_NO/OH=0.0
!
!WR_NO/ETHE=0.0
!
!WR_NO/OLEL=0.0
!
!WR_NO/OLEH=0.0
!
!WR_NO/ALKL=0.0
!
!WR_NO/ALKM=0.0
!
!WR_NO/ALKH=0.0
!
!WR_NO/AROH=0.0
!
!WR_NO/AROL=0.0
!
!WR_NO/AROO=0.0
!
!WR_NO/ARAL=0.0
!
!WR_NO/ARAC=0.0
!
!WR_NO/PAH=0.0
!
!WR_NO/HCHO=0.0
!
!WR_NO/ALD2=0.0
!
!WR_NO/KETL=0.0
!
!WR_NO/KETH=0.0
!
!WR_NO/MEOH=0.0
!
!WR_NO/ETOH=0.0
!
!WR_NO/ALCH=0.0
!
!WR_NO/ISOP=0.0
!
!WR_NO/BIOL=0.0
!
!WR_NO/BIOH=0.0
!
!WR_NO/MTBE=0.0
!
!WR_NO/MVK=0.0
!
!WR_NO/MCR=0.0
!
!WR_NO/MGLY=0.0
!
!WR_NO/GLY=0.0
!
!WR_NO/ORA1=0.0
!
!WR_NO/ORA2=0.0
!
!WR_NO/ACID=0.0
!
!WR_NO/UR28=0.0
!
!WR_NO/UR21=0.0
!
!WR_NO/URG2=0.0
!
!WR_NO/UR26=0.0
!
!WR_NO/RPG2=0.0
!
!WR_NO/RP18=0.0
!
!WR_NO/RPG3=0.0
!
!WR_NO/URG4=0.0
!
!WR_NO/UR8=0.0
!
!WR_NO/UR17=0.0
!
!WR_NO/UR7=0.0
!
!WR_NO/RPR3=0.0
!
!WR_NO/URG6=0.0
!
!WR_NO/UR22=0.0
!
!WR_NO/URG7=0.0
!
!WR_NO/RPR4=0.0
!
!WR_NO/RPR7=0.0
!
!WR_NO/RPG7=0.0
!
!WR_NO/URG8=0.0
!
!WR_NO/UR19=0.0
!
!WR_NO/URG9=0.0
!
!WR_NO/AP7=0.0
!
!WR_NO/URG10=0.0
!
!WR_NO/RPR1=0.0
!
!WR_NO/RPR5=0.0
!
!WR_NO/RPR8=0.0
!
!WR_NO/RP10=0.0
!
!WR_NO/RP11=0.0
!
!WR_NO/RP16=0.0
!
!WR_NO/RPRL=0.0
!
!WR_NO/APAN=0.0
!
!WR_NO/PAN1=0.0
!
!WR_NO/PAN2=0.0
!
!WR_NO/PAN3=0.0
!
!WR_NO/PAN4=0.0
!
!WR_NO/PAN6=0.0
!
!WR_NO/PAN7=0.0
!
!WR_NO/PAN8=0.0
!
!WR_NO/PN10=0.0
!
!WR_NO/RO2T=0.0
!
!WR_NO/RO21=0.0
!
!WR_NO/RO25=0.0
!
!WR_NO/WC_O3=0.0
!
!WR_NO/WC_H2O2=0.0
!
!WR_NO/WC_NO=0.0
!
!WR_NO/WC_NO2=0.0
!
!WR_NO/WC_NO3=0.0
!
!WR_NO/WC_N2O5=0.0
!
!WR_NO/WC_HONO=0.0
!
!WR_NO/WC_HNO3=0.0
!
!WR_NO/WC_HNO4=0.0
!
!WR_NO/WC_NH3=0.0
!
!WR_NO/WC_OH=0.0
!
!WR_NO/WC_HO2=0.0
!
!WR_NO/WC_CO2=0.0
!
!WR_NO/WC_SO2=0.0
!
!WR_NO/WC_H2SO4=0.0
!
!WR_NO/WC_RO21=0.0
!
!WR_NO/WC_RO25=0.0
!
!WR_NO/WC_MEOH=0.0
!
!WR_NO/WC_ETOH=0.0
!
!WR_NO/WC_ALCH=0.0
!
!WR_NO/WC_HCHO=0.0
!
!WR_NO/WC_ALD2=0.0
!
!WR_NO/WC_GLY=0.0
!
!WR_NO/WC_MGLY=0.0
!
!WR_NO/WC_KETL=0.0
!
!WR_NO/WC_ORA1=0.0
!
!WR_NO/WC_ORA2=0.0
!
!WR_NO/WC_ACID=0.0
!
!WR_NO/WC_RP16=0.0
!
!WR_NO/WC_UR21=0.0
!
!WR_NO/WC_UR28=0.0
!
!WR_NO/WC_ACID2=0.0
!
!WR_NO/WC_ASO3=0.0
!
!WR_NO/WC_ASO4=0.0
!
!WR_NO/WC_ASO5=0.0
!
!WR_NO/WC_AHSO5=0.0
!
!WR_NO/WC_AHMS=0.0
!
!WR_NO/WR_O3=0.0
!
!WR_NO/WR_H2O2=0.0
!
!WR_NO/WR_NO=-KTR34
 PJAC(:,127,127)=-TPK%KTR34(:)
!
!WR_NO/WR_NO2=0.0
!
!WR_NO/WR_NO3=0.0
!
!WR_NO/WR_N2O5=0.0
!
!WR_NO/WR_HONO=0.0
!
!WR_NO/WR_HNO3=0.0
!
!WR_NO/WR_HNO4=0.0
!
!WR_NO/WR_NH3=0.0
!
!WR_NO/WR_OH=0.0
!
!WR_NO/WR_HO2=0.0
!
!WR_NO/WR_CO2=0.0
!
!WR_NO/WR_SO2=0.0
!
!WR_NO/WR_H2SO4=0.0
!
!WR_NO/WR_RO21=0.0
!
!WR_NO/WR_RO25=0.0
!
!WR_NO/WR_MEOH=0.0
!
!WR_NO/WR_ETOH=0.0
!
!WR_NO/WR_ALCH=0.0
!
!WR_NO/WR_HCHO=0.0
!
!WR_NO/WR_ALD2=0.0
!
!WR_NO/WR_GLY=0.0
!
!WR_NO/WR_MGLY=0.0
!
!WR_NO/WR_KETL=0.0
!
!WR_NO/WR_ORA1=0.0
!
!WR_NO/WR_ORA2=0.0
!
!WR_NO/WR_ACID=0.0
!
!WR_NO/WR_RP16=0.0
!
!WR_NO/WR_UR21=0.0
!
!WR_NO/WR_UR28=0.0
!
!WR_NO/WR_ACID2=0.0
!
!WR_NO/WR_ASO3=0.0
!
!WR_NO/WR_ASO4=0.0
!
!WR_NO/WR_ASO5=0.0
!
!WR_NO/WR_AHSO5=0.0
!
!WR_NO/WR_AHMS=0.0
!
!WR_NO2/NO=0.0
!
!WR_NO2/NO2=+KTR4
 PJAC(:,128,2)=+TPK%KTR4(:)
!
!WR_NO2/O3=0.0
!
!WR_NO2/HONO=0.0
!
!WR_NO2/HNO3=0.0
!
!WR_NO2/HNO4=0.0
!
!WR_NO2/N2O5=0.0
!
!WR_NO2/NO3=0.0
!
!WR_NO2/NH3=0.0
!
!WR_NO2/HO2=0.0
!
!WR_NO2/CO=0.0
!
!WR_NO2/H2O2=0.0
!
!WR_NO2/SO2=0.0
!
!WR_NO2/H2SO4=0.0
!
!WR_NO2/OH=0.0
!
!WR_NO2/ETHE=0.0
!
!WR_NO2/OLEL=0.0
!
!WR_NO2/OLEH=0.0
!
!WR_NO2/ALKL=0.0
!
!WR_NO2/ALKM=0.0
!
!WR_NO2/ALKH=0.0
!
!WR_NO2/AROH=0.0
!
!WR_NO2/AROL=0.0
!
!WR_NO2/AROO=0.0
!
!WR_NO2/ARAL=0.0
!
!WR_NO2/ARAC=0.0
!
!WR_NO2/PAH=0.0
!
!WR_NO2/HCHO=0.0
!
!WR_NO2/ALD2=0.0
!
!WR_NO2/KETL=0.0
!
!WR_NO2/KETH=0.0
!
!WR_NO2/MEOH=0.0
!
!WR_NO2/ETOH=0.0
!
!WR_NO2/ALCH=0.0
!
!WR_NO2/ISOP=0.0
!
!WR_NO2/BIOL=0.0
!
!WR_NO2/BIOH=0.0
!
!WR_NO2/MTBE=0.0
!
!WR_NO2/MVK=0.0
!
!WR_NO2/MCR=0.0
!
!WR_NO2/MGLY=0.0
!
!WR_NO2/GLY=0.0
!
!WR_NO2/ORA1=0.0
!
!WR_NO2/ORA2=0.0
!
!WR_NO2/ACID=0.0
!
!WR_NO2/UR28=0.0
!
!WR_NO2/UR21=0.0
!
!WR_NO2/URG2=0.0
!
!WR_NO2/UR26=0.0
!
!WR_NO2/RPG2=0.0
!
!WR_NO2/RP18=0.0
!
!WR_NO2/RPG3=0.0
!
!WR_NO2/URG4=0.0
!
!WR_NO2/UR8=0.0
!
!WR_NO2/UR17=0.0
!
!WR_NO2/UR7=0.0
!
!WR_NO2/RPR3=0.0
!
!WR_NO2/URG6=0.0
!
!WR_NO2/UR22=0.0
!
!WR_NO2/URG7=0.0
!
!WR_NO2/RPR4=0.0
!
!WR_NO2/RPR7=0.0
!
!WR_NO2/RPG7=0.0
!
!WR_NO2/URG8=0.0
!
!WR_NO2/UR19=0.0
!
!WR_NO2/URG9=0.0
!
!WR_NO2/AP7=0.0
!
!WR_NO2/URG10=0.0
!
!WR_NO2/RPR1=0.0
!
!WR_NO2/RPR5=0.0
!
!WR_NO2/RPR8=0.0
!
!WR_NO2/RP10=0.0
!
!WR_NO2/RP11=0.0
!
!WR_NO2/RP16=0.0
!
!WR_NO2/RPRL=0.0
!
!WR_NO2/APAN=0.0
!
!WR_NO2/PAN1=0.0
!
!WR_NO2/PAN2=0.0
!
!WR_NO2/PAN3=0.0
!
!WR_NO2/PAN4=0.0
!
!WR_NO2/PAN6=0.0
!
!WR_NO2/PAN7=0.0
!
!WR_NO2/PAN8=0.0
!
!WR_NO2/PN10=0.0
!
!WR_NO2/RO2T=0.0
!
!WR_NO2/RO21=0.0
!
!WR_NO2/RO25=0.0
!
!WR_NO2/WC_O3=0.0
!
!WR_NO2/WC_H2O2=0.0
!
!WR_NO2/WC_NO=0.0
!
!WR_NO2/WC_NO2=0.0
!
!WR_NO2/WC_NO3=0.0
!
!WR_NO2/WC_N2O5=0.0
!
!WR_NO2/WC_HONO=0.0
!
!WR_NO2/WC_HNO3=0.0
!
!WR_NO2/WC_HNO4=0.0
!
!WR_NO2/WC_NH3=0.0
!
!WR_NO2/WC_OH=0.0
!
!WR_NO2/WC_HO2=0.0
!
!WR_NO2/WC_CO2=0.0
!
!WR_NO2/WC_SO2=0.0
!
!WR_NO2/WC_H2SO4=0.0
!
!WR_NO2/WC_RO21=0.0
!
!WR_NO2/WC_RO25=0.0
!
!WR_NO2/WC_MEOH=0.0
!
!WR_NO2/WC_ETOH=0.0
!
!WR_NO2/WC_ALCH=0.0
!
!WR_NO2/WC_HCHO=0.0
!
!WR_NO2/WC_ALD2=0.0
!
!WR_NO2/WC_GLY=0.0
!
!WR_NO2/WC_MGLY=0.0
!
!WR_NO2/WC_KETL=0.0
!
!WR_NO2/WC_ORA1=0.0
!
!WR_NO2/WC_ORA2=0.0
!
!WR_NO2/WC_ACID=0.0
!
!WR_NO2/WC_RP16=0.0
!
!WR_NO2/WC_UR21=0.0
!
!WR_NO2/WC_UR28=0.0
!
!WR_NO2/WC_ACID2=0.0
!
!WR_NO2/WC_ASO3=0.0
!
!WR_NO2/WC_ASO4=0.0
!
!WR_NO2/WC_ASO5=0.0
!
!WR_NO2/WC_AHSO5=0.0
!
!WR_NO2/WC_AHMS=0.0
!
!WR_NO2/WR_O3=0.0
!
!WR_NO2/WR_H2O2=0.0
!
!WR_NO2/WR_NO=0.0
!
!WR_NO2/WR_NO2=-KTR35-KR9*<WR_HO2>
 PJAC(:,128,128)=-TPK%KTR35(:)-TPK%KR9(:)*PCONC(:,136)
!
!WR_NO2/WR_NO3=0.0
!
!WR_NO2/WR_N2O5=0.0
!
!WR_NO2/WR_HONO=+KR8*<WR_OH>
 PJAC(:,128,131)=+TPK%KR8(:)*PCONC(:,135)
!
!WR_NO2/WR_HNO3=+KR13
 PJAC(:,128,132)=+TPK%KR13(:)
!
!WR_NO2/WR_HNO4=+KR10
 PJAC(:,128,133)=+TPK%KR10(:)
!
!WR_NO2/WR_NH3=0.0
!
!WR_NO2/WR_OH=+KR8*<WR_HONO>
 PJAC(:,128,135)=+TPK%KR8(:)*PCONC(:,131)
!
!WR_NO2/WR_HO2=-KR9*<WR_NO2>
 PJAC(:,128,136)=-TPK%KR9(:)*PCONC(:,128)
!
!WR_NO2/WR_CO2=0.0
!
!WR_NO2/WR_SO2=0.0
!
!WR_NO2/WR_H2SO4=0.0
!
!WR_NO2/WR_RO21=0.0
!
!WR_NO2/WR_RO25=0.0
!
!WR_NO2/WR_MEOH=0.0
!
!WR_NO2/WR_ETOH=0.0
!
!WR_NO2/WR_ALCH=0.0
!
!WR_NO2/WR_HCHO=0.0
!
!WR_NO2/WR_ALD2=0.0
!
!WR_NO2/WR_GLY=0.0
!
!WR_NO2/WR_MGLY=0.0
!
!WR_NO2/WR_KETL=0.0
!
!WR_NO2/WR_ORA1=0.0
!
!WR_NO2/WR_ORA2=0.0
!
!WR_NO2/WR_ACID=0.0
!
!WR_NO2/WR_RP16=0.0
!
!WR_NO2/WR_UR21=0.0
!
!WR_NO2/WR_UR28=0.0
!
!WR_NO2/WR_ACID2=0.0
!
!WR_NO2/WR_ASO3=0.0
!
!WR_NO2/WR_ASO4=0.0
!
!WR_NO2/WR_ASO5=0.0
!
!WR_NO2/WR_AHSO5=0.0
!
!WR_NO2/WR_AHMS=0.0
!
!WR_NO3/NO=0.0
!
!WR_NO3/NO2=0.0
!
!WR_NO3/O3=0.0
!
!WR_NO3/HONO=0.0
!
!WR_NO3/HNO3=0.0
!
!WR_NO3/HNO4=0.0
!
!WR_NO3/N2O5=0.0
!
!WR_NO3/NO3=+KTR5
 PJAC(:,129,8)=+TPK%KTR5(:)
!
!WR_NO3/NH3=0.0
!
!WR_NO3/HO2=0.0
!
!WR_NO3/CO=0.0
!
!WR_NO3/H2O2=0.0
!
!WR_NO3/SO2=0.0
!
!WR_NO3/H2SO4=0.0
!
!WR_NO3/OH=0.0
!
!WR_NO3/ETHE=0.0
!
!WR_NO3/OLEL=0.0
!
!WR_NO3/OLEH=0.0
!
!WR_NO3/ALKL=0.0
!
!WR_NO3/ALKM=0.0
!
!WR_NO3/ALKH=0.0
!
!WR_NO3/AROH=0.0
!
!WR_NO3/AROL=0.0
!
!WR_NO3/AROO=0.0
!
!WR_NO3/ARAL=0.0
!
!WR_NO3/ARAC=0.0
!
!WR_NO3/PAH=0.0
!
!WR_NO3/HCHO=0.0
!
!WR_NO3/ALD2=0.0
!
!WR_NO3/KETL=0.0
!
!WR_NO3/KETH=0.0
!
!WR_NO3/MEOH=0.0
!
!WR_NO3/ETOH=0.0
!
!WR_NO3/ALCH=0.0
!
!WR_NO3/ISOP=0.0
!
!WR_NO3/BIOL=0.0
!
!WR_NO3/BIOH=0.0
!
!WR_NO3/MTBE=0.0
!
!WR_NO3/MVK=0.0
!
!WR_NO3/MCR=0.0
!
!WR_NO3/MGLY=0.0
!
!WR_NO3/GLY=0.0
!
!WR_NO3/ORA1=0.0
!
!WR_NO3/ORA2=0.0
!
!WR_NO3/ACID=0.0
!
!WR_NO3/UR28=0.0
!
!WR_NO3/UR21=0.0
!
!WR_NO3/URG2=0.0
!
!WR_NO3/UR26=0.0
!
!WR_NO3/RPG2=0.0
!
!WR_NO3/RP18=0.0
!
!WR_NO3/RPG3=0.0
!
!WR_NO3/URG4=0.0
!
!WR_NO3/UR8=0.0
!
!WR_NO3/UR17=0.0
!
!WR_NO3/UR7=0.0
!
!WR_NO3/RPR3=0.0
!
!WR_NO3/URG6=0.0
!
!WR_NO3/UR22=0.0
!
!WR_NO3/URG7=0.0
!
!WR_NO3/RPR4=0.0
!
!WR_NO3/RPR7=0.0
!
!WR_NO3/RPG7=0.0
!
!WR_NO3/URG8=0.0
!
!WR_NO3/UR19=0.0
!
!WR_NO3/URG9=0.0
!
!WR_NO3/AP7=0.0
!
!WR_NO3/URG10=0.0
!
!WR_NO3/RPR1=0.0
!
!WR_NO3/RPR5=0.0
!
!WR_NO3/RPR8=0.0
!
!WR_NO3/RP10=0.0
!
!WR_NO3/RP11=0.0
!
!WR_NO3/RP16=0.0
!
!WR_NO3/RPRL=0.0
!
!WR_NO3/APAN=0.0
!
!WR_NO3/PAN1=0.0
!
!WR_NO3/PAN2=0.0
!
!WR_NO3/PAN3=0.0
!
!WR_NO3/PAN4=0.0
!
!WR_NO3/PAN6=0.0
!
!WR_NO3/PAN7=0.0
!
!WR_NO3/PAN8=0.0
!
!WR_NO3/PN10=0.0
!
!WR_NO3/RO2T=0.0
!
!WR_NO3/RO21=0.0
!
!WR_NO3/RO25=0.0
!
!WR_NO3/WC_O3=0.0
!
!WR_NO3/WC_H2O2=0.0
!
!WR_NO3/WC_NO=0.0
!
!WR_NO3/WC_NO2=0.0
!
!WR_NO3/WC_NO3=0.0
!
!WR_NO3/WC_N2O5=0.0
!
!WR_NO3/WC_HONO=0.0
!
!WR_NO3/WC_HNO3=0.0
!
!WR_NO3/WC_HNO4=0.0
!
!WR_NO3/WC_NH3=0.0
!
!WR_NO3/WC_OH=0.0
!
!WR_NO3/WC_HO2=0.0
!
!WR_NO3/WC_CO2=0.0
!
!WR_NO3/WC_SO2=0.0
!
!WR_NO3/WC_H2SO4=0.0
!
!WR_NO3/WC_RO21=0.0
!
!WR_NO3/WC_RO25=0.0
!
!WR_NO3/WC_MEOH=0.0
!
!WR_NO3/WC_ETOH=0.0
!
!WR_NO3/WC_ALCH=0.0
!
!WR_NO3/WC_HCHO=0.0
!
!WR_NO3/WC_ALD2=0.0
!
!WR_NO3/WC_GLY=0.0
!
!WR_NO3/WC_MGLY=0.0
!
!WR_NO3/WC_KETL=0.0
!
!WR_NO3/WC_ORA1=0.0
!
!WR_NO3/WC_ORA2=0.0
!
!WR_NO3/WC_ACID=0.0
!
!WR_NO3/WC_RP16=0.0
!
!WR_NO3/WC_UR21=0.0
!
!WR_NO3/WC_UR28=0.0
!
!WR_NO3/WC_ACID2=0.0
!
!WR_NO3/WC_ASO3=0.0
!
!WR_NO3/WC_ASO4=0.0
!
!WR_NO3/WC_ASO5=0.0
!
!WR_NO3/WC_AHSO5=0.0
!
!WR_NO3/WC_AHMS=0.0
!
!WR_NO3/WR_O3=0.0
!
!WR_NO3/WR_H2O2=0.0
!
!WR_NO3/WR_NO=0.0
!
!WR_NO3/WR_NO2=0.0
!
!WR_NO3/WR_NO3=-KTR36-KR15*<WR_H2SO4>-KR16*<WR_SO2>
 PJAC(:,129,129)=-TPK%KTR36(:)-TPK%KR15(:)*PCONC(:,139)-TPK%KR16(:)*PCONC(:,138&
&)
!
!WR_NO3/WR_N2O5=0.0
!
!WR_NO3/WR_HONO=0.0
!
!WR_NO3/WR_HNO3=0.0
!
!WR_NO3/WR_HNO4=0.0
!
!WR_NO3/WR_NH3=0.0
!
!WR_NO3/WR_OH=0.0
!
!WR_NO3/WR_HO2=0.0
!
!WR_NO3/WR_CO2=0.0
!
!WR_NO3/WR_SO2=-KR16*<WR_NO3>
 PJAC(:,129,138)=-TPK%KR16(:)*PCONC(:,129)
!
!WR_NO3/WR_H2SO4=-KR15*<WR_NO3>
 PJAC(:,129,139)=-TPK%KR15(:)*PCONC(:,129)
!
!WR_NO3/WR_RO21=0.0
!
!WR_NO3/WR_RO25=0.0
!
!WR_NO3/WR_MEOH=0.0
!
!WR_NO3/WR_ETOH=0.0
!
!WR_NO3/WR_ALCH=0.0
!
!WR_NO3/WR_HCHO=0.0
!
!WR_NO3/WR_ALD2=0.0
!
!WR_NO3/WR_GLY=0.0
!
!WR_NO3/WR_MGLY=0.0
!
!WR_NO3/WR_KETL=0.0
!
!WR_NO3/WR_ORA1=0.0
!
!WR_NO3/WR_ORA2=0.0
!
!WR_NO3/WR_ACID=0.0
!
!WR_NO3/WR_RP16=0.0
!
!WR_NO3/WR_UR21=0.0
!
!WR_NO3/WR_UR28=0.0
!
!WR_NO3/WR_ACID2=0.0
!
!WR_NO3/WR_ASO3=0.0
!
!WR_NO3/WR_ASO4=0.0
!
!WR_NO3/WR_ASO5=0.0
!
!WR_NO3/WR_AHSO5=0.0
!
!WR_NO3/WR_AHMS=0.0
!
!WR_N2O5/NO=0.0
!
!WR_N2O5/NO2=0.0
!
!WR_N2O5/O3=0.0
!
!WR_N2O5/HONO=0.0
!
!WR_N2O5/HNO3=0.0
!
!WR_N2O5/HNO4=0.0
!
!WR_N2O5/N2O5=+KTR6
 PJAC(:,130,7)=+TPK%KTR6(:)
!
!WR_N2O5/NO3=0.0
!
!WR_N2O5/NH3=0.0
!
!WR_N2O5/HO2=0.0
!
!WR_N2O5/CO=0.0
!
!WR_N2O5/H2O2=0.0
!
!WR_N2O5/SO2=0.0
!
!WR_N2O5/H2SO4=0.0
!
!WR_N2O5/OH=0.0
!
!WR_N2O5/ETHE=0.0
!
!WR_N2O5/OLEL=0.0
!
!WR_N2O5/OLEH=0.0
!
!WR_N2O5/ALKL=0.0
!
!WR_N2O5/ALKM=0.0
!
!WR_N2O5/ALKH=0.0
!
!WR_N2O5/AROH=0.0
!
!WR_N2O5/AROL=0.0
!
!WR_N2O5/AROO=0.0
!
!WR_N2O5/ARAL=0.0
!
!WR_N2O5/ARAC=0.0
!
!WR_N2O5/PAH=0.0
!
!WR_N2O5/HCHO=0.0
!
!WR_N2O5/ALD2=0.0
!
!WR_N2O5/KETL=0.0
!
!WR_N2O5/KETH=0.0
!
!WR_N2O5/MEOH=0.0
!
!WR_N2O5/ETOH=0.0
!
!WR_N2O5/ALCH=0.0
!
!WR_N2O5/ISOP=0.0
!
!WR_N2O5/BIOL=0.0
!
!WR_N2O5/BIOH=0.0
!
!WR_N2O5/MTBE=0.0
!
!WR_N2O5/MVK=0.0
!
!WR_N2O5/MCR=0.0
!
!WR_N2O5/MGLY=0.0
!
!WR_N2O5/GLY=0.0
!
!WR_N2O5/ORA1=0.0
!
!WR_N2O5/ORA2=0.0
!
!WR_N2O5/ACID=0.0
!
!WR_N2O5/UR28=0.0
!
!WR_N2O5/UR21=0.0
!
!WR_N2O5/URG2=0.0
!
!WR_N2O5/UR26=0.0
!
!WR_N2O5/RPG2=0.0
!
!WR_N2O5/RP18=0.0
!
!WR_N2O5/RPG3=0.0
!
!WR_N2O5/URG4=0.0
!
!WR_N2O5/UR8=0.0
!
!WR_N2O5/UR17=0.0
!
!WR_N2O5/UR7=0.0
!
!WR_N2O5/RPR3=0.0
!
!WR_N2O5/URG6=0.0
!
!WR_N2O5/UR22=0.0
!
!WR_N2O5/URG7=0.0
!
!WR_N2O5/RPR4=0.0
!
!WR_N2O5/RPR7=0.0
!
!WR_N2O5/RPG7=0.0
!
!WR_N2O5/URG8=0.0
!
!WR_N2O5/UR19=0.0
!
!WR_N2O5/URG9=0.0
!
!WR_N2O5/AP7=0.0
!
!WR_N2O5/URG10=0.0
!
!WR_N2O5/RPR1=0.0
!
!WR_N2O5/RPR5=0.0
!
!WR_N2O5/RPR8=0.0
!
!WR_N2O5/RP10=0.0
!
!WR_N2O5/RP11=0.0
!
!WR_N2O5/RP16=0.0
!
!WR_N2O5/RPRL=0.0
!
!WR_N2O5/APAN=0.0
!
!WR_N2O5/PAN1=0.0
!
!WR_N2O5/PAN2=0.0
!
!WR_N2O5/PAN3=0.0
!
!WR_N2O5/PAN4=0.0
!
!WR_N2O5/PAN6=0.0
!
!WR_N2O5/PAN7=0.0
!
!WR_N2O5/PAN8=0.0
!
!WR_N2O5/PN10=0.0
!
!WR_N2O5/RO2T=0.0
!
!WR_N2O5/RO21=0.0
!
!WR_N2O5/RO25=0.0
!
!WR_N2O5/WC_O3=0.0
!
!WR_N2O5/WC_H2O2=0.0
!
!WR_N2O5/WC_NO=0.0
!
!WR_N2O5/WC_NO2=0.0
!
!WR_N2O5/WC_NO3=0.0
!
!WR_N2O5/WC_N2O5=0.0
!
!WR_N2O5/WC_HONO=0.0
!
!WR_N2O5/WC_HNO3=0.0
!
!WR_N2O5/WC_HNO4=0.0
!
!WR_N2O5/WC_NH3=0.0
!
!WR_N2O5/WC_OH=0.0
!
!WR_N2O5/WC_HO2=0.0
!
!WR_N2O5/WC_CO2=0.0
!
!WR_N2O5/WC_SO2=0.0
!
!WR_N2O5/WC_H2SO4=0.0
!
!WR_N2O5/WC_RO21=0.0
!
!WR_N2O5/WC_RO25=0.0
!
!WR_N2O5/WC_MEOH=0.0
!
!WR_N2O5/WC_ETOH=0.0
!
!WR_N2O5/WC_ALCH=0.0
!
!WR_N2O5/WC_HCHO=0.0
!
!WR_N2O5/WC_ALD2=0.0
!
!WR_N2O5/WC_GLY=0.0
!
!WR_N2O5/WC_MGLY=0.0
!
!WR_N2O5/WC_KETL=0.0
!
!WR_N2O5/WC_ORA1=0.0
!
!WR_N2O5/WC_ORA2=0.0
!
!WR_N2O5/WC_ACID=0.0
!
!WR_N2O5/WC_RP16=0.0
!
!WR_N2O5/WC_UR21=0.0
!
!WR_N2O5/WC_UR28=0.0
!
!WR_N2O5/WC_ACID2=0.0
!
!WR_N2O5/WC_ASO3=0.0
!
!WR_N2O5/WC_ASO4=0.0
!
!WR_N2O5/WC_ASO5=0.0
!
!WR_N2O5/WC_AHSO5=0.0
!
!WR_N2O5/WC_AHMS=0.0
!
!WR_N2O5/WR_O3=0.0
!
!WR_N2O5/WR_H2O2=0.0
!
!WR_N2O5/WR_NO=0.0
!
!WR_N2O5/WR_NO2=0.0
!
!WR_N2O5/WR_NO3=0.0
!
!WR_N2O5/WR_N2O5=-KTR37-KR14
 PJAC(:,130,130)=-TPK%KTR37(:)-TPK%KR14(:)
!
!WR_N2O5/WR_HONO=0.0
!
!WR_N2O5/WR_HNO3=0.0
!
!WR_N2O5/WR_HNO4=0.0
!
!WR_N2O5/WR_NH3=0.0
!
!WR_N2O5/WR_OH=0.0
!
!WR_N2O5/WR_HO2=0.0
!
!WR_N2O5/WR_CO2=0.0
!
!WR_N2O5/WR_SO2=0.0
!
!WR_N2O5/WR_H2SO4=0.0
!
!WR_N2O5/WR_RO21=0.0
!
!WR_N2O5/WR_RO25=0.0
!
!WR_N2O5/WR_MEOH=0.0
!
!WR_N2O5/WR_ETOH=0.0
!
!WR_N2O5/WR_ALCH=0.0
!
!WR_N2O5/WR_HCHO=0.0
!
!WR_N2O5/WR_ALD2=0.0
!
!WR_N2O5/WR_GLY=0.0
!
!WR_N2O5/WR_MGLY=0.0
!
!WR_N2O5/WR_KETL=0.0
!
!WR_N2O5/WR_ORA1=0.0
!
!WR_N2O5/WR_ORA2=0.0
!
!WR_N2O5/WR_ACID=0.0
!
!WR_N2O5/WR_RP16=0.0
!
!WR_N2O5/WR_UR21=0.0
!
!WR_N2O5/WR_UR28=0.0
!
!WR_N2O5/WR_ACID2=0.0
!
!WR_N2O5/WR_ASO3=0.0
!
!WR_N2O5/WR_ASO4=0.0
!
!WR_N2O5/WR_ASO5=0.0
!
!WR_N2O5/WR_AHSO5=0.0
!
!WR_N2O5/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ25
!
SUBROUTINE SUBJ26
!
!Indices 131 a 135
!
!
!WR_HONO/NO=0.0
!
!WR_HONO/NO2=0.0
!
!WR_HONO/O3=0.0
!
!WR_HONO/HONO=+KTR7
 PJAC(:,131,4)=+TPK%KTR7(:)
!
!WR_HONO/HNO3=0.0
!
!WR_HONO/HNO4=0.0
!
!WR_HONO/N2O5=0.0
!
!WR_HONO/NO3=0.0
!
!WR_HONO/NH3=0.0
!
!WR_HONO/HO2=0.0
!
!WR_HONO/CO=0.0
!
!WR_HONO/H2O2=0.0
!
!WR_HONO/SO2=0.0
!
!WR_HONO/H2SO4=0.0
!
!WR_HONO/OH=0.0
!
!WR_HONO/ETHE=0.0
!
!WR_HONO/OLEL=0.0
!
!WR_HONO/OLEH=0.0
!
!WR_HONO/ALKL=0.0
!
!WR_HONO/ALKM=0.0
!
!WR_HONO/ALKH=0.0
!
!WR_HONO/AROH=0.0
!
!WR_HONO/AROL=0.0
!
!WR_HONO/AROO=0.0
!
!WR_HONO/ARAL=0.0
!
!WR_HONO/ARAC=0.0
!
!WR_HONO/PAH=0.0
!
!WR_HONO/HCHO=0.0
!
!WR_HONO/ALD2=0.0
!
!WR_HONO/KETL=0.0
!
!WR_HONO/KETH=0.0
!
!WR_HONO/MEOH=0.0
!
!WR_HONO/ETOH=0.0
!
!WR_HONO/ALCH=0.0
!
!WR_HONO/ISOP=0.0
!
!WR_HONO/BIOL=0.0
!
!WR_HONO/BIOH=0.0
!
!WR_HONO/MTBE=0.0
!
!WR_HONO/MVK=0.0
!
!WR_HONO/MCR=0.0
!
!WR_HONO/MGLY=0.0
!
!WR_HONO/GLY=0.0
!
!WR_HONO/ORA1=0.0
!
!WR_HONO/ORA2=0.0
!
!WR_HONO/ACID=0.0
!
!WR_HONO/UR28=0.0
!
!WR_HONO/UR21=0.0
!
!WR_HONO/URG2=0.0
!
!WR_HONO/UR26=0.0
!
!WR_HONO/RPG2=0.0
!
!WR_HONO/RP18=0.0
!
!WR_HONO/RPG3=0.0
!
!WR_HONO/URG4=0.0
!
!WR_HONO/UR8=0.0
!
!WR_HONO/UR17=0.0
!
!WR_HONO/UR7=0.0
!
!WR_HONO/RPR3=0.0
!
!WR_HONO/URG6=0.0
!
!WR_HONO/UR22=0.0
!
!WR_HONO/URG7=0.0
!
!WR_HONO/RPR4=0.0
!
!WR_HONO/RPR7=0.0
!
!WR_HONO/RPG7=0.0
!
!WR_HONO/URG8=0.0
!
!WR_HONO/UR19=0.0
!
!WR_HONO/URG9=0.0
!
!WR_HONO/AP7=0.0
!
!WR_HONO/URG10=0.0
!
!WR_HONO/RPR1=0.0
!
!WR_HONO/RPR5=0.0
!
!WR_HONO/RPR8=0.0
!
!WR_HONO/RP10=0.0
!
!WR_HONO/RP11=0.0
!
!WR_HONO/RP16=0.0
!
!WR_HONO/RPRL=0.0
!
!WR_HONO/APAN=0.0
!
!WR_HONO/PAN1=0.0
!
!WR_HONO/PAN2=0.0
!
!WR_HONO/PAN3=0.0
!
!WR_HONO/PAN4=0.0
!
!WR_HONO/PAN6=0.0
!
!WR_HONO/PAN7=0.0
!
!WR_HONO/PAN8=0.0
!
!WR_HONO/PN10=0.0
!
!WR_HONO/RO2T=0.0
!
!WR_HONO/RO21=0.0
!
!WR_HONO/RO25=0.0
!
!WR_HONO/WC_O3=0.0
!
!WR_HONO/WC_H2O2=0.0
!
!WR_HONO/WC_NO=0.0
!
!WR_HONO/WC_NO2=0.0
!
!WR_HONO/WC_NO3=0.0
!
!WR_HONO/WC_N2O5=0.0
!
!WR_HONO/WC_HONO=0.0
!
!WR_HONO/WC_HNO3=0.0
!
!WR_HONO/WC_HNO4=0.0
!
!WR_HONO/WC_NH3=0.0
!
!WR_HONO/WC_OH=0.0
!
!WR_HONO/WC_HO2=0.0
!
!WR_HONO/WC_CO2=0.0
!
!WR_HONO/WC_SO2=0.0
!
!WR_HONO/WC_H2SO4=0.0
!
!WR_HONO/WC_RO21=0.0
!
!WR_HONO/WC_RO25=0.0
!
!WR_HONO/WC_MEOH=0.0
!
!WR_HONO/WC_ETOH=0.0
!
!WR_HONO/WC_ALCH=0.0
!
!WR_HONO/WC_HCHO=0.0
!
!WR_HONO/WC_ALD2=0.0
!
!WR_HONO/WC_GLY=0.0
!
!WR_HONO/WC_MGLY=0.0
!
!WR_HONO/WC_KETL=0.0
!
!WR_HONO/WC_ORA1=0.0
!
!WR_HONO/WC_ORA2=0.0
!
!WR_HONO/WC_ACID=0.0
!
!WR_HONO/WC_RP16=0.0
!
!WR_HONO/WC_UR21=0.0
!
!WR_HONO/WC_UR28=0.0
!
!WR_HONO/WC_ACID2=0.0
!
!WR_HONO/WC_ASO3=0.0
!
!WR_HONO/WC_ASO4=0.0
!
!WR_HONO/WC_ASO5=0.0
!
!WR_HONO/WC_AHSO5=0.0
!
!WR_HONO/WC_AHMS=0.0
!
!WR_HONO/WR_O3=0.0
!
!WR_HONO/WR_H2O2=0.0
!
!WR_HONO/WR_NO=0.0
!
!WR_HONO/WR_NO2=0.0
!
!WR_HONO/WR_NO3=0.0
!
!WR_HONO/WR_N2O5=0.0
!
!WR_HONO/WR_HONO=-KTR38-KR8*<WR_OH>
 PJAC(:,131,131)=-TPK%KTR38(:)-TPK%KR8(:)*PCONC(:,135)
!
!WR_HONO/WR_HNO3=0.0
!
!WR_HONO/WR_HNO4=+KR11
 PJAC(:,131,133)=+TPK%KR11(:)
!
!WR_HONO/WR_NH3=0.0
!
!WR_HONO/WR_OH=-KR8*<WR_HONO>
 PJAC(:,131,135)=-TPK%KR8(:)*PCONC(:,131)
!
!WR_HONO/WR_HO2=0.0
!
!WR_HONO/WR_CO2=0.0
!
!WR_HONO/WR_SO2=0.0
!
!WR_HONO/WR_H2SO4=0.0
!
!WR_HONO/WR_RO21=0.0
!
!WR_HONO/WR_RO25=0.0
!
!WR_HONO/WR_MEOH=0.0
!
!WR_HONO/WR_ETOH=0.0
!
!WR_HONO/WR_ALCH=0.0
!
!WR_HONO/WR_HCHO=0.0
!
!WR_HONO/WR_ALD2=0.0
!
!WR_HONO/WR_GLY=0.0
!
!WR_HONO/WR_MGLY=0.0
!
!WR_HONO/WR_KETL=0.0
!
!WR_HONO/WR_ORA1=0.0
!
!WR_HONO/WR_ORA2=0.0
!
!WR_HONO/WR_ACID=0.0
!
!WR_HONO/WR_RP16=0.0
!
!WR_HONO/WR_UR21=0.0
!
!WR_HONO/WR_UR28=0.0
!
!WR_HONO/WR_ACID2=0.0
!
!WR_HONO/WR_ASO3=0.0
!
!WR_HONO/WR_ASO4=0.0
!
!WR_HONO/WR_ASO5=0.0
!
!WR_HONO/WR_AHSO5=0.0
!
!WR_HONO/WR_AHMS=0.0
!
!WR_HNO3/NO=0.0
!
!WR_HNO3/NO2=0.0
!
!WR_HNO3/O3=0.0
!
!WR_HNO3/HONO=0.0
!
!WR_HNO3/HNO3=+KTR8
 PJAC(:,132,5)=+TPK%KTR8(:)
!
!WR_HNO3/HNO4=0.0
!
!WR_HNO3/N2O5=0.0
!
!WR_HNO3/NO3=0.0
!
!WR_HNO3/NH3=0.0
!
!WR_HNO3/HO2=0.0
!
!WR_HNO3/CO=0.0
!
!WR_HNO3/H2O2=0.0
!
!WR_HNO3/SO2=0.0
!
!WR_HNO3/H2SO4=0.0
!
!WR_HNO3/OH=0.0
!
!WR_HNO3/ETHE=0.0
!
!WR_HNO3/OLEL=0.0
!
!WR_HNO3/OLEH=0.0
!
!WR_HNO3/ALKL=0.0
!
!WR_HNO3/ALKM=0.0
!
!WR_HNO3/ALKH=0.0
!
!WR_HNO3/AROH=0.0
!
!WR_HNO3/AROL=0.0
!
!WR_HNO3/AROO=0.0
!
!WR_HNO3/ARAL=0.0
!
!WR_HNO3/ARAC=0.0
!
!WR_HNO3/PAH=0.0
!
!WR_HNO3/HCHO=0.0
!
!WR_HNO3/ALD2=0.0
!
!WR_HNO3/KETL=0.0
!
!WR_HNO3/KETH=0.0
!
!WR_HNO3/MEOH=0.0
!
!WR_HNO3/ETOH=0.0
!
!WR_HNO3/ALCH=0.0
!
!WR_HNO3/ISOP=0.0
!
!WR_HNO3/BIOL=0.0
!
!WR_HNO3/BIOH=0.0
!
!WR_HNO3/MTBE=0.0
!
!WR_HNO3/MVK=0.0
!
!WR_HNO3/MCR=0.0
!
!WR_HNO3/MGLY=0.0
!
!WR_HNO3/GLY=0.0
!
!WR_HNO3/ORA1=0.0
!
!WR_HNO3/ORA2=0.0
!
!WR_HNO3/ACID=0.0
!
!WR_HNO3/UR28=0.0
!
!WR_HNO3/UR21=0.0
!
!WR_HNO3/URG2=0.0
!
!WR_HNO3/UR26=0.0
!
!WR_HNO3/RPG2=0.0
!
!WR_HNO3/RP18=0.0
!
!WR_HNO3/RPG3=0.0
!
!WR_HNO3/URG4=0.0
!
!WR_HNO3/UR8=0.0
!
!WR_HNO3/UR17=0.0
!
!WR_HNO3/UR7=0.0
!
!WR_HNO3/RPR3=0.0
!
!WR_HNO3/URG6=0.0
!
!WR_HNO3/UR22=0.0
!
!WR_HNO3/URG7=0.0
!
!WR_HNO3/RPR4=0.0
!
!WR_HNO3/RPR7=0.0
!
!WR_HNO3/RPG7=0.0
!
!WR_HNO3/URG8=0.0
!
!WR_HNO3/UR19=0.0
!
!WR_HNO3/URG9=0.0
!
!WR_HNO3/AP7=0.0
!
!WR_HNO3/URG10=0.0
!
!WR_HNO3/RPR1=0.0
!
!WR_HNO3/RPR5=0.0
!
!WR_HNO3/RPR8=0.0
!
!WR_HNO3/RP10=0.0
!
!WR_HNO3/RP11=0.0
!
!WR_HNO3/RP16=0.0
!
!WR_HNO3/RPRL=0.0
!
!WR_HNO3/APAN=0.0
!
!WR_HNO3/PAN1=0.0
!
!WR_HNO3/PAN2=0.0
!
!WR_HNO3/PAN3=0.0
!
!WR_HNO3/PAN4=0.0
!
!WR_HNO3/PAN6=0.0
!
!WR_HNO3/PAN7=0.0
!
!WR_HNO3/PAN8=0.0
!
!WR_HNO3/PN10=0.0
!
!WR_HNO3/RO2T=0.0
!
!WR_HNO3/RO21=0.0
!
!WR_HNO3/RO25=0.0
!
!WR_HNO3/WC_O3=0.0
!
!WR_HNO3/WC_H2O2=0.0
!
!WR_HNO3/WC_NO=0.0
!
!WR_HNO3/WC_NO2=0.0
!
!WR_HNO3/WC_NO3=0.0
!
!WR_HNO3/WC_N2O5=0.0
!
!WR_HNO3/WC_HONO=0.0
!
!WR_HNO3/WC_HNO3=0.0
!
!WR_HNO3/WC_HNO4=0.0
!
!WR_HNO3/WC_NH3=0.0
!
!WR_HNO3/WC_OH=0.0
!
!WR_HNO3/WC_HO2=0.0
!
!WR_HNO3/WC_CO2=0.0
!
!WR_HNO3/WC_SO2=0.0
!
!WR_HNO3/WC_H2SO4=0.0
!
!WR_HNO3/WC_RO21=0.0
!
!WR_HNO3/WC_RO25=0.0
!
!WR_HNO3/WC_MEOH=0.0
!
!WR_HNO3/WC_ETOH=0.0
!
!WR_HNO3/WC_ALCH=0.0
!
!WR_HNO3/WC_HCHO=0.0
!
!WR_HNO3/WC_ALD2=0.0
!
!WR_HNO3/WC_GLY=0.0
!
!WR_HNO3/WC_MGLY=0.0
!
!WR_HNO3/WC_KETL=0.0
!
!WR_HNO3/WC_ORA1=0.0
!
!WR_HNO3/WC_ORA2=0.0
!
!WR_HNO3/WC_ACID=0.0
!
!WR_HNO3/WC_RP16=0.0
!
!WR_HNO3/WC_UR21=0.0
!
!WR_HNO3/WC_UR28=0.0
!
!WR_HNO3/WC_ACID2=0.0
!
!WR_HNO3/WC_ASO3=0.0
!
!WR_HNO3/WC_ASO4=0.0
!
!WR_HNO3/WC_ASO5=0.0
!
!WR_HNO3/WC_AHSO5=0.0
!
!WR_HNO3/WC_AHMS=0.0
!
!WR_HNO3/WR_O3=0.0
!
!WR_HNO3/WR_H2O2=0.0
!
!WR_HNO3/WR_NO=0.0
!
!WR_HNO3/WR_NO2=0.0
!
!WR_HNO3/WR_NO3=+KR15*<WR_H2SO4>+KR16*<WR_SO2>
 PJAC(:,132,129)=+TPK%KR15(:)*PCONC(:,139)+TPK%KR16(:)*PCONC(:,138)
!
!WR_HNO3/WR_N2O5=+KR14+KR14
 PJAC(:,132,130)=+TPK%KR14(:)+TPK%KR14(:)
!
!WR_HNO3/WR_HONO=0.0
!
!WR_HNO3/WR_HNO3=-KTR39-KR13
 PJAC(:,132,132)=-TPK%KTR39(:)-TPK%KR13(:)
!
!WR_HNO3/WR_HNO4=+KR12*<WR_SO2>
 PJAC(:,132,133)=+TPK%KR12(:)*PCONC(:,138)
!
!WR_HNO3/WR_NH3=0.0
!
!WR_HNO3/WR_OH=0.0
!
!WR_HNO3/WR_HO2=0.0
!
!WR_HNO3/WR_CO2=0.0
!
!WR_HNO3/WR_SO2=+KR12*<WR_HNO4>+KR16*<WR_NO3>
 PJAC(:,132,138)=+TPK%KR12(:)*PCONC(:,133)+TPK%KR16(:)*PCONC(:,129)
!
!WR_HNO3/WR_H2SO4=+KR15*<WR_NO3>
 PJAC(:,132,139)=+TPK%KR15(:)*PCONC(:,129)
!
!WR_HNO3/WR_RO21=0.0
!
!WR_HNO3/WR_RO25=0.0
!
!WR_HNO3/WR_MEOH=0.0
!
!WR_HNO3/WR_ETOH=0.0
!
!WR_HNO3/WR_ALCH=0.0
!
!WR_HNO3/WR_HCHO=0.0
!
!WR_HNO3/WR_ALD2=0.0
!
!WR_HNO3/WR_GLY=0.0
!
!WR_HNO3/WR_MGLY=0.0
!
!WR_HNO3/WR_KETL=0.0
!
!WR_HNO3/WR_ORA1=0.0
!
!WR_HNO3/WR_ORA2=0.0
!
!WR_HNO3/WR_ACID=0.0
!
!WR_HNO3/WR_RP16=0.0
!
!WR_HNO3/WR_UR21=0.0
!
!WR_HNO3/WR_UR28=0.0
!
!WR_HNO3/WR_ACID2=0.0
!
!WR_HNO3/WR_ASO3=0.0
!
!WR_HNO3/WR_ASO4=0.0
!
!WR_HNO3/WR_ASO5=0.0
!
!WR_HNO3/WR_AHSO5=0.0
!
!WR_HNO3/WR_AHMS=0.0
!
!WR_HNO4/NO=0.0
!
!WR_HNO4/NO2=0.0
!
!WR_HNO4/O3=0.0
!
!WR_HNO4/HONO=0.0
!
!WR_HNO4/HNO3=0.0
!
!WR_HNO4/HNO4=+KTR9
 PJAC(:,133,6)=+TPK%KTR9(:)
!
!WR_HNO4/N2O5=0.0
!
!WR_HNO4/NO3=0.0
!
!WR_HNO4/NH3=0.0
!
!WR_HNO4/HO2=0.0
!
!WR_HNO4/CO=0.0
!
!WR_HNO4/H2O2=0.0
!
!WR_HNO4/SO2=0.0
!
!WR_HNO4/H2SO4=0.0
!
!WR_HNO4/OH=0.0
!
!WR_HNO4/ETHE=0.0
!
!WR_HNO4/OLEL=0.0
!
!WR_HNO4/OLEH=0.0
!
!WR_HNO4/ALKL=0.0
!
!WR_HNO4/ALKM=0.0
!
!WR_HNO4/ALKH=0.0
!
!WR_HNO4/AROH=0.0
!
!WR_HNO4/AROL=0.0
!
!WR_HNO4/AROO=0.0
!
!WR_HNO4/ARAL=0.0
!
!WR_HNO4/ARAC=0.0
!
!WR_HNO4/PAH=0.0
!
!WR_HNO4/HCHO=0.0
!
!WR_HNO4/ALD2=0.0
!
!WR_HNO4/KETL=0.0
!
!WR_HNO4/KETH=0.0
!
!WR_HNO4/MEOH=0.0
!
!WR_HNO4/ETOH=0.0
!
!WR_HNO4/ALCH=0.0
!
!WR_HNO4/ISOP=0.0
!
!WR_HNO4/BIOL=0.0
!
!WR_HNO4/BIOH=0.0
!
!WR_HNO4/MTBE=0.0
!
!WR_HNO4/MVK=0.0
!
!WR_HNO4/MCR=0.0
!
!WR_HNO4/MGLY=0.0
!
!WR_HNO4/GLY=0.0
!
!WR_HNO4/ORA1=0.0
!
!WR_HNO4/ORA2=0.0
!
!WR_HNO4/ACID=0.0
!
!WR_HNO4/UR28=0.0
!
!WR_HNO4/UR21=0.0
!
!WR_HNO4/URG2=0.0
!
!WR_HNO4/UR26=0.0
!
!WR_HNO4/RPG2=0.0
!
!WR_HNO4/RP18=0.0
!
!WR_HNO4/RPG3=0.0
!
!WR_HNO4/URG4=0.0
!
!WR_HNO4/UR8=0.0
!
!WR_HNO4/UR17=0.0
!
!WR_HNO4/UR7=0.0
!
!WR_HNO4/RPR3=0.0
!
!WR_HNO4/URG6=0.0
!
!WR_HNO4/UR22=0.0
!
!WR_HNO4/URG7=0.0
!
!WR_HNO4/RPR4=0.0
!
!WR_HNO4/RPR7=0.0
!
!WR_HNO4/RPG7=0.0
!
!WR_HNO4/URG8=0.0
!
!WR_HNO4/UR19=0.0
!
!WR_HNO4/URG9=0.0
!
!WR_HNO4/AP7=0.0
!
!WR_HNO4/URG10=0.0
!
!WR_HNO4/RPR1=0.0
!
!WR_HNO4/RPR5=0.0
!
!WR_HNO4/RPR8=0.0
!
!WR_HNO4/RP10=0.0
!
!WR_HNO4/RP11=0.0
!
!WR_HNO4/RP16=0.0
!
!WR_HNO4/RPRL=0.0
!
!WR_HNO4/APAN=0.0
!
!WR_HNO4/PAN1=0.0
!
!WR_HNO4/PAN2=0.0
!
!WR_HNO4/PAN3=0.0
!
!WR_HNO4/PAN4=0.0
!
!WR_HNO4/PAN6=0.0
!
!WR_HNO4/PAN7=0.0
!
!WR_HNO4/PAN8=0.0
!
!WR_HNO4/PN10=0.0
!
!WR_HNO4/RO2T=0.0
!
!WR_HNO4/RO21=0.0
!
!WR_HNO4/RO25=0.0
!
!WR_HNO4/WC_O3=0.0
!
!WR_HNO4/WC_H2O2=0.0
!
!WR_HNO4/WC_NO=0.0
!
!WR_HNO4/WC_NO2=0.0
!
!WR_HNO4/WC_NO3=0.0
!
!WR_HNO4/WC_N2O5=0.0
!
!WR_HNO4/WC_HONO=0.0
!
!WR_HNO4/WC_HNO3=0.0
!
!WR_HNO4/WC_HNO4=0.0
!
!WR_HNO4/WC_NH3=0.0
!
!WR_HNO4/WC_OH=0.0
!
!WR_HNO4/WC_HO2=0.0
!
!WR_HNO4/WC_CO2=0.0
!
!WR_HNO4/WC_SO2=0.0
!
!WR_HNO4/WC_H2SO4=0.0
!
!WR_HNO4/WC_RO21=0.0
!
!WR_HNO4/WC_RO25=0.0
!
!WR_HNO4/WC_MEOH=0.0
!
!WR_HNO4/WC_ETOH=0.0
!
!WR_HNO4/WC_ALCH=0.0
!
!WR_HNO4/WC_HCHO=0.0
!
!WR_HNO4/WC_ALD2=0.0
!
!WR_HNO4/WC_GLY=0.0
!
!WR_HNO4/WC_MGLY=0.0
!
!WR_HNO4/WC_KETL=0.0
!
!WR_HNO4/WC_ORA1=0.0
!
!WR_HNO4/WC_ORA2=0.0
!
!WR_HNO4/WC_ACID=0.0
!
!WR_HNO4/WC_RP16=0.0
!
!WR_HNO4/WC_UR21=0.0
!
!WR_HNO4/WC_UR28=0.0
!
!WR_HNO4/WC_ACID2=0.0
!
!WR_HNO4/WC_ASO3=0.0
!
!WR_HNO4/WC_ASO4=0.0
!
!WR_HNO4/WC_ASO5=0.0
!
!WR_HNO4/WC_AHSO5=0.0
!
!WR_HNO4/WC_AHMS=0.0
!
!WR_HNO4/WR_O3=0.0
!
!WR_HNO4/WR_H2O2=0.0
!
!WR_HNO4/WR_NO=0.0
!
!WR_HNO4/WR_NO2=+KR9*<WR_HO2>
 PJAC(:,133,128)=+TPK%KR9(:)*PCONC(:,136)
!
!WR_HNO4/WR_NO3=0.0
!
!WR_HNO4/WR_N2O5=0.0
!
!WR_HNO4/WR_HONO=0.0
!
!WR_HNO4/WR_HNO3=0.0
!
!WR_HNO4/WR_HNO4=-KTR40-KR10-KR11-KR12*<WR_SO2>
 PJAC(:,133,133)=-TPK%KTR40(:)-TPK%KR10(:)-TPK%KR11(:)-TPK%KR12(:)*PCONC(:,138)
!
!WR_HNO4/WR_NH3=0.0
!
!WR_HNO4/WR_OH=0.0
!
!WR_HNO4/WR_HO2=+KR9*<WR_NO2>
 PJAC(:,133,136)=+TPK%KR9(:)*PCONC(:,128)
!
!WR_HNO4/WR_CO2=0.0
!
!WR_HNO4/WR_SO2=-KR12*<WR_HNO4>
 PJAC(:,133,138)=-TPK%KR12(:)*PCONC(:,133)
!
!WR_HNO4/WR_H2SO4=0.0
!
!WR_HNO4/WR_RO21=0.0
!
!WR_HNO4/WR_RO25=0.0
!
!WR_HNO4/WR_MEOH=0.0
!
!WR_HNO4/WR_ETOH=0.0
!
!WR_HNO4/WR_ALCH=0.0
!
!WR_HNO4/WR_HCHO=0.0
!
!WR_HNO4/WR_ALD2=0.0
!
!WR_HNO4/WR_GLY=0.0
!
!WR_HNO4/WR_MGLY=0.0
!
!WR_HNO4/WR_KETL=0.0
!
!WR_HNO4/WR_ORA1=0.0
!
!WR_HNO4/WR_ORA2=0.0
!
!WR_HNO4/WR_ACID=0.0
!
!WR_HNO4/WR_RP16=0.0
!
!WR_HNO4/WR_UR21=0.0
!
!WR_HNO4/WR_UR28=0.0
!
!WR_HNO4/WR_ACID2=0.0
!
!WR_HNO4/WR_ASO3=0.0
!
!WR_HNO4/WR_ASO4=0.0
!
!WR_HNO4/WR_ASO5=0.0
!
!WR_HNO4/WR_AHSO5=0.0
!
!WR_HNO4/WR_AHMS=0.0
!
!WR_NH3/NO=0.0
!
!WR_NH3/NO2=0.0
!
!WR_NH3/O3=0.0
!
!WR_NH3/HONO=0.0
!
!WR_NH3/HNO3=0.0
!
!WR_NH3/HNO4=0.0
!
!WR_NH3/N2O5=0.0
!
!WR_NH3/NO3=0.0
!
!WR_NH3/NH3=+KTR10
 PJAC(:,134,9)=+TPK%KTR10(:)
!
!WR_NH3/HO2=0.0
!
!WR_NH3/CO=0.0
!
!WR_NH3/H2O2=0.0
!
!WR_NH3/SO2=0.0
!
!WR_NH3/H2SO4=0.0
!
!WR_NH3/OH=0.0
!
!WR_NH3/ETHE=0.0
!
!WR_NH3/OLEL=0.0
!
!WR_NH3/OLEH=0.0
!
!WR_NH3/ALKL=0.0
!
!WR_NH3/ALKM=0.0
!
!WR_NH3/ALKH=0.0
!
!WR_NH3/AROH=0.0
!
!WR_NH3/AROL=0.0
!
!WR_NH3/AROO=0.0
!
!WR_NH3/ARAL=0.0
!
!WR_NH3/ARAC=0.0
!
!WR_NH3/PAH=0.0
!
!WR_NH3/HCHO=0.0
!
!WR_NH3/ALD2=0.0
!
!WR_NH3/KETL=0.0
!
!WR_NH3/KETH=0.0
!
!WR_NH3/MEOH=0.0
!
!WR_NH3/ETOH=0.0
!
!WR_NH3/ALCH=0.0
!
!WR_NH3/ISOP=0.0
!
!WR_NH3/BIOL=0.0
!
!WR_NH3/BIOH=0.0
!
!WR_NH3/MTBE=0.0
!
!WR_NH3/MVK=0.0
!
!WR_NH3/MCR=0.0
!
!WR_NH3/MGLY=0.0
!
!WR_NH3/GLY=0.0
!
!WR_NH3/ORA1=0.0
!
!WR_NH3/ORA2=0.0
!
!WR_NH3/ACID=0.0
!
!WR_NH3/UR28=0.0
!
!WR_NH3/UR21=0.0
!
!WR_NH3/URG2=0.0
!
!WR_NH3/UR26=0.0
!
!WR_NH3/RPG2=0.0
!
!WR_NH3/RP18=0.0
!
!WR_NH3/RPG3=0.0
!
!WR_NH3/URG4=0.0
!
!WR_NH3/UR8=0.0
!
!WR_NH3/UR17=0.0
!
!WR_NH3/UR7=0.0
!
!WR_NH3/RPR3=0.0
!
!WR_NH3/URG6=0.0
!
!WR_NH3/UR22=0.0
!
!WR_NH3/URG7=0.0
!
!WR_NH3/RPR4=0.0
!
!WR_NH3/RPR7=0.0
!
!WR_NH3/RPG7=0.0
!
!WR_NH3/URG8=0.0
!
!WR_NH3/UR19=0.0
!
!WR_NH3/URG9=0.0
!
!WR_NH3/AP7=0.0
!
!WR_NH3/URG10=0.0
!
!WR_NH3/RPR1=0.0
!
!WR_NH3/RPR5=0.0
!
!WR_NH3/RPR8=0.0
!
!WR_NH3/RP10=0.0
!
!WR_NH3/RP11=0.0
!
!WR_NH3/RP16=0.0
!
!WR_NH3/RPRL=0.0
!
!WR_NH3/APAN=0.0
!
!WR_NH3/PAN1=0.0
!
!WR_NH3/PAN2=0.0
!
!WR_NH3/PAN3=0.0
!
!WR_NH3/PAN4=0.0
!
!WR_NH3/PAN6=0.0
!
!WR_NH3/PAN7=0.0
!
!WR_NH3/PAN8=0.0
!
!WR_NH3/PN10=0.0
!
!WR_NH3/RO2T=0.0
!
!WR_NH3/RO21=0.0
!
!WR_NH3/RO25=0.0
!
!WR_NH3/WC_O3=0.0
!
!WR_NH3/WC_H2O2=0.0
!
!WR_NH3/WC_NO=0.0
!
!WR_NH3/WC_NO2=0.0
!
!WR_NH3/WC_NO3=0.0
!
!WR_NH3/WC_N2O5=0.0
!
!WR_NH3/WC_HONO=0.0
!
!WR_NH3/WC_HNO3=0.0
!
!WR_NH3/WC_HNO4=0.0
!
!WR_NH3/WC_NH3=0.0
!
!WR_NH3/WC_OH=0.0
!
!WR_NH3/WC_HO2=0.0
!
!WR_NH3/WC_CO2=0.0
!
!WR_NH3/WC_SO2=0.0
!
!WR_NH3/WC_H2SO4=0.0
!
!WR_NH3/WC_RO21=0.0
!
!WR_NH3/WC_RO25=0.0
!
!WR_NH3/WC_MEOH=0.0
!
!WR_NH3/WC_ETOH=0.0
!
!WR_NH3/WC_ALCH=0.0
!
!WR_NH3/WC_HCHO=0.0
!
!WR_NH3/WC_ALD2=0.0
!
!WR_NH3/WC_GLY=0.0
!
!WR_NH3/WC_MGLY=0.0
!
!WR_NH3/WC_KETL=0.0
!
!WR_NH3/WC_ORA1=0.0
!
!WR_NH3/WC_ORA2=0.0
!
!WR_NH3/WC_ACID=0.0
!
!WR_NH3/WC_RP16=0.0
!
!WR_NH3/WC_UR21=0.0
!
!WR_NH3/WC_UR28=0.0
!
!WR_NH3/WC_ACID2=0.0
!
!WR_NH3/WC_ASO3=0.0
!
!WR_NH3/WC_ASO4=0.0
!
!WR_NH3/WC_ASO5=0.0
!
!WR_NH3/WC_AHSO5=0.0
!
!WR_NH3/WC_AHMS=0.0
!
!WR_NH3/WR_O3=0.0
!
!WR_NH3/WR_H2O2=0.0
!
!WR_NH3/WR_NO=0.0
!
!WR_NH3/WR_NO2=0.0
!
!WR_NH3/WR_NO3=0.0
!
!WR_NH3/WR_N2O5=0.0
!
!WR_NH3/WR_HONO=0.0
!
!WR_NH3/WR_HNO3=0.0
!
!WR_NH3/WR_HNO4=0.0
!
!WR_NH3/WR_NH3=-KTR41
 PJAC(:,134,134)=-TPK%KTR41(:)
!
!WR_NH3/WR_OH=0.0
!
!WR_NH3/WR_HO2=0.0
!
!WR_NH3/WR_CO2=0.0
!
!WR_NH3/WR_SO2=0.0
!
!WR_NH3/WR_H2SO4=0.0
!
!WR_NH3/WR_RO21=0.0
!
!WR_NH3/WR_RO25=0.0
!
!WR_NH3/WR_MEOH=0.0
!
!WR_NH3/WR_ETOH=0.0
!
!WR_NH3/WR_ALCH=0.0
!
!WR_NH3/WR_HCHO=0.0
!
!WR_NH3/WR_ALD2=0.0
!
!WR_NH3/WR_GLY=0.0
!
!WR_NH3/WR_MGLY=0.0
!
!WR_NH3/WR_KETL=0.0
!
!WR_NH3/WR_ORA1=0.0
!
!WR_NH3/WR_ORA2=0.0
!
!WR_NH3/WR_ACID=0.0
!
!WR_NH3/WR_RP16=0.0
!
!WR_NH3/WR_UR21=0.0
!
!WR_NH3/WR_UR28=0.0
!
!WR_NH3/WR_ACID2=0.0
!
!WR_NH3/WR_ASO3=0.0
!
!WR_NH3/WR_ASO4=0.0
!
!WR_NH3/WR_ASO5=0.0
!
!WR_NH3/WR_AHSO5=0.0
!
!WR_NH3/WR_AHMS=0.0
!
!WR_OH/NO=0.0
!
!WR_OH/NO2=0.0
!
!WR_OH/O3=0.0
!
!WR_OH/HONO=0.0
!
!WR_OH/HNO3=0.0
!
!WR_OH/HNO4=0.0
!
!WR_OH/N2O5=0.0
!
!WR_OH/NO3=0.0
!
!WR_OH/NH3=0.0
!
!WR_OH/HO2=0.0
!
!WR_OH/CO=0.0
!
!WR_OH/H2O2=0.0
!
!WR_OH/SO2=0.0
!
!WR_OH/H2SO4=0.0
!
!WR_OH/OH=+KTR11
 PJAC(:,135,15)=+TPK%KTR11(:)
!
!WR_OH/ETHE=0.0
!
!WR_OH/OLEL=0.0
!
!WR_OH/OLEH=0.0
!
!WR_OH/ALKL=0.0
!
!WR_OH/ALKM=0.0
!
!WR_OH/ALKH=0.0
!
!WR_OH/AROH=0.0
!
!WR_OH/AROL=0.0
!
!WR_OH/AROO=0.0
!
!WR_OH/ARAL=0.0
!
!WR_OH/ARAC=0.0
!
!WR_OH/PAH=0.0
!
!WR_OH/HCHO=0.0
!
!WR_OH/ALD2=0.0
!
!WR_OH/KETL=0.0
!
!WR_OH/KETH=0.0
!
!WR_OH/MEOH=0.0
!
!WR_OH/ETOH=0.0
!
!WR_OH/ALCH=0.0
!
!WR_OH/ISOP=0.0
!
!WR_OH/BIOL=0.0
!
!WR_OH/BIOH=0.0
!
!WR_OH/MTBE=0.0
!
!WR_OH/MVK=0.0
!
!WR_OH/MCR=0.0
!
!WR_OH/MGLY=0.0
!
!WR_OH/GLY=0.0
!
!WR_OH/ORA1=0.0
!
!WR_OH/ORA2=0.0
!
!WR_OH/ACID=0.0
!
!WR_OH/UR28=0.0
!
!WR_OH/UR21=0.0
!
!WR_OH/URG2=0.0
!
!WR_OH/UR26=0.0
!
!WR_OH/RPG2=0.0
!
!WR_OH/RP18=0.0
!
!WR_OH/RPG3=0.0
!
!WR_OH/URG4=0.0
!
!WR_OH/UR8=0.0
!
!WR_OH/UR17=0.0
!
!WR_OH/UR7=0.0
!
!WR_OH/RPR3=0.0
!
!WR_OH/URG6=0.0
!
!WR_OH/UR22=0.0
!
!WR_OH/URG7=0.0
!
!WR_OH/RPR4=0.0
!
!WR_OH/RPR7=0.0
!
!WR_OH/RPG7=0.0
!
!WR_OH/URG8=0.0
!
!WR_OH/UR19=0.0
!
!WR_OH/URG9=0.0
!
!WR_OH/AP7=0.0
!
!WR_OH/URG10=0.0
!
!WR_OH/RPR1=0.0
!
!WR_OH/RPR5=0.0
!
!WR_OH/RPR8=0.0
!
!WR_OH/RP10=0.0
!
!WR_OH/RP11=0.0
!
!WR_OH/RP16=0.0
!
!WR_OH/RPRL=0.0
!
!WR_OH/APAN=0.0
!
!WR_OH/PAN1=0.0
!
!WR_OH/PAN2=0.0
!
!WR_OH/PAN3=0.0
!
!WR_OH/PAN4=0.0
!
!WR_OH/PAN6=0.0
!
!WR_OH/PAN7=0.0
!
!WR_OH/PAN8=0.0
!
!WR_OH/PN10=0.0
!
!WR_OH/RO2T=0.0
!
!WR_OH/RO21=0.0
!
!WR_OH/RO25=0.0
!
!WR_OH/WC_O3=0.0
!
!WR_OH/WC_H2O2=0.0
!
!WR_OH/WC_NO=0.0
!
!WR_OH/WC_NO2=0.0
!
!WR_OH/WC_NO3=0.0
!
!WR_OH/WC_N2O5=0.0
!
!WR_OH/WC_HONO=0.0
!
!WR_OH/WC_HNO3=0.0
!
!WR_OH/WC_HNO4=0.0
!
!WR_OH/WC_NH3=0.0
!
!WR_OH/WC_OH=0.0
!
!WR_OH/WC_HO2=0.0
!
!WR_OH/WC_CO2=0.0
!
!WR_OH/WC_SO2=0.0
!
!WR_OH/WC_H2SO4=0.0
!
!WR_OH/WC_RO21=0.0
!
!WR_OH/WC_RO25=0.0
!
!WR_OH/WC_MEOH=0.0
!
!WR_OH/WC_ETOH=0.0
!
!WR_OH/WC_ALCH=0.0
!
!WR_OH/WC_HCHO=0.0
!
!WR_OH/WC_ALD2=0.0
!
!WR_OH/WC_GLY=0.0
!
!WR_OH/WC_MGLY=0.0
!
!WR_OH/WC_KETL=0.0
!
!WR_OH/WC_ORA1=0.0
!
!WR_OH/WC_ORA2=0.0
!
!WR_OH/WC_ACID=0.0
!
!WR_OH/WC_RP16=0.0
!
!WR_OH/WC_UR21=0.0
!
!WR_OH/WC_UR28=0.0
!
!WR_OH/WC_ACID2=0.0
!
!WR_OH/WC_ASO3=0.0
!
!WR_OH/WC_ASO4=0.0
!
!WR_OH/WC_ASO5=0.0
!
!WR_OH/WC_AHSO5=0.0
!
!WR_OH/WC_AHMS=0.0
!
!WR_OH/WR_O3=+KR6*<WR_HO2>
 PJAC(:,135,125)=+TPK%KR6(:)*PCONC(:,136)
!
!WR_OH/WR_H2O2=+KR1+KR1-KR4*<WR_OH>
 PJAC(:,135,126)=+TPK%KR1(:)+TPK%KR1(:)-TPK%KR4(:)*PCONC(:,135)
!
!WR_OH/WR_NO=0.0
!
!WR_OH/WR_NO2=0.0
!
!WR_OH/WR_NO3=0.0
!
!WR_OH/WR_N2O5=0.0
!
!WR_OH/WR_HONO=-KR8*<WR_OH>
 PJAC(:,135,131)=-TPK%KR8(:)*PCONC(:,135)
!
!WR_OH/WR_HNO3=+KR13
 PJAC(:,135,132)=+TPK%KR13(:)
!
!WR_OH/WR_HNO4=0.0
!
!WR_OH/WR_NH3=0.0
!
!WR_OH/WR_OH=-KTR42-KR2*<WR_OH>-KR2*<WR_OH>-KR2*<WR_OH>-KR2*<WR_OH>-KR3*<WR_HO2
!>-KR4*<WR_H2O2>-KR7*<WR_SO2>-KR8*<WR_HONO>-KR19*<WR_AHMS>-KR30*<WR_MEOH>-KR31*
!<WR_ETOH>-KR32*<WR_ALCH>-KR33*<WR_HCHO>-KR34*<WR_ALD2>-KR35*<WR_GLY>-KR36*<WR_
!MGLY>-KR37*<WR_KETL>-KR38*<WR_ORA1>-KR39*<WR_ORA2>-KR40*<WR_ACID>-KR41*<WR_ACI
!D>-KR42*<WR_UR28>-KR43*<WR_UR21>-KR44*<WR_RP16>-KR45*<WR_RP16>-KR46*<WR_ACID2>
 PJAC(:,135,135)=-TPK%KTR42(:)-TPK%KR2(:)*PCONC(:,135)-TPK%KR2(:)*PCONC(:,135)-&
&TPK%KR2(:)*PCONC(:,135)-TPK%KR2(:)*PCONC(:,135)-TPK%KR3(:)*PCONC(:,136)-TPK%KR&
&4(:)*PCONC(:,126)-TPK%KR7(:)*PCONC(:,138)-TPK%KR8(:)*PCONC(:,131)-TPK%KR19(:)*&
&PCONC(:,161)-TPK%KR30(:)*PCONC(:,142)-TPK%KR31(:)*PCONC(:,143)-TPK%KR32(:)*PCO&
&NC(:,144)-TPK%KR33(:)*PCONC(:,145)-TPK%KR34(:)*PCONC(:,146)-TPK%KR35(:)*PCONC(&
&:,147)-TPK%KR36(:)*PCONC(:,148)-TPK%KR37(:)*PCONC(:,149)-TPK%KR38(:)*PCONC(:,1&
&50)-TPK%KR39(:)*PCONC(:,151)-TPK%KR40(:)*PCONC(:,152)-TPK%KR41(:)*PCONC(:,152)&
&-TPK%KR42(:)*PCONC(:,155)-TPK%KR43(:)*PCONC(:,154)-TPK%KR44(:)*PCONC(:,153)-TP&
&K%KR45(:)*PCONC(:,153)-TPK%KR46(:)*PCONC(:,156)
!
!WR_OH/WR_HO2=-KR3*<WR_OH>+KR6*<WR_O3>
 PJAC(:,135,136)=-TPK%KR3(:)*PCONC(:,135)+TPK%KR6(:)*PCONC(:,125)
!
!WR_OH/WR_CO2=0.0
!
!WR_OH/WR_SO2=-KR7*<WR_OH>
 PJAC(:,135,138)=-TPK%KR7(:)*PCONC(:,135)
!
!WR_OH/WR_H2SO4=0.0
!
!WR_OH/WR_RO21=0.0
!
!WR_OH/WR_RO25=0.0
!
!WR_OH/WR_MEOH=-KR30*<WR_OH>
 PJAC(:,135,142)=-TPK%KR30(:)*PCONC(:,135)
!
!WR_OH/WR_ETOH=-KR31*<WR_OH>
 PJAC(:,135,143)=-TPK%KR31(:)*PCONC(:,135)
!
!WR_OH/WR_ALCH=-KR32*<WR_OH>
 PJAC(:,135,144)=-TPK%KR32(:)*PCONC(:,135)
!
!WR_OH/WR_HCHO=-KR33*<WR_OH>
 PJAC(:,135,145)=-TPK%KR33(:)*PCONC(:,135)
!
!WR_OH/WR_ALD2=-KR34*<WR_OH>
 PJAC(:,135,146)=-TPK%KR34(:)*PCONC(:,135)
!
!WR_OH/WR_GLY=-KR35*<WR_OH>
 PJAC(:,135,147)=-TPK%KR35(:)*PCONC(:,135)
!
!WR_OH/WR_MGLY=-KR36*<WR_OH>
 PJAC(:,135,148)=-TPK%KR36(:)*PCONC(:,135)
!
!WR_OH/WR_KETL=-KR37*<WR_OH>
 PJAC(:,135,149)=-TPK%KR37(:)*PCONC(:,135)
!
!WR_OH/WR_ORA1=-KR38*<WR_OH>
 PJAC(:,135,150)=-TPK%KR38(:)*PCONC(:,135)
!
!WR_OH/WR_ORA2=-KR39*<WR_OH>
 PJAC(:,135,151)=-TPK%KR39(:)*PCONC(:,135)
!
!WR_OH/WR_ACID=-KR40*<WR_OH>-KR41*<WR_OH>
 PJAC(:,135,152)=-TPK%KR40(:)*PCONC(:,135)-TPK%KR41(:)*PCONC(:,135)
!
!WR_OH/WR_RP16=-KR44*<WR_OH>-KR45*<WR_OH>
 PJAC(:,135,153)=-TPK%KR44(:)*PCONC(:,135)-TPK%KR45(:)*PCONC(:,135)
!
!WR_OH/WR_UR21=-KR43*<WR_OH>
 PJAC(:,135,154)=-TPK%KR43(:)*PCONC(:,135)
!
!WR_OH/WR_UR28=-KR42*<WR_OH>
 PJAC(:,135,155)=-TPK%KR42(:)*PCONC(:,135)
!
!WR_OH/WR_ACID2=-KR46*<WR_OH>
 PJAC(:,135,156)=-TPK%KR46(:)*PCONC(:,135)
!
!WR_OH/WR_ASO3=0.0
!
!WR_OH/WR_ASO4=+KR24
 PJAC(:,135,158)=+TPK%KR24(:)
!
!WR_OH/WR_ASO5=0.0
!
!WR_OH/WR_AHSO5=0.0
!
!WR_OH/WR_AHMS=-KR19*<WR_OH>
 PJAC(:,135,161)=-TPK%KR19(:)*PCONC(:,135)
!
RETURN
END SUBROUTINE SUBJ26
!
SUBROUTINE SUBJ27
!
!Indices 136 a 140
!
!
!WR_HO2/NO=0.0
!
!WR_HO2/NO2=0.0
!
!WR_HO2/O3=0.0
!
!WR_HO2/HONO=0.0
!
!WR_HO2/HNO3=0.0
!
!WR_HO2/HNO4=0.0
!
!WR_HO2/N2O5=0.0
!
!WR_HO2/NO3=0.0
!
!WR_HO2/NH3=0.0
!
!WR_HO2/HO2=+KTR12
 PJAC(:,136,10)=+TPK%KTR12(:)
!
!WR_HO2/CO=0.0
!
!WR_HO2/H2O2=0.0
!
!WR_HO2/SO2=0.0
!
!WR_HO2/H2SO4=0.0
!
!WR_HO2/OH=0.0
!
!WR_HO2/ETHE=0.0
!
!WR_HO2/OLEL=0.0
!
!WR_HO2/OLEH=0.0
!
!WR_HO2/ALKL=0.0
!
!WR_HO2/ALKM=0.0
!
!WR_HO2/ALKH=0.0
!
!WR_HO2/AROH=0.0
!
!WR_HO2/AROL=0.0
!
!WR_HO2/AROO=0.0
!
!WR_HO2/ARAL=0.0
!
!WR_HO2/ARAC=0.0
!
!WR_HO2/PAH=0.0
!
!WR_HO2/HCHO=0.0
!
!WR_HO2/ALD2=0.0
!
!WR_HO2/KETL=0.0
!
!WR_HO2/KETH=0.0
!
!WR_HO2/MEOH=0.0
!
!WR_HO2/ETOH=0.0
!
!WR_HO2/ALCH=0.0
!
!WR_HO2/ISOP=0.0
!
!WR_HO2/BIOL=0.0
!
!WR_HO2/BIOH=0.0
!
!WR_HO2/MTBE=0.0
!
!WR_HO2/MVK=0.0
!
!WR_HO2/MCR=0.0
!
!WR_HO2/MGLY=0.0
!
!WR_HO2/GLY=0.0
!
!WR_HO2/ORA1=0.0
!
!WR_HO2/ORA2=0.0
!
!WR_HO2/ACID=0.0
!
!WR_HO2/UR28=0.0
!
!WR_HO2/UR21=0.0
!
!WR_HO2/URG2=0.0
!
!WR_HO2/UR26=0.0
!
!WR_HO2/RPG2=0.0
!
!WR_HO2/RP18=0.0
!
!WR_HO2/RPG3=0.0
!
!WR_HO2/URG4=0.0
!
!WR_HO2/UR8=0.0
!
!WR_HO2/UR17=0.0
!
!WR_HO2/UR7=0.0
!
!WR_HO2/RPR3=0.0
!
!WR_HO2/URG6=0.0
!
!WR_HO2/UR22=0.0
!
!WR_HO2/URG7=0.0
!
!WR_HO2/RPR4=0.0
!
!WR_HO2/RPR7=0.0
!
!WR_HO2/RPG7=0.0
!
!WR_HO2/URG8=0.0
!
!WR_HO2/UR19=0.0
!
!WR_HO2/URG9=0.0
!
!WR_HO2/AP7=0.0
!
!WR_HO2/URG10=0.0
!
!WR_HO2/RPR1=0.0
!
!WR_HO2/RPR5=0.0
!
!WR_HO2/RPR8=0.0
!
!WR_HO2/RP10=0.0
!
!WR_HO2/RP11=0.0
!
!WR_HO2/RP16=0.0
!
!WR_HO2/RPRL=0.0
!
!WR_HO2/APAN=0.0
!
!WR_HO2/PAN1=0.0
!
!WR_HO2/PAN2=0.0
!
!WR_HO2/PAN3=0.0
!
!WR_HO2/PAN4=0.0
!
!WR_HO2/PAN6=0.0
!
!WR_HO2/PAN7=0.0
!
!WR_HO2/PAN8=0.0
!
!WR_HO2/PN10=0.0
!
!WR_HO2/RO2T=0.0
!
!WR_HO2/RO21=0.0
!
!WR_HO2/RO25=0.0
!
!WR_HO2/WC_O3=0.0
!
!WR_HO2/WC_H2O2=0.0
!
!WR_HO2/WC_NO=0.0
!
!WR_HO2/WC_NO2=0.0
!
!WR_HO2/WC_NO3=0.0
!
!WR_HO2/WC_N2O5=0.0
!
!WR_HO2/WC_HONO=0.0
!
!WR_HO2/WC_HNO3=0.0
!
!WR_HO2/WC_HNO4=0.0
!
!WR_HO2/WC_NH3=0.0
!
!WR_HO2/WC_OH=0.0
!
!WR_HO2/WC_HO2=0.0
!
!WR_HO2/WC_CO2=0.0
!
!WR_HO2/WC_SO2=0.0
!
!WR_HO2/WC_H2SO4=0.0
!
!WR_HO2/WC_RO21=0.0
!
!WR_HO2/WC_RO25=0.0
!
!WR_HO2/WC_MEOH=0.0
!
!WR_HO2/WC_ETOH=0.0
!
!WR_HO2/WC_ALCH=0.0
!
!WR_HO2/WC_HCHO=0.0
!
!WR_HO2/WC_ALD2=0.0
!
!WR_HO2/WC_GLY=0.0
!
!WR_HO2/WC_MGLY=0.0
!
!WR_HO2/WC_KETL=0.0
!
!WR_HO2/WC_ORA1=0.0
!
!WR_HO2/WC_ORA2=0.0
!
!WR_HO2/WC_ACID=0.0
!
!WR_HO2/WC_RP16=0.0
!
!WR_HO2/WC_UR21=0.0
!
!WR_HO2/WC_UR28=0.0
!
!WR_HO2/WC_ACID2=0.0
!
!WR_HO2/WC_ASO3=0.0
!
!WR_HO2/WC_ASO4=0.0
!
!WR_HO2/WC_ASO5=0.0
!
!WR_HO2/WC_AHSO5=0.0
!
!WR_HO2/WC_AHMS=0.0
!
!WR_HO2/WR_O3=-KR6*<WR_HO2>
 PJAC(:,136,125)=-TPK%KR6(:)*PCONC(:,136)
!
!WR_HO2/WR_H2O2=+KR4*<WR_OH>
 PJAC(:,136,126)=+TPK%KR4(:)*PCONC(:,135)
!
!WR_HO2/WR_NO=0.0
!
!WR_HO2/WR_NO2=-KR9*<WR_HO2>
 PJAC(:,136,128)=-TPK%KR9(:)*PCONC(:,136)
!
!WR_HO2/WR_NO3=0.0
!
!WR_HO2/WR_N2O5=0.0
!
!WR_HO2/WR_HONO=0.0
!
!WR_HO2/WR_HNO3=0.0
!
!WR_HO2/WR_HNO4=+KR10
 PJAC(:,136,133)=+TPK%KR10(:)
!
!WR_HO2/WR_NH3=0.0
!
!WR_HO2/WR_OH=-KR3*<WR_HO2>+KR4*<WR_H2O2>+KR19*<WR_AHMS>+KR30*<WR_MEOH>+KR31*<W
!R_ETOH>+KR32*<WR_ALCH>+KR33*<WR_HCHO>+KR35*<WR_GLY>+KR36*<WR_MGLY>+KR37*<WR_KE
!TL>+KR38*<WR_ORA1>+0.11*KR41*<WR_ACID>+KR42*<WR_UR28>+0.81*KR43*<WR_UR21>+KR44
!*<WR_RP16>+0.71*KR45*<WR_RP16>
 PJAC(:,136,135)=-TPK%KR3(:)*PCONC(:,136)+TPK%KR4(:)*PCONC(:,126)+TPK%KR19(:)*P&
&CONC(:,161)+TPK%KR30(:)*PCONC(:,142)+TPK%KR31(:)*PCONC(:,143)+TPK%KR32(:)*PCON&
&C(:,144)+TPK%KR33(:)*PCONC(:,145)+TPK%KR35(:)*PCONC(:,147)+TPK%KR36(:)*PCONC(:&
&,148)+TPK%KR37(:)*PCONC(:,149)+TPK%KR38(:)*PCONC(:,150)+0.11*TPK%KR41(:)*PCONC&
&(:,152)+TPK%KR42(:)*PCONC(:,155)+0.81*TPK%KR43(:)*PCONC(:,154)+TPK%KR44(:)*PCO&
&NC(:,153)+0.71*TPK%KR45(:)*PCONC(:,153)
!
!WR_HO2/WR_HO2=-KTR43-KR3*<WR_OH>-KR5*<WR_HO2>-KR5*<WR_HO2>-KR5*<WR_HO2>-KR5*<W
!R_HO2>-KR6*<WR_O3>-KR9*<WR_NO2>-KR21*<WR_ASO5>
 PJAC(:,136,136)=-TPK%KTR43(:)-TPK%KR3(:)*PCONC(:,135)-TPK%KR5(:)*PCONC(:,136)-&
&TPK%KR5(:)*PCONC(:,136)-TPK%KR5(:)*PCONC(:,136)-TPK%KR5(:)*PCONC(:,136)-TPK%KR&
&6(:)*PCONC(:,125)-TPK%KR9(:)*PCONC(:,128)-TPK%KR21(:)*PCONC(:,159)
!
!WR_HO2/WR_CO2=0.0
!
!WR_HO2/WR_SO2=0.0
!
!WR_HO2/WR_H2SO4=0.0
!
!WR_HO2/WR_RO21=+2.00*KR27*<WR_RO21>+2.00*KR27*<WR_RO21>
 PJAC(:,136,140)=+2.00*TPK%KR27(:)*PCONC(:,140)+2.00*TPK%KR27(:)*PCONC(:,140)
!
!WR_HO2/WR_RO25=+KR29*<WR_RO25>+KR29*<WR_RO25>
 PJAC(:,136,141)=+TPK%KR29(:)*PCONC(:,141)+TPK%KR29(:)*PCONC(:,141)
!
!WR_HO2/WR_MEOH=+KR30*<WR_OH>
 PJAC(:,136,142)=+TPK%KR30(:)*PCONC(:,135)
!
!WR_HO2/WR_ETOH=+KR31*<WR_OH>
 PJAC(:,136,143)=+TPK%KR31(:)*PCONC(:,135)
!
!WR_HO2/WR_ALCH=+KR32*<WR_OH>
 PJAC(:,136,144)=+TPK%KR32(:)*PCONC(:,135)
!
!WR_HO2/WR_HCHO=+KR33*<WR_OH>
 PJAC(:,136,145)=+TPK%KR33(:)*PCONC(:,135)
!
!WR_HO2/WR_ALD2=0.0
!
!WR_HO2/WR_GLY=+KR35*<WR_OH>
 PJAC(:,136,147)=+TPK%KR35(:)*PCONC(:,135)
!
!WR_HO2/WR_MGLY=+KR36*<WR_OH>
 PJAC(:,136,148)=+TPK%KR36(:)*PCONC(:,135)
!
!WR_HO2/WR_KETL=+KR37*<WR_OH>
 PJAC(:,136,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_HO2/WR_ORA1=+KR38*<WR_OH>
 PJAC(:,136,150)=+TPK%KR38(:)*PCONC(:,135)
!
!WR_HO2/WR_ORA2=0.0
!
!WR_HO2/WR_ACID=+0.11*KR41*<WR_OH>
 PJAC(:,136,152)=+0.11*TPK%KR41(:)*PCONC(:,135)
!
!WR_HO2/WR_RP16=+KR44*<WR_OH>+0.71*KR45*<WR_OH>
 PJAC(:,136,153)=+TPK%KR44(:)*PCONC(:,135)+0.71*TPK%KR45(:)*PCONC(:,135)
!
!WR_HO2/WR_UR21=+0.81*KR43*<WR_OH>
 PJAC(:,136,154)=+0.81*TPK%KR43(:)*PCONC(:,135)
!
!WR_HO2/WR_UR28=+KR42*<WR_OH>
 PJAC(:,136,155)=+TPK%KR42(:)*PCONC(:,135)
!
!WR_HO2/WR_ACID2=0.0
!
!WR_HO2/WR_ASO3=0.0
!
!WR_HO2/WR_ASO4=0.0
!
!WR_HO2/WR_ASO5=-KR21*<WR_HO2>
 PJAC(:,136,159)=-TPK%KR21(:)*PCONC(:,136)
!
!WR_HO2/WR_AHSO5=0.0
!
!WR_HO2/WR_AHMS=+KR19*<WR_OH>
 PJAC(:,136,161)=+TPK%KR19(:)*PCONC(:,135)
!
!WR_CO2/NO=0.0
!
!WR_CO2/NO2=0.0
!
!WR_CO2/O3=0.0
!
!WR_CO2/HONO=0.0
!
!WR_CO2/HNO3=0.0
!
!WR_CO2/HNO4=0.0
!
!WR_CO2/N2O5=0.0
!
!WR_CO2/NO3=0.0
!
!WR_CO2/NH3=0.0
!
!WR_CO2/HO2=0.0
!
!WR_CO2/CO=0.0
!
!WR_CO2/H2O2=0.0
!
!WR_CO2/SO2=0.0
!
!WR_CO2/H2SO4=0.0
!
!WR_CO2/OH=0.0
!
!WR_CO2/ETHE=0.0
!
!WR_CO2/OLEL=0.0
!
!WR_CO2/OLEH=0.0
!
!WR_CO2/ALKL=0.0
!
!WR_CO2/ALKM=0.0
!
!WR_CO2/ALKH=0.0
!
!WR_CO2/AROH=0.0
!
!WR_CO2/AROL=0.0
!
!WR_CO2/AROO=0.0
!
!WR_CO2/ARAL=0.0
!
!WR_CO2/ARAC=0.0
!
!WR_CO2/PAH=0.0
!
!WR_CO2/HCHO=0.0
!
!WR_CO2/ALD2=0.0
!
!WR_CO2/KETL=0.0
!
!WR_CO2/KETH=0.0
!
!WR_CO2/MEOH=0.0
!
!WR_CO2/ETOH=0.0
!
!WR_CO2/ALCH=0.0
!
!WR_CO2/ISOP=0.0
!
!WR_CO2/BIOL=0.0
!
!WR_CO2/BIOH=0.0
!
!WR_CO2/MTBE=0.0
!
!WR_CO2/MVK=0.0
!
!WR_CO2/MCR=0.0
!
!WR_CO2/MGLY=0.0
!
!WR_CO2/GLY=0.0
!
!WR_CO2/ORA1=0.0
!
!WR_CO2/ORA2=0.0
!
!WR_CO2/ACID=0.0
!
!WR_CO2/UR28=0.0
!
!WR_CO2/UR21=0.0
!
!WR_CO2/URG2=0.0
!
!WR_CO2/UR26=0.0
!
!WR_CO2/RPG2=0.0
!
!WR_CO2/RP18=0.0
!
!WR_CO2/RPG3=0.0
!
!WR_CO2/URG4=0.0
!
!WR_CO2/UR8=0.0
!
!WR_CO2/UR17=0.0
!
!WR_CO2/UR7=0.0
!
!WR_CO2/RPR3=0.0
!
!WR_CO2/URG6=0.0
!
!WR_CO2/UR22=0.0
!
!WR_CO2/URG7=0.0
!
!WR_CO2/RPR4=0.0
!
!WR_CO2/RPR7=0.0
!
!WR_CO2/RPG7=0.0
!
!WR_CO2/URG8=0.0
!
!WR_CO2/UR19=0.0
!
!WR_CO2/URG9=0.0
!
!WR_CO2/AP7=0.0
!
!WR_CO2/URG10=0.0
!
!WR_CO2/RPR1=0.0
!
!WR_CO2/RPR5=0.0
!
!WR_CO2/RPR8=0.0
!
!WR_CO2/RP10=0.0
!
!WR_CO2/RP11=0.0
!
!WR_CO2/RP16=0.0
!
!WR_CO2/RPRL=0.0
!
!WR_CO2/APAN=0.0
!
!WR_CO2/PAN1=0.0
!
!WR_CO2/PAN2=0.0
!
!WR_CO2/PAN3=0.0
!
!WR_CO2/PAN4=0.0
!
!WR_CO2/PAN6=0.0
!
!WR_CO2/PAN7=0.0
!
!WR_CO2/PAN8=0.0
!
!WR_CO2/PN10=0.0
!
!WR_CO2/RO2T=0.0
!
!WR_CO2/RO21=0.0
!
!WR_CO2/RO25=0.0
!
!WR_CO2/WC_O3=0.0
!
!WR_CO2/WC_H2O2=0.0
!
!WR_CO2/WC_NO=0.0
!
!WR_CO2/WC_NO2=0.0
!
!WR_CO2/WC_NO3=0.0
!
!WR_CO2/WC_N2O5=0.0
!
!WR_CO2/WC_HONO=0.0
!
!WR_CO2/WC_HNO3=0.0
!
!WR_CO2/WC_HNO4=0.0
!
!WR_CO2/WC_NH3=0.0
!
!WR_CO2/WC_OH=0.0
!
!WR_CO2/WC_HO2=0.0
!
!WR_CO2/WC_CO2=0.0
!
!WR_CO2/WC_SO2=0.0
!
!WR_CO2/WC_H2SO4=0.0
!
!WR_CO2/WC_RO21=0.0
!
!WR_CO2/WC_RO25=0.0
!
!WR_CO2/WC_MEOH=0.0
!
!WR_CO2/WC_ETOH=0.0
!
!WR_CO2/WC_ALCH=0.0
!
!WR_CO2/WC_HCHO=0.0
!
!WR_CO2/WC_ALD2=0.0
!
!WR_CO2/WC_GLY=0.0
!
!WR_CO2/WC_MGLY=0.0
!
!WR_CO2/WC_KETL=0.0
!
!WR_CO2/WC_ORA1=0.0
!
!WR_CO2/WC_ORA2=0.0
!
!WR_CO2/WC_ACID=0.0
!
!WR_CO2/WC_RP16=0.0
!
!WR_CO2/WC_UR21=0.0
!
!WR_CO2/WC_UR28=0.0
!
!WR_CO2/WC_ACID2=0.0
!
!WR_CO2/WC_ASO3=0.0
!
!WR_CO2/WC_ASO4=0.0
!
!WR_CO2/WC_ASO5=0.0
!
!WR_CO2/WC_AHSO5=0.0
!
!WR_CO2/WC_AHMS=0.0
!
!WR_CO2/WR_O3=0.0
!
!WR_CO2/WR_H2O2=0.0
!
!WR_CO2/WR_NO=0.0
!
!WR_CO2/WR_NO2=0.0
!
!WR_CO2/WR_NO3=0.0
!
!WR_CO2/WR_N2O5=0.0
!
!WR_CO2/WR_HONO=0.0
!
!WR_CO2/WR_HNO3=0.0
!
!WR_CO2/WR_HNO4=0.0
!
!WR_CO2/WR_NH3=0.0
!
!WR_CO2/WR_OH=+KR34*<WR_ALD2>+KR37*<WR_KETL>+KR38*<WR_ORA1>+KR40*<WR_ACID>+2*KR
!42*<WR_UR28>+0.43*KR43*<WR_UR21>+2*KR45*<WR_RP16>
 PJAC(:,137,135)=+TPK%KR34(:)*PCONC(:,146)+TPK%KR37(:)*PCONC(:,149)+TPK%KR38(:)&
&*PCONC(:,150)+TPK%KR40(:)*PCONC(:,152)+2*TPK%KR42(:)*PCONC(:,155)+0.43*TPK%KR4&
&3(:)*PCONC(:,154)+2*TPK%KR45(:)*PCONC(:,153)
!
!WR_CO2/WR_HO2=0.0
!
!WR_CO2/WR_CO2=-KTR44
 PJAC(:,137,137)=-TPK%KTR44(:)
!
!WR_CO2/WR_SO2=0.0
!
!WR_CO2/WR_H2SO4=0.0
!
!WR_CO2/WR_RO21=0.0
!
!WR_CO2/WR_RO25=0.0
!
!WR_CO2/WR_MEOH=0.0
!
!WR_CO2/WR_ETOH=0.0
!
!WR_CO2/WR_ALCH=0.0
!
!WR_CO2/WR_HCHO=0.0
!
!WR_CO2/WR_ALD2=+KR34*<WR_OH>
 PJAC(:,137,146)=+TPK%KR34(:)*PCONC(:,135)
!
!WR_CO2/WR_GLY=0.0
!
!WR_CO2/WR_MGLY=0.0
!
!WR_CO2/WR_KETL=+KR37*<WR_OH>
 PJAC(:,137,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_CO2/WR_ORA1=+KR38*<WR_OH>
 PJAC(:,137,150)=+TPK%KR38(:)*PCONC(:,135)
!
!WR_CO2/WR_ORA2=0.0
!
!WR_CO2/WR_ACID=+KR40*<WR_OH>
 PJAC(:,137,152)=+TPK%KR40(:)*PCONC(:,135)
!
!WR_CO2/WR_RP16=+2*KR45*<WR_OH>
 PJAC(:,137,153)=+2*TPK%KR45(:)*PCONC(:,135)
!
!WR_CO2/WR_UR21=+0.43*KR43*<WR_OH>
 PJAC(:,137,154)=+0.43*TPK%KR43(:)*PCONC(:,135)
!
!WR_CO2/WR_UR28=+2*KR42*<WR_OH>
 PJAC(:,137,155)=+2*TPK%KR42(:)*PCONC(:,135)
!
!WR_CO2/WR_ACID2=0.0
!
!WR_CO2/WR_ASO3=0.0
!
!WR_CO2/WR_ASO4=0.0
!
!WR_CO2/WR_ASO5=0.0
!
!WR_CO2/WR_AHSO5=0.0
!
!WR_CO2/WR_AHMS=0.0
!
!WR_SO2/NO=0.0
!
!WR_SO2/NO2=0.0
!
!WR_SO2/O3=0.0
!
!WR_SO2/HONO=0.0
!
!WR_SO2/HNO3=0.0
!
!WR_SO2/HNO4=0.0
!
!WR_SO2/N2O5=0.0
!
!WR_SO2/NO3=0.0
!
!WR_SO2/NH3=0.0
!
!WR_SO2/HO2=0.0
!
!WR_SO2/CO=0.0
!
!WR_SO2/H2O2=0.0
!
!WR_SO2/SO2=+KTR14
 PJAC(:,138,13)=+TPK%KTR14(:)
!
!WR_SO2/H2SO4=0.0
!
!WR_SO2/OH=0.0
!
!WR_SO2/ETHE=0.0
!
!WR_SO2/OLEL=0.0
!
!WR_SO2/OLEH=0.0
!
!WR_SO2/ALKL=0.0
!
!WR_SO2/ALKM=0.0
!
!WR_SO2/ALKH=0.0
!
!WR_SO2/AROH=0.0
!
!WR_SO2/AROL=0.0
!
!WR_SO2/AROO=0.0
!
!WR_SO2/ARAL=0.0
!
!WR_SO2/ARAC=0.0
!
!WR_SO2/PAH=0.0
!
!WR_SO2/HCHO=0.0
!
!WR_SO2/ALD2=0.0
!
!WR_SO2/KETL=0.0
!
!WR_SO2/KETH=0.0
!
!WR_SO2/MEOH=0.0
!
!WR_SO2/ETOH=0.0
!
!WR_SO2/ALCH=0.0
!
!WR_SO2/ISOP=0.0
!
!WR_SO2/BIOL=0.0
!
!WR_SO2/BIOH=0.0
!
!WR_SO2/MTBE=0.0
!
!WR_SO2/MVK=0.0
!
!WR_SO2/MCR=0.0
!
!WR_SO2/MGLY=0.0
!
!WR_SO2/GLY=0.0
!
!WR_SO2/ORA1=0.0
!
!WR_SO2/ORA2=0.0
!
!WR_SO2/ACID=0.0
!
!WR_SO2/UR28=0.0
!
!WR_SO2/UR21=0.0
!
!WR_SO2/URG2=0.0
!
!WR_SO2/UR26=0.0
!
!WR_SO2/RPG2=0.0
!
!WR_SO2/RP18=0.0
!
!WR_SO2/RPG3=0.0
!
!WR_SO2/URG4=0.0
!
!WR_SO2/UR8=0.0
!
!WR_SO2/UR17=0.0
!
!WR_SO2/UR7=0.0
!
!WR_SO2/RPR3=0.0
!
!WR_SO2/URG6=0.0
!
!WR_SO2/UR22=0.0
!
!WR_SO2/URG7=0.0
!
!WR_SO2/RPR4=0.0
!
!WR_SO2/RPR7=0.0
!
!WR_SO2/RPG7=0.0
!
!WR_SO2/URG8=0.0
!
!WR_SO2/UR19=0.0
!
!WR_SO2/URG9=0.0
!
!WR_SO2/AP7=0.0
!
!WR_SO2/URG10=0.0
!
!WR_SO2/RPR1=0.0
!
!WR_SO2/RPR5=0.0
!
!WR_SO2/RPR8=0.0
!
!WR_SO2/RP10=0.0
!
!WR_SO2/RP11=0.0
!
!WR_SO2/RP16=0.0
!
!WR_SO2/RPRL=0.0
!
!WR_SO2/APAN=0.0
!
!WR_SO2/PAN1=0.0
!
!WR_SO2/PAN2=0.0
!
!WR_SO2/PAN3=0.0
!
!WR_SO2/PAN4=0.0
!
!WR_SO2/PAN6=0.0
!
!WR_SO2/PAN7=0.0
!
!WR_SO2/PAN8=0.0
!
!WR_SO2/PN10=0.0
!
!WR_SO2/RO2T=0.0
!
!WR_SO2/RO21=0.0
!
!WR_SO2/RO25=0.0
!
!WR_SO2/WC_O3=0.0
!
!WR_SO2/WC_H2O2=0.0
!
!WR_SO2/WC_NO=0.0
!
!WR_SO2/WC_NO2=0.0
!
!WR_SO2/WC_NO3=0.0
!
!WR_SO2/WC_N2O5=0.0
!
!WR_SO2/WC_HONO=0.0
!
!WR_SO2/WC_HNO3=0.0
!
!WR_SO2/WC_HNO4=0.0
!
!WR_SO2/WC_NH3=0.0
!
!WR_SO2/WC_OH=0.0
!
!WR_SO2/WC_HO2=0.0
!
!WR_SO2/WC_CO2=0.0
!
!WR_SO2/WC_SO2=0.0
!
!WR_SO2/WC_H2SO4=0.0
!
!WR_SO2/WC_RO21=0.0
!
!WR_SO2/WC_RO25=0.0
!
!WR_SO2/WC_MEOH=0.0
!
!WR_SO2/WC_ETOH=0.0
!
!WR_SO2/WC_ALCH=0.0
!
!WR_SO2/WC_HCHO=0.0
!
!WR_SO2/WC_ALD2=0.0
!
!WR_SO2/WC_GLY=0.0
!
!WR_SO2/WC_MGLY=0.0
!
!WR_SO2/WC_KETL=0.0
!
!WR_SO2/WC_ORA1=0.0
!
!WR_SO2/WC_ORA2=0.0
!
!WR_SO2/WC_ACID=0.0
!
!WR_SO2/WC_RP16=0.0
!
!WR_SO2/WC_UR21=0.0
!
!WR_SO2/WC_UR28=0.0
!
!WR_SO2/WC_ACID2=0.0
!
!WR_SO2/WC_ASO3=0.0
!
!WR_SO2/WC_ASO4=0.0
!
!WR_SO2/WC_ASO5=0.0
!
!WR_SO2/WC_AHSO5=0.0
!
!WR_SO2/WC_AHMS=0.0
!
!WR_SO2/WR_O3=-KR25*<WR_SO2>
 PJAC(:,138,125)=-TPK%KR25(:)*PCONC(:,138)
!
!WR_SO2/WR_H2O2=-KR26*<WR_SO2>
 PJAC(:,138,126)=-TPK%KR26(:)*PCONC(:,138)
!
!WR_SO2/WR_NO=0.0
!
!WR_SO2/WR_NO2=0.0
!
!WR_SO2/WR_NO3=-KR16*<WR_SO2>
 PJAC(:,138,129)=-TPK%KR16(:)*PCONC(:,138)
!
!WR_SO2/WR_N2O5=0.0
!
!WR_SO2/WR_HONO=0.0
!
!WR_SO2/WR_HNO3=0.0
!
!WR_SO2/WR_HNO4=-KR12*<WR_SO2>
 PJAC(:,138,133)=-TPK%KR12(:)*PCONC(:,138)
!
!WR_SO2/WR_NH3=0.0
!
!WR_SO2/WR_OH=-KR7*<WR_SO2>+KR19*<WR_AHMS>
 PJAC(:,138,135)=-TPK%KR7(:)*PCONC(:,138)+TPK%KR19(:)*PCONC(:,161)
!
!WR_SO2/WR_HO2=0.0
!
!WR_SO2/WR_CO2=0.0
!
!WR_SO2/WR_SO2=-KTR45-KR7*<WR_OH>-KR12*<WR_HNO4>-KR16*<WR_NO3>-KR17*<WR_HCHO>-K
!R23*<WR_AHSO5>-KR25*<WR_O3>-KR26*<WR_H2O2>-KR28*<WR_RO21>
 PJAC(:,138,138)=-TPK%KTR45(:)-TPK%KR7(:)*PCONC(:,135)-TPK%KR12(:)*PCONC(:,133)&
&-TPK%KR16(:)*PCONC(:,129)-TPK%KR17(:)*PCONC(:,145)-TPK%KR23(:)*PCONC(:,160)-TP&
&K%KR25(:)*PCONC(:,125)-TPK%KR26(:)*PCONC(:,126)-TPK%KR28(:)*PCONC(:,140)
!
!WR_SO2/WR_H2SO4=0.0
!
!WR_SO2/WR_RO21=-KR28*<WR_SO2>
 PJAC(:,138,140)=-TPK%KR28(:)*PCONC(:,138)
!
!WR_SO2/WR_RO25=0.0
!
!WR_SO2/WR_MEOH=0.0
!
!WR_SO2/WR_ETOH=0.0
!
!WR_SO2/WR_ALCH=0.0
!
!WR_SO2/WR_HCHO=-KR17*<WR_SO2>
 PJAC(:,138,145)=-TPK%KR17(:)*PCONC(:,138)
!
!WR_SO2/WR_ALD2=0.0
!
!WR_SO2/WR_GLY=0.0
!
!WR_SO2/WR_MGLY=0.0
!
!WR_SO2/WR_KETL=0.0
!
!WR_SO2/WR_ORA1=0.0
!
!WR_SO2/WR_ORA2=0.0
!
!WR_SO2/WR_ACID=0.0
!
!WR_SO2/WR_RP16=0.0
!
!WR_SO2/WR_UR21=0.0
!
!WR_SO2/WR_UR28=0.0
!
!WR_SO2/WR_ACID2=0.0
!
!WR_SO2/WR_ASO3=0.0
!
!WR_SO2/WR_ASO4=0.0
!
!WR_SO2/WR_ASO5=0.0
!
!WR_SO2/WR_AHSO5=-KR23*<WR_SO2>
 PJAC(:,138,160)=-TPK%KR23(:)*PCONC(:,138)
!
!WR_SO2/WR_AHMS=+KR18+KR19*<WR_OH>
 PJAC(:,138,161)=+TPK%KR18(:)+TPK%KR19(:)*PCONC(:,135)
!
!WR_H2SO4/NO=0.0
!
!WR_H2SO4/NO2=0.0
!
!WR_H2SO4/O3=0.0
!
!WR_H2SO4/HONO=0.0
!
!WR_H2SO4/HNO3=0.0
!
!WR_H2SO4/HNO4=0.0
!
!WR_H2SO4/N2O5=0.0
!
!WR_H2SO4/NO3=0.0
!
!WR_H2SO4/NH3=0.0
!
!WR_H2SO4/HO2=0.0
!
!WR_H2SO4/CO=0.0
!
!WR_H2SO4/H2O2=0.0
!
!WR_H2SO4/SO2=0.0
!
!WR_H2SO4/H2SO4=+KTR15
 PJAC(:,139,14)=+TPK%KTR15(:)
!
!WR_H2SO4/OH=0.0
!
!WR_H2SO4/ETHE=0.0
!
!WR_H2SO4/OLEL=0.0
!
!WR_H2SO4/OLEH=0.0
!
!WR_H2SO4/ALKL=0.0
!
!WR_H2SO4/ALKM=0.0
!
!WR_H2SO4/ALKH=0.0
!
!WR_H2SO4/AROH=0.0
!
!WR_H2SO4/AROL=0.0
!
!WR_H2SO4/AROO=0.0
!
!WR_H2SO4/ARAL=0.0
!
!WR_H2SO4/ARAC=0.0
!
!WR_H2SO4/PAH=0.0
!
!WR_H2SO4/HCHO=0.0
!
!WR_H2SO4/ALD2=0.0
!
!WR_H2SO4/KETL=0.0
!
!WR_H2SO4/KETH=0.0
!
!WR_H2SO4/MEOH=0.0
!
!WR_H2SO4/ETOH=0.0
!
!WR_H2SO4/ALCH=0.0
!
!WR_H2SO4/ISOP=0.0
!
!WR_H2SO4/BIOL=0.0
!
!WR_H2SO4/BIOH=0.0
!
!WR_H2SO4/MTBE=0.0
!
!WR_H2SO4/MVK=0.0
!
!WR_H2SO4/MCR=0.0
!
!WR_H2SO4/MGLY=0.0
!
!WR_H2SO4/GLY=0.0
!
!WR_H2SO4/ORA1=0.0
!
!WR_H2SO4/ORA2=0.0
!
!WR_H2SO4/ACID=0.0
!
!WR_H2SO4/UR28=0.0
!
!WR_H2SO4/UR21=0.0
!
!WR_H2SO4/URG2=0.0
!
!WR_H2SO4/UR26=0.0
!
!WR_H2SO4/RPG2=0.0
!
!WR_H2SO4/RP18=0.0
!
!WR_H2SO4/RPG3=0.0
!
!WR_H2SO4/URG4=0.0
!
!WR_H2SO4/UR8=0.0
!
!WR_H2SO4/UR17=0.0
!
!WR_H2SO4/UR7=0.0
!
!WR_H2SO4/RPR3=0.0
!
!WR_H2SO4/URG6=0.0
!
!WR_H2SO4/UR22=0.0
!
!WR_H2SO4/URG7=0.0
!
!WR_H2SO4/RPR4=0.0
!
!WR_H2SO4/RPR7=0.0
!
!WR_H2SO4/RPG7=0.0
!
!WR_H2SO4/URG8=0.0
!
!WR_H2SO4/UR19=0.0
!
!WR_H2SO4/URG9=0.0
!
!WR_H2SO4/AP7=0.0
!
!WR_H2SO4/URG10=0.0
!
!WR_H2SO4/RPR1=0.0
!
!WR_H2SO4/RPR5=0.0
!
!WR_H2SO4/RPR8=0.0
!
!WR_H2SO4/RP10=0.0
!
!WR_H2SO4/RP11=0.0
!
!WR_H2SO4/RP16=0.0
!
!WR_H2SO4/RPRL=0.0
!
!WR_H2SO4/APAN=0.0
!
!WR_H2SO4/PAN1=0.0
!
!WR_H2SO4/PAN2=0.0
!
!WR_H2SO4/PAN3=0.0
!
!WR_H2SO4/PAN4=0.0
!
!WR_H2SO4/PAN6=0.0
!
!WR_H2SO4/PAN7=0.0
!
!WR_H2SO4/PAN8=0.0
!
!WR_H2SO4/PN10=0.0
!
!WR_H2SO4/RO2T=0.0
!
!WR_H2SO4/RO21=0.0
!
!WR_H2SO4/RO25=0.0
!
!WR_H2SO4/WC_O3=0.0
!
!WR_H2SO4/WC_H2O2=0.0
!
!WR_H2SO4/WC_NO=0.0
!
!WR_H2SO4/WC_NO2=0.0
!
!WR_H2SO4/WC_NO3=0.0
!
!WR_H2SO4/WC_N2O5=0.0
!
!WR_H2SO4/WC_HONO=0.0
!
!WR_H2SO4/WC_HNO3=0.0
!
!WR_H2SO4/WC_HNO4=0.0
!
!WR_H2SO4/WC_NH3=0.0
!
!WR_H2SO4/WC_OH=0.0
!
!WR_H2SO4/WC_HO2=0.0
!
!WR_H2SO4/WC_CO2=0.0
!
!WR_H2SO4/WC_SO2=0.0
!
!WR_H2SO4/WC_H2SO4=0.0
!
!WR_H2SO4/WC_RO21=0.0
!
!WR_H2SO4/WC_RO25=0.0
!
!WR_H2SO4/WC_MEOH=0.0
!
!WR_H2SO4/WC_ETOH=0.0
!
!WR_H2SO4/WC_ALCH=0.0
!
!WR_H2SO4/WC_HCHO=0.0
!
!WR_H2SO4/WC_ALD2=0.0
!
!WR_H2SO4/WC_GLY=0.0
!
!WR_H2SO4/WC_MGLY=0.0
!
!WR_H2SO4/WC_KETL=0.0
!
!WR_H2SO4/WC_ORA1=0.0
!
!WR_H2SO4/WC_ORA2=0.0
!
!WR_H2SO4/WC_ACID=0.0
!
!WR_H2SO4/WC_RP16=0.0
!
!WR_H2SO4/WC_UR21=0.0
!
!WR_H2SO4/WC_UR28=0.0
!
!WR_H2SO4/WC_ACID2=0.0
!
!WR_H2SO4/WC_ASO3=0.0
!
!WR_H2SO4/WC_ASO4=0.0
!
!WR_H2SO4/WC_ASO5=0.0
!
!WR_H2SO4/WC_AHSO5=0.0
!
!WR_H2SO4/WC_AHMS=0.0
!
!WR_H2SO4/WR_O3=+KR25*<WR_SO2>
 PJAC(:,139,125)=+TPK%KR25(:)*PCONC(:,138)
!
!WR_H2SO4/WR_H2O2=+KR26*<WR_SO2>
 PJAC(:,139,126)=+TPK%KR26(:)*PCONC(:,138)
!
!WR_H2SO4/WR_NO=0.0
!
!WR_H2SO4/WR_NO2=0.0
!
!WR_H2SO4/WR_NO3=-KR15*<WR_H2SO4>
 PJAC(:,139,129)=-TPK%KR15(:)*PCONC(:,139)
!
!WR_H2SO4/WR_N2O5=0.0
!
!WR_H2SO4/WR_HONO=0.0
!
!WR_H2SO4/WR_HNO3=0.0
!
!WR_H2SO4/WR_HNO4=+KR12*<WR_SO2>
 PJAC(:,139,133)=+TPK%KR12(:)*PCONC(:,138)
!
!WR_H2SO4/WR_NH3=0.0
!
!WR_H2SO4/WR_OH=0.0
!
!WR_H2SO4/WR_HO2=0.0
!
!WR_H2SO4/WR_CO2=0.0
!
!WR_H2SO4/WR_SO2=+KR12*<WR_HNO4>+2.00*KR23*<WR_AHSO5>+KR25*<WR_O3>+KR26*<WR_H2O
!2>
 PJAC(:,139,138)=+TPK%KR12(:)*PCONC(:,133)+2.00*TPK%KR23(:)*PCONC(:,160)+TPK%KR&
&25(:)*PCONC(:,125)+TPK%KR26(:)*PCONC(:,126)
!
!WR_H2SO4/WR_H2SO4=-KTR46-KR15*<WR_NO3>
 PJAC(:,139,139)=-TPK%KTR46(:)-TPK%KR15(:)*PCONC(:,129)
!
!WR_H2SO4/WR_RO21=0.0
!
!WR_H2SO4/WR_RO25=0.0
!
!WR_H2SO4/WR_MEOH=0.0
!
!WR_H2SO4/WR_ETOH=0.0
!
!WR_H2SO4/WR_ALCH=0.0
!
!WR_H2SO4/WR_HCHO=0.0
!
!WR_H2SO4/WR_ALD2=0.0
!
!WR_H2SO4/WR_GLY=0.0
!
!WR_H2SO4/WR_MGLY=0.0
!
!WR_H2SO4/WR_KETL=0.0
!
!WR_H2SO4/WR_ORA1=0.0
!
!WR_H2SO4/WR_ORA2=0.0
!
!WR_H2SO4/WR_ACID=0.0
!
!WR_H2SO4/WR_RP16=0.0
!
!WR_H2SO4/WR_UR21=0.0
!
!WR_H2SO4/WR_UR28=0.0
!
!WR_H2SO4/WR_ACID2=0.0
!
!WR_H2SO4/WR_ASO3=0.0
!
!WR_H2SO4/WR_ASO4=+KR24
 PJAC(:,139,158)=+TPK%KR24(:)
!
!WR_H2SO4/WR_ASO5=0.0
!
!WR_H2SO4/WR_AHSO5=+2.00*KR23*<WR_SO2>
 PJAC(:,139,160)=+2.00*TPK%KR23(:)*PCONC(:,138)
!
!WR_H2SO4/WR_AHMS=0.0
!
!WR_RO21/NO=0.0
!
!WR_RO21/NO2=0.0
!
!WR_RO21/O3=0.0
!
!WR_RO21/HONO=0.0
!
!WR_RO21/HNO3=0.0
!
!WR_RO21/HNO4=0.0
!
!WR_RO21/N2O5=0.0
!
!WR_RO21/NO3=0.0
!
!WR_RO21/NH3=0.0
!
!WR_RO21/HO2=0.0
!
!WR_RO21/CO=0.0
!
!WR_RO21/H2O2=0.0
!
!WR_RO21/SO2=0.0
!
!WR_RO21/H2SO4=0.0
!
!WR_RO21/OH=0.0
!
!WR_RO21/ETHE=0.0
!
!WR_RO21/OLEL=0.0
!
!WR_RO21/OLEH=0.0
!
!WR_RO21/ALKL=0.0
!
!WR_RO21/ALKM=0.0
!
!WR_RO21/ALKH=0.0
!
!WR_RO21/AROH=0.0
!
!WR_RO21/AROL=0.0
!
!WR_RO21/AROO=0.0
!
!WR_RO21/ARAL=0.0
!
!WR_RO21/ARAC=0.0
!
!WR_RO21/PAH=0.0
!
!WR_RO21/HCHO=0.0
!
!WR_RO21/ALD2=0.0
!
!WR_RO21/KETL=0.0
!
!WR_RO21/KETH=0.0
!
!WR_RO21/MEOH=0.0
!
!WR_RO21/ETOH=0.0
!
!WR_RO21/ALCH=0.0
!
!WR_RO21/ISOP=0.0
!
!WR_RO21/BIOL=0.0
!
!WR_RO21/BIOH=0.0
!
!WR_RO21/MTBE=0.0
!
!WR_RO21/MVK=0.0
!
!WR_RO21/MCR=0.0
!
!WR_RO21/MGLY=0.0
!
!WR_RO21/GLY=0.0
!
!WR_RO21/ORA1=0.0
!
!WR_RO21/ORA2=0.0
!
!WR_RO21/ACID=0.0
!
!WR_RO21/UR28=0.0
!
!WR_RO21/UR21=0.0
!
!WR_RO21/URG2=0.0
!
!WR_RO21/UR26=0.0
!
!WR_RO21/RPG2=0.0
!
!WR_RO21/RP18=0.0
!
!WR_RO21/RPG3=0.0
!
!WR_RO21/URG4=0.0
!
!WR_RO21/UR8=0.0
!
!WR_RO21/UR17=0.0
!
!WR_RO21/UR7=0.0
!
!WR_RO21/RPR3=0.0
!
!WR_RO21/URG6=0.0
!
!WR_RO21/UR22=0.0
!
!WR_RO21/URG7=0.0
!
!WR_RO21/RPR4=0.0
!
!WR_RO21/RPR7=0.0
!
!WR_RO21/RPG7=0.0
!
!WR_RO21/URG8=0.0
!
!WR_RO21/UR19=0.0
!
!WR_RO21/URG9=0.0
!
!WR_RO21/AP7=0.0
!
!WR_RO21/URG10=0.0
!
!WR_RO21/RPR1=0.0
!
!WR_RO21/RPR5=0.0
!
!WR_RO21/RPR8=0.0
!
!WR_RO21/RP10=0.0
!
!WR_RO21/RP11=0.0
!
!WR_RO21/RP16=0.0
!
!WR_RO21/RPRL=0.0
!
!WR_RO21/APAN=0.0
!
!WR_RO21/PAN1=0.0
!
!WR_RO21/PAN2=0.0
!
!WR_RO21/PAN3=0.0
!
!WR_RO21/PAN4=0.0
!
!WR_RO21/PAN6=0.0
!
!WR_RO21/PAN7=0.0
!
!WR_RO21/PAN8=0.0
!
!WR_RO21/PN10=0.0
!
!WR_RO21/RO2T=0.0
!
!WR_RO21/RO21=+KTR16
 PJAC(:,140,86)=+TPK%KTR16(:)
!
!WR_RO21/RO25=0.0
!
!WR_RO21/WC_O3=0.0
!
!WR_RO21/WC_H2O2=0.0
!
!WR_RO21/WC_NO=0.0
!
!WR_RO21/WC_NO2=0.0
!
!WR_RO21/WC_NO3=0.0
!
!WR_RO21/WC_N2O5=0.0
!
!WR_RO21/WC_HONO=0.0
!
!WR_RO21/WC_HNO3=0.0
!
!WR_RO21/WC_HNO4=0.0
!
!WR_RO21/WC_NH3=0.0
!
!WR_RO21/WC_OH=0.0
!
!WR_RO21/WC_HO2=0.0
!
!WR_RO21/WC_CO2=0.0
!
!WR_RO21/WC_SO2=0.0
!
!WR_RO21/WC_H2SO4=0.0
!
!WR_RO21/WC_RO21=0.0
!
!WR_RO21/WC_RO25=0.0
!
!WR_RO21/WC_MEOH=0.0
!
!WR_RO21/WC_ETOH=0.0
!
!WR_RO21/WC_ALCH=0.0
!
!WR_RO21/WC_HCHO=0.0
!
!WR_RO21/WC_ALD2=0.0
!
!WR_RO21/WC_GLY=0.0
!
!WR_RO21/WC_MGLY=0.0
!
!WR_RO21/WC_KETL=0.0
!
!WR_RO21/WC_ORA1=0.0
!
!WR_RO21/WC_ORA2=0.0
!
!WR_RO21/WC_ACID=0.0
!
!WR_RO21/WC_RP16=0.0
!
!WR_RO21/WC_UR21=0.0
!
!WR_RO21/WC_UR28=0.0
!
!WR_RO21/WC_ACID2=0.0
!
!WR_RO21/WC_ASO3=0.0
!
!WR_RO21/WC_ASO4=0.0
!
!WR_RO21/WC_ASO5=0.0
!
!WR_RO21/WC_AHSO5=0.0
!
!WR_RO21/WC_AHMS=0.0
!
!WR_RO21/WR_O3=0.0
!
!WR_RO21/WR_H2O2=0.0
!
!WR_RO21/WR_NO=0.0
!
!WR_RO21/WR_NO2=0.0
!
!WR_RO21/WR_NO3=0.0
!
!WR_RO21/WR_N2O5=0.0
!
!WR_RO21/WR_HONO=0.0
!
!WR_RO21/WR_HNO3=0.0
!
!WR_RO21/WR_HNO4=0.0
!
!WR_RO21/WR_NH3=0.0
!
!WR_RO21/WR_OH=+0.50*KR34*<WR_ALD2>+KR37*<WR_KETL>
 PJAC(:,140,135)=+0.50*TPK%KR34(:)*PCONC(:,146)+TPK%KR37(:)*PCONC(:,149)
!
!WR_RO21/WR_HO2=0.0
!
!WR_RO21/WR_CO2=0.0
!
!WR_RO21/WR_SO2=-KR28*<WR_RO21>
 PJAC(:,140,138)=-TPK%KR28(:)*PCONC(:,140)
!
!WR_RO21/WR_H2SO4=0.0
!
!WR_RO21/WR_RO21=-KTR47-KR27*<WR_RO21>-KR27*<WR_RO21>-KR27*<WR_RO21>-KR27*<WR_R
!O21>-KR28*<WR_SO2>
 PJAC(:,140,140)=-TPK%KTR47(:)-TPK%KR27(:)*PCONC(:,140)-TPK%KR27(:)*PCONC(:,140&
&)-TPK%KR27(:)*PCONC(:,140)-TPK%KR27(:)*PCONC(:,140)-TPK%KR28(:)*PCONC(:,138)
!
!WR_RO21/WR_RO25=0.0
!
!WR_RO21/WR_MEOH=0.0
!
!WR_RO21/WR_ETOH=0.0
!
!WR_RO21/WR_ALCH=0.0
!
!WR_RO21/WR_HCHO=0.0
!
!WR_RO21/WR_ALD2=+0.50*KR34*<WR_OH>
 PJAC(:,140,146)=+0.50*TPK%KR34(:)*PCONC(:,135)
!
!WR_RO21/WR_GLY=0.0
!
!WR_RO21/WR_MGLY=0.0
!
!WR_RO21/WR_KETL=+KR37*<WR_OH>
 PJAC(:,140,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_RO21/WR_ORA1=0.0
!
!WR_RO21/WR_ORA2=0.0
!
!WR_RO21/WR_ACID=0.0
!
!WR_RO21/WR_RP16=0.0
!
!WR_RO21/WR_UR21=0.0
!
!WR_RO21/WR_UR28=0.0
!
!WR_RO21/WR_ACID2=0.0
!
!WR_RO21/WR_ASO3=0.0
!
!WR_RO21/WR_ASO4=0.0
!
!WR_RO21/WR_ASO5=0.0
!
!WR_RO21/WR_AHSO5=0.0
!
!WR_RO21/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ27
!
SUBROUTINE SUBJ28
!
!Indices 141 a 145
!
!
!WR_RO25/NO=0.0
!
!WR_RO25/NO2=0.0
!
!WR_RO25/O3=0.0
!
!WR_RO25/HONO=0.0
!
!WR_RO25/HNO3=0.0
!
!WR_RO25/HNO4=0.0
!
!WR_RO25/N2O5=0.0
!
!WR_RO25/NO3=0.0
!
!WR_RO25/NH3=0.0
!
!WR_RO25/HO2=0.0
!
!WR_RO25/CO=0.0
!
!WR_RO25/H2O2=0.0
!
!WR_RO25/SO2=0.0
!
!WR_RO25/H2SO4=0.0
!
!WR_RO25/OH=0.0
!
!WR_RO25/ETHE=0.0
!
!WR_RO25/OLEL=0.0
!
!WR_RO25/OLEH=0.0
!
!WR_RO25/ALKL=0.0
!
!WR_RO25/ALKM=0.0
!
!WR_RO25/ALKH=0.0
!
!WR_RO25/AROH=0.0
!
!WR_RO25/AROL=0.0
!
!WR_RO25/AROO=0.0
!
!WR_RO25/ARAL=0.0
!
!WR_RO25/ARAC=0.0
!
!WR_RO25/PAH=0.0
!
!WR_RO25/HCHO=0.0
!
!WR_RO25/ALD2=0.0
!
!WR_RO25/KETL=0.0
!
!WR_RO25/KETH=0.0
!
!WR_RO25/MEOH=0.0
!
!WR_RO25/ETOH=0.0
!
!WR_RO25/ALCH=0.0
!
!WR_RO25/ISOP=0.0
!
!WR_RO25/BIOL=0.0
!
!WR_RO25/BIOH=0.0
!
!WR_RO25/MTBE=0.0
!
!WR_RO25/MVK=0.0
!
!WR_RO25/MCR=0.0
!
!WR_RO25/MGLY=0.0
!
!WR_RO25/GLY=0.0
!
!WR_RO25/ORA1=0.0
!
!WR_RO25/ORA2=0.0
!
!WR_RO25/ACID=0.0
!
!WR_RO25/UR28=0.0
!
!WR_RO25/UR21=0.0
!
!WR_RO25/URG2=0.0
!
!WR_RO25/UR26=0.0
!
!WR_RO25/RPG2=0.0
!
!WR_RO25/RP18=0.0
!
!WR_RO25/RPG3=0.0
!
!WR_RO25/URG4=0.0
!
!WR_RO25/UR8=0.0
!
!WR_RO25/UR17=0.0
!
!WR_RO25/UR7=0.0
!
!WR_RO25/RPR3=0.0
!
!WR_RO25/URG6=0.0
!
!WR_RO25/UR22=0.0
!
!WR_RO25/URG7=0.0
!
!WR_RO25/RPR4=0.0
!
!WR_RO25/RPR7=0.0
!
!WR_RO25/RPG7=0.0
!
!WR_RO25/URG8=0.0
!
!WR_RO25/UR19=0.0
!
!WR_RO25/URG9=0.0
!
!WR_RO25/AP7=0.0
!
!WR_RO25/URG10=0.0
!
!WR_RO25/RPR1=0.0
!
!WR_RO25/RPR5=0.0
!
!WR_RO25/RPR8=0.0
!
!WR_RO25/RP10=0.0
!
!WR_RO25/RP11=0.0
!
!WR_RO25/RP16=0.0
!
!WR_RO25/RPRL=0.0
!
!WR_RO25/APAN=0.0
!
!WR_RO25/PAN1=0.0
!
!WR_RO25/PAN2=0.0
!
!WR_RO25/PAN3=0.0
!
!WR_RO25/PAN4=0.0
!
!WR_RO25/PAN6=0.0
!
!WR_RO25/PAN7=0.0
!
!WR_RO25/PAN8=0.0
!
!WR_RO25/PN10=0.0
!
!WR_RO25/RO2T=0.0
!
!WR_RO25/RO21=0.0
!
!WR_RO25/RO25=+KTR17
 PJAC(:,141,87)=+TPK%KTR17(:)
!
!WR_RO25/WC_O3=0.0
!
!WR_RO25/WC_H2O2=0.0
!
!WR_RO25/WC_NO=0.0
!
!WR_RO25/WC_NO2=0.0
!
!WR_RO25/WC_NO3=0.0
!
!WR_RO25/WC_N2O5=0.0
!
!WR_RO25/WC_HONO=0.0
!
!WR_RO25/WC_HNO3=0.0
!
!WR_RO25/WC_HNO4=0.0
!
!WR_RO25/WC_NH3=0.0
!
!WR_RO25/WC_OH=0.0
!
!WR_RO25/WC_HO2=0.0
!
!WR_RO25/WC_CO2=0.0
!
!WR_RO25/WC_SO2=0.0
!
!WR_RO25/WC_H2SO4=0.0
!
!WR_RO25/WC_RO21=0.0
!
!WR_RO25/WC_RO25=0.0
!
!WR_RO25/WC_MEOH=0.0
!
!WR_RO25/WC_ETOH=0.0
!
!WR_RO25/WC_ALCH=0.0
!
!WR_RO25/WC_HCHO=0.0
!
!WR_RO25/WC_ALD2=0.0
!
!WR_RO25/WC_GLY=0.0
!
!WR_RO25/WC_MGLY=0.0
!
!WR_RO25/WC_KETL=0.0
!
!WR_RO25/WC_ORA1=0.0
!
!WR_RO25/WC_ORA2=0.0
!
!WR_RO25/WC_ACID=0.0
!
!WR_RO25/WC_RP16=0.0
!
!WR_RO25/WC_UR21=0.0
!
!WR_RO25/WC_UR28=0.0
!
!WR_RO25/WC_ACID2=0.0
!
!WR_RO25/WC_ASO3=0.0
!
!WR_RO25/WC_ASO4=0.0
!
!WR_RO25/WC_ASO5=0.0
!
!WR_RO25/WC_AHSO5=0.0
!
!WR_RO25/WC_AHMS=0.0
!
!WR_RO25/WR_O3=0.0
!
!WR_RO25/WR_H2O2=0.0
!
!WR_RO25/WR_NO=0.0
!
!WR_RO25/WR_NO2=0.0
!
!WR_RO25/WR_NO3=0.0
!
!WR_RO25/WR_N2O5=0.0
!
!WR_RO25/WR_HONO=0.0
!
!WR_RO25/WR_HNO3=0.0
!
!WR_RO25/WR_HNO4=0.0
!
!WR_RO25/WR_NH3=0.0
!
!WR_RO25/WR_OH=+0.50*KR34*<WR_ALD2>+KR40*<WR_ACID>
 PJAC(:,141,135)=+0.50*TPK%KR34(:)*PCONC(:,146)+TPK%KR40(:)*PCONC(:,152)
!
!WR_RO25/WR_HO2=0.0
!
!WR_RO25/WR_CO2=0.0
!
!WR_RO25/WR_SO2=0.0
!
!WR_RO25/WR_H2SO4=0.0
!
!WR_RO25/WR_RO21=0.0
!
!WR_RO25/WR_RO25=-KTR48-KR29*<WR_RO25>-KR29*<WR_RO25>-KR29*<WR_RO25>-KR29*<WR_R
!O25>
 PJAC(:,141,141)=-TPK%KTR48(:)-TPK%KR29(:)*PCONC(:,141)-TPK%KR29(:)*PCONC(:,141&
&)-TPK%KR29(:)*PCONC(:,141)-TPK%KR29(:)*PCONC(:,141)
!
!WR_RO25/WR_MEOH=0.0
!
!WR_RO25/WR_ETOH=0.0
!
!WR_RO25/WR_ALCH=0.0
!
!WR_RO25/WR_HCHO=0.0
!
!WR_RO25/WR_ALD2=+0.50*KR34*<WR_OH>
 PJAC(:,141,146)=+0.50*TPK%KR34(:)*PCONC(:,135)
!
!WR_RO25/WR_GLY=0.0
!
!WR_RO25/WR_MGLY=0.0
!
!WR_RO25/WR_KETL=0.0
!
!WR_RO25/WR_ORA1=0.0
!
!WR_RO25/WR_ORA2=0.0
!
!WR_RO25/WR_ACID=+KR40*<WR_OH>
 PJAC(:,141,152)=+TPK%KR40(:)*PCONC(:,135)
!
!WR_RO25/WR_RP16=0.0
!
!WR_RO25/WR_UR21=0.0
!
!WR_RO25/WR_UR28=0.0
!
!WR_RO25/WR_ACID2=0.0
!
!WR_RO25/WR_ASO3=0.0
!
!WR_RO25/WR_ASO4=0.0
!
!WR_RO25/WR_ASO5=0.0
!
!WR_RO25/WR_AHSO5=0.0
!
!WR_RO25/WR_AHMS=0.0
!
!WR_MEOH/NO=0.0
!
!WR_MEOH/NO2=0.0
!
!WR_MEOH/O3=0.0
!
!WR_MEOH/HONO=0.0
!
!WR_MEOH/HNO3=0.0
!
!WR_MEOH/HNO4=0.0
!
!WR_MEOH/N2O5=0.0
!
!WR_MEOH/NO3=0.0
!
!WR_MEOH/NH3=0.0
!
!WR_MEOH/HO2=0.0
!
!WR_MEOH/CO=0.0
!
!WR_MEOH/H2O2=0.0
!
!WR_MEOH/SO2=0.0
!
!WR_MEOH/H2SO4=0.0
!
!WR_MEOH/OH=0.0
!
!WR_MEOH/ETHE=0.0
!
!WR_MEOH/OLEL=0.0
!
!WR_MEOH/OLEH=0.0
!
!WR_MEOH/ALKL=0.0
!
!WR_MEOH/ALKM=0.0
!
!WR_MEOH/ALKH=0.0
!
!WR_MEOH/AROH=0.0
!
!WR_MEOH/AROL=0.0
!
!WR_MEOH/AROO=0.0
!
!WR_MEOH/ARAL=0.0
!
!WR_MEOH/ARAC=0.0
!
!WR_MEOH/PAH=0.0
!
!WR_MEOH/HCHO=0.0
!
!WR_MEOH/ALD2=0.0
!
!WR_MEOH/KETL=0.0
!
!WR_MEOH/KETH=0.0
!
!WR_MEOH/MEOH=+KTR18
 PJAC(:,142,32)=+TPK%KTR18(:)
!
!WR_MEOH/ETOH=0.0
!
!WR_MEOH/ALCH=0.0
!
!WR_MEOH/ISOP=0.0
!
!WR_MEOH/BIOL=0.0
!
!WR_MEOH/BIOH=0.0
!
!WR_MEOH/MTBE=0.0
!
!WR_MEOH/MVK=0.0
!
!WR_MEOH/MCR=0.0
!
!WR_MEOH/MGLY=0.0
!
!WR_MEOH/GLY=0.0
!
!WR_MEOH/ORA1=0.0
!
!WR_MEOH/ORA2=0.0
!
!WR_MEOH/ACID=0.0
!
!WR_MEOH/UR28=0.0
!
!WR_MEOH/UR21=0.0
!
!WR_MEOH/URG2=0.0
!
!WR_MEOH/UR26=0.0
!
!WR_MEOH/RPG2=0.0
!
!WR_MEOH/RP18=0.0
!
!WR_MEOH/RPG3=0.0
!
!WR_MEOH/URG4=0.0
!
!WR_MEOH/UR8=0.0
!
!WR_MEOH/UR17=0.0
!
!WR_MEOH/UR7=0.0
!
!WR_MEOH/RPR3=0.0
!
!WR_MEOH/URG6=0.0
!
!WR_MEOH/UR22=0.0
!
!WR_MEOH/URG7=0.0
!
!WR_MEOH/RPR4=0.0
!
!WR_MEOH/RPR7=0.0
!
!WR_MEOH/RPG7=0.0
!
!WR_MEOH/URG8=0.0
!
!WR_MEOH/UR19=0.0
!
!WR_MEOH/URG9=0.0
!
!WR_MEOH/AP7=0.0
!
!WR_MEOH/URG10=0.0
!
!WR_MEOH/RPR1=0.0
!
!WR_MEOH/RPR5=0.0
!
!WR_MEOH/RPR8=0.0
!
!WR_MEOH/RP10=0.0
!
!WR_MEOH/RP11=0.0
!
!WR_MEOH/RP16=0.0
!
!WR_MEOH/RPRL=0.0
!
!WR_MEOH/APAN=0.0
!
!WR_MEOH/PAN1=0.0
!
!WR_MEOH/PAN2=0.0
!
!WR_MEOH/PAN3=0.0
!
!WR_MEOH/PAN4=0.0
!
!WR_MEOH/PAN6=0.0
!
!WR_MEOH/PAN7=0.0
!
!WR_MEOH/PAN8=0.0
!
!WR_MEOH/PN10=0.0
!
!WR_MEOH/RO2T=0.0
!
!WR_MEOH/RO21=0.0
!
!WR_MEOH/RO25=0.0
!
!WR_MEOH/WC_O3=0.0
!
!WR_MEOH/WC_H2O2=0.0
!
!WR_MEOH/WC_NO=0.0
!
!WR_MEOH/WC_NO2=0.0
!
!WR_MEOH/WC_NO3=0.0
!
!WR_MEOH/WC_N2O5=0.0
!
!WR_MEOH/WC_HONO=0.0
!
!WR_MEOH/WC_HNO3=0.0
!
!WR_MEOH/WC_HNO4=0.0
!
!WR_MEOH/WC_NH3=0.0
!
!WR_MEOH/WC_OH=0.0
!
!WR_MEOH/WC_HO2=0.0
!
!WR_MEOH/WC_CO2=0.0
!
!WR_MEOH/WC_SO2=0.0
!
!WR_MEOH/WC_H2SO4=0.0
!
!WR_MEOH/WC_RO21=0.0
!
!WR_MEOH/WC_RO25=0.0
!
!WR_MEOH/WC_MEOH=0.0
!
!WR_MEOH/WC_ETOH=0.0
!
!WR_MEOH/WC_ALCH=0.0
!
!WR_MEOH/WC_HCHO=0.0
!
!WR_MEOH/WC_ALD2=0.0
!
!WR_MEOH/WC_GLY=0.0
!
!WR_MEOH/WC_MGLY=0.0
!
!WR_MEOH/WC_KETL=0.0
!
!WR_MEOH/WC_ORA1=0.0
!
!WR_MEOH/WC_ORA2=0.0
!
!WR_MEOH/WC_ACID=0.0
!
!WR_MEOH/WC_RP16=0.0
!
!WR_MEOH/WC_UR21=0.0
!
!WR_MEOH/WC_UR28=0.0
!
!WR_MEOH/WC_ACID2=0.0
!
!WR_MEOH/WC_ASO3=0.0
!
!WR_MEOH/WC_ASO4=0.0
!
!WR_MEOH/WC_ASO5=0.0
!
!WR_MEOH/WC_AHSO5=0.0
!
!WR_MEOH/WC_AHMS=0.0
!
!WR_MEOH/WR_O3=0.0
!
!WR_MEOH/WR_H2O2=0.0
!
!WR_MEOH/WR_NO=0.0
!
!WR_MEOH/WR_NO2=0.0
!
!WR_MEOH/WR_NO3=0.0
!
!WR_MEOH/WR_N2O5=0.0
!
!WR_MEOH/WR_HONO=0.0
!
!WR_MEOH/WR_HNO3=0.0
!
!WR_MEOH/WR_HNO4=0.0
!
!WR_MEOH/WR_NH3=0.0
!
!WR_MEOH/WR_OH=-KR30*<WR_MEOH>
 PJAC(:,142,135)=-TPK%KR30(:)*PCONC(:,142)
!
!WR_MEOH/WR_HO2=0.0
!
!WR_MEOH/WR_CO2=0.0
!
!WR_MEOH/WR_SO2=0.0
!
!WR_MEOH/WR_H2SO4=0.0
!
!WR_MEOH/WR_RO21=0.0
!
!WR_MEOH/WR_RO25=0.0
!
!WR_MEOH/WR_MEOH=-KTR49-KR30*<WR_OH>
 PJAC(:,142,142)=-TPK%KTR49(:)-TPK%KR30(:)*PCONC(:,135)
!
!WR_MEOH/WR_ETOH=0.0
!
!WR_MEOH/WR_ALCH=0.0
!
!WR_MEOH/WR_HCHO=0.0
!
!WR_MEOH/WR_ALD2=0.0
!
!WR_MEOH/WR_GLY=0.0
!
!WR_MEOH/WR_MGLY=0.0
!
!WR_MEOH/WR_KETL=0.0
!
!WR_MEOH/WR_ORA1=0.0
!
!WR_MEOH/WR_ORA2=0.0
!
!WR_MEOH/WR_ACID=0.0
!
!WR_MEOH/WR_RP16=0.0
!
!WR_MEOH/WR_UR21=0.0
!
!WR_MEOH/WR_UR28=0.0
!
!WR_MEOH/WR_ACID2=0.0
!
!WR_MEOH/WR_ASO3=0.0
!
!WR_MEOH/WR_ASO4=0.0
!
!WR_MEOH/WR_ASO5=0.0
!
!WR_MEOH/WR_AHSO5=0.0
!
!WR_MEOH/WR_AHMS=0.0
!
!WR_ETOH/NO=0.0
!
!WR_ETOH/NO2=0.0
!
!WR_ETOH/O3=0.0
!
!WR_ETOH/HONO=0.0
!
!WR_ETOH/HNO3=0.0
!
!WR_ETOH/HNO4=0.0
!
!WR_ETOH/N2O5=0.0
!
!WR_ETOH/NO3=0.0
!
!WR_ETOH/NH3=0.0
!
!WR_ETOH/HO2=0.0
!
!WR_ETOH/CO=0.0
!
!WR_ETOH/H2O2=0.0
!
!WR_ETOH/SO2=0.0
!
!WR_ETOH/H2SO4=0.0
!
!WR_ETOH/OH=0.0
!
!WR_ETOH/ETHE=0.0
!
!WR_ETOH/OLEL=0.0
!
!WR_ETOH/OLEH=0.0
!
!WR_ETOH/ALKL=0.0
!
!WR_ETOH/ALKM=0.0
!
!WR_ETOH/ALKH=0.0
!
!WR_ETOH/AROH=0.0
!
!WR_ETOH/AROL=0.0
!
!WR_ETOH/AROO=0.0
!
!WR_ETOH/ARAL=0.0
!
!WR_ETOH/ARAC=0.0
!
!WR_ETOH/PAH=0.0
!
!WR_ETOH/HCHO=0.0
!
!WR_ETOH/ALD2=0.0
!
!WR_ETOH/KETL=0.0
!
!WR_ETOH/KETH=0.0
!
!WR_ETOH/MEOH=0.0
!
!WR_ETOH/ETOH=+KTR19
 PJAC(:,143,33)=+TPK%KTR19(:)
!
!WR_ETOH/ALCH=0.0
!
!WR_ETOH/ISOP=0.0
!
!WR_ETOH/BIOL=0.0
!
!WR_ETOH/BIOH=0.0
!
!WR_ETOH/MTBE=0.0
!
!WR_ETOH/MVK=0.0
!
!WR_ETOH/MCR=0.0
!
!WR_ETOH/MGLY=0.0
!
!WR_ETOH/GLY=0.0
!
!WR_ETOH/ORA1=0.0
!
!WR_ETOH/ORA2=0.0
!
!WR_ETOH/ACID=0.0
!
!WR_ETOH/UR28=0.0
!
!WR_ETOH/UR21=0.0
!
!WR_ETOH/URG2=0.0
!
!WR_ETOH/UR26=0.0
!
!WR_ETOH/RPG2=0.0
!
!WR_ETOH/RP18=0.0
!
!WR_ETOH/RPG3=0.0
!
!WR_ETOH/URG4=0.0
!
!WR_ETOH/UR8=0.0
!
!WR_ETOH/UR17=0.0
!
!WR_ETOH/UR7=0.0
!
!WR_ETOH/RPR3=0.0
!
!WR_ETOH/URG6=0.0
!
!WR_ETOH/UR22=0.0
!
!WR_ETOH/URG7=0.0
!
!WR_ETOH/RPR4=0.0
!
!WR_ETOH/RPR7=0.0
!
!WR_ETOH/RPG7=0.0
!
!WR_ETOH/URG8=0.0
!
!WR_ETOH/UR19=0.0
!
!WR_ETOH/URG9=0.0
!
!WR_ETOH/AP7=0.0
!
!WR_ETOH/URG10=0.0
!
!WR_ETOH/RPR1=0.0
!
!WR_ETOH/RPR5=0.0
!
!WR_ETOH/RPR8=0.0
!
!WR_ETOH/RP10=0.0
!
!WR_ETOH/RP11=0.0
!
!WR_ETOH/RP16=0.0
!
!WR_ETOH/RPRL=0.0
!
!WR_ETOH/APAN=0.0
!
!WR_ETOH/PAN1=0.0
!
!WR_ETOH/PAN2=0.0
!
!WR_ETOH/PAN3=0.0
!
!WR_ETOH/PAN4=0.0
!
!WR_ETOH/PAN6=0.0
!
!WR_ETOH/PAN7=0.0
!
!WR_ETOH/PAN8=0.0
!
!WR_ETOH/PN10=0.0
!
!WR_ETOH/RO2T=0.0
!
!WR_ETOH/RO21=0.0
!
!WR_ETOH/RO25=0.0
!
!WR_ETOH/WC_O3=0.0
!
!WR_ETOH/WC_H2O2=0.0
!
!WR_ETOH/WC_NO=0.0
!
!WR_ETOH/WC_NO2=0.0
!
!WR_ETOH/WC_NO3=0.0
!
!WR_ETOH/WC_N2O5=0.0
!
!WR_ETOH/WC_HONO=0.0
!
!WR_ETOH/WC_HNO3=0.0
!
!WR_ETOH/WC_HNO4=0.0
!
!WR_ETOH/WC_NH3=0.0
!
!WR_ETOH/WC_OH=0.0
!
!WR_ETOH/WC_HO2=0.0
!
!WR_ETOH/WC_CO2=0.0
!
!WR_ETOH/WC_SO2=0.0
!
!WR_ETOH/WC_H2SO4=0.0
!
!WR_ETOH/WC_RO21=0.0
!
!WR_ETOH/WC_RO25=0.0
!
!WR_ETOH/WC_MEOH=0.0
!
!WR_ETOH/WC_ETOH=0.0
!
!WR_ETOH/WC_ALCH=0.0
!
!WR_ETOH/WC_HCHO=0.0
!
!WR_ETOH/WC_ALD2=0.0
!
!WR_ETOH/WC_GLY=0.0
!
!WR_ETOH/WC_MGLY=0.0
!
!WR_ETOH/WC_KETL=0.0
!
!WR_ETOH/WC_ORA1=0.0
!
!WR_ETOH/WC_ORA2=0.0
!
!WR_ETOH/WC_ACID=0.0
!
!WR_ETOH/WC_RP16=0.0
!
!WR_ETOH/WC_UR21=0.0
!
!WR_ETOH/WC_UR28=0.0
!
!WR_ETOH/WC_ACID2=0.0
!
!WR_ETOH/WC_ASO3=0.0
!
!WR_ETOH/WC_ASO4=0.0
!
!WR_ETOH/WC_ASO5=0.0
!
!WR_ETOH/WC_AHSO5=0.0
!
!WR_ETOH/WC_AHMS=0.0
!
!WR_ETOH/WR_O3=0.0
!
!WR_ETOH/WR_H2O2=0.0
!
!WR_ETOH/WR_NO=0.0
!
!WR_ETOH/WR_NO2=0.0
!
!WR_ETOH/WR_NO3=0.0
!
!WR_ETOH/WR_N2O5=0.0
!
!WR_ETOH/WR_HONO=0.0
!
!WR_ETOH/WR_HNO3=0.0
!
!WR_ETOH/WR_HNO4=0.0
!
!WR_ETOH/WR_NH3=0.0
!
!WR_ETOH/WR_OH=-KR31*<WR_ETOH>
 PJAC(:,143,135)=-TPK%KR31(:)*PCONC(:,143)
!
!WR_ETOH/WR_HO2=0.0
!
!WR_ETOH/WR_CO2=0.0
!
!WR_ETOH/WR_SO2=0.0
!
!WR_ETOH/WR_H2SO4=0.0
!
!WR_ETOH/WR_RO21=0.0
!
!WR_ETOH/WR_RO25=0.0
!
!WR_ETOH/WR_MEOH=0.0
!
!WR_ETOH/WR_ETOH=-KTR50-KR31*<WR_OH>
 PJAC(:,143,143)=-TPK%KTR50(:)-TPK%KR31(:)*PCONC(:,135)
!
!WR_ETOH/WR_ALCH=0.0
!
!WR_ETOH/WR_HCHO=0.0
!
!WR_ETOH/WR_ALD2=0.0
!
!WR_ETOH/WR_GLY=0.0
!
!WR_ETOH/WR_MGLY=0.0
!
!WR_ETOH/WR_KETL=0.0
!
!WR_ETOH/WR_ORA1=0.0
!
!WR_ETOH/WR_ORA2=0.0
!
!WR_ETOH/WR_ACID=0.0
!
!WR_ETOH/WR_RP16=0.0
!
!WR_ETOH/WR_UR21=0.0
!
!WR_ETOH/WR_UR28=0.0
!
!WR_ETOH/WR_ACID2=0.0
!
!WR_ETOH/WR_ASO3=0.0
!
!WR_ETOH/WR_ASO4=0.0
!
!WR_ETOH/WR_ASO5=0.0
!
!WR_ETOH/WR_AHSO5=0.0
!
!WR_ETOH/WR_AHMS=0.0
!
!WR_ALCH/NO=0.0
!
!WR_ALCH/NO2=0.0
!
!WR_ALCH/O3=0.0
!
!WR_ALCH/HONO=0.0
!
!WR_ALCH/HNO3=0.0
!
!WR_ALCH/HNO4=0.0
!
!WR_ALCH/N2O5=0.0
!
!WR_ALCH/NO3=0.0
!
!WR_ALCH/NH3=0.0
!
!WR_ALCH/HO2=0.0
!
!WR_ALCH/CO=0.0
!
!WR_ALCH/H2O2=0.0
!
!WR_ALCH/SO2=0.0
!
!WR_ALCH/H2SO4=0.0
!
!WR_ALCH/OH=0.0
!
!WR_ALCH/ETHE=0.0
!
!WR_ALCH/OLEL=0.0
!
!WR_ALCH/OLEH=0.0
!
!WR_ALCH/ALKL=0.0
!
!WR_ALCH/ALKM=0.0
!
!WR_ALCH/ALKH=0.0
!
!WR_ALCH/AROH=0.0
!
!WR_ALCH/AROL=0.0
!
!WR_ALCH/AROO=0.0
!
!WR_ALCH/ARAL=0.0
!
!WR_ALCH/ARAC=0.0
!
!WR_ALCH/PAH=0.0
!
!WR_ALCH/HCHO=0.0
!
!WR_ALCH/ALD2=0.0
!
!WR_ALCH/KETL=0.0
!
!WR_ALCH/KETH=0.0
!
!WR_ALCH/MEOH=0.0
!
!WR_ALCH/ETOH=0.0
!
!WR_ALCH/ALCH=+KTR20
 PJAC(:,144,34)=+TPK%KTR20(:)
!
!WR_ALCH/ISOP=0.0
!
!WR_ALCH/BIOL=0.0
!
!WR_ALCH/BIOH=0.0
!
!WR_ALCH/MTBE=0.0
!
!WR_ALCH/MVK=0.0
!
!WR_ALCH/MCR=0.0
!
!WR_ALCH/MGLY=0.0
!
!WR_ALCH/GLY=0.0
!
!WR_ALCH/ORA1=0.0
!
!WR_ALCH/ORA2=0.0
!
!WR_ALCH/ACID=0.0
!
!WR_ALCH/UR28=0.0
!
!WR_ALCH/UR21=0.0
!
!WR_ALCH/URG2=0.0
!
!WR_ALCH/UR26=0.0
!
!WR_ALCH/RPG2=0.0
!
!WR_ALCH/RP18=0.0
!
!WR_ALCH/RPG3=0.0
!
!WR_ALCH/URG4=0.0
!
!WR_ALCH/UR8=0.0
!
!WR_ALCH/UR17=0.0
!
!WR_ALCH/UR7=0.0
!
!WR_ALCH/RPR3=0.0
!
!WR_ALCH/URG6=0.0
!
!WR_ALCH/UR22=0.0
!
!WR_ALCH/URG7=0.0
!
!WR_ALCH/RPR4=0.0
!
!WR_ALCH/RPR7=0.0
!
!WR_ALCH/RPG7=0.0
!
!WR_ALCH/URG8=0.0
!
!WR_ALCH/UR19=0.0
!
!WR_ALCH/URG9=0.0
!
!WR_ALCH/AP7=0.0
!
!WR_ALCH/URG10=0.0
!
!WR_ALCH/RPR1=0.0
!
!WR_ALCH/RPR5=0.0
!
!WR_ALCH/RPR8=0.0
!
!WR_ALCH/RP10=0.0
!
!WR_ALCH/RP11=0.0
!
!WR_ALCH/RP16=0.0
!
!WR_ALCH/RPRL=0.0
!
!WR_ALCH/APAN=0.0
!
!WR_ALCH/PAN1=0.0
!
!WR_ALCH/PAN2=0.0
!
!WR_ALCH/PAN3=0.0
!
!WR_ALCH/PAN4=0.0
!
!WR_ALCH/PAN6=0.0
!
!WR_ALCH/PAN7=0.0
!
!WR_ALCH/PAN8=0.0
!
!WR_ALCH/PN10=0.0
!
!WR_ALCH/RO2T=0.0
!
!WR_ALCH/RO21=0.0
!
!WR_ALCH/RO25=0.0
!
!WR_ALCH/WC_O3=0.0
!
!WR_ALCH/WC_H2O2=0.0
!
!WR_ALCH/WC_NO=0.0
!
!WR_ALCH/WC_NO2=0.0
!
!WR_ALCH/WC_NO3=0.0
!
!WR_ALCH/WC_N2O5=0.0
!
!WR_ALCH/WC_HONO=0.0
!
!WR_ALCH/WC_HNO3=0.0
!
!WR_ALCH/WC_HNO4=0.0
!
!WR_ALCH/WC_NH3=0.0
!
!WR_ALCH/WC_OH=0.0
!
!WR_ALCH/WC_HO2=0.0
!
!WR_ALCH/WC_CO2=0.0
!
!WR_ALCH/WC_SO2=0.0
!
!WR_ALCH/WC_H2SO4=0.0
!
!WR_ALCH/WC_RO21=0.0
!
!WR_ALCH/WC_RO25=0.0
!
!WR_ALCH/WC_MEOH=0.0
!
!WR_ALCH/WC_ETOH=0.0
!
!WR_ALCH/WC_ALCH=0.0
!
!WR_ALCH/WC_HCHO=0.0
!
!WR_ALCH/WC_ALD2=0.0
!
!WR_ALCH/WC_GLY=0.0
!
!WR_ALCH/WC_MGLY=0.0
!
!WR_ALCH/WC_KETL=0.0
!
!WR_ALCH/WC_ORA1=0.0
!
!WR_ALCH/WC_ORA2=0.0
!
!WR_ALCH/WC_ACID=0.0
!
!WR_ALCH/WC_RP16=0.0
!
!WR_ALCH/WC_UR21=0.0
!
!WR_ALCH/WC_UR28=0.0
!
!WR_ALCH/WC_ACID2=0.0
!
!WR_ALCH/WC_ASO3=0.0
!
!WR_ALCH/WC_ASO4=0.0
!
!WR_ALCH/WC_ASO5=0.0
!
!WR_ALCH/WC_AHSO5=0.0
!
!WR_ALCH/WC_AHMS=0.0
!
!WR_ALCH/WR_O3=0.0
!
!WR_ALCH/WR_H2O2=0.0
!
!WR_ALCH/WR_NO=0.0
!
!WR_ALCH/WR_NO2=0.0
!
!WR_ALCH/WR_NO3=0.0
!
!WR_ALCH/WR_N2O5=0.0
!
!WR_ALCH/WR_HONO=0.0
!
!WR_ALCH/WR_HNO3=0.0
!
!WR_ALCH/WR_HNO4=0.0
!
!WR_ALCH/WR_NH3=0.0
!
!WR_ALCH/WR_OH=-KR32*<WR_ALCH>
 PJAC(:,144,135)=-TPK%KR32(:)*PCONC(:,144)
!
!WR_ALCH/WR_HO2=0.0
!
!WR_ALCH/WR_CO2=0.0
!
!WR_ALCH/WR_SO2=0.0
!
!WR_ALCH/WR_H2SO4=0.0
!
!WR_ALCH/WR_RO21=0.0
!
!WR_ALCH/WR_RO25=0.0
!
!WR_ALCH/WR_MEOH=0.0
!
!WR_ALCH/WR_ETOH=0.0
!
!WR_ALCH/WR_ALCH=-KTR51-KR32*<WR_OH>
 PJAC(:,144,144)=-TPK%KTR51(:)-TPK%KR32(:)*PCONC(:,135)
!
!WR_ALCH/WR_HCHO=0.0
!
!WR_ALCH/WR_ALD2=0.0
!
!WR_ALCH/WR_GLY=0.0
!
!WR_ALCH/WR_MGLY=0.0
!
!WR_ALCH/WR_KETL=0.0
!
!WR_ALCH/WR_ORA1=0.0
!
!WR_ALCH/WR_ORA2=0.0
!
!WR_ALCH/WR_ACID=0.0
!
!WR_ALCH/WR_RP16=0.0
!
!WR_ALCH/WR_UR21=0.0
!
!WR_ALCH/WR_UR28=0.0
!
!WR_ALCH/WR_ACID2=0.0
!
!WR_ALCH/WR_ASO3=0.0
!
!WR_ALCH/WR_ASO4=0.0
!
!WR_ALCH/WR_ASO5=0.0
!
!WR_ALCH/WR_AHSO5=0.0
!
!WR_ALCH/WR_AHMS=0.0
!
!WR_HCHO/NO=0.0
!
!WR_HCHO/NO2=0.0
!
!WR_HCHO/O3=0.0
!
!WR_HCHO/HONO=0.0
!
!WR_HCHO/HNO3=0.0
!
!WR_HCHO/HNO4=0.0
!
!WR_HCHO/N2O5=0.0
!
!WR_HCHO/NO3=0.0
!
!WR_HCHO/NH3=0.0
!
!WR_HCHO/HO2=0.0
!
!WR_HCHO/CO=0.0
!
!WR_HCHO/H2O2=0.0
!
!WR_HCHO/SO2=0.0
!
!WR_HCHO/H2SO4=0.0
!
!WR_HCHO/OH=0.0
!
!WR_HCHO/ETHE=0.0
!
!WR_HCHO/OLEL=0.0
!
!WR_HCHO/OLEH=0.0
!
!WR_HCHO/ALKL=0.0
!
!WR_HCHO/ALKM=0.0
!
!WR_HCHO/ALKH=0.0
!
!WR_HCHO/AROH=0.0
!
!WR_HCHO/AROL=0.0
!
!WR_HCHO/AROO=0.0
!
!WR_HCHO/ARAL=0.0
!
!WR_HCHO/ARAC=0.0
!
!WR_HCHO/PAH=0.0
!
!WR_HCHO/HCHO=+KTR21
 PJAC(:,145,28)=+TPK%KTR21(:)
!
!WR_HCHO/ALD2=0.0
!
!WR_HCHO/KETL=0.0
!
!WR_HCHO/KETH=0.0
!
!WR_HCHO/MEOH=0.0
!
!WR_HCHO/ETOH=0.0
!
!WR_HCHO/ALCH=0.0
!
!WR_HCHO/ISOP=0.0
!
!WR_HCHO/BIOL=0.0
!
!WR_HCHO/BIOH=0.0
!
!WR_HCHO/MTBE=0.0
!
!WR_HCHO/MVK=0.0
!
!WR_HCHO/MCR=0.0
!
!WR_HCHO/MGLY=0.0
!
!WR_HCHO/GLY=0.0
!
!WR_HCHO/ORA1=0.0
!
!WR_HCHO/ORA2=0.0
!
!WR_HCHO/ACID=0.0
!
!WR_HCHO/UR28=0.0
!
!WR_HCHO/UR21=0.0
!
!WR_HCHO/URG2=0.0
!
!WR_HCHO/UR26=0.0
!
!WR_HCHO/RPG2=0.0
!
!WR_HCHO/RP18=0.0
!
!WR_HCHO/RPG3=0.0
!
!WR_HCHO/URG4=0.0
!
!WR_HCHO/UR8=0.0
!
!WR_HCHO/UR17=0.0
!
!WR_HCHO/UR7=0.0
!
!WR_HCHO/RPR3=0.0
!
!WR_HCHO/URG6=0.0
!
!WR_HCHO/UR22=0.0
!
!WR_HCHO/URG7=0.0
!
!WR_HCHO/RPR4=0.0
!
!WR_HCHO/RPR7=0.0
!
!WR_HCHO/RPG7=0.0
!
!WR_HCHO/URG8=0.0
!
!WR_HCHO/UR19=0.0
!
!WR_HCHO/URG9=0.0
!
!WR_HCHO/AP7=0.0
!
!WR_HCHO/URG10=0.0
!
!WR_HCHO/RPR1=0.0
!
!WR_HCHO/RPR5=0.0
!
!WR_HCHO/RPR8=0.0
!
!WR_HCHO/RP10=0.0
!
!WR_HCHO/RP11=0.0
!
!WR_HCHO/RP16=0.0
!
!WR_HCHO/RPRL=0.0
!
!WR_HCHO/APAN=0.0
!
!WR_HCHO/PAN1=0.0
!
!WR_HCHO/PAN2=0.0
!
!WR_HCHO/PAN3=0.0
!
!WR_HCHO/PAN4=0.0
!
!WR_HCHO/PAN6=0.0
!
!WR_HCHO/PAN7=0.0
!
!WR_HCHO/PAN8=0.0
!
!WR_HCHO/PN10=0.0
!
!WR_HCHO/RO2T=0.0
!
!WR_HCHO/RO21=0.0
!
!WR_HCHO/RO25=0.0
!
!WR_HCHO/WC_O3=0.0
!
!WR_HCHO/WC_H2O2=0.0
!
!WR_HCHO/WC_NO=0.0
!
!WR_HCHO/WC_NO2=0.0
!
!WR_HCHO/WC_NO3=0.0
!
!WR_HCHO/WC_N2O5=0.0
!
!WR_HCHO/WC_HONO=0.0
!
!WR_HCHO/WC_HNO3=0.0
!
!WR_HCHO/WC_HNO4=0.0
!
!WR_HCHO/WC_NH3=0.0
!
!WR_HCHO/WC_OH=0.0
!
!WR_HCHO/WC_HO2=0.0
!
!WR_HCHO/WC_CO2=0.0
!
!WR_HCHO/WC_SO2=0.0
!
!WR_HCHO/WC_H2SO4=0.0
!
!WR_HCHO/WC_RO21=0.0
!
!WR_HCHO/WC_RO25=0.0
!
!WR_HCHO/WC_MEOH=0.0
!
!WR_HCHO/WC_ETOH=0.0
!
!WR_HCHO/WC_ALCH=0.0
!
!WR_HCHO/WC_HCHO=0.0
!
!WR_HCHO/WC_ALD2=0.0
!
!WR_HCHO/WC_GLY=0.0
!
!WR_HCHO/WC_MGLY=0.0
!
!WR_HCHO/WC_KETL=0.0
!
!WR_HCHO/WC_ORA1=0.0
!
!WR_HCHO/WC_ORA2=0.0
!
!WR_HCHO/WC_ACID=0.0
!
!WR_HCHO/WC_RP16=0.0
!
!WR_HCHO/WC_UR21=0.0
!
!WR_HCHO/WC_UR28=0.0
!
!WR_HCHO/WC_ACID2=0.0
!
!WR_HCHO/WC_ASO3=0.0
!
!WR_HCHO/WC_ASO4=0.0
!
!WR_HCHO/WC_ASO5=0.0
!
!WR_HCHO/WC_AHSO5=0.0
!
!WR_HCHO/WC_AHMS=0.0
!
!WR_HCHO/WR_O3=0.0
!
!WR_HCHO/WR_H2O2=0.0
!
!WR_HCHO/WR_NO=0.0
!
!WR_HCHO/WR_NO2=0.0
!
!WR_HCHO/WR_NO3=0.0
!
!WR_HCHO/WR_N2O5=0.0
!
!WR_HCHO/WR_HONO=0.0
!
!WR_HCHO/WR_HNO3=0.0
!
!WR_HCHO/WR_HNO4=0.0
!
!WR_HCHO/WR_NH3=0.0
!
!WR_HCHO/WR_OH=+KR30*<WR_MEOH>-KR33*<WR_HCHO>+KR37*<WR_KETL>
 PJAC(:,145,135)=+TPK%KR30(:)*PCONC(:,142)-TPK%KR33(:)*PCONC(:,145)+TPK%KR37(:)&
&*PCONC(:,149)
!
!WR_HCHO/WR_HO2=0.0
!
!WR_HCHO/WR_CO2=0.0
!
!WR_HCHO/WR_SO2=-KR17*<WR_HCHO>+KR28*<WR_RO21>
 PJAC(:,145,138)=-TPK%KR17(:)*PCONC(:,145)+TPK%KR28(:)*PCONC(:,140)
!
!WR_HCHO/WR_H2SO4=0.0
!
!WR_HCHO/WR_RO21=+2.00*KR27*<WR_RO21>+2.00*KR27*<WR_RO21>+KR28*<WR_SO2>
 PJAC(:,145,140)=+2.00*TPK%KR27(:)*PCONC(:,140)+2.00*TPK%KR27(:)*PCONC(:,140)+T&
&PK%KR28(:)*PCONC(:,138)
!
!WR_HCHO/WR_RO25=0.0
!
!WR_HCHO/WR_MEOH=+KR30*<WR_OH>
 PJAC(:,145,142)=+TPK%KR30(:)*PCONC(:,135)
!
!WR_HCHO/WR_ETOH=0.0
!
!WR_HCHO/WR_ALCH=0.0
!
!WR_HCHO/WR_HCHO=-KTR52-KR17*<WR_SO2>-KR33*<WR_OH>
 PJAC(:,145,145)=-TPK%KTR52(:)-TPK%KR17(:)*PCONC(:,138)-TPK%KR33(:)*PCONC(:,135&
&)
!
!WR_HCHO/WR_ALD2=0.0
!
!WR_HCHO/WR_GLY=0.0
!
!WR_HCHO/WR_MGLY=0.0
!
!WR_HCHO/WR_KETL=+KR37*<WR_OH>
 PJAC(:,145,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_HCHO/WR_ORA1=0.0
!
!WR_HCHO/WR_ORA2=0.0
!
!WR_HCHO/WR_ACID=0.0
!
!WR_HCHO/WR_RP16=0.0
!
!WR_HCHO/WR_UR21=0.0
!
!WR_HCHO/WR_UR28=0.0
!
!WR_HCHO/WR_ACID2=0.0
!
!WR_HCHO/WR_ASO3=0.0
!
!WR_HCHO/WR_ASO4=0.0
!
!WR_HCHO/WR_ASO5=0.0
!
!WR_HCHO/WR_AHSO5=0.0
!
!WR_HCHO/WR_AHMS=+KR18
 PJAC(:,145,161)=+TPK%KR18(:)
!
RETURN
END SUBROUTINE SUBJ28
!
SUBROUTINE SUBJ29
!
!Indices 146 a 150
!
!
!WR_ALD2/NO=0.0
!
!WR_ALD2/NO2=0.0
!
!WR_ALD2/O3=0.0
!
!WR_ALD2/HONO=0.0
!
!WR_ALD2/HNO3=0.0
!
!WR_ALD2/HNO4=0.0
!
!WR_ALD2/N2O5=0.0
!
!WR_ALD2/NO3=0.0
!
!WR_ALD2/NH3=0.0
!
!WR_ALD2/HO2=0.0
!
!WR_ALD2/CO=0.0
!
!WR_ALD2/H2O2=0.0
!
!WR_ALD2/SO2=0.0
!
!WR_ALD2/H2SO4=0.0
!
!WR_ALD2/OH=0.0
!
!WR_ALD2/ETHE=0.0
!
!WR_ALD2/OLEL=0.0
!
!WR_ALD2/OLEH=0.0
!
!WR_ALD2/ALKL=0.0
!
!WR_ALD2/ALKM=0.0
!
!WR_ALD2/ALKH=0.0
!
!WR_ALD2/AROH=0.0
!
!WR_ALD2/AROL=0.0
!
!WR_ALD2/AROO=0.0
!
!WR_ALD2/ARAL=0.0
!
!WR_ALD2/ARAC=0.0
!
!WR_ALD2/PAH=0.0
!
!WR_ALD2/HCHO=0.0
!
!WR_ALD2/ALD2=+KTR22
 PJAC(:,146,29)=+TPK%KTR22(:)
!
!WR_ALD2/KETL=0.0
!
!WR_ALD2/KETH=0.0
!
!WR_ALD2/MEOH=0.0
!
!WR_ALD2/ETOH=0.0
!
!WR_ALD2/ALCH=0.0
!
!WR_ALD2/ISOP=0.0
!
!WR_ALD2/BIOL=0.0
!
!WR_ALD2/BIOH=0.0
!
!WR_ALD2/MTBE=0.0
!
!WR_ALD2/MVK=0.0
!
!WR_ALD2/MCR=0.0
!
!WR_ALD2/MGLY=0.0
!
!WR_ALD2/GLY=0.0
!
!WR_ALD2/ORA1=0.0
!
!WR_ALD2/ORA2=0.0
!
!WR_ALD2/ACID=0.0
!
!WR_ALD2/UR28=0.0
!
!WR_ALD2/UR21=0.0
!
!WR_ALD2/URG2=0.0
!
!WR_ALD2/UR26=0.0
!
!WR_ALD2/RPG2=0.0
!
!WR_ALD2/RP18=0.0
!
!WR_ALD2/RPG3=0.0
!
!WR_ALD2/URG4=0.0
!
!WR_ALD2/UR8=0.0
!
!WR_ALD2/UR17=0.0
!
!WR_ALD2/UR7=0.0
!
!WR_ALD2/RPR3=0.0
!
!WR_ALD2/URG6=0.0
!
!WR_ALD2/UR22=0.0
!
!WR_ALD2/URG7=0.0
!
!WR_ALD2/RPR4=0.0
!
!WR_ALD2/RPR7=0.0
!
!WR_ALD2/RPG7=0.0
!
!WR_ALD2/URG8=0.0
!
!WR_ALD2/UR19=0.0
!
!WR_ALD2/URG9=0.0
!
!WR_ALD2/AP7=0.0
!
!WR_ALD2/URG10=0.0
!
!WR_ALD2/RPR1=0.0
!
!WR_ALD2/RPR5=0.0
!
!WR_ALD2/RPR8=0.0
!
!WR_ALD2/RP10=0.0
!
!WR_ALD2/RP11=0.0
!
!WR_ALD2/RP16=0.0
!
!WR_ALD2/RPRL=0.0
!
!WR_ALD2/APAN=0.0
!
!WR_ALD2/PAN1=0.0
!
!WR_ALD2/PAN2=0.0
!
!WR_ALD2/PAN3=0.0
!
!WR_ALD2/PAN4=0.0
!
!WR_ALD2/PAN6=0.0
!
!WR_ALD2/PAN7=0.0
!
!WR_ALD2/PAN8=0.0
!
!WR_ALD2/PN10=0.0
!
!WR_ALD2/RO2T=0.0
!
!WR_ALD2/RO21=0.0
!
!WR_ALD2/RO25=0.0
!
!WR_ALD2/WC_O3=0.0
!
!WR_ALD2/WC_H2O2=0.0
!
!WR_ALD2/WC_NO=0.0
!
!WR_ALD2/WC_NO2=0.0
!
!WR_ALD2/WC_NO3=0.0
!
!WR_ALD2/WC_N2O5=0.0
!
!WR_ALD2/WC_HONO=0.0
!
!WR_ALD2/WC_HNO3=0.0
!
!WR_ALD2/WC_HNO4=0.0
!
!WR_ALD2/WC_NH3=0.0
!
!WR_ALD2/WC_OH=0.0
!
!WR_ALD2/WC_HO2=0.0
!
!WR_ALD2/WC_CO2=0.0
!
!WR_ALD2/WC_SO2=0.0
!
!WR_ALD2/WC_H2SO4=0.0
!
!WR_ALD2/WC_RO21=0.0
!
!WR_ALD2/WC_RO25=0.0
!
!WR_ALD2/WC_MEOH=0.0
!
!WR_ALD2/WC_ETOH=0.0
!
!WR_ALD2/WC_ALCH=0.0
!
!WR_ALD2/WC_HCHO=0.0
!
!WR_ALD2/WC_ALD2=0.0
!
!WR_ALD2/WC_GLY=0.0
!
!WR_ALD2/WC_MGLY=0.0
!
!WR_ALD2/WC_KETL=0.0
!
!WR_ALD2/WC_ORA1=0.0
!
!WR_ALD2/WC_ORA2=0.0
!
!WR_ALD2/WC_ACID=0.0
!
!WR_ALD2/WC_RP16=0.0
!
!WR_ALD2/WC_UR21=0.0
!
!WR_ALD2/WC_UR28=0.0
!
!WR_ALD2/WC_ACID2=0.0
!
!WR_ALD2/WC_ASO3=0.0
!
!WR_ALD2/WC_ASO4=0.0
!
!WR_ALD2/WC_ASO5=0.0
!
!WR_ALD2/WC_AHSO5=0.0
!
!WR_ALD2/WC_AHMS=0.0
!
!WR_ALD2/WR_O3=0.0
!
!WR_ALD2/WR_H2O2=0.0
!
!WR_ALD2/WR_NO=0.0
!
!WR_ALD2/WR_NO2=0.0
!
!WR_ALD2/WR_NO3=0.0
!
!WR_ALD2/WR_N2O5=0.0
!
!WR_ALD2/WR_HONO=0.0
!
!WR_ALD2/WR_HNO3=0.0
!
!WR_ALD2/WR_HNO4=0.0
!
!WR_ALD2/WR_NH3=0.0
!
!WR_ALD2/WR_OH=+KR31*<WR_ETOH>+0.50*KR32*<WR_ALCH>-KR34*<WR_ALD2>+KR37*<WR_KETL
!>+0.29*KR41*<WR_ACID>+0.43*KR43*<WR_UR21>
 PJAC(:,146,135)=+TPK%KR31(:)*PCONC(:,143)+0.50*TPK%KR32(:)*PCONC(:,144)-TPK%KR&
&34(:)*PCONC(:,146)+TPK%KR37(:)*PCONC(:,149)+0.29*TPK%KR41(:)*PCONC(:,152)+0.43&
&*TPK%KR43(:)*PCONC(:,154)
!
!WR_ALD2/WR_HO2=0.0
!
!WR_ALD2/WR_CO2=0.0
!
!WR_ALD2/WR_SO2=0.0
!
!WR_ALD2/WR_H2SO4=0.0
!
!WR_ALD2/WR_RO21=0.0
!
!WR_ALD2/WR_RO25=+KR29*<WR_RO25>+KR29*<WR_RO25>
 PJAC(:,146,141)=+TPK%KR29(:)*PCONC(:,141)+TPK%KR29(:)*PCONC(:,141)
!
!WR_ALD2/WR_MEOH=0.0
!
!WR_ALD2/WR_ETOH=+KR31*<WR_OH>
 PJAC(:,146,143)=+TPK%KR31(:)*PCONC(:,135)
!
!WR_ALD2/WR_ALCH=+0.50*KR32*<WR_OH>
 PJAC(:,146,144)=+0.50*TPK%KR32(:)*PCONC(:,135)
!
!WR_ALD2/WR_HCHO=0.0
!
!WR_ALD2/WR_ALD2=-KTR53-KR34*<WR_OH>
 PJAC(:,146,146)=-TPK%KTR53(:)-TPK%KR34(:)*PCONC(:,135)
!
!WR_ALD2/WR_GLY=0.0
!
!WR_ALD2/WR_MGLY=0.0
!
!WR_ALD2/WR_KETL=+KR37*<WR_OH>
 PJAC(:,146,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_ALD2/WR_ORA1=0.0
!
!WR_ALD2/WR_ORA2=0.0
!
!WR_ALD2/WR_ACID=+0.29*KR41*<WR_OH>
 PJAC(:,146,152)=+0.29*TPK%KR41(:)*PCONC(:,135)
!
!WR_ALD2/WR_RP16=0.0
!
!WR_ALD2/WR_UR21=+0.43*KR43*<WR_OH>
 PJAC(:,146,154)=+0.43*TPK%KR43(:)*PCONC(:,135)
!
!WR_ALD2/WR_UR28=0.0
!
!WR_ALD2/WR_ACID2=0.0
!
!WR_ALD2/WR_ASO3=0.0
!
!WR_ALD2/WR_ASO4=0.0
!
!WR_ALD2/WR_ASO5=0.0
!
!WR_ALD2/WR_AHSO5=0.0
!
!WR_ALD2/WR_AHMS=0.0
!
!WR_GLY/NO=0.0
!
!WR_GLY/NO2=0.0
!
!WR_GLY/O3=0.0
!
!WR_GLY/HONO=0.0
!
!WR_GLY/HNO3=0.0
!
!WR_GLY/HNO4=0.0
!
!WR_GLY/N2O5=0.0
!
!WR_GLY/NO3=0.0
!
!WR_GLY/NH3=0.0
!
!WR_GLY/HO2=0.0
!
!WR_GLY/CO=0.0
!
!WR_GLY/H2O2=0.0
!
!WR_GLY/SO2=0.0
!
!WR_GLY/H2SO4=0.0
!
!WR_GLY/OH=0.0
!
!WR_GLY/ETHE=0.0
!
!WR_GLY/OLEL=0.0
!
!WR_GLY/OLEH=0.0
!
!WR_GLY/ALKL=0.0
!
!WR_GLY/ALKM=0.0
!
!WR_GLY/ALKH=0.0
!
!WR_GLY/AROH=0.0
!
!WR_GLY/AROL=0.0
!
!WR_GLY/AROO=0.0
!
!WR_GLY/ARAL=0.0
!
!WR_GLY/ARAC=0.0
!
!WR_GLY/PAH=0.0
!
!WR_GLY/HCHO=0.0
!
!WR_GLY/ALD2=0.0
!
!WR_GLY/KETL=0.0
!
!WR_GLY/KETH=0.0
!
!WR_GLY/MEOH=0.0
!
!WR_GLY/ETOH=0.0
!
!WR_GLY/ALCH=0.0
!
!WR_GLY/ISOP=0.0
!
!WR_GLY/BIOL=0.0
!
!WR_GLY/BIOH=0.0
!
!WR_GLY/MTBE=0.0
!
!WR_GLY/MVK=0.0
!
!WR_GLY/MCR=0.0
!
!WR_GLY/MGLY=0.0
!
!WR_GLY/GLY=+KTR23
 PJAC(:,147,42)=+TPK%KTR23(:)
!
!WR_GLY/ORA1=0.0
!
!WR_GLY/ORA2=0.0
!
!WR_GLY/ACID=0.0
!
!WR_GLY/UR28=0.0
!
!WR_GLY/UR21=0.0
!
!WR_GLY/URG2=0.0
!
!WR_GLY/UR26=0.0
!
!WR_GLY/RPG2=0.0
!
!WR_GLY/RP18=0.0
!
!WR_GLY/RPG3=0.0
!
!WR_GLY/URG4=0.0
!
!WR_GLY/UR8=0.0
!
!WR_GLY/UR17=0.0
!
!WR_GLY/UR7=0.0
!
!WR_GLY/RPR3=0.0
!
!WR_GLY/URG6=0.0
!
!WR_GLY/UR22=0.0
!
!WR_GLY/URG7=0.0
!
!WR_GLY/RPR4=0.0
!
!WR_GLY/RPR7=0.0
!
!WR_GLY/RPG7=0.0
!
!WR_GLY/URG8=0.0
!
!WR_GLY/UR19=0.0
!
!WR_GLY/URG9=0.0
!
!WR_GLY/AP7=0.0
!
!WR_GLY/URG10=0.0
!
!WR_GLY/RPR1=0.0
!
!WR_GLY/RPR5=0.0
!
!WR_GLY/RPR8=0.0
!
!WR_GLY/RP10=0.0
!
!WR_GLY/RP11=0.0
!
!WR_GLY/RP16=0.0
!
!WR_GLY/RPRL=0.0
!
!WR_GLY/APAN=0.0
!
!WR_GLY/PAN1=0.0
!
!WR_GLY/PAN2=0.0
!
!WR_GLY/PAN3=0.0
!
!WR_GLY/PAN4=0.0
!
!WR_GLY/PAN6=0.0
!
!WR_GLY/PAN7=0.0
!
!WR_GLY/PAN8=0.0
!
!WR_GLY/PN10=0.0
!
!WR_GLY/RO2T=0.0
!
!WR_GLY/RO21=0.0
!
!WR_GLY/RO25=0.0
!
!WR_GLY/WC_O3=0.0
!
!WR_GLY/WC_H2O2=0.0
!
!WR_GLY/WC_NO=0.0
!
!WR_GLY/WC_NO2=0.0
!
!WR_GLY/WC_NO3=0.0
!
!WR_GLY/WC_N2O5=0.0
!
!WR_GLY/WC_HONO=0.0
!
!WR_GLY/WC_HNO3=0.0
!
!WR_GLY/WC_HNO4=0.0
!
!WR_GLY/WC_NH3=0.0
!
!WR_GLY/WC_OH=0.0
!
!WR_GLY/WC_HO2=0.0
!
!WR_GLY/WC_CO2=0.0
!
!WR_GLY/WC_SO2=0.0
!
!WR_GLY/WC_H2SO4=0.0
!
!WR_GLY/WC_RO21=0.0
!
!WR_GLY/WC_RO25=0.0
!
!WR_GLY/WC_MEOH=0.0
!
!WR_GLY/WC_ETOH=0.0
!
!WR_GLY/WC_ALCH=0.0
!
!WR_GLY/WC_HCHO=0.0
!
!WR_GLY/WC_ALD2=0.0
!
!WR_GLY/WC_GLY=0.0
!
!WR_GLY/WC_MGLY=0.0
!
!WR_GLY/WC_KETL=0.0
!
!WR_GLY/WC_ORA1=0.0
!
!WR_GLY/WC_ORA2=0.0
!
!WR_GLY/WC_ACID=0.0
!
!WR_GLY/WC_RP16=0.0
!
!WR_GLY/WC_UR21=0.0
!
!WR_GLY/WC_UR28=0.0
!
!WR_GLY/WC_ACID2=0.0
!
!WR_GLY/WC_ASO3=0.0
!
!WR_GLY/WC_ASO4=0.0
!
!WR_GLY/WC_ASO5=0.0
!
!WR_GLY/WC_AHSO5=0.0
!
!WR_GLY/WC_AHMS=0.0
!
!WR_GLY/WR_O3=0.0
!
!WR_GLY/WR_H2O2=0.0
!
!WR_GLY/WR_NO=0.0
!
!WR_GLY/WR_NO2=0.0
!
!WR_GLY/WR_NO3=0.0
!
!WR_GLY/WR_N2O5=0.0
!
!WR_GLY/WR_HONO=0.0
!
!WR_GLY/WR_HNO3=0.0
!
!WR_GLY/WR_HNO4=0.0
!
!WR_GLY/WR_NH3=0.0
!
!WR_GLY/WR_OH=-KR35*<WR_GLY>
 PJAC(:,147,135)=-TPK%KR35(:)*PCONC(:,147)
!
!WR_GLY/WR_HO2=0.0
!
!WR_GLY/WR_CO2=0.0
!
!WR_GLY/WR_SO2=0.0
!
!WR_GLY/WR_H2SO4=0.0
!
!WR_GLY/WR_RO21=0.0
!
!WR_GLY/WR_RO25=0.0
!
!WR_GLY/WR_MEOH=0.0
!
!WR_GLY/WR_ETOH=0.0
!
!WR_GLY/WR_ALCH=0.0
!
!WR_GLY/WR_HCHO=0.0
!
!WR_GLY/WR_ALD2=0.0
!
!WR_GLY/WR_GLY=-KTR54-KR35*<WR_OH>
 PJAC(:,147,147)=-TPK%KTR54(:)-TPK%KR35(:)*PCONC(:,135)
!
!WR_GLY/WR_MGLY=0.0
!
!WR_GLY/WR_KETL=0.0
!
!WR_GLY/WR_ORA1=0.0
!
!WR_GLY/WR_ORA2=0.0
!
!WR_GLY/WR_ACID=0.0
!
!WR_GLY/WR_RP16=0.0
!
!WR_GLY/WR_UR21=0.0
!
!WR_GLY/WR_UR28=0.0
!
!WR_GLY/WR_ACID2=0.0
!
!WR_GLY/WR_ASO3=0.0
!
!WR_GLY/WR_ASO4=0.0
!
!WR_GLY/WR_ASO5=0.0
!
!WR_GLY/WR_AHSO5=0.0
!
!WR_GLY/WR_AHMS=0.0
!
!WR_MGLY/NO=0.0
!
!WR_MGLY/NO2=0.0
!
!WR_MGLY/O3=0.0
!
!WR_MGLY/HONO=0.0
!
!WR_MGLY/HNO3=0.0
!
!WR_MGLY/HNO4=0.0
!
!WR_MGLY/N2O5=0.0
!
!WR_MGLY/NO3=0.0
!
!WR_MGLY/NH3=0.0
!
!WR_MGLY/HO2=0.0
!
!WR_MGLY/CO=0.0
!
!WR_MGLY/H2O2=0.0
!
!WR_MGLY/SO2=0.0
!
!WR_MGLY/H2SO4=0.0
!
!WR_MGLY/OH=0.0
!
!WR_MGLY/ETHE=0.0
!
!WR_MGLY/OLEL=0.0
!
!WR_MGLY/OLEH=0.0
!
!WR_MGLY/ALKL=0.0
!
!WR_MGLY/ALKM=0.0
!
!WR_MGLY/ALKH=0.0
!
!WR_MGLY/AROH=0.0
!
!WR_MGLY/AROL=0.0
!
!WR_MGLY/AROO=0.0
!
!WR_MGLY/ARAL=0.0
!
!WR_MGLY/ARAC=0.0
!
!WR_MGLY/PAH=0.0
!
!WR_MGLY/HCHO=0.0
!
!WR_MGLY/ALD2=0.0
!
!WR_MGLY/KETL=0.0
!
!WR_MGLY/KETH=0.0
!
!WR_MGLY/MEOH=0.0
!
!WR_MGLY/ETOH=0.0
!
!WR_MGLY/ALCH=0.0
!
!WR_MGLY/ISOP=0.0
!
!WR_MGLY/BIOL=0.0
!
!WR_MGLY/BIOH=0.0
!
!WR_MGLY/MTBE=0.0
!
!WR_MGLY/MVK=0.0
!
!WR_MGLY/MCR=0.0
!
!WR_MGLY/MGLY=+KTR25
 PJAC(:,148,41)=+TPK%KTR25(:)
!
!WR_MGLY/GLY=0.0
!
!WR_MGLY/ORA1=0.0
!
!WR_MGLY/ORA2=0.0
!
!WR_MGLY/ACID=0.0
!
!WR_MGLY/UR28=0.0
!
!WR_MGLY/UR21=0.0
!
!WR_MGLY/URG2=0.0
!
!WR_MGLY/UR26=0.0
!
!WR_MGLY/RPG2=0.0
!
!WR_MGLY/RP18=0.0
!
!WR_MGLY/RPG3=0.0
!
!WR_MGLY/URG4=0.0
!
!WR_MGLY/UR8=0.0
!
!WR_MGLY/UR17=0.0
!
!WR_MGLY/UR7=0.0
!
!WR_MGLY/RPR3=0.0
!
!WR_MGLY/URG6=0.0
!
!WR_MGLY/UR22=0.0
!
!WR_MGLY/URG7=0.0
!
!WR_MGLY/RPR4=0.0
!
!WR_MGLY/RPR7=0.0
!
!WR_MGLY/RPG7=0.0
!
!WR_MGLY/URG8=0.0
!
!WR_MGLY/UR19=0.0
!
!WR_MGLY/URG9=0.0
!
!WR_MGLY/AP7=0.0
!
!WR_MGLY/URG10=0.0
!
!WR_MGLY/RPR1=0.0
!
!WR_MGLY/RPR5=0.0
!
!WR_MGLY/RPR8=0.0
!
!WR_MGLY/RP10=0.0
!
!WR_MGLY/RP11=0.0
!
!WR_MGLY/RP16=0.0
!
!WR_MGLY/RPRL=0.0
!
!WR_MGLY/APAN=0.0
!
!WR_MGLY/PAN1=0.0
!
!WR_MGLY/PAN2=0.0
!
!WR_MGLY/PAN3=0.0
!
!WR_MGLY/PAN4=0.0
!
!WR_MGLY/PAN6=0.0
!
!WR_MGLY/PAN7=0.0
!
!WR_MGLY/PAN8=0.0
!
!WR_MGLY/PN10=0.0
!
!WR_MGLY/RO2T=0.0
!
!WR_MGLY/RO21=0.0
!
!WR_MGLY/RO25=0.0
!
!WR_MGLY/WC_O3=0.0
!
!WR_MGLY/WC_H2O2=0.0
!
!WR_MGLY/WC_NO=0.0
!
!WR_MGLY/WC_NO2=0.0
!
!WR_MGLY/WC_NO3=0.0
!
!WR_MGLY/WC_N2O5=0.0
!
!WR_MGLY/WC_HONO=0.0
!
!WR_MGLY/WC_HNO3=0.0
!
!WR_MGLY/WC_HNO4=0.0
!
!WR_MGLY/WC_NH3=0.0
!
!WR_MGLY/WC_OH=0.0
!
!WR_MGLY/WC_HO2=0.0
!
!WR_MGLY/WC_CO2=0.0
!
!WR_MGLY/WC_SO2=0.0
!
!WR_MGLY/WC_H2SO4=0.0
!
!WR_MGLY/WC_RO21=0.0
!
!WR_MGLY/WC_RO25=0.0
!
!WR_MGLY/WC_MEOH=0.0
!
!WR_MGLY/WC_ETOH=0.0
!
!WR_MGLY/WC_ALCH=0.0
!
!WR_MGLY/WC_HCHO=0.0
!
!WR_MGLY/WC_ALD2=0.0
!
!WR_MGLY/WC_GLY=0.0
!
!WR_MGLY/WC_MGLY=0.0
!
!WR_MGLY/WC_KETL=0.0
!
!WR_MGLY/WC_ORA1=0.0
!
!WR_MGLY/WC_ORA2=0.0
!
!WR_MGLY/WC_ACID=0.0
!
!WR_MGLY/WC_RP16=0.0
!
!WR_MGLY/WC_UR21=0.0
!
!WR_MGLY/WC_UR28=0.0
!
!WR_MGLY/WC_ACID2=0.0
!
!WR_MGLY/WC_ASO3=0.0
!
!WR_MGLY/WC_ASO4=0.0
!
!WR_MGLY/WC_ASO5=0.0
!
!WR_MGLY/WC_AHSO5=0.0
!
!WR_MGLY/WC_AHMS=0.0
!
!WR_MGLY/WR_O3=0.0
!
!WR_MGLY/WR_H2O2=0.0
!
!WR_MGLY/WR_NO=0.0
!
!WR_MGLY/WR_NO2=0.0
!
!WR_MGLY/WR_NO3=0.0
!
!WR_MGLY/WR_N2O5=0.0
!
!WR_MGLY/WR_HONO=0.0
!
!WR_MGLY/WR_HNO3=0.0
!
!WR_MGLY/WR_HNO4=0.0
!
!WR_MGLY/WR_NH3=0.0
!
!WR_MGLY/WR_OH=-KR36*<WR_MGLY>+KR37*<WR_KETL>
 PJAC(:,148,135)=-TPK%KR36(:)*PCONC(:,148)+TPK%KR37(:)*PCONC(:,149)
!
!WR_MGLY/WR_HO2=0.0
!
!WR_MGLY/WR_CO2=0.0
!
!WR_MGLY/WR_SO2=0.0
!
!WR_MGLY/WR_H2SO4=0.0
!
!WR_MGLY/WR_RO21=0.0
!
!WR_MGLY/WR_RO25=0.0
!
!WR_MGLY/WR_MEOH=0.0
!
!WR_MGLY/WR_ETOH=0.0
!
!WR_MGLY/WR_ALCH=0.0
!
!WR_MGLY/WR_HCHO=0.0
!
!WR_MGLY/WR_ALD2=0.0
!
!WR_MGLY/WR_GLY=0.0
!
!WR_MGLY/WR_MGLY=-KTR56-KR36*<WR_OH>
 PJAC(:,148,148)=-TPK%KTR56(:)-TPK%KR36(:)*PCONC(:,135)
!
!WR_MGLY/WR_KETL=+KR37*<WR_OH>
 PJAC(:,148,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_MGLY/WR_ORA1=0.0
!
!WR_MGLY/WR_ORA2=0.0
!
!WR_MGLY/WR_ACID=0.0
!
!WR_MGLY/WR_RP16=0.0
!
!WR_MGLY/WR_UR21=0.0
!
!WR_MGLY/WR_UR28=0.0
!
!WR_MGLY/WR_ACID2=0.0
!
!WR_MGLY/WR_ASO3=0.0
!
!WR_MGLY/WR_ASO4=0.0
!
!WR_MGLY/WR_ASO5=0.0
!
!WR_MGLY/WR_AHSO5=0.0
!
!WR_MGLY/WR_AHMS=0.0
!
!WR_KETL/NO=0.0
!
!WR_KETL/NO2=0.0
!
!WR_KETL/O3=0.0
!
!WR_KETL/HONO=0.0
!
!WR_KETL/HNO3=0.0
!
!WR_KETL/HNO4=0.0
!
!WR_KETL/N2O5=0.0
!
!WR_KETL/NO3=0.0
!
!WR_KETL/NH3=0.0
!
!WR_KETL/HO2=0.0
!
!WR_KETL/CO=0.0
!
!WR_KETL/H2O2=0.0
!
!WR_KETL/SO2=0.0
!
!WR_KETL/H2SO4=0.0
!
!WR_KETL/OH=0.0
!
!WR_KETL/ETHE=0.0
!
!WR_KETL/OLEL=0.0
!
!WR_KETL/OLEH=0.0
!
!WR_KETL/ALKL=0.0
!
!WR_KETL/ALKM=0.0
!
!WR_KETL/ALKH=0.0
!
!WR_KETL/AROH=0.0
!
!WR_KETL/AROL=0.0
!
!WR_KETL/AROO=0.0
!
!WR_KETL/ARAL=0.0
!
!WR_KETL/ARAC=0.0
!
!WR_KETL/PAH=0.0
!
!WR_KETL/HCHO=0.0
!
!WR_KETL/ALD2=0.0
!
!WR_KETL/KETL=+KTR24
 PJAC(:,149,30)=+TPK%KTR24(:)
!
!WR_KETL/KETH=0.0
!
!WR_KETL/MEOH=0.0
!
!WR_KETL/ETOH=0.0
!
!WR_KETL/ALCH=0.0
!
!WR_KETL/ISOP=0.0
!
!WR_KETL/BIOL=0.0
!
!WR_KETL/BIOH=0.0
!
!WR_KETL/MTBE=0.0
!
!WR_KETL/MVK=0.0
!
!WR_KETL/MCR=0.0
!
!WR_KETL/MGLY=0.0
!
!WR_KETL/GLY=0.0
!
!WR_KETL/ORA1=0.0
!
!WR_KETL/ORA2=0.0
!
!WR_KETL/ACID=0.0
!
!WR_KETL/UR28=0.0
!
!WR_KETL/UR21=0.0
!
!WR_KETL/URG2=0.0
!
!WR_KETL/UR26=0.0
!
!WR_KETL/RPG2=0.0
!
!WR_KETL/RP18=0.0
!
!WR_KETL/RPG3=0.0
!
!WR_KETL/URG4=0.0
!
!WR_KETL/UR8=0.0
!
!WR_KETL/UR17=0.0
!
!WR_KETL/UR7=0.0
!
!WR_KETL/RPR3=0.0
!
!WR_KETL/URG6=0.0
!
!WR_KETL/UR22=0.0
!
!WR_KETL/URG7=0.0
!
!WR_KETL/RPR4=0.0
!
!WR_KETL/RPR7=0.0
!
!WR_KETL/RPG7=0.0
!
!WR_KETL/URG8=0.0
!
!WR_KETL/UR19=0.0
!
!WR_KETL/URG9=0.0
!
!WR_KETL/AP7=0.0
!
!WR_KETL/URG10=0.0
!
!WR_KETL/RPR1=0.0
!
!WR_KETL/RPR5=0.0
!
!WR_KETL/RPR8=0.0
!
!WR_KETL/RP10=0.0
!
!WR_KETL/RP11=0.0
!
!WR_KETL/RP16=0.0
!
!WR_KETL/RPRL=0.0
!
!WR_KETL/APAN=0.0
!
!WR_KETL/PAN1=0.0
!
!WR_KETL/PAN2=0.0
!
!WR_KETL/PAN3=0.0
!
!WR_KETL/PAN4=0.0
!
!WR_KETL/PAN6=0.0
!
!WR_KETL/PAN7=0.0
!
!WR_KETL/PAN8=0.0
!
!WR_KETL/PN10=0.0
!
!WR_KETL/RO2T=0.0
!
!WR_KETL/RO21=0.0
!
!WR_KETL/RO25=0.0
!
!WR_KETL/WC_O3=0.0
!
!WR_KETL/WC_H2O2=0.0
!
!WR_KETL/WC_NO=0.0
!
!WR_KETL/WC_NO2=0.0
!
!WR_KETL/WC_NO3=0.0
!
!WR_KETL/WC_N2O5=0.0
!
!WR_KETL/WC_HONO=0.0
!
!WR_KETL/WC_HNO3=0.0
!
!WR_KETL/WC_HNO4=0.0
!
!WR_KETL/WC_NH3=0.0
!
!WR_KETL/WC_OH=0.0
!
!WR_KETL/WC_HO2=0.0
!
!WR_KETL/WC_CO2=0.0
!
!WR_KETL/WC_SO2=0.0
!
!WR_KETL/WC_H2SO4=0.0
!
!WR_KETL/WC_RO21=0.0
!
!WR_KETL/WC_RO25=0.0
!
!WR_KETL/WC_MEOH=0.0
!
!WR_KETL/WC_ETOH=0.0
!
!WR_KETL/WC_ALCH=0.0
!
!WR_KETL/WC_HCHO=0.0
!
!WR_KETL/WC_ALD2=0.0
!
!WR_KETL/WC_GLY=0.0
!
!WR_KETL/WC_MGLY=0.0
!
!WR_KETL/WC_KETL=0.0
!
!WR_KETL/WC_ORA1=0.0
!
!WR_KETL/WC_ORA2=0.0
!
!WR_KETL/WC_ACID=0.0
!
!WR_KETL/WC_RP16=0.0
!
!WR_KETL/WC_UR21=0.0
!
!WR_KETL/WC_UR28=0.0
!
!WR_KETL/WC_ACID2=0.0
!
!WR_KETL/WC_ASO3=0.0
!
!WR_KETL/WC_ASO4=0.0
!
!WR_KETL/WC_ASO5=0.0
!
!WR_KETL/WC_AHSO5=0.0
!
!WR_KETL/WC_AHMS=0.0
!
!WR_KETL/WR_O3=0.0
!
!WR_KETL/WR_H2O2=0.0
!
!WR_KETL/WR_NO=0.0
!
!WR_KETL/WR_NO2=0.0
!
!WR_KETL/WR_NO3=0.0
!
!WR_KETL/WR_N2O5=0.0
!
!WR_KETL/WR_HONO=0.0
!
!WR_KETL/WR_HNO3=0.0
!
!WR_KETL/WR_HNO4=0.0
!
!WR_KETL/WR_NH3=0.0
!
!WR_KETL/WR_OH=+0.50*KR32*<WR_ALCH>+KR37*<WR_KETL>-KR37*<WR_KETL>
 PJAC(:,149,135)=+0.50*TPK%KR32(:)*PCONC(:,144)+TPK%KR37(:)*PCONC(:,149)-TPK%KR&
&37(:)*PCONC(:,149)
!
!WR_KETL/WR_HO2=0.0
!
!WR_KETL/WR_CO2=0.0
!
!WR_KETL/WR_SO2=0.0
!
!WR_KETL/WR_H2SO4=0.0
!
!WR_KETL/WR_RO21=0.0
!
!WR_KETL/WR_RO25=0.0
!
!WR_KETL/WR_MEOH=0.0
!
!WR_KETL/WR_ETOH=0.0
!
!WR_KETL/WR_ALCH=+0.50*KR32*<WR_OH>
 PJAC(:,149,144)=+0.50*TPK%KR32(:)*PCONC(:,135)
!
!WR_KETL/WR_HCHO=0.0
!
!WR_KETL/WR_ALD2=0.0
!
!WR_KETL/WR_GLY=0.0
!
!WR_KETL/WR_MGLY=0.0
!
!WR_KETL/WR_KETL=-KTR55+KR37*<WR_OH>-KR37*<WR_OH>
 PJAC(:,149,149)=-TPK%KTR55(:)+TPK%KR37(:)*PCONC(:,135)-TPK%KR37(:)*PCONC(:,135&
&)
!
!WR_KETL/WR_ORA1=0.0
!
!WR_KETL/WR_ORA2=0.0
!
!WR_KETL/WR_ACID=0.0
!
!WR_KETL/WR_RP16=0.0
!
!WR_KETL/WR_UR21=0.0
!
!WR_KETL/WR_UR28=0.0
!
!WR_KETL/WR_ACID2=0.0
!
!WR_KETL/WR_ASO3=0.0
!
!WR_KETL/WR_ASO4=0.0
!
!WR_KETL/WR_ASO5=0.0
!
!WR_KETL/WR_AHSO5=0.0
!
!WR_KETL/WR_AHMS=0.0
!
!WR_ORA1/NO=0.0
!
!WR_ORA1/NO2=0.0
!
!WR_ORA1/O3=0.0
!
!WR_ORA1/HONO=0.0
!
!WR_ORA1/HNO3=0.0
!
!WR_ORA1/HNO4=0.0
!
!WR_ORA1/N2O5=0.0
!
!WR_ORA1/NO3=0.0
!
!WR_ORA1/NH3=0.0
!
!WR_ORA1/HO2=0.0
!
!WR_ORA1/CO=0.0
!
!WR_ORA1/H2O2=0.0
!
!WR_ORA1/SO2=0.0
!
!WR_ORA1/H2SO4=0.0
!
!WR_ORA1/OH=0.0
!
!WR_ORA1/ETHE=0.0
!
!WR_ORA1/OLEL=0.0
!
!WR_ORA1/OLEH=0.0
!
!WR_ORA1/ALKL=0.0
!
!WR_ORA1/ALKM=0.0
!
!WR_ORA1/ALKH=0.0
!
!WR_ORA1/AROH=0.0
!
!WR_ORA1/AROL=0.0
!
!WR_ORA1/AROO=0.0
!
!WR_ORA1/ARAL=0.0
!
!WR_ORA1/ARAC=0.0
!
!WR_ORA1/PAH=0.0
!
!WR_ORA1/HCHO=0.0
!
!WR_ORA1/ALD2=0.0
!
!WR_ORA1/KETL=0.0
!
!WR_ORA1/KETH=0.0
!
!WR_ORA1/MEOH=0.0
!
!WR_ORA1/ETOH=0.0
!
!WR_ORA1/ALCH=0.0
!
!WR_ORA1/ISOP=0.0
!
!WR_ORA1/BIOL=0.0
!
!WR_ORA1/BIOH=0.0
!
!WR_ORA1/MTBE=0.0
!
!WR_ORA1/MVK=0.0
!
!WR_ORA1/MCR=0.0
!
!WR_ORA1/MGLY=0.0
!
!WR_ORA1/GLY=0.0
!
!WR_ORA1/ORA1=+KTR26
 PJAC(:,150,43)=+TPK%KTR26(:)
!
!WR_ORA1/ORA2=0.0
!
!WR_ORA1/ACID=0.0
!
!WR_ORA1/UR28=0.0
!
!WR_ORA1/UR21=0.0
!
!WR_ORA1/URG2=0.0
!
!WR_ORA1/UR26=0.0
!
!WR_ORA1/RPG2=0.0
!
!WR_ORA1/RP18=0.0
!
!WR_ORA1/RPG3=0.0
!
!WR_ORA1/URG4=0.0
!
!WR_ORA1/UR8=0.0
!
!WR_ORA1/UR17=0.0
!
!WR_ORA1/UR7=0.0
!
!WR_ORA1/RPR3=0.0
!
!WR_ORA1/URG6=0.0
!
!WR_ORA1/UR22=0.0
!
!WR_ORA1/URG7=0.0
!
!WR_ORA1/RPR4=0.0
!
!WR_ORA1/RPR7=0.0
!
!WR_ORA1/RPG7=0.0
!
!WR_ORA1/URG8=0.0
!
!WR_ORA1/UR19=0.0
!
!WR_ORA1/URG9=0.0
!
!WR_ORA1/AP7=0.0
!
!WR_ORA1/URG10=0.0
!
!WR_ORA1/RPR1=0.0
!
!WR_ORA1/RPR5=0.0
!
!WR_ORA1/RPR8=0.0
!
!WR_ORA1/RP10=0.0
!
!WR_ORA1/RP11=0.0
!
!WR_ORA1/RP16=0.0
!
!WR_ORA1/RPRL=0.0
!
!WR_ORA1/APAN=0.0
!
!WR_ORA1/PAN1=0.0
!
!WR_ORA1/PAN2=0.0
!
!WR_ORA1/PAN3=0.0
!
!WR_ORA1/PAN4=0.0
!
!WR_ORA1/PAN6=0.0
!
!WR_ORA1/PAN7=0.0
!
!WR_ORA1/PAN8=0.0
!
!WR_ORA1/PN10=0.0
!
!WR_ORA1/RO2T=0.0
!
!WR_ORA1/RO21=0.0
!
!WR_ORA1/RO25=0.0
!
!WR_ORA1/WC_O3=0.0
!
!WR_ORA1/WC_H2O2=0.0
!
!WR_ORA1/WC_NO=0.0
!
!WR_ORA1/WC_NO2=0.0
!
!WR_ORA1/WC_NO3=0.0
!
!WR_ORA1/WC_N2O5=0.0
!
!WR_ORA1/WC_HONO=0.0
!
!WR_ORA1/WC_HNO3=0.0
!
!WR_ORA1/WC_HNO4=0.0
!
!WR_ORA1/WC_NH3=0.0
!
!WR_ORA1/WC_OH=0.0
!
!WR_ORA1/WC_HO2=0.0
!
!WR_ORA1/WC_CO2=0.0
!
!WR_ORA1/WC_SO2=0.0
!
!WR_ORA1/WC_H2SO4=0.0
!
!WR_ORA1/WC_RO21=0.0
!
!WR_ORA1/WC_RO25=0.0
!
!WR_ORA1/WC_MEOH=0.0
!
!WR_ORA1/WC_ETOH=0.0
!
!WR_ORA1/WC_ALCH=0.0
!
!WR_ORA1/WC_HCHO=0.0
!
!WR_ORA1/WC_ALD2=0.0
!
!WR_ORA1/WC_GLY=0.0
!
!WR_ORA1/WC_MGLY=0.0
!
!WR_ORA1/WC_KETL=0.0
!
!WR_ORA1/WC_ORA1=0.0
!
!WR_ORA1/WC_ORA2=0.0
!
!WR_ORA1/WC_ACID=0.0
!
!WR_ORA1/WC_RP16=0.0
!
!WR_ORA1/WC_UR21=0.0
!
!WR_ORA1/WC_UR28=0.0
!
!WR_ORA1/WC_ACID2=0.0
!
!WR_ORA1/WC_ASO3=0.0
!
!WR_ORA1/WC_ASO4=0.0
!
!WR_ORA1/WC_ASO5=0.0
!
!WR_ORA1/WC_AHSO5=0.0
!
!WR_ORA1/WC_AHMS=0.0
!
!WR_ORA1/WR_O3=0.0
!
!WR_ORA1/WR_H2O2=0.0
!
!WR_ORA1/WR_NO=0.0
!
!WR_ORA1/WR_NO2=0.0
!
!WR_ORA1/WR_NO3=0.0
!
!WR_ORA1/WR_N2O5=0.0
!
!WR_ORA1/WR_HONO=0.0
!
!WR_ORA1/WR_HNO3=0.0
!
!WR_ORA1/WR_HNO4=0.0
!
!WR_ORA1/WR_NH3=0.0
!
!WR_ORA1/WR_OH=+KR19*<WR_AHMS>+KR33*<WR_HCHO>-KR38*<WR_ORA1>
 PJAC(:,150,135)=+TPK%KR19(:)*PCONC(:,161)+TPK%KR33(:)*PCONC(:,145)-TPK%KR38(:)&
&*PCONC(:,150)
!
!WR_ORA1/WR_HO2=0.0
!
!WR_ORA1/WR_CO2=0.0
!
!WR_ORA1/WR_SO2=0.0
!
!WR_ORA1/WR_H2SO4=0.0
!
!WR_ORA1/WR_RO21=0.0
!
!WR_ORA1/WR_RO25=0.0
!
!WR_ORA1/WR_MEOH=0.0
!
!WR_ORA1/WR_ETOH=0.0
!
!WR_ORA1/WR_ALCH=0.0
!
!WR_ORA1/WR_HCHO=+KR33*<WR_OH>
 PJAC(:,150,145)=+TPK%KR33(:)*PCONC(:,135)
!
!WR_ORA1/WR_ALD2=0.0
!
!WR_ORA1/WR_GLY=0.0
!
!WR_ORA1/WR_MGLY=0.0
!
!WR_ORA1/WR_KETL=0.0
!
!WR_ORA1/WR_ORA1=-KTR57-KR38*<WR_OH>
 PJAC(:,150,150)=-TPK%KTR57(:)-TPK%KR38(:)*PCONC(:,135)
!
!WR_ORA1/WR_ORA2=0.0
!
!WR_ORA1/WR_ACID=0.0
!
!WR_ORA1/WR_RP16=0.0
!
!WR_ORA1/WR_UR21=0.0
!
!WR_ORA1/WR_UR28=0.0
!
!WR_ORA1/WR_ACID2=0.0
!
!WR_ORA1/WR_ASO3=0.0
!
!WR_ORA1/WR_ASO4=0.0
!
!WR_ORA1/WR_ASO5=0.0
!
!WR_ORA1/WR_AHSO5=0.0
!
!WR_ORA1/WR_AHMS=+KR19*<WR_OH>
 PJAC(:,150,161)=+TPK%KR19(:)*PCONC(:,135)
!
RETURN
END SUBROUTINE SUBJ29
!
SUBROUTINE SUBJ30
!
!Indices 151 a 155
!
!
!WR_ORA2/NO=0.0
!
!WR_ORA2/NO2=0.0
!
!WR_ORA2/O3=0.0
!
!WR_ORA2/HONO=0.0
!
!WR_ORA2/HNO3=0.0
!
!WR_ORA2/HNO4=0.0
!
!WR_ORA2/N2O5=0.0
!
!WR_ORA2/NO3=0.0
!
!WR_ORA2/NH3=0.0
!
!WR_ORA2/HO2=0.0
!
!WR_ORA2/CO=0.0
!
!WR_ORA2/H2O2=0.0
!
!WR_ORA2/SO2=0.0
!
!WR_ORA2/H2SO4=0.0
!
!WR_ORA2/OH=0.0
!
!WR_ORA2/ETHE=0.0
!
!WR_ORA2/OLEL=0.0
!
!WR_ORA2/OLEH=0.0
!
!WR_ORA2/ALKL=0.0
!
!WR_ORA2/ALKM=0.0
!
!WR_ORA2/ALKH=0.0
!
!WR_ORA2/AROH=0.0
!
!WR_ORA2/AROL=0.0
!
!WR_ORA2/AROO=0.0
!
!WR_ORA2/ARAL=0.0
!
!WR_ORA2/ARAC=0.0
!
!WR_ORA2/PAH=0.0
!
!WR_ORA2/HCHO=0.0
!
!WR_ORA2/ALD2=0.0
!
!WR_ORA2/KETL=0.0
!
!WR_ORA2/KETH=0.0
!
!WR_ORA2/MEOH=0.0
!
!WR_ORA2/ETOH=0.0
!
!WR_ORA2/ALCH=0.0
!
!WR_ORA2/ISOP=0.0
!
!WR_ORA2/BIOL=0.0
!
!WR_ORA2/BIOH=0.0
!
!WR_ORA2/MTBE=0.0
!
!WR_ORA2/MVK=0.0
!
!WR_ORA2/MCR=0.0
!
!WR_ORA2/MGLY=0.0
!
!WR_ORA2/GLY=0.0
!
!WR_ORA2/ORA1=0.0
!
!WR_ORA2/ORA2=+KTR27
 PJAC(:,151,44)=+TPK%KTR27(:)
!
!WR_ORA2/ACID=0.0
!
!WR_ORA2/UR28=0.0
!
!WR_ORA2/UR21=0.0
!
!WR_ORA2/URG2=0.0
!
!WR_ORA2/UR26=0.0
!
!WR_ORA2/RPG2=0.0
!
!WR_ORA2/RP18=0.0
!
!WR_ORA2/RPG3=0.0
!
!WR_ORA2/URG4=0.0
!
!WR_ORA2/UR8=0.0
!
!WR_ORA2/UR17=0.0
!
!WR_ORA2/UR7=0.0
!
!WR_ORA2/RPR3=0.0
!
!WR_ORA2/URG6=0.0
!
!WR_ORA2/UR22=0.0
!
!WR_ORA2/URG7=0.0
!
!WR_ORA2/RPR4=0.0
!
!WR_ORA2/RPR7=0.0
!
!WR_ORA2/RPG7=0.0
!
!WR_ORA2/URG8=0.0
!
!WR_ORA2/UR19=0.0
!
!WR_ORA2/URG9=0.0
!
!WR_ORA2/AP7=0.0
!
!WR_ORA2/URG10=0.0
!
!WR_ORA2/RPR1=0.0
!
!WR_ORA2/RPR5=0.0
!
!WR_ORA2/RPR8=0.0
!
!WR_ORA2/RP10=0.0
!
!WR_ORA2/RP11=0.0
!
!WR_ORA2/RP16=0.0
!
!WR_ORA2/RPRL=0.0
!
!WR_ORA2/APAN=0.0
!
!WR_ORA2/PAN1=0.0
!
!WR_ORA2/PAN2=0.0
!
!WR_ORA2/PAN3=0.0
!
!WR_ORA2/PAN4=0.0
!
!WR_ORA2/PAN6=0.0
!
!WR_ORA2/PAN7=0.0
!
!WR_ORA2/PAN8=0.0
!
!WR_ORA2/PN10=0.0
!
!WR_ORA2/RO2T=0.0
!
!WR_ORA2/RO21=0.0
!
!WR_ORA2/RO25=0.0
!
!WR_ORA2/WC_O3=0.0
!
!WR_ORA2/WC_H2O2=0.0
!
!WR_ORA2/WC_NO=0.0
!
!WR_ORA2/WC_NO2=0.0
!
!WR_ORA2/WC_NO3=0.0
!
!WR_ORA2/WC_N2O5=0.0
!
!WR_ORA2/WC_HONO=0.0
!
!WR_ORA2/WC_HNO3=0.0
!
!WR_ORA2/WC_HNO4=0.0
!
!WR_ORA2/WC_NH3=0.0
!
!WR_ORA2/WC_OH=0.0
!
!WR_ORA2/WC_HO2=0.0
!
!WR_ORA2/WC_CO2=0.0
!
!WR_ORA2/WC_SO2=0.0
!
!WR_ORA2/WC_H2SO4=0.0
!
!WR_ORA2/WC_RO21=0.0
!
!WR_ORA2/WC_RO25=0.0
!
!WR_ORA2/WC_MEOH=0.0
!
!WR_ORA2/WC_ETOH=0.0
!
!WR_ORA2/WC_ALCH=0.0
!
!WR_ORA2/WC_HCHO=0.0
!
!WR_ORA2/WC_ALD2=0.0
!
!WR_ORA2/WC_GLY=0.0
!
!WR_ORA2/WC_MGLY=0.0
!
!WR_ORA2/WC_KETL=0.0
!
!WR_ORA2/WC_ORA1=0.0
!
!WR_ORA2/WC_ORA2=0.0
!
!WR_ORA2/WC_ACID=0.0
!
!WR_ORA2/WC_RP16=0.0
!
!WR_ORA2/WC_UR21=0.0
!
!WR_ORA2/WC_UR28=0.0
!
!WR_ORA2/WC_ACID2=0.0
!
!WR_ORA2/WC_ASO3=0.0
!
!WR_ORA2/WC_ASO4=0.0
!
!WR_ORA2/WC_ASO5=0.0
!
!WR_ORA2/WC_AHSO5=0.0
!
!WR_ORA2/WC_AHMS=0.0
!
!WR_ORA2/WR_O3=0.0
!
!WR_ORA2/WR_H2O2=0.0
!
!WR_ORA2/WR_NO=0.0
!
!WR_ORA2/WR_NO2=0.0
!
!WR_ORA2/WR_NO3=0.0
!
!WR_ORA2/WR_N2O5=0.0
!
!WR_ORA2/WR_HONO=0.0
!
!WR_ORA2/WR_HNO3=0.0
!
!WR_ORA2/WR_HNO4=0.0
!
!WR_ORA2/WR_NH3=0.0
!
!WR_ORA2/WR_OH=-KR39*<WR_ORA2>
 PJAC(:,151,135)=-TPK%KR39(:)*PCONC(:,151)
!
!WR_ORA2/WR_HO2=0.0
!
!WR_ORA2/WR_CO2=0.0
!
!WR_ORA2/WR_SO2=0.0
!
!WR_ORA2/WR_H2SO4=0.0
!
!WR_ORA2/WR_RO21=0.0
!
!WR_ORA2/WR_RO25=+KR29*<WR_RO25>+KR29*<WR_RO25>
 PJAC(:,151,141)=+TPK%KR29(:)*PCONC(:,141)+TPK%KR29(:)*PCONC(:,141)
!
!WR_ORA2/WR_MEOH=0.0
!
!WR_ORA2/WR_ETOH=0.0
!
!WR_ORA2/WR_ALCH=0.0
!
!WR_ORA2/WR_HCHO=0.0
!
!WR_ORA2/WR_ALD2=0.0
!
!WR_ORA2/WR_GLY=0.0
!
!WR_ORA2/WR_MGLY=0.0
!
!WR_ORA2/WR_KETL=0.0
!
!WR_ORA2/WR_ORA1=0.0
!
!WR_ORA2/WR_ORA2=-KTR58-KR39*<WR_OH>
 PJAC(:,151,151)=-TPK%KTR58(:)-TPK%KR39(:)*PCONC(:,135)
!
!WR_ORA2/WR_ACID=0.0
!
!WR_ORA2/WR_RP16=0.0
!
!WR_ORA2/WR_UR21=0.0
!
!WR_ORA2/WR_UR28=0.0
!
!WR_ORA2/WR_ACID2=0.0
!
!WR_ORA2/WR_ASO3=0.0
!
!WR_ORA2/WR_ASO4=0.0
!
!WR_ORA2/WR_ASO5=0.0
!
!WR_ORA2/WR_AHSO5=0.0
!
!WR_ORA2/WR_AHMS=0.0
!
!WR_ACID/NO=0.0
!
!WR_ACID/NO2=0.0
!
!WR_ACID/O3=0.0
!
!WR_ACID/HONO=0.0
!
!WR_ACID/HNO3=0.0
!
!WR_ACID/HNO4=0.0
!
!WR_ACID/N2O5=0.0
!
!WR_ACID/NO3=0.0
!
!WR_ACID/NH3=0.0
!
!WR_ACID/HO2=0.0
!
!WR_ACID/CO=0.0
!
!WR_ACID/H2O2=0.0
!
!WR_ACID/SO2=0.0
!
!WR_ACID/H2SO4=0.0
!
!WR_ACID/OH=0.0
!
!WR_ACID/ETHE=0.0
!
!WR_ACID/OLEL=0.0
!
!WR_ACID/OLEH=0.0
!
!WR_ACID/ALKL=0.0
!
!WR_ACID/ALKM=0.0
!
!WR_ACID/ALKH=0.0
!
!WR_ACID/AROH=0.0
!
!WR_ACID/AROL=0.0
!
!WR_ACID/AROO=0.0
!
!WR_ACID/ARAL=0.0
!
!WR_ACID/ARAC=0.0
!
!WR_ACID/PAH=0.0
!
!WR_ACID/HCHO=0.0
!
!WR_ACID/ALD2=0.0
!
!WR_ACID/KETL=0.0
!
!WR_ACID/KETH=0.0
!
!WR_ACID/MEOH=0.0
!
!WR_ACID/ETOH=0.0
!
!WR_ACID/ALCH=0.0
!
!WR_ACID/ISOP=0.0
!
!WR_ACID/BIOL=0.0
!
!WR_ACID/BIOH=0.0
!
!WR_ACID/MTBE=0.0
!
!WR_ACID/MVK=0.0
!
!WR_ACID/MCR=0.0
!
!WR_ACID/MGLY=0.0
!
!WR_ACID/GLY=0.0
!
!WR_ACID/ORA1=0.0
!
!WR_ACID/ORA2=0.0
!
!WR_ACID/ACID=+KTR28
 PJAC(:,152,45)=+TPK%KTR28(:)
!
!WR_ACID/UR28=0.0
!
!WR_ACID/UR21=0.0
!
!WR_ACID/URG2=0.0
!
!WR_ACID/UR26=0.0
!
!WR_ACID/RPG2=0.0
!
!WR_ACID/RP18=0.0
!
!WR_ACID/RPG3=0.0
!
!WR_ACID/URG4=0.0
!
!WR_ACID/UR8=0.0
!
!WR_ACID/UR17=0.0
!
!WR_ACID/UR7=0.0
!
!WR_ACID/RPR3=0.0
!
!WR_ACID/URG6=0.0
!
!WR_ACID/UR22=0.0
!
!WR_ACID/URG7=0.0
!
!WR_ACID/RPR4=0.0
!
!WR_ACID/RPR7=0.0
!
!WR_ACID/RPG7=0.0
!
!WR_ACID/URG8=0.0
!
!WR_ACID/UR19=0.0
!
!WR_ACID/URG9=0.0
!
!WR_ACID/AP7=0.0
!
!WR_ACID/URG10=0.0
!
!WR_ACID/RPR1=0.0
!
!WR_ACID/RPR5=0.0
!
!WR_ACID/RPR8=0.0
!
!WR_ACID/RP10=0.0
!
!WR_ACID/RP11=0.0
!
!WR_ACID/RP16=0.0
!
!WR_ACID/RPRL=0.0
!
!WR_ACID/APAN=0.0
!
!WR_ACID/PAN1=0.0
!
!WR_ACID/PAN2=0.0
!
!WR_ACID/PAN3=0.0
!
!WR_ACID/PAN4=0.0
!
!WR_ACID/PAN6=0.0
!
!WR_ACID/PAN7=0.0
!
!WR_ACID/PAN8=0.0
!
!WR_ACID/PN10=0.0
!
!WR_ACID/RO2T=0.0
!
!WR_ACID/RO21=0.0
!
!WR_ACID/RO25=0.0
!
!WR_ACID/WC_O3=0.0
!
!WR_ACID/WC_H2O2=0.0
!
!WR_ACID/WC_NO=0.0
!
!WR_ACID/WC_NO2=0.0
!
!WR_ACID/WC_NO3=0.0
!
!WR_ACID/WC_N2O5=0.0
!
!WR_ACID/WC_HONO=0.0
!
!WR_ACID/WC_HNO3=0.0
!
!WR_ACID/WC_HNO4=0.0
!
!WR_ACID/WC_NH3=0.0
!
!WR_ACID/WC_OH=0.0
!
!WR_ACID/WC_HO2=0.0
!
!WR_ACID/WC_CO2=0.0
!
!WR_ACID/WC_SO2=0.0
!
!WR_ACID/WC_H2SO4=0.0
!
!WR_ACID/WC_RO21=0.0
!
!WR_ACID/WC_RO25=0.0
!
!WR_ACID/WC_MEOH=0.0
!
!WR_ACID/WC_ETOH=0.0
!
!WR_ACID/WC_ALCH=0.0
!
!WR_ACID/WC_HCHO=0.0
!
!WR_ACID/WC_ALD2=0.0
!
!WR_ACID/WC_GLY=0.0
!
!WR_ACID/WC_MGLY=0.0
!
!WR_ACID/WC_KETL=0.0
!
!WR_ACID/WC_ORA1=0.0
!
!WR_ACID/WC_ORA2=0.0
!
!WR_ACID/WC_ACID=0.0
!
!WR_ACID/WC_RP16=0.0
!
!WR_ACID/WC_UR21=0.0
!
!WR_ACID/WC_UR28=0.0
!
!WR_ACID/WC_ACID2=0.0
!
!WR_ACID/WC_ASO3=0.0
!
!WR_ACID/WC_ASO4=0.0
!
!WR_ACID/WC_ASO5=0.0
!
!WR_ACID/WC_AHSO5=0.0
!
!WR_ACID/WC_AHMS=0.0
!
!WR_ACID/WR_O3=0.0
!
!WR_ACID/WR_H2O2=0.0
!
!WR_ACID/WR_NO=0.0
!
!WR_ACID/WR_NO2=0.0
!
!WR_ACID/WR_NO3=0.0
!
!WR_ACID/WR_N2O5=0.0
!
!WR_ACID/WR_HONO=0.0
!
!WR_ACID/WR_HNO3=0.0
!
!WR_ACID/WR_HNO4=0.0
!
!WR_ACID/WR_NH3=0.0
!
!WR_ACID/WR_OH=-KR40*<WR_ACID>-KR41*<WR_ACID>
 PJAC(:,152,135)=-TPK%KR40(:)*PCONC(:,152)-TPK%KR41(:)*PCONC(:,152)
!
!WR_ACID/WR_HO2=0.0
!
!WR_ACID/WR_CO2=0.0
!
!WR_ACID/WR_SO2=0.0
!
!WR_ACID/WR_H2SO4=0.0
!
!WR_ACID/WR_RO21=0.0
!
!WR_ACID/WR_RO25=0.0
!
!WR_ACID/WR_MEOH=0.0
!
!WR_ACID/WR_ETOH=0.0
!
!WR_ACID/WR_ALCH=0.0
!
!WR_ACID/WR_HCHO=0.0
!
!WR_ACID/WR_ALD2=0.0
!
!WR_ACID/WR_GLY=0.0
!
!WR_ACID/WR_MGLY=0.0
!
!WR_ACID/WR_KETL=0.0
!
!WR_ACID/WR_ORA1=0.0
!
!WR_ACID/WR_ORA2=0.0
!
!WR_ACID/WR_ACID=-KTR59-KR40*<WR_OH>-KR41*<WR_OH>
 PJAC(:,152,152)=-TPK%KTR59(:)-TPK%KR40(:)*PCONC(:,135)-TPK%KR41(:)*PCONC(:,135&
&)
!
!WR_ACID/WR_RP16=0.0
!
!WR_ACID/WR_UR21=0.0
!
!WR_ACID/WR_UR28=0.0
!
!WR_ACID/WR_ACID2=0.0
!
!WR_ACID/WR_ASO3=0.0
!
!WR_ACID/WR_ASO4=0.0
!
!WR_ACID/WR_ASO5=0.0
!
!WR_ACID/WR_AHSO5=0.0
!
!WR_ACID/WR_AHMS=0.0
!
!WR_RP16/NO=0.0
!
!WR_RP16/NO2=0.0
!
!WR_RP16/O3=0.0
!
!WR_RP16/HONO=0.0
!
!WR_RP16/HNO3=0.0
!
!WR_RP16/HNO4=0.0
!
!WR_RP16/N2O5=0.0
!
!WR_RP16/NO3=0.0
!
!WR_RP16/NH3=0.0
!
!WR_RP16/HO2=0.0
!
!WR_RP16/CO=0.0
!
!WR_RP16/H2O2=0.0
!
!WR_RP16/SO2=0.0
!
!WR_RP16/H2SO4=0.0
!
!WR_RP16/OH=0.0
!
!WR_RP16/ETHE=0.0
!
!WR_RP16/OLEL=0.0
!
!WR_RP16/OLEH=0.0
!
!WR_RP16/ALKL=0.0
!
!WR_RP16/ALKM=0.0
!
!WR_RP16/ALKH=0.0
!
!WR_RP16/AROH=0.0
!
!WR_RP16/AROL=0.0
!
!WR_RP16/AROO=0.0
!
!WR_RP16/ARAL=0.0
!
!WR_RP16/ARAC=0.0
!
!WR_RP16/PAH=0.0
!
!WR_RP16/HCHO=0.0
!
!WR_RP16/ALD2=0.0
!
!WR_RP16/KETL=0.0
!
!WR_RP16/KETH=0.0
!
!WR_RP16/MEOH=0.0
!
!WR_RP16/ETOH=0.0
!
!WR_RP16/ALCH=0.0
!
!WR_RP16/ISOP=0.0
!
!WR_RP16/BIOL=0.0
!
!WR_RP16/BIOH=0.0
!
!WR_RP16/MTBE=0.0
!
!WR_RP16/MVK=0.0
!
!WR_RP16/MCR=0.0
!
!WR_RP16/MGLY=0.0
!
!WR_RP16/GLY=0.0
!
!WR_RP16/ORA1=0.0
!
!WR_RP16/ORA2=0.0
!
!WR_RP16/ACID=0.0
!
!WR_RP16/UR28=0.0
!
!WR_RP16/UR21=0.0
!
!WR_RP16/URG2=0.0
!
!WR_RP16/UR26=0.0
!
!WR_RP16/RPG2=0.0
!
!WR_RP16/RP18=0.0
!
!WR_RP16/RPG3=0.0
!
!WR_RP16/URG4=0.0
!
!WR_RP16/UR8=0.0
!
!WR_RP16/UR17=0.0
!
!WR_RP16/UR7=0.0
!
!WR_RP16/RPR3=0.0
!
!WR_RP16/URG6=0.0
!
!WR_RP16/UR22=0.0
!
!WR_RP16/URG7=0.0
!
!WR_RP16/RPR4=0.0
!
!WR_RP16/RPR7=0.0
!
!WR_RP16/RPG7=0.0
!
!WR_RP16/URG8=0.0
!
!WR_RP16/UR19=0.0
!
!WR_RP16/URG9=0.0
!
!WR_RP16/AP7=0.0
!
!WR_RP16/URG10=0.0
!
!WR_RP16/RPR1=0.0
!
!WR_RP16/RPR5=0.0
!
!WR_RP16/RPR8=0.0
!
!WR_RP16/RP10=0.0
!
!WR_RP16/RP11=0.0
!
!WR_RP16/RP16=+KTR29
 PJAC(:,153,74)=+TPK%KTR29(:)
!
!WR_RP16/RPRL=0.0
!
!WR_RP16/APAN=0.0
!
!WR_RP16/PAN1=0.0
!
!WR_RP16/PAN2=0.0
!
!WR_RP16/PAN3=0.0
!
!WR_RP16/PAN4=0.0
!
!WR_RP16/PAN6=0.0
!
!WR_RP16/PAN7=0.0
!
!WR_RP16/PAN8=0.0
!
!WR_RP16/PN10=0.0
!
!WR_RP16/RO2T=0.0
!
!WR_RP16/RO21=0.0
!
!WR_RP16/RO25=0.0
!
!WR_RP16/WC_O3=0.0
!
!WR_RP16/WC_H2O2=0.0
!
!WR_RP16/WC_NO=0.0
!
!WR_RP16/WC_NO2=0.0
!
!WR_RP16/WC_NO3=0.0
!
!WR_RP16/WC_N2O5=0.0
!
!WR_RP16/WC_HONO=0.0
!
!WR_RP16/WC_HNO3=0.0
!
!WR_RP16/WC_HNO4=0.0
!
!WR_RP16/WC_NH3=0.0
!
!WR_RP16/WC_OH=0.0
!
!WR_RP16/WC_HO2=0.0
!
!WR_RP16/WC_CO2=0.0
!
!WR_RP16/WC_SO2=0.0
!
!WR_RP16/WC_H2SO4=0.0
!
!WR_RP16/WC_RO21=0.0
!
!WR_RP16/WC_RO25=0.0
!
!WR_RP16/WC_MEOH=0.0
!
!WR_RP16/WC_ETOH=0.0
!
!WR_RP16/WC_ALCH=0.0
!
!WR_RP16/WC_HCHO=0.0
!
!WR_RP16/WC_ALD2=0.0
!
!WR_RP16/WC_GLY=0.0
!
!WR_RP16/WC_MGLY=0.0
!
!WR_RP16/WC_KETL=0.0
!
!WR_RP16/WC_ORA1=0.0
!
!WR_RP16/WC_ORA2=0.0
!
!WR_RP16/WC_ACID=0.0
!
!WR_RP16/WC_RP16=0.0
!
!WR_RP16/WC_UR21=0.0
!
!WR_RP16/WC_UR28=0.0
!
!WR_RP16/WC_ACID2=0.0
!
!WR_RP16/WC_ASO3=0.0
!
!WR_RP16/WC_ASO4=0.0
!
!WR_RP16/WC_ASO5=0.0
!
!WR_RP16/WC_AHSO5=0.0
!
!WR_RP16/WC_AHMS=0.0
!
!WR_RP16/WR_O3=0.0
!
!WR_RP16/WR_H2O2=0.0
!
!WR_RP16/WR_NO=0.0
!
!WR_RP16/WR_NO2=0.0
!
!WR_RP16/WR_NO3=0.0
!
!WR_RP16/WR_N2O5=0.0
!
!WR_RP16/WR_HONO=0.0
!
!WR_RP16/WR_HNO3=0.0
!
!WR_RP16/WR_HNO4=0.0
!
!WR_RP16/WR_NH3=0.0
!
!WR_RP16/WR_OH=+KR35*<WR_GLY>+KR39*<WR_ORA2>-KR44*<WR_RP16>-KR45*<WR_RP16>
 PJAC(:,153,135)=+TPK%KR35(:)*PCONC(:,147)+TPK%KR39(:)*PCONC(:,151)-TPK%KR44(:)&
&*PCONC(:,153)-TPK%KR45(:)*PCONC(:,153)
!
!WR_RP16/WR_HO2=0.0
!
!WR_RP16/WR_CO2=0.0
!
!WR_RP16/WR_SO2=0.0
!
!WR_RP16/WR_H2SO4=0.0
!
!WR_RP16/WR_RO21=0.0
!
!WR_RP16/WR_RO25=0.0
!
!WR_RP16/WR_MEOH=0.0
!
!WR_RP16/WR_ETOH=0.0
!
!WR_RP16/WR_ALCH=0.0
!
!WR_RP16/WR_HCHO=0.0
!
!WR_RP16/WR_ALD2=0.0
!
!WR_RP16/WR_GLY=+KR35*<WR_OH>
 PJAC(:,153,147)=+TPK%KR35(:)*PCONC(:,135)
!
!WR_RP16/WR_MGLY=0.0
!
!WR_RP16/WR_KETL=0.0
!
!WR_RP16/WR_ORA1=0.0
!
!WR_RP16/WR_ORA2=+KR39*<WR_OH>
 PJAC(:,153,151)=+TPK%KR39(:)*PCONC(:,135)
!
!WR_RP16/WR_ACID=0.0
!
!WR_RP16/WR_RP16=-KTR60-KR44*<WR_OH>-KR45*<WR_OH>
 PJAC(:,153,153)=-TPK%KTR60(:)-TPK%KR44(:)*PCONC(:,135)-TPK%KR45(:)*PCONC(:,135&
&)
!
!WR_RP16/WR_UR21=0.0
!
!WR_RP16/WR_UR28=0.0
!
!WR_RP16/WR_ACID2=0.0
!
!WR_RP16/WR_ASO3=0.0
!
!WR_RP16/WR_ASO4=0.0
!
!WR_RP16/WR_ASO5=0.0
!
!WR_RP16/WR_AHSO5=0.0
!
!WR_RP16/WR_AHMS=0.0
!
!WR_UR21/NO=0.0
!
!WR_UR21/NO2=0.0
!
!WR_UR21/O3=0.0
!
!WR_UR21/HONO=0.0
!
!WR_UR21/HNO3=0.0
!
!WR_UR21/HNO4=0.0
!
!WR_UR21/N2O5=0.0
!
!WR_UR21/NO3=0.0
!
!WR_UR21/NH3=0.0
!
!WR_UR21/HO2=0.0
!
!WR_UR21/CO=0.0
!
!WR_UR21/H2O2=0.0
!
!WR_UR21/SO2=0.0
!
!WR_UR21/H2SO4=0.0
!
!WR_UR21/OH=0.0
!
!WR_UR21/ETHE=0.0
!
!WR_UR21/OLEL=0.0
!
!WR_UR21/OLEH=0.0
!
!WR_UR21/ALKL=0.0
!
!WR_UR21/ALKM=0.0
!
!WR_UR21/ALKH=0.0
!
!WR_UR21/AROH=0.0
!
!WR_UR21/AROL=0.0
!
!WR_UR21/AROO=0.0
!
!WR_UR21/ARAL=0.0
!
!WR_UR21/ARAC=0.0
!
!WR_UR21/PAH=0.0
!
!WR_UR21/HCHO=0.0
!
!WR_UR21/ALD2=0.0
!
!WR_UR21/KETL=0.0
!
!WR_UR21/KETH=0.0
!
!WR_UR21/MEOH=0.0
!
!WR_UR21/ETOH=0.0
!
!WR_UR21/ALCH=0.0
!
!WR_UR21/ISOP=0.0
!
!WR_UR21/BIOL=0.0
!
!WR_UR21/BIOH=0.0
!
!WR_UR21/MTBE=0.0
!
!WR_UR21/MVK=0.0
!
!WR_UR21/MCR=0.0
!
!WR_UR21/MGLY=0.0
!
!WR_UR21/GLY=0.0
!
!WR_UR21/ORA1=0.0
!
!WR_UR21/ORA2=0.0
!
!WR_UR21/ACID=0.0
!
!WR_UR21/UR28=0.0
!
!WR_UR21/UR21=+KTR30
 PJAC(:,154,47)=+TPK%KTR30(:)
!
!WR_UR21/URG2=0.0
!
!WR_UR21/UR26=0.0
!
!WR_UR21/RPG2=0.0
!
!WR_UR21/RP18=0.0
!
!WR_UR21/RPG3=0.0
!
!WR_UR21/URG4=0.0
!
!WR_UR21/UR8=0.0
!
!WR_UR21/UR17=0.0
!
!WR_UR21/UR7=0.0
!
!WR_UR21/RPR3=0.0
!
!WR_UR21/URG6=0.0
!
!WR_UR21/UR22=0.0
!
!WR_UR21/URG7=0.0
!
!WR_UR21/RPR4=0.0
!
!WR_UR21/RPR7=0.0
!
!WR_UR21/RPG7=0.0
!
!WR_UR21/URG8=0.0
!
!WR_UR21/UR19=0.0
!
!WR_UR21/URG9=0.0
!
!WR_UR21/AP7=0.0
!
!WR_UR21/URG10=0.0
!
!WR_UR21/RPR1=0.0
!
!WR_UR21/RPR5=0.0
!
!WR_UR21/RPR8=0.0
!
!WR_UR21/RP10=0.0
!
!WR_UR21/RP11=0.0
!
!WR_UR21/RP16=0.0
!
!WR_UR21/RPRL=0.0
!
!WR_UR21/APAN=0.0
!
!WR_UR21/PAN1=0.0
!
!WR_UR21/PAN2=0.0
!
!WR_UR21/PAN3=0.0
!
!WR_UR21/PAN4=0.0
!
!WR_UR21/PAN6=0.0
!
!WR_UR21/PAN7=0.0
!
!WR_UR21/PAN8=0.0
!
!WR_UR21/PN10=0.0
!
!WR_UR21/RO2T=0.0
!
!WR_UR21/RO21=0.0
!
!WR_UR21/RO25=0.0
!
!WR_UR21/WC_O3=0.0
!
!WR_UR21/WC_H2O2=0.0
!
!WR_UR21/WC_NO=0.0
!
!WR_UR21/WC_NO2=0.0
!
!WR_UR21/WC_NO3=0.0
!
!WR_UR21/WC_N2O5=0.0
!
!WR_UR21/WC_HONO=0.0
!
!WR_UR21/WC_HNO3=0.0
!
!WR_UR21/WC_HNO4=0.0
!
!WR_UR21/WC_NH3=0.0
!
!WR_UR21/WC_OH=0.0
!
!WR_UR21/WC_HO2=0.0
!
!WR_UR21/WC_CO2=0.0
!
!WR_UR21/WC_SO2=0.0
!
!WR_UR21/WC_H2SO4=0.0
!
!WR_UR21/WC_RO21=0.0
!
!WR_UR21/WC_RO25=0.0
!
!WR_UR21/WC_MEOH=0.0
!
!WR_UR21/WC_ETOH=0.0
!
!WR_UR21/WC_ALCH=0.0
!
!WR_UR21/WC_HCHO=0.0
!
!WR_UR21/WC_ALD2=0.0
!
!WR_UR21/WC_GLY=0.0
!
!WR_UR21/WC_MGLY=0.0
!
!WR_UR21/WC_KETL=0.0
!
!WR_UR21/WC_ORA1=0.0
!
!WR_UR21/WC_ORA2=0.0
!
!WR_UR21/WC_ACID=0.0
!
!WR_UR21/WC_RP16=0.0
!
!WR_UR21/WC_UR21=0.0
!
!WR_UR21/WC_UR28=0.0
!
!WR_UR21/WC_ACID2=0.0
!
!WR_UR21/WC_ASO3=0.0
!
!WR_UR21/WC_ASO4=0.0
!
!WR_UR21/WC_ASO5=0.0
!
!WR_UR21/WC_AHSO5=0.0
!
!WR_UR21/WC_AHMS=0.0
!
!WR_UR21/WR_O3=0.0
!
!WR_UR21/WR_H2O2=0.0
!
!WR_UR21/WR_NO=0.0
!
!WR_UR21/WR_NO2=0.0
!
!WR_UR21/WR_NO3=0.0
!
!WR_UR21/WR_N2O5=0.0
!
!WR_UR21/WR_HONO=0.0
!
!WR_UR21/WR_HNO3=0.0
!
!WR_UR21/WR_HNO4=0.0
!
!WR_UR21/WR_NH3=0.0
!
!WR_UR21/WR_OH=+KR36*<WR_MGLY>+KR37*<WR_KETL>+0.56*KR41*<WR_ACID>-KR43*<WR_UR21
!>
 PJAC(:,154,135)=+TPK%KR36(:)*PCONC(:,148)+TPK%KR37(:)*PCONC(:,149)+0.56*TPK%KR&
&41(:)*PCONC(:,152)-TPK%KR43(:)*PCONC(:,154)
!
!WR_UR21/WR_HO2=0.0
!
!WR_UR21/WR_CO2=0.0
!
!WR_UR21/WR_SO2=0.0
!
!WR_UR21/WR_H2SO4=0.0
!
!WR_UR21/WR_RO21=0.0
!
!WR_UR21/WR_RO25=0.0
!
!WR_UR21/WR_MEOH=0.0
!
!WR_UR21/WR_ETOH=0.0
!
!WR_UR21/WR_ALCH=0.0
!
!WR_UR21/WR_HCHO=0.0
!
!WR_UR21/WR_ALD2=0.0
!
!WR_UR21/WR_GLY=0.0
!
!WR_UR21/WR_MGLY=+KR36*<WR_OH>
 PJAC(:,154,148)=+TPK%KR36(:)*PCONC(:,135)
!
!WR_UR21/WR_KETL=+KR37*<WR_OH>
 PJAC(:,154,149)=+TPK%KR37(:)*PCONC(:,135)
!
!WR_UR21/WR_ORA1=0.0
!
!WR_UR21/WR_ORA2=0.0
!
!WR_UR21/WR_ACID=+0.56*KR41*<WR_OH>
 PJAC(:,154,152)=+0.56*TPK%KR41(:)*PCONC(:,135)
!
!WR_UR21/WR_RP16=0.0
!
!WR_UR21/WR_UR21=-KTR61-KR43*<WR_OH>
 PJAC(:,154,154)=-TPK%KTR61(:)-TPK%KR43(:)*PCONC(:,135)
!
!WR_UR21/WR_UR28=0.0
!
!WR_UR21/WR_ACID2=0.0
!
!WR_UR21/WR_ASO3=0.0
!
!WR_UR21/WR_ASO4=0.0
!
!WR_UR21/WR_ASO5=0.0
!
!WR_UR21/WR_AHSO5=0.0
!
!WR_UR21/WR_AHMS=0.0
!
!WR_UR28/NO=0.0
!
!WR_UR28/NO2=0.0
!
!WR_UR28/O3=0.0
!
!WR_UR28/HONO=0.0
!
!WR_UR28/HNO3=0.0
!
!WR_UR28/HNO4=0.0
!
!WR_UR28/N2O5=0.0
!
!WR_UR28/NO3=0.0
!
!WR_UR28/NH3=0.0
!
!WR_UR28/HO2=0.0
!
!WR_UR28/CO=0.0
!
!WR_UR28/H2O2=0.0
!
!WR_UR28/SO2=0.0
!
!WR_UR28/H2SO4=0.0
!
!WR_UR28/OH=0.0
!
!WR_UR28/ETHE=0.0
!
!WR_UR28/OLEL=0.0
!
!WR_UR28/OLEH=0.0
!
!WR_UR28/ALKL=0.0
!
!WR_UR28/ALKM=0.0
!
!WR_UR28/ALKH=0.0
!
!WR_UR28/AROH=0.0
!
!WR_UR28/AROL=0.0
!
!WR_UR28/AROO=0.0
!
!WR_UR28/ARAL=0.0
!
!WR_UR28/ARAC=0.0
!
!WR_UR28/PAH=0.0
!
!WR_UR28/HCHO=0.0
!
!WR_UR28/ALD2=0.0
!
!WR_UR28/KETL=0.0
!
!WR_UR28/KETH=0.0
!
!WR_UR28/MEOH=0.0
!
!WR_UR28/ETOH=0.0
!
!WR_UR28/ALCH=0.0
!
!WR_UR28/ISOP=0.0
!
!WR_UR28/BIOL=0.0
!
!WR_UR28/BIOH=0.0
!
!WR_UR28/MTBE=0.0
!
!WR_UR28/MVK=0.0
!
!WR_UR28/MCR=0.0
!
!WR_UR28/MGLY=0.0
!
!WR_UR28/GLY=0.0
!
!WR_UR28/ORA1=0.0
!
!WR_UR28/ORA2=0.0
!
!WR_UR28/ACID=0.0
!
!WR_UR28/UR28=+KTR31
 PJAC(:,155,46)=+TPK%KTR31(:)
!
!WR_UR28/UR21=0.0
!
!WR_UR28/URG2=0.0
!
!WR_UR28/UR26=0.0
!
!WR_UR28/RPG2=0.0
!
!WR_UR28/RP18=0.0
!
!WR_UR28/RPG3=0.0
!
!WR_UR28/URG4=0.0
!
!WR_UR28/UR8=0.0
!
!WR_UR28/UR17=0.0
!
!WR_UR28/UR7=0.0
!
!WR_UR28/RPR3=0.0
!
!WR_UR28/URG6=0.0
!
!WR_UR28/UR22=0.0
!
!WR_UR28/URG7=0.0
!
!WR_UR28/RPR4=0.0
!
!WR_UR28/RPR7=0.0
!
!WR_UR28/RPG7=0.0
!
!WR_UR28/URG8=0.0
!
!WR_UR28/UR19=0.0
!
!WR_UR28/URG9=0.0
!
!WR_UR28/AP7=0.0
!
!WR_UR28/URG10=0.0
!
!WR_UR28/RPR1=0.0
!
!WR_UR28/RPR5=0.0
!
!WR_UR28/RPR8=0.0
!
!WR_UR28/RP10=0.0
!
!WR_UR28/RP11=0.0
!
!WR_UR28/RP16=0.0
!
!WR_UR28/RPRL=0.0
!
!WR_UR28/APAN=0.0
!
!WR_UR28/PAN1=0.0
!
!WR_UR28/PAN2=0.0
!
!WR_UR28/PAN3=0.0
!
!WR_UR28/PAN4=0.0
!
!WR_UR28/PAN6=0.0
!
!WR_UR28/PAN7=0.0
!
!WR_UR28/PAN8=0.0
!
!WR_UR28/PN10=0.0
!
!WR_UR28/RO2T=0.0
!
!WR_UR28/RO21=0.0
!
!WR_UR28/RO25=0.0
!
!WR_UR28/WC_O3=0.0
!
!WR_UR28/WC_H2O2=0.0
!
!WR_UR28/WC_NO=0.0
!
!WR_UR28/WC_NO2=0.0
!
!WR_UR28/WC_NO3=0.0
!
!WR_UR28/WC_N2O5=0.0
!
!WR_UR28/WC_HONO=0.0
!
!WR_UR28/WC_HNO3=0.0
!
!WR_UR28/WC_HNO4=0.0
!
!WR_UR28/WC_NH3=0.0
!
!WR_UR28/WC_OH=0.0
!
!WR_UR28/WC_HO2=0.0
!
!WR_UR28/WC_CO2=0.0
!
!WR_UR28/WC_SO2=0.0
!
!WR_UR28/WC_H2SO4=0.0
!
!WR_UR28/WC_RO21=0.0
!
!WR_UR28/WC_RO25=0.0
!
!WR_UR28/WC_MEOH=0.0
!
!WR_UR28/WC_ETOH=0.0
!
!WR_UR28/WC_ALCH=0.0
!
!WR_UR28/WC_HCHO=0.0
!
!WR_UR28/WC_ALD2=0.0
!
!WR_UR28/WC_GLY=0.0
!
!WR_UR28/WC_MGLY=0.0
!
!WR_UR28/WC_KETL=0.0
!
!WR_UR28/WC_ORA1=0.0
!
!WR_UR28/WC_ORA2=0.0
!
!WR_UR28/WC_ACID=0.0
!
!WR_UR28/WC_RP16=0.0
!
!WR_UR28/WC_UR21=0.0
!
!WR_UR28/WC_UR28=0.0
!
!WR_UR28/WC_ACID2=0.0
!
!WR_UR28/WC_ASO3=0.0
!
!WR_UR28/WC_ASO4=0.0
!
!WR_UR28/WC_ASO5=0.0
!
!WR_UR28/WC_AHSO5=0.0
!
!WR_UR28/WC_AHMS=0.0
!
!WR_UR28/WR_O3=0.0
!
!WR_UR28/WR_H2O2=0.0
!
!WR_UR28/WR_NO=0.0
!
!WR_UR28/WR_NO2=0.0
!
!WR_UR28/WR_NO3=0.0
!
!WR_UR28/WR_N2O5=0.0
!
!WR_UR28/WR_HONO=0.0
!
!WR_UR28/WR_HNO3=0.0
!
!WR_UR28/WR_HNO4=0.0
!
!WR_UR28/WR_NH3=0.0
!
!WR_UR28/WR_OH=-KR42*<WR_UR28>+KR44*<WR_RP16>
 PJAC(:,155,135)=-TPK%KR42(:)*PCONC(:,155)+TPK%KR44(:)*PCONC(:,153)
!
!WR_UR28/WR_HO2=0.0
!
!WR_UR28/WR_CO2=0.0
!
!WR_UR28/WR_SO2=0.0
!
!WR_UR28/WR_H2SO4=0.0
!
!WR_UR28/WR_RO21=0.0
!
!WR_UR28/WR_RO25=0.0
!
!WR_UR28/WR_MEOH=0.0
!
!WR_UR28/WR_ETOH=0.0
!
!WR_UR28/WR_ALCH=0.0
!
!WR_UR28/WR_HCHO=0.0
!
!WR_UR28/WR_ALD2=0.0
!
!WR_UR28/WR_GLY=0.0
!
!WR_UR28/WR_MGLY=0.0
!
!WR_UR28/WR_KETL=0.0
!
!WR_UR28/WR_ORA1=0.0
!
!WR_UR28/WR_ORA2=0.0
!
!WR_UR28/WR_ACID=0.0
!
!WR_UR28/WR_RP16=+KR44*<WR_OH>
 PJAC(:,155,153)=+TPK%KR44(:)*PCONC(:,135)
!
!WR_UR28/WR_UR21=0.0
!
!WR_UR28/WR_UR28=-KTR62-KR42*<WR_OH>
 PJAC(:,155,155)=-TPK%KTR62(:)-TPK%KR42(:)*PCONC(:,135)
!
!WR_UR28/WR_ACID2=0.0
!
!WR_UR28/WR_ASO3=0.0
!
!WR_UR28/WR_ASO4=0.0
!
!WR_UR28/WR_ASO5=0.0
!
!WR_UR28/WR_AHSO5=0.0
!
!WR_UR28/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ30
!
SUBROUTINE SUBJ31
!
!Indices 156 a 160
!
!
!WR_ACID2/NO=0.0
!
!WR_ACID2/NO2=0.0
!
!WR_ACID2/O3=0.0
!
!WR_ACID2/HONO=0.0
!
!WR_ACID2/HNO3=0.0
!
!WR_ACID2/HNO4=0.0
!
!WR_ACID2/N2O5=0.0
!
!WR_ACID2/NO3=0.0
!
!WR_ACID2/NH3=0.0
!
!WR_ACID2/HO2=0.0
!
!WR_ACID2/CO=0.0
!
!WR_ACID2/H2O2=0.0
!
!WR_ACID2/SO2=0.0
!
!WR_ACID2/H2SO4=0.0
!
!WR_ACID2/OH=0.0
!
!WR_ACID2/ETHE=0.0
!
!WR_ACID2/OLEL=0.0
!
!WR_ACID2/OLEH=0.0
!
!WR_ACID2/ALKL=0.0
!
!WR_ACID2/ALKM=0.0
!
!WR_ACID2/ALKH=0.0
!
!WR_ACID2/AROH=0.0
!
!WR_ACID2/AROL=0.0
!
!WR_ACID2/AROO=0.0
!
!WR_ACID2/ARAL=0.0
!
!WR_ACID2/ARAC=0.0
!
!WR_ACID2/PAH=0.0
!
!WR_ACID2/HCHO=0.0
!
!WR_ACID2/ALD2=0.0
!
!WR_ACID2/KETL=0.0
!
!WR_ACID2/KETH=0.0
!
!WR_ACID2/MEOH=0.0
!
!WR_ACID2/ETOH=0.0
!
!WR_ACID2/ALCH=0.0
!
!WR_ACID2/ISOP=0.0
!
!WR_ACID2/BIOL=0.0
!
!WR_ACID2/BIOH=0.0
!
!WR_ACID2/MTBE=0.0
!
!WR_ACID2/MVK=0.0
!
!WR_ACID2/MCR=0.0
!
!WR_ACID2/MGLY=0.0
!
!WR_ACID2/GLY=0.0
!
!WR_ACID2/ORA1=0.0
!
!WR_ACID2/ORA2=0.0
!
!WR_ACID2/ACID=0.0
!
!WR_ACID2/UR28=0.0
!
!WR_ACID2/UR21=0.0
!
!WR_ACID2/URG2=0.0
!
!WR_ACID2/UR26=0.0
!
!WR_ACID2/RPG2=0.0
!
!WR_ACID2/RP18=0.0
!
!WR_ACID2/RPG3=0.0
!
!WR_ACID2/URG4=0.0
!
!WR_ACID2/UR8=0.0
!
!WR_ACID2/UR17=0.0
!
!WR_ACID2/UR7=0.0
!
!WR_ACID2/RPR3=0.0
!
!WR_ACID2/URG6=0.0
!
!WR_ACID2/UR22=0.0
!
!WR_ACID2/URG7=0.0
!
!WR_ACID2/RPR4=0.0
!
!WR_ACID2/RPR7=0.0
!
!WR_ACID2/RPG7=0.0
!
!WR_ACID2/URG8=0.0
!
!WR_ACID2/UR19=0.0
!
!WR_ACID2/URG9=0.0
!
!WR_ACID2/AP7=0.0
!
!WR_ACID2/URG10=0.0
!
!WR_ACID2/RPR1=0.0
!
!WR_ACID2/RPR5=0.0
!
!WR_ACID2/RPR8=0.0
!
!WR_ACID2/RP10=0.0
!
!WR_ACID2/RP11=0.0
!
!WR_ACID2/RP16=0.0
!
!WR_ACID2/RPRL=0.0
!
!WR_ACID2/APAN=0.0
!
!WR_ACID2/PAN1=0.0
!
!WR_ACID2/PAN2=0.0
!
!WR_ACID2/PAN3=0.0
!
!WR_ACID2/PAN4=0.0
!
!WR_ACID2/PAN6=0.0
!
!WR_ACID2/PAN7=0.0
!
!WR_ACID2/PAN8=0.0
!
!WR_ACID2/PN10=0.0
!
!WR_ACID2/RO2T=0.0
!
!WR_ACID2/RO21=0.0
!
!WR_ACID2/RO25=0.0
!
!WR_ACID2/WC_O3=0.0
!
!WR_ACID2/WC_H2O2=0.0
!
!WR_ACID2/WC_NO=0.0
!
!WR_ACID2/WC_NO2=0.0
!
!WR_ACID2/WC_NO3=0.0
!
!WR_ACID2/WC_N2O5=0.0
!
!WR_ACID2/WC_HONO=0.0
!
!WR_ACID2/WC_HNO3=0.0
!
!WR_ACID2/WC_HNO4=0.0
!
!WR_ACID2/WC_NH3=0.0
!
!WR_ACID2/WC_OH=0.0
!
!WR_ACID2/WC_HO2=0.0
!
!WR_ACID2/WC_CO2=0.0
!
!WR_ACID2/WC_SO2=0.0
!
!WR_ACID2/WC_H2SO4=0.0
!
!WR_ACID2/WC_RO21=0.0
!
!WR_ACID2/WC_RO25=0.0
!
!WR_ACID2/WC_MEOH=0.0
!
!WR_ACID2/WC_ETOH=0.0
!
!WR_ACID2/WC_ALCH=0.0
!
!WR_ACID2/WC_HCHO=0.0
!
!WR_ACID2/WC_ALD2=0.0
!
!WR_ACID2/WC_GLY=0.0
!
!WR_ACID2/WC_MGLY=0.0
!
!WR_ACID2/WC_KETL=0.0
!
!WR_ACID2/WC_ORA1=0.0
!
!WR_ACID2/WC_ORA2=0.0
!
!WR_ACID2/WC_ACID=0.0
!
!WR_ACID2/WC_RP16=0.0
!
!WR_ACID2/WC_UR21=0.0
!
!WR_ACID2/WC_UR28=0.0
!
!WR_ACID2/WC_ACID2=0.0
!
!WR_ACID2/WC_ASO3=0.0
!
!WR_ACID2/WC_ASO4=0.0
!
!WR_ACID2/WC_ASO5=0.0
!
!WR_ACID2/WC_AHSO5=0.0
!
!WR_ACID2/WC_AHMS=0.0
!
!WR_ACID2/WR_O3=0.0
!
!WR_ACID2/WR_H2O2=0.0
!
!WR_ACID2/WR_NO=0.0
!
!WR_ACID2/WR_NO2=0.0
!
!WR_ACID2/WR_NO3=0.0
!
!WR_ACID2/WR_N2O5=0.0
!
!WR_ACID2/WR_HONO=0.0
!
!WR_ACID2/WR_HNO3=0.0
!
!WR_ACID2/WR_HNO4=0.0
!
!WR_ACID2/WR_NH3=0.0
!
!WR_ACID2/WR_OH=+0.15*KR41*<WR_ACID>+0.56*KR43*<WR_UR21>-KR46*<WR_ACID2>
 PJAC(:,156,135)=+0.15*TPK%KR41(:)*PCONC(:,152)+0.56*TPK%KR43(:)*PCONC(:,154)-T&
&PK%KR46(:)*PCONC(:,156)
!
!WR_ACID2/WR_HO2=0.0
!
!WR_ACID2/WR_CO2=0.0
!
!WR_ACID2/WR_SO2=0.0
!
!WR_ACID2/WR_H2SO4=0.0
!
!WR_ACID2/WR_RO21=0.0
!
!WR_ACID2/WR_RO25=0.0
!
!WR_ACID2/WR_MEOH=0.0
!
!WR_ACID2/WR_ETOH=0.0
!
!WR_ACID2/WR_ALCH=0.0
!
!WR_ACID2/WR_HCHO=0.0
!
!WR_ACID2/WR_ALD2=0.0
!
!WR_ACID2/WR_GLY=0.0
!
!WR_ACID2/WR_MGLY=0.0
!
!WR_ACID2/WR_KETL=0.0
!
!WR_ACID2/WR_ORA1=0.0
!
!WR_ACID2/WR_ORA2=0.0
!
!WR_ACID2/WR_ACID=+0.15*KR41*<WR_OH>
 PJAC(:,156,152)=+0.15*TPK%KR41(:)*PCONC(:,135)
!
!WR_ACID2/WR_RP16=0.0
!
!WR_ACID2/WR_UR21=+0.56*KR43*<WR_OH>
 PJAC(:,156,154)=+0.56*TPK%KR43(:)*PCONC(:,135)
!
!WR_ACID2/WR_UR28=0.0
!
!WR_ACID2/WR_ACID2=-KR46*<WR_OH>
 PJAC(:,156,156)=-TPK%KR46(:)*PCONC(:,135)
!
!WR_ACID2/WR_ASO3=0.0
!
!WR_ACID2/WR_ASO4=0.0
!
!WR_ACID2/WR_ASO5=0.0
!
!WR_ACID2/WR_AHSO5=0.0
!
!WR_ACID2/WR_AHMS=0.0
!
!WR_ASO3/NO=0.0
!
!WR_ASO3/NO2=0.0
!
!WR_ASO3/O3=0.0
!
!WR_ASO3/HONO=0.0
!
!WR_ASO3/HNO3=0.0
!
!WR_ASO3/HNO4=0.0
!
!WR_ASO3/N2O5=0.0
!
!WR_ASO3/NO3=0.0
!
!WR_ASO3/NH3=0.0
!
!WR_ASO3/HO2=0.0
!
!WR_ASO3/CO=0.0
!
!WR_ASO3/H2O2=0.0
!
!WR_ASO3/SO2=0.0
!
!WR_ASO3/H2SO4=0.0
!
!WR_ASO3/OH=0.0
!
!WR_ASO3/ETHE=0.0
!
!WR_ASO3/OLEL=0.0
!
!WR_ASO3/OLEH=0.0
!
!WR_ASO3/ALKL=0.0
!
!WR_ASO3/ALKM=0.0
!
!WR_ASO3/ALKH=0.0
!
!WR_ASO3/AROH=0.0
!
!WR_ASO3/AROL=0.0
!
!WR_ASO3/AROO=0.0
!
!WR_ASO3/ARAL=0.0
!
!WR_ASO3/ARAC=0.0
!
!WR_ASO3/PAH=0.0
!
!WR_ASO3/HCHO=0.0
!
!WR_ASO3/ALD2=0.0
!
!WR_ASO3/KETL=0.0
!
!WR_ASO3/KETH=0.0
!
!WR_ASO3/MEOH=0.0
!
!WR_ASO3/ETOH=0.0
!
!WR_ASO3/ALCH=0.0
!
!WR_ASO3/ISOP=0.0
!
!WR_ASO3/BIOL=0.0
!
!WR_ASO3/BIOH=0.0
!
!WR_ASO3/MTBE=0.0
!
!WR_ASO3/MVK=0.0
!
!WR_ASO3/MCR=0.0
!
!WR_ASO3/MGLY=0.0
!
!WR_ASO3/GLY=0.0
!
!WR_ASO3/ORA1=0.0
!
!WR_ASO3/ORA2=0.0
!
!WR_ASO3/ACID=0.0
!
!WR_ASO3/UR28=0.0
!
!WR_ASO3/UR21=0.0
!
!WR_ASO3/URG2=0.0
!
!WR_ASO3/UR26=0.0
!
!WR_ASO3/RPG2=0.0
!
!WR_ASO3/RP18=0.0
!
!WR_ASO3/RPG3=0.0
!
!WR_ASO3/URG4=0.0
!
!WR_ASO3/UR8=0.0
!
!WR_ASO3/UR17=0.0
!
!WR_ASO3/UR7=0.0
!
!WR_ASO3/RPR3=0.0
!
!WR_ASO3/URG6=0.0
!
!WR_ASO3/UR22=0.0
!
!WR_ASO3/URG7=0.0
!
!WR_ASO3/RPR4=0.0
!
!WR_ASO3/RPR7=0.0
!
!WR_ASO3/RPG7=0.0
!
!WR_ASO3/URG8=0.0
!
!WR_ASO3/UR19=0.0
!
!WR_ASO3/URG9=0.0
!
!WR_ASO3/AP7=0.0
!
!WR_ASO3/URG10=0.0
!
!WR_ASO3/RPR1=0.0
!
!WR_ASO3/RPR5=0.0
!
!WR_ASO3/RPR8=0.0
!
!WR_ASO3/RP10=0.0
!
!WR_ASO3/RP11=0.0
!
!WR_ASO3/RP16=0.0
!
!WR_ASO3/RPRL=0.0
!
!WR_ASO3/APAN=0.0
!
!WR_ASO3/PAN1=0.0
!
!WR_ASO3/PAN2=0.0
!
!WR_ASO3/PAN3=0.0
!
!WR_ASO3/PAN4=0.0
!
!WR_ASO3/PAN6=0.0
!
!WR_ASO3/PAN7=0.0
!
!WR_ASO3/PAN8=0.0
!
!WR_ASO3/PN10=0.0
!
!WR_ASO3/RO2T=0.0
!
!WR_ASO3/RO21=0.0
!
!WR_ASO3/RO25=0.0
!
!WR_ASO3/WC_O3=0.0
!
!WR_ASO3/WC_H2O2=0.0
!
!WR_ASO3/WC_NO=0.0
!
!WR_ASO3/WC_NO2=0.0
!
!WR_ASO3/WC_NO3=0.0
!
!WR_ASO3/WC_N2O5=0.0
!
!WR_ASO3/WC_HONO=0.0
!
!WR_ASO3/WC_HNO3=0.0
!
!WR_ASO3/WC_HNO4=0.0
!
!WR_ASO3/WC_NH3=0.0
!
!WR_ASO3/WC_OH=0.0
!
!WR_ASO3/WC_HO2=0.0
!
!WR_ASO3/WC_CO2=0.0
!
!WR_ASO3/WC_SO2=0.0
!
!WR_ASO3/WC_H2SO4=0.0
!
!WR_ASO3/WC_RO21=0.0
!
!WR_ASO3/WC_RO25=0.0
!
!WR_ASO3/WC_MEOH=0.0
!
!WR_ASO3/WC_ETOH=0.0
!
!WR_ASO3/WC_ALCH=0.0
!
!WR_ASO3/WC_HCHO=0.0
!
!WR_ASO3/WC_ALD2=0.0
!
!WR_ASO3/WC_GLY=0.0
!
!WR_ASO3/WC_MGLY=0.0
!
!WR_ASO3/WC_KETL=0.0
!
!WR_ASO3/WC_ORA1=0.0
!
!WR_ASO3/WC_ORA2=0.0
!
!WR_ASO3/WC_ACID=0.0
!
!WR_ASO3/WC_RP16=0.0
!
!WR_ASO3/WC_UR21=0.0
!
!WR_ASO3/WC_UR28=0.0
!
!WR_ASO3/WC_ACID2=0.0
!
!WR_ASO3/WC_ASO3=0.0
!
!WR_ASO3/WC_ASO4=0.0
!
!WR_ASO3/WC_ASO5=0.0
!
!WR_ASO3/WC_AHSO5=0.0
!
!WR_ASO3/WC_AHMS=0.0
!
!WR_ASO3/WR_O3=0.0
!
!WR_ASO3/WR_H2O2=0.0
!
!WR_ASO3/WR_NO=0.0
!
!WR_ASO3/WR_NO2=0.0
!
!WR_ASO3/WR_NO3=+KR16*<WR_SO2>
 PJAC(:,157,129)=+TPK%KR16(:)*PCONC(:,138)
!
!WR_ASO3/WR_N2O5=0.0
!
!WR_ASO3/WR_HONO=0.0
!
!WR_ASO3/WR_HNO3=0.0
!
!WR_ASO3/WR_HNO4=0.0
!
!WR_ASO3/WR_NH3=0.0
!
!WR_ASO3/WR_OH=+KR7*<WR_SO2>
 PJAC(:,157,135)=+TPK%KR7(:)*PCONC(:,138)
!
!WR_ASO3/WR_HO2=0.0
!
!WR_ASO3/WR_CO2=0.0
!
!WR_ASO3/WR_SO2=+KR7*<WR_OH>+KR16*<WR_NO3>+KR28*<WR_RO21>
 PJAC(:,157,138)=+TPK%KR7(:)*PCONC(:,135)+TPK%KR16(:)*PCONC(:,129)+TPK%KR28(:)*&
&PCONC(:,140)
!
!WR_ASO3/WR_H2SO4=0.0
!
!WR_ASO3/WR_RO21=+KR28*<WR_SO2>
 PJAC(:,157,140)=+TPK%KR28(:)*PCONC(:,138)
!
!WR_ASO3/WR_RO25=0.0
!
!WR_ASO3/WR_MEOH=0.0
!
!WR_ASO3/WR_ETOH=0.0
!
!WR_ASO3/WR_ALCH=0.0
!
!WR_ASO3/WR_HCHO=0.0
!
!WR_ASO3/WR_ALD2=0.0
!
!WR_ASO3/WR_GLY=0.0
!
!WR_ASO3/WR_MGLY=0.0
!
!WR_ASO3/WR_KETL=0.0
!
!WR_ASO3/WR_ORA1=0.0
!
!WR_ASO3/WR_ORA2=0.0
!
!WR_ASO3/WR_ACID=0.0
!
!WR_ASO3/WR_RP16=0.0
!
!WR_ASO3/WR_UR21=0.0
!
!WR_ASO3/WR_UR28=0.0
!
!WR_ASO3/WR_ACID2=0.0
!
!WR_ASO3/WR_ASO3=-KR20*<W_O2>
 PJAC(:,157,157)=-TPK%KR20(:)*TPK%W_O2(:)
!
!WR_ASO3/WR_ASO4=0.0
!
!WR_ASO3/WR_ASO5=0.0
!
!WR_ASO3/WR_AHSO5=0.0
!
!WR_ASO3/WR_AHMS=0.0
!
!WR_ASO4/NO=0.0
!
!WR_ASO4/NO2=0.0
!
!WR_ASO4/O3=0.0
!
!WR_ASO4/HONO=0.0
!
!WR_ASO4/HNO3=0.0
!
!WR_ASO4/HNO4=0.0
!
!WR_ASO4/N2O5=0.0
!
!WR_ASO4/NO3=0.0
!
!WR_ASO4/NH3=0.0
!
!WR_ASO4/HO2=0.0
!
!WR_ASO4/CO=0.0
!
!WR_ASO4/H2O2=0.0
!
!WR_ASO4/SO2=0.0
!
!WR_ASO4/H2SO4=0.0
!
!WR_ASO4/OH=0.0
!
!WR_ASO4/ETHE=0.0
!
!WR_ASO4/OLEL=0.0
!
!WR_ASO4/OLEH=0.0
!
!WR_ASO4/ALKL=0.0
!
!WR_ASO4/ALKM=0.0
!
!WR_ASO4/ALKH=0.0
!
!WR_ASO4/AROH=0.0
!
!WR_ASO4/AROL=0.0
!
!WR_ASO4/AROO=0.0
!
!WR_ASO4/ARAL=0.0
!
!WR_ASO4/ARAC=0.0
!
!WR_ASO4/PAH=0.0
!
!WR_ASO4/HCHO=0.0
!
!WR_ASO4/ALD2=0.0
!
!WR_ASO4/KETL=0.0
!
!WR_ASO4/KETH=0.0
!
!WR_ASO4/MEOH=0.0
!
!WR_ASO4/ETOH=0.0
!
!WR_ASO4/ALCH=0.0
!
!WR_ASO4/ISOP=0.0
!
!WR_ASO4/BIOL=0.0
!
!WR_ASO4/BIOH=0.0
!
!WR_ASO4/MTBE=0.0
!
!WR_ASO4/MVK=0.0
!
!WR_ASO4/MCR=0.0
!
!WR_ASO4/MGLY=0.0
!
!WR_ASO4/GLY=0.0
!
!WR_ASO4/ORA1=0.0
!
!WR_ASO4/ORA2=0.0
!
!WR_ASO4/ACID=0.0
!
!WR_ASO4/UR28=0.0
!
!WR_ASO4/UR21=0.0
!
!WR_ASO4/URG2=0.0
!
!WR_ASO4/UR26=0.0
!
!WR_ASO4/RPG2=0.0
!
!WR_ASO4/RP18=0.0
!
!WR_ASO4/RPG3=0.0
!
!WR_ASO4/URG4=0.0
!
!WR_ASO4/UR8=0.0
!
!WR_ASO4/UR17=0.0
!
!WR_ASO4/UR7=0.0
!
!WR_ASO4/RPR3=0.0
!
!WR_ASO4/URG6=0.0
!
!WR_ASO4/UR22=0.0
!
!WR_ASO4/URG7=0.0
!
!WR_ASO4/RPR4=0.0
!
!WR_ASO4/RPR7=0.0
!
!WR_ASO4/RPG7=0.0
!
!WR_ASO4/URG8=0.0
!
!WR_ASO4/UR19=0.0
!
!WR_ASO4/URG9=0.0
!
!WR_ASO4/AP7=0.0
!
!WR_ASO4/URG10=0.0
!
!WR_ASO4/RPR1=0.0
!
!WR_ASO4/RPR5=0.0
!
!WR_ASO4/RPR8=0.0
!
!WR_ASO4/RP10=0.0
!
!WR_ASO4/RP11=0.0
!
!WR_ASO4/RP16=0.0
!
!WR_ASO4/RPRL=0.0
!
!WR_ASO4/APAN=0.0
!
!WR_ASO4/PAN1=0.0
!
!WR_ASO4/PAN2=0.0
!
!WR_ASO4/PAN3=0.0
!
!WR_ASO4/PAN4=0.0
!
!WR_ASO4/PAN6=0.0
!
!WR_ASO4/PAN7=0.0
!
!WR_ASO4/PAN8=0.0
!
!WR_ASO4/PN10=0.0
!
!WR_ASO4/RO2T=0.0
!
!WR_ASO4/RO21=0.0
!
!WR_ASO4/RO25=0.0
!
!WR_ASO4/WC_O3=0.0
!
!WR_ASO4/WC_H2O2=0.0
!
!WR_ASO4/WC_NO=0.0
!
!WR_ASO4/WC_NO2=0.0
!
!WR_ASO4/WC_NO3=0.0
!
!WR_ASO4/WC_N2O5=0.0
!
!WR_ASO4/WC_HONO=0.0
!
!WR_ASO4/WC_HNO3=0.0
!
!WR_ASO4/WC_HNO4=0.0
!
!WR_ASO4/WC_NH3=0.0
!
!WR_ASO4/WC_OH=0.0
!
!WR_ASO4/WC_HO2=0.0
!
!WR_ASO4/WC_CO2=0.0
!
!WR_ASO4/WC_SO2=0.0
!
!WR_ASO4/WC_H2SO4=0.0
!
!WR_ASO4/WC_RO21=0.0
!
!WR_ASO4/WC_RO25=0.0
!
!WR_ASO4/WC_MEOH=0.0
!
!WR_ASO4/WC_ETOH=0.0
!
!WR_ASO4/WC_ALCH=0.0
!
!WR_ASO4/WC_HCHO=0.0
!
!WR_ASO4/WC_ALD2=0.0
!
!WR_ASO4/WC_GLY=0.0
!
!WR_ASO4/WC_MGLY=0.0
!
!WR_ASO4/WC_KETL=0.0
!
!WR_ASO4/WC_ORA1=0.0
!
!WR_ASO4/WC_ORA2=0.0
!
!WR_ASO4/WC_ACID=0.0
!
!WR_ASO4/WC_RP16=0.0
!
!WR_ASO4/WC_UR21=0.0
!
!WR_ASO4/WC_UR28=0.0
!
!WR_ASO4/WC_ACID2=0.0
!
!WR_ASO4/WC_ASO3=0.0
!
!WR_ASO4/WC_ASO4=0.0
!
!WR_ASO4/WC_ASO5=0.0
!
!WR_ASO4/WC_AHSO5=0.0
!
!WR_ASO4/WC_AHMS=0.0
!
!WR_ASO4/WR_O3=0.0
!
!WR_ASO4/WR_H2O2=0.0
!
!WR_ASO4/WR_NO=0.0
!
!WR_ASO4/WR_NO2=0.0
!
!WR_ASO4/WR_NO3=+KR15*<WR_H2SO4>
 PJAC(:,158,129)=+TPK%KR15(:)*PCONC(:,139)
!
!WR_ASO4/WR_N2O5=0.0
!
!WR_ASO4/WR_HONO=0.0
!
!WR_ASO4/WR_HNO3=0.0
!
!WR_ASO4/WR_HNO4=0.0
!
!WR_ASO4/WR_NH3=0.0
!
!WR_ASO4/WR_OH=0.0
!
!WR_ASO4/WR_HO2=0.0
!
!WR_ASO4/WR_CO2=0.0
!
!WR_ASO4/WR_SO2=0.0
!
!WR_ASO4/WR_H2SO4=+KR15*<WR_NO3>
 PJAC(:,158,139)=+TPK%KR15(:)*PCONC(:,129)
!
!WR_ASO4/WR_RO21=0.0
!
!WR_ASO4/WR_RO25=0.0
!
!WR_ASO4/WR_MEOH=0.0
!
!WR_ASO4/WR_ETOH=0.0
!
!WR_ASO4/WR_ALCH=0.0
!
!WR_ASO4/WR_HCHO=0.0
!
!WR_ASO4/WR_ALD2=0.0
!
!WR_ASO4/WR_GLY=0.0
!
!WR_ASO4/WR_MGLY=0.0
!
!WR_ASO4/WR_KETL=0.0
!
!WR_ASO4/WR_ORA1=0.0
!
!WR_ASO4/WR_ORA2=0.0
!
!WR_ASO4/WR_ACID=0.0
!
!WR_ASO4/WR_RP16=0.0
!
!WR_ASO4/WR_UR21=0.0
!
!WR_ASO4/WR_UR28=0.0
!
!WR_ASO4/WR_ACID2=0.0
!
!WR_ASO4/WR_ASO3=0.0
!
!WR_ASO4/WR_ASO4=-KR24
 PJAC(:,158,158)=-TPK%KR24(:)
!
!WR_ASO4/WR_ASO5=+KR22*<WR_ASO5>+KR22*<WR_ASO5>+KR22*<WR_ASO5>+KR22*<WR_ASO5>
 PJAC(:,158,159)=+TPK%KR22(:)*PCONC(:,159)+TPK%KR22(:)*PCONC(:,159)+TPK%KR22(:)&
&*PCONC(:,159)+TPK%KR22(:)*PCONC(:,159)
!
!WR_ASO4/WR_AHSO5=0.0
!
!WR_ASO4/WR_AHMS=0.0
!
!WR_ASO5/NO=0.0
!
!WR_ASO5/NO2=0.0
!
!WR_ASO5/O3=0.0
!
!WR_ASO5/HONO=0.0
!
!WR_ASO5/HNO3=0.0
!
!WR_ASO5/HNO4=0.0
!
!WR_ASO5/N2O5=0.0
!
!WR_ASO5/NO3=0.0
!
!WR_ASO5/NH3=0.0
!
!WR_ASO5/HO2=0.0
!
!WR_ASO5/CO=0.0
!
!WR_ASO5/H2O2=0.0
!
!WR_ASO5/SO2=0.0
!
!WR_ASO5/H2SO4=0.0
!
!WR_ASO5/OH=0.0
!
!WR_ASO5/ETHE=0.0
!
!WR_ASO5/OLEL=0.0
!
!WR_ASO5/OLEH=0.0
!
!WR_ASO5/ALKL=0.0
!
!WR_ASO5/ALKM=0.0
!
!WR_ASO5/ALKH=0.0
!
!WR_ASO5/AROH=0.0
!
!WR_ASO5/AROL=0.0
!
!WR_ASO5/AROO=0.0
!
!WR_ASO5/ARAL=0.0
!
!WR_ASO5/ARAC=0.0
!
!WR_ASO5/PAH=0.0
!
!WR_ASO5/HCHO=0.0
!
!WR_ASO5/ALD2=0.0
!
!WR_ASO5/KETL=0.0
!
!WR_ASO5/KETH=0.0
!
!WR_ASO5/MEOH=0.0
!
!WR_ASO5/ETOH=0.0
!
!WR_ASO5/ALCH=0.0
!
!WR_ASO5/ISOP=0.0
!
!WR_ASO5/BIOL=0.0
!
!WR_ASO5/BIOH=0.0
!
!WR_ASO5/MTBE=0.0
!
!WR_ASO5/MVK=0.0
!
!WR_ASO5/MCR=0.0
!
!WR_ASO5/MGLY=0.0
!
!WR_ASO5/GLY=0.0
!
!WR_ASO5/ORA1=0.0
!
!WR_ASO5/ORA2=0.0
!
!WR_ASO5/ACID=0.0
!
!WR_ASO5/UR28=0.0
!
!WR_ASO5/UR21=0.0
!
!WR_ASO5/URG2=0.0
!
!WR_ASO5/UR26=0.0
!
!WR_ASO5/RPG2=0.0
!
!WR_ASO5/RP18=0.0
!
!WR_ASO5/RPG3=0.0
!
!WR_ASO5/URG4=0.0
!
!WR_ASO5/UR8=0.0
!
!WR_ASO5/UR17=0.0
!
!WR_ASO5/UR7=0.0
!
!WR_ASO5/RPR3=0.0
!
!WR_ASO5/URG6=0.0
!
!WR_ASO5/UR22=0.0
!
!WR_ASO5/URG7=0.0
!
!WR_ASO5/RPR4=0.0
!
!WR_ASO5/RPR7=0.0
!
!WR_ASO5/RPG7=0.0
!
!WR_ASO5/URG8=0.0
!
!WR_ASO5/UR19=0.0
!
!WR_ASO5/URG9=0.0
!
!WR_ASO5/AP7=0.0
!
!WR_ASO5/URG10=0.0
!
!WR_ASO5/RPR1=0.0
!
!WR_ASO5/RPR5=0.0
!
!WR_ASO5/RPR8=0.0
!
!WR_ASO5/RP10=0.0
!
!WR_ASO5/RP11=0.0
!
!WR_ASO5/RP16=0.0
!
!WR_ASO5/RPRL=0.0
!
!WR_ASO5/APAN=0.0
!
!WR_ASO5/PAN1=0.0
!
!WR_ASO5/PAN2=0.0
!
!WR_ASO5/PAN3=0.0
!
!WR_ASO5/PAN4=0.0
!
!WR_ASO5/PAN6=0.0
!
!WR_ASO5/PAN7=0.0
!
!WR_ASO5/PAN8=0.0
!
!WR_ASO5/PN10=0.0
!
!WR_ASO5/RO2T=0.0
!
!WR_ASO5/RO21=0.0
!
!WR_ASO5/RO25=0.0
!
!WR_ASO5/WC_O3=0.0
!
!WR_ASO5/WC_H2O2=0.0
!
!WR_ASO5/WC_NO=0.0
!
!WR_ASO5/WC_NO2=0.0
!
!WR_ASO5/WC_NO3=0.0
!
!WR_ASO5/WC_N2O5=0.0
!
!WR_ASO5/WC_HONO=0.0
!
!WR_ASO5/WC_HNO3=0.0
!
!WR_ASO5/WC_HNO4=0.0
!
!WR_ASO5/WC_NH3=0.0
!
!WR_ASO5/WC_OH=0.0
!
!WR_ASO5/WC_HO2=0.0
!
!WR_ASO5/WC_CO2=0.0
!
!WR_ASO5/WC_SO2=0.0
!
!WR_ASO5/WC_H2SO4=0.0
!
!WR_ASO5/WC_RO21=0.0
!
!WR_ASO5/WC_RO25=0.0
!
!WR_ASO5/WC_MEOH=0.0
!
!WR_ASO5/WC_ETOH=0.0
!
!WR_ASO5/WC_ALCH=0.0
!
!WR_ASO5/WC_HCHO=0.0
!
!WR_ASO5/WC_ALD2=0.0
!
!WR_ASO5/WC_GLY=0.0
!
!WR_ASO5/WC_MGLY=0.0
!
!WR_ASO5/WC_KETL=0.0
!
!WR_ASO5/WC_ORA1=0.0
!
!WR_ASO5/WC_ORA2=0.0
!
!WR_ASO5/WC_ACID=0.0
!
!WR_ASO5/WC_RP16=0.0
!
!WR_ASO5/WC_UR21=0.0
!
!WR_ASO5/WC_UR28=0.0
!
!WR_ASO5/WC_ACID2=0.0
!
!WR_ASO5/WC_ASO3=0.0
!
!WR_ASO5/WC_ASO4=0.0
!
!WR_ASO5/WC_ASO5=0.0
!
!WR_ASO5/WC_AHSO5=0.0
!
!WR_ASO5/WC_AHMS=0.0
!
!WR_ASO5/WR_O3=0.0
!
!WR_ASO5/WR_H2O2=0.0
!
!WR_ASO5/WR_NO=0.0
!
!WR_ASO5/WR_NO2=0.0
!
!WR_ASO5/WR_NO3=0.0
!
!WR_ASO5/WR_N2O5=0.0
!
!WR_ASO5/WR_HONO=0.0
!
!WR_ASO5/WR_HNO3=0.0
!
!WR_ASO5/WR_HNO4=0.0
!
!WR_ASO5/WR_NH3=0.0
!
!WR_ASO5/WR_OH=0.0
!
!WR_ASO5/WR_HO2=-KR21*<WR_ASO5>
 PJAC(:,159,136)=-TPK%KR21(:)*PCONC(:,159)
!
!WR_ASO5/WR_CO2=0.0
!
!WR_ASO5/WR_SO2=0.0
!
!WR_ASO5/WR_H2SO4=0.0
!
!WR_ASO5/WR_RO21=0.0
!
!WR_ASO5/WR_RO25=0.0
!
!WR_ASO5/WR_MEOH=0.0
!
!WR_ASO5/WR_ETOH=0.0
!
!WR_ASO5/WR_ALCH=0.0
!
!WR_ASO5/WR_HCHO=0.0
!
!WR_ASO5/WR_ALD2=0.0
!
!WR_ASO5/WR_GLY=0.0
!
!WR_ASO5/WR_MGLY=0.0
!
!WR_ASO5/WR_KETL=0.0
!
!WR_ASO5/WR_ORA1=0.0
!
!WR_ASO5/WR_ORA2=0.0
!
!WR_ASO5/WR_ACID=0.0
!
!WR_ASO5/WR_RP16=0.0
!
!WR_ASO5/WR_UR21=0.0
!
!WR_ASO5/WR_UR28=0.0
!
!WR_ASO5/WR_ACID2=0.0
!
!WR_ASO5/WR_ASO3=+KR20*<W_O2>
 PJAC(:,159,157)=+TPK%KR20(:)*TPK%W_O2(:)
!
!WR_ASO5/WR_ASO4=0.0
!
!WR_ASO5/WR_ASO5=-KR21*<WR_HO2>-KR22*<WR_ASO5>-KR22*<WR_ASO5>-KR22*<WR_ASO5>-KR
!22*<WR_ASO5>
 PJAC(:,159,159)=-TPK%KR21(:)*PCONC(:,136)-TPK%KR22(:)*PCONC(:,159)-TPK%KR22(:)&
&*PCONC(:,159)-TPK%KR22(:)*PCONC(:,159)-TPK%KR22(:)*PCONC(:,159)
!
!WR_ASO5/WR_AHSO5=0.0
!
!WR_ASO5/WR_AHMS=0.0
!
!WR_AHSO5/NO=0.0
!
!WR_AHSO5/NO2=0.0
!
!WR_AHSO5/O3=0.0
!
!WR_AHSO5/HONO=0.0
!
!WR_AHSO5/HNO3=0.0
!
!WR_AHSO5/HNO4=0.0
!
!WR_AHSO5/N2O5=0.0
!
!WR_AHSO5/NO3=0.0
!
!WR_AHSO5/NH3=0.0
!
!WR_AHSO5/HO2=0.0
!
!WR_AHSO5/CO=0.0
!
!WR_AHSO5/H2O2=0.0
!
!WR_AHSO5/SO2=0.0
!
!WR_AHSO5/H2SO4=0.0
!
!WR_AHSO5/OH=0.0
!
!WR_AHSO5/ETHE=0.0
!
!WR_AHSO5/OLEL=0.0
!
!WR_AHSO5/OLEH=0.0
!
!WR_AHSO5/ALKL=0.0
!
!WR_AHSO5/ALKM=0.0
!
!WR_AHSO5/ALKH=0.0
!
!WR_AHSO5/AROH=0.0
!
!WR_AHSO5/AROL=0.0
!
!WR_AHSO5/AROO=0.0
!
!WR_AHSO5/ARAL=0.0
!
!WR_AHSO5/ARAC=0.0
!
!WR_AHSO5/PAH=0.0
!
!WR_AHSO5/HCHO=0.0
!
!WR_AHSO5/ALD2=0.0
!
!WR_AHSO5/KETL=0.0
!
!WR_AHSO5/KETH=0.0
!
!WR_AHSO5/MEOH=0.0
!
!WR_AHSO5/ETOH=0.0
!
!WR_AHSO5/ALCH=0.0
!
!WR_AHSO5/ISOP=0.0
!
!WR_AHSO5/BIOL=0.0
!
!WR_AHSO5/BIOH=0.0
!
!WR_AHSO5/MTBE=0.0
!
!WR_AHSO5/MVK=0.0
!
!WR_AHSO5/MCR=0.0
!
!WR_AHSO5/MGLY=0.0
!
!WR_AHSO5/GLY=0.0
!
!WR_AHSO5/ORA1=0.0
!
!WR_AHSO5/ORA2=0.0
!
!WR_AHSO5/ACID=0.0
!
!WR_AHSO5/UR28=0.0
!
!WR_AHSO5/UR21=0.0
!
!WR_AHSO5/URG2=0.0
!
!WR_AHSO5/UR26=0.0
!
!WR_AHSO5/RPG2=0.0
!
!WR_AHSO5/RP18=0.0
!
!WR_AHSO5/RPG3=0.0
!
!WR_AHSO5/URG4=0.0
!
!WR_AHSO5/UR8=0.0
!
!WR_AHSO5/UR17=0.0
!
!WR_AHSO5/UR7=0.0
!
!WR_AHSO5/RPR3=0.0
!
!WR_AHSO5/URG6=0.0
!
!WR_AHSO5/UR22=0.0
!
!WR_AHSO5/URG7=0.0
!
!WR_AHSO5/RPR4=0.0
!
!WR_AHSO5/RPR7=0.0
!
!WR_AHSO5/RPG7=0.0
!
!WR_AHSO5/URG8=0.0
!
!WR_AHSO5/UR19=0.0
!
!WR_AHSO5/URG9=0.0
!
!WR_AHSO5/AP7=0.0
!
!WR_AHSO5/URG10=0.0
!
!WR_AHSO5/RPR1=0.0
!
!WR_AHSO5/RPR5=0.0
!
!WR_AHSO5/RPR8=0.0
!
!WR_AHSO5/RP10=0.0
!
!WR_AHSO5/RP11=0.0
!
!WR_AHSO5/RP16=0.0
!
!WR_AHSO5/RPRL=0.0
!
!WR_AHSO5/APAN=0.0
!
!WR_AHSO5/PAN1=0.0
!
!WR_AHSO5/PAN2=0.0
!
!WR_AHSO5/PAN3=0.0
!
!WR_AHSO5/PAN4=0.0
!
!WR_AHSO5/PAN6=0.0
!
!WR_AHSO5/PAN7=0.0
!
!WR_AHSO5/PAN8=0.0
!
!WR_AHSO5/PN10=0.0
!
!WR_AHSO5/RO2T=0.0
!
!WR_AHSO5/RO21=0.0
!
!WR_AHSO5/RO25=0.0
!
!WR_AHSO5/WC_O3=0.0
!
!WR_AHSO5/WC_H2O2=0.0
!
!WR_AHSO5/WC_NO=0.0
!
!WR_AHSO5/WC_NO2=0.0
!
!WR_AHSO5/WC_NO3=0.0
!
!WR_AHSO5/WC_N2O5=0.0
!
!WR_AHSO5/WC_HONO=0.0
!
!WR_AHSO5/WC_HNO3=0.0
!
!WR_AHSO5/WC_HNO4=0.0
!
!WR_AHSO5/WC_NH3=0.0
!
!WR_AHSO5/WC_OH=0.0
!
!WR_AHSO5/WC_HO2=0.0
!
!WR_AHSO5/WC_CO2=0.0
!
!WR_AHSO5/WC_SO2=0.0
!
!WR_AHSO5/WC_H2SO4=0.0
!
!WR_AHSO5/WC_RO21=0.0
!
!WR_AHSO5/WC_RO25=0.0
!
!WR_AHSO5/WC_MEOH=0.0
!
!WR_AHSO5/WC_ETOH=0.0
!
!WR_AHSO5/WC_ALCH=0.0
!
!WR_AHSO5/WC_HCHO=0.0
!
!WR_AHSO5/WC_ALD2=0.0
!
!WR_AHSO5/WC_GLY=0.0
!
!WR_AHSO5/WC_MGLY=0.0
!
!WR_AHSO5/WC_KETL=0.0
!
!WR_AHSO5/WC_ORA1=0.0
!
!WR_AHSO5/WC_ORA2=0.0
!
!WR_AHSO5/WC_ACID=0.0
!
!WR_AHSO5/WC_RP16=0.0
!
!WR_AHSO5/WC_UR21=0.0
!
!WR_AHSO5/WC_UR28=0.0
!
!WR_AHSO5/WC_ACID2=0.0
!
!WR_AHSO5/WC_ASO3=0.0
!
!WR_AHSO5/WC_ASO4=0.0
!
!WR_AHSO5/WC_ASO5=0.0
!
!WR_AHSO5/WC_AHSO5=0.0
!
!WR_AHSO5/WC_AHMS=0.0
!
!WR_AHSO5/WR_O3=0.0
!
!WR_AHSO5/WR_H2O2=0.0
!
!WR_AHSO5/WR_NO=0.0
!
!WR_AHSO5/WR_NO2=0.0
!
!WR_AHSO5/WR_NO3=0.0
!
!WR_AHSO5/WR_N2O5=0.0
!
!WR_AHSO5/WR_HONO=0.0
!
!WR_AHSO5/WR_HNO3=0.0
!
!WR_AHSO5/WR_HNO4=0.0
!
!WR_AHSO5/WR_NH3=0.0
!
!WR_AHSO5/WR_OH=0.0
!
!WR_AHSO5/WR_HO2=+KR21*<WR_ASO5>
 PJAC(:,160,136)=+TPK%KR21(:)*PCONC(:,159)
!
!WR_AHSO5/WR_CO2=0.0
!
!WR_AHSO5/WR_SO2=-KR23*<WR_AHSO5>
 PJAC(:,160,138)=-TPK%KR23(:)*PCONC(:,160)
!
!WR_AHSO5/WR_H2SO4=0.0
!
!WR_AHSO5/WR_RO21=0.0
!
!WR_AHSO5/WR_RO25=0.0
!
!WR_AHSO5/WR_MEOH=0.0
!
!WR_AHSO5/WR_ETOH=0.0
!
!WR_AHSO5/WR_ALCH=0.0
!
!WR_AHSO5/WR_HCHO=0.0
!
!WR_AHSO5/WR_ALD2=0.0
!
!WR_AHSO5/WR_GLY=0.0
!
!WR_AHSO5/WR_MGLY=0.0
!
!WR_AHSO5/WR_KETL=0.0
!
!WR_AHSO5/WR_ORA1=0.0
!
!WR_AHSO5/WR_ORA2=0.0
!
!WR_AHSO5/WR_ACID=0.0
!
!WR_AHSO5/WR_RP16=0.0
!
!WR_AHSO5/WR_UR21=0.0
!
!WR_AHSO5/WR_UR28=0.0
!
!WR_AHSO5/WR_ACID2=0.0
!
!WR_AHSO5/WR_ASO3=0.0
!
!WR_AHSO5/WR_ASO4=0.0
!
!WR_AHSO5/WR_ASO5=+KR21*<WR_HO2>
 PJAC(:,160,159)=+TPK%KR21(:)*PCONC(:,136)
!
!WR_AHSO5/WR_AHSO5=-KR23*<WR_SO2>
 PJAC(:,160,160)=-TPK%KR23(:)*PCONC(:,138)
!
!WR_AHSO5/WR_AHMS=0.0
!
RETURN
END SUBROUTINE SUBJ31
!
SUBROUTINE SUBJ32
!
!Indices 161 a 161
!
!
!WR_AHMS/NO=0.0
!
!WR_AHMS/NO2=0.0
!
!WR_AHMS/O3=0.0
!
!WR_AHMS/HONO=0.0
!
!WR_AHMS/HNO3=0.0
!
!WR_AHMS/HNO4=0.0
!
!WR_AHMS/N2O5=0.0
!
!WR_AHMS/NO3=0.0
!
!WR_AHMS/NH3=0.0
!
!WR_AHMS/HO2=0.0
!
!WR_AHMS/CO=0.0
!
!WR_AHMS/H2O2=0.0
!
!WR_AHMS/SO2=0.0
!
!WR_AHMS/H2SO4=0.0
!
!WR_AHMS/OH=0.0
!
!WR_AHMS/ETHE=0.0
!
!WR_AHMS/OLEL=0.0
!
!WR_AHMS/OLEH=0.0
!
!WR_AHMS/ALKL=0.0
!
!WR_AHMS/ALKM=0.0
!
!WR_AHMS/ALKH=0.0
!
!WR_AHMS/AROH=0.0
!
!WR_AHMS/AROL=0.0
!
!WR_AHMS/AROO=0.0
!
!WR_AHMS/ARAL=0.0
!
!WR_AHMS/ARAC=0.0
!
!WR_AHMS/PAH=0.0
!
!WR_AHMS/HCHO=0.0
!
!WR_AHMS/ALD2=0.0
!
!WR_AHMS/KETL=0.0
!
!WR_AHMS/KETH=0.0
!
!WR_AHMS/MEOH=0.0
!
!WR_AHMS/ETOH=0.0
!
!WR_AHMS/ALCH=0.0
!
!WR_AHMS/ISOP=0.0
!
!WR_AHMS/BIOL=0.0
!
!WR_AHMS/BIOH=0.0
!
!WR_AHMS/MTBE=0.0
!
!WR_AHMS/MVK=0.0
!
!WR_AHMS/MCR=0.0
!
!WR_AHMS/MGLY=0.0
!
!WR_AHMS/GLY=0.0
!
!WR_AHMS/ORA1=0.0
!
!WR_AHMS/ORA2=0.0
!
!WR_AHMS/ACID=0.0
!
!WR_AHMS/UR28=0.0
!
!WR_AHMS/UR21=0.0
!
!WR_AHMS/URG2=0.0
!
!WR_AHMS/UR26=0.0
!
!WR_AHMS/RPG2=0.0
!
!WR_AHMS/RP18=0.0
!
!WR_AHMS/RPG3=0.0
!
!WR_AHMS/URG4=0.0
!
!WR_AHMS/UR8=0.0
!
!WR_AHMS/UR17=0.0
!
!WR_AHMS/UR7=0.0
!
!WR_AHMS/RPR3=0.0
!
!WR_AHMS/URG6=0.0
!
!WR_AHMS/UR22=0.0
!
!WR_AHMS/URG7=0.0
!
!WR_AHMS/RPR4=0.0
!
!WR_AHMS/RPR7=0.0
!
!WR_AHMS/RPG7=0.0
!
!WR_AHMS/URG8=0.0
!
!WR_AHMS/UR19=0.0
!
!WR_AHMS/URG9=0.0
!
!WR_AHMS/AP7=0.0
!
!WR_AHMS/URG10=0.0
!
!WR_AHMS/RPR1=0.0
!
!WR_AHMS/RPR5=0.0
!
!WR_AHMS/RPR8=0.0
!
!WR_AHMS/RP10=0.0
!
!WR_AHMS/RP11=0.0
!
!WR_AHMS/RP16=0.0
!
!WR_AHMS/RPRL=0.0
!
!WR_AHMS/APAN=0.0
!
!WR_AHMS/PAN1=0.0
!
!WR_AHMS/PAN2=0.0
!
!WR_AHMS/PAN3=0.0
!
!WR_AHMS/PAN4=0.0
!
!WR_AHMS/PAN6=0.0
!
!WR_AHMS/PAN7=0.0
!
!WR_AHMS/PAN8=0.0
!
!WR_AHMS/PN10=0.0
!
!WR_AHMS/RO2T=0.0
!
!WR_AHMS/RO21=0.0
!
!WR_AHMS/RO25=0.0
!
!WR_AHMS/WC_O3=0.0
!
!WR_AHMS/WC_H2O2=0.0
!
!WR_AHMS/WC_NO=0.0
!
!WR_AHMS/WC_NO2=0.0
!
!WR_AHMS/WC_NO3=0.0
!
!WR_AHMS/WC_N2O5=0.0
!
!WR_AHMS/WC_HONO=0.0
!
!WR_AHMS/WC_HNO3=0.0
!
!WR_AHMS/WC_HNO4=0.0
!
!WR_AHMS/WC_NH3=0.0
!
!WR_AHMS/WC_OH=0.0
!
!WR_AHMS/WC_HO2=0.0
!
!WR_AHMS/WC_CO2=0.0
!
!WR_AHMS/WC_SO2=0.0
!
!WR_AHMS/WC_H2SO4=0.0
!
!WR_AHMS/WC_RO21=0.0
!
!WR_AHMS/WC_RO25=0.0
!
!WR_AHMS/WC_MEOH=0.0
!
!WR_AHMS/WC_ETOH=0.0
!
!WR_AHMS/WC_ALCH=0.0
!
!WR_AHMS/WC_HCHO=0.0
!
!WR_AHMS/WC_ALD2=0.0
!
!WR_AHMS/WC_GLY=0.0
!
!WR_AHMS/WC_MGLY=0.0
!
!WR_AHMS/WC_KETL=0.0
!
!WR_AHMS/WC_ORA1=0.0
!
!WR_AHMS/WC_ORA2=0.0
!
!WR_AHMS/WC_ACID=0.0
!
!WR_AHMS/WC_RP16=0.0
!
!WR_AHMS/WC_UR21=0.0
!
!WR_AHMS/WC_UR28=0.0
!
!WR_AHMS/WC_ACID2=0.0
!
!WR_AHMS/WC_ASO3=0.0
!
!WR_AHMS/WC_ASO4=0.0
!
!WR_AHMS/WC_ASO5=0.0
!
!WR_AHMS/WC_AHSO5=0.0
!
!WR_AHMS/WC_AHMS=0.0
!
!WR_AHMS/WR_O3=0.0
!
!WR_AHMS/WR_H2O2=0.0
!
!WR_AHMS/WR_NO=0.0
!
!WR_AHMS/WR_NO2=0.0
!
!WR_AHMS/WR_NO3=0.0
!
!WR_AHMS/WR_N2O5=0.0
!
!WR_AHMS/WR_HONO=0.0
!
!WR_AHMS/WR_HNO3=0.0
!
!WR_AHMS/WR_HNO4=0.0
!
!WR_AHMS/WR_NH3=0.0
!
!WR_AHMS/WR_OH=-KR19*<WR_AHMS>
 PJAC(:,161,135)=-TPK%KR19(:)*PCONC(:,161)
!
!WR_AHMS/WR_HO2=0.0
!
!WR_AHMS/WR_CO2=0.0
!
!WR_AHMS/WR_SO2=+KR17*<WR_HCHO>
 PJAC(:,161,138)=+TPK%KR17(:)*PCONC(:,145)
!
!WR_AHMS/WR_H2SO4=0.0
!
!WR_AHMS/WR_RO21=0.0
!
!WR_AHMS/WR_RO25=0.0
!
!WR_AHMS/WR_MEOH=0.0
!
!WR_AHMS/WR_ETOH=0.0
!
!WR_AHMS/WR_ALCH=0.0
!
!WR_AHMS/WR_HCHO=+KR17*<WR_SO2>
 PJAC(:,161,145)=+TPK%KR17(:)*PCONC(:,138)
!
!WR_AHMS/WR_ALD2=0.0
!
!WR_AHMS/WR_GLY=0.0
!
!WR_AHMS/WR_MGLY=0.0
!
!WR_AHMS/WR_KETL=0.0
!
!WR_AHMS/WR_ORA1=0.0
!
!WR_AHMS/WR_ORA2=0.0
!
!WR_AHMS/WR_ACID=0.0
!
!WR_AHMS/WR_RP16=0.0
!
!WR_AHMS/WR_UR21=0.0
!
!WR_AHMS/WR_UR28=0.0
!
!WR_AHMS/WR_ACID2=0.0
!
!WR_AHMS/WR_ASO3=0.0
!
!WR_AHMS/WR_ASO4=0.0
!
!WR_AHMS/WR_ASO5=0.0
!
!WR_AHMS/WR_AHSO5=0.0
!
!WR_AHMS/WR_AHMS=-KR18-KR19*<WR_OH>
 PJAC(:,161,161)=-TPK%KR18(:)-TPK%KR19(:)*PCONC(:,135)
!
RETURN
END SUBROUTINE SUBJ32
!
END SUBROUTINE CH_JAC_AQ
!
!
!========================================================================
!
!!    ########################
      MODULE MODI_CH_SET_RATES
!!    ########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_SET_RATES(PTIME,PCONC,TPM,KMI,KOUT,KVERB,KVECNPT,KEQ,KRRL,PPH)
USE MODD_CH_M9_n, ONLY: METEOTRANSTYPE
IMPLICIT NONE
REAL,    INTENT(IN)                      :: PTIME
INTEGER, INTENT(IN)                      :: KVECNPT
INTEGER, INTENT(IN)                      :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)        :: PCONC
TYPE(METEOTRANSTYPE), DIMENSION(KVECNPT), INTENT(IN):: TPM
INTEGER, INTENT(IN)                      :: KMI
INTEGER, INTENT(IN)                      :: KOUT,KVERB
INTEGER, INTENT(INOUT)                   :: KRRL
REAL,    INTENT(INOUT), DIMENSION(:,:), OPTIONAL :: PPH
END SUBROUTINE CH_SET_RATES
END INTERFACE
END MODULE MODI_CH_SET_RATES
!
!========================================================================
!
!!    ############################################################################
      SUBROUTINE CH_SET_RATES(PTIME,PCONC,TPM,KMI,KOUT,KVERB,KVECNPT,KEQ,KRRL,PPH)
!!    ############################################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *MODD_CH_SET_RATES*
!!
!!    PURPOSE
!!    -------
!       set or calculate reaction rates
!!
!!**  METHOD
!!    ------
!!      simple
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 01/06/07: Add pH calculation (M. Leriche & JP Pinty)
!!    Modified 01/06/08: Add reaction constant in cloud/rain (M. Leriche)
!!    Modified 14/11/08: Put LWC and LWR to zero where <XRTMIN_AQ
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!
USE MODI_CH_ALLOCATE_TACCS
USE MODI_CH_DEALLOCATE_TACCS
USE MODI_CH_SET_PH
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!
USE MODD_CH_M9_SCHEME
USE MODD_CH_M9_n,        ONLY : METEOTRANSTYPE
USE MODD_CH_MNHC_n,      ONLY : XRTMIN_AQ, XCH_PHINIT
!     USER DEFINED FUNCTIONS
USE MODI_KT
USE MODI_TROE
USE MODI_TROE_KA
USE MODI_TROE_KB
USE MODI_HENRY
USE MODI_TROE_EQUIL
USE MODI_HEFFA
USE MODI_HEFFB
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                      :: PTIME
INTEGER, INTENT(IN)                      :: KVECNPT
INTEGER, INTENT(IN)                      :: KEQ
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)        :: PCONC
TYPE(METEOTRANSTYPE), DIMENSION(KVECNPT), INTENT(IN):: TPM
INTEGER, INTENT(IN)                      :: KMI
INTEGER, INTENT(IN)                      :: KOUT,KVERB
INTEGER, INTENT(INOUT)                   :: KRRL
REAL,    INTENT(INOUT), DIMENSION(:,:), OPTIONAL :: PPH
!!
!!----------------------------------------------------------------------
! /BEGIN_SET_RATES/
!
! transfer of meteo-variables into variables used by the 
! chemical core system (and some unit conversion):
!
!   molecular weight of air:   m_mol^air = 28.8 g/mol
!   molecular weight of H2O:   m_mol^H2O = 18.0 g/mol
!                        ==>   m_mol^air / m_mol^H2O = 1.6
!   density conversion factor: 1 g/cm3 = 1E+3 kg/m3
!   n_molec (moelc./cm3):      M = 1E-3*RHO(kg/m3) * Navo / m_mol
!   n_water:                   H2O = M * 1.6 * Rv
!   pressure = RHO * T * R * 1E-5 (in atm)
!   assuming 20.95 vol% O2
!
TYPE(CCSTYPE),  POINTER     :: TPK
!
REAL :: A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z 
REAL :: NC, YI300, Y300, MINF 
REAL, DIMENSION(KVECNPT) :: HF3, HF5, HF7, HF17, HF19, HF21, HF23,& 
                            HF25, HF27, HF29, HF31, HF33, HF35, HF41,& 
                            HF43 
!----------------------------------------------------------------------
!
IF (.NOT. ASSOCIATED(TACCS(KMI)%NVERB)) THEN
  CALL CH_ALLOCATE_TACCS(KMI,KVECNPT)
END IF
!
IF (SIZE(TACCS(KMI)%NVERB) .NE. KVECNPT) THEN
  CALL CH_DEALLOCATE_TACCS(KMI)
  CALL CH_ALLOCATE_TACCS(KMI,KVECNPT)
END IF
!
TPK=>TACCS(KMI)
!
TPK%MODELLEVEL = TPM%XMETEOVAR(1)
TPK%M          = 1E-3*TPM%XMETEOVAR(2) * 6.0221367E+23 / 28.9644
TPK%T          = TPM%XMETEOVAR(3)
TPK%H2O        = TPK%M*1.6077*TPM%XMETEOVAR(4)
TPK%CLOUDWATER = TPM%XMETEOVAR(5)
TPK%LAT        = TPM%XMETEOVAR(6)
TPK%LON        = TPM%XMETEOVAR(7)
TPK%YEAR       = INT(TPM%XMETEOVAR(8))
TPK%MONTH      = INT(TPM%XMETEOVAR(9))
TPK%DAY        = INT(TPM%XMETEOVAR(10))
TPK%RAINWATER  = TPM%XMETEOVAR(11)
TPK%RHODREF    = TPM%XMETEOVAR(2)
! derived variables
TPK%PRESSURE   = TPM%XMETEOVAR(2) * TPK%T * 288.290947 * 1E-5
TPK%O2         = 0.2095 * TPK%M
TPK%N2         = TPK%M - TPK%O2
TPK%H2         = 1.23e13
TPK%CH4        = 0.4335E+14 
! fixed concentration of CO2 
TPK%CO2 =  330. * 1.E-6 * TPK%M
! for chemistry in aqueous phase, kinetic mass transfer
!   cloud lwc (vol/vol) = cloud m.r.(kg/kg) * rho_air(kg/m3) / rho_eau(kg/m3)
TPK%LWC =  TPM%XMETEOVAR(5)*TPM%XMETEOVAR(2) / 1.E3
WHERE ( TPK%LWC < XRTMIN_AQ ) !to get reaction rate for mass transfer = 0
  TPK%LWC = 0.
ENDWHERE
TPK%RADC = TPM%XMETEOVAR(12)
! conversion factor for reaction constant in cloud
! give minimum value to avoir division by zero
TPK%MOL2MOLECCLOUD = 6.023e+23*1.e-3*XRTMIN_AQ
WHERE (TPK%LWC >= XRTMIN_AQ)
  TPK%MOL2MOLECCLOUD = 6.023e+23*1.e-3*TPK%LWC
END WHERE
!
TPK%LWR =  TPM%XMETEOVAR(11)*TPM%XMETEOVAR(2) / 1.E3
WHERE ( TPK%LWR < XRTMIN_AQ ) !to get reaction rate for mass transfer = 0
  TPK%LWR = 0.
ENDWHERE
TPK%RADR = TPM%XMETEOVAR(13)
! conversion factor for reaction constant in rain
! give minimum value to avoir division by zero
TPK%MOL2MOLECRAIN = 6.023e+23*1.e-3*XRTMIN_AQ
WHERE (TPK%LWR >= XRTMIN_AQ)
  TPK%MOL2MOLECRAIN = 6.023e+23*1.e-3*TPK%LWR
END WHERE
!pH calculation if required
IF (PRESENT(PPH)) THEN
  TPK%PHC(:)=PPH(:,1)
  CALL CH_SET_PH(KOUT,KMI,KVECNPT,PCONC,TPK%PHC(:),KVERB,2) ! pH cloud water
!  TPK%PHC(:) = 0.01*TPK%PHC(:) + 0.99*PPH(:,1) ! apply a strong filter
  PPH(:,1) = TPK%PHC(:)
  IF (KRRL>=2) THEN
    TPK%PHR(:)=PPH(:,2)
    CALL CH_SET_PH(KOUT,KMI,KVECNPT,PCONC,TPK%PHR(:),KVERB,3) ! pH rain water
!    TPK%PHR(:) = 0.01*TPK%PHR(:) + 0.99*PPH(:,2) ! apply a strong filter
    PPH(:,2) = TPK%PHR(:)
  ENDIF
ELSE
  IF (.NOT.TPK%LCH_PH) TPK%PHC = XCH_PHINIT
  IF (KRRL>=2) THEN
    IF (.NOT.TPK%LCH_PH) TPK%PHR = XCH_PHINIT
  ENDIF
ENDIF
!
TPK%RCH = 0.08206 ! R in atm M-1 K-1
TPK%W_O2 = 1.3E-3*exp(-1500.*(1./TPK%T-1./298.15))*TPK%RCH*TPK%T*TPK%O2*1.e3/6.023e+23
!
!...VARIABLE STOICHIOMETRIC COEFFICIENTS... 
!       EQUIVALENT TO CF1 through CF36, CF39 THROUGH CF47 
!  P. Tulet from R. Griffin 
!      (B01)         ALD2  IN ETOH + OH-> 
!      (B02)         RO22  IN ETOH + OH-> 
!      (B03)         ALKL (ALK NIT) IN RO25 + NO-> 
!      (B04)         ALD2 (NO->NO2) IN RO25 + NO-> 
!      (B05)         OLEL (OLE NIT) IN RO29 + NO-> 
!      (B06)         HCHO (NO->NO2) IN RO29 + NO-> 
!      (B07)         OLEL (OLE NIT) IN RO214 + NO-> 
!      (B08)         RO27 (NO->NO2) IN RO214 + NO-> 
!      (B09)         ALD2  IN RO215 + NO-> 
!      (B10)         HCHO  IN RO215 + NO-> 
!      (B11)         MEK   IN RO215 + NO-> 
!      (B12)         ALKL  IN RO215 + NO-> 
!      (B13)         ALD2  IN RO215 + RO2T-> 
!      (B14)         HCHO  IN RO215 + RO2T-> 
!      (B15)         MEK   IN RO215 + RO2T-> 
!      (B16)         ALKL  IN RO215 + RO2T-> 
!      (B17)         AP3  (ALK NIT) IN RO220 + NO-> 
!      (B18)         RO218(NO->NO2) IN RO220 + NO-> 
!      (B19)         AP2  (ALK NIT) IN RO218 + NO-> 
!      (B20)         UR16 (NO->NO2) IN RO218 + NO-> 
!      (B21)         AP1  (ALK NIT) IN RO217 + NO-> 
!      (B22)         RPR2 (NO->NO2) IN RO217 + NO-> 
!      (B23)         AP4  (ALK NIT) IN RO221 + NO-> 
!      (B24)         BALD (NO->NO2) IN RO221 + NO-> 
!      (B25)     AP7  (ALK NIT) IN RO224 + NO-> 
!      (B26)     RPR3 (NO->NO2) IN RO224 + NO-> 
!      (B27)     AP8  (ALK NIT) IN RO227 + NO-> 
!      (B28)         UR7  (NO->NO2) IN RO227 + NO-> 
!      (B29)     AP9  (ALK NIT) IN RO229 + NO-> 
!      (B30)     RO240(NO->NO2) IN RO229 + NO-> 
!      (B31)         AP10 (ALK NIT) IN RO231 + NO-> 
!      (B32)     UR19 (NO->NO2) IN RO231 + NO-> 
!      (B33)         AP11 (ALK NIT) IN RO232 + NO-> 
!      (B34)         RO241(NO->NO2) IN RO232 + NO-> 
!      (B35)     AP12 (ALK NIT) IN RO241 + NO-> 
!      (B36)     UR16 (NO->NO2) IN RO241 + NO-> 
!      (B39)         OH ATTACK OF CHO IN BALD          
!      (B40)         RADICAL IN BALD/OH REACTION 
!      (B41)         AP5  (ALK NIT) IN RO222 + NO->      
!      (B42)         RPR6 (NO->NO2) IN RO222 + NO->  
!      (B43)         AP6  (ALK NIT) IN RO223 + NO-> 
!      (B44)         RPR7 (NO->NO2) IN RO223 + NO-> 
!      (B45)         SIDE CHAIN ATTACK OF BALD  
!      (B46)         ALDEHYDIC ATTACK IN MCR 
!      (B47)         DOUBLE BOND ATTACK IN MCR 
 
      TPK%CF1 = 0. 
      TPK%CF2 = 0. 
      TPK%CF3 = 0. 
      TPK%CF4 = 0. 
      TPK%CF5 = 0. 
      TPK%CF6 = 0. 
      TPK%CF7 = 0. 
      TPK%CF8 = 0. 
      TPK%CF9 = 0. 
      TPK%CF10 = 0. 
      TPK%CF11 = 0. 
      TPK%CF12 = 0. 
      TPK%CF13 = 0. 
      TPK%CF14 = 0. 
      TPK%CF15 = 0. 
      TPK%CF16 = 0. 
      TPK%CF17 = 0. 
      TPK%CF18 = 0. 
      TPK%CF19 = 0. 
      TPK%CF20 = 0. 
      TPK%CF21 = 0. 
      TPK%CF22 = 0. 
      TPK%CF23 = 0. 
      TPK%CF24 = 0. 
      TPK%CF25 = 0. 
      TPK%CF26 = 0. 
      TPK%CF27 = 0. 
      TPK%CF28 = 0. 
      TPK%CF29 = 0. 
      TPK%CF30 = 0. 
      TPK%CF31 = 0. 
      TPK%CF32 = 0. 
      TPK%CF33 = 0. 
      TPK%CF34 = 0. 
      TPK%CF35 = 0. 
      TPK%CF36 = 0. 
      TPK%CF37 = 0. 
      TPK%CF38 = 0. 
      TPK%CF39 = 0. 
      TPK%CF40 = 0. 
      TPK%CF41 = 0. 
      TPK%CF42 = 0. 
      TPK%CF43 = 0. 
      TPK%CF44 = 0. 
      TPK%CF45 = 0. 
      TPK%CF46 = 0. 
      TPK%CF47 = 0. 
      TPK%CF48 = 0. 
      TPK%CF49 = 0. 
 
         A = 4.49E-18 
         B = -320.0 
         C = 4.5E-18 
         D = 253.0 
         E = 61.69 
         F = 2.12E-18 
         G = 696.0 
         H = 2.10E-18 
         I = -85.0 
         J = 373.32 
         K = -85.73 
         L= 2.63E-11 
         P = 2.22E-11 
         Q = 8.69E-11 
         V = 1.1E-10 
         S = 5.2E-13 
         W = 6.4E-11 
         T = 3.6E-13 
         U = -959.23 
 ! 
 
TPK%CF1        = (C*EXP(D/TPK%T)*EXP(J/TPK%T)+ H*EXP(I/TPK%T)*EXP(E/TPK%T))& 
            /(A*EXP(B/TPK%T)*EXP(E/TPK%T) + & 
            C*EXP(D/TPK%T)*EXP(J/TPK%T) + H*EXP(I/TPK%T)*EXP(E/TPK%T)) 
 
TPK%CF2        = 1.0 - TPK%CF1 
      A = 1.94E-22 
      B = 0.97 
      NC = 3.0 
      YI300 = 0.826 
      Y300 = A*EXP(B*NC) 
      MINF = 8.1 
      F = 0.411 
      C = 0.4 
 
      HF3 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
             **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
             (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF3= HF3/(1.0+HF3) 
TPK%CF4= 1.0 - TPK%CF3 
 ! 
      NC = 5.0 
      C = 0.3 
      Y300 = A*EXP(B*NC) 
      HF5 = 0.5 + 0.5*(C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/ & 
             (TPK%T/300.0)**(-1.*MINF)))*F**(1.0/(1.0+(LOG10 & 
             (Y300*TPK%M/YI300/(TPK%T/300.0)**(-1.*MINF))) & 
             **2))) 
 ! 
TPK%CF5 = HF5/(1.0+HF5) 
TPK%CF6 = 1 - TPK%CF5 
 ! 
      NC = 3.0 
      Y300 = A*EXP(B*NC) 
      HF7 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
             **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
             (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 
TPK%CF7 = HF7/(1.0+HF7) 
TPK%CF8 = 1.0 - TPK%CF7 
 ! 
TPK%CF9 = 0.2 
TPK%CF10 = 0.4 
TPK%CF11 = 0.2 
TPK%CF12 = 1.0 - TPK%CF9 - TPK%CF10 - TPK%CF11 
 ! 
TPK%CF13 = TPK%CF9 
TPK%CF14 = TPK%CF10 
TPK%CF15 = TPK%CF11 
TPK%CF16 = 1.0 - TPK%CF13 - TPK%CF14 - TPK%CF15 
 ! 
      NC = 8.0 
      C = 1.0 
      Y300 = A*EXP(NC*B) 
      HF17 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF17 = HF17/(1.0+HF17) 
TPK%CF18 = 1.0 - TPK%CF17 
 ! 
      HF19 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF19 = HF19/(1.0+HF19) 
TPK%CF20 = 1.0 - TPK%CF19 
 ! 
      C = 0.40 
      HF21 = 0.4*(C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1))+1.0-0.4 
 !      
TPK%CF21 = HF21/(1.0 + HF21) 
TPK%CF22 = 1.0 - TPK%CF21 
 ! 
      NC = 9.0 
      Y300 = A*EXP(NC*B) 
      HF23 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF23 = HF23/(1.0 + HF23) 
TPK%CF24 = 1.0 - TPK%CF23 
 ! 
      NC = 10.0 
      Y300 = A*EXP(B*NC) 
      C = 0.3 
      HF25 = 0.5*(C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1)) + 0.5 
 ! 
TPK%CF25 = HF25/(1.0 + HF25) 
TPK%CF26 = 1.0 - TPK%CF25 
 ! 
      HF27 = 0.5*(C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1)) + 0.5       
 ! 
TPK%CF27 = HF27/(1+HF27) 
TPK%CF28 = 1.0 - TPK%CF27 
 ! 
      NC = 9.0 
      Y300 = A*EXP(B*NC) 
      C = 0.4 
      HF29 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1)             
 ! 
TPK%CF29 = HF29/(1.0 + HF29) 
TPK%CF30 = 1.0 - TPK%CF29 
 ! 
      NC = 12.0 
      Y300 = A*EXP(B*NC) 
      HF31 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF31 = HF31/(1.0 + HF31) 
TPK%CF32 = 1.0 - TPK%CF31 
 ! 
      NC = 16.0 
      Y300 = A*EXP(B*NC) 
      C = 1.0 
 ! 
      HF33 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF33 = HF33/(1.0 + HF33) 
TPK%CF34 = 1.0 - TPK%CF33 
 ! 
      HF35 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF35 = HF35/(1.0 + HF35) 
TPK%CF36 = 1.0 - TPK%CF35 
 ! 
TPK%CF39 = 2.22E-11/(2.22E-11 + 7.66E-12 + (4.49E-18 * & 
              TPK%T *TPK%T * EXP(-320.0/TPK%T))) 
TPK%CF45 = 4.49E-18*TPK%T*TPK%T*EXP(-320.0/TPK%T) & 
              /(2.22E-11 + 7.66E-12 + (4.49E-18 * & 
              TPK%T *TPK%T * EXP(-320.0/TPK%T))) 
TPK%CF40 = 0.84 - TPK%CF39 - TPK%CF45  
 ! 
      NC = 8.0 
      Y300 = A*EXP(B*NC) 
      C = 0.4 
      HF41 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1) 
 ! 
TPK%CF41 = HF41/(1.0 + HF41) 
TPK%CF42 = 1.0 - TPK%CF41 
 ! 
 ! 
      HF43 = C*(Y300*TPK%M)/(1.0+(Y300*TPK%M/YI300/(TPK%T/300.0) & 
              **(-1.*MINF)))*F**(1.0+(LOG10(Y300*TPK%M/YI300/ & 
              (TPK%T/300.0)**(-1.*MINF)))**2)**(-1)       
 ! 
TPK%CF43 = HF43/(1.0 + HF43) 
TPK%CF44 = 1.0 - TPK%CF43 
 ! 
TPK%CF46 = 2.22E-11/(2.22E-11 + 5.14E-11) 
TPK%CF47 = 1.0 - TPK%CF46 
 
 !     for reaction 82: H2O stochiometric coef 
TPK%CF48 = .16 - TPK%CF39 
TPK%CF49 = TPK%CF39 + TPK%CF45 
 
TPK%CF1 = MAX(0., TPK%CF1)
TPK%CF2 = MAX(0., TPK%CF2)
TPK%CF3 = MAX(0., TPK%CF3)
TPK%CF4 = MAX(0., TPK%CF4)
TPK%CF5 = MAX(0., TPK%CF5)
TPK%CF6 = MAX(0., TPK%CF6)
TPK%CF7 = MAX(0., TPK%CF7)
TPK%CF8 = MAX(0., TPK%CF8)
TPK%CF9 = MAX(0., TPK%CF9)
TPK%CF10 = MAX(0., TPK%CF10)
TPK%CF11 = MAX(0., TPK%CF11)
TPK%CF12 = MAX(0., TPK%CF12)
TPK%CF13 = MAX(0., TPK%CF13)
TPK%CF14 = MAX(0., TPK%CF14)
TPK%CF15 = MAX(0., TPK%CF15)
TPK%CF16 = MAX(0., TPK%CF16)
TPK%CF17 = MAX(0., TPK%CF17)
TPK%CF18 = MAX(0., TPK%CF18)
TPK%CF19 = MAX(0., TPK%CF19)
TPK%CF20 = MAX(0., TPK%CF20)
TPK%CF21 = MAX(0., TPK%CF21)
TPK%CF22 = MAX(0., TPK%CF22)
TPK%CF23 = MAX(0., TPK%CF23)
TPK%CF24 = MAX(0., TPK%CF24)
TPK%CF25 = MAX(0., TPK%CF25)
TPK%CF26 = MAX(0., TPK%CF26)
TPK%CF27 = MAX(0., TPK%CF27)
TPK%CF28 = MAX(0., TPK%CF28)
TPK%CF29 = MAX(0., TPK%CF29)
TPK%CF30 = MAX(0., TPK%CF30)
TPK%CF31 = MAX(0., TPK%CF31)
TPK%CF32 = MAX(0., TPK%CF32)
TPK%CF33 = MAX(0., TPK%CF33)
TPK%CF34 = MAX(0., TPK%CF34)
TPK%CF35 = MAX(0., TPK%CF35)
TPK%CF36 = MAX(0., TPK%CF36)
TPK%CF37 = MAX(0., TPK%CF37)
TPK%CF38 = MAX(0., TPK%CF38)
TPK%CF39 = MAX(0., TPK%CF39)
TPK%CF40 = MAX(0., TPK%CF40)
TPK%CF41 = MAX(0., TPK%CF41)
TPK%CF42 = MAX(0., TPK%CF42)
TPK%CF43 = MAX(0., TPK%CF43)
TPK%CF44 = MAX(0., TPK%CF44)
TPK%CF45 = MAX(0., TPK%CF45)
TPK%CF46 = MAX(0., TPK%CF46)
TPK%CF47 = MAX(0., TPK%CF47)
TPK%CF48 = MAX(0., TPK%CF48)
TPK%CF49 = MAX(0., TPK%CF49)

 
TPK%CFA2 =    0.9983609 *TPK%CF22 
TPK%CFA3 =    1.0000000 *TPK%CF19 
TPK%CFA4 =    1.0000000 *TPK%CF17 
TPK%CFA5 =    1.0000000 *TPK%CF23 
TPK%CFA6 =    1.0000000 *TPK%CF41 
TPK%CFA7 =    0.9983609 *TPK%CF42 
TPK%CFA9 =    1.0000000 *TPK%CF44 
TPK%CFA10 =              TPK%CF26 
TPK%CFA12 =          0.3*TPK%CF28 
TPK%CFA13 =    1.0000000 *TPK%CF29 
TPK%CFA14 =    0.9999996 *TPK%CF33 
TPK%CFA15 =    0.9999996 *TPK%CF35 
TPK%CFA16 =    0.9999996 *TPK%CF36 
TPK%CFA17 =    0.8808107 *TPK%CF46 
TPK%CFA18 =    0.0000000E+00 *TPK%CF47 
TPK%CFA19 =               TPK%CF6 
TPK%CFA20 =    1.0000005 *TPK%CF46 
TPK%CFA21 =    1.0000005 *TPK%CF46 
TPK%CFA22 =    0.5021558 *TPK%CF47 
TPK%CFA23 =    1.0000000 *TPK%CF25 
TPK%CFA24 =    1.0000000 *TPK%CF46 
!
!
! the following prints will be erased
IF (KVERB >= 15) THEN
  WRITE(KOUT,*) "CH_SET_RATES: the following variables have been updated"
  WRITE(KOUT,*) "MODELLEVEL:   ", TPK%MODELLEVEL(1)
  WRITE(KOUT,*) "M:            ", TPK%M(1)          , "molec/cm3"
  WRITE(KOUT,*) "T:            ", TPK%T(1)          , "K"
  WRITE(KOUT,*) "H2O           ", TPK%H2O(1)        , "molec/cm3"
  WRITE(KOUT,*) "CLOUDWATER:   ", TPK%CLOUDWATER(1) , "kg/kg"
  WRITE(KOUT,*) "LATITUDE:     ", TPK%LAT(1)        , "degree"
  WRITE(KOUT,*) "LONGITUDE:    ", TPK%LON(1)        , "degree"
  WRITE(KOUT,*) "YEAR:         ", TPK%YEAR(1)
  WRITE(KOUT,*) "MONTH:        ", TPK%MONTH(1)
  WRITE(KOUT,*) "DAY:          ", TPK%DAY(1)
  WRITE(KOUT,*) "RAINWATER:    ", TPK%RAINWATER(1)  , "kg/kg"
  WRITE(KOUT,*) "RHODREF:      ", TPK%RHODREF(1)    , "kg/m3"
  WRITE(KOUT,*) "PRESSURE:     ", TPK%PRESSURE(1)   , "atm"
  WRITE(KOUT,*) "O2:           ", TPK%O2(1)         , "molec/cm3"
  WRITE(KOUT,*) "N2:           ", TPK%N2(1)         , "molec/cm3"
  WRITE(KOUT,*) "H2:           ", TPK%H2(1)         , "molec/cm3"
  WRITE(KOUT,*) "CO2:          ", TPK%CO2(1)        , "molec/cm3"
  WRITE(KOUT,*) "LWC:          ", TPK%LWC(1)        , "m3/m3"
  WRITE(KOUT,*) "RADC:         ", TPK%RADC(1)       , "m"
  WRITE(KOUT,*) "PHC:          ", TPK%PHC(1)
  WRITE(KOUT,*) "LWR:          ", TPK%LWR(1)        , "m3/m3"
  WRITE(KOUT,*) "RADR:         ", TPK%RADR(1)       , "m"
  WRITE(KOUT,*) "PHR:          ", TPK%PHR(1)
  WRITE(KOUT,*) "W_O2:         ", TPK%W_O2(1)       , "M"
END IF
!
! /END_SET_RATES/
CALL SUBSRG0
CALL SUBSRG1
CALL SUBSRG2
CALL SUBSRG3
CALL SUBSRG4
CALL SUBSRG5
CALL SUBSRG6
CALL SUBSRG7
CALL SUBSRG8
CALL SUBSRG9
CALL SUBSRG10
CALL SUBSRG11
CALL SUBSRG12
CALL SUBSRG13
CALL SUBSRG14
CALL SUBSRG15
CALL SUBSRG16
CALL SUBSRG17
CALL SUBSRG18
CALL SUBSRG19
CALL SUBSRG20
CALL SUBSRG21
CALL SUBSRG22
CALL SUBSRG23
CALL SUBSRG24
CALL SUBSRG25
CALL SUBSRG26
CALL SUBSRG27
CALL SUBSRG28
CALL SUBSRG29
CALL SUBSRG30
CALL SUBSRG31
CALL SUBSRG32
CALL SUBSRG33
CALL SUBSRG34
CALL SUBSRG35
CALL SUBSRG36
IF (TPK%LUSECHAQ) THEN
  CALL SUBSRW0
  CALL SUBSRW1
  CALL SUBSRW2
  CALL SUBSRW3
  CALL SUBSRW4
  CALL SUBSRW5
  CALL SUBSRW6
  CALL SUBSRW7
  CALL SUBSRW8
  CALL SUBSRW9
  CALL SUBSRW10
  CALL SUBSRW11
  CALL SUBSRW12
  CALL SUBSRW13
  CALL SUBSRW14
  CALL SUBSRW15
  CALL SUBSRW16
  CALL SUBSRW17
  CALL SUBSRW18
  CALL SUBSRW19
  CALL SUBSRW20
  CALL SUBSRW21
END IF
TPK%NOUT     = KOUT
TPK%NVERB(:) = KVERB
RETURN

CONTAINS

SUBROUTINE SUBSRG0
!
!Indices 1 a 10
!
 TPK%K002=TPK%M*5.60E-34*(TPK%T/300)**(-2.6)
 TPK%K003=6.5E-12*EXP(119.8/TPK%T)
 TPK%K004=TROE(1.,9.0E-32,2.,2.2E-11,0.,0.8,TPK%M,TPK%T,KVECNPT)
 TPK%K005=1.8E-12*EXP(-1368.9/TPK%T)
 TPK%K006=1.4E-13*EXP(-2471.1/TPK%T)
 TPK%K007=1.8E-11*EXP(110.7/TPK%T)
 TPK%K008=5.09E-18/TPK%T*EXP(528.4/TPK%T)
 TPK%K009=TROE(1.,2.8E-30,3.5,2.0E-12,0.2,0.45,TPK%M,TPK%T,KVECNPT)
 TPK%K010=TROE_EQUIL(2.8E-30,3.5,2.0E-12,0.2,3.70E+26,11000.0,0.45,TPK%M,TPK%T,&
&KVECNPT)
!
RETURN
END SUBROUTINE SUBSRG0
!
SUBROUTINE SUBSRG1
!
!Indices 11 a 20
!
 TPK%K011=2.59E-22
 TPK%K012=4.5E-14*EXP(-1258.2/TPK%T)
 TPK%K017=2.2E-10
 TPK%K018A=1.80E-11*exp(-(-110.0/TPK%T))
 TPK%K018B=3.20E-11*exp(-(-70.0/TPK%T))
 TPK%K019=TROE(1.,7.0E-31,2.6,3.6E-11,0.1,0.6,TPK%M,TPK%T,KVECNPT)
!
RETURN
END SUBROUTINE SUBSRG1
!
SUBROUTINE SUBSRG2
!
!Indices 21 a 30
!
 TPK%K021=4.0E-24
 TPK%K022=TROE(1.,2.85E-30,2.67,3.13E-11,0.,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K023=TROE_KA(7.2E-15,785.1,4.1E-16,1439.4,1.9E-33,724.7,TPK%M,TPK%T,KVECNP&
&T)
 TPK%K024=TROE_KB(1.3E-13,0.,3.19E-33,0.,TPK%M,TPK%T,KVECNPT)
 TPK%K025=1.9E-12*EXP(-1001.5/TPK%T)
 TPK%K026=3.41E-12*EXP(271.8/TPK%T)
 TPK%K027=TROE(1.,1.8E-31,3.2,4.7E-12,0.,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K028=TROE_EQUIL(1.8E-31,3.2,4.7E-12,0.,4.76E+26,10900.,0.6,TPK%M,TPK%T,KVE&
&CNPT)
 TPK%K029=1.5E-12*EXP(362.4/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG2
!
SUBROUTINE SUBSRG3
!
!Indices 31 a 40
!
 TPK%K030=1.4E-14*EXP(-598.9/TPK%T)
 TPK%K031=TROE_KB(2.2E-13,598.9,1.85E-33,981.4,TPK%M,TPK%T,KVECNPT)
 TPK%K032=TROE_KB(3.08E-34,2798.2,2.59E-54,3180.7,TPK%M,TPK%T,KVECNPT)
 TPK%K033=4.0E-12
 TPK%K034=8.0E-12*EXP(-2058.4/TPK%T)
 TPK%K035=TROE(1.,4.1E-31,3.3,2.0E-12,0.,0.45,TPK%M,TPK%T,KVECNPT)
 TPK%K037=2.91E-12*EXP(-161/TPK%T)
 TPK%K038=TROE(1.,9.00E-32,1.5,3.00E-11,0.0,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K039=2.7E-12*EXP(261.7/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG3
!
SUBROUTINE SUBSRG4
!
!Indices 41 a 50
!
 TPK%K040=2.0E-11
 TPK%K041=8.5E-13*EXP(-2450.9/TPK%T)
 TPK%K042=4.8E-11*EXP(251.6/TPK%T)
 TPK%K043=2.66E-12*EXP(-1800.2/TPK%T)
 TPK%K046=1.2E-14*TPK%T*EXP(286.9/TPK%T)
 TPK%K047=2.0E-12*EXP(-2430.8/TPK%T)
 TPK%K048=6.0E-18*TPK%T**2*EXP(170.1/TPK%T)
 TPK%K049=1.96E-12*EXP(437.8/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG4
!
SUBROUTINE SUBSRG5
!
!Indices 51 a 60
!
 TPK%K050=4.89E-18*TPK%T**2*EXP(-2282.3/TPK%T)
 TPK%K051=9.14E-15*EXP(-2580.3/TPK%T)
 TPK%K052=7.3E-13
 TPK%K053=6.18E-18*TPK%T**2*EXP(532/TPK%T)
 TPK%K054=5.86E-12*EXP(500.3/TPK%T)
 TPK%K055=1.0E-13*EXP(-800.2/TPK%T)
 TPK%K056=1.0E-17
 TPK%K057=4.66E-12
 TPK%K058=3.91E-12
!
RETURN
END SUBROUTINE SUBSRG5
!
SUBROUTINE SUBSRG6
!
!Indices 61 a 70
!
 TPK%K060=6.91E-12*EXP(250/TPK%T)
 TPK%K061=3.0E-13*EXP(-1427/TPK%T)
 TPK%K062=4.91E-12
 TPK%K064=2.55E-11*EXP(410.2/TPK%T)
 TPK%K065=3.02E-12*EXP(-445.9/TPK%T)
 TPK%K066=7.86E-15*EXP(-1912.9/TPK%T)
 TPK%K067=3.5E-11
 TPK%K068=3.2E-12
 TPK%K069=1.28E-11
!
RETURN
END SUBROUTINE SUBSRG6
!
SUBROUTINE SUBSRG7
!
!Indices 71 a 80
!
 TPK%K070=5.1E-12
 TPK%K072=3.77E-12
 TPK%K073=2.264E-10
 TPK%K074=3.47E-11
 TPK%K075=3.47E-11*1.0E-13*EXP(-800.2/TPK%T)/(5.86E-12*EXP(500.3/TPK%T))
 TPK%K076=3.47E-11*1.0E-17/(5.86E-12*EXP(500.3/TPK%T))
 TPK%K077=3.47E-11*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))
 TPK%K078=1.03E-11
 TPK%K079=3.27E-11
!
RETURN
END SUBROUTINE SUBSRG7
!
SUBROUTINE SUBSRG8
!
!Indices 81 a 90
!
 TPK%K080=1.52E-11
 TPK%K081=1.4E-12*EXP(-1872.2/TPK%T)
 TPK%K082=1.29E-11
 TPK%K083=1.1E-12
 TPK%K084=1.7E-10
 TPK%K085=1.46E-11
 TPK%K086=2.5E-16
 TPK%K087=1.7E-10*4.66E-12/(5.86E-12*EXP(500.3/TPK%T))
 TPK%K088=1.77E-10
 TPK%K089=2.91E-11
!
RETURN
END SUBROUTINE SUBSRG8
!
SUBROUTINE SUBSRG9
!
!Indices 91 a 100
!
 TPK%K090=1.4E-16
 TPK%K091=8.59E-11
 TPK%K092=7.7E-11
 TPK%K093=1.97E-11
 TPK%K094=3.41E-13*EXP(800.2/TPK%T)
 TPK%K095=4.2E-12*EXP(181.2/TPK%T)
 TPK%K096=1.0E-15
 TPK%K097=0.9*7.7E5/TPK%T
 TPK%K098=0.9*7.7E5/TPK%T
 TPK%K099=0.9*7.7E5/TPK%T
!
RETURN
END SUBROUTINE SUBSRG9
!
SUBROUTINE SUBSRG10
!
!Indices 101 a 110
!
 TPK%K100=0.9*7.7E5/TPK%T
 TPK%K101=0.9*7.7E5/TPK%T
 TPK%K102=0.9*7.7E5/TPK%T
 TPK%K103=1.7*3.0E-11
 TPK%K104=1.7*3.0E-11
 TPK%K105=1.7*3.0E-11
 TPK%K106=1.7*3.0E-11
 TPK%K107=1.7*3.0E-11
 TPK%K108=1.7*3.0E-11
 TPK%K109=1.7*3.0E-11
!
RETURN
END SUBROUTINE SUBSRG10
!
SUBROUTINE SUBSRG11
!
!Indices 111 a 120
!
 TPK%K110=4.09E-12*EXP(180.2/TPK%T)
 TPK%K111=1.0E-15
 TPK%K112=3.41E-13*EXP(800.2/TPK%T)
 TPK%K113=2.45E-12*EXP(180.2/TPK%T)
 TPK%K114=1.0E-15
 TPK%K115=3.41E-13*EXP(800.2/TPK%T)
 TPK%K116=2.45E-12*EXP(180.2/TPK%T)
 TPK%K117=1.0E-15
 TPK%K118=3.41E-13*EXP(800.2/TPK%T)
 TPK%K119=3.45E-12*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG11
!
SUBROUTINE SUBSRG12
!
!Indices 121 a 130
!
 TPK%K120=1.0E-15
 TPK%K121=3.41E-13*EXP(800.2/TPK%T)
 TPK%K122=2.91E-12*EXP(180.2/TPK%T)
 TPK%K123=1.0E-15
 TPK%K124=3.41E-13*EXP(800.2/TPK%T)
 TPK%K125=1.11E-11*EXP(180.2/TPK%T)
 TPK%K126=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K127=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K128=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K129=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
!
RETURN
END SUBROUTINE SUBSRG12
!
SUBROUTINE SUBSRG13
!
!Indices 131 a 140
!
 TPK%K130=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K131=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K132=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K133=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K134=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K135=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K136=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K137=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K138=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K139=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
!
RETURN
END SUBROUTINE SUBSRG13
!
SUBROUTINE SUBSRG14
!
!Indices 141 a 150
!
 TPK%K140=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K141=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K142=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K143=1.0E-15
 TPK%K144=2.45E-12*EXP(180.2/TPK%T)
 TPK%K145=1.0E-15
 TPK%K146=3.41E-13*EXP(800.2/TPK%T)
 TPK%K147=1.11E-11*EXP(180.2/TPK%T)
 TPK%K148=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K149=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG14
!
SUBROUTINE SUBSRG15
!
!Indices 151 a 160
!
 TPK%K150=2.08E-12*EXP(180.2/TPK%T)
 TPK%K151=1.0E-15
 TPK%K152=3.41E-13*EXP(800.2/TPK%T)
 TPK%K153=2.08E-12*EXP(180.2/TPK%T)
 TPK%K154=1.0E-15
 TPK%K155=3.41E-13*EXP(800.2/TPK%T)
 TPK%K156=2.08E-12*EXP(180.2/TPK%T)
 TPK%K157=1.0E-15
 TPK%K158=3.41E-13*EXP(800.2/TPK%T)
 TPK%K159=2.08E-12*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG15
!
SUBROUTINE SUBSRG16
!
!Indices 161 a 170
!
 TPK%K160=1.0E-15
 TPK%K161=3.41E-13*EXP(800.2/TPK%T)
 TPK%K162=2.45E-12*EXP(180.2/TPK%T)
 TPK%K163=1.0E-15
 TPK%K164=3.41E-13*EXP(800.2/TPK%T)
 TPK%K165=1.11E-11*EXP(180.2/TPK%T)
 TPK%K166=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K167=1.0E-15
 TPK%K168=2.91E-12*EXP(180.2/TPK%T)
 TPK%K169=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG16
!
SUBROUTINE SUBSRG17
!
!Indices 171 a 180
!
 TPK%K170=3.41E-13*EXP(800.2/TPK%T)
 TPK%K171=2.08E-12*EXP(180.2/TPK%T)
 TPK%K172=1.0E-15
 TPK%K173=3.41E-13*EXP(800.2/TPK%T)
 TPK%K174=1.48E-12*EXP(180.2/TPK%T)
 TPK%K175=1.0E-15
 TPK%K176=3.41E-13*EXP(800.2/TPK%T)
 TPK%K177=1.25E-12*EXP(180.2/TPK%T)
 TPK%K178=1.0E-15
 TPK%K179=3.41E-13*EXP(800.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG17
!
SUBROUTINE SUBSRG18
!
!Indices 181 a 190
!
 TPK%K180=1.25E-12*EXP(180.2/TPK%T)
 TPK%K181=1.0E-15
 TPK%K182=3.41E-13*EXP(800.2/TPK%T)
 TPK%K183=1.05E-12*EXP(180.2/TPK%T)
 TPK%K184=1.0E-15
 TPK%K185=3.41E-13*EXP(800.2/TPK%T)
 TPK%K186=1.25E-12*EXP(180.2/TPK%T)
 TPK%K187=1.0E-15
 TPK%K188=3.41E-13*EXP(800.2/TPK%T)
 TPK%K189=1.05E-12*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG18
!
SUBROUTINE SUBSRG19
!
!Indices 191 a 200
!
 TPK%K190=1.0E-15
 TPK%K191=3.41E-13*EXP(800.2/TPK%T)
 TPK%K192=1.25E-12*EXP(180.2/TPK%T)
 TPK%K193=1.0E-15
 TPK%K194=3.41E-13*EXP(800.2/TPK%T)
 TPK%K195=1.25E-12*EXP(180.2/TPK%T)
 TPK%K196=1.0E-15
 TPK%K197=3.41E-13*EXP(800.2/TPK%T)
 TPK%K198=8.89E-13*EXP(180.2/TPK%T)
 TPK%K199=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG19
!
SUBROUTINE SUBSRG20
!
!Indices 201 a 210
!
 TPK%K200=3.41E-13*EXP(800.2/TPK%T)
 TPK%K201=8.89E-13*EXP(180.2/TPK%T)
 TPK%K202=1.0E-15
 TPK%K203=3.41E-13*EXP(800.2/TPK%T)
 TPK%K204=8.89E-13*EXP(180.2/TPK%T)
 TPK%K205=1.0E-15
 TPK%K206=3.41E-13*EXP(800.2/TPK%T)
 TPK%K207=8.89E-13*EXP(180.2/TPK%T)
 TPK%K208=1.0E-15
 TPK%K209=3.41E-13*EXP(800.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG20
!
SUBROUTINE SUBSRG21
!
!Indices 211 a 220
!
 TPK%K210=8.89E-13*EXP(180.2/TPK%T)
 TPK%K211=1.0E-15
 TPK%K212=3.41E-13*EXP(800.2/TPK%T)
 TPK%K213=1.05E-12*EXP(180.2/TPK%T)
 TPK%K214=1.0E-15
 TPK%K215=3.41E-13*EXP(800.2/TPK%T)
 TPK%K216=1.05E-12*EXP(180.2/TPK%T)
 TPK%K217=1.0E-15
 TPK%K218=3.41E-13*EXP(800.2/TPK%T)
 TPK%K219=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG21
!
SUBROUTINE SUBSRG22
!
!Indices 221 a 230
!
 TPK%K220=3.41E-13*EXP(800.2/TPK%T)
 TPK%K221=6.32E-13*EXP(180.2/TPK%T)
 TPK%K222=1.0E-15
 TPK%K223=3.41E-13*EXP(800.2/TPK%T)
 TPK%K224=3.2E-13*EXP(180.2/TPK%T)
 TPK%K225=1.0E-15
 TPK%K226=3.41E-13*EXP(800.2/TPK%T)
 TPK%K227=3.2E-13*EXP(180.2/TPK%T)
 TPK%K228=1.0E-15
 TPK%K229=3.41E-13*EXP(800.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG22
!
SUBROUTINE SUBSRG23
!
!Indices 231 a 240
!
 TPK%K230=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K231=1.25E-12*EXP(180.2/TPK%T)
 TPK%K232=1.0E-15
 TPK%K233=3.41E-13*EXP(800.2/TPK%T)
 TPK%K234=1.25E-12*EXP(180.2/TPK%T)
 TPK%K235=1.0E-15
 TPK%K236=3.41E-13*EXP(800.2/TPK%T)
 TPK%K237=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K238=1.05E-12*EXP(180.2/TPK%T)
 TPK%K239=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG23
!
SUBROUTINE SUBSRG24
!
!Indices 241 a 250
!
 TPK%K240=3.41E-13*EXP(800.2/TPK%T)
 TPK%K241=1.05E-12*EXP(180.2/TPK%T)
 TPK%K242=1.0E-15
 TPK%K243=3.41E-13*EXP(800.2/TPK%T)
 TPK%K244=1.1*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K245=8.89E-13*EXP(180.2/TPK%T)
 TPK%K246=1.0E-15
 TPK%K247=3.41E-13*EXP(800.2/TPK%T)
 TPK%K248=8.89E-13*EXP(180.2/TPK%T)
 TPK%K249=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG24
!
SUBROUTINE SUBSRG25
!
!Indices 251 a 260
!
 TPK%K250=3.41E-13*EXP(800.2/TPK%T)
 TPK%K251=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K252=1.25E-12*EXP(180.2/TPK%T)
 TPK%K253=1.0E-15
 TPK%K254=3.41E-13*EXP(800.2/TPK%T)
 TPK%K255=1.25E-12*EXP(180.2/TPK%T)
 TPK%K256=1.0E-15
 TPK%K257=3.41E-13*EXP(800.2/TPK%T)
 TPK%K258=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K259=1.25E-12*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG25
!
SUBROUTINE SUBSRG26
!
!Indices 261 a 270
!
 TPK%K260=1.0E-15
 TPK%K261=3.41E-13*EXP(800.2/TPK%T)
 TPK%K262=1.25E-12*EXP(180.2/TPK%T)
 TPK%K263=1.0E-15
 TPK%K264=3.41E-13*EXP(800.2/TPK%T)
 TPK%K265=1.2*1.64E+42/(TPK%T**11.4)*EXP(-9460/TPK%T)
 TPK%K266=6.32E-13*EXP(180.2/TPK%T)
 TPK%K267=1.0E-15
 TPK%K268=3.41E-13*EXP(800.2/TPK%T)
 TPK%K269=6.32E-13*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG26
!
SUBROUTINE SUBSRG27
!
!Indices 271 a 280
!
 TPK%K270=1.0E-15
 TPK%K271=3.41E-13*EXP(800.2/TPK%T)
 TPK%K272=4.14E-12*EXP(452.9/TPK%T)
 TPK%K273=1.86E-11*EXP(176.1/TPK%T)
 TPK%K274=1.72E-11
 TPK%K275=1.5E-12*EXP(-1726.2/TPK%T)
 TPK%K277=1.11E-11*EXP(180.2/TPK%T)
 TPK%K278=1.4E-12*EXP(-1897.3/TPK%T)
 TPK%K279=3.41E-13*EXP(800.2/TPK%T)/3.5
!
RETURN
END SUBROUTINE SUBSRG27
!
SUBROUTINE SUBSRG28
!
!Indices 281 a 290
!
 TPK%K280=1.0E-15
 TPK%K281=7.5E-16*EXP(-1519.9/TPK%T)
 TPK%K282=1.36E-15*EXP(-2113.7/TPK%T)
 TPK%K283=4.32E-12
 TPK%K284=6.34E-12
 TPK%K285=2.45E-12*EXP(180.2/TPK%T)
 TPK%K286=1.0E-15
 TPK%K287=3.41E-13*EXP(800.2/TPK%T)
 TPK%K288=1.11E-11*EXP(180.2/TPK%T)
 TPK%K289=3.41E-13*EXP(800.2/TPK%T)/3.5
!
RETURN
END SUBROUTINE SUBSRG28
!
SUBROUTINE SUBSRG29
!
!Indices 291 a 300
!
 TPK%K290=1.0E-15
 TPK%K291=2.45E-12*EXP(180.2/TPK%T)
 TPK%K292=3.41E-13*EXP(800.2/TPK%T)
 TPK%K293=1.0E-15
 TPK%K294=2.45E-12*EXP(180.2/TPK%T)
 TPK%K295=3.41E-13*EXP(800.2/TPK%T)
 TPK%K296=1.0E-15
 TPK%K297=2.91E-12*EXP(180.2/TPK%T)
 TPK%K298=3.41E-13*EXP(800.2/TPK%T)
 TPK%K299=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG29
!
SUBROUTINE SUBSRG30
!
!Indices 301 a 310
!
 TPK%K300=1.11E-11*EXP(180.2/TPK%T)
 TPK%K301=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K302=1.0E-15
 TPK%K303=1.29E-11
 TPK%K304=3.54E-11
 TPK%K305=1.72E-11
 TPK%K306=1.2940467E-11
 TPK%K307=3.0E-13*EXP(-1427/TPK%T)*3.54E-11/(6.91E-12*EXP(250/TPK%T))
 TPK%K309=1.11E-11*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG30
!
SUBROUTINE SUBSRG31
!
!Indices 311 a 320
!
 TPK%K310=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K311=1.0E-15
 TPK%K312=4.24E-11
 TPK%K313=3.0E-13*EXP(-1427/TPK%T)*4.24E-11/(6.91E-12*EXP(250/TPK%T))
 TPK%K315=1.11E-11*EXP(180.2/TPK%T)
 TPK%K316=TROE(1.,9.7E-29,5.6,9.3E-12,1.5,0.6,TPK%M,TPK%T,KVECNPT)
 TPK%K317=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K318=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K319=1.0E-15
!
RETURN
END SUBROUTINE SUBSRG31
!
SUBROUTINE SUBSRG32
!
!Indices 321 a 330
!
 TPK%K320=3.77E-12
 TPK%K321=2.30E-11*EXP(151.0/TPK%T)
 TPK%K322=1.29E-11
 TPK%K323=1.3918362E-10
 TPK%K324=1.145E-10
 TPK%K325=1.098E-10
 TPK%K326=1.964E-10
 TPK%K327=3.0E-13*EXP(-1427/TPK%T)*1.145E-10/(6.91E-12*EXP(250/TPK%T))
!
RETURN
END SUBROUTINE SUBSRG32
!
SUBROUTINE SUBSRG33
!
!Indices 331 a 340
!
 TPK%K331=1.11E-11*EXP(180.2/TPK%T)
 TPK%K332=3.41E-13*EXP(800.2/TPK%T)/3.5
 TPK%K333=1.0E-15
 TPK%K334=2.4131647E-10
 TPK%K335=2.1923330E-10
 TPK%K337=1.97E-10
 TPK%K338=1.4E-12*EXP(-1897.3/TPK%T)
 TPK%K340=1.11E-11*EXP(180.2/TPK%T)
!
RETURN
END SUBROUTINE SUBSRG33
!
SUBROUTINE SUBSRG34
!
!Indices 341 a 350
!
 TPK%K341=3.41E-13*EXP(800.2/TPK%T)
 TPK%K342=1.0E-15
 TPK%K343=TROE_EQUIL(9.7E-29,5.6,9.3E-12,1.5,1.16E+28,13954.,0.6,TPK%M,TPK%T,KV&
&ECNPT)
 TPK%K344=8.89E-13*EXP(180.2/TPK%T)
 TPK%K345=3.30E-12*exp(-(900.0/TPK%T))
 TPK%K346=1.00E-40
 TPK%K347=4.50E-13
 TPK%K348=6.00E-13
 TPK%K349=1.20E-12
 TPK%K350=1.00E-40
!
RETURN
END SUBROUTINE SUBSRG34
!
SUBROUTINE SUBSRG35
!
!Indices 351 a 360
!
 TPK%K351=1.00E-40
 TPK%K352=1.00E-40
 TPK%K353=1.00E-40
 TPK%K354=1.00E-40
 TPK%K355=1.00E-40
 TPK%K356=1.00E-40
 TPK%K357=1.00E-40
 TPK%K358=1.00E-40
 TPK%K359=1.00E-40
 TPK%K360=1.00E-40
!
RETURN
END SUBROUTINE SUBSRG35
!
SUBROUTINE SUBSRG36
!
!Indices 361 a 365
!
 TPK%K361=1.00E-40
 TPK%K362=1.00E-40
 TPK%K363=1.00E-40
 TPK%K364=1.00E-40
 TPK%K365=1.00E-40
!
RETURN
END SUBROUTINE SUBSRG36
!
SUBROUTINE SUBSRW0
!
!Indices 366 a 375
!
 TPK%KTC1=KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC2=KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC3=KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC4=KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC5=KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC6=KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC7=KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC8=KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC9=KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC10=KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
!
RETURN
END SUBROUTINE SUBSRW0
!
SUBROUTINE SUBSRW1
!
!Indices 376 a 385
!
 TPK%KTC11=KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC12=KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC13=KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC14=KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC15=KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC16=KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC17=KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC18=KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC19=KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC20=KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
!
RETURN
END SUBROUTINE SUBSRW1
!
SUBROUTINE SUBSRW2
!
!Indices 386 a 395
!
 TPK%KTC21=KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC22=KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC23=KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC24=KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC25=KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC26=KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC27=KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC28=KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC29=KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC30=KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
!
RETURN
END SUBROUTINE SUBSRW2
!
SUBROUTINE SUBSRW3
!
!Indices 396 a 405
!
 TPK%KTC31=KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)*TPK%LWC
 TPK%KTC32=KT(0.05,48.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.1e-2,-2830.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC33=KT(0.11,34.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(7.73e4,-7310.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC34=KT(0.0001,30.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.92e-3,-1790.,TPK%T,KV&
&ECNPT)*TPK%RCH*TPK%T)
 TPK%KTC35=KT(0.0015,46.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.4e-2,-2516.,TPK%T,KVE&
&CNPT)*TPK%RCH*TPK%T)
 TPK%KTC36=KT(0.05,62.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(3.8e-2,-8707.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC37=KT(0.0037,108.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(2.1e0,-3400.,TPK%T,KVE&
&CNPT)*TPK%RCH*TPK%T)
 TPK%KTC38=KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(5.0e1,-4880.,1.6e-3,1760.&
&,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC39=KT(0.054,63.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(2.1e5,-8700.,2.2e1,0.,0.&
&,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC40=KT(0.05,79.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(1.2e4,-6900.,1.26e-6,0.,0&
&.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW3
!
SUBROUTINE SUBSRW4
!
!Indices 406 a 415
!
 TPK%KTC41=KT(0.04,17.,TPK%T,TPK%RADC,KVECNPT)/(HEFFB(6.02e1,-4160.,1.7e-5,4350&
&.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC42=KT(0.05,17.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(3.9e1,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTC43=KT(0.2,30.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(6.9e2,-6643.,1.6e-5,0.,0.,&
&0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC44=KT(0.0002,44.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(3.4e-2,-2710.,4.3e-7,92&
&0.,4.7e-11,1780.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC45=KT(0.11,64.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(1.36,-2930.,1.3e-2,-1965.&
&,6.4e-8,-1430.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC46=KT(0.07,98.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(2.1e5,-8700.,1.0e3,0.,1.0&
&e-2,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC47=KT(0.05,47.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(2.7e0,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTC48=KT(0.05,75.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(7.5e1,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTC49=KT(0.027,32.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(2.2e2,-5210.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC50=KT(0.017,46.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.9e2,-6600.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW4
!
SUBROUTINE SUBSRW5
!
!Indices 416 a 425
!
 TPK%KTC51=KT(0.011,60.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.3e2,-7500.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC52=KT(0.04,30.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(3.23e3,-7100.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC53=KT(0.03,44.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(1.29e1,-5890.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTC54=KT(0.01,58.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(3.6e5,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTC55=KT(0.008,58.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(2.81e1,-5050.,TPK%T,KVEC&
&NPT)*TPK%RCH*TPK%T)
 TPK%KTC56=KT(0.0003,72.,TPK%T,TPK%RADC,KVECNPT)/(HENRY(3.7e3,0.,TPK%T,KVECNPT)&
&*TPK%RCH*TPK%T)
 TPK%KTC57=KT(0.023,46.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(8.9e3,-6100.,1.8e-4,150.&
&,0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC58=KT(0.032,60.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(4.1e3,-6200.,1.75e-5,0.,&
&0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC59=KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(5.7e3,0.,1.35e-5,0.,0.,0.&
&,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC60=KT(0.05,74.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(9.0e3,0.,3.2e-4,0.,0.,0.,&
&TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW5
!
SUBROUTINE SUBSRW6
!
!Indices 426 a 435
!
 TPK%KTC61=KT(0.05,88.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(3.11e5,-5090.,3.55e-3,0.,&
&0.,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTC62=KT(0.05,90.,TPK%T,TPK%RADC,KVECNPT)/(HEFFA(5.0e8,0.,5.6e-2,0.,5.4e-5&
&,0.,TPK%PHC,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR1=KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR2=KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR3=KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR4=KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR5=KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR6=KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR7=KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR8=KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
!
RETURN
END SUBROUTINE SUBSRW6
!
SUBROUTINE SUBSRW7
!
!Indices 436 a 445
!
 TPK%KTR9=KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR10=KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR11=KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR12=KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR13=KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR14=KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR15=KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR16=KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR17=KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR18=KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
!
RETURN
END SUBROUTINE SUBSRW7
!
SUBROUTINE SUBSRW8
!
!Indices 446 a 455
!
 TPK%KTR19=KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR20=KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR21=KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR22=KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR23=KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR24=KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR25=KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR26=KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR27=KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR28=KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
!
RETURN
END SUBROUTINE SUBSRW8
!
SUBROUTINE SUBSRW9
!
!Indices 456 a 465
!
 TPK%KTR29=KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR30=KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR31=KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)*TPK%LWR
 TPK%KTR32=KT(0.05,48.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.1e-2,-2830.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR33=KT(0.11,34.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(7.73e4,-7310.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR34=KT(0.0001,30.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.92e-3,-1790.,TPK%T,KV&
&ECNPT)*TPK%RCH*TPK%T)
 TPK%KTR35=KT(0.0015,46.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.4e-2,-2516.,TPK%T,KVE&
&CNPT)*TPK%RCH*TPK%T)
 TPK%KTR36=KT(0.05,62.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(3.8e-2,-8707.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR37=KT(0.0037,108.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(2.1e0,-3400.,TPK%T,KVE&
&CNPT)*TPK%RCH*TPK%T)
 TPK%KTR38=KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(5.0e1,-4880.,1.6e-3,1760.&
&,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW9
!
SUBROUTINE SUBSRW10
!
!Indices 466 a 475
!
 TPK%KTR39=KT(0.054,63.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(2.1e5,-8700.,2.2e1,0.,0.&
&,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR40=KT(0.05,79.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(1.2e4,-6900.,1.26e-6,0.,0&
&.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR41=KT(0.04,17.,TPK%T,TPK%RADR,KVECNPT)/(HEFFB(6.02e1,-4160.,1.7e-5,4350&
&.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR42=KT(0.05,17.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(3.9e1,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTR43=KT(0.2,30.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(6.9e2,-6643.,1.6e-5,0.,0.,&
&0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR44=KT(0.0002,44.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(3.4e-2,-2710.,4.3e-7,92&
&0.,4.7e-11,1780.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR45=KT(0.11,64.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(1.36,-2930.,1.3e-2,-1965.&
&,6.4e-8,-1430.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR46=KT(0.07,98.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(2.1e5,-8700.,1.0e3,0.,1.0&
&e-2,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR47=KT(0.05,47.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(2.7e0,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTR48=KT(0.05,75.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(7.5e1,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW10
!
SUBROUTINE SUBSRW11
!
!Indices 476 a 485
!
 TPK%KTR49=KT(0.027,32.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(2.2e2,-5210.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR50=KT(0.017,46.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.9e2,-6600.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR51=KT(0.011,60.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.3e2,-7500.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR52=KT(0.04,30.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(3.23e3,-7100.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR53=KT(0.03,44.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(1.29e1,-5890.,TPK%T,KVECN&
&PT)*TPK%RCH*TPK%T)
 TPK%KTR54=KT(0.01,58.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(3.6e5,0.,TPK%T,KVECNPT)*T&
&PK%RCH*TPK%T)
 TPK%KTR55=KT(0.008,58.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(2.81e1,-5050.,TPK%T,KVEC&
&NPT)*TPK%RCH*TPK%T)
 TPK%KTR56=KT(0.0003,72.,TPK%T,TPK%RADR,KVECNPT)/(HENRY(3.7e3,0.,TPK%T,KVECNPT)&
&*TPK%RCH*TPK%T)
 TPK%KTR57=KT(0.023,46.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(8.9e3,-6100.,1.8e-4,150.&
&,0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR58=KT(0.032,60.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(4.1e3,-6200.,1.75e-5,0.,&
&0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
!
RETURN
END SUBROUTINE SUBSRW11
!
SUBROUTINE SUBSRW12
!
!Indices 486 a 495
!
 TPK%KTR59=KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(5.7e3,0.,1.35e-5,0.,0.,0.&
&,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR60=KT(0.05,74.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(9.0e3,0.,3.2e-4,0.,0.,0.,&
&TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR61=KT(0.05,88.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(3.11e5,-5090.,3.55e-3,0.,&
&0.,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KTR62=KT(0.05,90.,TPK%T,TPK%RADR,KVECNPT)/(HEFFA(5.0e8,0.,5.6e-2,0.,5.4e-5&
&,0.,TPK%PHR,TPK%T,KVECNPT)*TPK%RCH*TPK%T)
 TPK%KC2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC3=((2.8E+10*10.**(-TPK%PHC)+3.5E+10*exp(-720.*(1./TPK%T-1./298.15))*1.6e&
&-5)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHC))**2.+9.6E+7&
&*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*1.6e-5)/(1.6e-5+10.**(-TPK%PH&
&C))**2.)/TPK%MOL2MOLECCLOUD
 TPK%KC6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5+10.**(-TPK%PHC&
&)))/TPK%MOL2MOLECCLOUD
!
RETURN
END SUBROUTINE SUBSRW12
!
SUBROUTINE SUBSRW13
!
!Indices 496 a 505
!
 TPK%KC7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-2&
&*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2&
&*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%M&
&OL2MOLECCLOUD
 TPK%KC8=(1.0E+10*10.**(-TPK%PHC)/(1.6e-3*exp(-1760.*(1./TPK%T-1./298.15))+10.*&
&*(-TPK%PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC9=((1.8E+9*10.**(-TPK%PHC)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-TPK%PHC)))/TPK%&
&MOL2MOLECCLOUD
 TPK%KC10=2.6E-2*10.**(-TPK%PHC)/(1.26e-6+10.**(-TPK%PHC))
 TPK%KC11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHC))
 TPK%KC12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHC))**2./&
&((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)&
&)+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.&
&)*(1.26e-6+10.**(-TPK%PHC))))/TPK%MOL2MOLECCLOUD
 TPK%KC14=1.0E+10
 TPK%KC15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK%PHC)+(10.**(-T&
&PK%PHC))**2.))/TPK%MOL2MOLECCLOUD
 TPK%KC16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1&
&./298.15))*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(&
&1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%&
&PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD
!
RETURN
END SUBROUTINE SUBSRW13
!
SUBROUTINE SUBSRW14
!
!Indices 506 a 515
!
 TPK%KC17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-&
&1./298.15))*10.**(-TPK%PHC)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.15))*1.3e-2*exp&
&(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/((1.3e-2*&
&exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*&
&exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.)*(1.+2.5&
&e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECCLOUD
 TPK%KC18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*EXP(-6716*(1./T&
&PK%T-1./298.15))/10.**(-TPK%PHC)
 TPK%KC19=3.0E+8/TPK%MOL2MOLECCLOUD
 TPK%KC20=1.1E+9
 TPK%KC21=(1.7E+9*10.**(-TPK%PHC)/(1.6e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)*10.**(&
&-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1&
&./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%&
&PHC))**2.))/TPK%MOL2MOLECCLOUD
 TPK%KC24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))
 TPK%KC25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-&
&1./298.15))*10.**(-TPK%PHC)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.15))*1.3e-2*exp&
&(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/(1.3e-2*e&
&xp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*e&
&xp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL&
&2MOLECCLOUD
 TPK%KC26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1&
&./298.15))*10.**(-TPK%PHC)*10.**(-TPK%PHC)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.&
&15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.&
&15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD
!
RETURN
END SUBROUTINE SUBSRW14
!
SUBROUTINE SUBSRW15
!
!Indices 516 a 525
!
 TPK%KC27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.3e-&
&2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-&
&2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%&
&MOL2MOLECCLOUD
 TPK%KC29=1.5E+8/TPK%MOL2MOLECCLOUD
 TPK%KC30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(4030.*(1./TPK%T-1.&
&/298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2MOLECCLOUD
 TPK%KC34=3.4E+9/TPK%MOL2MOLECCLOUD
 TPK%KC35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9e3))/TPK%MOL2MO&
&LECCLOUD
 TPK%KC36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.86e2))/TPK%MOL2&
&MOLECCLOUD
!
RETURN
END SUBROUTINE SUBSRW15
!
SUBROUTINE SUBSRW16
!
!Indices 526 a 535
!
 TPK%KC37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECCLOUD
 TPK%KC38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+3.4E+9*exp(&
&-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.15)))/(1.8e-4*ex&
&p(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+1.0E+8*exp(&
&-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHC)))/TPK%MOL2MOLEC&
&CLOUD
 TPK%KC40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(1.35e-5+10.&
&**(-TPK%PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35e-5+10.**(-TPK%&
&PHC)))/TPK%MOL2MOLECCLOUD
 TPK%KC42=((4.7E+7*10.**(-TPK%PHC)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/(5.6E-2*5.4E-5+&
&5.4E-5*10.**(-TPK%PHC)+(10.**(-TPK%PHC))**2.))/TPK%MOL2MOLECCLOUD
 TPK%KC43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)+7.0E+8*exp(&
&-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHC)))/TPK%MOL2MOLEC&
&CLOUD
 TPK%KC44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHC)/(10.**(-TPK%&
&PHC)+3.2E-4))/TPK%MOL2MOLECCLOUD
 TPK%KC45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**(-TPK%PHC)+3.2E&
&-4))/TPK%MOL2MOLECCLOUD
 TPK%KC46=1.6E+7/TPK%MOL2MOLECCLOUD
!
RETURN
END SUBROUTINE SUBSRW16
!
SUBROUTINE SUBSRW17
!
!Indices 536 a 545
!
 TPK%KR2=(3.6E+9*exp(-930.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR3=((2.8E+10*10.**(-TPK%PHR)+3.5E+10*exp(-720.*(1./TPK%T-1./298.15))*1.6e&
&-5)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN
 TPK%KR4=(3.2E+7*exp(-1700.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR5=((8.3E+5*exp(-2700.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHR))**2.+9.6E+7&
&*exp(-910.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*1.6e-5)/(1.6e-5+10.**(-TPK%PH&
&R))**2.)/TPK%MOL2MOLECRAIN
 TPK%KR6=(1.5E+9*exp(-1500.*(1./TPK%T-1./298.15))*1.6e-5/(1.6e-5+10.**(-TPK%PHR&
&)))/TPK%MOL2MOLECRAIN
 TPK%KR7=(2.7E+9*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-2&
&*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2&
&*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%M&
&OL2MOLECRAIN
 TPK%KR8=(1.0E+10*10.**(-TPK%PHR)/(1.6e-3*exp(-1760.*(1./TPK%T-1./298.15))+10.*&
&*(-TPK%PHR)))/TPK%MOL2MOLECRAIN
 TPK%KR9=((1.8E+9*10.**(-TPK%PHR)+4.5E+9*1.6e-5)/(1.6e-5+10.**(-TPK%PHR)))/TPK%&
&MOL2MOLECRAIN
 TPK%KR10=2.6E-2*10.**(-TPK%PHR)/(1.26e-6+10.**(-TPK%PHR))
!
RETURN
END SUBROUTINE SUBSRW17
!
SUBROUTINE SUBSRW18
!
!Indices 546 a 555
!
 TPK%KR11=1.1E0*1.26e-6/(1.26e-6+10.**(-TPK%PHR))
 TPK%KR12=(3.3E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*(10.**(-TPK%PHR))**2./&
&((1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)&
&)+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.&
&)*(1.26e-6+10.**(-TPK%PHR))))/TPK%MOL2MOLECRAIN
 TPK%KR14=1.0E+10
 TPK%KR15=(1.0E+5*1.0e+3*1.0e-2/(1.0e+3*1.0e-2+1.0e+3*10.**(-TPK%PHR)+(10.**(-T&
&PK%PHR))**2.))/TPK%MOL2MOLECRAIN
 TPK%KR16=(1.3E+9*exp(-2200.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1&
&./298.15))*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(&
&1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%&
&PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN
 TPK%KR17=((7.9E+2*exp(-2900.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-&
&1./298.15))*10.**(-TPK%PHR)+2.5E+7*exp(-2450.*(1./TPK%T-1./298.15))*1.3e-2*exp&
&(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/((1.3e-2*&
&exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*&
&exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.)*(1.+2.5&
&e3*exp(4030.*(1./TPK%T-1./298.15)))))/TPK%MOL2MOLECRAIN
 TPK%KR18=7.7E-3*exp(-9200.*(1./TPK%T-1./298.15))+3.7E+3*1.e-14*EXP(-6716*(1./T&
&PK%T-1./298.15))/10.**(-TPK%PHR)
 TPK%KR19=3.0E+8/TPK%MOL2MOLECRAIN
 TPK%KR20=1.1E+9
!
RETURN
END SUBROUTINE SUBSRW18
!
SUBROUTINE SUBSRW19
!
!Indices 556 a 565
!
 TPK%KR21=(1.7E+9*10.**(-TPK%PHR)/(1.6e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN
 TPK%KR22=(2.2E+8*exp(-2600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR23=(7.1E+6*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)*10.**(&
&-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1&
&./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%&
&PHR))**2.))/TPK%MOL2MOLECRAIN
 TPK%KR24=4.6E+2*exp(-1100.*(1./TPK%T-1./298.15))
 TPK%KR25=((3.7E+5*exp(-5500.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-&
&1./298.15))*10.**(-TPK%PHR)+1.5E+9*exp(-5300.*(1./TPK%T-1./298.15))*1.3e-2*exp&
&(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15)))/(1.3e-2*e&
&xp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*e&
&xp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL&
&2MOLECRAIN
 TPK%KR26=(9.1E+7*exp(-3600.*(1./TPK%T-1./298.15))*1.3e-2*exp(1965.*(1./TPK%T-1&
&./298.15))*10.**(-TPK%PHR)*10.**(-TPK%PHR)/(1.3e-2*exp(1965.*(1./TPK%T-1./298.&
&15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-2*exp(1965.*(1./TPK%T-1./298.&
&15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN
 TPK%KR27=(1.7E+8*exp(-2200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR28=(5.0E+5*1.3e-2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.3e-&
&2*exp(1965.*(1./TPK%T-1./298.15))*6.4e-8*exp(1430.*(1./TPK%T-1./298.15))+1.3e-&
&2*exp(1965.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%&
&MOL2MOLECRAIN
 TPK%KR29=1.5E+8/TPK%MOL2MOLECRAIN
 TPK%KR30=(1.7E+9*exp(-600.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
!
RETURN
END SUBROUTINE SUBSRW19
!
SUBROUTINE SUBSRW20
!
!Indices 566 a 575
!
 TPK%KR31=(2.1E+9*exp(-1200.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR32=(3.3E+9*exp(-1000.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR33=(7.8E+8*exp(-1000.*(1./TPK%T-1./298.15))*2.5e3*exp(4030.*(1./TPK%T-1.&
&/298.15))/(1.+2.5e3*exp(4030.*(1./TPK%T-1./298.15))))/TPK%MOL2MOLECRAIN
 TPK%KR34=3.4E+9/TPK%MOL2MOLECRAIN
 TPK%KR35=(1.1E+9*exp(-1500.*(1./TPK%T-1./298.15))*3.9e3/(1.+3.9e3))/TPK%MOL2MO&
&LECRAIN
 TPK%KR36=(7.9E+8*exp(-1600.*(1./TPK%T-1./298.15))*4.86e2/(1.+4.86e2))/TPK%MOL2&
&MOLECRAIN
 TPK%KR37=(8.9E+8*exp(-1400.*(1./TPK%T-1./298.15)))/TPK%MOL2MOLECRAIN
 TPK%KR38=((1.0E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+3.4E+9*exp(&
&-1200.*(1./TPK%T-1./298.15))*1.8e-4*exp(150.*(1./TPK%T-1./298.15)))/(1.8e-4*ex&
&p(150.*(1./TPK%T-1./298.15))+10.**(-TPK%PHR)))/TPK%MOL2MOLECRAIN
 TPK%KR39=((1.5E+7*exp(-1300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+1.0E+8*exp(&
&-1800.*(1./TPK%T-1./298.15))*1.75e-5)/(1.75e-5+10.**(-TPK%PHR)))/TPK%MOL2MOLEC&
&RAIN
 TPK%KR40=(3.2E+8*exp(-2300.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(1.35e-5+10.&
&**(-TPK%PHR)))/TPK%MOL2MOLECRAIN
!
RETURN
END SUBROUTINE SUBSRW20
!
SUBROUTINE SUBSRW21
!
!Indices 576 a 581
!
 TPK%KR41=(7.3E+8*exp(-1800.*(1./TPK%T-1./298.15))*1.35e-5/(1.35e-5+10.**(-TPK%&
&PHR)))/TPK%MOL2MOLECRAIN
 TPK%KR42=((4.7E+7*10.**(-TPK%PHR)*5.6E-2+7.7E+6*5.6E-2*5.4e-5)/(5.6E-2*5.4E-5+&
&5.4E-5*10.**(-TPK%PHR)+(10.**(-TPK%PHR))**2.))/TPK%MOL2MOLECRAIN
 TPK%KR43=((1.2E+8*exp(-2800.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)+7.0E+8*exp(&
&-2300.*(1./TPK%T-1./298.15))*3.55E-3)/(3.55E-3+10.**(-TPK%PHR)))/TPK%MOL2MOLEC&
&RAIN
 TPK%KR44=(3.6E+8*exp(-1000.*(1./TPK%T-1./298.15))*10.**(-TPK%PHR)/(10.**(-TPK%&
&PHR)+3.2E-4))/TPK%MOL2MOLECRAIN
 TPK%KR45=(2.6E+9*exp(-4300.*(1./TPK%T-1./298.15))*3.2E-4/(10.**(-TPK%PHR)+3.2E&
&-4))/TPK%MOL2MOLECRAIN
 TPK%KR46=1.6E+7/TPK%MOL2MOLECRAIN
!
RETURN
END SUBROUTINE SUBSRW21
!
END SUBROUTINE CH_SET_RATES
!
!
!========================================================================
!
!!    ##############################
      MODULE MODI_CH_SET_PHOTO_RATES
!!    ##############################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_SET_PHOTO_RATES(PTIME,PCONC,KL,TPM,KMI,KOUT,KVERB,KVECNPT,KVECMASK,KEQ,PJVALUES)
USE MODD_CH_M9_n, ONLY: METEOTRANSTYPE
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT,KL,KEQ,KMI
INTEGER, DIMENSION(:,:), INTENT(IN)              :: KVECMASK
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
TYPE(METEOTRANSTYPE), DIMENSION(KVECNPT), INTENT(IN) :: TPM
INTEGER, INTENT(IN)                              :: KOUT,KVERB
REAL,DIMENSION(:,:,:,:), INTENT(IN) :: PJVALUES    ! Tuv coefficient
END SUBROUTINE CH_SET_PHOTO_RATES
END INTERFACE
END MODULE MODI_CH_SET_PHOTO_RATES
!
!========================================================================
!
!!    #############################################################
      SUBROUTINE CH_SET_PHOTO_RATES(PTIME,PCONC,KL,TPM,KMI,KOUT,KVERB,KVECNPT,KVECMASK,KEQ,PJVALUES)
!!    #############################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *MODD_CH_SET_PHOTO_RATES*
!!
!!    PURPOSE
!!    -------
!       set or calculate photolysis rates
!!
!!**  METHOD
!!    ------
!!      simple
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 29/03/01: Vectorization + nesting (C. Mari)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
USE MODD_CH_M9_n,        ONLY : METEOTRANSTYPE
USE MODI_CH_ALLOCATE_TACCS
!     USER DEFINED FUNCTIONS
USE MODI_KT
USE MODI_TROE
USE MODI_TROE_KA
USE MODI_TROE_KB
USE MODI_HENRY
USE MODI_TROE_EQUIL
USE MODI_HEFFA
USE MODI_HEFFB
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                              :: PTIME
INTEGER, INTENT(IN)                              :: KVECNPT,KL,KEQ,KMI
INTEGER, DIMENSION(:,:), INTENT(IN)              :: KVECMASK
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)     :: PCONC
TYPE(METEOTRANSTYPE), DIMENSION(KVECNPT), INTENT(IN) :: TPM
INTEGER, INTENT(IN)                              :: KOUT,KVERB
REAL,DIMENSION(:,:,:,:), INTENT(IN) :: PJVALUES    ! Tuv coefficient
!!
! /BEGIN_SET_PHOTO_RATES/
! parameter for use by subroutine JVALUES,
! contains the actual photolysis rates
REAL, DIMENSION(KVECNPT,42) :: ZRATESIO ! TUV photolysis rates at one level
REAL, DIMENSION(KVECNPT,25) :: ZRATES   ! photolysis rates of ReLACS3 (vector)
INTEGER                     :: JITPK    ! loop counter for J-Value transfer
INTEGER                     :: IDTI,IDTJ
INTEGER                     :: JITPKPLUS
INTEGER, DIMENSION(KVECNPT) :: ITABI, ITABJ
INTEGER, DIMENSION(KVECNPT) :: IMODELLEVEL
TYPE(CCSTYPE), POINTER      :: TPK
!
! Normally allocated in CH_SET_RATES but who knows ?
IF (.NOT. ASSOCIATED(TACCS(KMI)%NVERB)) THEN
  CALL CH_ALLOCATE_TACCS(KMI, KVECNPT)
END IF
!
! TPK is set for current model 
TPK=>TACCS(KMI)
!
! calculation of photolysis rates and transfer into local variables 
! 
IDTI=KVECMASK(2,KL)-KVECMASK(1,KL)+1 
IDTJ=KVECMASK(4,KL)-KVECMASK(3,KL)+1 
DO JITPK = 0, KVECNPT-1 
! 
  JITPKPLUS=JITPK+1 
  ITABI(JITPKPLUS)=JITPK-IDTI*(JITPK/IDTI)+KVECMASK(1,KL) 
  ITABJ(JITPKPLUS)=JITPK/IDTI-IDTJ*(JITPK/(IDTI*IDTJ))+KVECMASK(3,KL) 
! 
! modification for VPP optimization
  ZRATESIO(JITPK+1,:) = PJVALUES(ITABI(JITPKPLUS),ITABJ(JITPKPLUS),TPK%MODELLEVEL(JITPK+1),:)
ENDDO 
! 
! 
DO JITPK = 0, KVECNPT-1 
! 
! associate TUV J-Values to CACM J-Values 
! update 03/2018 new TUV version and new data availables
!
  ZRATES(JITPK+1, 1) = ZRATESIO(JITPK+1,5)
  ZRATES(JITPK+1, 2) = ZRATESIO(JITPK+1,2)
  ZRATES(JITPK+1, 3) = ZRATESIO(JITPK+1,3)
  ZRATES(JITPK+1, 4) = ZRATESIO(JITPK+1,8)
  ZRATES(JITPK+1, 7) = ZRATESIO(JITPK+1,6)
  ZRATES(JITPK+1, 8) = ZRATESIO(JITPK+1,7)
  ZRATES(JITPK+1, 9) = ZRATESIO(JITPK+1,4)
  ZRATES(JITPK+1, 10) = ZRATESIO(JITPK+1,12)
  ZRATES(JITPK+1, 11) = ZRATESIO(JITPK+1,11)
! ALD2 data available for propionaldehyde
  ZRATES(JITPK+1, 12) = ZRATESIO(JITPK+1,16)
! KETH use data for 2-pentanone
  ZRATES(JITPK+1, 16) = ZRATESIO(JITPK+1,39)
! MGLY use data for methylglyoxal
  ZRATES(JITPK+1, 19) = ZRATESIO(JITPK+1,37)
  ZRATES(JITPK+1, 23) = ZRATESIO(JITPK+1,39)
! 
! aqueous phase photolysis
  ZRATES(JITPK+1, 24) = ZRATESIO(JITPK+1,41)
  ZRATES(JITPK+1, 25) = ZRATESIO(JITPK+1,42)
!
END DO 
!
! /END_SET_PHOTO_RATES/
 TPK%K001=ZRATES(:,001)
 TPK%K013=ZRATES(:,007)
 TPK%K014=ZRATES(:,008)
 TPK%K015=ZRATES(:,003)
 TPK%K016=ZRATES(:,002)
 TPK%K020=ZRATES(:,004)
 TPK%K036=ZRATES(:,009)
 TPK%K044=ZRATES(:,011)
 TPK%K045=ZRATES(:,010)
 TPK%K059=ZRATES(:,012)
 TPK%K063=ZRATES(:,023)
 TPK%K071=ZRATES(:,016)
 TPK%K276=ZRATES(:,019)
 TPK%K308=ZRATES(:,012)
 TPK%K314=ZRATES(:,012)
 TPK%K328=ZRATES(:,012)
 TPK%K329=ZRATES(:,012)
 TPK%K330=ZRATES(:,012)
 TPK%K339=ZRATES(:,019)
IF (TPK%LUSECHAQ) THEN
 TPK%KC1=ZRATES(:,024)
 TPK%KC13=ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHC))
 TPK%KR1=ZRATES(:,024)
 TPK%KR13=ZRATES(:,025)*2.2e+1/(2.2e+1+10.**(-TPK%PHR))
END IF
TPK%NOUT  = KOUT
TPK%NVERB = KVERB
RETURN
END SUBROUTINE CH_SET_PHOTO_RATES
!
!
!========================================================================
!
!!    ########################
      MODULE MODI_CH_GET_RATES
!!    ########################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
INTERFACE
SUBROUTINE CH_GET_RATES(PRATE,KMI,KVECNPT,KREAC)
IMPLICIT NONE
INTEGER, INTENT(IN)                         :: KVECNPT
INTEGER, INTENT(IN)                         :: KREAC
REAL, INTENT(OUT), DIMENSION(KVECNPT,KREAC) :: PRATE
INTEGER, INTENT(IN)                         :: KMI
END SUBROUTINE CH_GET_RATES
END INTERFACE
END MODULE MODI_CH_GET_RATES
!
!========================================================================
!
!!    ############################################
      SUBROUTINE CH_GET_RATES(PRATE,KMI,KVECNPT,KREAC)
!!    ############################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_GETRATES*
!!
!!    PURPOSE
!!    -------
!       retrieve reaction rates from TPK in an array
!!
!!**  METHOD
!!    ------
!!      simple
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)                         :: KVECNPT
INTEGER, INTENT(IN)                         :: KREAC
REAL, INTENT(OUT), DIMENSION(KVECNPT,KREAC) :: PRATE
INTEGER, INTENT(IN)                         :: KMI
!!
!!    LOCAL VARIABLES
!!    ---------------
TYPE(CCSTYPE), POINTER                      :: TPK
!!----------------------------------------------------------------------
!!
!!    EXECUTABLE STATEMENTS
!!    ---------------------
TPK=>TACCS(KMI)
!!
PRATE(:,1) = TPK%K001(:)
PRATE(:,2) = TPK%K002(:)
PRATE(:,3) = TPK%K003(:)
PRATE(:,4) = TPK%K004(:)
PRATE(:,5) = TPK%K005(:)
PRATE(:,6) = TPK%K006(:)
PRATE(:,7) = TPK%K007(:)
PRATE(:,8) = TPK%K008(:)
PRATE(:,9) = TPK%K009(:)
PRATE(:,10) = TPK%K010(:)
PRATE(:,11) = TPK%K011(:)
PRATE(:,12) = TPK%K012(:)
PRATE(:,13) = TPK%K013(:)
PRATE(:,14) = TPK%K014(:)
PRATE(:,15) = TPK%K015(:)
PRATE(:,16) = TPK%K016(:)
PRATE(:,17) = TPK%K017(:)
PRATE(:,18) = TPK%K018A(:)
PRATE(:,19) = TPK%K018B(:)
PRATE(:,20) = TPK%K019(:)
PRATE(:,21) = TPK%K020(:)
PRATE(:,22) = TPK%K021(:)
PRATE(:,23) = TPK%K022(:)
PRATE(:,24) = TPK%K023(:)
PRATE(:,25) = TPK%K024(:)
PRATE(:,26) = TPK%K025(:)
PRATE(:,27) = TPK%K026(:)
PRATE(:,28) = TPK%K027(:)
PRATE(:,29) = TPK%K028(:)
PRATE(:,30) = TPK%K029(:)
PRATE(:,31) = TPK%K030(:)
PRATE(:,32) = TPK%K031(:)
PRATE(:,33) = TPK%K032(:)
PRATE(:,34) = TPK%K033(:)
PRATE(:,35) = TPK%K034(:)
PRATE(:,36) = TPK%K035(:)
PRATE(:,37) = TPK%K036(:)
PRATE(:,38) = TPK%K037(:)
PRATE(:,39) = TPK%K038(:)
PRATE(:,40) = TPK%K039(:)
PRATE(:,41) = TPK%K040(:)
PRATE(:,42) = TPK%K041(:)
PRATE(:,43) = TPK%K042(:)
PRATE(:,44) = TPK%K043(:)
PRATE(:,45) = TPK%K044(:)
PRATE(:,46) = TPK%K045(:)
PRATE(:,47) = TPK%K046(:)
PRATE(:,48) = TPK%K047(:)
PRATE(:,49) = TPK%K048(:)
PRATE(:,50) = TPK%K049(:)
PRATE(:,51) = TPK%K050(:)
PRATE(:,52) = TPK%K051(:)
PRATE(:,53) = TPK%K052(:)
PRATE(:,54) = TPK%K053(:)
PRATE(:,55) = TPK%K054(:)
PRATE(:,56) = TPK%K055(:)
PRATE(:,57) = TPK%K056(:)
PRATE(:,58) = TPK%K057(:)
PRATE(:,59) = TPK%K058(:)
PRATE(:,60) = TPK%K059(:)
PRATE(:,61) = TPK%K060(:)
PRATE(:,62) = TPK%K061(:)
PRATE(:,63) = TPK%K062(:)
PRATE(:,64) = TPK%K063(:)
PRATE(:,65) = TPK%K064(:)
PRATE(:,66) = TPK%K065(:)
PRATE(:,67) = TPK%K066(:)
PRATE(:,68) = TPK%K067(:)
PRATE(:,69) = TPK%K068(:)
PRATE(:,70) = TPK%K069(:)
PRATE(:,71) = TPK%K070(:)
PRATE(:,72) = TPK%K071(:)
PRATE(:,73) = TPK%K072(:)
PRATE(:,74) = TPK%K073(:)
PRATE(:,75) = TPK%K074(:)
PRATE(:,76) = TPK%K075(:)
PRATE(:,77) = TPK%K076(:)
PRATE(:,78) = TPK%K077(:)
PRATE(:,79) = TPK%K078(:)
PRATE(:,80) = TPK%K079(:)
PRATE(:,81) = TPK%K080(:)
PRATE(:,82) = TPK%K081(:)
PRATE(:,83) = TPK%K082(:)
PRATE(:,84) = TPK%K083(:)
PRATE(:,85) = TPK%K084(:)
PRATE(:,86) = TPK%K085(:)
PRATE(:,87) = TPK%K086(:)
PRATE(:,88) = TPK%K087(:)
PRATE(:,89) = TPK%K088(:)
PRATE(:,90) = TPK%K089(:)
PRATE(:,91) = TPK%K090(:)
PRATE(:,92) = TPK%K091(:)
PRATE(:,93) = TPK%K092(:)
PRATE(:,94) = TPK%K093(:)
PRATE(:,95) = TPK%K094(:)
PRATE(:,96) = TPK%K095(:)
PRATE(:,97) = TPK%K096(:)
PRATE(:,98) = TPK%K097(:)
PRATE(:,99) = TPK%K098(:)
PRATE(:,100) = TPK%K099(:)
PRATE(:,101) = TPK%K100(:)
PRATE(:,102) = TPK%K101(:)
PRATE(:,103) = TPK%K102(:)
PRATE(:,104) = TPK%K103(:)
PRATE(:,105) = TPK%K104(:)
PRATE(:,106) = TPK%K105(:)
PRATE(:,107) = TPK%K106(:)
PRATE(:,108) = TPK%K107(:)
PRATE(:,109) = TPK%K108(:)
PRATE(:,110) = TPK%K109(:)
PRATE(:,111) = TPK%K110(:)
PRATE(:,112) = TPK%K111(:)
PRATE(:,113) = TPK%K112(:)
PRATE(:,114) = TPK%K113(:)
PRATE(:,115) = TPK%K114(:)
PRATE(:,116) = TPK%K115(:)
PRATE(:,117) = TPK%K116(:)
PRATE(:,118) = TPK%K117(:)
PRATE(:,119) = TPK%K118(:)
PRATE(:,120) = TPK%K119(:)
PRATE(:,121) = TPK%K120(:)
PRATE(:,122) = TPK%K121(:)
PRATE(:,123) = TPK%K122(:)
PRATE(:,124) = TPK%K123(:)
PRATE(:,125) = TPK%K124(:)
PRATE(:,126) = TPK%K125(:)
PRATE(:,127) = TPK%K126(:)
PRATE(:,128) = TPK%K127(:)
PRATE(:,129) = TPK%K128(:)
PRATE(:,130) = TPK%K129(:)
PRATE(:,131) = TPK%K130(:)
PRATE(:,132) = TPK%K131(:)
PRATE(:,133) = TPK%K132(:)
PRATE(:,134) = TPK%K133(:)
PRATE(:,135) = TPK%K134(:)
PRATE(:,136) = TPK%K135(:)
PRATE(:,137) = TPK%K136(:)
PRATE(:,138) = TPK%K137(:)
PRATE(:,139) = TPK%K138(:)
PRATE(:,140) = TPK%K139(:)
PRATE(:,141) = TPK%K140(:)
PRATE(:,142) = TPK%K141(:)
PRATE(:,143) = TPK%K142(:)
PRATE(:,144) = TPK%K143(:)
PRATE(:,145) = TPK%K144(:)
PRATE(:,146) = TPK%K145(:)
PRATE(:,147) = TPK%K146(:)
PRATE(:,148) = TPK%K147(:)
PRATE(:,149) = TPK%K148(:)
PRATE(:,150) = TPK%K149(:)
PRATE(:,151) = TPK%K150(:)
PRATE(:,152) = TPK%K151(:)
PRATE(:,153) = TPK%K152(:)
PRATE(:,154) = TPK%K153(:)
PRATE(:,155) = TPK%K154(:)
PRATE(:,156) = TPK%K155(:)
PRATE(:,157) = TPK%K156(:)
PRATE(:,158) = TPK%K157(:)
PRATE(:,159) = TPK%K158(:)
PRATE(:,160) = TPK%K159(:)
PRATE(:,161) = TPK%K160(:)
PRATE(:,162) = TPK%K161(:)
PRATE(:,163) = TPK%K162(:)
PRATE(:,164) = TPK%K163(:)
PRATE(:,165) = TPK%K164(:)
PRATE(:,166) = TPK%K165(:)
PRATE(:,167) = TPK%K166(:)
PRATE(:,168) = TPK%K167(:)
PRATE(:,169) = TPK%K168(:)
PRATE(:,170) = TPK%K169(:)
PRATE(:,171) = TPK%K170(:)
PRATE(:,172) = TPK%K171(:)
PRATE(:,173) = TPK%K172(:)
PRATE(:,174) = TPK%K173(:)
PRATE(:,175) = TPK%K174(:)
PRATE(:,176) = TPK%K175(:)
PRATE(:,177) = TPK%K176(:)
PRATE(:,178) = TPK%K177(:)
PRATE(:,179) = TPK%K178(:)
PRATE(:,180) = TPK%K179(:)
PRATE(:,181) = TPK%K180(:)
PRATE(:,182) = TPK%K181(:)
PRATE(:,183) = TPK%K182(:)
PRATE(:,184) = TPK%K183(:)
PRATE(:,185) = TPK%K184(:)
PRATE(:,186) = TPK%K185(:)
PRATE(:,187) = TPK%K186(:)
PRATE(:,188) = TPK%K187(:)
PRATE(:,189) = TPK%K188(:)
PRATE(:,190) = TPK%K189(:)
PRATE(:,191) = TPK%K190(:)
PRATE(:,192) = TPK%K191(:)
PRATE(:,193) = TPK%K192(:)
PRATE(:,194) = TPK%K193(:)
PRATE(:,195) = TPK%K194(:)
PRATE(:,196) = TPK%K195(:)
PRATE(:,197) = TPK%K196(:)
PRATE(:,198) = TPK%K197(:)
PRATE(:,199) = TPK%K198(:)
PRATE(:,200) = TPK%K199(:)
PRATE(:,201) = TPK%K200(:)
PRATE(:,202) = TPK%K201(:)
PRATE(:,203) = TPK%K202(:)
PRATE(:,204) = TPK%K203(:)
PRATE(:,205) = TPK%K204(:)
PRATE(:,206) = TPK%K205(:)
PRATE(:,207) = TPK%K206(:)
PRATE(:,208) = TPK%K207(:)
PRATE(:,209) = TPK%K208(:)
PRATE(:,210) = TPK%K209(:)
PRATE(:,211) = TPK%K210(:)
PRATE(:,212) = TPK%K211(:)
PRATE(:,213) = TPK%K212(:)
PRATE(:,214) = TPK%K213(:)
PRATE(:,215) = TPK%K214(:)
PRATE(:,216) = TPK%K215(:)
PRATE(:,217) = TPK%K216(:)
PRATE(:,218) = TPK%K217(:)
PRATE(:,219) = TPK%K218(:)
PRATE(:,220) = TPK%K219(:)
PRATE(:,221) = TPK%K220(:)
PRATE(:,222) = TPK%K221(:)
PRATE(:,223) = TPK%K222(:)
PRATE(:,224) = TPK%K223(:)
PRATE(:,225) = TPK%K224(:)
PRATE(:,226) = TPK%K225(:)
PRATE(:,227) = TPK%K226(:)
PRATE(:,228) = TPK%K227(:)
PRATE(:,229) = TPK%K228(:)
PRATE(:,230) = TPK%K229(:)
PRATE(:,231) = TPK%K230(:)
PRATE(:,232) = TPK%K231(:)
PRATE(:,233) = TPK%K232(:)
PRATE(:,234) = TPK%K233(:)
PRATE(:,235) = TPK%K234(:)
PRATE(:,236) = TPK%K235(:)
PRATE(:,237) = TPK%K236(:)
PRATE(:,238) = TPK%K237(:)
PRATE(:,239) = TPK%K238(:)
PRATE(:,240) = TPK%K239(:)
PRATE(:,241) = TPK%K240(:)
PRATE(:,242) = TPK%K241(:)
PRATE(:,243) = TPK%K242(:)
PRATE(:,244) = TPK%K243(:)
PRATE(:,245) = TPK%K244(:)
PRATE(:,246) = TPK%K245(:)
PRATE(:,247) = TPK%K246(:)
PRATE(:,248) = TPK%K247(:)
PRATE(:,249) = TPK%K248(:)
PRATE(:,250) = TPK%K249(:)
PRATE(:,251) = TPK%K250(:)
PRATE(:,252) = TPK%K251(:)
PRATE(:,253) = TPK%K252(:)
PRATE(:,254) = TPK%K253(:)
PRATE(:,255) = TPK%K254(:)
PRATE(:,256) = TPK%K255(:)
PRATE(:,257) = TPK%K256(:)
PRATE(:,258) = TPK%K257(:)
PRATE(:,259) = TPK%K258(:)
PRATE(:,260) = TPK%K259(:)
PRATE(:,261) = TPK%K260(:)
PRATE(:,262) = TPK%K261(:)
PRATE(:,263) = TPK%K262(:)
PRATE(:,264) = TPK%K263(:)
PRATE(:,265) = TPK%K264(:)
PRATE(:,266) = TPK%K265(:)
PRATE(:,267) = TPK%K266(:)
PRATE(:,268) = TPK%K267(:)
PRATE(:,269) = TPK%K268(:)
PRATE(:,270) = TPK%K269(:)
PRATE(:,271) = TPK%K270(:)
PRATE(:,272) = TPK%K271(:)
PRATE(:,273) = TPK%K272(:)
PRATE(:,274) = TPK%K273(:)
PRATE(:,275) = TPK%K274(:)
PRATE(:,276) = TPK%K275(:)
PRATE(:,277) = TPK%K276(:)
PRATE(:,278) = TPK%K277(:)
PRATE(:,279) = TPK%K278(:)
PRATE(:,280) = TPK%K279(:)
PRATE(:,281) = TPK%K280(:)
PRATE(:,282) = TPK%K281(:)
PRATE(:,283) = TPK%K282(:)
PRATE(:,284) = TPK%K283(:)
PRATE(:,285) = TPK%K284(:)
PRATE(:,286) = TPK%K285(:)
PRATE(:,287) = TPK%K286(:)
PRATE(:,288) = TPK%K287(:)
PRATE(:,289) = TPK%K288(:)
PRATE(:,290) = TPK%K289(:)
PRATE(:,291) = TPK%K290(:)
PRATE(:,292) = TPK%K291(:)
PRATE(:,293) = TPK%K292(:)
PRATE(:,294) = TPK%K293(:)
PRATE(:,295) = TPK%K294(:)
PRATE(:,296) = TPK%K295(:)
PRATE(:,297) = TPK%K296(:)
PRATE(:,298) = TPK%K297(:)
PRATE(:,299) = TPK%K298(:)
PRATE(:,300) = TPK%K299(:)
PRATE(:,301) = TPK%K300(:)
PRATE(:,302) = TPK%K301(:)
PRATE(:,303) = TPK%K302(:)
PRATE(:,304) = TPK%K303(:)
PRATE(:,305) = TPK%K304(:)
PRATE(:,306) = TPK%K305(:)
PRATE(:,307) = TPK%K306(:)
PRATE(:,308) = TPK%K307(:)
PRATE(:,309) = TPK%K308(:)
PRATE(:,310) = TPK%K309(:)
PRATE(:,311) = TPK%K310(:)
PRATE(:,312) = TPK%K311(:)
PRATE(:,313) = TPK%K312(:)
PRATE(:,314) = TPK%K313(:)
PRATE(:,315) = TPK%K314(:)
PRATE(:,316) = TPK%K315(:)
PRATE(:,317) = TPK%K316(:)
PRATE(:,318) = TPK%K317(:)
PRATE(:,319) = TPK%K318(:)
PRATE(:,320) = TPK%K319(:)
PRATE(:,321) = TPK%K320(:)
PRATE(:,322) = TPK%K321(:)
PRATE(:,323) = TPK%K322(:)
PRATE(:,324) = TPK%K323(:)
PRATE(:,325) = TPK%K324(:)
PRATE(:,326) = TPK%K325(:)
PRATE(:,327) = TPK%K326(:)
PRATE(:,328) = TPK%K327(:)
PRATE(:,329) = TPK%K328(:)
PRATE(:,330) = TPK%K329(:)
PRATE(:,331) = TPK%K330(:)
PRATE(:,332) = TPK%K331(:)
PRATE(:,333) = TPK%K332(:)
PRATE(:,334) = TPK%K333(:)
PRATE(:,335) = TPK%K334(:)
PRATE(:,336) = TPK%K335(:)
PRATE(:,337) = TPK%K337(:)
PRATE(:,338) = TPK%K338(:)
PRATE(:,339) = TPK%K339(:)
PRATE(:,340) = TPK%K340(:)
PRATE(:,341) = TPK%K341(:)
PRATE(:,342) = TPK%K342(:)
PRATE(:,343) = TPK%K343(:)
PRATE(:,344) = TPK%K344(:)
PRATE(:,345) = TPK%K345(:)
PRATE(:,346) = TPK%K346(:)
PRATE(:,347) = TPK%K347(:)
PRATE(:,348) = TPK%K348(:)
PRATE(:,349) = TPK%K349(:)
PRATE(:,350) = TPK%K350(:)
PRATE(:,351) = TPK%K351(:)
PRATE(:,352) = TPK%K352(:)
PRATE(:,353) = TPK%K353(:)
PRATE(:,354) = TPK%K354(:)
PRATE(:,355) = TPK%K355(:)
PRATE(:,356) = TPK%K356(:)
PRATE(:,357) = TPK%K357(:)
PRATE(:,358) = TPK%K358(:)
PRATE(:,359) = TPK%K359(:)
PRATE(:,360) = TPK%K360(:)
PRATE(:,361) = TPK%K361(:)
PRATE(:,362) = TPK%K362(:)
PRATE(:,363) = TPK%K363(:)
PRATE(:,364) = TPK%K364(:)
PRATE(:,365) = TPK%K365(:)
IF (TPK%LUSECHAQ) THEN
  PRATE(:,366) = TPK%KTC1(:)
  PRATE(:,367) = TPK%KTC2(:)
  PRATE(:,368) = TPK%KTC3(:)
  PRATE(:,369) = TPK%KTC4(:)
  PRATE(:,370) = TPK%KTC5(:)
  PRATE(:,371) = TPK%KTC6(:)
  PRATE(:,372) = TPK%KTC7(:)
  PRATE(:,373) = TPK%KTC8(:)
  PRATE(:,374) = TPK%KTC9(:)
  PRATE(:,375) = TPK%KTC10(:)
  PRATE(:,376) = TPK%KTC11(:)
  PRATE(:,377) = TPK%KTC12(:)
  PRATE(:,378) = TPK%KTC13(:)
  PRATE(:,379) = TPK%KTC14(:)
  PRATE(:,380) = TPK%KTC15(:)
  PRATE(:,381) = TPK%KTC16(:)
  PRATE(:,382) = TPK%KTC17(:)
  PRATE(:,383) = TPK%KTC18(:)
  PRATE(:,384) = TPK%KTC19(:)
  PRATE(:,385) = TPK%KTC20(:)
  PRATE(:,386) = TPK%KTC21(:)
  PRATE(:,387) = TPK%KTC22(:)
  PRATE(:,388) = TPK%KTC23(:)
  PRATE(:,389) = TPK%KTC24(:)
  PRATE(:,390) = TPK%KTC25(:)
  PRATE(:,391) = TPK%KTC26(:)
  PRATE(:,392) = TPK%KTC27(:)
  PRATE(:,393) = TPK%KTC28(:)
  PRATE(:,394) = TPK%KTC29(:)
  PRATE(:,395) = TPK%KTC30(:)
  PRATE(:,396) = TPK%KTC31(:)
  PRATE(:,397) = TPK%KTC32(:)
  PRATE(:,398) = TPK%KTC33(:)
  PRATE(:,399) = TPK%KTC34(:)
  PRATE(:,400) = TPK%KTC35(:)
  PRATE(:,401) = TPK%KTC36(:)
  PRATE(:,402) = TPK%KTC37(:)
  PRATE(:,403) = TPK%KTC38(:)
  PRATE(:,404) = TPK%KTC39(:)
  PRATE(:,405) = TPK%KTC40(:)
  PRATE(:,406) = TPK%KTC41(:)
  PRATE(:,407) = TPK%KTC42(:)
  PRATE(:,408) = TPK%KTC43(:)
  PRATE(:,409) = TPK%KTC44(:)
  PRATE(:,410) = TPK%KTC45(:)
  PRATE(:,411) = TPK%KTC46(:)
  PRATE(:,412) = TPK%KTC47(:)
  PRATE(:,413) = TPK%KTC48(:)
  PRATE(:,414) = TPK%KTC49(:)
  PRATE(:,415) = TPK%KTC50(:)
  PRATE(:,416) = TPK%KTC51(:)
  PRATE(:,417) = TPK%KTC52(:)
  PRATE(:,418) = TPK%KTC53(:)
  PRATE(:,419) = TPK%KTC54(:)
  PRATE(:,420) = TPK%KTC55(:)
  PRATE(:,421) = TPK%KTC56(:)
  PRATE(:,422) = TPK%KTC57(:)
  PRATE(:,423) = TPK%KTC58(:)
  PRATE(:,424) = TPK%KTC59(:)
  PRATE(:,425) = TPK%KTC60(:)
  PRATE(:,426) = TPK%KTC61(:)
  PRATE(:,427) = TPK%KTC62(:)
  PRATE(:,428) = TPK%KTR1(:)
  PRATE(:,429) = TPK%KTR2(:)
  PRATE(:,430) = TPK%KTR3(:)
  PRATE(:,431) = TPK%KTR4(:)
  PRATE(:,432) = TPK%KTR5(:)
  PRATE(:,433) = TPK%KTR6(:)
  PRATE(:,434) = TPK%KTR7(:)
  PRATE(:,435) = TPK%KTR8(:)
  PRATE(:,436) = TPK%KTR9(:)
  PRATE(:,437) = TPK%KTR10(:)
  PRATE(:,438) = TPK%KTR11(:)
  PRATE(:,439) = TPK%KTR12(:)
  PRATE(:,440) = TPK%KTR13(:)
  PRATE(:,441) = TPK%KTR14(:)
  PRATE(:,442) = TPK%KTR15(:)
  PRATE(:,443) = TPK%KTR16(:)
  PRATE(:,444) = TPK%KTR17(:)
  PRATE(:,445) = TPK%KTR18(:)
  PRATE(:,446) = TPK%KTR19(:)
  PRATE(:,447) = TPK%KTR20(:)
  PRATE(:,448) = TPK%KTR21(:)
  PRATE(:,449) = TPK%KTR22(:)
  PRATE(:,450) = TPK%KTR23(:)
  PRATE(:,451) = TPK%KTR24(:)
  PRATE(:,452) = TPK%KTR25(:)
  PRATE(:,453) = TPK%KTR26(:)
  PRATE(:,454) = TPK%KTR27(:)
  PRATE(:,455) = TPK%KTR28(:)
  PRATE(:,456) = TPK%KTR29(:)
  PRATE(:,457) = TPK%KTR30(:)
  PRATE(:,458) = TPK%KTR31(:)
  PRATE(:,459) = TPK%KTR32(:)
  PRATE(:,460) = TPK%KTR33(:)
  PRATE(:,461) = TPK%KTR34(:)
  PRATE(:,462) = TPK%KTR35(:)
  PRATE(:,463) = TPK%KTR36(:)
  PRATE(:,464) = TPK%KTR37(:)
  PRATE(:,465) = TPK%KTR38(:)
  PRATE(:,466) = TPK%KTR39(:)
  PRATE(:,467) = TPK%KTR40(:)
  PRATE(:,468) = TPK%KTR41(:)
  PRATE(:,469) = TPK%KTR42(:)
  PRATE(:,470) = TPK%KTR43(:)
  PRATE(:,471) = TPK%KTR44(:)
  PRATE(:,472) = TPK%KTR45(:)
  PRATE(:,473) = TPK%KTR46(:)
  PRATE(:,474) = TPK%KTR47(:)
  PRATE(:,475) = TPK%KTR48(:)
  PRATE(:,476) = TPK%KTR49(:)
  PRATE(:,477) = TPK%KTR50(:)
  PRATE(:,478) = TPK%KTR51(:)
  PRATE(:,479) = TPK%KTR52(:)
  PRATE(:,480) = TPK%KTR53(:)
  PRATE(:,481) = TPK%KTR54(:)
  PRATE(:,482) = TPK%KTR55(:)
  PRATE(:,483) = TPK%KTR56(:)
  PRATE(:,484) = TPK%KTR57(:)
  PRATE(:,485) = TPK%KTR58(:)
  PRATE(:,486) = TPK%KTR59(:)
  PRATE(:,487) = TPK%KTR60(:)
  PRATE(:,488) = TPK%KTR61(:)
  PRATE(:,489) = TPK%KTR62(:)
  PRATE(:,490) = TPK%KC1(:)
  PRATE(:,491) = TPK%KC2(:)
  PRATE(:,492) = TPK%KC3(:)
  PRATE(:,493) = TPK%KC4(:)
  PRATE(:,494) = TPK%KC5(:)
  PRATE(:,495) = TPK%KC6(:)
  PRATE(:,496) = TPK%KC7(:)
  PRATE(:,497) = TPK%KC8(:)
  PRATE(:,498) = TPK%KC9(:)
  PRATE(:,499) = TPK%KC10(:)
  PRATE(:,500) = TPK%KC11(:)
  PRATE(:,501) = TPK%KC12(:)
  PRATE(:,502) = TPK%KC13(:)
  PRATE(:,503) = TPK%KC14(:)
  PRATE(:,504) = TPK%KC15(:)
  PRATE(:,505) = TPK%KC16(:)
  PRATE(:,506) = TPK%KC17(:)
  PRATE(:,507) = TPK%KC18(:)
  PRATE(:,508) = TPK%KC19(:)
  PRATE(:,509) = TPK%KC20(:)
  PRATE(:,510) = TPK%KC21(:)
  PRATE(:,511) = TPK%KC22(:)
  PRATE(:,512) = TPK%KC23(:)
  PRATE(:,513) = TPK%KC24(:)
  PRATE(:,514) = TPK%KC25(:)
  PRATE(:,515) = TPK%KC26(:)
  PRATE(:,516) = TPK%KC27(:)
  PRATE(:,517) = TPK%KC28(:)
  PRATE(:,518) = TPK%KC29(:)
  PRATE(:,519) = TPK%KC30(:)
  PRATE(:,520) = TPK%KC31(:)
  PRATE(:,521) = TPK%KC32(:)
  PRATE(:,522) = TPK%KC33(:)
  PRATE(:,523) = TPK%KC34(:)
  PRATE(:,524) = TPK%KC35(:)
  PRATE(:,525) = TPK%KC36(:)
  PRATE(:,526) = TPK%KC37(:)
  PRATE(:,527) = TPK%KC38(:)
  PRATE(:,528) = TPK%KC39(:)
  PRATE(:,529) = TPK%KC40(:)
  PRATE(:,530) = TPK%KC41(:)
  PRATE(:,531) = TPK%KC42(:)
  PRATE(:,532) = TPK%KC43(:)
  PRATE(:,533) = TPK%KC44(:)
  PRATE(:,534) = TPK%KC45(:)
  PRATE(:,535) = TPK%KC46(:)
  PRATE(:,536) = TPK%KR1(:)
  PRATE(:,537) = TPK%KR2(:)
  PRATE(:,538) = TPK%KR3(:)
  PRATE(:,539) = TPK%KR4(:)
  PRATE(:,540) = TPK%KR5(:)
  PRATE(:,541) = TPK%KR6(:)
  PRATE(:,542) = TPK%KR7(:)
  PRATE(:,543) = TPK%KR8(:)
  PRATE(:,544) = TPK%KR9(:)
  PRATE(:,545) = TPK%KR10(:)
  PRATE(:,546) = TPK%KR11(:)
  PRATE(:,547) = TPK%KR12(:)
  PRATE(:,548) = TPK%KR13(:)
  PRATE(:,549) = TPK%KR14(:)
  PRATE(:,550) = TPK%KR15(:)
  PRATE(:,551) = TPK%KR16(:)
  PRATE(:,552) = TPK%KR17(:)
  PRATE(:,553) = TPK%KR18(:)
  PRATE(:,554) = TPK%KR19(:)
  PRATE(:,555) = TPK%KR20(:)
  PRATE(:,556) = TPK%KR21(:)
  PRATE(:,557) = TPK%KR22(:)
  PRATE(:,558) = TPK%KR23(:)
  PRATE(:,559) = TPK%KR24(:)
  PRATE(:,560) = TPK%KR25(:)
  PRATE(:,561) = TPK%KR26(:)
  PRATE(:,562) = TPK%KR27(:)
  PRATE(:,563) = TPK%KR28(:)
  PRATE(:,564) = TPK%KR29(:)
  PRATE(:,565) = TPK%KR30(:)
  PRATE(:,566) = TPK%KR31(:)
  PRATE(:,567) = TPK%KR32(:)
  PRATE(:,568) = TPK%KR33(:)
  PRATE(:,569) = TPK%KR34(:)
  PRATE(:,570) = TPK%KR35(:)
  PRATE(:,571) = TPK%KR36(:)
  PRATE(:,572) = TPK%KR37(:)
  PRATE(:,573) = TPK%KR38(:)
  PRATE(:,574) = TPK%KR39(:)
  PRATE(:,575) = TPK%KR40(:)
  PRATE(:,576) = TPK%KR41(:)
  PRATE(:,577) = TPK%KR42(:)
  PRATE(:,578) = TPK%KR43(:)
  PRATE(:,579) = TPK%KR44(:)
  PRATE(:,580) = TPK%KR45(:)
  PRATE(:,581) = TPK%KR46(:)
END IF
RETURN
END SUBROUTINE CH_GET_RATES
!
!
!========================================================================
!
!!    ####################
      MODULE MODI_CH_TERMS
!!    ####################
INTERFACE
SUBROUTINE CH_TERMS(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
END SUBROUTINE CH_TERMS
END INTERFACE
END MODULE MODI_CH_TERMS
!
!========================================================================
!
!!    #############################################################
      SUBROUTINE CH_TERMS(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
!!    #############################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_TERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
USE MODI_CH_TERMS_AQ
USE MODI_CH_TERMS_GAZ
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
!!
TYPE(CCSTYPE), POINTER                            :: TPK
TPK=>TACCS(KMI)
IF (TPK%LUSECHAQ) THEN
   CALL CH_TERMS_AQ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
ELSE
   CALL CH_TERMS_GAZ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
END IF
END SUBROUTINE CH_TERMS
!
!========================================================================
!
!!    ####################
      MODULE MODI_CH_TERMS_GAZ
!!    ####################
INTERFACE
SUBROUTINE CH_TERMS_GAZ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
END SUBROUTINE CH_TERMS_GAZ
END INTERFACE
END MODULE MODI_CH_TERMS_GAZ
!
!========================================================================
!
!!
!!    ######################
      SUBROUTINE CH_TERMS_GAZ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
!!    ######################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_TERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
!!
TYPE(CCSTYPE), POINTER                            :: TPK
TPK=>TACCS(KMI)
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
PTERMS(:,:,:) = 0.0
CALL SUBT0
CALL SUBT1
CALL SUBT2
CALL SUBT3
CALL SUBT4
CALL SUBT5
CALL SUBT6
CALL SUBT7
CALL SUBT8
CALL SUBT9
CALL SUBT10
CALL SUBT11
CALL SUBT12
CALL SUBT13
CALL SUBT14
CALL SUBT15
CALL SUBT16
CALL SUBT17
CALL SUBT18
CALL SUBT19
CALL SUBT20
CALL SUBT21
CALL SUBT22
CALL SUBT23
CALL SUBT24
CALL SUBT25
CALL SUBT26
CALL SUBT27
CALL SUBT28
CALL SUBT29
CALL SUBT30
CALL SUBT31
CALL SUBT32
CALL SUBT33
CALL SUBT34
CALL SUBT35
CALL SUBT36
CALL SUBT37
CALL SUBT38
CALL SUBT39
CALL SUBT40
CALL SUBT41
CALL SUBT42
CALL SUBT43
CALL SUBT44
CALL SUBT45
CALL SUBT46
CALL SUBT47
CALL SUBT48
CALL SUBT49
CALL SUBT50
CALL SUBT51
CALL SUBT52
CALL SUBT53
CALL SUBT54
CALL SUBT55
CALL SUBT56
CALL SUBT57
CALL SUBT58
CALL SUBT59
!

CONTAINS

SUBROUTINE SUBT0
!
!Indices 1 a 20
!
!PTERMS(NO,K001) = +K001*<NO2>
 PTERMS(:,1,1) = +TPK%K001(:)*PCONC(:,2)
!
!PTERMS(NO2,K001) = -K001*<NO2>
 PTERMS(:,2,1) = -TPK%K001(:)*PCONC(:,2)
!
!PTERMS(O3,K002) = +K002*<O2>*<O>
 PTERMS(:,3,2) = +TPK%K002(:)*TPK%O2(:)*TPK%O(:)
!
!PTERMS(NO,K003) = +K003*<NO2>*<O>
 PTERMS(:,1,3) = +TPK%K003(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO2,K003) = -K003*<NO2>*<O>
 PTERMS(:,2,3) = -TPK%K003(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO2,K004) = -K004*<NO2>*<O>
 PTERMS(:,2,4) = -TPK%K004(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO3,K004) = +K004*<NO2>*<O>
 PTERMS(:,8,4) = +TPK%K004(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO,K005) = -K005*<O3>*<NO>
 PTERMS(:,1,5) = -TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(NO2,K005) = +K005*<O3>*<NO>
 PTERMS(:,2,5) = +TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(O3,K005) = -K005*<O3>*<NO>
 PTERMS(:,3,5) = -TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(NO2,K006) = -K006*<O3>*<NO2>
 PTERMS(:,2,6) = -TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(O3,K006) = -K006*<O3>*<NO2>
 PTERMS(:,3,6) = -TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(NO3,K006) = +K006*<O3>*<NO2>
 PTERMS(:,8,6) = +TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(NO,K007) = -K007*<NO3>*<NO>
 PTERMS(:,1,7) = -TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO2,K007) = +2.*K007*<NO3>*<NO>
 PTERMS(:,2,7) = +2.*TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO3,K007) = -K007*<NO3>*<NO>
 PTERMS(:,8,7) = -TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO,K008) = -K008*<NO>*<NO>
 PTERMS(:,1,8) = -TPK%K008(:)*PCONC(:,1)*PCONC(:,1)
!
!PTERMS(NO2,K008) = +2.*K008*<NO>*<NO>
 PTERMS(:,2,8) = +2.*TPK%K008(:)*PCONC(:,1)*PCONC(:,1)
!
!PTERMS(NO2,K009) = -K009*<NO3>*<NO2>
 PTERMS(:,2,9) = -TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(N2O5,K009) = +K009*<NO3>*<NO2>
 PTERMS(:,7,9) = +TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!
RETURN
END SUBROUTINE SUBT0
!
SUBROUTINE SUBT1
!
!Indices 21 a 40
!
!PTERMS(NO3,K009) = -K009*<NO3>*<NO2>
 PTERMS(:,8,9) = -TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO2,K010) = +K010*<N2O5>
 PTERMS(:,2,10) = +TPK%K010(:)*PCONC(:,7)
!
!PTERMS(N2O5,K010) = -K010*<N2O5>
 PTERMS(:,7,10) = -TPK%K010(:)*PCONC(:,7)
!
!PTERMS(NO3,K010) = +K010*<N2O5>
 PTERMS(:,8,10) = +TPK%K010(:)*PCONC(:,7)
!
!PTERMS(HNO3,K011) = +2.*K011*<H2O>*<N2O5>
 PTERMS(:,5,11) = +2.*TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)
!
!PTERMS(N2O5,K011) = -K011*<H2O>*<N2O5>
 PTERMS(:,7,11) = -TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)
!
!PTERMS(NO,K012) = +K012*<NO3>*<NO2>
 PTERMS(:,1,12) = +TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO2,K012) = -K012*<NO3>*<NO2>
 PTERMS(:,2,12) = -TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO3,K012) = -K012*<NO3>*<NO2>
 PTERMS(:,8,12) = -TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO,K013) = +K013*<NO3>
 PTERMS(:,1,13) = +TPK%K013(:)*PCONC(:,8)
!
!PTERMS(NO3,K013) = -K013*<NO3>
 PTERMS(:,8,13) = -TPK%K013(:)*PCONC(:,8)
!
!PTERMS(NO2,K014) = +K014*<NO3>
 PTERMS(:,2,14) = +TPK%K014(:)*PCONC(:,8)
!
!PTERMS(NO3,K014) = -K014*<NO3>
 PTERMS(:,8,14) = -TPK%K014(:)*PCONC(:,8)
!
!PTERMS(O3,K015) = -K015*<O3>
 PTERMS(:,3,15) = -TPK%K015(:)*PCONC(:,3)
!
!PTERMS(O3,K016) = -K016*<O3>
 PTERMS(:,3,16) = -TPK%K016(:)*PCONC(:,3)
!
!PTERMS(OH,K017) = +K017*<H2O>*<OSD>
 PTERMS(:,15,17) = +TPK%K017(:)*TPK%H2O(:)*TPK%OSD(:)
!
!PTERMS(NO,K019) = -K019*<OH>*<NO>
 PTERMS(:,1,20) = -TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(HONO,K019) = +K019*<OH>*<NO>
 PTERMS(:,4,20) = +TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(OH,K019) = -K019*<OH>*<NO>
 PTERMS(:,15,20) = -TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(NO,K020) = +0.9*K020*<HONO>
 PTERMS(:,1,21) = +0.9*TPK%K020(:)*PCONC(:,4)
!
!
RETURN
END SUBROUTINE SUBT1
!
SUBROUTINE SUBT2
!
!Indices 41 a 60
!
!PTERMS(NO2,K020) = +0.1*K020*<HONO>
 PTERMS(:,2,21) = +0.1*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(HONO,K020) = -K020*<HONO>
 PTERMS(:,4,21) = -TPK%K020(:)*PCONC(:,4)
!
!PTERMS(HO2,K020) = +0.1*K020*<HONO>
 PTERMS(:,10,21) = +0.1*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(OH,K020) = +0.9*K020*<HONO>
 PTERMS(:,15,21) = +0.9*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(NO2,K021) = -K021*<H2O>*<NO2>
 PTERMS(:,2,22) = -TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(HONO,K021) = +0.5*K021*<H2O>*<NO2>
 PTERMS(:,4,22) = +0.5*TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(HNO3,K021) = +0.5*K021*<H2O>*<NO2>
 PTERMS(:,5,22) = +0.5*TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(NO2,K022) = -K022*<OH>*<NO2>
 PTERMS(:,2,23) = -TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(HNO3,K022) = +K022*<OH>*<NO2>
 PTERMS(:,5,23) = +TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(OH,K022) = -K022*<OH>*<NO2>
 PTERMS(:,15,23) = -TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(HNO3,K023) = -K023*<OH>*<HNO3>
 PTERMS(:,5,24) = -TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(NO3,K023) = +K023*<OH>*<HNO3>
 PTERMS(:,8,24) = +TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(OH,K023) = -K023*<OH>*<HNO3>
 PTERMS(:,15,24) = -TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(HO2,K024) = +K024*<OH>*<CO>
 PTERMS(:,10,25) = +TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(CO,K024) = -K024*<OH>*<CO>
 PTERMS(:,11,25) = -TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(OH,K024) = -K024*<OH>*<CO>
 PTERMS(:,15,25) = -TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(O3,K025) = -K025*<OH>*<O3>
 PTERMS(:,3,26) = -TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(HO2,K025) = +K025*<OH>*<O3>
 PTERMS(:,10,26) = +TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(OH,K025) = -K025*<OH>*<O3>
 PTERMS(:,15,26) = -TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(NO,K026) = -K026*<HO2>*<NO>
 PTERMS(:,1,27) = -TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!
RETURN
END SUBROUTINE SUBT2
!
SUBROUTINE SUBT3
!
!Indices 61 a 80
!
!PTERMS(NO2,K026) = +K026*<HO2>*<NO>
 PTERMS(:,2,27) = +TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(HO2,K026) = -K026*<HO2>*<NO>
 PTERMS(:,10,27) = -TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(OH,K026) = +K026*<HO2>*<NO>
 PTERMS(:,15,27) = +TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(NO2,K027) = -K027*<HO2>*<NO2>
 PTERMS(:,2,28) = -TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(HNO4,K027) = +K027*<HO2>*<NO2>
 PTERMS(:,6,28) = +TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(HO2,K027) = -K027*<HO2>*<NO2>
 PTERMS(:,10,28) = -TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(NO2,K028) = +K028*<HNO4>
 PTERMS(:,2,29) = +TPK%K028(:)*PCONC(:,6)
!
!PTERMS(HNO4,K028) = -K028*<HNO4>
 PTERMS(:,6,29) = -TPK%K028(:)*PCONC(:,6)
!
!PTERMS(HO2,K028) = +K028*<HNO4>
 PTERMS(:,10,29) = +TPK%K028(:)*PCONC(:,6)
!
!PTERMS(NO2,K029) = +K029*<OH>*<HNO4>
 PTERMS(:,2,30) = +TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(HNO4,K029) = -K029*<OH>*<HNO4>
 PTERMS(:,6,30) = -TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(OH,K029) = -K029*<OH>*<HNO4>
 PTERMS(:,15,30) = -TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(O3,K030) = -K030*<HO2>*<O3>
 PTERMS(:,3,31) = -TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(HO2,K030) = -K030*<HO2>*<O3>
 PTERMS(:,10,31) = -TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(OH,K030) = +K030*<HO2>*<O3>
 PTERMS(:,15,31) = +TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(HO2,K031) = -K031*<HO2>*<HO2>
 PTERMS(:,10,32) = -TPK%K031(:)*PCONC(:,10)*PCONC(:,10)
!
!PTERMS(H2O2,K031) = +K031*<HO2>*<HO2>
 PTERMS(:,12,32) = +TPK%K031(:)*PCONC(:,10)*PCONC(:,10)
!
!PTERMS(HO2,K032) = -K032*<HO2>*<H2O>*<HO2>
 PTERMS(:,10,33) = -TPK%K032(:)*PCONC(:,10)*TPK%H2O(:)*PCONC(:,10)
!
!PTERMS(H2O2,K032) = +K032*<HO2>*<H2O>*<HO2>
 PTERMS(:,12,33) = +TPK%K032(:)*PCONC(:,10)*TPK%H2O(:)*PCONC(:,10)
!
!PTERMS(NO2,K033) = +0.8*K033*<HO2>*<NO3>
 PTERMS(:,2,34) = +0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!
RETURN
END SUBROUTINE SUBT3
!
SUBROUTINE SUBT4
!
!Indices 81 a 100
!
!PTERMS(HNO3,K033) = +0.2*K033*<HO2>*<NO3>
 PTERMS(:,5,34) = +0.2*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(NO3,K033) = -K033*<HO2>*<NO3>
 PTERMS(:,8,34) = -TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(HO2,K033) = -K033*<HO2>*<NO3>
 PTERMS(:,10,34) = -TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(OH,K033) = +0.8*K033*<HO2>*<NO3>
 PTERMS(:,15,34) = +0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(O3,K034) = -K034*<O3>*<O>
 PTERMS(:,3,35) = -TPK%K034(:)*PCONC(:,3)*TPK%O(:)
!
!PTERMS(HO2,K035) = +K035*<OH>*<SO2>
 PTERMS(:,10,36) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(SO2,K035) = -K035*<OH>*<SO2>
 PTERMS(:,13,36) = -TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(H2SO4,K035) = +K035*<OH>*<SO2>
 PTERMS(:,14,36) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(OH,K035) = -K035*<OH>*<SO2>
 PTERMS(:,15,36) = -TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(H2O2,K036) = -K036*<H2O2>
 PTERMS(:,12,37) = -TPK%K036(:)*PCONC(:,12)
!
!PTERMS(OH,K036) = +2.*K036*<H2O2>
 PTERMS(:,15,37) = +2.*TPK%K036(:)*PCONC(:,12)
!
!PTERMS(HO2,K037) = +K037*<OH>*<H2O2>
 PTERMS(:,10,38) = +TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(H2O2,K037) = -K037*<OH>*<H2O2>
 PTERMS(:,12,38) = -TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(OH,K037) = -K037*<OH>*<H2O2>
 PTERMS(:,15,38) = -TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(NO,K038) = -K038*<NO>*<O>
 PTERMS(:,1,39) = -TPK%K038(:)*PCONC(:,1)*TPK%O(:)
!
!PTERMS(NO2,K038) = +K038*<NO>*<O>
 PTERMS(:,2,39) = +TPK%K038(:)*PCONC(:,1)*TPK%O(:)
!
!PTERMS(NO2,K039) = +K039*<OH>*<HONO>
 PTERMS(:,2,40) = +TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(HONO,K039) = -K039*<OH>*<HONO>
 PTERMS(:,4,40) = -TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(OH,K039) = -K039*<OH>*<HONO>
 PTERMS(:,15,40) = -TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(NO2,K040) = +K040*<OH>*<NO3>
 PTERMS(:,2,41) = +TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!
RETURN
END SUBROUTINE SUBT4
!
SUBROUTINE SUBT5
!
!Indices 101 a 120
!
!PTERMS(NO3,K040) = -K040*<OH>*<NO3>
 PTERMS(:,8,41) = -TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(HO2,K040) = +K040*<OH>*<NO3>
 PTERMS(:,10,41) = +TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(OH,K040) = -K040*<OH>*<NO3>
 PTERMS(:,15,41) = -TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(NO2,K041) = +2.*K041*<NO3>*<NO3>
 PTERMS(:,2,42) = +2.*TPK%K041(:)*PCONC(:,8)*PCONC(:,8)
!
!PTERMS(NO3,K041) = -K041*<NO3>*<NO3>
 PTERMS(:,8,42) = -TPK%K041(:)*PCONC(:,8)*PCONC(:,8)
!
!PTERMS(HO2,K042) = -K042*<HO2>*<OH>
 PTERMS(:,10,43) = -TPK%K042(:)*PCONC(:,10)*PCONC(:,15)
!
!PTERMS(OH,K042) = -K042*<HO2>*<OH>
 PTERMS(:,15,43) = -TPK%K042(:)*PCONC(:,10)*PCONC(:,15)
!
!PTERMS(OH,K043) = -K043*<OH>*<CH4>
 PTERMS(:,15,44) = -TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(RO2T,K043) = +K043*<OH>*<CH4>
 PTERMS(:,85,44) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(RO21,K043) = +K043*<OH>*<CH4>
 PTERMS(:,86,44) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(HO2,K044) = +2.0*K044*<HCHO>
 PTERMS(:,10,45) = +2.0*TPK%K044(:)*PCONC(:,28)
!
!PTERMS(CO,K044) = +K044*<HCHO>
 PTERMS(:,11,45) = +TPK%K044(:)*PCONC(:,28)
!
!PTERMS(HCHO,K044) = -K044*<HCHO>
 PTERMS(:,28,45) = -TPK%K044(:)*PCONC(:,28)
!
!PTERMS(CO,K045) = +K045*<HCHO>
 PTERMS(:,11,46) = +TPK%K045(:)*PCONC(:,28)
!
!PTERMS(HCHO,K045) = -K045*<HCHO>
 PTERMS(:,28,46) = -TPK%K045(:)*PCONC(:,28)
!
!PTERMS(HO2,K046) = +K046*<OH>*<HCHO>
 PTERMS(:,10,47) = +TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(CO,K046) = +K046*<OH>*<HCHO>
 PTERMS(:,11,47) = +TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(OH,K046) = -K046*<OH>*<HCHO>
 PTERMS(:,15,47) = -TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(HCHO,K046) = -K046*<OH>*<HCHO>
 PTERMS(:,28,47) = -TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(HNO3,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,5,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!
RETURN
END SUBROUTINE SUBT5
!
SUBROUTINE SUBT6
!
!Indices 121 a 140
!
!PTERMS(NO3,K047) = -K047*<NO3>*<HCHO>
 PTERMS(:,8,48) = -TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HO2,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,10,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(CO,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,11,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HCHO,K047) = -K047*<NO3>*<HCHO>
 PTERMS(:,28,48) = -TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HO2,K048) = +K048*<OH>*<MEOH>
 PTERMS(:,10,49) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(OH,K048) = -K048*<OH>*<MEOH>
 PTERMS(:,15,49) = -TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(HCHO,K048) = +K048*<OH>*<MEOH>
 PTERMS(:,28,49) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(MEOH,K048) = -K048*<OH>*<MEOH>
 PTERMS(:,32,49) = -TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(OH,K049) = -K049*<OH>*<ETHE>
 PTERMS(:,15,50) = -TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(ETHE,K049) = -K049*<OH>*<ETHE>
 PTERMS(:,16,50) = -TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(RO2T,K049) = +K049*<OH>*<ETHE>
 PTERMS(:,85,50) = +TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(NO3,K050) = -K050*<NO3>*<ETHE>
 PTERMS(:,8,51) = -TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(ETHE,K050) = -K050*<NO3>*<ETHE>
 PTERMS(:,16,51) = -TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(RO2T,K050) = +K050*<NO3>*<ETHE>
 PTERMS(:,85,51) = +TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(O3,K051) = -K051*<O3>*<ETHE>
 PTERMS(:,3,52) = -TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HO2,K051) = +0.06*K051*<O3>*<ETHE>
 PTERMS(:,10,52) = +0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(CO,K051) = +0.315*K051*<O3>*<ETHE>
 PTERMS(:,11,52) = +0.315*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(OH,K051) = +0.06*K051*<O3>*<ETHE>
 PTERMS(:,15,52) = +0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(ETHE,K051) = -K051*<O3>*<ETHE>
 PTERMS(:,16,52) = -TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HCHO,K051) = +0.5*K051*<O3>*<ETHE>
 PTERMS(:,28,52) = +0.5*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!
RETURN
END SUBROUTINE SUBT6
!
SUBROUTINE SUBT7
!
!Indices 141 a 160
!
!PTERMS(ORA1,K051) = +0.185*K051*<O3>*<ETHE>
 PTERMS(:,43,52) = +0.185*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HO2,K052) = +K052*<O>*<ETHE>
 PTERMS(:,10,53) = +TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(CO,K052) = +0.6*K052*<O>*<ETHE>
 PTERMS(:,11,53) = +0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(ETHE,K052) = -K052*<O>*<ETHE>
 PTERMS(:,16,53) = -TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(RO2T,K052) = +K052*<O>*<ETHE>
 PTERMS(:,85,53) = +TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(RO21,K052) = +0.6*K052*<O>*<ETHE>
 PTERMS(:,86,53) = +0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(HO2,K053) = +TPK%CF1*K053*<OH>*<ETOH>
 PTERMS(:,10,54) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(OH,K053) = -K053*<OH>*<ETOH>
 PTERMS(:,15,54) = -TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(ALD2,K053) = +TPK%CF1*K053*<OH>*<ETOH>
 PTERMS(:,29,54) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(ETOH,K053) = -K053*<OH>*<ETOH>
 PTERMS(:,33,54) = -TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(RO2T,K053) = +TPK%CF2*K053*<OH>*<ETOH>
 PTERMS(:,85,54) = +TPK%CF2*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(OH,K054) = -K054*<OH>*<OLEL>
 PTERMS(:,15,55) = -TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(OLEL,K054) = -K054*<OH>*<OLEL>
 PTERMS(:,17,55) = -TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(RO2T,K054) = +K054*<OH>*<OLEL>
 PTERMS(:,85,55) = +TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(NO3,K055) = -K055*<NO3>*<OLEL>
 PTERMS(:,8,56) = -TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(OLEL,K055) = -K055*<NO3>*<OLEL>
 PTERMS(:,17,56) = -TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(RO2T,K055) = +K055*<NO3>*<OLEL>
 PTERMS(:,85,56) = +TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(O3,K056) = -K056*<O3>*<OLEL>
 PTERMS(:,3,57) = -TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(HO2,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,10,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(CO,K056) = +0.56*K056*<O3>*<OLEL>
 PTERMS(:,11,57) = +0.56*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!
RETURN
END SUBROUTINE SUBT7
!
SUBROUTINE SUBT8
!
!Indices 161 a 180
!
!PTERMS(OH,K056) = +0.36*K056*<O3>*<OLEL>
 PTERMS(:,15,57) = +0.36*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(OLEL,K056) = -K056*<O3>*<OLEL>
 PTERMS(:,17,57) = -TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ALKL,K056) = +0.1*K056*<O3>*<OLEL>
 PTERMS(:,19,57) = +0.1*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(HCHO,K056) = +0.5*K056*<O3>*<OLEL>
 PTERMS(:,28,57) = +0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ALD2,K056) = +0.5*K056*<O3>*<OLEL>
 PTERMS(:,29,57) = +0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ORA1,K056) = +0.12*K056*<O3>*<OLEL>
 PTERMS(:,43,57) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ORA2,K056) = +0.12*K056*<O3>*<OLEL>
 PTERMS(:,44,57) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(RO2T,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,85,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(RO25,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,87,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(OLEL,K057) = -K057*<O>*<OLEL>
 PTERMS(:,17,58) = -TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(ALKL,K057) = +0.5*K057*<O>*<OLEL>
 PTERMS(:,19,58) = +0.5*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(ALD2,K057) = +0.4*K057*<O>*<OLEL>
 PTERMS(:,29,58) = +0.4*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(RO2T,K057) = +0.2*K057*<O>*<OLEL>
 PTERMS(:,85,58) = +0.2*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(RO25,K057) = +0.1*K057*<O>*<OLEL>
 PTERMS(:,87,58) = +0.1*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(OH,K058) = -K058*<OH>*<ALKL>
 PTERMS(:,15,59) = -TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(ALKL,K058) = -K058*<OH>*<ALKL>
 PTERMS(:,19,59) = -TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(RO2T,K058) = +K058*<OH>*<ALKL>
 PTERMS(:,85,59) = +TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(RO25,K058) = +K058*<OH>*<ALKL>
 PTERMS(:,87,59) = +TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(HO2,K059) = +K059*<ALD2>
 PTERMS(:,10,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(CO,K059) = +K059*<ALD2>
 PTERMS(:,11,60) = +TPK%K059(:)*PCONC(:,29)
!
!
RETURN
END SUBROUTINE SUBT8
!
SUBROUTINE SUBT9
!
!Indices 181 a 200
!
!PTERMS(ALD2,K059) = -K059*<ALD2>
 PTERMS(:,29,60) = -TPK%K059(:)*PCONC(:,29)
!
!PTERMS(RO2T,K059) = +K059*<ALD2>
 PTERMS(:,85,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(RO25,K059) = +K059*<ALD2>
 PTERMS(:,87,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(OH,K060) = -K060*<OH>*<ALD2>
 PTERMS(:,15,61) = -TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(ALD2,K060) = -K060*<OH>*<ALD2>
 PTERMS(:,29,61) = -TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(RO2T,K060) = +K060*<OH>*<ALD2>
 PTERMS(:,85,61) = +TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(HNO3,K061) = +K061*<NO3>*<ALD2>
 PTERMS(:,5,62) = +TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(NO3,K061) = -K061*<NO3>*<ALD2>
 PTERMS(:,8,62) = -TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(ALD2,K061) = -K061*<NO3>*<ALD2>
 PTERMS(:,29,62) = -TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(RO2T,K061) = +K061*<NO3>*<ALD2>
 PTERMS(:,85,62) = +TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(OH,K062) = -K062*<OH>*<KETL>
 PTERMS(:,15,63) = -TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(KETL,K062) = -K062*<OH>*<KETL>
 PTERMS(:,30,63) = -TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(RO2T,K062) = +K062*<OH>*<KETL>
 PTERMS(:,85,63) = +TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(KETL,K063) = -K063*<KETL>
 PTERMS(:,30,64) = -TPK%K063(:)*PCONC(:,30)
!
!PTERMS(RO2T,K063) = +2.*K063*<KETL>
 PTERMS(:,85,64) = +2.*TPK%K063(:)*PCONC(:,30)
!
!PTERMS(RO25,K063) = +K063*<KETL>
 PTERMS(:,87,64) = +TPK%K063(:)*PCONC(:,30)
!
!PTERMS(OH,K064) = -K064*<OH>*<ISOP>
 PTERMS(:,15,65) = -TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(ISOP,K064) = -K064*<OH>*<ISOP>
 PTERMS(:,35,65) = -TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(RO2T,K064) = +K064*<OH>*<ISOP>
 PTERMS(:,85,65) = +TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(NO3,K065) = -K065*<NO3>*<ISOP>
 PTERMS(:,8,66) = -TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!
RETURN
END SUBROUTINE SUBT9
!
SUBROUTINE SUBT10
!
!Indices 201 a 220
!
!PTERMS(ISOP,K065) = -K065*<NO3>*<ISOP>
 PTERMS(:,35,66) = -TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!PTERMS(RO2T,K065) = +K065*<NO3>*<ISOP>
 PTERMS(:,85,66) = +TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!PTERMS(O3,K066) = -K066*<O3>*<ISOP>
 PTERMS(:,3,67) = -TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(HO2,K066) = +0.366*K066*<O3>*<ISOP>
 PTERMS(:,10,67) = +0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(CO,K066) = +0.461*K066*<O3>*<ISOP>
 PTERMS(:,11,67) = +0.461*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OH,K066) = +0.664*K066*<O3>*<ISOP>
 PTERMS(:,15,67) = +0.664*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OLEL,K066) = +0.054*K066*<O3>*<ISOP>
 PTERMS(:,17,67) = +0.054*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(HCHO,K066) = +0.5*K066*<O3>*<ISOP>
 PTERMS(:,28,67) = +0.5*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(ISOP,K066) = -K066*<O3>*<ISOP>
 PTERMS(:,35,67) = -TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(MVK,K066) = +0.389*K066*<O3>*<ISOP>
 PTERMS(:,39,67) = +0.389*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(MCR,K066) = +0.17*K066*<O3>*<ISOP>
 PTERMS(:,40,67) = +0.17*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(ORA1,K066) = +0.121*K066*<O3>*<ISOP>
 PTERMS(:,43,67) = +0.121*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(RO2T,K066) = +0.366*K066*<O3>*<ISOP>
 PTERMS(:,85,67) = +0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OLEL,K067) = +0.925*K067*<O>*<ISOP>
 PTERMS(:,17,68) = +0.925*TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(ALD2,K067) = +0.075*K067*<O>*<ISOP>
 PTERMS(:,29,68) = +0.075*TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(ISOP,K067) = -K067*<O>*<ISOP>
 PTERMS(:,35,68) = -TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(OH,K068) = -K068*<OH>*<MTBE>
 PTERMS(:,15,69) = -TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(MTBE,K068) = -K068*<OH>*<MTBE>
 PTERMS(:,38,69) = -TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(RO2T,K068) = +K068*<OH>*<MTBE>
 PTERMS(:,85,69) = +TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(OH,K069) = -K069*<OH>*<ALCH>
 PTERMS(:,15,70) = -TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!
RETURN
END SUBROUTINE SUBT10
!
SUBROUTINE SUBT11
!
!Indices 221 a 240
!
!PTERMS(ALCH,K069) = -K069*<OH>*<ALCH>
 PTERMS(:,34,70) = -TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!PTERMS(RO2T,K069) = +K069*<OH>*<ALCH>
 PTERMS(:,85,70) = +TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!PTERMS(OH,K070) = -K070*<OH>*<KETH>
 PTERMS(:,15,71) = -TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(KETH,K070) = -K070*<OH>*<KETH>
 PTERMS(:,31,71) = -TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(RO2T,K070) = +K070*<OH>*<KETH>
 PTERMS(:,85,71) = +TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(KETH,K071) = -K071*<KETH>
 PTERMS(:,31,72) = -TPK%K071(:)*PCONC(:,31)
!
!PTERMS(RO2T,K071) = +2.*K071*<KETH>
 PTERMS(:,85,72) = +2.*TPK%K071(:)*PCONC(:,31)
!
!PTERMS(RO25,K071) = +K071*<KETH>
 PTERMS(:,87,72) = +TPK%K071(:)*PCONC(:,31)
!
!PTERMS(HNO3,K072) = +K072*<NO3>*<AROO>
 PTERMS(:,5,73) = +TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(NO3,K072) = -K072*<NO3>*<AROO>
 PTERMS(:,8,73) = -TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(AROO,K072) = -K072*<NO3>*<AROO>
 PTERMS(:,24,73) = -TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(HO2,K073) = +0.16*K073*<OH>*<AROO>
 PTERMS(:,10,74) = +0.16*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(OH,K073) = -K073*<OH>*<AROO>
 PTERMS(:,15,74) = -TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(AROO,K073) = -K073*<OH>*<AROO>
 PTERMS(:,24,74) = -TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(RO2T,K073) = +0.1*K073*<OH>*<AROO>
 PTERMS(:,85,74) = +0.1*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(OH,K074) = -K074*<OH>*<OLEH>
 PTERMS(:,15,75) = -TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(OLEH,K074) = -K074*<OH>*<OLEH>
 PTERMS(:,18,75) = -TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(RO2T,K074) = +K074*<OH>*<OLEH>
 PTERMS(:,85,75) = +TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(NO3,K075) = -K075*<NO3>*<OLEH>
 PTERMS(:,8,76) = -TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!PTERMS(OLEH,K075) = -K075*<NO3>*<OLEH>
 PTERMS(:,18,76) = -TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!
RETURN
END SUBROUTINE SUBT11
!
SUBROUTINE SUBT12
!
!Indices 241 a 260
!
!PTERMS(RO2T,K075) = +K075*<NO3>*<OLEH>
 PTERMS(:,85,76) = +TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!PTERMS(O3,K076) = -K076*<O3>*<OLEH>
 PTERMS(:,3,77) = -TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(HO2,K076) = +0.28*K076*<O3>*<OLEH>
 PTERMS(:,10,77) = +0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(CO,K076) = +0.56*K076*<O3>*<OLEH>
 PTERMS(:,11,77) = +0.56*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OH,K076) = +0.36*K076*<O3>*<OLEH>
 PTERMS(:,15,77) = +0.36*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OLEH,K076) = -K076*<O3>*<OLEH>
 PTERMS(:,18,77) = -TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(ALKM,K076) = +0.1*K076*<O3>*<OLEH>
 PTERMS(:,20,77) = +0.1*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(HCHO,K076) = +0.5*K076*<O3>*<OLEH>
 PTERMS(:,28,77) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(ACID,K076) = +0.12*K076*<O3>*<OLEH>
 PTERMS(:,45,77) = +0.12*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(RPR1,K076) = +0.5*K076*<O3>*<OLEH>
 PTERMS(:,69,77) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(RO2T,K076) = +0.28*K076*<O3>*<OLEH>
 PTERMS(:,85,77) = +0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OLEH,K077) = -K077*<O>*<OLEH>
 PTERMS(:,18,78) = -TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(ALKM,K077) = +0.5*K077*<O>*<OLEH>
 PTERMS(:,20,78) = +0.5*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(RPR1,K077) = +0.4*K077*<O>*<OLEH>
 PTERMS(:,69,78) = +0.4*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(RO2T,K077) = +0.2*K077*<O>*<OLEH>
 PTERMS(:,85,78) = +0.2*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(OH,K078) = -K078*<OH>*<ALKM>
 PTERMS(:,15,79) = -TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(ALKM,K078) = -K078*<OH>*<ALKM>
 PTERMS(:,20,79) = -TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(RO2T,K078) = +K078*<OH>*<ALKM>
 PTERMS(:,85,79) = +TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(HO2,K079) = +0.16*K079*<OH>*<AROL>
 PTERMS(:,10,80) = +0.16*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(OH,K079) = -K079*<OH>*<AROL>
 PTERMS(:,15,80) = -TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!
RETURN
END SUBROUTINE SUBT12
!
SUBROUTINE SUBT13
!
!Indices 261 a 280
!
!PTERMS(AROL,K079) = -K079*<OH>*<AROL>
 PTERMS(:,23,80) = -TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(AROO,K079) = +0.16*K079*<OH>*<AROL>
 PTERMS(:,24,80) = +0.16*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(RO2T,K079) = +0.06*K079*<OH>*<AROL>
 PTERMS(:,85,80) = +0.06*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(HO2,K080) = +0.16*K080*<OH>*<AROH>
 PTERMS(:,10,81) = +0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(OH,K080) = -K080*<OH>*<AROH>
 PTERMS(:,15,81) = -TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(AROH,K080) = -K080*<OH>*<AROH>
 PTERMS(:,22,81) = -TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(AROO,K080) = +0.16*K080*<OH>*<AROH>
 PTERMS(:,24,81) = +0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(O3,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,3,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(HNO3,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,5,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(NO3,K081) = -K081*<NO3>*<ARAL>
 PTERMS(:,8,82) = -TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(ARAL,K081) = -K081*<NO3>*<ARAL>
 PTERMS(:,25,82) = -TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(ARAC,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,26,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(O3,K082) = +TPK%CF39*K082*<OH>*<ARAL>
 PTERMS(:,3,83) = +TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(HO2,K082) = +TPK%CF48*K082*<OH>*<ARAL>
 PTERMS(:,10,83) = +TPK%CF48*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(OH,K082) = -K082*<OH>*<ARAL>
 PTERMS(:,15,83) = -TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(ARAL,K082) = -K082*<OH>*<ARAL>
 PTERMS(:,25,83) = -TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(ARAC,K082) = +TPK%CF39*K082*<OH>*<ARAL>
 PTERMS(:,26,83) = +TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(RPRL,K082) = +0.9983609*K082*<OH>*<ARAL>
 PTERMS(:,75,83) = +0.9983609*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(RO2T,K082) = +TPK%CF45*K082*<OH>*<ARAL>
 PTERMS(:,85,83) = +TPK%CF45*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(HO2,K083) = +0.16*K083*<OH>*<ARAC>
 PTERMS(:,10,84) = +0.16*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!
RETURN
END SUBROUTINE SUBT13
!
SUBROUTINE SUBT14
!
!Indices 281 a 300
!
!PTERMS(OH,K083) = -K083*<OH>*<ARAC>
 PTERMS(:,15,84) = -TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(ARAC,K083) = -K083*<OH>*<ARAC>
 PTERMS(:,26,84) = -TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(URG7,K083) = +0.1599999*K083*<OH>*<ARAC>
 PTERMS(:,60,84) = +0.1599999*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(RO2T,K083) = +0.1*K083*<OH>*<ARAC>
 PTERMS(:,85,84) = +0.1*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(OH,K084) = -K084*<OH>*<BIOL>
 PTERMS(:,15,85) = -TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(BIOL,K084) = -K084*<OH>*<BIOL>
 PTERMS(:,36,85) = -TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(RO2T,K084) = +K084*<OH>*<BIOL>
 PTERMS(:,85,85) = +TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(NO3,K085) = -K085*<NO3>*<BIOL>
 PTERMS(:,8,86) = -TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(BIOL,K085) = -K085*<NO3>*<BIOL>
 PTERMS(:,36,86) = -TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(RO2T,K085) = +K085*<NO3>*<BIOL>
 PTERMS(:,85,86) = +TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(O3,K086) = -K086*<O3>*<BIOL>
 PTERMS(:,3,87) = -TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(HO2,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,10,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(CO,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,11,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(H2O2,K086) = +0.055*K086*<O3>*<BIOL>
 PTERMS(:,12,87) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(OH,K086) = +0.89*K086*<O3>*<BIOL>
 PTERMS(:,15,87) = +0.89*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(BIOL,K086) = -K086*<O3>*<BIOL>
 PTERMS(:,36,87) = -TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(URG4,K086) = +5.5000000E-02*K086*<O3>*<BIOL>
 PTERMS(:,53,87) = +5.5000000E-02*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(RPR3,K086) = +0.055*K086*<O3>*<BIOL>
 PTERMS(:,57,87) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(RO2T,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,85,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(BIOL,K087) = -K087*<O>*<BIOL>
 PTERMS(:,36,88) = -TPK%K087(:)*TPK%O(:)*PCONC(:,36)
!
!
RETURN
END SUBROUTINE SUBT14
!
SUBROUTINE SUBT15
!
!Indices 301 a 320
!
!PTERMS(URG10,K087) = +0.7500000*K087*<O>*<BIOL>
 PTERMS(:,68,88) = +0.7500000*TPK%K087(:)*TPK%O(:)*PCONC(:,36)
!
!PTERMS(OH,K088) = -K088*<OH>*<BIOH>
 PTERMS(:,15,89) = -TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(BIOH,K088) = -K088*<OH>*<BIOH>
 PTERMS(:,37,89) = -TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(RO2T,K088) = +K088*<OH>*<BIOH>
 PTERMS(:,85,89) = +TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(NO3,K089) = -K089*<NO3>*<BIOH>
 PTERMS(:,8,90) = -TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(BIOH,K089) = -K089*<NO3>*<BIOH>
 PTERMS(:,37,90) = -TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(RO2T,K089) = +K089*<NO3>*<BIOH>
 PTERMS(:,85,90) = +TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(O3,K090) = -K090*<O3>*<BIOH>
 PTERMS(:,3,91) = -TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(CO,K090) = +0.445*K090*<O3>*<BIOH>
 PTERMS(:,11,91) = +0.445*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(H2O2,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,12,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(OH,K090) = +0.89*K090*<O3>*<BIOH>
 PTERMS(:,15,91) = +0.89*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(BIOH,K090) = -K090*<O3>*<BIOH>
 PTERMS(:,37,91) = -TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(UR8,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,54,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(UR7,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,56,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(RO2T,K090) = +0.89*K090*<O3>*<BIOH>
 PTERMS(:,85,91) = +0.89*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(BIOH,K091) = -K091*<O>*<BIOH>
 PTERMS(:,37,92) = -TPK%K091(:)*TPK%O(:)*PCONC(:,37)
!
!PTERMS(HO2,K092) = +0.16*K092*<OH>*<PAH>
 PTERMS(:,10,93) = +0.16*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(OH,K092) = -K092*<OH>*<PAH>
 PTERMS(:,15,93) = -TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(PAH,K092) = -K092*<OH>*<PAH>
 PTERMS(:,27,93) = -TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(URG8,K092) = +0.1600000*K092*<OH>*<PAH>
 PTERMS(:,64,93) = +0.1600000*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!
RETURN
END SUBROUTINE SUBT15
!
SUBROUTINE SUBT16
!
!Indices 321 a 340
!
!PTERMS(RO2T,K092) = +0.1*K092*<OH>*<PAH>
 PTERMS(:,85,93) = +0.1*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(OH,K093) = -K093*<OH>*<ALKH>
 PTERMS(:,15,94) = -TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(ALKH,K093) = -K093*<OH>*<ALKH>
 PTERMS(:,21,94) = -TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(RO2T,K093) = +K093*<OH>*<ALKH>
 PTERMS(:,85,94) = +TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(HO2,K094) = -K094*<HO2>*<RO2T>
 PTERMS(:,10,95) = -TPK%K094(:)*PCONC(:,10)*PCONC(:,85)
!
!PTERMS(RO2T,K094) = -K094*<HO2>*<RO2T>
 PTERMS(:,85,95) = -TPK%K094(:)*PCONC(:,10)*PCONC(:,85)
!
!PTERMS(NO,K095) = -K095*<NO>*<RO2T>
 PTERMS(:,1,96) = -TPK%K095(:)*PCONC(:,1)*PCONC(:,85)
!
!PTERMS(RO2T,K095) = -K095*<NO>*<RO2T>
 PTERMS(:,85,96) = -TPK%K095(:)*PCONC(:,1)*PCONC(:,85)
!
!PTERMS(RO2T,K096) = -K096*<RO2T>*<RO2T>
 PTERMS(:,85,97) = -TPK%K096(:)*PCONC(:,85)*PCONC(:,85)
!
!PTERMS(RO2T,K097) = +K097*<RAD2>
 PTERMS(:,85,98) = +TPK%K097(:)*TPK%RAD2(:)
!
!PTERMS(RO2T,K098) = +K098*<RAD3>
 PTERMS(:,85,99) = +TPK%K098(:)*TPK%RAD3(:)
!
!PTERMS(RO2T,K099) = +K099*<RAD4>
 PTERMS(:,85,100) = +TPK%K099(:)*TPK%RAD4(:)
!
!PTERMS(RO2T,K100) = +K100*<RAD5>
 PTERMS(:,85,101) = +TPK%K100(:)*TPK%RAD5(:)
!
!PTERMS(RO2T,K101) = +K101*<RAD6>
 PTERMS(:,85,102) = +TPK%K101(:)*TPK%RAD6(:)
!
!PTERMS(RO2T,K102) = +K102*<RAD7>
 PTERMS(:,85,103) = +TPK%K102(:)*TPK%RAD7(:)
!
!PTERMS(NO2,K103) = -K103*<NO2>*<RAD1>
 PTERMS(:,2,104) = -TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)
!
!PTERMS(RPR4,K103) = +K103*<NO2>*<RAD1>
 PTERMS(:,61,104) = +TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)
!
!PTERMS(NO2,K104) = -K104*<NO2>*<RAD2>
 PTERMS(:,2,105) = -TPK%K104(:)*PCONC(:,2)*TPK%RAD2(:)
!
!PTERMS(RPR4,K104) = +K104*<NO2>*<RAD2>
 PTERMS(:,61,105) = +TPK%K104(:)*PCONC(:,2)*TPK%RAD2(:)
!
!PTERMS(NO2,K105) = -K105*<NO2>*<RAD3>
 PTERMS(:,2,106) = -TPK%K105(:)*PCONC(:,2)*TPK%RAD3(:)
!
!
RETURN
END SUBROUTINE SUBT16
!
SUBROUTINE SUBT17
!
!Indices 341 a 360
!
!PTERMS(NO2,K106) = -K106*<NO2>*<RAD4>
 PTERMS(:,2,107) = -TPK%K106(:)*PCONC(:,2)*TPK%RAD4(:)
!
!PTERMS(NO2,K107) = -K107*<NO2>*<RAD5>
 PTERMS(:,2,108) = -TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!
!PTERMS(RPR5,K107) = +K107*<NO2>*<RAD5>
 PTERMS(:,70,108) = +TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!
!PTERMS(NO2,K108) = -K108*<NO2>*<RAD6>
 PTERMS(:,2,109) = -TPK%K108(:)*PCONC(:,2)*TPK%RAD6(:)
!
!PTERMS(URG7,K108) = +0.9999993*K108*<NO2>*<RAD6>
 PTERMS(:,60,109) = +0.9999993*TPK%K108(:)*PCONC(:,2)*TPK%RAD6(:)
!
!PTERMS(NO2,K109) = -K109*<NO2>*<RAD7>
 PTERMS(:,2,110) = -TPK%K109(:)*PCONC(:,2)*TPK%RAD7(:)
!
!PTERMS(URG8,K109) = +1.0000000*K109*<NO2>*<RAD7>
 PTERMS(:,64,110) = +1.0000000*TPK%K109(:)*PCONC(:,2)*TPK%RAD7(:)
!
!PTERMS(NO,K110) = -K110*<NO>*<RO21>
 PTERMS(:,1,111) = -TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(NO2,K110) = +K110*<NO>*<RO21>
 PTERMS(:,2,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HO2,K110) = +K110*<NO>*<RO21>
 PTERMS(:,10,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HCHO,K110) = +K110*<NO>*<RO21>
 PTERMS(:,28,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(RO21,K110) = -K110*<NO>*<RO21>
 PTERMS(:,86,111) = -TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HO2,K111) = +K111*<RO2T>*<RO21>
 PTERMS(:,10,112) = +TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(HCHO,K111) = +K111*<RO2T>*<RO21>
 PTERMS(:,28,112) = +TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(RO2T,K111) = -K111*<RO2T>*<RO21>
 PTERMS(:,85,112) = -TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(RO21,K111) = -K111*<RO2T>*<RO21>
 PTERMS(:,86,112) = -TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(HO2,K112) = -K112*<HO2>*<RO21>
 PTERMS(:,10,113) = -TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(OH,K112) = +K112*<HO2>*<RO21>
 PTERMS(:,15,113) = +TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(HCHO,K112) = +K112*<HO2>*<RO21>
 PTERMS(:,28,113) = +TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(RO21,K112) = -K112*<HO2>*<RO21>
 PTERMS(:,86,113) = -TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!
RETURN
END SUBROUTINE SUBT17
!
SUBROUTINE SUBT18
!
!Indices 361 a 380
!
!PTERMS(NO,K113) = -K113*<NO>*<RO22>
 PTERMS(:,1,114) = -TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(NO2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,2,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HO2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,10,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HCHO,K113) = +K113*<NO>*<RO22>
 PTERMS(:,28,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(ALD2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,29,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HO2,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,10,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(HCHO,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,28,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(ALD2,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,29,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(RO2T,K114) = -K114*<RO2T>*<RO22>
 PTERMS(:,85,115) = -TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(HO2,K115) = -K115*<HO2>*<RO22>
 PTERMS(:,10,116) = -TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(OH,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,15,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(HCHO,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,28,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(ALD2,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,29,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(NO,K116) = -K116*<NO>*<RO23>
 PTERMS(:,1,117) = -TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(NO2,K116) = +2.*K116*<NO>*<RO23>
 PTERMS(:,2,117) = +2.*TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(HCHO,K116) = +K116*<NO>*<RO23>
 PTERMS(:,28,117) = +TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(ALD2,K116) = +K116*<NO>*<RO23>
 PTERMS(:,29,117) = +TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(NO2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,2,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(HO2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,10,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(HCHO,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,28,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!
RETURN
END SUBROUTINE SUBT18
!
SUBROUTINE SUBT19
!
!Indices 381 a 400
!
!PTERMS(ALD2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,29,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(RO2T,K117) = -K117*<RO2T>*<RO23>
 PTERMS(:,85,118) = -TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(NO2,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,2,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(HO2,K118) = -K118*<HO2>*<RO23>
 PTERMS(:,10,119) = -TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(OH,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,15,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(HCHO,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,28,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(ALD2,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,29,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(NO,K119) = -K119*<NO>*<RO24>
 PTERMS(:,1,120) = -TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(NO2,K119) = +K119*<NO>*<RO24>
 PTERMS(:,2,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HO2,K119) = +K119*<NO>*<RO24>
 PTERMS(:,10,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(CO,K119) = +K119*<NO>*<RO24>
 PTERMS(:,11,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HCHO,K119) = +K119*<NO>*<RO24>
 PTERMS(:,28,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HO2,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,10,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(CO,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,11,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(HCHO,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,28,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(RO2T,K120) = -K120*<RO2T>*<RO24>
 PTERMS(:,85,121) = -TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(HO2,K121) = -K121*<HO2>*<RO24>
 PTERMS(:,10,122) = -TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(CO,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,11,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(OH,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,15,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(HCHO,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,28,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!
RETURN
END SUBROUTINE SUBT19
!
SUBROUTINE SUBT20
!
!Indices 401 a 420
!
!PTERMS(NO,K122) = -K122*<NO>*<RO25>
 PTERMS(:,1,123) = -TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(NO2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,2,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(HO2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,10,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(ALKL,K122) = +TPK%CF3*K122*<NO>*<RO25>
 PTERMS(:,19,123) = +TPK%CF3*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(ALD2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,29,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(RO25,K122) = -K122*<NO>*<RO25>
 PTERMS(:,87,123) = -TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(HO2,K123) = +K123*<RO2T>*<RO25>
 PTERMS(:,10,124) = +TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(ALD2,K123) = +K123*<RO2T>*<RO25>
 PTERMS(:,29,124) = +TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(RO2T,K123) = -K123*<RO2T>*<RO25>
 PTERMS(:,85,124) = -TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(RO25,K123) = -K123*<RO2T>*<RO25>
 PTERMS(:,87,124) = -TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(HO2,K124) = -K124*<HO2>*<RO25>
 PTERMS(:,10,125) = -TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(OH,K124) = +K124*<HO2>*<RO25>
 PTERMS(:,15,125) = +TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(ALD2,K124) = +K124*<HO2>*<RO25>
 PTERMS(:,29,125) = +TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(RO25,K124) = -K124*<HO2>*<RO25>
 PTERMS(:,87,125) = -TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(NO,K125) = -K125*<NO>*<RO26>
 PTERMS(:,1,126) = -TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(NO2,K125) = +K125*<NO>*<RO26>
 PTERMS(:,2,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(RO2T,K125) = +K125*<NO>*<RO26>
 PTERMS(:,85,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(RO25,K125) = +K125*<NO>*<RO26>
 PTERMS(:,87,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(NO2,K126) = -K126*<NO2>*<RO26>
 PTERMS(:,2,127) = -TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!
!PTERMS(PAN1,K126) = +K126*<NO2>*<RO26>
 PTERMS(:,77,127) = +TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!
!
RETURN
END SUBROUTINE SUBT20
!
SUBROUTINE SUBT21
!
!Indices 421 a 440
!
!PTERMS(NO2,K127) = -K127*<NO2>*<RO28>
 PTERMS(:,2,128) = -TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!
!PTERMS(PAN2,K127) = +K127*<NO2>*<RO28>
 PTERMS(:,78,128) = +TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!
!PTERMS(NO2,K128) = -K128*<NO2>*<RO239>
 PTERMS(:,2,129) = -TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!
!PTERMS(PAN3,K128) = +K128*<NO2>*<RO239>
 PTERMS(:,79,129) = +TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!
!PTERMS(NO2,K129) = -K129*<NO2>*<RO248>
 PTERMS(:,2,130) = -TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!
!PTERMS(PAN4,K129) = +K129*<NO2>*<RO248>
 PTERMS(:,80,130) = +TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!
!PTERMS(NO2,K130) = -K130*<NO2>*<RO250>
 PTERMS(:,2,131) = -TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)
!
!PTERMS(APAN,K130) = +K130*<NO2>*<RO250>
 PTERMS(:,76,131) = +TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)
!
!PTERMS(NO2,K131) = -K131*<NO2>*<RO254>
 PTERMS(:,2,132) = -TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!
!PTERMS(PAN6,K131) = +K131*<NO2>*<RO254>
 PTERMS(:,81,132) = +TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!
!PTERMS(NO2,K132) = -K132*<NO2>*<RO255>
 PTERMS(:,2,133) = -TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!
!PTERMS(PAN7,K132) = +K132*<NO2>*<RO255>
 PTERMS(:,82,133) = +TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!
!PTERMS(NO2,K133) = -K133*<NO2>*<RO257>
 PTERMS(:,2,134) = -TPK%K133(:)*PCONC(:,2)*TPK%RO257(:)
!
!PTERMS(APAN,K133) = +K133*<NO2>*<RO257>
 PTERMS(:,76,134) = +TPK%K133(:)*PCONC(:,2)*TPK%RO257(:)
!
!PTERMS(NO2,K134) = -K134*<NO2>*<RO258>
 PTERMS(:,2,135) = -TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!
!PTERMS(PN10,K134) = +K134*<NO2>*<RO258>
 PTERMS(:,84,135) = +TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!
!PTERMS(NO2,K135) = +K135*<PAN1>
 PTERMS(:,2,136) = +TPK%K135(:)*PCONC(:,77)
!
!PTERMS(PAN1,K135) = -K135*<PAN1>
 PTERMS(:,77,136) = -TPK%K135(:)*PCONC(:,77)
!
!PTERMS(RO2T,K135) = +K135*<PAN1>
 PTERMS(:,85,136) = +TPK%K135(:)*PCONC(:,77)
!
!PTERMS(NO2,K136) = +K136*<PAN2>
 PTERMS(:,2,137) = +TPK%K136(:)*PCONC(:,78)
!
!
RETURN
END SUBROUTINE SUBT21
!
SUBROUTINE SUBT22
!
!Indices 441 a 460
!
!PTERMS(PAN2,K136) = -K136*<PAN2>
 PTERMS(:,78,137) = -TPK%K136(:)*PCONC(:,78)
!
!PTERMS(RO2T,K136) = +K136*<PAN2>
 PTERMS(:,85,137) = +TPK%K136(:)*PCONC(:,78)
!
!PTERMS(NO2,K137) = +K137*<PAN3>
 PTERMS(:,2,138) = +TPK%K137(:)*PCONC(:,79)
!
!PTERMS(PAN3,K137) = -K137*<PAN3>
 PTERMS(:,79,138) = -TPK%K137(:)*PCONC(:,79)
!
!PTERMS(RO2T,K137) = +K137*<PAN3>
 PTERMS(:,85,138) = +TPK%K137(:)*PCONC(:,79)
!
!PTERMS(NO2,K138) = +K138*<PN10>
 PTERMS(:,2,139) = +TPK%K138(:)*PCONC(:,84)
!
!PTERMS(PN10,K138) = -K138*<PN10>
 PTERMS(:,84,139) = -TPK%K138(:)*PCONC(:,84)
!
!PTERMS(RO2T,K138) = +K138*<PN10>
 PTERMS(:,85,139) = +TPK%K138(:)*PCONC(:,84)
!
!PTERMS(NO2,K139) = +1.0000000*K139*<APAN>
 PTERMS(:,2,140) = +1.0000000*TPK%K139(:)*PCONC(:,76)
!
!PTERMS(APAN,K139) = -K139*<APAN>
 PTERMS(:,76,140) = -TPK%K139(:)*PCONC(:,76)
!
!PTERMS(RO2T,K139) = +1.0000000*K139*<APAN>
 PTERMS(:,85,140) = +1.0000000*TPK%K139(:)*PCONC(:,76)
!
!PTERMS(NO2,K140) = +K140*<PAN6>
 PTERMS(:,2,141) = +TPK%K140(:)*PCONC(:,81)
!
!PTERMS(PAN6,K140) = -K140*<PAN6>
 PTERMS(:,81,141) = -TPK%K140(:)*PCONC(:,81)
!
!PTERMS(RO2T,K140) = +K140*<PAN6>
 PTERMS(:,85,141) = +TPK%K140(:)*PCONC(:,81)
!
!PTERMS(NO2,K141) = +K141*<PAN4>
 PTERMS(:,2,142) = +TPK%K141(:)*PCONC(:,80)
!
!PTERMS(PAN4,K141) = -K141*<PAN4>
 PTERMS(:,80,142) = -TPK%K141(:)*PCONC(:,80)
!
!PTERMS(RO2T,K141) = +K141*<PAN4>
 PTERMS(:,85,142) = +TPK%K141(:)*PCONC(:,80)
!
!PTERMS(O3,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,3,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(HO2,K142) = -K142*<HO2>*<RO26>
 PTERMS(:,10,143) = -TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(ORA2,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,44,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!
RETURN
END SUBROUTINE SUBT22
!
SUBROUTINE SUBT23
!
!Indices 461 a 480
!
!PTERMS(ACID,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,45,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(RO2T,K143) = -K143*<RO2T>*<RO26>
 PTERMS(:,85,144) = -TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)
!
!PTERMS(RO25,K143) = +K143*<RO2T>*<RO26>
 PTERMS(:,87,144) = +TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)
!
!PTERMS(NO,K144) = -K144*<NO>*<RO27>
 PTERMS(:,1,145) = -TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(NO2,K144) = +K144*<NO>*<RO27>
 PTERMS(:,2,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(ALD2,K144) = +K144*<NO>*<RO27>
 PTERMS(:,29,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(RO2T,K144) = +K144*<NO>*<RO27>
 PTERMS(:,85,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(ALD2,K145) = +K145*<RO2T>*<RO27>
 PTERMS(:,29,146) = +TPK%K145(:)*PCONC(:,85)*TPK%RO27(:)
!
!PTERMS(RO2T,K145) = -K145*<RO2T>*<RO27>
 PTERMS(:,85,146) = -TPK%K145(:)*PCONC(:,85)*TPK%RO27(:)
!
!PTERMS(HO2,K146) = -K146*<HO2>*<RO27>
 PTERMS(:,10,147) = -TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(OH,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,15,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(ALD2,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,29,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(RO2T,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,85,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(NO,K147) = -K147*<NO>*<RO28>
 PTERMS(:,1,148) = -TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(NO2,K147) = +K147*<NO>*<RO28>
 PTERMS(:,2,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(RO2T,K147) = +K147*<NO>*<RO28>
 PTERMS(:,85,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(RO21,K147) = +K147*<NO>*<RO28>
 PTERMS(:,86,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(O3,K148) = +K148*<HO2>*<RO28>
 PTERMS(:,3,149) = +TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!PTERMS(HO2,K148) = -K148*<HO2>*<RO28>
 PTERMS(:,10,149) = -TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!PTERMS(ORA2,K148) = +K148*<HO2>*<RO28>
 PTERMS(:,44,149) = +TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!
RETURN
END SUBROUTINE SUBT23
!
SUBROUTINE SUBT24
!
!Indices 481 a 500
!
!PTERMS(RO2T,K149) = -K149*<RO2T>*<RO28>
 PTERMS(:,85,150) = -TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)
!
!PTERMS(RO21,K149) = +K149*<RO2T>*<RO28>
 PTERMS(:,86,150) = +TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)
!
!PTERMS(NO,K150) = -K150*<NO>*<RO29>
 PTERMS(:,1,151) = -TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(NO2,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,2,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HO2,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,10,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(OLEL,K150) = +TPK%CF5*K150*<NO>*<RO29>
 PTERMS(:,17,151) = +TPK%CF5*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HCHO,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,28,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(MVK,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,39,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HO2,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,10,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(HCHO,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,28,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(MVK,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,39,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(RO2T,K151) = -K151*<RO2T>*<RO29>
 PTERMS(:,85,152) = -TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(HO2,K152) = -K152*<HO2>*<RO29>
 PTERMS(:,10,153) = -TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(OH,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,15,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(HCHO,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,28,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(MVK,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,39,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(NO,K153) = -K153*<NO>*<RO210>
 PTERMS(:,1,154) = -TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(NO2,K153) = +K153*<NO>*<RO210>
 PTERMS(:,2,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HO2,K153) = +K153*<NO>*<RO210>
 PTERMS(:,10,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HCHO,K153) = +K153*<NO>*<RO210>
 PTERMS(:,28,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!
RETURN
END SUBROUTINE SUBT24
!
SUBROUTINE SUBT25
!
!Indices 501 a 520
!
!PTERMS(MCR,K153) = +K153*<NO>*<RO210>
 PTERMS(:,40,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HO2,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,10,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(HCHO,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,28,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(MCR,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,40,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(RO2T,K154) = -K154*<RO2T>*<RO210>
 PTERMS(:,85,155) = -TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(HO2,K155) = -K155*<HO2>*<RO210>
 PTERMS(:,10,156) = -TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(OH,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,15,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(HCHO,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,28,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(MCR,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,40,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(NO,K156) = -K156*<NO>*<RO211>
 PTERMS(:,1,157) = -TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(NO2,K156) = +2.*K156*<NO>*<RO211>
 PTERMS(:,2,157) = +2.*TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(HCHO,K156) = +K156*<NO>*<RO211>
 PTERMS(:,28,157) = +TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(MVK,K156) = +K156*<NO>*<RO211>
 PTERMS(:,39,157) = +TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(NO2,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,2,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(HCHO,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,28,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(MVK,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,39,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(RO2T,K157) = -K157*<RO2T>*<RO211>
 PTERMS(:,85,158) = -TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(NO2,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,2,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(HO2,K158) = -K158*<HO2>*<RO211>
 PTERMS(:,10,159) = -TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(OH,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,15,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!
RETURN
END SUBROUTINE SUBT25
!
SUBROUTINE SUBT26
!
!Indices 521 a 540
!
!PTERMS(HCHO,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,28,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(MVK,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,39,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(NO,K159) = -K159*<NO>*<RO212>
 PTERMS(:,1,160) = -TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(NO2,K159) = +2.*K159*<NO>*<RO212>
 PTERMS(:,2,160) = +2.*TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(HCHO,K159) = +K159*<NO>*<RO212>
 PTERMS(:,28,160) = +TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(MCR,K159) = +K159*<NO>*<RO212>
 PTERMS(:,40,160) = +TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(NO2,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,2,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(HCHO,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,28,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(MCR,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,40,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(RO2T,K160) = -K160*<RO2T>*<RO212>
 PTERMS(:,85,161) = -TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(NO2,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,2,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(HO2,K161) = -K161*<HO2>*<RO212>
 PTERMS(:,10,162) = -TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(OH,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,15,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(HCHO,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,28,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(MCR,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,40,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(NO,K162) = -K162*<NO>*<RO213>
 PTERMS(:,1,163) = -TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(NO2,K162) = +K162*<NO>*<RO213>
 PTERMS(:,2,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(HCHO,K162) = +K162*<NO>*<RO213>
 PTERMS(:,28,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(RO2T,K162) = +K162*<NO>*<RO213>
 PTERMS(:,85,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(HCHO,K163) = +K163*<RO2T>*<RO213>
 PTERMS(:,28,164) = +TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)
!
!
RETURN
END SUBROUTINE SUBT26
!
SUBROUTINE SUBT27
!
!Indices 541 a 560
!
!PTERMS(RO2T,K163) = -K163*<RO2T>*<RO213>
 PTERMS(:,85,164) = -TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)
!
!PTERMS(HO2,K164) = -K164*<HO2>*<RO213>
 PTERMS(:,10,165) = -TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(OH,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,15,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(HCHO,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,28,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(RO2T,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,85,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(NO,K165) = -K165*<NO>*<RO239>
 PTERMS(:,1,166) = -TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(NO2,K165) = +K165*<NO>*<RO239>
 PTERMS(:,2,166) = +TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(RO2T,K165) = +K165*<NO>*<RO239>
 PTERMS(:,85,166) = +TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(O3,K166) = +K166*<HO2>*<RO239>
 PTERMS(:,3,167) = +TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(HO2,K166) = -K166*<HO2>*<RO239>
 PTERMS(:,10,167) = -TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(OLEL,K166) = +0.5*K166*<HO2>*<RO239>
 PTERMS(:,17,167) = +0.5*TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(ORA2,K166) = +0.5*K166*<HO2>*<RO239>
 PTERMS(:,44,167) = +0.5*TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(RO2T,K167) = -K167*<RO2T>*<RO239>
 PTERMS(:,85,168) = -TPK%K167(:)*PCONC(:,85)*TPK%RO239(:)
!
!PTERMS(NO,K168) = -K168*<NO>*<RO214>
 PTERMS(:,1,169) = -TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(NO2,K168) = +TPK%CF8*K168*<NO>*<RO214>
 PTERMS(:,2,169) = +TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(OLEL,K168) = +TPK%CF7*K168*<NO>*<RO214>
 PTERMS(:,17,169) = +TPK%CF7*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(RO2T,K168) = +TPK%CF8*K168*<NO>*<RO214>
 PTERMS(:,85,169) = +TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(RO2T,K169) = -K169*<RO2T>*<RO214>
 PTERMS(:,85,170) = -TPK%K169(:)*PCONC(:,85)*TPK%RO214(:)
!
!PTERMS(HO2,K170) = -K170*<HO2>*<RO214>
 PTERMS(:,10,171) = -TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!PTERMS(OH,K170) = +K170*<HO2>*<RO214>
 PTERMS(:,15,171) = +TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!
RETURN
END SUBROUTINE SUBT27
!
SUBROUTINE SUBT28
!
!Indices 561 a 580
!
!PTERMS(RO2T,K170) = +K170*<HO2>*<RO214>
 PTERMS(:,85,171) = +TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!PTERMS(NO,K171) = -K171*<NO>*<RO215>
 PTERMS(:,1,172) = -TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(NO2,K171) = +K171*<NO>*<RO215>
 PTERMS(:,2,172) = +TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HO2,K171) = +K171*<NO>*<RO215>
 PTERMS(:,10,172) = +TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(ALKL,K171) = +TPK%CF12*K171*<NO>*<RO215>
 PTERMS(:,19,172) = +TPK%CF12*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HCHO,K171) = +TPK%CF10*K171*<NO>*<RO215>
 PTERMS(:,28,172) = +TPK%CF10*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(ALD2,K171) = +TPK%CF9*K171*<NO>*<RO215>
 PTERMS(:,29,172) = +TPK%CF9*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(KETL,K171) = +TPK%CF11*K171*<NO>*<RO215>
 PTERMS(:,30,172) = +TPK%CF11*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HO2,K172) = +K172*<RO2T>*<RO215>
 PTERMS(:,10,173) = +TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(ALKL,K172) = +TPK%CF16*K172*<RO2T>*<RO215>
 PTERMS(:,19,173) = +TPK%CF16*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(HCHO,K172) = +TPK%CF14*K172*<RO2T>*<RO215>
 PTERMS(:,28,173) = +TPK%CF14*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(ALD2,K172) = +TPK%CF13*K172*<RO2T>*<RO215>
 PTERMS(:,29,173) = +TPK%CF13*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(KETL,K172) = +TPK%CF15*K172*<RO2T>*<RO215>
 PTERMS(:,30,173) = +TPK%CF15*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(RO2T,K172) = -K172*<RO2T>*<RO215>
 PTERMS(:,85,173) = -TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(HO2,K173) = -K173*<HO2>*<RO215>
 PTERMS(:,10,174) = -TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(OH,K173) = +K173*<HO2>*<RO215>
 PTERMS(:,15,174) = +TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(ALKL,K173) = +TPK%CF16*K173*<HO2>*<RO215>
 PTERMS(:,19,174) = +TPK%CF16*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(HCHO,K173) = +TPK%CF14*K173*<HO2>*<RO215>
 PTERMS(:,28,174) = +TPK%CF14*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(ALD2,K173) = +TPK%CF13*K173*<HO2>*<RO215>
 PTERMS(:,29,174) = +TPK%CF13*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(KETL,K173) = +TPK%CF15*K173*<HO2>*<RO215>
 PTERMS(:,30,174) = +TPK%CF15*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!
RETURN
END SUBROUTINE SUBT28
!
SUBROUTINE SUBT29
!
!Indices 581 a 600
!
!PTERMS(NO,K174) = -K174*<NO>*<RO216>
 PTERMS(:,1,175) = -TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(NO2,K174) = +K174*<NO>*<RO216>
 PTERMS(:,2,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(ALD2,K174) = +K174*<NO>*<RO216>
 PTERMS(:,29,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(RO2T,K174) = +K174*<NO>*<RO216>
 PTERMS(:,85,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(ALD2,K175) = +K175*<RO2T>*<RO216>
 PTERMS(:,29,176) = +TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)
!
!PTERMS(RO2T,K175) = -K175*<RO2T>*<RO216>
 PTERMS(:,85,176) = -TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)
!
!PTERMS(HO2,K176) = -K176*<HO2>*<RO216>
 PTERMS(:,10,177) = -TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(OH,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,15,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(ALD2,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,29,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(RO2T,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,85,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(NO,K177) = -K177*<NO>*<RO217>
 PTERMS(:,1,178) = -TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(NO2,K177) = +TPK%CF22*K177*<NO>*<RO217>
 PTERMS(:,2,178) = +TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(HO2,K177) = +TPK%CF22*K177*<NO>*<RO217>
 PTERMS(:,10,178) = +TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(URG6,K177) = +TPK%CF21*K177*<NO>*<RO217>
 PTERMS(:,58,178) = +TPK%CF21*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(RPRL,K177) = +TPK%CFA2*K177*<NO>*<RO217>
 PTERMS(:,75,178) = +TPK%CFA2*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(HO2,K178) = +K178*<RO2T>*<RO217>
 PTERMS(:,10,179) = +TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(RPRL,K178) = +0.9983609*K178*<RO2T>*<RO217>
 PTERMS(:,75,179) = +0.9983609*TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(RO2T,K178) = -K178*<RO2T>*<RO217>
 PTERMS(:,85,179) = -TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(HO2,K179) = -K179*<HO2>*<RO217>
 PTERMS(:,10,180) = -TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!PTERMS(OH,K179) = +K179*<HO2>*<RO217>
 PTERMS(:,15,180) = +TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!
RETURN
END SUBROUTINE SUBT29
!
SUBROUTINE SUBT30
!
!Indices 601 a 620
!
!PTERMS(RPRL,K179) = +0.9983609*K179*<HO2>*<RO217>
 PTERMS(:,75,180) = +0.9983609*TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!PTERMS(NO,K180) = -K180*<NO>*<RO218>
 PTERMS(:,1,181) = -TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(NO2,K180) = +TPK%CF20*K180*<NO>*<RO218>
 PTERMS(:,2,181) = +TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(HO2,K180) = +TPK%CF20*K180*<NO>*<RO218>
 PTERMS(:,10,181) = +TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(HO2,K181) = +K181*<RO2T>*<RO218>
 PTERMS(:,10,182) = +TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)
!
!PTERMS(RO2T,K181) = -K181*<RO2T>*<RO218>
 PTERMS(:,85,182) = -TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)
!
!PTERMS(HO2,K182) = -K182*<HO2>*<RO218>
 PTERMS(:,10,183) = -TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)
!
!PTERMS(OH,K182) = +K182*<HO2>*<RO218>
 PTERMS(:,15,183) = +TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)
!
!PTERMS(NO,K183) = -K183*<NO>*<RO219>
 PTERMS(:,1,184) = -TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(NO2,K183) = +2.*K183*<NO>*<RO219>
 PTERMS(:,2,184) = +2.*TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(HCHO,K183) = +K183*<NO>*<RO219>
 PTERMS(:,28,184) = +TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(RPR1,K183) = +K183*<NO>*<RO219>
 PTERMS(:,69,184) = +TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(NO2,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,2,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(HCHO,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,28,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(RPR1,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,69,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(RO2T,K184) = -K184*<RO2T>*<RO219>
 PTERMS(:,85,185) = -TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(NO2,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,2,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(HO2,K185) = -K185*<HO2>*<RO219>
 PTERMS(:,10,186) = -TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(OH,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,15,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(HCHO,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,28,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!
RETURN
END SUBROUTINE SUBT30
!
SUBROUTINE SUBT31
!
!Indices 621 a 640
!
!PTERMS(RPR1,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,69,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(NO,K186) = -K186*<NO>*<RO220>
 PTERMS(:,1,187) = -TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(NO2,K186) = +TPK%CF18*K186*<NO>*<RO220>
 PTERMS(:,2,187) = +TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(RO2T,K186) = +TPK%CF18*K186*<NO>*<RO220>
 PTERMS(:,85,187) = +TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(RO2T,K187) = -K187*<RO2T>*<RO220>
 PTERMS(:,85,188) = -TPK%K187(:)*PCONC(:,85)*TPK%RO220(:)
!
!PTERMS(HO2,K188) = -K188*<HO2>*<RO220>
 PTERMS(:,10,189) = -TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(OH,K188) = +K188*<HO2>*<RO220>
 PTERMS(:,15,189) = +TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(RO2T,K188) = +K188*<HO2>*<RO220>
 PTERMS(:,85,189) = +TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(NO,K189) = -K189*<NO>*<RO221>
 PTERMS(:,1,190) = -TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(NO2,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,2,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(HO2,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,10,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(ARAL,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,25,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(HO2,K190) = +K190*<RO2T>*<RO221>
 PTERMS(:,10,191) = +TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(ARAL,K190) = +K190*<RO2T>*<RO221>
 PTERMS(:,25,191) = +TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(RO2T,K190) = -K190*<RO2T>*<RO221>
 PTERMS(:,85,191) = -TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(HO2,K191) = -K191*<HO2>*<RO221>
 PTERMS(:,10,192) = -TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(OH,K191) = +K191*<HO2>*<RO221>
 PTERMS(:,15,192) = +TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(ARAL,K191) = +K191*<HO2>*<RO221>
 PTERMS(:,25,192) = +TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(NO,K192) = -K192*<NO>*<RO222>
 PTERMS(:,1,193) = -TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(NO2,K192) = +TPK%CF42*K192*<NO>*<RO222>
 PTERMS(:,2,193) = +TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!
RETURN
END SUBROUTINE SUBT31
!
SUBROUTINE SUBT32
!
!Indices 641 a 660
!
!PTERMS(HO2,K192) = +TPK%CF42*K192*<NO>*<RO222>
 PTERMS(:,10,193) = +TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(RPRL,K192) = +TPK%CFA7*K192*<NO>*<RO222>
 PTERMS(:,75,193) = +TPK%CFA7*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(HO2,K193) = +K193*<RO2T>*<RO222>
 PTERMS(:,10,194) = +TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(RPRL,K193) = +0.9983609*K193*<RO2T>*<RO222>
 PTERMS(:,75,194) = +0.9983609*TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(RO2T,K193) = -K193*<RO2T>*<RO222>
 PTERMS(:,85,194) = -TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(HO2,K194) = -K194*<HO2>*<RO222>
 PTERMS(:,10,195) = -TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(OH,K194) = +K194*<HO2>*<RO222>
 PTERMS(:,15,195) = +TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(RPRL,K194) = +0.9983609*K194*<HO2>*<RO222>
 PTERMS(:,75,195) = +0.9983609*TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(NO,K195) = -K195*<NO>*<RO223>
 PTERMS(:,1,196) = -TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(NO2,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,2,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(HO2,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,10,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(URG6,K195) = +TPK%CF43*K195*<NO>*<RO223>
 PTERMS(:,58,196) = +TPK%CF43*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(RPR7,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,62,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(HO2,K196) = +K196*<RO2T>*<RO223>
 PTERMS(:,10,197) = +TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(RPR7,K196) = +K196*<RO2T>*<RO223>
 PTERMS(:,62,197) = +TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(RO2T,K196) = -K196*<RO2T>*<RO223>
 PTERMS(:,85,197) = -TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(HO2,K197) = -K197*<HO2>*<RO223>
 PTERMS(:,10,198) = -TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(OH,K197) = +K197*<HO2>*<RO223>
 PTERMS(:,15,198) = +TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(RPR7,K197) = +K197*<HO2>*<RO223>
 PTERMS(:,62,198) = +TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(NO,K198) = -K198*<NO>*<RO224>
 PTERMS(:,1,199) = -TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!
RETURN
END SUBROUTINE SUBT32
!
SUBROUTINE SUBT33
!
!Indices 661 a 680
!
!PTERMS(NO2,K198) = +TPK%CF26*K198*<NO>*<RO224>
 PTERMS(:,2,199) = +TPK%CF26*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(HO2,K198) = +TPK%CF26*K198*<NO>*<RO224>
 PTERMS(:,10,199) = +TPK%CF26*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(RPR3,K198) = +TPK%CFA10*K198*<NO>*<RO224>
 PTERMS(:,57,199) = +TPK%CFA10*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(AP7,K198) = +TPK%CFA23*K198*<NO>*<RO224>
 PTERMS(:,67,199) = +TPK%CFA23*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(HO2,K199) = +K199*<RO2T>*<RO224>
 PTERMS(:,10,200) = +TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(RPR3,K199) = +K199*<RO2T>*<RO224>
 PTERMS(:,57,200) = +TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(RO2T,K199) = -K199*<RO2T>*<RO224>
 PTERMS(:,85,200) = -TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(HO2,K200) = -K200*<HO2>*<RO224>
 PTERMS(:,10,201) = -TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(OH,K200) = +K200*<HO2>*<RO224>
 PTERMS(:,15,201) = +TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(RPR3,K200) = +K200*<HO2>*<RO224>
 PTERMS(:,57,201) = +TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(NO,K201) = -K201*<NO>*<RO225>
 PTERMS(:,1,202) = -TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(NO2,K201) = +2.*K201*<NO>*<RO225>
 PTERMS(:,2,202) = +2.*TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(RPR3,K201) = +K201*<NO>*<RO225>
 PTERMS(:,57,202) = +TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(NO2,K202) = +K202*<RO2T>*<RO225>
 PTERMS(:,2,203) = +TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(RPR3,K202) = +K202*<RO2T>*<RO225>
 PTERMS(:,57,203) = +TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(RO2T,K202) = -K202*<RO2T>*<RO225>
 PTERMS(:,85,203) = -TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(NO2,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,2,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(HO2,K203) = -K203*<HO2>*<RO225>
 PTERMS(:,10,204) = -TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(OH,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,15,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(RPR3,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,57,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!
RETURN
END SUBROUTINE SUBT33
!
SUBROUTINE SUBT34
!
!Indices 681 a 700
!
!PTERMS(NO,K204) = -K204*<NO>*<RO226>
 PTERMS(:,1,205) = -TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(NO2,K204) = +K204*<NO>*<RO226>
 PTERMS(:,2,205) = +TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(UR17,K204) = +1.0000000*K204*<NO>*<RO226>
 PTERMS(:,55,205) = +1.0000000*TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(RO2T,K204) = +K204*<NO>*<RO226>
 PTERMS(:,85,205) = +TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(UR17,K205) = +1.0000000*K205*<RO2T>*<RO226>
 PTERMS(:,55,206) = +1.0000000*TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)
!
!PTERMS(RO2T,K205) = -K205*<RO2T>*<RO226>
 PTERMS(:,85,206) = -TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)
!
!PTERMS(HO2,K206) = -K206*<HO2>*<RO226>
 PTERMS(:,10,207) = -TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(OH,K206) = +K206*<HO2>*<RO226>
 PTERMS(:,15,207) = +TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(UR17,K206) = +1.0000000*K206*<HO2>*<RO226>
 PTERMS(:,55,207) = +1.0000000*TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(RO2T,K206) = +K206*<HO2>*<RO226>
 PTERMS(:,85,207) = +TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(NO,K207) = -K207*<NO>*<RO227>
 PTERMS(:,1,208) = -TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(NO2,K207) = +TPK%CF28*K207*<NO>*<RO227>
 PTERMS(:,2,208) = +TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(HO2,K207) = +TPK%CF28*K207*<NO>*<RO227>
 PTERMS(:,10,208) = +TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(UR7,K207) = +TPK%CFA12*K207*<NO>*<RO227>
 PTERMS(:,56,208) = +TPK%CFA12*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(URG10,K207) = +TPK%CF27*K207*<NO>*<RO227>
 PTERMS(:,68,208) = +TPK%CF27*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(HO2,K208) = +K208*<RO2T>*<RO227>
 PTERMS(:,10,209) = +TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(UR7,K208) = +K208*<RO2T>*<RO227>
 PTERMS(:,56,209) = +TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(RO2T,K208) = -K208*<RO2T>*<RO227>
 PTERMS(:,85,209) = -TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(HO2,K209) = -K209*<HO2>*<RO227>
 PTERMS(:,10,210) = -TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!PTERMS(OH,K209) = +K209*<HO2>*<RO227>
 PTERMS(:,15,210) = +TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!
RETURN
END SUBROUTINE SUBT34
!
SUBROUTINE SUBT35
!
!Indices 701 a 720
!
!PTERMS(UR7,K209) = +0.3*K209*<HO2>*<RO227>
 PTERMS(:,56,210) = +0.3*TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!PTERMS(NO,K210) = -K210*<NO>*<RO228>
 PTERMS(:,1,211) = -TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(NO2,K210) = +2.*K210*<NO>*<RO228>
 PTERMS(:,2,211) = +2.*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(UR7,K210) = +0.3*K210*<NO>*<RO228>
 PTERMS(:,56,211) = +0.3*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(NO2,K211) = +K211*<RO2T>*<RO228>
 PTERMS(:,2,212) = +TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(UR7,K211) = +0.3*K211*<RO2T>*<RO228>
 PTERMS(:,56,212) = +0.3*TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(RO2T,K211) = -K211*<RO2T>*<RO228>
 PTERMS(:,85,212) = -TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(NO2,K212) = +K212*<HO2>*<RO228>
 PTERMS(:,2,213) = +TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(HO2,K212) = -K212*<HO2>*<RO228>
 PTERMS(:,10,213) = -TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(OH,K212) = +K212*<HO2>*<RO228>
 PTERMS(:,15,213) = +TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(UR7,K212) = +0.3*K212*<HO2>*<RO228>
 PTERMS(:,56,213) = +0.3*TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(NO,K213) = -K213*<NO>*<RO229>
 PTERMS(:,1,214) = -TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(NO2,K213) = +TPK%CF30*K213*<NO>*<RO229>
 PTERMS(:,2,214) = +TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(RO2T,K213) = +TPK%CF30*K213*<NO>*<RO229>
 PTERMS(:,85,214) = +TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(RO2T,K214) = -K214*<RO2T>*<RO229>
 PTERMS(:,85,215) = -TPK%K214(:)*PCONC(:,85)*TPK%RO229(:)
!
!PTERMS(HO2,K215) = -K215*<HO2>*<RO229>
 PTERMS(:,10,216) = -TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(OH,K215) = +K215*<HO2>*<RO229>
 PTERMS(:,15,216) = +TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(RO2T,K215) = +K215*<HO2>*<RO229>
 PTERMS(:,85,216) = +TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(NO,K216) = -K216*<NO>*<RO240>
 PTERMS(:,1,217) = -TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(NO2,K216) = +K216*<NO>*<RO240>
 PTERMS(:,2,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!
RETURN
END SUBROUTINE SUBT35
!
SUBROUTINE SUBT36
!
!Indices 721 a 740
!
!PTERMS(RPR8,K216) = +K216*<NO>*<RO240>
 PTERMS(:,71,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(RO2T,K216) = +K216*<NO>*<RO240>
 PTERMS(:,85,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(RPR8,K217) = +K217*<RO2T>*<RO240>
 PTERMS(:,71,218) = +TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)
!
!PTERMS(RO2T,K217) = -K217*<RO2T>*<RO240>
 PTERMS(:,85,218) = -TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)
!
!PTERMS(HO2,K218) = -K218*<HO2>*<RO240>
 PTERMS(:,10,219) = -TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(OH,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,15,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RPR8,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,71,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RO2T,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,85,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RO2T,K219) = -K219*<RO2T>*<RO230>
 PTERMS(:,85,220) = -TPK%K219(:)*PCONC(:,85)*TPK%RO230(:)
!
!PTERMS(HO2,K220) = -K220*<HO2>*<RO230>
 PTERMS(:,10,221) = -TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(OH,K220) = +K220*<HO2>*<RO230>
 PTERMS(:,15,221) = +TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(RO2T,K220) = +K220*<HO2>*<RO230>
 PTERMS(:,85,221) = +TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(NO,K221) = -K221*<NO>*<RO231>
 PTERMS(:,1,222) = -TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(NO2,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,2,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(HO2,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,10,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(URG8,K221) = +TPK%CF31*K221*<NO>*<RO231>
 PTERMS(:,64,222) = +TPK%CF31*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(UR19,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,65,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(HO2,K222) = +K222*<RO2T>*<RO231>
 PTERMS(:,10,223) = +TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!PTERMS(UR19,K222) = +K222*<RO2T>*<RO231>
 PTERMS(:,65,223) = +TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!PTERMS(RO2T,K222) = -K222*<RO2T>*<RO231>
 PTERMS(:,85,223) = -TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!
RETURN
END SUBROUTINE SUBT36
!
SUBROUTINE SUBT37
!
!Indices 741 a 760
!
!PTERMS(HO2,K223) = -K223*<HO2>*<RO231>
 PTERMS(:,10,224) = -TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(OH,K223) = +K223*<HO2>*<RO231>
 PTERMS(:,15,224) = +TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(UR19,K223) = +K223*<HO2>*<RO231>
 PTERMS(:,65,224) = +TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(NO,K224) = -K224*<NO>*<RO232>
 PTERMS(:,1,225) = -TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(NO2,K224) = +TPK%CF34*K224*<NO>*<RO232>
 PTERMS(:,2,225) = +TPK%CF34*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(URG9,K224) = +TPK%CFA14*K224*<NO>*<RO232>
 PTERMS(:,66,225) = +TPK%CFA14*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(RO2T,K224) = +TPK%CF34*K224*<NO>*<RO232>
 PTERMS(:,85,225) = +TPK%CF34*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(RO2T,K225) = -K225*<RO2T>*<RO232>
 PTERMS(:,85,226) = -TPK%K225(:)*PCONC(:,85)*TPK%RO232(:)
!
!PTERMS(HO2,K226) = -K226*<HO2>*<RO232>
 PTERMS(:,10,227) = -TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(OH,K226) = +K226*<HO2>*<RO232>
 PTERMS(:,15,227) = +TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(RO2T,K226) = +K226*<HO2>*<RO232>
 PTERMS(:,85,227) = +TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(NO,K227) = -K227*<NO>*<RO241>
 PTERMS(:,1,228) = -TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(NO2,K227) = +TPK%CF36*K227*<NO>*<RO241>
 PTERMS(:,2,228) = +TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(HO2,K227) = +TPK%CF36*K227*<NO>*<RO241>
 PTERMS(:,10,228) = +TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(URG9,K227) = +TPK%CFA15*K227*<NO>*<RO241>
 PTERMS(:,66,228) = +TPK%CFA15*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(HO2,K228) = +K228*<RO2T>*<RO241>
 PTERMS(:,10,229) = +TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(URG9,K228) = +0.9999996*K228*<RO2T>*<RO241>
 PTERMS(:,66,229) = +0.9999996*TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(RO2T,K228) = -K228*<RO2T>*<RO241>
 PTERMS(:,85,229) = -TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(HO2,K229) = -K229*<HO2>*<RO241>
 PTERMS(:,10,230) = -TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!PTERMS(OH,K229) = +K229*<HO2>*<RO241>
 PTERMS(:,15,230) = +TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!
RETURN
END SUBROUTINE SUBT37
!
SUBROUTINE SUBT38
!
!Indices 761 a 780
!
!PTERMS(URG9,K229) = +0.9999996*K229*<HO2>*<RO241>
 PTERMS(:,66,230) = +0.9999996*TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!PTERMS(RO2T,K230) = +K230*<RO233>
 PTERMS(:,85,231) = +TPK%K230(:)*TPK%RO233(:)
!
!PTERMS(NO,K231) = -K231*<NO>*<RO233>
 PTERMS(:,1,232) = -TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(NO2,K231) = +K231*<NO>*<RO233>
 PTERMS(:,2,232) = +TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(HO2,K231) = +K231*<NO>*<RO233>
 PTERMS(:,10,232) = +TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(RPG3,K231) = +0.3000000*K231*<NO>*<RO233>
 PTERMS(:,52,232) = +0.3000000*TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(HO2,K232) = +K232*<RO2T>*<RO233>
 PTERMS(:,10,233) = +TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(RPG3,K232) = +1.0000000*K232*<RO2T>*<RO233>
 PTERMS(:,52,233) = +1.0000000*TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(RO2T,K232) = -K232*<RO2T>*<RO233>
 PTERMS(:,85,233) = -TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(HO2,K233) = -K233*<HO2>*<RO233>
 PTERMS(:,10,234) = -TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(OH,K233) = +K233*<HO2>*<RO233>
 PTERMS(:,15,234) = +TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(RPG3,K233) = +0.3000000*K233*<HO2>*<RO233>
 PTERMS(:,52,234) = +0.3000000*TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(NO,K234) = -K234*<NO>*<RO242>
 PTERMS(:,1,235) = -TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(NO2,K234) = +K234*<NO>*<RO242>
 PTERMS(:,2,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(HO2,K234) = +K234*<NO>*<RO242>
 PTERMS(:,10,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(MGLY,K234) = +K234*<NO>*<RO242>
 PTERMS(:,41,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(RP10,K234) = +K234*<NO>*<RO242>
 PTERMS(:,72,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(HO2,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,10,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(MGLY,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,41,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(RP10,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,72,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!
RETURN
END SUBROUTINE SUBT38
!
SUBROUTINE SUBT39
!
!Indices 781 a 800
!
!PTERMS(RO2T,K235) = -K235*<RO2T>*<RO242>
 PTERMS(:,85,236) = -TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(HO2,K236) = -K236*<HO2>*<RO242>
 PTERMS(:,10,237) = -TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(OH,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,15,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(MGLY,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,41,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(RP10,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,72,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(RO2T,K237) = +K237*<RO234>
 PTERMS(:,85,238) = +TPK%K237(:)*TPK%RO234(:)
!
!PTERMS(NO,K238) = -K238*<NO>*<RO234>
 PTERMS(:,1,239) = -TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(NO2,K238) = +K238*<NO>*<RO234>
 PTERMS(:,2,239) = +TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(HO2,K238) = +K238*<NO>*<RO234>
 PTERMS(:,10,239) = +TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(RP11,K238) = +0.3*K238*<NO>*<RO234>
 PTERMS(:,73,239) = +0.3*TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(HO2,K239) = +K239*<RO2T>*<RO234>
 PTERMS(:,10,240) = +TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(RP11,K239) = +K239*<RO2T>*<RO234>
 PTERMS(:,73,240) = +TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(RO2T,K239) = -K239*<RO2T>*<RO234>
 PTERMS(:,85,240) = -TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(HO2,K240) = -K240*<HO2>*<RO234>
 PTERMS(:,10,241) = -TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(OH,K240) = +K240*<HO2>*<RO234>
 PTERMS(:,15,241) = +TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(RP11,K240) = +0.3*K240*<HO2>*<RO234>
 PTERMS(:,73,241) = +0.3*TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(NO,K241) = -K241*<NO>*<RO243>
 PTERMS(:,1,242) = -TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(NO2,K241) = +K241*<NO>*<RO243>
 PTERMS(:,2,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(HO2,K241) = +K241*<NO>*<RO243>
 PTERMS(:,10,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(MGLY,K241) = +K241*<NO>*<RO243>
 PTERMS(:,41,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!
RETURN
END SUBROUTINE SUBT39
!
SUBROUTINE SUBT40
!
!Indices 801 a 820
!
!PTERMS(RP10,K241) = +K241*<NO>*<RO243>
 PTERMS(:,72,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(HO2,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,10,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(MGLY,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,41,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(RP10,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,72,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(RO2T,K242) = -K242*<RO2T>*<RO243>
 PTERMS(:,85,243) = -TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(HO2,K243) = -K243*<HO2>*<RO243>
 PTERMS(:,10,244) = -TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(OH,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,15,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(MGLY,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,41,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(RP10,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,72,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(RO2T,K244) = +K244*<RO235>
 PTERMS(:,85,245) = +TPK%K244(:)*TPK%RO235(:)
!
!PTERMS(NO,K245) = -K245*<NO>*<RO235>
 PTERMS(:,1,246) = -TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(NO2,K245) = +K245*<NO>*<RO235>
 PTERMS(:,2,246) = +TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(HO2,K245) = +K245*<NO>*<RO235>
 PTERMS(:,10,246) = +TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(RP11,K245) = +0.5*K245*<NO>*<RO235>
 PTERMS(:,73,246) = +0.5*TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(HO2,K246) = +K246*<RO2T>*<RO235>
 PTERMS(:,10,247) = +TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(RP11,K246) = +K246*<RO2T>*<RO235>
 PTERMS(:,73,247) = +TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(RO2T,K246) = -K246*<RO2T>*<RO235>
 PTERMS(:,85,247) = -TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(HO2,K247) = -K247*<HO2>*<RO235>
 PTERMS(:,10,248) = -TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!PTERMS(OH,K247) = +K247*<HO2>*<RO235>
 PTERMS(:,15,248) = +TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!PTERMS(RP11,K247) = +K247*<HO2>*<RO235>
 PTERMS(:,73,248) = +TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!
RETURN
END SUBROUTINE SUBT40
!
SUBROUTINE SUBT41
!
!Indices 821 a 840
!
!PTERMS(NO,K248) = -K248*<NO>*<RO244>
 PTERMS(:,1,249) = -TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(NO2,K248) = +K248*<NO>*<RO244>
 PTERMS(:,2,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(HO2,K248) = +K248*<NO>*<RO244>
 PTERMS(:,10,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(MGLY,K248) = +K248*<NO>*<RO244>
 PTERMS(:,41,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(RP10,K248) = +K248*<NO>*<RO244>
 PTERMS(:,72,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(HO2,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,10,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(MGLY,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,41,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(RP10,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,72,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(RO2T,K249) = -K249*<RO2T>*<RO244>
 PTERMS(:,85,250) = -TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(HO2,K250) = -K250*<HO2>*<RO244>
 PTERMS(:,10,251) = -TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(OH,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,15,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(MGLY,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,41,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(RP10,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,72,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(RO2T,K251) = +K251*<RO236>
 PTERMS(:,85,252) = +TPK%K251(:)*TPK%RO236(:)
!
!PTERMS(NO,K252) = -K252*<NO>*<RO236>
 PTERMS(:,1,253) = -TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(NO2,K252) = +K252*<NO>*<RO236>
 PTERMS(:,2,253) = +TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(HO2,K252) = +K252*<NO>*<RO236>
 PTERMS(:,10,253) = +TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(RPG3,K252) = +0.3000000*K252*<NO>*<RO236>
 PTERMS(:,52,253) = +0.3000000*TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(HO2,K253) = +K253*<RO2T>*<RO236>
 PTERMS(:,10,254) = +TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!PTERMS(RPG3,K253) = +1.0000000*K253*<RO2T>*<RO236>
 PTERMS(:,52,254) = +1.0000000*TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!
RETURN
END SUBROUTINE SUBT41
!
SUBROUTINE SUBT42
!
!Indices 841 a 860
!
!PTERMS(RO2T,K253) = -K253*<RO2T>*<RO236>
 PTERMS(:,85,254) = -TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!PTERMS(HO2,K254) = -K254*<HO2>*<RO236>
 PTERMS(:,10,255) = -TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(OH,K254) = +K254*<HO2>*<RO236>
 PTERMS(:,15,255) = +TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(RPG3,K254) = +0.3000000*K254*<HO2>*<RO236>
 PTERMS(:,52,255) = +0.3000000*TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(NO,K255) = -K255*<NO>*<RO245>
 PTERMS(:,1,256) = -TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(NO2,K255) = +K255*<NO>*<RO245>
 PTERMS(:,2,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(HO2,K255) = +K255*<NO>*<RO245>
 PTERMS(:,10,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(MGLY,K255) = +K255*<NO>*<RO245>
 PTERMS(:,41,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(RP10,K255) = +K255*<NO>*<RO245>
 PTERMS(:,72,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(HO2,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,10,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(MGLY,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,41,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(RP10,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,72,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(RO2T,K256) = -K256*<RO2T>*<RO245>
 PTERMS(:,85,257) = -TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(HO2,K257) = -K257*<HO2>*<RO245>
 PTERMS(:,10,258) = -TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(OH,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,15,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(MGLY,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,41,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(RP10,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,72,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(RO2T,K258) = +K258*<RO237>
 PTERMS(:,85,259) = +TPK%K258(:)*TPK%RO237(:)
!
!PTERMS(NO,K259) = -K259*<NO>*<RO237>
 PTERMS(:,1,260) = -TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(NO2,K259) = +K259*<NO>*<RO237>
 PTERMS(:,2,260) = +TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!
RETURN
END SUBROUTINE SUBT42
!
SUBROUTINE SUBT43
!
!Indices 861 a 880
!
!PTERMS(HO2,K259) = +K259*<NO>*<RO237>
 PTERMS(:,10,260) = +TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(RPG2,K259) = +0.3000000*K259*<NO>*<RO237>
 PTERMS(:,50,260) = +0.3000000*TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(HO2,K260) = +K260*<RO2T>*<RO237>
 PTERMS(:,10,261) = +TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(RPG2,K260) = +1.0000000*K260*<RO2T>*<RO237>
 PTERMS(:,50,261) = +1.0000000*TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(RO2T,K260) = -K260*<RO2T>*<RO237>
 PTERMS(:,85,261) = -TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(HO2,K261) = -K261*<HO2>*<RO237>
 PTERMS(:,10,262) = -TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(OH,K261) = +K261*<HO2>*<RO237>
 PTERMS(:,15,262) = +TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(RPG2,K261) = +0.3000000*K261*<HO2>*<RO237>
 PTERMS(:,50,262) = +0.3000000*TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(NO,K262) = -K262*<NO>*<RO246>
 PTERMS(:,1,263) = -TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(NO2,K262) = +K262*<NO>*<RO246>
 PTERMS(:,2,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(HO2,K262) = +K262*<NO>*<RO246>
 PTERMS(:,10,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(MGLY,K262) = +K262*<NO>*<RO246>
 PTERMS(:,41,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(RP10,K262) = +K262*<NO>*<RO246>
 PTERMS(:,72,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(HO2,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,10,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(MGLY,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,41,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(RP10,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,72,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(RO2T,K263) = -K263*<RO2T>*<RO246>
 PTERMS(:,85,264) = -TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(HO2,K264) = -K264*<HO2>*<RO246>
 PTERMS(:,10,265) = -TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(OH,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,15,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(MGLY,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,41,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!
RETURN
END SUBROUTINE SUBT43
!
SUBROUTINE SUBT44
!
!Indices 881 a 900
!
!PTERMS(RP10,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,72,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(RO2T,K265) = +K265*<RO238>
 PTERMS(:,85,266) = +TPK%K265(:)*TPK%RO238(:)
!
!PTERMS(NO,K266) = -K266*<NO>*<RO238>
 PTERMS(:,1,267) = -TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(NO2,K266) = +K266*<NO>*<RO238>
 PTERMS(:,2,267) = +TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(HO2,K266) = +K266*<NO>*<RO238>
 PTERMS(:,10,267) = +TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(RPG7,K266) = +1.0000013*K266*<NO>*<RO238>
 PTERMS(:,63,267) = +1.0000013*TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(HO2,K267) = +K267*<RO2T>*<RO238>
 PTERMS(:,10,268) = +TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(RPG7,K267) = +1.0000013*K267*<RO2T>*<RO238>
 PTERMS(:,63,268) = +1.0000013*TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(RO2T,K267) = -K267*<RO2T>*<RO238>
 PTERMS(:,85,268) = -TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(HO2,K268) = -K268*<HO2>*<RO238>
 PTERMS(:,10,269) = -TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(OH,K268) = +K268*<HO2>*<RO238>
 PTERMS(:,15,269) = +TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(RPG7,K268) = +1.0000013*K268*<HO2>*<RO238>
 PTERMS(:,63,269) = +1.0000013*TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(NO,K269) = -K269*<NO>*<RO247>
 PTERMS(:,1,270) = -TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(NO2,K269) = +K269*<NO>*<RO247>
 PTERMS(:,2,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(HO2,K269) = +K269*<NO>*<RO247>
 PTERMS(:,10,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(MGLY,K269) = +K269*<NO>*<RO247>
 PTERMS(:,41,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(RPRL,K269) = +1.0023998*K269*<NO>*<RO247>
 PTERMS(:,75,270) = +1.0023998*TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(HO2,K270) = +K270*<RO2T>*<RO247>
 PTERMS(:,10,271) = +TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(MGLY,K270) = +K270*<RO2T>*<RO247>
 PTERMS(:,41,271) = +TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(RPRL,K270) = +1.0023998*K270*<RO2T>*<RO247>
 PTERMS(:,75,271) = +1.0023998*TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!
RETURN
END SUBROUTINE SUBT44
!
SUBROUTINE SUBT45
!
!Indices 901 a 920
!
!PTERMS(RO2T,K270) = -K270*<RO2T>*<RO247>
 PTERMS(:,85,271) = -TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(HO2,K271) = -K271*<HO2>*<RO247>
 PTERMS(:,10,272) = -TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(OH,K271) = +K271*<HO2>*<RO247>
 PTERMS(:,15,272) = +TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(MGLY,K271) = +K271*<HO2>*<RO247>
 PTERMS(:,41,272) = +TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(RPRL,K271) = +1.0023998*K271*<HO2>*<RO247>
 PTERMS(:,75,272) = +1.0023998*TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(OH,K272) = -K272*<OH>*<MVK>
 PTERMS(:,15,273) = -TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(MVK,K272) = -K272*<OH>*<MVK>
 PTERMS(:,39,273) = -TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(RO2T,K272) = +K272*<OH>*<MVK>
 PTERMS(:,85,273) = +TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(OH,K273) = -K273*<OH>*<MCR>
 PTERMS(:,15,274) = -TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(MCR,K273) = -K273*<OH>*<MCR>
 PTERMS(:,40,274) = -TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(RO2T,K273) = +K273*<OH>*<MCR>
 PTERMS(:,85,274) = +TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(OH,K274) = -K274*<OH>*<MGLY>
 PTERMS(:,15,275) = -TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(MGLY,K274) = -K274*<OH>*<MGLY>
 PTERMS(:,41,275) = -TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(RO2T,K274) = +K274*<OH>*<MGLY>
 PTERMS(:,85,275) = +TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(HNO3,K275) = +TPK%CF46*K275*<NO3>*<MCR>
 PTERMS(:,5,276) = +TPK%CF46*TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(NO3,K275) = -K275*<NO3>*<MCR>
 PTERMS(:,8,276) = -TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(MCR,K275) = -K275*<NO3>*<MCR>
 PTERMS(:,40,276) = -TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(RO2T,K275) = +K275*<NO3>*<MCR>
 PTERMS(:,85,276) = +TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(HO2,K276) = +K276*<MGLY>
 PTERMS(:,10,277) = +TPK%K276(:)*PCONC(:,41)
!
!PTERMS(CO,K276) = +K276*<MGLY>
 PTERMS(:,11,277) = +TPK%K276(:)*PCONC(:,41)
!
!
RETURN
END SUBROUTINE SUBT45
!
SUBROUTINE SUBT46
!
!Indices 921 a 940
!
!PTERMS(MGLY,K276) = -K276*<MGLY>
 PTERMS(:,41,277) = -TPK%K276(:)*PCONC(:,41)
!
!PTERMS(RO2T,K276) = +K276*<MGLY>
 PTERMS(:,85,277) = +TPK%K276(:)*PCONC(:,41)
!
!PTERMS(NO,K277) = -K277*<NO>*<RO248>
 PTERMS(:,1,278) = -TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(NO2,K277) = +K277*<NO>*<RO248>
 PTERMS(:,2,278) = +TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(RO2T,K277) = +K277*<NO>*<RO248>
 PTERMS(:,85,278) = +TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(HNO3,K278) = +K278*<NO3>*<MGLY>
 PTERMS(:,5,279) = +TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(NO3,K278) = -K278*<NO3>*<MGLY>
 PTERMS(:,8,279) = -TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(MGLY,K278) = -K278*<NO3>*<MGLY>
 PTERMS(:,41,279) = -TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(RO2T,K278) = +K278*<NO3>*<MGLY>
 PTERMS(:,85,279) = +TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(O3,K279) = +K279*<HO2>*<RO248>
 PTERMS(:,3,280) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(HO2,K279) = -K279*<HO2>*<RO248>
 PTERMS(:,10,280) = -TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(UR21,K279) = +K279*<HO2>*<RO248>
 PTERMS(:,47,280) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(RO2T,K280) = -K280*<RO2T>*<RO248>
 PTERMS(:,85,281) = -TPK%K280(:)*PCONC(:,85)*TPK%RO248(:)
!
!PTERMS(O3,K281) = -K281*<O3>*<MVK>
 PTERMS(:,3,282) = -TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(HO2,K281) = +0.28*K281*<O3>*<MVK>
 PTERMS(:,10,282) = +0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(CO,K281) = +0.56*K281*<O3>*<MVK>
 PTERMS(:,11,282) = +0.56*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(OH,K281) = +0.36*K281*<O3>*<MVK>
 PTERMS(:,15,282) = +0.36*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(HCHO,K281) = +0.5*K281*<O3>*<MVK>
 PTERMS(:,28,282) = +0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(ALD2,K281) = +0.1*K281*<O3>*<MVK>
 PTERMS(:,29,282) = +0.1*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(MVK,K281) = -K281*<O3>*<MVK>
 PTERMS(:,39,282) = -TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!
RETURN
END SUBROUTINE SUBT46
!
SUBROUTINE SUBT47
!
!Indices 941 a 960
!
!PTERMS(MGLY,K281) = +0.5*K281*<O3>*<MVK>
 PTERMS(:,41,282) = +0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(ORA1,K281) = +0.12*K281*<O3>*<MVK>
 PTERMS(:,43,282) = +0.12*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(UR21,K281) = +0.12*K281*<O3>*<MVK>
 PTERMS(:,47,282) = +0.12*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(RO2T,K281) = +0.28*K281*<O3>*<MVK>
 PTERMS(:,85,282) = +0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(O3,K282) = -K282*<O3>*<MCR>
 PTERMS(:,3,283) = -TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(HO2,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,10,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(CO,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,11,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(OH,K282) = +0.82*K282*<O3>*<MCR>
 PTERMS(:,15,283) = +0.82*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(HCHO,K282) = +0.5*K282*<O3>*<MCR>
 PTERMS(:,28,283) = +0.5*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(MCR,K282) = -K282*<O3>*<MCR>
 PTERMS(:,40,283) = -TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(MGLY,K282) = +0.59*K282*<O3>*<MCR>
 PTERMS(:,41,283) = +0.59*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(ORA1,K282) = +0.09*K282*<O3>*<MCR>
 PTERMS(:,43,283) = +0.09*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(RO2T,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,85,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(KETL,K283) = +0.85*K283*<O>*<MVK>
 PTERMS(:,30,284) = +0.85*TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(MVK,K283) = -K283*<O>*<MVK>
 PTERMS(:,39,284) = -TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(RO2T,K283) = +0.3*K283*<O>*<MVK>
 PTERMS(:,85,284) = +0.3*TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(HO2,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,10,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(CO,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,11,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(ALD2,K284) = +0.85*K284*<O>*<MCR>
 PTERMS(:,29,285) = +0.85*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(MCR,K284) = -K284*<O>*<MCR>
 PTERMS(:,40,285) = -TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!
RETURN
END SUBROUTINE SUBT47
!
SUBROUTINE SUBT48
!
!Indices 961 a 980
!
!PTERMS(RO2T,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,85,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(NO,K285) = -K285*<NO>*<RO249>
 PTERMS(:,1,286) = -TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(NO2,K285) = +K285*<NO>*<RO249>
 PTERMS(:,2,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HO2,K285) = +K285*<NO>*<RO249>
 PTERMS(:,10,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HCHO,K285) = +K285*<NO>*<RO249>
 PTERMS(:,28,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(MGLY,K285) = +K285*<NO>*<RO249>
 PTERMS(:,41,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HO2,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,10,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(HCHO,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,28,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(MGLY,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,41,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(RO2T,K286) = -K286*<RO2T>*<RO249>
 PTERMS(:,85,287) = -TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(HO2,K287) = -K287*<HO2>*<RO249>
 PTERMS(:,10,288) = -TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(OH,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,15,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(HCHO,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,28,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(MGLY,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,41,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(NO,K288) = -K288*<NO>*<RO250>
 PTERMS(:,1,289) = -TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(NO2,K288) = +K288*<NO>*<RO250>
 PTERMS(:,2,289) = +TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(RO2T,K288) = +K288*<NO>*<RO250>
 PTERMS(:,85,289) = +TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(O3,K289) = +K289*<HO2>*<RO250>
 PTERMS(:,3,290) = +TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(HO2,K289) = -K289*<HO2>*<RO250>
 PTERMS(:,10,290) = -TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(OLEL,K289) = +0.5*K289*<HO2>*<RO250>
 PTERMS(:,17,290) = +0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!
RETURN
END SUBROUTINE SUBT48
!
SUBROUTINE SUBT49
!
!Indices 981 a 1000
!
!PTERMS(ORA2,K289) = +0.5*K289*<HO2>*<RO250>
 PTERMS(:,44,290) = +0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(RO2T,K290) = -K290*<RO2T>*<RO250>
 PTERMS(:,85,291) = -TPK%K290(:)*PCONC(:,85)*TPK%RO250(:)
!
!PTERMS(NO,K291) = -K291*<NO>*<RO251>
 PTERMS(:,1,292) = -TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(NO2,K291) = +K291*<NO>*<RO251>
 PTERMS(:,2,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HO2,K291) = +K291*<NO>*<RO251>
 PTERMS(:,10,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HCHO,K291) = +K291*<NO>*<RO251>
 PTERMS(:,28,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(MGLY,K291) = +K291*<NO>*<RO251>
 PTERMS(:,41,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HO2,K292) = -K292*<HO2>*<RO251>
 PTERMS(:,10,293) = -TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(HCHO,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,28,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(MGLY,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,41,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(RO2T,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,85,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(HO2,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,10,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(OH,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,15,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(HCHO,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,28,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(MGLY,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,41,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(RO2T,K293) = -K293*<RO2T>*<RO251>
 PTERMS(:,85,294) = -TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(NO,K294) = -K294*<NO>*<RO252>
 PTERMS(:,1,295) = -TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(NO2,K294) = +2.*K294*<NO>*<RO252>
 PTERMS(:,2,295) = +2.*TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(HCHO,K294) = +K294*<NO>*<RO252>
 PTERMS(:,28,295) = +TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(MGLY,K294) = +K294*<NO>*<RO252>
 PTERMS(:,41,295) = +TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!
RETURN
END SUBROUTINE SUBT49
!
SUBROUTINE SUBT50
!
!Indices 1001 a 1020
!
!PTERMS(NO2,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,2,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(HO2,K295) = -K295*<HO2>*<RO252>
 PTERMS(:,10,296) = -TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(HCHO,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,28,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(MGLY,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,41,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(RO2T,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,85,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(NO2,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,2,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(OH,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,15,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(HCHO,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,28,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(MGLY,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,41,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(RO2T,K296) = -K296*<RO2T>*<RO252>
 PTERMS(:,85,297) = -TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(NO,K297) = -K297*<NO>*<RO253>
 PTERMS(:,1,298) = -TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(NO2,K297) = +K297*<NO>*<RO253>
 PTERMS(:,2,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(HCHO,K297) = +K297*<NO>*<RO253>
 PTERMS(:,28,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(RO2T,K297) = +K297*<NO>*<RO253>
 PTERMS(:,85,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(HO2,K298) = -K298*<HO2>*<RO253>
 PTERMS(:,10,299) = -TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(HCHO,K298) = +K298*<HO2>*<RO253>
 PTERMS(:,28,299) = +TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(RO2T,K298) = +2.*K298*<HO2>*<RO253>
 PTERMS(:,85,299) = +2.*TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(OH,K299) = +K299*<RO2T>*<RO253>
 PTERMS(:,15,300) = +TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!PTERMS(HCHO,K299) = +K299*<RO2T>*<RO253>
 PTERMS(:,28,300) = +TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!PTERMS(RO2T,K299) = -K299*<RO2T>*<RO253>
 PTERMS(:,85,300) = -TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!
RETURN
END SUBROUTINE SUBT50
!
SUBROUTINE SUBT51
!
!Indices 1021 a 1040
!
!PTERMS(NO,K300) = -K300*<NO>*<RO254>
 PTERMS(:,1,301) = -TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(NO2,K300) = +K300*<NO>*<RO254>
 PTERMS(:,2,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(HO2,K300) = +K300*<NO>*<RO254>
 PTERMS(:,10,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(CO,K300) = +K300*<NO>*<RO254>
 PTERMS(:,11,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(O3,K301) = +K301*<HO2>*<RO254>
 PTERMS(:,3,302) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(HO2,K301) = -K301*<HO2>*<RO254>
 PTERMS(:,10,302) = -TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(RP16,K301) = +K301*<HO2>*<RO254>
 PTERMS(:,74,302) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(HO2,K302) = +K302*<RO2T>*<RO254>
 PTERMS(:,10,303) = +TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(CO,K302) = +K302*<RO2T>*<RO254>
 PTERMS(:,11,303) = +TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(RO2T,K302) = -K302*<RO2T>*<RO254>
 PTERMS(:,85,303) = -TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(O3,K303) = +K303*<OH>*<RPR5>
 PTERMS(:,3,304) = +TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(OH,K303) = -K303*<OH>*<RPR5>
 PTERMS(:,15,304) = -TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(URG7,K303) = +0.9999993*K303*<OH>*<RPR5>
 PTERMS(:,60,304) = +0.9999993*TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(RPR5,K303) = -K303*<OH>*<RPR5>
 PTERMS(:,70,304) = -TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(OH,K304) = -K304*<OH>*<RPR1>
 PTERMS(:,15,305) = -TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(RPR1,K304) = -K304*<OH>*<RPR1>
 PTERMS(:,69,305) = -TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(RO2T,K304) = +K304*<OH>*<RPR1>
 PTERMS(:,85,305) = +TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(OH,K305) = -K305*<OH>*<RP16>
 PTERMS(:,15,306) = -TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!PTERMS(RP16,K305) = -K305*<OH>*<RP16>
 PTERMS(:,74,306) = -TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!PTERMS(RO2T,K305) = +K305*<OH>*<RP16>
 PTERMS(:,85,306) = +TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!
RETURN
END SUBROUTINE SUBT51
!
SUBROUTINE SUBT52
!
!Indices 1041 a 1060
!
!PTERMS(O3,K306) = +1.0000011*K306*<OH>*<RPRL>
 PTERMS(:,3,307) = +1.0000011*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(OH,K306) = -K306*<OH>*<RPRL>
 PTERMS(:,15,307) = -TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(URG7,K306) = +0.9979297*K306*<OH>*<RPRL>
 PTERMS(:,60,307) = +0.9979297*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(RPR7,K306) = +2.0714202E-03*K306*<OH>*<RPRL>
 PTERMS(:,62,307) = +2.0714202E-03*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(RPRL,K306) = -K306*<OH>*<RPRL>
 PTERMS(:,75,307) = -TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(HNO3,K307) = +K307*<NO3>*<RPR1>
 PTERMS(:,5,308) = +TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(NO3,K307) = -K307*<NO3>*<RPR1>
 PTERMS(:,8,308) = -TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(RPR1,K307) = -K307*<NO3>*<RPR1>
 PTERMS(:,69,308) = -TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(RO2T,K307) = +K307*<NO3>*<RPR1>
 PTERMS(:,85,308) = +TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(HO2,K308) = +K308*<RPR1>
 PTERMS(:,10,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(CO,K308) = +K308*<RPR1>
 PTERMS(:,11,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(RPR1,K308) = -K308*<RPR1>
 PTERMS(:,69,309) = -TPK%K308(:)*PCONC(:,69)
!
!PTERMS(RO2T,K308) = +K308*<RPR1>
 PTERMS(:,85,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(NO,K309) = -K309*<NO>*<RO255>
 PTERMS(:,1,310) = -TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(NO2,K309) = +K309*<NO>*<RO255>
 PTERMS(:,2,310) = +TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(RO2T,K309) = +K309*<NO>*<RO255>
 PTERMS(:,85,310) = +TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(O3,K310) = +K310*<HO2>*<RO255>
 PTERMS(:,3,311) = +TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(HO2,K310) = -K310*<HO2>*<RO255>
 PTERMS(:,10,311) = -TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(ACID,K310) = +K310*<HO2>*<RO255>
 PTERMS(:,45,311) = +TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(RO2T,K311) = -K311*<RO2T>*<RO255>
 PTERMS(:,85,312) = -TPK%K311(:)*PCONC(:,85)*TPK%RO255(:)
!
!
RETURN
END SUBROUTINE SUBT52
!
SUBROUTINE SUBT53
!
!Indices 1061 a 1080
!
!PTERMS(OH,K312) = -K312*<OH>*<RPR3>
 PTERMS(:,15,313) = -TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(RPR3,K312) = -K312*<OH>*<RPR3>
 PTERMS(:,57,313) = -TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(RO2T,K312) = +K312*<OH>*<RPR3>
 PTERMS(:,85,313) = +TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(HNO3,K313) = +K313*<NO3>*<RPR3>
 PTERMS(:,5,314) = +TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(NO3,K313) = -K313*<NO3>*<RPR3>
 PTERMS(:,8,314) = -TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(RPR3,K313) = -K313*<NO3>*<RPR3>
 PTERMS(:,57,314) = -TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(RO2T,K313) = +K313*<NO3>*<RPR3>
 PTERMS(:,85,314) = +TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(HO2,K314) = +2.*K314*<RPR3>
 PTERMS(:,10,315) = +2.*TPK%K314(:)*PCONC(:,57)
!
!PTERMS(CO,K314) = +K314*<RPR3>
 PTERMS(:,11,315) = +TPK%K314(:)*PCONC(:,57)
!
!PTERMS(RPR3,K314) = -K314*<RPR3>
 PTERMS(:,57,315) = -TPK%K314(:)*PCONC(:,57)
!
!PTERMS(NO,K315) = -K315*<NO>*<RO256>
 PTERMS(:,1,316) = -TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(NO2,K315) = +K315*<NO>*<RO256>
 PTERMS(:,2,316) = +TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(HO2,K315) = +K315*<NO>*<RO256>
 PTERMS(:,10,316) = +TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(NO2,K316) = -K316*<NO2>*<RO256>
 PTERMS(:,2,317) = -TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!
!PTERMS(PAN8,K316) = +K316*<NO2>*<RO256>
 PTERMS(:,83,317) = +TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!
!PTERMS(NO2,K317) = +K317*<PAN8>
 PTERMS(:,2,318) = +TPK%K317(:)*PCONC(:,83)
!
!PTERMS(PAN8,K317) = -K317*<PAN8>
 PTERMS(:,83,318) = -TPK%K317(:)*PCONC(:,83)
!
!PTERMS(RO2T,K317) = +K317*<PAN8>
 PTERMS(:,85,318) = +TPK%K317(:)*PCONC(:,83)
!
!PTERMS(O3,K318) = +K318*<HO2>*<RO256>
 PTERMS(:,3,319) = +TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!PTERMS(HO2,K318) = -K318*<HO2>*<RO256>
 PTERMS(:,10,319) = -TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!
RETURN
END SUBROUTINE SUBT53
!
SUBROUTINE SUBT54
!
!Indices 1081 a 1100
!
!PTERMS(URG4,K318) = +1.0000000*K318*<HO2>*<RO256>
 PTERMS(:,53,319) = +1.0000000*TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!PTERMS(HO2,K319) = +K319*<RO2T>*<RO256>
 PTERMS(:,10,320) = +TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)
!
!PTERMS(RO2T,K319) = -K319*<RO2T>*<RO256>
 PTERMS(:,85,320) = -TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)
!
!PTERMS(HNO3,K320) = +K320*<NO3>*<RPR4>
 PTERMS(:,5,321) = +TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(NO3,K320) = -K320*<NO3>*<RPR4>
 PTERMS(:,8,321) = -TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(RPR4,K320) = -K320*<NO3>*<RPR4>
 PTERMS(:,61,321) = -TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(NO2,K321) = -K321*<NO2>*<RAD8>
 PTERMS(:,2,322) = -TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!
!PTERMS(UR22,K321) = +K321*<NO2>*<RAD8>
 PTERMS(:,59,322) = +TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!
!PTERMS(O3,K322) = +K322*<OH>*<RPR7>
 PTERMS(:,3,323) = +TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(OH,K322) = -K322*<OH>*<RPR7>
 PTERMS(:,15,323) = -TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(URG7,K322) = +0.9999993*K322*<OH>*<RPR7>
 PTERMS(:,60,323) = +0.9999993*TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(RPR7,K322) = -K322*<OH>*<RPR7>
 PTERMS(:,62,323) = -TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(O3,K323) = +1.0000005*K323*<OH>*<RPG7>
 PTERMS(:,3,324) = +1.0000005*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(OH,K323) = -K323*<OH>*<RPG7>
 PTERMS(:,15,324) = -TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(URG6,K323) = +0.4978440*K323*<OH>*<RPG7>
 PTERMS(:,58,324) = +0.4978440*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(RPG7,K323) = -K323*<OH>*<RPG7>
 PTERMS(:,63,324) = -TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(OH,K324) = -K324*<OH>*<RPR8>
 PTERMS(:,15,325) = -TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(RPR8,K324) = -K324*<OH>*<RPR8>
 PTERMS(:,71,325) = -TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(RO2T,K324) = +K324*<OH>*<RPR8>
 PTERMS(:,85,325) = +TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(HO2,K325) = +K325*<OH>*<RP10>
 PTERMS(:,10,326) = +TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!
RETURN
END SUBROUTINE SUBT54
!
SUBROUTINE SUBT55
!
!Indices 1101 a 1120
!
!PTERMS(OH,K325) = -K325*<OH>*<RP10>
 PTERMS(:,15,326) = -TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!PTERMS(RP10,K325) = -K325*<OH>*<RP10>
 PTERMS(:,72,326) = -TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!PTERMS(O3,K326) = +K326*<OH>*<RP11>
 PTERMS(:,3,327) = +TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(OH,K326) = -K326*<OH>*<RP11>
 PTERMS(:,15,327) = -TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(UR26,K326) = +0.67*K326*<OH>*<RP11>
 PTERMS(:,49,327) = +0.67*TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(RP11,K326) = -K326*<OH>*<RP11>
 PTERMS(:,73,327) = -TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(HNO3,K327) = +K327*<NO3>*<RPR8>
 PTERMS(:,5,328) = +TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(NO3,K327) = -K327*<NO3>*<RPR8>
 PTERMS(:,8,328) = -TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RPR8,K327) = -K327*<NO3>*<RPR8>
 PTERMS(:,71,328) = -TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RO2T,K327) = +K327*<NO3>*<RPR8>
 PTERMS(:,85,328) = +TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RP10,K328) = -K328*<RP10>
 PTERMS(:,72,329) = -TPK%K328(:)*PCONC(:,72)
!
!PTERMS(HO2,K329) = +K329*<RPR8>
 PTERMS(:,10,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(CO,K329) = +K329*<RPR8>
 PTERMS(:,11,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(RPR8,K329) = -K329*<RPR8>
 PTERMS(:,71,330) = -TPK%K329(:)*PCONC(:,71)
!
!PTERMS(RO2T,K329) = +K329*<RPR8>
 PTERMS(:,85,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(HO2,K330) = +K330*<RPR8>
 PTERMS(:,10,331) = +TPK%K330(:)*PCONC(:,71)
!
!PTERMS(RPR8,K330) = -K330*<RPR8>
 PTERMS(:,71,331) = -TPK%K330(:)*PCONC(:,71)
!
!PTERMS(RO2T,K330) = +K330*<RPR8>
 PTERMS(:,85,331) = +TPK%K330(:)*PCONC(:,71)
!
!PTERMS(NO,K331) = -K331*<NO>*<RO257>
 PTERMS(:,1,332) = -TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!PTERMS(NO2,K331) = +K331*<NO>*<RO257>
 PTERMS(:,2,332) = +TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!
RETURN
END SUBROUTINE SUBT55
!
SUBROUTINE SUBT56
!
!Indices 1121 a 1140
!
!PTERMS(RO2T,K331) = +K331*<NO>*<RO257>
 PTERMS(:,85,332) = +TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!PTERMS(O3,K332) = +K332*<HO2>*<RO257>
 PTERMS(:,3,333) = +TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(HO2,K332) = -K332*<HO2>*<RO257>
 PTERMS(:,10,333) = -TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(URG4,K332) = +1.0000000*K332*<HO2>*<RO257>
 PTERMS(:,53,333) = +1.0000000*TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(RO2T,K333) = -K333*<RO2T>*<RO257>
 PTERMS(:,85,334) = -TPK%K333(:)*PCONC(:,85)*TPK%RO257(:)
!
!PTERMS(O3,K334) = +1.0000000*K334*<OH>*<RPG3>
 PTERMS(:,3,335) = +1.0000000*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(OH,K334) = -K334*<OH>*<RPG3>
 PTERMS(:,15,335) = -TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(RPG2,K334) = +0.8808107*K334*<OH>*<RPG3>
 PTERMS(:,50,335) = +0.8808107*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(RPG3,K334) = -K334*<OH>*<RPG3>
 PTERMS(:,52,335) = -TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(O3,K335) = +1.0000000*K335*<OH>*<RPG2>
 PTERMS(:,3,336) = +1.0000000*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(OH,K335) = -K335*<OH>*<RPG2>
 PTERMS(:,15,336) = -TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(URG2,K335) = +0.5562513*K335*<OH>*<RPG2>
 PTERMS(:,48,336) = +0.5562513*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(RPG2,K335) = -K335*<OH>*<RPG2>
 PTERMS(:,50,336) = -TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(RP18,K335) = +0.4437492*K335*<OH>*<RPG2>
 PTERMS(:,51,336) = +0.4437492*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(O3,K337) = +K337*<OH>*<RP18>
 PTERMS(:,3,337) = +TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(OH,K337) = -K337*<OH>*<RP18>
 PTERMS(:,15,337) = -TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(URG2,K337) = +K337*<OH>*<RP18>
 PTERMS(:,48,337) = +TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(RP18,K337) = -K337*<OH>*<RP18>
 PTERMS(:,51,337) = -TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(HNO3,K338) = +K338*<NO3>*<RP16>
 PTERMS(:,5,338) = +TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(NO3,K338) = -K338*<NO3>*<RP16>
 PTERMS(:,8,338) = -TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!
RETURN
END SUBROUTINE SUBT56
!
SUBROUTINE SUBT57
!
!Indices 1141 a 1160
!
!PTERMS(RP16,K338) = -K338*<NO3>*<RP16>
 PTERMS(:,74,338) = -TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(RO2T,K338) = +K338*<NO3>*<RP16>
 PTERMS(:,85,338) = +TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(HO2,K339) = +K339*<RP16>
 PTERMS(:,10,339) = +TPK%K339(:)*PCONC(:,74)
!
!PTERMS(CO,K339) = +2.*K339*<RP16>
 PTERMS(:,11,339) = +2.*TPK%K339(:)*PCONC(:,74)
!
!PTERMS(OH,K339) = +K339*<RP16>
 PTERMS(:,15,339) = +TPK%K339(:)*PCONC(:,74)
!
!PTERMS(RP16,K339) = -K339*<RP16>
 PTERMS(:,74,339) = -TPK%K339(:)*PCONC(:,74)
!
!PTERMS(NO,K340) = -K340*<NO>*<RO258>
 PTERMS(:,1,340) = -TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(NO2,K340) = +K340*<NO>*<RO258>
 PTERMS(:,2,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(CO,K340) = +K340*<NO>*<RO258>
 PTERMS(:,11,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(OH,K340) = +K340*<NO>*<RO258>
 PTERMS(:,15,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(O3,K341) = +K341*<HO2>*<RO258>
 PTERMS(:,3,341) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(HO2,K341) = -K341*<HO2>*<RO258>
 PTERMS(:,10,341) = -TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(UR28,K341) = +K341*<HO2>*<RO258>
 PTERMS(:,46,341) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(CO,K342) = +K342*<RO2T>*<RO258>
 PTERMS(:,11,342) = +TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(OH,K342) = +K342*<RO2T>*<RO258>
 PTERMS(:,15,342) = +TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(RO2T,K342) = -K342*<RO2T>*<RO258>
 PTERMS(:,85,342) = -TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(NO2,K343) = +K343*<PAN7>
 PTERMS(:,2,343) = +TPK%K343(:)*PCONC(:,82)
!
!PTERMS(PAN7,K343) = -K343*<PAN7>
 PTERMS(:,82,343) = -TPK%K343(:)*PCONC(:,82)
!
!PTERMS(RO2T,K343) = +K343*<PAN7>
 PTERMS(:,85,343) = +TPK%K343(:)*PCONC(:,82)
!
!PTERMS(NO,K344) = -K344*<NO>*<RO230>
 PTERMS(:,1,344) = -TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!
RETURN
END SUBROUTINE SUBT57
!
SUBROUTINE SUBT58
!
!Indices 1161 a 1180
!
!PTERMS(NO2,K344) = +K344*<NO>*<RO230>
 PTERMS(:,2,344) = +TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!PTERMS(RO2T,K344) = +K344*<NO>*<RO230>
 PTERMS(:,85,344) = +TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!PTERMS(NH3,K345) = -K345*<OH>*<NH3>
 PTERMS(:,9,345) = -TPK%K345(:)*PCONC(:,15)*PCONC(:,9)
!
!PTERMS(OH,K345) = -K345*<OH>*<NH3>
 PTERMS(:,15,345) = -TPK%K345(:)*PCONC(:,15)*PCONC(:,9)
!
!PTERMS(H2SO4,K346) = -K346*<H2SO4>
 PTERMS(:,14,346) = -TPK%K346(:)*PCONC(:,14)
!
!PTERMS(HO2,K347) = +K347*<OH>*<ORA1>
 PTERMS(:,10,347) = +TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(OH,K347) = -K347*<OH>*<ORA1>
 PTERMS(:,15,347) = -TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(ORA1,K347) = -K347*<OH>*<ORA1>
 PTERMS(:,43,347) = -TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(OH,K348) = -K348*<OH>*<ORA2>
 PTERMS(:,15,348) = -TPK%K348(:)*PCONC(:,15)*PCONC(:,44)
!
!PTERMS(ORA2,K348) = -K348*<OH>*<ORA2>
 PTERMS(:,44,348) = -TPK%K348(:)*PCONC(:,15)*PCONC(:,44)
!
!PTERMS(OH,K349) = -K349*<OH>*<ACID>
 PTERMS(:,15,349) = -TPK%K349(:)*PCONC(:,15)*PCONC(:,45)
!
!PTERMS(ACID,K349) = -K349*<OH>*<ACID>
 PTERMS(:,45,349) = -TPK%K349(:)*PCONC(:,15)*PCONC(:,45)
!
!PTERMS(URG2,K350) = -K350*<URG2>
 PTERMS(:,48,350) = -TPK%K350(:)*PCONC(:,48)
!
!PTERMS(URG4,K351) = -K351*<URG4>
 PTERMS(:,53,351) = -TPK%K351(:)*PCONC(:,53)
!
!PTERMS(URG6,K352) = -K352*<URG6>
 PTERMS(:,58,352) = -TPK%K352(:)*PCONC(:,58)
!
!PTERMS(URG7,K353) = -K353*<URG7>
 PTERMS(:,60,353) = -TPK%K353(:)*PCONC(:,60)
!
!PTERMS(URG8,K354) = -K354*<URG8>
 PTERMS(:,64,354) = -TPK%K354(:)*PCONC(:,64)
!
!PTERMS(URG9,K355) = -K355*<URG9>
 PTERMS(:,66,355) = -TPK%K355(:)*PCONC(:,66)
!
!PTERMS(URG10,K356) = -K356*<URG10>
 PTERMS(:,68,356) = -TPK%K356(:)*PCONC(:,68)
!
!PTERMS(UR7,K357) = -K357*<UR7>
 PTERMS(:,56,357) = -TPK%K357(:)*PCONC(:,56)
!
!
RETURN
END SUBROUTINE SUBT58
!
SUBROUTINE SUBT59
!
!Indices 1181 a 1188
!
!PTERMS(UR8,K358) = -K358*<UR8>
 PTERMS(:,54,358) = -TPK%K358(:)*PCONC(:,54)
!
!PTERMS(UR17,K359) = -K359*<UR17>
 PTERMS(:,55,359) = -TPK%K359(:)*PCONC(:,55)
!
!PTERMS(UR19,K360) = -K360*<UR19>
 PTERMS(:,65,360) = -TPK%K360(:)*PCONC(:,65)
!
!PTERMS(UR21,K361) = -K361*<UR21>
 PTERMS(:,47,361) = -TPK%K361(:)*PCONC(:,47)
!
!PTERMS(UR22,K362) = -K362*<UR22>
 PTERMS(:,59,362) = -TPK%K362(:)*PCONC(:,59)
!
!PTERMS(UR26,K363) = -K363*<UR26>
 PTERMS(:,49,363) = -TPK%K363(:)*PCONC(:,49)
!
!PTERMS(UR28,K364) = -K364*<UR28>
 PTERMS(:,46,364) = -TPK%K364(:)*PCONC(:,46)
!
!PTERMS(AP7,K365) = -K365*<AP7>
 PTERMS(:,67,365) = -TPK%K365(:)*PCONC(:,67)
!
!
RETURN
END SUBROUTINE SUBT59
!
END SUBROUTINE CH_TERMS_GAZ
!
!========================================================================
!
!!    ####################
      MODULE MODI_CH_TERMS_AQ
!!    ####################
INTERFACE
SUBROUTINE CH_TERMS_AQ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
END SUBROUTINE CH_TERMS_AQ
END INTERFACE
END MODULE MODI_CH_TERMS_AQ
!
!========================================================================
!
!!
!!    ######################
      SUBROUTINE CH_TERMS_AQ(PTIME,PCONC,PTERMS,KMI,KVECNPT,KEQ,KREAC)
!!    ######################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_TERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
REAL,    INTENT(IN)                               :: PTIME
INTEGER, INTENT(IN)                               :: KVECNPT
INTEGER, INTENT(IN)                               :: KEQ, KREAC
REAL,    INTENT(IN),  DIMENSION(KVECNPT,KEQ)      :: PCONC
REAL,    INTENT(OUT), DIMENSION(KVECNPT,KEQ,KREAC):: PTERMS
INTEGER, INTENT(IN)                               :: KMI
!!
TYPE(CCSTYPE), POINTER                            :: TPK
TPK=>TACCS(KMI)
! /BEGIN_CODE/
TPK%OSD = (  +TPK%K016*PCONC(:,JP_O3)  ) / &
  (  +TPK%K017*TPK%H2O+TPK%K018A*TPK%N2(:)+TPK%K018B*TPK%O2(:) ) 
!
TPK%O = (  +TPK%K001*PCONC(:,JP_NO2)+TPK%K014*PCONC(:,JP_NO3)+TPK%&
&K015*PCONC(:,JP_O3)+TPK%K018A*TPK%OSD*TPK%N2(:)+TPK%K018B*TPK%OSD*TPK%O2(:)  ) / &
(  +TPK%K002*TPK%O2(:)+TPK%K003*PCONC(:,JP_NO2)+TPK%K004*PCONC(:,JP_NO2)+TPK%K034*&
PCONC(:,JP_O3)+TPK%K038*PCONC(:,JP_NO)+TPK%K052*PCONC(:,JP_ETHE)+&
&TPK%K057*PCONC(:,JP_OLEL)+TPK%K067*PCONC(:,JP_ISOP)+TPK%K077*PCONC(:,&
&JP_OLEH)+TPK%K087*PCONC(:,JP_BIOL)+TPK%K091*PCONC(:,JP_BIOH)+TPK%K283&
&*PCONC(:,JP_MVK)+TPK%K284*PCONC(:,JP_MCR)  ) 
!
TPK%RO225 = (  TPK%K085*PCONC(:,JP_BIOL)*PCONC(:,JP_NO3)  ) / &
( +TPK%K201*PCONC(:,JP_NO)+TPK%K202*PCONC(:,JP_RO2T)+TPK%K203*PCONC(:,JP_HO2))
!
TPK%RO228 = (  TPK%K089*PCONC(:,JP_BIOH)*PCONC(:,JP_NO3)  ) / &
( +TPK%K210*PCONC(:,JP_NO)+TPK%K211*PCONC(:,JP_RO2T)+TPK%K212*PCONC(:,JP_HO2))

!
TPK%RO253 = (  +0.41*TPK%K282*PCONC(:,JP_MCR)*PCONC(:,JP_O3)  ) / &
(  +TPK%K297*PCONC(:,JP_NO)+TPK%K298*PCONC(:,JP_HO2)+TPK%K299*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO254 = (  +TPK%K140*PCONC(:,JP_PAN6)+TPK%K297*TPK%RO253*&
&PCONC(:,JP_NO)+TPK%K298*TPK%RO253*PCONC(:,JP_HO2)+TPK%K299*&
&TPK%RO253*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K131*PCONC(:,JP_NO2)+TPK%K300*PCONC(:,JP_NO)+TPK%K301*PCONC(&
&:,JP_HO2)+TPK%K302*PCONC(:,JP_RO2T)  ) 
!
TPK%RO213 = (  +0.271*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)  ) / &
(  +TPK%K162*PCONC(:,JP_NO)+TPK%K163*PCONC(:,JP_RO2T)+TPK%K164*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO239 = (  +TPK%K137*PCONC(:,JP_PAN3)+TPK%K162*TPK%RO213*&
&PCONC(:,JP_NO)+TPK%K163*TPK%RO213*PCONC(:,JP_RO2T)+TPK%K164*TPK%RO213*PCONC(:,JP_HO2)  ) / &
(  +TPK%K128*PCONC(:,JP_NO2)+TPK%K165*PCONC(:,JP_NO)+TPK%K166*PCONC(&
&:,JP_HO2)+TPK%K167*PCONC(:,JP_RO2T)  ) 
!
TPK%RO248 = (  +TPK%K141*PCONC(:,JP_PAN4)+TPK%K274*PCONC(:,JP_MGLY)*P&
&CONC(:,JP_OH)+TPK%K278*PCONC(:,JP_MGLY)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K129*PCONC(:,JP_NO2)+TPK%K277*PCONC(:,JP_NO)+TPK%K279*PCONC(&
&:,JP_HO2)+TPK%K280*PCONC(:,JP_RO2T)  ) 
!
TPK%RO249 = (  +TPK%K272*PCONC(:,JP_MVK)*PCONC(:,JP_OH)  ) / &
(  +TPK%K285*PCONC(:,JP_NO)+TPK%K286*PCONC(:,JP_RO2T)+TPK%K287*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO250 = (  +0.3750353*TPK%K139*PCONC(:,JP_APAN)+TPK%CF46*TPK%K2&
&73*PCONC(:,JP_MCR)*PCONC(:,JP_OH)+TPK%CF46*TPK%K275*PCONC(:,JP_MCR)*PCONC&
&(:,JP_NO3)  ) / &
(  +TPK%K130*PCONC(:,JP_NO2)+TPK%K288*PCONC(:,JP_NO)+TPK%K289*PCONC(&
&:,JP_HO2)+TPK%K290*PCONC(:,JP_RO2T)  ) 
!
TPK%RO214 = (  +0.095*TPK%K066*PCONC(:,JP_ISOP)*PCONC(:,JP_O3)+TPK%K1&
&65*TPK%RO239*PCONC(:,JP_NO)+TPK%K167*TPK%RO239*PCONC(:,JP_R&
&O2T)+TPK%K288*TPK%RO250*PCONC(:,JP_NO)+TPK%K290*TPK%RO250&
&*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K168*PCONC(:,JP_NO)+TPK%K169*PCONC(:,JP_RO2T)+TPK%K170*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO251 = (  +TPK%CF47*TPK%K273*PCONC(:,JP_MCR)*PCONC(:,JP_OH)  ) / &
(  +TPK%K291*PCONC(:,JP_NO)+TPK%K292*PCONC(:,JP_HO2)+TPK%K293*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO252 = (  +TPK%CF47*TPK%K275*PCONC(:,JP_MCR)*PCONC(:,JP_NO3)  ) /&
(  +TPK%K294*PCONC(:,JP_NO)+TPK%K295*PCONC(:,JP_HO2)+TPK%K296*PCONC(&
&:,JP_RO2T)  ) 
!
TPK%RO258 = (  +TPK%K138*PCONC(:,JP_PN10)+TPK%K305*PCONC(:,JP_RP16)*P&
&CONC(:,JP_OH)+TPK%K338*PCONC(:,JP_RP16)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K134*PCONC(:,JP_NO2)+TPK%K340*PCONC(:,JP_NO)+TPK%K341*PCONC(&
&:,JP_HO2)+TPK%K342*PCONC(:,JP_RO2T)  ) 
!
TPK%RO255 = (  +TPK%K304*PCONC(:,JP_RPR1)*PCONC(:,JP_OH)+TPK%K307*PCO&
&NC(:,JP_RPR1)*PCONC(:,JP_NO3)+TPK%K343*PCONC(:,JP_PAN7)  ) / &
(  +TPK%K132*PCONC(:,JP_NO2)+TPK%K309*PCONC(:,JP_NO)+TPK%K310*PCONC(&
&:,JP_HO2)+TPK%K311*PCONC(:,JP_RO2T)  ) 
!
TPK%RO256 = (  +TPK%K312*PCONC(:,JP_RPR3)*PCONC(:,JP_OH)+TPK%K313*PCO&
&NC(:,JP_RPR3)*PCONC(:,JP_NO3)+TPK%K317*PCONC(:,JP_PAN8)  ) / &
(  +TPK%K315*PCONC(:,JP_NO)+TPK%K316*PCONC(:,JP_NO2)+TPK%K318*PCONC(&
&:,JP_HO2)+TPK%K319*PCONC(:,JP_RO2T)  ) 
!
TPK%RO257 = (  +0.6249651*TPK%K139*PCONC(:,JP_APAN)+TPK%K324*PCONC(:,&
&JP_RPR8)*PCONC(:,JP_OH)+TPK%K327*PCONC(:,JP_RPR8)*PCONC(:,JP_NO3)+TPK%K3&
&30*PCONC(:,JP_RPR8)  ) / &
(  +TPK%K133*PCONC(:,JP_NO2)+TPK%K331*PCONC(:,JP_NO)+TPK%K332*PCONC(&
&:,JP_HO2)+TPK%K333*PCONC(:,JP_RO2T)  ) 
!
TPK%RO29 = (  +0.66*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)+TPK%K329&
&*PCONC(:,JP_RPR8)+TPK%K331*TPK%RO257*PCONC(:,JP_NO)+TPK%K333*TPK%RO257*&
PCONC(:,JP_RO2T)  ) / &
(  +TPK%K150*PCONC(:,JP_NO)+TPK%K151*PCONC(:,JP_RO2T)+TPK%K152*PCONC&
&(:,JP_HO2)  ) 
!
!avoid division by zero in prodloss
WHERE (PCONC(:,JP_NO2)>0.)
  TPK%RAD1 = (  +TPK%K072*PCONC(:,JP_AROO)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K103*PCONC(:,JP_NO2)  ) 
!
  TPK%RAD8 = (  +TPK%K320*PCONC(:,JP_RPR4)*PCONC(:,JP_NO3)  ) / &
  (  +TPK%K321*PCONC(:,JP_NO2)  ) 
ELSEWHERE
  TPK%RAD1 = 0.
  TPK%RAD8 = 0.
ENDWHERE
!
TPK%RAD2 = (  +0.74*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K097+TPK%K104*PCONC(:,JP_NO2)  ) 
!
TPK%RAD3 = (  +0.74*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K098+TPK%K105*PCONC(:,JP_NO2)  ) 
!
TPK%RAD4 = (  +0.84*TPK%K080*PCONC(:,JP_AROH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K099+TPK%K106*PCONC(:,JP_NO2)  ) 
!
TPK%RAD5 = (  +TPK%CF40*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K100+TPK%K107*PCONC(:,JP_NO2)  ) 
!
TPK%RAD6 = (  +0.74*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K101+TPK%K108*PCONC(:,JP_NO2)  ) 
!
TPK%RAD7 = (  +0.74*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K102+TPK%K109*PCONC(:,JP_NO2)  ) 
!
TPK%RO22 = (  +TPK%K049*PCONC(:,JP_ETHE)*PCONC(:,JP_OH)+TPK%CF2*TPK&
&%K053*PCONC(:,JP_ETOH)*PCONC(:,JP_OH)+TPK%K054*PCONC(:,JP_OLEL)*PCONC(:,JP_&
&OH)+TPK%K069*PCONC(:,JP_ALCH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K113*PCONC(:,JP_NO)+TPK%K114*PCONC(:,JP_RO2T)+TPK%K115*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO23 = (  +TPK%K050*PCONC(:,JP_ETHE)*PCONC(:,JP_NO3)+TPK%K055*PCO&
&NC(:,JP_OLEL)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K116*PCONC(:,JP_NO)+TPK%K117*PCONC(:,JP_RO2T)+TPK%K118*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO24 = (  +0.4*TPK%K052*PCONC(:,JP_ETHE)*TPK%O+0.1*TPK%K0&
&57*PCONC(:,JP_OLEL)*TPK%O+0.1*TPK%K077*PCONC(:,JP_OLEH)*&
&TPK%O+0.15*TPK%K283*PCONC(:,JP_MVK)*TPK%O  ) / &
(  +TPK%K119*PCONC(:,JP_NO)+TPK%K120*PCONC(:,JP_RO2T)+TPK%K121*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO26 = (  +TPK%K060*PCONC(:,JP_ALD2)*PCONC(:,JP_OH)+TPK%K061*PCON&
&C(:,JP_ALD2)*PCONC(:,JP_NO3)+TPK%K135*PCONC(:,JP_PAN1)  ) / &
(  +TPK%K125*PCONC(:,JP_NO)+TPK%K126*PCONC(:,JP_NO2)+TPK%K142*PCONC(&
&:,JP_HO2)+TPK%K143*PCONC(:,JP_RO2T)  ) 
!
TPK%RO27 = (  +TPK%K062*PCONC(:,JP_KETL)*PCONC(:,JP_OH)+TPK%CF8*TPK&
&%K168*TPK%RO214*PCONC(:,JP_NO)+TPK%K169*TPK%RO214*PCONC(:,J&
&P_RO2T)+TPK%K170*TPK%RO214*PCONC(:,JP_HO2)+0.15*TPK%K284*PCONC(:&
&,JP_MCR)*TPK%O  ) / &
(  +TPK%K144*PCONC(:,JP_NO)+TPK%K145*PCONC(:,JP_RO2T)+TPK%K146*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO210 = (  +0.34*TPK%K064*PCONC(:,JP_ISOP)*PCONC(:,JP_OH)  ) / &
(  +TPK%K153*PCONC(:,JP_NO)+TPK%K154*PCONC(:,JP_RO2T)+TPK%K155*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO211 = (  +0.66*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K156*PCONC(:,JP_NO)+TPK%K157*PCONC(:,JP_RO2T)+TPK%K158*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO212 = (  +0.34*TPK%K065*PCONC(:,JP_ISOP)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K159*PCONC(:,JP_NO)+TPK%K160*PCONC(:,JP_RO2T)+TPK%K161*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO215 = (  +TPK%K068*PCONC(:,JP_MTBE)*PCONC(:,JP_OH)  ) / &
(  +TPK%K171*PCONC(:,JP_NO)+TPK%K172*PCONC(:,JP_RO2T)+TPK%K173*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO216 = (  +TPK%K070*PCONC(:,JP_KETH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K174*PCONC(:,JP_NO)+TPK%K175*PCONC(:,JP_RO2T)+TPK%K176*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO217 = (  +0.1*TPK%K073*PCONC(:,JP_AROO)*PCONC(:,JP_OH)  ) / &
(  +TPK%K177*PCONC(:,JP_NO)+TPK%K178*PCONC(:,JP_RO2T)+TPK%K179*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO220 = (  +0.28*TPK%K076*PCONC(:,JP_OLEH)*PCONC(:,JP_O3)+0.1*TPK&
&%K077*PCONC(:,JP_OLEH)*TPK%O+TPK%K078*PCONC(:,JP_ALKM)*PCONC(:,JP_O&
&H)+TPK%K308*PCONC(:,JP_RPR1)+TPK%K309*TPK%RO255*PCONC(:,JP_NO)+T&
&PK%K311*TPK%RO255*PCONC(:,JP_RO2T)  ) / &
(  +TPK%K186*PCONC(:,JP_NO)+TPK%K187*PCONC(:,JP_RO2T)+TPK%K188*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO218 = (  +TPK%K074*PCONC(:,JP_OLEH)*PCONC(:,JP_OH)+TPK%CF18*TPK%K186*&
TPK%RO220*PCONC(:,JP_NO)+TPK%K187*TPK%RO220*PCONC(:&
&,JP_RO2T)+TPK%K188*TPK%RO220*PCONC(:,JP_HO2)  ) / &
(  +TPK%K180*PCONC(:,JP_NO)+TPK%K181*PCONC(:,JP_RO2T)+TPK%K182*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO219 = (  +TPK%K075*PCONC(:,JP_OLEH)*PCONC(:,JP_NO3)  ) / &
(  +TPK%K183*PCONC(:,JP_NO)+TPK%K184*PCONC(:,JP_RO2T)+TPK%K185*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO221 = (  +0.1*TPK%K079*PCONC(:,JP_AROL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K189*PCONC(:,JP_NO)+TPK%K190*PCONC(:,JP_RO2T)+TPK%K191*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO222 = (  +TPK%CF45*TPK%K082*PCONC(:,JP_ARAL)*PCONC(:,JP_OH)  ) /&
& &
(  +TPK%K192*PCONC(:,JP_NO)+TPK%K193*PCONC(:,JP_RO2T)+TPK%K194*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO223 = (  +0.1*TPK%K083*PCONC(:,JP_ARAC)*PCONC(:,JP_OH)  ) / &
(  +TPK%K195*PCONC(:,JP_NO)+TPK%K196*PCONC(:,JP_RO2T)+TPK%K197*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO224 = (  +TPK%K084*PCONC(:,JP_BIOL)*PCONC(:,JP_OH)  ) / &
(  +TPK%K198*PCONC(:,JP_NO)+TPK%K199*PCONC(:,JP_RO2T)+TPK%K200*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO226 = (  +0.445*TPK%K086*PCONC(:,JP_BIOL)*PCONC(:,JP_O3)  ) / &
(  +TPK%K204*PCONC(:,JP_NO)+TPK%K205*PCONC(:,JP_RO2T)+TPK%K206*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO227 = (  +TPK%K088*PCONC(:,JP_BIOH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K207*PCONC(:,JP_NO)+TPK%K208*PCONC(:,JP_RO2T)+TPK%K209*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO229 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K213*PCONC(:,JP_NO)+TPK%K214*PCONC(:,JP_RO2T)+TPK%K215*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO230 = (  +0.445*TPK%K090*PCONC(:,JP_BIOH)*PCONC(:,JP_O3)  ) / &
(  +TPK%K219*PCONC(:,JP_RO2T)+TPK%K220*PCONC(:,JP_HO2)+TPK%K344*PCON&
&C(:,JP_NO)  ) 
!
TPK%RO231 = (  +0.1*TPK%K092*PCONC(:,JP_PAH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K221*PCONC(:,JP_NO)+TPK%K222*PCONC(:,JP_RO2T)+TPK%K223*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO232 = (  +TPK%K093*PCONC(:,JP_ALKH)*PCONC(:,JP_OH)  ) / &
(  +TPK%K224*PCONC(:,JP_NO)+TPK%K225*PCONC(:,JP_RO2T)+TPK%K226*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO233 = (  +TPK%K097*TPK%RAD2  ) / &
(  +TPK%K230+TPK%K231*PCONC(:,JP_NO)+TPK%K232*PCONC(:,JP_RO2T)+TPK%K233*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO234 = (  +TPK%K098*TPK%RAD3  ) / &
(  +TPK%K237+TPK%K238*PCONC(:,JP_NO)+TPK%K239*PCONC(:,JP_RO2T)+TPK%K240*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO235 = (  +TPK%K099*TPK%RAD4  ) / &
(  +TPK%K244+TPK%K245*PCONC(:,JP_NO)+TPK%K246*PCONC(:,JP_RO2T)+TPK%K247*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO236 = (  +TPK%K100*TPK%RAD5  ) / &
(  +TPK%K251+TPK%K252*PCONC(:,JP_NO)+TPK%K253*PCONC(:,JP_RO2T)+TPK%K254*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO237 = (  +TPK%K101*TPK%RAD6  ) / &
(  +TPK%K258+TPK%K259*PCONC(:,JP_NO)+TPK%K260*PCONC(:,JP_RO2T)+TPK%K261*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO238 = (  +TPK%K102*TPK%RAD7  ) / &
(  +TPK%K265+TPK%K266*PCONC(:,JP_NO)+TPK%K267*PCONC(:,JP_RO2T)+TPK%K268*&
PCONC(:,JP_HO2)  ) 
!
TPK%RO240 = (  +TPK%CF30*TPK%K213*TPK%RO229*PCONC(:,JP_NO)+TPK%K214*&
TPK%RO229*PCONC(:,JP_RO2T)+TPK%K215*TPK%RO229*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K216*PCONC(:,JP_NO)+TPK%K217*PCONC(:,JP_RO2T)+TPK%K218*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO241 = (  +TPK%CF34*TPK%K224*TPK%RO232*PCONC(:,JP_NO)+TPK%K225*&
TPK%RO232*PCONC(:,JP_RO2T)+TPK%K226*TPK%RO232*PCON&
&C(:,JP_HO2)  ) / &
(  +TPK%K227*PCONC(:,JP_NO)+TPK%K228*PCONC(:,JP_RO2T)+TPK%K229*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO242 = (  +TPK%K230*TPK%RO233  ) / &
(  +TPK%K234*PCONC(:,JP_NO)+TPK%K235*PCONC(:,JP_RO2T)+TPK%K236*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO243 = (  +TPK%K237*TPK%RO234  ) / &
(  +TPK%K241*PCONC(:,JP_NO)+TPK%K242*PCONC(:,JP_RO2T)+TPK%K243*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO244 = (  +TPK%K244*TPK%RO235  ) / &
(  +TPK%K248*PCONC(:,JP_NO)+TPK%K249*PCONC(:,JP_RO2T)+TPK%K250*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO245 = (  +TPK%K251*TPK%RO236  ) / &
(  +TPK%K255*PCONC(:,JP_NO)+TPK%K256*PCONC(:,JP_RO2T)+TPK%K257*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO246 = (  +TPK%K258*TPK%RO237  ) / &
(  +TPK%K262*PCONC(:,JP_NO)+TPK%K263*PCONC(:,JP_RO2T)+TPK%K264*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO247 = (  +TPK%K265*TPK%RO238  ) / &
(  +TPK%K269*PCONC(:,JP_NO)+TPK%K270*PCONC(:,JP_RO2T)+TPK%K271*PCONC&
&(:,JP_HO2)  ) 
!
TPK%RO28 = (  +TPK%K063*PCONC(:,JP_KETL)+TPK%K071*PCONC(:,JP_KETH)+TP&
&K%K136*PCONC(:,JP_PAN2)+TPK%K144*TPK%RO27*PCONC(:,JP_NO)+TPK%&
&K145*TPK%RO27*PCONC(:,JP_RO2T)+TPK%K146*TPK%RO27*PCONC(:,JP&
&_HO2)+TPK%K174*TPK%RO216*PCONC(:,JP_NO)+TPK%K175*TPK%RO21&
&6*PCONC(:,JP_RO2T)+TPK%K176*TPK%RO216*PCONC(:,JP_HO2)+TPK%K204*&
&TPK%RO226*PCONC(:,JP_NO)+TPK%K205*TPK%RO226*PCONC(:,JP_RO2T)&
&+TPK%K206*TPK%RO226*PCONC(:,JP_HO2)+TPK%K216*TPK%RO240*&
&PCONC(:,JP_NO)+TPK%K217*TPK%RO240*PCONC(:,JP_RO2T)+TPK%K218*&
&TPK%RO240*PCONC(:,JP_HO2)+TPK%K219*TPK%RO230*PCONC(:,JP_RO2T)+T&
&PK%K220*TPK%RO230*PCONC(:,JP_HO2)+TPK%K276*PCONC(:,JP_MGLY)+TPK%K277*&
TPK%RO248*PCONC(:,JP_NO)+TPK%K280*TPK%RO248*PCONC(:&
&,JP_RO2T)+0.28*TPK%K281*PCONC(:,JP_MVK)*PCONC(:,JP_O3)+0.15*TPK%K283*PCO&
&NC(:,JP_MVK)*TPK%O+TPK%K344*TPK%RO230*PCONC(:,JP_NO)  ) / &
(  +TPK%K127*PCONC(:,JP_NO2)+TPK%K147*PCONC(:,JP_NO)+TPK%K148*PCONC(&
&:,JP_HO2)+TPK%K149*PCONC(:,JP_RO2T)  ) 
!
! /END_CODE/
PTERMS(:,:,:) = 0.0
CALL SUBT0
CALL SUBT1
CALL SUBT2
CALL SUBT3
CALL SUBT4
CALL SUBT5
CALL SUBT6
CALL SUBT7
CALL SUBT8
CALL SUBT9
CALL SUBT10
CALL SUBT11
CALL SUBT12
CALL SUBT13
CALL SUBT14
CALL SUBT15
CALL SUBT16
CALL SUBT17
CALL SUBT18
CALL SUBT19
CALL SUBT20
CALL SUBT21
CALL SUBT22
CALL SUBT23
CALL SUBT24
CALL SUBT25
CALL SUBT26
CALL SUBT27
CALL SUBT28
CALL SUBT29
CALL SUBT30
CALL SUBT31
CALL SUBT32
CALL SUBT33
CALL SUBT34
CALL SUBT35
CALL SUBT36
CALL SUBT37
CALL SUBT38
CALL SUBT39
CALL SUBT40
CALL SUBT41
CALL SUBT42
CALL SUBT43
CALL SUBT44
CALL SUBT45
CALL SUBT46
CALL SUBT47
CALL SUBT48
CALL SUBT49
CALL SUBT50
CALL SUBT51
CALL SUBT52
CALL SUBT53
CALL SUBT54
CALL SUBT55
CALL SUBT56
CALL SUBT57
CALL SUBT58
CALL SUBT59
CALL SUBT60
CALL SUBT61
CALL SUBT62
CALL SUBT63
CALL SUBT64
CALL SUBT65
CALL SUBT66
CALL SUBT67
CALL SUBT68
CALL SUBT69
CALL SUBT70
CALL SUBT71
CALL SUBT72
CALL SUBT73
CALL SUBT74
CALL SUBT75
CALL SUBT76
CALL SUBT77
CALL SUBT78
CALL SUBT79
CALL SUBT80
CALL SUBT81
CALL SUBT82
CALL SUBT83
CALL SUBT84
CALL SUBT85
CALL SUBT86
CALL SUBT87
CALL SUBT88
!

CONTAINS

SUBROUTINE SUBT0
!
!Indices 1 a 20
!
!PTERMS(NO,K001) = +K001*<NO2>
 PTERMS(:,1,1) = +TPK%K001(:)*PCONC(:,2)
!
!PTERMS(NO2,K001) = -K001*<NO2>
 PTERMS(:,2,1) = -TPK%K001(:)*PCONC(:,2)
!
!PTERMS(O3,K002) = +K002*<O2>*<O>
 PTERMS(:,3,2) = +TPK%K002(:)*TPK%O2(:)*TPK%O(:)
!
!PTERMS(NO,K003) = +K003*<NO2>*<O>
 PTERMS(:,1,3) = +TPK%K003(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO2,K003) = -K003*<NO2>*<O>
 PTERMS(:,2,3) = -TPK%K003(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO2,K004) = -K004*<NO2>*<O>
 PTERMS(:,2,4) = -TPK%K004(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO3,K004) = +K004*<NO2>*<O>
 PTERMS(:,8,4) = +TPK%K004(:)*PCONC(:,2)*TPK%O(:)
!
!PTERMS(NO,K005) = -K005*<O3>*<NO>
 PTERMS(:,1,5) = -TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(NO2,K005) = +K005*<O3>*<NO>
 PTERMS(:,2,5) = +TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(O3,K005) = -K005*<O3>*<NO>
 PTERMS(:,3,5) = -TPK%K005(:)*PCONC(:,3)*PCONC(:,1)
!
!PTERMS(NO2,K006) = -K006*<O3>*<NO2>
 PTERMS(:,2,6) = -TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(O3,K006) = -K006*<O3>*<NO2>
 PTERMS(:,3,6) = -TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(NO3,K006) = +K006*<O3>*<NO2>
 PTERMS(:,8,6) = +TPK%K006(:)*PCONC(:,3)*PCONC(:,2)
!
!PTERMS(NO,K007) = -K007*<NO3>*<NO>
 PTERMS(:,1,7) = -TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO2,K007) = +2.*K007*<NO3>*<NO>
 PTERMS(:,2,7) = +2.*TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO3,K007) = -K007*<NO3>*<NO>
 PTERMS(:,8,7) = -TPK%K007(:)*PCONC(:,8)*PCONC(:,1)
!
!PTERMS(NO,K008) = -K008*<NO>*<NO>
 PTERMS(:,1,8) = -TPK%K008(:)*PCONC(:,1)*PCONC(:,1)
!
!PTERMS(NO2,K008) = +2.*K008*<NO>*<NO>
 PTERMS(:,2,8) = +2.*TPK%K008(:)*PCONC(:,1)*PCONC(:,1)
!
!PTERMS(NO2,K009) = -K009*<NO3>*<NO2>
 PTERMS(:,2,9) = -TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(N2O5,K009) = +K009*<NO3>*<NO2>
 PTERMS(:,7,9) = +TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!
RETURN
END SUBROUTINE SUBT0
!
SUBROUTINE SUBT1
!
!Indices 21 a 40
!
!PTERMS(NO3,K009) = -K009*<NO3>*<NO2>
 PTERMS(:,8,9) = -TPK%K009(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO2,K010) = +K010*<N2O5>
 PTERMS(:,2,10) = +TPK%K010(:)*PCONC(:,7)
!
!PTERMS(N2O5,K010) = -K010*<N2O5>
 PTERMS(:,7,10) = -TPK%K010(:)*PCONC(:,7)
!
!PTERMS(NO3,K010) = +K010*<N2O5>
 PTERMS(:,8,10) = +TPK%K010(:)*PCONC(:,7)
!
!PTERMS(HNO3,K011) = +2.*K011*<H2O>*<N2O5>
 PTERMS(:,5,11) = +2.*TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)
!
!PTERMS(N2O5,K011) = -K011*<H2O>*<N2O5>
 PTERMS(:,7,11) = -TPK%K011(:)*TPK%H2O(:)*PCONC(:,7)
!
!PTERMS(NO,K012) = +K012*<NO3>*<NO2>
 PTERMS(:,1,12) = +TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO2,K012) = -K012*<NO3>*<NO2>
 PTERMS(:,2,12) = -TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO3,K012) = -K012*<NO3>*<NO2>
 PTERMS(:,8,12) = -TPK%K012(:)*PCONC(:,8)*PCONC(:,2)
!
!PTERMS(NO,K013) = +K013*<NO3>
 PTERMS(:,1,13) = +TPK%K013(:)*PCONC(:,8)
!
!PTERMS(NO3,K013) = -K013*<NO3>
 PTERMS(:,8,13) = -TPK%K013(:)*PCONC(:,8)
!
!PTERMS(NO2,K014) = +K014*<NO3>
 PTERMS(:,2,14) = +TPK%K014(:)*PCONC(:,8)
!
!PTERMS(NO3,K014) = -K014*<NO3>
 PTERMS(:,8,14) = -TPK%K014(:)*PCONC(:,8)
!
!PTERMS(O3,K015) = -K015*<O3>
 PTERMS(:,3,15) = -TPK%K015(:)*PCONC(:,3)
!
!PTERMS(O3,K016) = -K016*<O3>
 PTERMS(:,3,16) = -TPK%K016(:)*PCONC(:,3)
!
!PTERMS(OH,K017) = +K017*<H2O>*<OSD>
 PTERMS(:,15,17) = +TPK%K017(:)*TPK%H2O(:)*TPK%OSD(:)
!
!PTERMS(NO,K019) = -K019*<OH>*<NO>
 PTERMS(:,1,20) = -TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(HONO,K019) = +K019*<OH>*<NO>
 PTERMS(:,4,20) = +TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(OH,K019) = -K019*<OH>*<NO>
 PTERMS(:,15,20) = -TPK%K019(:)*PCONC(:,15)*PCONC(:,1)
!
!PTERMS(NO,K020) = +0.9*K020*<HONO>
 PTERMS(:,1,21) = +0.9*TPK%K020(:)*PCONC(:,4)
!
!
RETURN
END SUBROUTINE SUBT1
!
SUBROUTINE SUBT2
!
!Indices 41 a 60
!
!PTERMS(NO2,K020) = +0.1*K020*<HONO>
 PTERMS(:,2,21) = +0.1*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(HONO,K020) = -K020*<HONO>
 PTERMS(:,4,21) = -TPK%K020(:)*PCONC(:,4)
!
!PTERMS(HO2,K020) = +0.1*K020*<HONO>
 PTERMS(:,10,21) = +0.1*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(OH,K020) = +0.9*K020*<HONO>
 PTERMS(:,15,21) = +0.9*TPK%K020(:)*PCONC(:,4)
!
!PTERMS(NO2,K021) = -K021*<H2O>*<NO2>
 PTERMS(:,2,22) = -TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(HONO,K021) = +0.5*K021*<H2O>*<NO2>
 PTERMS(:,4,22) = +0.5*TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(HNO3,K021) = +0.5*K021*<H2O>*<NO2>
 PTERMS(:,5,22) = +0.5*TPK%K021(:)*TPK%H2O(:)*PCONC(:,2)
!
!PTERMS(NO2,K022) = -K022*<OH>*<NO2>
 PTERMS(:,2,23) = -TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(HNO3,K022) = +K022*<OH>*<NO2>
 PTERMS(:,5,23) = +TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(OH,K022) = -K022*<OH>*<NO2>
 PTERMS(:,15,23) = -TPK%K022(:)*PCONC(:,15)*PCONC(:,2)
!
!PTERMS(HNO3,K023) = -K023*<OH>*<HNO3>
 PTERMS(:,5,24) = -TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(NO3,K023) = +K023*<OH>*<HNO3>
 PTERMS(:,8,24) = +TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(OH,K023) = -K023*<OH>*<HNO3>
 PTERMS(:,15,24) = -TPK%K023(:)*PCONC(:,15)*PCONC(:,5)
!
!PTERMS(HO2,K024) = +K024*<OH>*<CO>
 PTERMS(:,10,25) = +TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(CO,K024) = -K024*<OH>*<CO>
 PTERMS(:,11,25) = -TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(OH,K024) = -K024*<OH>*<CO>
 PTERMS(:,15,25) = -TPK%K024(:)*PCONC(:,15)*PCONC(:,11)
!
!PTERMS(O3,K025) = -K025*<OH>*<O3>
 PTERMS(:,3,26) = -TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(HO2,K025) = +K025*<OH>*<O3>
 PTERMS(:,10,26) = +TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(OH,K025) = -K025*<OH>*<O3>
 PTERMS(:,15,26) = -TPK%K025(:)*PCONC(:,15)*PCONC(:,3)
!
!PTERMS(NO,K026) = -K026*<HO2>*<NO>
 PTERMS(:,1,27) = -TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!
RETURN
END SUBROUTINE SUBT2
!
SUBROUTINE SUBT3
!
!Indices 61 a 80
!
!PTERMS(NO2,K026) = +K026*<HO2>*<NO>
 PTERMS(:,2,27) = +TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(HO2,K026) = -K026*<HO2>*<NO>
 PTERMS(:,10,27) = -TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(OH,K026) = +K026*<HO2>*<NO>
 PTERMS(:,15,27) = +TPK%K026(:)*PCONC(:,10)*PCONC(:,1)
!
!PTERMS(NO2,K027) = -K027*<HO2>*<NO2>
 PTERMS(:,2,28) = -TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(HNO4,K027) = +K027*<HO2>*<NO2>
 PTERMS(:,6,28) = +TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(HO2,K027) = -K027*<HO2>*<NO2>
 PTERMS(:,10,28) = -TPK%K027(:)*PCONC(:,10)*PCONC(:,2)
!
!PTERMS(NO2,K028) = +K028*<HNO4>
 PTERMS(:,2,29) = +TPK%K028(:)*PCONC(:,6)
!
!PTERMS(HNO4,K028) = -K028*<HNO4>
 PTERMS(:,6,29) = -TPK%K028(:)*PCONC(:,6)
!
!PTERMS(HO2,K028) = +K028*<HNO4>
 PTERMS(:,10,29) = +TPK%K028(:)*PCONC(:,6)
!
!PTERMS(NO2,K029) = +K029*<OH>*<HNO4>
 PTERMS(:,2,30) = +TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(HNO4,K029) = -K029*<OH>*<HNO4>
 PTERMS(:,6,30) = -TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(OH,K029) = -K029*<OH>*<HNO4>
 PTERMS(:,15,30) = -TPK%K029(:)*PCONC(:,15)*PCONC(:,6)
!
!PTERMS(O3,K030) = -K030*<HO2>*<O3>
 PTERMS(:,3,31) = -TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(HO2,K030) = -K030*<HO2>*<O3>
 PTERMS(:,10,31) = -TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(OH,K030) = +K030*<HO2>*<O3>
 PTERMS(:,15,31) = +TPK%K030(:)*PCONC(:,10)*PCONC(:,3)
!
!PTERMS(HO2,K031) = -K031*<HO2>*<HO2>
 PTERMS(:,10,32) = -TPK%K031(:)*PCONC(:,10)*PCONC(:,10)
!
!PTERMS(H2O2,K031) = +K031*<HO2>*<HO2>
 PTERMS(:,12,32) = +TPK%K031(:)*PCONC(:,10)*PCONC(:,10)
!
!PTERMS(HO2,K032) = -K032*<HO2>*<H2O>*<HO2>
 PTERMS(:,10,33) = -TPK%K032(:)*PCONC(:,10)*TPK%H2O(:)*PCONC(:,10)
!
!PTERMS(H2O2,K032) = +K032*<HO2>*<H2O>*<HO2>
 PTERMS(:,12,33) = +TPK%K032(:)*PCONC(:,10)*TPK%H2O(:)*PCONC(:,10)
!
!PTERMS(NO2,K033) = +0.8*K033*<HO2>*<NO3>
 PTERMS(:,2,34) = +0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!
RETURN
END SUBROUTINE SUBT3
!
SUBROUTINE SUBT4
!
!Indices 81 a 100
!
!PTERMS(HNO3,K033) = +0.2*K033*<HO2>*<NO3>
 PTERMS(:,5,34) = +0.2*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(NO3,K033) = -K033*<HO2>*<NO3>
 PTERMS(:,8,34) = -TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(HO2,K033) = -K033*<HO2>*<NO3>
 PTERMS(:,10,34) = -TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(OH,K033) = +0.8*K033*<HO2>*<NO3>
 PTERMS(:,15,34) = +0.8*TPK%K033(:)*PCONC(:,10)*PCONC(:,8)
!
!PTERMS(O3,K034) = -K034*<O3>*<O>
 PTERMS(:,3,35) = -TPK%K034(:)*PCONC(:,3)*TPK%O(:)
!
!PTERMS(HO2,K035) = +K035*<OH>*<SO2>
 PTERMS(:,10,36) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(SO2,K035) = -K035*<OH>*<SO2>
 PTERMS(:,13,36) = -TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(H2SO4,K035) = +K035*<OH>*<SO2>
 PTERMS(:,14,36) = +TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(OH,K035) = -K035*<OH>*<SO2>
 PTERMS(:,15,36) = -TPK%K035(:)*PCONC(:,15)*PCONC(:,13)
!
!PTERMS(H2O2,K036) = -K036*<H2O2>
 PTERMS(:,12,37) = -TPK%K036(:)*PCONC(:,12)
!
!PTERMS(OH,K036) = +2.*K036*<H2O2>
 PTERMS(:,15,37) = +2.*TPK%K036(:)*PCONC(:,12)
!
!PTERMS(HO2,K037) = +K037*<OH>*<H2O2>
 PTERMS(:,10,38) = +TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(H2O2,K037) = -K037*<OH>*<H2O2>
 PTERMS(:,12,38) = -TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(OH,K037) = -K037*<OH>*<H2O2>
 PTERMS(:,15,38) = -TPK%K037(:)*PCONC(:,15)*PCONC(:,12)
!
!PTERMS(NO,K038) = -K038*<NO>*<O>
 PTERMS(:,1,39) = -TPK%K038(:)*PCONC(:,1)*TPK%O(:)
!
!PTERMS(NO2,K038) = +K038*<NO>*<O>
 PTERMS(:,2,39) = +TPK%K038(:)*PCONC(:,1)*TPK%O(:)
!
!PTERMS(NO2,K039) = +K039*<OH>*<HONO>
 PTERMS(:,2,40) = +TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(HONO,K039) = -K039*<OH>*<HONO>
 PTERMS(:,4,40) = -TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(OH,K039) = -K039*<OH>*<HONO>
 PTERMS(:,15,40) = -TPK%K039(:)*PCONC(:,15)*PCONC(:,4)
!
!PTERMS(NO2,K040) = +K040*<OH>*<NO3>
 PTERMS(:,2,41) = +TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!
RETURN
END SUBROUTINE SUBT4
!
SUBROUTINE SUBT5
!
!Indices 101 a 120
!
!PTERMS(NO3,K040) = -K040*<OH>*<NO3>
 PTERMS(:,8,41) = -TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(HO2,K040) = +K040*<OH>*<NO3>
 PTERMS(:,10,41) = +TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(OH,K040) = -K040*<OH>*<NO3>
 PTERMS(:,15,41) = -TPK%K040(:)*PCONC(:,15)*PCONC(:,8)
!
!PTERMS(NO2,K041) = +2.*K041*<NO3>*<NO3>
 PTERMS(:,2,42) = +2.*TPK%K041(:)*PCONC(:,8)*PCONC(:,8)
!
!PTERMS(NO3,K041) = -K041*<NO3>*<NO3>
 PTERMS(:,8,42) = -TPK%K041(:)*PCONC(:,8)*PCONC(:,8)
!
!PTERMS(HO2,K042) = -K042*<HO2>*<OH>
 PTERMS(:,10,43) = -TPK%K042(:)*PCONC(:,10)*PCONC(:,15)
!
!PTERMS(OH,K042) = -K042*<HO2>*<OH>
 PTERMS(:,15,43) = -TPK%K042(:)*PCONC(:,10)*PCONC(:,15)
!
!PTERMS(OH,K043) = -K043*<OH>*<CH4>
 PTERMS(:,15,44) = -TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(RO2T,K043) = +K043*<OH>*<CH4>
 PTERMS(:,85,44) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(RO21,K043) = +K043*<OH>*<CH4>
 PTERMS(:,86,44) = +TPK%K043(:)*PCONC(:,15)*TPK%CH4(:)
!
!PTERMS(HO2,K044) = +2.0*K044*<HCHO>
 PTERMS(:,10,45) = +2.0*TPK%K044(:)*PCONC(:,28)
!
!PTERMS(CO,K044) = +K044*<HCHO>
 PTERMS(:,11,45) = +TPK%K044(:)*PCONC(:,28)
!
!PTERMS(HCHO,K044) = -K044*<HCHO>
 PTERMS(:,28,45) = -TPK%K044(:)*PCONC(:,28)
!
!PTERMS(CO,K045) = +K045*<HCHO>
 PTERMS(:,11,46) = +TPK%K045(:)*PCONC(:,28)
!
!PTERMS(HCHO,K045) = -K045*<HCHO>
 PTERMS(:,28,46) = -TPK%K045(:)*PCONC(:,28)
!
!PTERMS(HO2,K046) = +K046*<OH>*<HCHO>
 PTERMS(:,10,47) = +TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(CO,K046) = +K046*<OH>*<HCHO>
 PTERMS(:,11,47) = +TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(OH,K046) = -K046*<OH>*<HCHO>
 PTERMS(:,15,47) = -TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(HCHO,K046) = -K046*<OH>*<HCHO>
 PTERMS(:,28,47) = -TPK%K046(:)*PCONC(:,15)*PCONC(:,28)
!
!PTERMS(HNO3,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,5,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!
RETURN
END SUBROUTINE SUBT5
!
SUBROUTINE SUBT6
!
!Indices 121 a 140
!
!PTERMS(NO3,K047) = -K047*<NO3>*<HCHO>
 PTERMS(:,8,48) = -TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HO2,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,10,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(CO,K047) = +K047*<NO3>*<HCHO>
 PTERMS(:,11,48) = +TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HCHO,K047) = -K047*<NO3>*<HCHO>
 PTERMS(:,28,48) = -TPK%K047(:)*PCONC(:,8)*PCONC(:,28)
!
!PTERMS(HO2,K048) = +K048*<OH>*<MEOH>
 PTERMS(:,10,49) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(OH,K048) = -K048*<OH>*<MEOH>
 PTERMS(:,15,49) = -TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(HCHO,K048) = +K048*<OH>*<MEOH>
 PTERMS(:,28,49) = +TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(MEOH,K048) = -K048*<OH>*<MEOH>
 PTERMS(:,32,49) = -TPK%K048(:)*PCONC(:,15)*PCONC(:,32)
!
!PTERMS(OH,K049) = -K049*<OH>*<ETHE>
 PTERMS(:,15,50) = -TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(ETHE,K049) = -K049*<OH>*<ETHE>
 PTERMS(:,16,50) = -TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(RO2T,K049) = +K049*<OH>*<ETHE>
 PTERMS(:,85,50) = +TPK%K049(:)*PCONC(:,15)*PCONC(:,16)
!
!PTERMS(NO3,K050) = -K050*<NO3>*<ETHE>
 PTERMS(:,8,51) = -TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(ETHE,K050) = -K050*<NO3>*<ETHE>
 PTERMS(:,16,51) = -TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(RO2T,K050) = +K050*<NO3>*<ETHE>
 PTERMS(:,85,51) = +TPK%K050(:)*PCONC(:,8)*PCONC(:,16)
!
!PTERMS(O3,K051) = -K051*<O3>*<ETHE>
 PTERMS(:,3,52) = -TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HO2,K051) = +0.06*K051*<O3>*<ETHE>
 PTERMS(:,10,52) = +0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(CO,K051) = +0.315*K051*<O3>*<ETHE>
 PTERMS(:,11,52) = +0.315*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(OH,K051) = +0.06*K051*<O3>*<ETHE>
 PTERMS(:,15,52) = +0.06*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(ETHE,K051) = -K051*<O3>*<ETHE>
 PTERMS(:,16,52) = -TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HCHO,K051) = +0.5*K051*<O3>*<ETHE>
 PTERMS(:,28,52) = +0.5*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!
RETURN
END SUBROUTINE SUBT6
!
SUBROUTINE SUBT7
!
!Indices 141 a 160
!
!PTERMS(ORA1,K051) = +0.185*K051*<O3>*<ETHE>
 PTERMS(:,43,52) = +0.185*TPK%K051(:)*PCONC(:,3)*PCONC(:,16)
!
!PTERMS(HO2,K052) = +K052*<O>*<ETHE>
 PTERMS(:,10,53) = +TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(CO,K052) = +0.6*K052*<O>*<ETHE>
 PTERMS(:,11,53) = +0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(ETHE,K052) = -K052*<O>*<ETHE>
 PTERMS(:,16,53) = -TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(RO2T,K052) = +K052*<O>*<ETHE>
 PTERMS(:,85,53) = +TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(RO21,K052) = +0.6*K052*<O>*<ETHE>
 PTERMS(:,86,53) = +0.6*TPK%K052(:)*TPK%O(:)*PCONC(:,16)
!
!PTERMS(HO2,K053) = +TPK%CF1*K053*<OH>*<ETOH>
 PTERMS(:,10,54) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(OH,K053) = -K053*<OH>*<ETOH>
 PTERMS(:,15,54) = -TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(ALD2,K053) = +TPK%CF1*K053*<OH>*<ETOH>
 PTERMS(:,29,54) = +TPK%CF1*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(ETOH,K053) = -K053*<OH>*<ETOH>
 PTERMS(:,33,54) = -TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(RO2T,K053) = +TPK%CF2*K053*<OH>*<ETOH>
 PTERMS(:,85,54) = +TPK%CF2*TPK%K053(:)*PCONC(:,15)*PCONC(:,33)
!
!PTERMS(OH,K054) = -K054*<OH>*<OLEL>
 PTERMS(:,15,55) = -TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(OLEL,K054) = -K054*<OH>*<OLEL>
 PTERMS(:,17,55) = -TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(RO2T,K054) = +K054*<OH>*<OLEL>
 PTERMS(:,85,55) = +TPK%K054(:)*PCONC(:,15)*PCONC(:,17)
!
!PTERMS(NO3,K055) = -K055*<NO3>*<OLEL>
 PTERMS(:,8,56) = -TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(OLEL,K055) = -K055*<NO3>*<OLEL>
 PTERMS(:,17,56) = -TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(RO2T,K055) = +K055*<NO3>*<OLEL>
 PTERMS(:,85,56) = +TPK%K055(:)*PCONC(:,8)*PCONC(:,17)
!
!PTERMS(O3,K056) = -K056*<O3>*<OLEL>
 PTERMS(:,3,57) = -TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(HO2,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,10,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(CO,K056) = +0.56*K056*<O3>*<OLEL>
 PTERMS(:,11,57) = +0.56*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!
RETURN
END SUBROUTINE SUBT7
!
SUBROUTINE SUBT8
!
!Indices 161 a 180
!
!PTERMS(OH,K056) = +0.36*K056*<O3>*<OLEL>
 PTERMS(:,15,57) = +0.36*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(OLEL,K056) = -K056*<O3>*<OLEL>
 PTERMS(:,17,57) = -TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ALKL,K056) = +0.1*K056*<O3>*<OLEL>
 PTERMS(:,19,57) = +0.1*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(HCHO,K056) = +0.5*K056*<O3>*<OLEL>
 PTERMS(:,28,57) = +0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ALD2,K056) = +0.5*K056*<O3>*<OLEL>
 PTERMS(:,29,57) = +0.5*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ORA1,K056) = +0.12*K056*<O3>*<OLEL>
 PTERMS(:,43,57) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(ORA2,K056) = +0.12*K056*<O3>*<OLEL>
 PTERMS(:,44,57) = +0.12*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(RO2T,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,85,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(RO25,K056) = +0.28*K056*<O3>*<OLEL>
 PTERMS(:,87,57) = +0.28*TPK%K056(:)*PCONC(:,3)*PCONC(:,17)
!
!PTERMS(OLEL,K057) = -K057*<O>*<OLEL>
 PTERMS(:,17,58) = -TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(ALKL,K057) = +0.5*K057*<O>*<OLEL>
 PTERMS(:,19,58) = +0.5*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(ALD2,K057) = +0.4*K057*<O>*<OLEL>
 PTERMS(:,29,58) = +0.4*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(RO2T,K057) = +0.2*K057*<O>*<OLEL>
 PTERMS(:,85,58) = +0.2*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(RO25,K057) = +0.1*K057*<O>*<OLEL>
 PTERMS(:,87,58) = +0.1*TPK%K057(:)*TPK%O(:)*PCONC(:,17)
!
!PTERMS(OH,K058) = -K058*<OH>*<ALKL>
 PTERMS(:,15,59) = -TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(ALKL,K058) = -K058*<OH>*<ALKL>
 PTERMS(:,19,59) = -TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(RO2T,K058) = +K058*<OH>*<ALKL>
 PTERMS(:,85,59) = +TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(RO25,K058) = +K058*<OH>*<ALKL>
 PTERMS(:,87,59) = +TPK%K058(:)*PCONC(:,15)*PCONC(:,19)
!
!PTERMS(HO2,K059) = +K059*<ALD2>
 PTERMS(:,10,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(CO,K059) = +K059*<ALD2>
 PTERMS(:,11,60) = +TPK%K059(:)*PCONC(:,29)
!
!
RETURN
END SUBROUTINE SUBT8
!
SUBROUTINE SUBT9
!
!Indices 181 a 200
!
!PTERMS(ALD2,K059) = -K059*<ALD2>
 PTERMS(:,29,60) = -TPK%K059(:)*PCONC(:,29)
!
!PTERMS(RO2T,K059) = +K059*<ALD2>
 PTERMS(:,85,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(RO25,K059) = +K059*<ALD2>
 PTERMS(:,87,60) = +TPK%K059(:)*PCONC(:,29)
!
!PTERMS(OH,K060) = -K060*<OH>*<ALD2>
 PTERMS(:,15,61) = -TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(ALD2,K060) = -K060*<OH>*<ALD2>
 PTERMS(:,29,61) = -TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(RO2T,K060) = +K060*<OH>*<ALD2>
 PTERMS(:,85,61) = +TPK%K060(:)*PCONC(:,15)*PCONC(:,29)
!
!PTERMS(HNO3,K061) = +K061*<NO3>*<ALD2>
 PTERMS(:,5,62) = +TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(NO3,K061) = -K061*<NO3>*<ALD2>
 PTERMS(:,8,62) = -TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(ALD2,K061) = -K061*<NO3>*<ALD2>
 PTERMS(:,29,62) = -TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(RO2T,K061) = +K061*<NO3>*<ALD2>
 PTERMS(:,85,62) = +TPK%K061(:)*PCONC(:,8)*PCONC(:,29)
!
!PTERMS(OH,K062) = -K062*<OH>*<KETL>
 PTERMS(:,15,63) = -TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(KETL,K062) = -K062*<OH>*<KETL>
 PTERMS(:,30,63) = -TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(RO2T,K062) = +K062*<OH>*<KETL>
 PTERMS(:,85,63) = +TPK%K062(:)*PCONC(:,15)*PCONC(:,30)
!
!PTERMS(KETL,K063) = -K063*<KETL>
 PTERMS(:,30,64) = -TPK%K063(:)*PCONC(:,30)
!
!PTERMS(RO2T,K063) = +2.*K063*<KETL>
 PTERMS(:,85,64) = +2.*TPK%K063(:)*PCONC(:,30)
!
!PTERMS(RO25,K063) = +K063*<KETL>
 PTERMS(:,87,64) = +TPK%K063(:)*PCONC(:,30)
!
!PTERMS(OH,K064) = -K064*<OH>*<ISOP>
 PTERMS(:,15,65) = -TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(ISOP,K064) = -K064*<OH>*<ISOP>
 PTERMS(:,35,65) = -TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(RO2T,K064) = +K064*<OH>*<ISOP>
 PTERMS(:,85,65) = +TPK%K064(:)*PCONC(:,15)*PCONC(:,35)
!
!PTERMS(NO3,K065) = -K065*<NO3>*<ISOP>
 PTERMS(:,8,66) = -TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!
RETURN
END SUBROUTINE SUBT9
!
SUBROUTINE SUBT10
!
!Indices 201 a 220
!
!PTERMS(ISOP,K065) = -K065*<NO3>*<ISOP>
 PTERMS(:,35,66) = -TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!PTERMS(RO2T,K065) = +K065*<NO3>*<ISOP>
 PTERMS(:,85,66) = +TPK%K065(:)*PCONC(:,8)*PCONC(:,35)
!
!PTERMS(O3,K066) = -K066*<O3>*<ISOP>
 PTERMS(:,3,67) = -TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(HO2,K066) = +0.366*K066*<O3>*<ISOP>
 PTERMS(:,10,67) = +0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(CO,K066) = +0.461*K066*<O3>*<ISOP>
 PTERMS(:,11,67) = +0.461*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OH,K066) = +0.664*K066*<O3>*<ISOP>
 PTERMS(:,15,67) = +0.664*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OLEL,K066) = +0.054*K066*<O3>*<ISOP>
 PTERMS(:,17,67) = +0.054*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(HCHO,K066) = +0.5*K066*<O3>*<ISOP>
 PTERMS(:,28,67) = +0.5*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(ISOP,K066) = -K066*<O3>*<ISOP>
 PTERMS(:,35,67) = -TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(MVK,K066) = +0.389*K066*<O3>*<ISOP>
 PTERMS(:,39,67) = +0.389*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(MCR,K066) = +0.17*K066*<O3>*<ISOP>
 PTERMS(:,40,67) = +0.17*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(ORA1,K066) = +0.121*K066*<O3>*<ISOP>
 PTERMS(:,43,67) = +0.121*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(RO2T,K066) = +0.366*K066*<O3>*<ISOP>
 PTERMS(:,85,67) = +0.366*TPK%K066(:)*PCONC(:,3)*PCONC(:,35)
!
!PTERMS(OLEL,K067) = +0.925*K067*<O>*<ISOP>
 PTERMS(:,17,68) = +0.925*TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(ALD2,K067) = +0.075*K067*<O>*<ISOP>
 PTERMS(:,29,68) = +0.075*TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(ISOP,K067) = -K067*<O>*<ISOP>
 PTERMS(:,35,68) = -TPK%K067(:)*TPK%O(:)*PCONC(:,35)
!
!PTERMS(OH,K068) = -K068*<OH>*<MTBE>
 PTERMS(:,15,69) = -TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(MTBE,K068) = -K068*<OH>*<MTBE>
 PTERMS(:,38,69) = -TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(RO2T,K068) = +K068*<OH>*<MTBE>
 PTERMS(:,85,69) = +TPK%K068(:)*PCONC(:,15)*PCONC(:,38)
!
!PTERMS(OH,K069) = -K069*<OH>*<ALCH>
 PTERMS(:,15,70) = -TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!
RETURN
END SUBROUTINE SUBT10
!
SUBROUTINE SUBT11
!
!Indices 221 a 240
!
!PTERMS(ALCH,K069) = -K069*<OH>*<ALCH>
 PTERMS(:,34,70) = -TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!PTERMS(RO2T,K069) = +K069*<OH>*<ALCH>
 PTERMS(:,85,70) = +TPK%K069(:)*PCONC(:,15)*PCONC(:,34)
!
!PTERMS(OH,K070) = -K070*<OH>*<KETH>
 PTERMS(:,15,71) = -TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(KETH,K070) = -K070*<OH>*<KETH>
 PTERMS(:,31,71) = -TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(RO2T,K070) = +K070*<OH>*<KETH>
 PTERMS(:,85,71) = +TPK%K070(:)*PCONC(:,15)*PCONC(:,31)
!
!PTERMS(KETH,K071) = -K071*<KETH>
 PTERMS(:,31,72) = -TPK%K071(:)*PCONC(:,31)
!
!PTERMS(RO2T,K071) = +2.*K071*<KETH>
 PTERMS(:,85,72) = +2.*TPK%K071(:)*PCONC(:,31)
!
!PTERMS(RO25,K071) = +K071*<KETH>
 PTERMS(:,87,72) = +TPK%K071(:)*PCONC(:,31)
!
!PTERMS(HNO3,K072) = +K072*<NO3>*<AROO>
 PTERMS(:,5,73) = +TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(NO3,K072) = -K072*<NO3>*<AROO>
 PTERMS(:,8,73) = -TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(AROO,K072) = -K072*<NO3>*<AROO>
 PTERMS(:,24,73) = -TPK%K072(:)*PCONC(:,8)*PCONC(:,24)
!
!PTERMS(HO2,K073) = +0.16*K073*<OH>*<AROO>
 PTERMS(:,10,74) = +0.16*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(OH,K073) = -K073*<OH>*<AROO>
 PTERMS(:,15,74) = -TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(AROO,K073) = -K073*<OH>*<AROO>
 PTERMS(:,24,74) = -TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(RO2T,K073) = +0.1*K073*<OH>*<AROO>
 PTERMS(:,85,74) = +0.1*TPK%K073(:)*PCONC(:,15)*PCONC(:,24)
!
!PTERMS(OH,K074) = -K074*<OH>*<OLEH>
 PTERMS(:,15,75) = -TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(OLEH,K074) = -K074*<OH>*<OLEH>
 PTERMS(:,18,75) = -TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(RO2T,K074) = +K074*<OH>*<OLEH>
 PTERMS(:,85,75) = +TPK%K074(:)*PCONC(:,15)*PCONC(:,18)
!
!PTERMS(NO3,K075) = -K075*<NO3>*<OLEH>
 PTERMS(:,8,76) = -TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!PTERMS(OLEH,K075) = -K075*<NO3>*<OLEH>
 PTERMS(:,18,76) = -TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!
RETURN
END SUBROUTINE SUBT11
!
SUBROUTINE SUBT12
!
!Indices 241 a 260
!
!PTERMS(RO2T,K075) = +K075*<NO3>*<OLEH>
 PTERMS(:,85,76) = +TPK%K075(:)*PCONC(:,8)*PCONC(:,18)
!
!PTERMS(O3,K076) = -K076*<O3>*<OLEH>
 PTERMS(:,3,77) = -TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(HO2,K076) = +0.28*K076*<O3>*<OLEH>
 PTERMS(:,10,77) = +0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(CO,K076) = +0.56*K076*<O3>*<OLEH>
 PTERMS(:,11,77) = +0.56*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OH,K076) = +0.36*K076*<O3>*<OLEH>
 PTERMS(:,15,77) = +0.36*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OLEH,K076) = -K076*<O3>*<OLEH>
 PTERMS(:,18,77) = -TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(ALKM,K076) = +0.1*K076*<O3>*<OLEH>
 PTERMS(:,20,77) = +0.1*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(HCHO,K076) = +0.5*K076*<O3>*<OLEH>
 PTERMS(:,28,77) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(ACID,K076) = +0.12*K076*<O3>*<OLEH>
 PTERMS(:,45,77) = +0.12*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(RPR1,K076) = +0.5*K076*<O3>*<OLEH>
 PTERMS(:,69,77) = +0.5*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(RO2T,K076) = +0.28*K076*<O3>*<OLEH>
 PTERMS(:,85,77) = +0.28*TPK%K076(:)*PCONC(:,3)*PCONC(:,18)
!
!PTERMS(OLEH,K077) = -K077*<O>*<OLEH>
 PTERMS(:,18,78) = -TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(ALKM,K077) = +0.5*K077*<O>*<OLEH>
 PTERMS(:,20,78) = +0.5*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(RPR1,K077) = +0.4*K077*<O>*<OLEH>
 PTERMS(:,69,78) = +0.4*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(RO2T,K077) = +0.2*K077*<O>*<OLEH>
 PTERMS(:,85,78) = +0.2*TPK%K077(:)*TPK%O(:)*PCONC(:,18)
!
!PTERMS(OH,K078) = -K078*<OH>*<ALKM>
 PTERMS(:,15,79) = -TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(ALKM,K078) = -K078*<OH>*<ALKM>
 PTERMS(:,20,79) = -TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(RO2T,K078) = +K078*<OH>*<ALKM>
 PTERMS(:,85,79) = +TPK%K078(:)*PCONC(:,15)*PCONC(:,20)
!
!PTERMS(HO2,K079) = +0.16*K079*<OH>*<AROL>
 PTERMS(:,10,80) = +0.16*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(OH,K079) = -K079*<OH>*<AROL>
 PTERMS(:,15,80) = -TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!
RETURN
END SUBROUTINE SUBT12
!
SUBROUTINE SUBT13
!
!Indices 261 a 280
!
!PTERMS(AROL,K079) = -K079*<OH>*<AROL>
 PTERMS(:,23,80) = -TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(AROO,K079) = +0.16*K079*<OH>*<AROL>
 PTERMS(:,24,80) = +0.16*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(RO2T,K079) = +0.06*K079*<OH>*<AROL>
 PTERMS(:,85,80) = +0.06*TPK%K079(:)*PCONC(:,15)*PCONC(:,23)
!
!PTERMS(HO2,K080) = +0.16*K080*<OH>*<AROH>
 PTERMS(:,10,81) = +0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(OH,K080) = -K080*<OH>*<AROH>
 PTERMS(:,15,81) = -TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(AROH,K080) = -K080*<OH>*<AROH>
 PTERMS(:,22,81) = -TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(AROO,K080) = +0.16*K080*<OH>*<AROH>
 PTERMS(:,24,81) = +0.16*TPK%K080(:)*PCONC(:,15)*PCONC(:,22)
!
!PTERMS(O3,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,3,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(HNO3,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,5,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(NO3,K081) = -K081*<NO3>*<ARAL>
 PTERMS(:,8,82) = -TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(ARAL,K081) = -K081*<NO3>*<ARAL>
 PTERMS(:,25,82) = -TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(ARAC,K081) = +K081*<NO3>*<ARAL>
 PTERMS(:,26,82) = +TPK%K081(:)*PCONC(:,8)*PCONC(:,25)
!
!PTERMS(O3,K082) = +TPK%CF39*K082*<OH>*<ARAL>
 PTERMS(:,3,83) = +TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(HO2,K082) = +TPK%CF48*K082*<OH>*<ARAL>
 PTERMS(:,10,83) = +TPK%CF48*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(OH,K082) = -K082*<OH>*<ARAL>
 PTERMS(:,15,83) = -TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(ARAL,K082) = -K082*<OH>*<ARAL>
 PTERMS(:,25,83) = -TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(ARAC,K082) = +TPK%CF39*K082*<OH>*<ARAL>
 PTERMS(:,26,83) = +TPK%CF39*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(RPRL,K082) = +0.9983609*K082*<OH>*<ARAL>
 PTERMS(:,75,83) = +0.9983609*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(RO2T,K082) = +TPK%CF45*K082*<OH>*<ARAL>
 PTERMS(:,85,83) = +TPK%CF45*TPK%K082(:)*PCONC(:,15)*PCONC(:,25)
!
!PTERMS(HO2,K083) = +0.16*K083*<OH>*<ARAC>
 PTERMS(:,10,84) = +0.16*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!
RETURN
END SUBROUTINE SUBT13
!
SUBROUTINE SUBT14
!
!Indices 281 a 300
!
!PTERMS(OH,K083) = -K083*<OH>*<ARAC>
 PTERMS(:,15,84) = -TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(ARAC,K083) = -K083*<OH>*<ARAC>
 PTERMS(:,26,84) = -TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(URG7,K083) = +0.1599999*K083*<OH>*<ARAC>
 PTERMS(:,60,84) = +0.1599999*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(RO2T,K083) = +0.1*K083*<OH>*<ARAC>
 PTERMS(:,85,84) = +0.1*TPK%K083(:)*PCONC(:,15)*PCONC(:,26)
!
!PTERMS(OH,K084) = -K084*<OH>*<BIOL>
 PTERMS(:,15,85) = -TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(BIOL,K084) = -K084*<OH>*<BIOL>
 PTERMS(:,36,85) = -TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(RO2T,K084) = +K084*<OH>*<BIOL>
 PTERMS(:,85,85) = +TPK%K084(:)*PCONC(:,15)*PCONC(:,36)
!
!PTERMS(NO3,K085) = -K085*<NO3>*<BIOL>
 PTERMS(:,8,86) = -TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(BIOL,K085) = -K085*<NO3>*<BIOL>
 PTERMS(:,36,86) = -TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(RO2T,K085) = +K085*<NO3>*<BIOL>
 PTERMS(:,85,86) = +TPK%K085(:)*PCONC(:,8)*PCONC(:,36)
!
!PTERMS(O3,K086) = -K086*<O3>*<BIOL>
 PTERMS(:,3,87) = -TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(HO2,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,10,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(CO,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,11,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(H2O2,K086) = +0.055*K086*<O3>*<BIOL>
 PTERMS(:,12,87) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(OH,K086) = +0.89*K086*<O3>*<BIOL>
 PTERMS(:,15,87) = +0.89*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(BIOL,K086) = -K086*<O3>*<BIOL>
 PTERMS(:,36,87) = -TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(URG4,K086) = +5.5000000E-02*K086*<O3>*<BIOL>
 PTERMS(:,53,87) = +5.5000000E-02*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(RPR3,K086) = +0.055*K086*<O3>*<BIOL>
 PTERMS(:,57,87) = +0.055*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(RO2T,K086) = +0.445*K086*<O3>*<BIOL>
 PTERMS(:,85,87) = +0.445*TPK%K086(:)*PCONC(:,3)*PCONC(:,36)
!
!PTERMS(BIOL,K087) = -K087*<O>*<BIOL>
 PTERMS(:,36,88) = -TPK%K087(:)*TPK%O(:)*PCONC(:,36)
!
!
RETURN
END SUBROUTINE SUBT14
!
SUBROUTINE SUBT15
!
!Indices 301 a 320
!
!PTERMS(URG10,K087) = +0.7500000*K087*<O>*<BIOL>
 PTERMS(:,68,88) = +0.7500000*TPK%K087(:)*TPK%O(:)*PCONC(:,36)
!
!PTERMS(OH,K088) = -K088*<OH>*<BIOH>
 PTERMS(:,15,89) = -TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(BIOH,K088) = -K088*<OH>*<BIOH>
 PTERMS(:,37,89) = -TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(RO2T,K088) = +K088*<OH>*<BIOH>
 PTERMS(:,85,89) = +TPK%K088(:)*PCONC(:,15)*PCONC(:,37)
!
!PTERMS(NO3,K089) = -K089*<NO3>*<BIOH>
 PTERMS(:,8,90) = -TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(BIOH,K089) = -K089*<NO3>*<BIOH>
 PTERMS(:,37,90) = -TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(RO2T,K089) = +K089*<NO3>*<BIOH>
 PTERMS(:,85,90) = +TPK%K089(:)*PCONC(:,8)*PCONC(:,37)
!
!PTERMS(O3,K090) = -K090*<O3>*<BIOH>
 PTERMS(:,3,91) = -TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(CO,K090) = +0.445*K090*<O3>*<BIOH>
 PTERMS(:,11,91) = +0.445*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(H2O2,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,12,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(OH,K090) = +0.89*K090*<O3>*<BIOH>
 PTERMS(:,15,91) = +0.89*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(BIOH,K090) = -K090*<O3>*<BIOH>
 PTERMS(:,37,91) = -TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(UR8,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,54,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(UR7,K090) = +0.055*K090*<O3>*<BIOH>
 PTERMS(:,56,91) = +0.055*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(RO2T,K090) = +0.89*K090*<O3>*<BIOH>
 PTERMS(:,85,91) = +0.89*TPK%K090(:)*PCONC(:,3)*PCONC(:,37)
!
!PTERMS(BIOH,K091) = -K091*<O>*<BIOH>
 PTERMS(:,37,92) = -TPK%K091(:)*TPK%O(:)*PCONC(:,37)
!
!PTERMS(HO2,K092) = +0.16*K092*<OH>*<PAH>
 PTERMS(:,10,93) = +0.16*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(OH,K092) = -K092*<OH>*<PAH>
 PTERMS(:,15,93) = -TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(PAH,K092) = -K092*<OH>*<PAH>
 PTERMS(:,27,93) = -TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(URG8,K092) = +0.1600000*K092*<OH>*<PAH>
 PTERMS(:,64,93) = +0.1600000*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!
RETURN
END SUBROUTINE SUBT15
!
SUBROUTINE SUBT16
!
!Indices 321 a 340
!
!PTERMS(RO2T,K092) = +0.1*K092*<OH>*<PAH>
 PTERMS(:,85,93) = +0.1*TPK%K092(:)*PCONC(:,15)*PCONC(:,27)
!
!PTERMS(OH,K093) = -K093*<OH>*<ALKH>
 PTERMS(:,15,94) = -TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(ALKH,K093) = -K093*<OH>*<ALKH>
 PTERMS(:,21,94) = -TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(RO2T,K093) = +K093*<OH>*<ALKH>
 PTERMS(:,85,94) = +TPK%K093(:)*PCONC(:,15)*PCONC(:,21)
!
!PTERMS(HO2,K094) = -K094*<HO2>*<RO2T>
 PTERMS(:,10,95) = -TPK%K094(:)*PCONC(:,10)*PCONC(:,85)
!
!PTERMS(RO2T,K094) = -K094*<HO2>*<RO2T>
 PTERMS(:,85,95) = -TPK%K094(:)*PCONC(:,10)*PCONC(:,85)
!
!PTERMS(NO,K095) = -K095*<NO>*<RO2T>
 PTERMS(:,1,96) = -TPK%K095(:)*PCONC(:,1)*PCONC(:,85)
!
!PTERMS(RO2T,K095) = -K095*<NO>*<RO2T>
 PTERMS(:,85,96) = -TPK%K095(:)*PCONC(:,1)*PCONC(:,85)
!
!PTERMS(RO2T,K096) = -K096*<RO2T>*<RO2T>
 PTERMS(:,85,97) = -TPK%K096(:)*PCONC(:,85)*PCONC(:,85)
!
!PTERMS(RO2T,K097) = +K097*<RAD2>
 PTERMS(:,85,98) = +TPK%K097(:)*TPK%RAD2(:)
!
!PTERMS(RO2T,K098) = +K098*<RAD3>
 PTERMS(:,85,99) = +TPK%K098(:)*TPK%RAD3(:)
!
!PTERMS(RO2T,K099) = +K099*<RAD4>
 PTERMS(:,85,100) = +TPK%K099(:)*TPK%RAD4(:)
!
!PTERMS(RO2T,K100) = +K100*<RAD5>
 PTERMS(:,85,101) = +TPK%K100(:)*TPK%RAD5(:)
!
!PTERMS(RO2T,K101) = +K101*<RAD6>
 PTERMS(:,85,102) = +TPK%K101(:)*TPK%RAD6(:)
!
!PTERMS(RO2T,K102) = +K102*<RAD7>
 PTERMS(:,85,103) = +TPK%K102(:)*TPK%RAD7(:)
!
!PTERMS(NO2,K103) = -K103*<NO2>*<RAD1>
 PTERMS(:,2,104) = -TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)
!
!PTERMS(RPR4,K103) = +K103*<NO2>*<RAD1>
 PTERMS(:,61,104) = +TPK%K103(:)*PCONC(:,2)*TPK%RAD1(:)
!
!PTERMS(NO2,K104) = -K104*<NO2>*<RAD2>
 PTERMS(:,2,105) = -TPK%K104(:)*PCONC(:,2)*TPK%RAD2(:)
!
!PTERMS(RPR4,K104) = +K104*<NO2>*<RAD2>
 PTERMS(:,61,105) = +TPK%K104(:)*PCONC(:,2)*TPK%RAD2(:)
!
!PTERMS(NO2,K105) = -K105*<NO2>*<RAD3>
 PTERMS(:,2,106) = -TPK%K105(:)*PCONC(:,2)*TPK%RAD3(:)
!
!
RETURN
END SUBROUTINE SUBT16
!
SUBROUTINE SUBT17
!
!Indices 341 a 360
!
!PTERMS(NO2,K106) = -K106*<NO2>*<RAD4>
 PTERMS(:,2,107) = -TPK%K106(:)*PCONC(:,2)*TPK%RAD4(:)
!
!PTERMS(NO2,K107) = -K107*<NO2>*<RAD5>
 PTERMS(:,2,108) = -TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!
!PTERMS(RPR5,K107) = +K107*<NO2>*<RAD5>
 PTERMS(:,70,108) = +TPK%K107(:)*PCONC(:,2)*TPK%RAD5(:)
!
!PTERMS(NO2,K108) = -K108*<NO2>*<RAD6>
 PTERMS(:,2,109) = -TPK%K108(:)*PCONC(:,2)*TPK%RAD6(:)
!
!PTERMS(URG7,K108) = +0.9999993*K108*<NO2>*<RAD6>
 PTERMS(:,60,109) = +0.9999993*TPK%K108(:)*PCONC(:,2)*TPK%RAD6(:)
!
!PTERMS(NO2,K109) = -K109*<NO2>*<RAD7>
 PTERMS(:,2,110) = -TPK%K109(:)*PCONC(:,2)*TPK%RAD7(:)
!
!PTERMS(URG8,K109) = +1.0000000*K109*<NO2>*<RAD7>
 PTERMS(:,64,110) = +1.0000000*TPK%K109(:)*PCONC(:,2)*TPK%RAD7(:)
!
!PTERMS(NO,K110) = -K110*<NO>*<RO21>
 PTERMS(:,1,111) = -TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(NO2,K110) = +K110*<NO>*<RO21>
 PTERMS(:,2,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HO2,K110) = +K110*<NO>*<RO21>
 PTERMS(:,10,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HCHO,K110) = +K110*<NO>*<RO21>
 PTERMS(:,28,111) = +TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(RO21,K110) = -K110*<NO>*<RO21>
 PTERMS(:,86,111) = -TPK%K110(:)*PCONC(:,1)*PCONC(:,86)
!
!PTERMS(HO2,K111) = +K111*<RO2T>*<RO21>
 PTERMS(:,10,112) = +TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(HCHO,K111) = +K111*<RO2T>*<RO21>
 PTERMS(:,28,112) = +TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(RO2T,K111) = -K111*<RO2T>*<RO21>
 PTERMS(:,85,112) = -TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(RO21,K111) = -K111*<RO2T>*<RO21>
 PTERMS(:,86,112) = -TPK%K111(:)*PCONC(:,85)*PCONC(:,86)
!
!PTERMS(HO2,K112) = -K112*<HO2>*<RO21>
 PTERMS(:,10,113) = -TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(OH,K112) = +K112*<HO2>*<RO21>
 PTERMS(:,15,113) = +TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(HCHO,K112) = +K112*<HO2>*<RO21>
 PTERMS(:,28,113) = +TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!PTERMS(RO21,K112) = -K112*<HO2>*<RO21>
 PTERMS(:,86,113) = -TPK%K112(:)*PCONC(:,10)*PCONC(:,86)
!
!
RETURN
END SUBROUTINE SUBT17
!
SUBROUTINE SUBT18
!
!Indices 361 a 380
!
!PTERMS(NO,K113) = -K113*<NO>*<RO22>
 PTERMS(:,1,114) = -TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(NO2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,2,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HO2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,10,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HCHO,K113) = +K113*<NO>*<RO22>
 PTERMS(:,28,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(ALD2,K113) = +K113*<NO>*<RO22>
 PTERMS(:,29,114) = +TPK%K113(:)*PCONC(:,1)*TPK%RO22(:)
!
!PTERMS(HO2,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,10,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(HCHO,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,28,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(ALD2,K114) = +K114*<RO2T>*<RO22>
 PTERMS(:,29,115) = +TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(RO2T,K114) = -K114*<RO2T>*<RO22>
 PTERMS(:,85,115) = -TPK%K114(:)*PCONC(:,85)*TPK%RO22(:)
!
!PTERMS(HO2,K115) = -K115*<HO2>*<RO22>
 PTERMS(:,10,116) = -TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(OH,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,15,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(HCHO,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,28,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(ALD2,K115) = +K115*<HO2>*<RO22>
 PTERMS(:,29,116) = +TPK%K115(:)*PCONC(:,10)*TPK%RO22(:)
!
!PTERMS(NO,K116) = -K116*<NO>*<RO23>
 PTERMS(:,1,117) = -TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(NO2,K116) = +2.*K116*<NO>*<RO23>
 PTERMS(:,2,117) = +2.*TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(HCHO,K116) = +K116*<NO>*<RO23>
 PTERMS(:,28,117) = +TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(ALD2,K116) = +K116*<NO>*<RO23>
 PTERMS(:,29,117) = +TPK%K116(:)*PCONC(:,1)*TPK%RO23(:)
!
!PTERMS(NO2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,2,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(HO2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,10,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(HCHO,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,28,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!
RETURN
END SUBROUTINE SUBT18
!
SUBROUTINE SUBT19
!
!Indices 381 a 400
!
!PTERMS(ALD2,K117) = +K117*<RO2T>*<RO23>
 PTERMS(:,29,118) = +TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(RO2T,K117) = -K117*<RO2T>*<RO23>
 PTERMS(:,85,118) = -TPK%K117(:)*PCONC(:,85)*TPK%RO23(:)
!
!PTERMS(NO2,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,2,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(HO2,K118) = -K118*<HO2>*<RO23>
 PTERMS(:,10,119) = -TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(OH,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,15,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(HCHO,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,28,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(ALD2,K118) = +K118*<HO2>*<RO23>
 PTERMS(:,29,119) = +TPK%K118(:)*PCONC(:,10)*TPK%RO23(:)
!
!PTERMS(NO,K119) = -K119*<NO>*<RO24>
 PTERMS(:,1,120) = -TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(NO2,K119) = +K119*<NO>*<RO24>
 PTERMS(:,2,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HO2,K119) = +K119*<NO>*<RO24>
 PTERMS(:,10,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(CO,K119) = +K119*<NO>*<RO24>
 PTERMS(:,11,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HCHO,K119) = +K119*<NO>*<RO24>
 PTERMS(:,28,120) = +TPK%K119(:)*PCONC(:,1)*TPK%RO24(:)
!
!PTERMS(HO2,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,10,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(CO,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,11,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(HCHO,K120) = +K120*<RO2T>*<RO24>
 PTERMS(:,28,121) = +TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(RO2T,K120) = -K120*<RO2T>*<RO24>
 PTERMS(:,85,121) = -TPK%K120(:)*PCONC(:,85)*TPK%RO24(:)
!
!PTERMS(HO2,K121) = -K121*<HO2>*<RO24>
 PTERMS(:,10,122) = -TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(CO,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,11,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(OH,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,15,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!PTERMS(HCHO,K121) = +K121*<HO2>*<RO24>
 PTERMS(:,28,122) = +TPK%K121(:)*PCONC(:,10)*TPK%RO24(:)
!
!
RETURN
END SUBROUTINE SUBT19
!
SUBROUTINE SUBT20
!
!Indices 401 a 420
!
!PTERMS(NO,K122) = -K122*<NO>*<RO25>
 PTERMS(:,1,123) = -TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(NO2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,2,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(HO2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,10,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(ALKL,K122) = +TPK%CF3*K122*<NO>*<RO25>
 PTERMS(:,19,123) = +TPK%CF3*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(ALD2,K122) = +TPK%CF4*K122*<NO>*<RO25>
 PTERMS(:,29,123) = +TPK%CF4*TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(RO25,K122) = -K122*<NO>*<RO25>
 PTERMS(:,87,123) = -TPK%K122(:)*PCONC(:,1)*PCONC(:,87)
!
!PTERMS(HO2,K123) = +K123*<RO2T>*<RO25>
 PTERMS(:,10,124) = +TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(ALD2,K123) = +K123*<RO2T>*<RO25>
 PTERMS(:,29,124) = +TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(RO2T,K123) = -K123*<RO2T>*<RO25>
 PTERMS(:,85,124) = -TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(RO25,K123) = -K123*<RO2T>*<RO25>
 PTERMS(:,87,124) = -TPK%K123(:)*PCONC(:,85)*PCONC(:,87)
!
!PTERMS(HO2,K124) = -K124*<HO2>*<RO25>
 PTERMS(:,10,125) = -TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(OH,K124) = +K124*<HO2>*<RO25>
 PTERMS(:,15,125) = +TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(ALD2,K124) = +K124*<HO2>*<RO25>
 PTERMS(:,29,125) = +TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(RO25,K124) = -K124*<HO2>*<RO25>
 PTERMS(:,87,125) = -TPK%K124(:)*PCONC(:,10)*PCONC(:,87)
!
!PTERMS(NO,K125) = -K125*<NO>*<RO26>
 PTERMS(:,1,126) = -TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(NO2,K125) = +K125*<NO>*<RO26>
 PTERMS(:,2,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(RO2T,K125) = +K125*<NO>*<RO26>
 PTERMS(:,85,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(RO25,K125) = +K125*<NO>*<RO26>
 PTERMS(:,87,126) = +TPK%K125(:)*PCONC(:,1)*TPK%RO26(:)
!
!PTERMS(NO2,K126) = -K126*<NO2>*<RO26>
 PTERMS(:,2,127) = -TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!
!PTERMS(PAN1,K126) = +K126*<NO2>*<RO26>
 PTERMS(:,77,127) = +TPK%K126(:)*PCONC(:,2)*TPK%RO26(:)
!
!
RETURN
END SUBROUTINE SUBT20
!
SUBROUTINE SUBT21
!
!Indices 421 a 440
!
!PTERMS(NO2,K127) = -K127*<NO2>*<RO28>
 PTERMS(:,2,128) = -TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!
!PTERMS(PAN2,K127) = +K127*<NO2>*<RO28>
 PTERMS(:,78,128) = +TPK%K127(:)*PCONC(:,2)*TPK%RO28(:)
!
!PTERMS(NO2,K128) = -K128*<NO2>*<RO239>
 PTERMS(:,2,129) = -TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!
!PTERMS(PAN3,K128) = +K128*<NO2>*<RO239>
 PTERMS(:,79,129) = +TPK%K128(:)*PCONC(:,2)*TPK%RO239(:)
!
!PTERMS(NO2,K129) = -K129*<NO2>*<RO248>
 PTERMS(:,2,130) = -TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!
!PTERMS(PAN4,K129) = +K129*<NO2>*<RO248>
 PTERMS(:,80,130) = +TPK%K129(:)*PCONC(:,2)*TPK%RO248(:)
!
!PTERMS(NO2,K130) = -K130*<NO2>*<RO250>
 PTERMS(:,2,131) = -TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)
!
!PTERMS(APAN,K130) = +K130*<NO2>*<RO250>
 PTERMS(:,76,131) = +TPK%K130(:)*PCONC(:,2)*TPK%RO250(:)
!
!PTERMS(NO2,K131) = -K131*<NO2>*<RO254>
 PTERMS(:,2,132) = -TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!
!PTERMS(PAN6,K131) = +K131*<NO2>*<RO254>
 PTERMS(:,81,132) = +TPK%K131(:)*PCONC(:,2)*TPK%RO254(:)
!
!PTERMS(NO2,K132) = -K132*<NO2>*<RO255>
 PTERMS(:,2,133) = -TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!
!PTERMS(PAN7,K132) = +K132*<NO2>*<RO255>
 PTERMS(:,82,133) = +TPK%K132(:)*PCONC(:,2)*TPK%RO255(:)
!
!PTERMS(NO2,K133) = -K133*<NO2>*<RO257>
 PTERMS(:,2,134) = -TPK%K133(:)*PCONC(:,2)*TPK%RO257(:)
!
!PTERMS(APAN,K133) = +K133*<NO2>*<RO257>
 PTERMS(:,76,134) = +TPK%K133(:)*PCONC(:,2)*TPK%RO257(:)
!
!PTERMS(NO2,K134) = -K134*<NO2>*<RO258>
 PTERMS(:,2,135) = -TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!
!PTERMS(PN10,K134) = +K134*<NO2>*<RO258>
 PTERMS(:,84,135) = +TPK%K134(:)*PCONC(:,2)*TPK%RO258(:)
!
!PTERMS(NO2,K135) = +K135*<PAN1>
 PTERMS(:,2,136) = +TPK%K135(:)*PCONC(:,77)
!
!PTERMS(PAN1,K135) = -K135*<PAN1>
 PTERMS(:,77,136) = -TPK%K135(:)*PCONC(:,77)
!
!PTERMS(RO2T,K135) = +K135*<PAN1>
 PTERMS(:,85,136) = +TPK%K135(:)*PCONC(:,77)
!
!PTERMS(NO2,K136) = +K136*<PAN2>
 PTERMS(:,2,137) = +TPK%K136(:)*PCONC(:,78)
!
!
RETURN
END SUBROUTINE SUBT21
!
SUBROUTINE SUBT22
!
!Indices 441 a 460
!
!PTERMS(PAN2,K136) = -K136*<PAN2>
 PTERMS(:,78,137) = -TPK%K136(:)*PCONC(:,78)
!
!PTERMS(RO2T,K136) = +K136*<PAN2>
 PTERMS(:,85,137) = +TPK%K136(:)*PCONC(:,78)
!
!PTERMS(NO2,K137) = +K137*<PAN3>
 PTERMS(:,2,138) = +TPK%K137(:)*PCONC(:,79)
!
!PTERMS(PAN3,K137) = -K137*<PAN3>
 PTERMS(:,79,138) = -TPK%K137(:)*PCONC(:,79)
!
!PTERMS(RO2T,K137) = +K137*<PAN3>
 PTERMS(:,85,138) = +TPK%K137(:)*PCONC(:,79)
!
!PTERMS(NO2,K138) = +K138*<PN10>
 PTERMS(:,2,139) = +TPK%K138(:)*PCONC(:,84)
!
!PTERMS(PN10,K138) = -K138*<PN10>
 PTERMS(:,84,139) = -TPK%K138(:)*PCONC(:,84)
!
!PTERMS(RO2T,K138) = +K138*<PN10>
 PTERMS(:,85,139) = +TPK%K138(:)*PCONC(:,84)
!
!PTERMS(NO2,K139) = +1.0000000*K139*<APAN>
 PTERMS(:,2,140) = +1.0000000*TPK%K139(:)*PCONC(:,76)
!
!PTERMS(APAN,K139) = -K139*<APAN>
 PTERMS(:,76,140) = -TPK%K139(:)*PCONC(:,76)
!
!PTERMS(RO2T,K139) = +1.0000000*K139*<APAN>
 PTERMS(:,85,140) = +1.0000000*TPK%K139(:)*PCONC(:,76)
!
!PTERMS(NO2,K140) = +K140*<PAN6>
 PTERMS(:,2,141) = +TPK%K140(:)*PCONC(:,81)
!
!PTERMS(PAN6,K140) = -K140*<PAN6>
 PTERMS(:,81,141) = -TPK%K140(:)*PCONC(:,81)
!
!PTERMS(RO2T,K140) = +K140*<PAN6>
 PTERMS(:,85,141) = +TPK%K140(:)*PCONC(:,81)
!
!PTERMS(NO2,K141) = +K141*<PAN4>
 PTERMS(:,2,142) = +TPK%K141(:)*PCONC(:,80)
!
!PTERMS(PAN4,K141) = -K141*<PAN4>
 PTERMS(:,80,142) = -TPK%K141(:)*PCONC(:,80)
!
!PTERMS(RO2T,K141) = +K141*<PAN4>
 PTERMS(:,85,142) = +TPK%K141(:)*PCONC(:,80)
!
!PTERMS(O3,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,3,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(HO2,K142) = -K142*<HO2>*<RO26>
 PTERMS(:,10,143) = -TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(ORA2,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,44,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!
RETURN
END SUBROUTINE SUBT22
!
SUBROUTINE SUBT23
!
!Indices 461 a 480
!
!PTERMS(ACID,K142) = +K142*<HO2>*<RO26>
 PTERMS(:,45,143) = +TPK%K142(:)*PCONC(:,10)*TPK%RO26(:)
!
!PTERMS(RO2T,K143) = -K143*<RO2T>*<RO26>
 PTERMS(:,85,144) = -TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)
!
!PTERMS(RO25,K143) = +K143*<RO2T>*<RO26>
 PTERMS(:,87,144) = +TPK%K143(:)*PCONC(:,85)*TPK%RO26(:)
!
!PTERMS(NO,K144) = -K144*<NO>*<RO27>
 PTERMS(:,1,145) = -TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(NO2,K144) = +K144*<NO>*<RO27>
 PTERMS(:,2,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(ALD2,K144) = +K144*<NO>*<RO27>
 PTERMS(:,29,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(RO2T,K144) = +K144*<NO>*<RO27>
 PTERMS(:,85,145) = +TPK%K144(:)*PCONC(:,1)*TPK%RO27(:)
!
!PTERMS(ALD2,K145) = +K145*<RO2T>*<RO27>
 PTERMS(:,29,146) = +TPK%K145(:)*PCONC(:,85)*TPK%RO27(:)
!
!PTERMS(RO2T,K145) = -K145*<RO2T>*<RO27>
 PTERMS(:,85,146) = -TPK%K145(:)*PCONC(:,85)*TPK%RO27(:)
!
!PTERMS(HO2,K146) = -K146*<HO2>*<RO27>
 PTERMS(:,10,147) = -TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(OH,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,15,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(ALD2,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,29,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(RO2T,K146) = +K146*<HO2>*<RO27>
 PTERMS(:,85,147) = +TPK%K146(:)*PCONC(:,10)*TPK%RO27(:)
!
!PTERMS(NO,K147) = -K147*<NO>*<RO28>
 PTERMS(:,1,148) = -TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(NO2,K147) = +K147*<NO>*<RO28>
 PTERMS(:,2,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(RO2T,K147) = +K147*<NO>*<RO28>
 PTERMS(:,85,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(RO21,K147) = +K147*<NO>*<RO28>
 PTERMS(:,86,148) = +TPK%K147(:)*PCONC(:,1)*TPK%RO28(:)
!
!PTERMS(O3,K148) = +K148*<HO2>*<RO28>
 PTERMS(:,3,149) = +TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!PTERMS(HO2,K148) = -K148*<HO2>*<RO28>
 PTERMS(:,10,149) = -TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!PTERMS(ORA2,K148) = +K148*<HO2>*<RO28>
 PTERMS(:,44,149) = +TPK%K148(:)*PCONC(:,10)*TPK%RO28(:)
!
!
RETURN
END SUBROUTINE SUBT23
!
SUBROUTINE SUBT24
!
!Indices 481 a 500
!
!PTERMS(RO2T,K149) = -K149*<RO2T>*<RO28>
 PTERMS(:,85,150) = -TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)
!
!PTERMS(RO21,K149) = +K149*<RO2T>*<RO28>
 PTERMS(:,86,150) = +TPK%K149(:)*PCONC(:,85)*TPK%RO28(:)
!
!PTERMS(NO,K150) = -K150*<NO>*<RO29>
 PTERMS(:,1,151) = -TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(NO2,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,2,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HO2,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,10,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(OLEL,K150) = +TPK%CF5*K150*<NO>*<RO29>
 PTERMS(:,17,151) = +TPK%CF5*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HCHO,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,28,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(MVK,K150) = +TPK%CF6*K150*<NO>*<RO29>
 PTERMS(:,39,151) = +TPK%CF6*TPK%K150(:)*PCONC(:,1)*TPK%RO29(:)
!
!PTERMS(HO2,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,10,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(HCHO,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,28,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(MVK,K151) = +K151*<RO2T>*<RO29>
 PTERMS(:,39,152) = +TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(RO2T,K151) = -K151*<RO2T>*<RO29>
 PTERMS(:,85,152) = -TPK%K151(:)*PCONC(:,85)*TPK%RO29(:)
!
!PTERMS(HO2,K152) = -K152*<HO2>*<RO29>
 PTERMS(:,10,153) = -TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(OH,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,15,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(HCHO,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,28,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(MVK,K152) = +K152*<HO2>*<RO29>
 PTERMS(:,39,153) = +TPK%K152(:)*PCONC(:,10)*TPK%RO29(:)
!
!PTERMS(NO,K153) = -K153*<NO>*<RO210>
 PTERMS(:,1,154) = -TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(NO2,K153) = +K153*<NO>*<RO210>
 PTERMS(:,2,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HO2,K153) = +K153*<NO>*<RO210>
 PTERMS(:,10,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HCHO,K153) = +K153*<NO>*<RO210>
 PTERMS(:,28,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!
RETURN
END SUBROUTINE SUBT24
!
SUBROUTINE SUBT25
!
!Indices 501 a 520
!
!PTERMS(MCR,K153) = +K153*<NO>*<RO210>
 PTERMS(:,40,154) = +TPK%K153(:)*PCONC(:,1)*TPK%RO210(:)
!
!PTERMS(HO2,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,10,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(HCHO,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,28,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(MCR,K154) = +K154*<RO2T>*<RO210>
 PTERMS(:,40,155) = +TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(RO2T,K154) = -K154*<RO2T>*<RO210>
 PTERMS(:,85,155) = -TPK%K154(:)*PCONC(:,85)*TPK%RO210(:)
!
!PTERMS(HO2,K155) = -K155*<HO2>*<RO210>
 PTERMS(:,10,156) = -TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(OH,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,15,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(HCHO,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,28,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(MCR,K155) = +K155*<HO2>*<RO210>
 PTERMS(:,40,156) = +TPK%K155(:)*PCONC(:,10)*TPK%RO210(:)
!
!PTERMS(NO,K156) = -K156*<NO>*<RO211>
 PTERMS(:,1,157) = -TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(NO2,K156) = +2.*K156*<NO>*<RO211>
 PTERMS(:,2,157) = +2.*TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(HCHO,K156) = +K156*<NO>*<RO211>
 PTERMS(:,28,157) = +TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(MVK,K156) = +K156*<NO>*<RO211>
 PTERMS(:,39,157) = +TPK%K156(:)*PCONC(:,1)*TPK%RO211(:)
!
!PTERMS(NO2,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,2,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(HCHO,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,28,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(MVK,K157) = +K157*<RO2T>*<RO211>
 PTERMS(:,39,158) = +TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(RO2T,K157) = -K157*<RO2T>*<RO211>
 PTERMS(:,85,158) = -TPK%K157(:)*PCONC(:,85)*TPK%RO211(:)
!
!PTERMS(NO2,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,2,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(HO2,K158) = -K158*<HO2>*<RO211>
 PTERMS(:,10,159) = -TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(OH,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,15,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!
RETURN
END SUBROUTINE SUBT25
!
SUBROUTINE SUBT26
!
!Indices 521 a 540
!
!PTERMS(HCHO,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,28,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(MVK,K158) = +K158*<HO2>*<RO211>
 PTERMS(:,39,159) = +TPK%K158(:)*PCONC(:,10)*TPK%RO211(:)
!
!PTERMS(NO,K159) = -K159*<NO>*<RO212>
 PTERMS(:,1,160) = -TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(NO2,K159) = +2.*K159*<NO>*<RO212>
 PTERMS(:,2,160) = +2.*TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(HCHO,K159) = +K159*<NO>*<RO212>
 PTERMS(:,28,160) = +TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(MCR,K159) = +K159*<NO>*<RO212>
 PTERMS(:,40,160) = +TPK%K159(:)*PCONC(:,1)*TPK%RO212(:)
!
!PTERMS(NO2,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,2,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(HCHO,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,28,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(MCR,K160) = +K160*<RO2T>*<RO212>
 PTERMS(:,40,161) = +TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(RO2T,K160) = -K160*<RO2T>*<RO212>
 PTERMS(:,85,161) = -TPK%K160(:)*PCONC(:,85)*TPK%RO212(:)
!
!PTERMS(NO2,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,2,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(HO2,K161) = -K161*<HO2>*<RO212>
 PTERMS(:,10,162) = -TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(OH,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,15,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(HCHO,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,28,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(MCR,K161) = +K161*<HO2>*<RO212>
 PTERMS(:,40,162) = +TPK%K161(:)*PCONC(:,10)*TPK%RO212(:)
!
!PTERMS(NO,K162) = -K162*<NO>*<RO213>
 PTERMS(:,1,163) = -TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(NO2,K162) = +K162*<NO>*<RO213>
 PTERMS(:,2,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(HCHO,K162) = +K162*<NO>*<RO213>
 PTERMS(:,28,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(RO2T,K162) = +K162*<NO>*<RO213>
 PTERMS(:,85,163) = +TPK%K162(:)*PCONC(:,1)*TPK%RO213(:)
!
!PTERMS(HCHO,K163) = +K163*<RO2T>*<RO213>
 PTERMS(:,28,164) = +TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)
!
!
RETURN
END SUBROUTINE SUBT26
!
SUBROUTINE SUBT27
!
!Indices 541 a 560
!
!PTERMS(RO2T,K163) = -K163*<RO2T>*<RO213>
 PTERMS(:,85,164) = -TPK%K163(:)*PCONC(:,85)*TPK%RO213(:)
!
!PTERMS(HO2,K164) = -K164*<HO2>*<RO213>
 PTERMS(:,10,165) = -TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(OH,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,15,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(HCHO,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,28,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(RO2T,K164) = +K164*<HO2>*<RO213>
 PTERMS(:,85,165) = +TPK%K164(:)*PCONC(:,10)*TPK%RO213(:)
!
!PTERMS(NO,K165) = -K165*<NO>*<RO239>
 PTERMS(:,1,166) = -TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(NO2,K165) = +K165*<NO>*<RO239>
 PTERMS(:,2,166) = +TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(RO2T,K165) = +K165*<NO>*<RO239>
 PTERMS(:,85,166) = +TPK%K165(:)*PCONC(:,1)*TPK%RO239(:)
!
!PTERMS(O3,K166) = +K166*<HO2>*<RO239>
 PTERMS(:,3,167) = +TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(HO2,K166) = -K166*<HO2>*<RO239>
 PTERMS(:,10,167) = -TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(OLEL,K166) = +0.5*K166*<HO2>*<RO239>
 PTERMS(:,17,167) = +0.5*TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(ORA2,K166) = +0.5*K166*<HO2>*<RO239>
 PTERMS(:,44,167) = +0.5*TPK%K166(:)*PCONC(:,10)*TPK%RO239(:)
!
!PTERMS(RO2T,K167) = -K167*<RO2T>*<RO239>
 PTERMS(:,85,168) = -TPK%K167(:)*PCONC(:,85)*TPK%RO239(:)
!
!PTERMS(NO,K168) = -K168*<NO>*<RO214>
 PTERMS(:,1,169) = -TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(NO2,K168) = +TPK%CF8*K168*<NO>*<RO214>
 PTERMS(:,2,169) = +TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(OLEL,K168) = +TPK%CF7*K168*<NO>*<RO214>
 PTERMS(:,17,169) = +TPK%CF7*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(RO2T,K168) = +TPK%CF8*K168*<NO>*<RO214>
 PTERMS(:,85,169) = +TPK%CF8*TPK%K168(:)*PCONC(:,1)*TPK%RO214(:)
!
!PTERMS(RO2T,K169) = -K169*<RO2T>*<RO214>
 PTERMS(:,85,170) = -TPK%K169(:)*PCONC(:,85)*TPK%RO214(:)
!
!PTERMS(HO2,K170) = -K170*<HO2>*<RO214>
 PTERMS(:,10,171) = -TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!PTERMS(OH,K170) = +K170*<HO2>*<RO214>
 PTERMS(:,15,171) = +TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!
RETURN
END SUBROUTINE SUBT27
!
SUBROUTINE SUBT28
!
!Indices 561 a 580
!
!PTERMS(RO2T,K170) = +K170*<HO2>*<RO214>
 PTERMS(:,85,171) = +TPK%K170(:)*PCONC(:,10)*TPK%RO214(:)
!
!PTERMS(NO,K171) = -K171*<NO>*<RO215>
 PTERMS(:,1,172) = -TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(NO2,K171) = +K171*<NO>*<RO215>
 PTERMS(:,2,172) = +TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HO2,K171) = +K171*<NO>*<RO215>
 PTERMS(:,10,172) = +TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(ALKL,K171) = +TPK%CF12*K171*<NO>*<RO215>
 PTERMS(:,19,172) = +TPK%CF12*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HCHO,K171) = +TPK%CF10*K171*<NO>*<RO215>
 PTERMS(:,28,172) = +TPK%CF10*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(ALD2,K171) = +TPK%CF9*K171*<NO>*<RO215>
 PTERMS(:,29,172) = +TPK%CF9*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(KETL,K171) = +TPK%CF11*K171*<NO>*<RO215>
 PTERMS(:,30,172) = +TPK%CF11*TPK%K171(:)*PCONC(:,1)*TPK%RO215(:)
!
!PTERMS(HO2,K172) = +K172*<RO2T>*<RO215>
 PTERMS(:,10,173) = +TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(ALKL,K172) = +TPK%CF16*K172*<RO2T>*<RO215>
 PTERMS(:,19,173) = +TPK%CF16*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(HCHO,K172) = +TPK%CF14*K172*<RO2T>*<RO215>
 PTERMS(:,28,173) = +TPK%CF14*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(ALD2,K172) = +TPK%CF13*K172*<RO2T>*<RO215>
 PTERMS(:,29,173) = +TPK%CF13*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(KETL,K172) = +TPK%CF15*K172*<RO2T>*<RO215>
 PTERMS(:,30,173) = +TPK%CF15*TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(RO2T,K172) = -K172*<RO2T>*<RO215>
 PTERMS(:,85,173) = -TPK%K172(:)*PCONC(:,85)*TPK%RO215(:)
!
!PTERMS(HO2,K173) = -K173*<HO2>*<RO215>
 PTERMS(:,10,174) = -TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(OH,K173) = +K173*<HO2>*<RO215>
 PTERMS(:,15,174) = +TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(ALKL,K173) = +TPK%CF16*K173*<HO2>*<RO215>
 PTERMS(:,19,174) = +TPK%CF16*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(HCHO,K173) = +TPK%CF14*K173*<HO2>*<RO215>
 PTERMS(:,28,174) = +TPK%CF14*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(ALD2,K173) = +TPK%CF13*K173*<HO2>*<RO215>
 PTERMS(:,29,174) = +TPK%CF13*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!PTERMS(KETL,K173) = +TPK%CF15*K173*<HO2>*<RO215>
 PTERMS(:,30,174) = +TPK%CF15*TPK%K173(:)*PCONC(:,10)*TPK%RO215(:)
!
!
RETURN
END SUBROUTINE SUBT28
!
SUBROUTINE SUBT29
!
!Indices 581 a 600
!
!PTERMS(NO,K174) = -K174*<NO>*<RO216>
 PTERMS(:,1,175) = -TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(NO2,K174) = +K174*<NO>*<RO216>
 PTERMS(:,2,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(ALD2,K174) = +K174*<NO>*<RO216>
 PTERMS(:,29,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(RO2T,K174) = +K174*<NO>*<RO216>
 PTERMS(:,85,175) = +TPK%K174(:)*PCONC(:,1)*TPK%RO216(:)
!
!PTERMS(ALD2,K175) = +K175*<RO2T>*<RO216>
 PTERMS(:,29,176) = +TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)
!
!PTERMS(RO2T,K175) = -K175*<RO2T>*<RO216>
 PTERMS(:,85,176) = -TPK%K175(:)*PCONC(:,85)*TPK%RO216(:)
!
!PTERMS(HO2,K176) = -K176*<HO2>*<RO216>
 PTERMS(:,10,177) = -TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(OH,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,15,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(ALD2,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,29,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(RO2T,K176) = +K176*<HO2>*<RO216>
 PTERMS(:,85,177) = +TPK%K176(:)*PCONC(:,10)*TPK%RO216(:)
!
!PTERMS(NO,K177) = -K177*<NO>*<RO217>
 PTERMS(:,1,178) = -TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(NO2,K177) = +TPK%CF22*K177*<NO>*<RO217>
 PTERMS(:,2,178) = +TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(HO2,K177) = +TPK%CF22*K177*<NO>*<RO217>
 PTERMS(:,10,178) = +TPK%CF22*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(URG6,K177) = +TPK%CF21*K177*<NO>*<RO217>
 PTERMS(:,58,178) = +TPK%CF21*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(RPRL,K177) = +TPK%CFA2*K177*<NO>*<RO217>
 PTERMS(:,75,178) = +TPK%CFA2*TPK%K177(:)*PCONC(:,1)*TPK%RO217(:)
!
!PTERMS(HO2,K178) = +K178*<RO2T>*<RO217>
 PTERMS(:,10,179) = +TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(RPRL,K178) = +0.9983609*K178*<RO2T>*<RO217>
 PTERMS(:,75,179) = +0.9983609*TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(RO2T,K178) = -K178*<RO2T>*<RO217>
 PTERMS(:,85,179) = -TPK%K178(:)*PCONC(:,85)*TPK%RO217(:)
!
!PTERMS(HO2,K179) = -K179*<HO2>*<RO217>
 PTERMS(:,10,180) = -TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!PTERMS(OH,K179) = +K179*<HO2>*<RO217>
 PTERMS(:,15,180) = +TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!
RETURN
END SUBROUTINE SUBT29
!
SUBROUTINE SUBT30
!
!Indices 601 a 620
!
!PTERMS(RPRL,K179) = +0.9983609*K179*<HO2>*<RO217>
 PTERMS(:,75,180) = +0.9983609*TPK%K179(:)*PCONC(:,10)*TPK%RO217(:)
!
!PTERMS(NO,K180) = -K180*<NO>*<RO218>
 PTERMS(:,1,181) = -TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(NO2,K180) = +TPK%CF20*K180*<NO>*<RO218>
 PTERMS(:,2,181) = +TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(HO2,K180) = +TPK%CF20*K180*<NO>*<RO218>
 PTERMS(:,10,181) = +TPK%CF20*TPK%K180(:)*PCONC(:,1)*TPK%RO218(:)
!
!PTERMS(HO2,K181) = +K181*<RO2T>*<RO218>
 PTERMS(:,10,182) = +TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)
!
!PTERMS(RO2T,K181) = -K181*<RO2T>*<RO218>
 PTERMS(:,85,182) = -TPK%K181(:)*PCONC(:,85)*TPK%RO218(:)
!
!PTERMS(HO2,K182) = -K182*<HO2>*<RO218>
 PTERMS(:,10,183) = -TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)
!
!PTERMS(OH,K182) = +K182*<HO2>*<RO218>
 PTERMS(:,15,183) = +TPK%K182(:)*PCONC(:,10)*TPK%RO218(:)
!
!PTERMS(NO,K183) = -K183*<NO>*<RO219>
 PTERMS(:,1,184) = -TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(NO2,K183) = +2.*K183*<NO>*<RO219>
 PTERMS(:,2,184) = +2.*TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(HCHO,K183) = +K183*<NO>*<RO219>
 PTERMS(:,28,184) = +TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(RPR1,K183) = +K183*<NO>*<RO219>
 PTERMS(:,69,184) = +TPK%K183(:)*PCONC(:,1)*TPK%RO219(:)
!
!PTERMS(NO2,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,2,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(HCHO,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,28,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(RPR1,K184) = +K184*<RO2T>*<RO219>
 PTERMS(:,69,185) = +TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(RO2T,K184) = -K184*<RO2T>*<RO219>
 PTERMS(:,85,185) = -TPK%K184(:)*PCONC(:,85)*TPK%RO219(:)
!
!PTERMS(NO2,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,2,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(HO2,K185) = -K185*<HO2>*<RO219>
 PTERMS(:,10,186) = -TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(OH,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,15,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(HCHO,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,28,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!
RETURN
END SUBROUTINE SUBT30
!
SUBROUTINE SUBT31
!
!Indices 621 a 640
!
!PTERMS(RPR1,K185) = +K185*<HO2>*<RO219>
 PTERMS(:,69,186) = +TPK%K185(:)*PCONC(:,10)*TPK%RO219(:)
!
!PTERMS(NO,K186) = -K186*<NO>*<RO220>
 PTERMS(:,1,187) = -TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(NO2,K186) = +TPK%CF18*K186*<NO>*<RO220>
 PTERMS(:,2,187) = +TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(RO2T,K186) = +TPK%CF18*K186*<NO>*<RO220>
 PTERMS(:,85,187) = +TPK%CF18*TPK%K186(:)*PCONC(:,1)*TPK%RO220(:)
!
!PTERMS(RO2T,K187) = -K187*<RO2T>*<RO220>
 PTERMS(:,85,188) = -TPK%K187(:)*PCONC(:,85)*TPK%RO220(:)
!
!PTERMS(HO2,K188) = -K188*<HO2>*<RO220>
 PTERMS(:,10,189) = -TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(OH,K188) = +K188*<HO2>*<RO220>
 PTERMS(:,15,189) = +TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(RO2T,K188) = +K188*<HO2>*<RO220>
 PTERMS(:,85,189) = +TPK%K188(:)*PCONC(:,10)*TPK%RO220(:)
!
!PTERMS(NO,K189) = -K189*<NO>*<RO221>
 PTERMS(:,1,190) = -TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(NO2,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,2,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(HO2,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,10,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(ARAL,K189) = +TPK%CF24*K189*<NO>*<RO221>
 PTERMS(:,25,190) = +TPK%CF24*TPK%K189(:)*PCONC(:,1)*TPK%RO221(:)
!
!PTERMS(HO2,K190) = +K190*<RO2T>*<RO221>
 PTERMS(:,10,191) = +TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(ARAL,K190) = +K190*<RO2T>*<RO221>
 PTERMS(:,25,191) = +TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(RO2T,K190) = -K190*<RO2T>*<RO221>
 PTERMS(:,85,191) = -TPK%K190(:)*PCONC(:,85)*TPK%RO221(:)
!
!PTERMS(HO2,K191) = -K191*<HO2>*<RO221>
 PTERMS(:,10,192) = -TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(OH,K191) = +K191*<HO2>*<RO221>
 PTERMS(:,15,192) = +TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(ARAL,K191) = +K191*<HO2>*<RO221>
 PTERMS(:,25,192) = +TPK%K191(:)*PCONC(:,10)*TPK%RO221(:)
!
!PTERMS(NO,K192) = -K192*<NO>*<RO222>
 PTERMS(:,1,193) = -TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(NO2,K192) = +TPK%CF42*K192*<NO>*<RO222>
 PTERMS(:,2,193) = +TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!
RETURN
END SUBROUTINE SUBT31
!
SUBROUTINE SUBT32
!
!Indices 641 a 660
!
!PTERMS(HO2,K192) = +TPK%CF42*K192*<NO>*<RO222>
 PTERMS(:,10,193) = +TPK%CF42*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(RPRL,K192) = +TPK%CFA7*K192*<NO>*<RO222>
 PTERMS(:,75,193) = +TPK%CFA7*TPK%K192(:)*PCONC(:,1)*TPK%RO222(:)
!
!PTERMS(HO2,K193) = +K193*<RO2T>*<RO222>
 PTERMS(:,10,194) = +TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(RPRL,K193) = +0.9983609*K193*<RO2T>*<RO222>
 PTERMS(:,75,194) = +0.9983609*TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(RO2T,K193) = -K193*<RO2T>*<RO222>
 PTERMS(:,85,194) = -TPK%K193(:)*PCONC(:,85)*TPK%RO222(:)
!
!PTERMS(HO2,K194) = -K194*<HO2>*<RO222>
 PTERMS(:,10,195) = -TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(OH,K194) = +K194*<HO2>*<RO222>
 PTERMS(:,15,195) = +TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(RPRL,K194) = +0.9983609*K194*<HO2>*<RO222>
 PTERMS(:,75,195) = +0.9983609*TPK%K194(:)*PCONC(:,10)*TPK%RO222(:)
!
!PTERMS(NO,K195) = -K195*<NO>*<RO223>
 PTERMS(:,1,196) = -TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(NO2,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,2,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(HO2,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,10,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(URG6,K195) = +TPK%CF43*K195*<NO>*<RO223>
 PTERMS(:,58,196) = +TPK%CF43*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(RPR7,K195) = +TPK%CF44*K195*<NO>*<RO223>
 PTERMS(:,62,196) = +TPK%CF44*TPK%K195(:)*PCONC(:,1)*TPK%RO223(:)
!
!PTERMS(HO2,K196) = +K196*<RO2T>*<RO223>
 PTERMS(:,10,197) = +TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(RPR7,K196) = +K196*<RO2T>*<RO223>
 PTERMS(:,62,197) = +TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(RO2T,K196) = -K196*<RO2T>*<RO223>
 PTERMS(:,85,197) = -TPK%K196(:)*PCONC(:,85)*TPK%RO223(:)
!
!PTERMS(HO2,K197) = -K197*<HO2>*<RO223>
 PTERMS(:,10,198) = -TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(OH,K197) = +K197*<HO2>*<RO223>
 PTERMS(:,15,198) = +TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(RPR7,K197) = +K197*<HO2>*<RO223>
 PTERMS(:,62,198) = +TPK%K197(:)*PCONC(:,10)*TPK%RO223(:)
!
!PTERMS(NO,K198) = -K198*<NO>*<RO224>
 PTERMS(:,1,199) = -TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!
RETURN
END SUBROUTINE SUBT32
!
SUBROUTINE SUBT33
!
!Indices 661 a 680
!
!PTERMS(NO2,K198) = +TPK%CF26*K198*<NO>*<RO224>
 PTERMS(:,2,199) = +TPK%CF26*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(HO2,K198) = +TPK%CF26*K198*<NO>*<RO224>
 PTERMS(:,10,199) = +TPK%CF26*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(RPR3,K198) = +TPK%CFA10*K198*<NO>*<RO224>
 PTERMS(:,57,199) = +TPK%CFA10*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(AP7,K198) = +TPK%CFA23*K198*<NO>*<RO224>
 PTERMS(:,67,199) = +TPK%CFA23*TPK%K198(:)*PCONC(:,1)*TPK%RO224(:)
!
!PTERMS(HO2,K199) = +K199*<RO2T>*<RO224>
 PTERMS(:,10,200) = +TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(RPR3,K199) = +K199*<RO2T>*<RO224>
 PTERMS(:,57,200) = +TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(RO2T,K199) = -K199*<RO2T>*<RO224>
 PTERMS(:,85,200) = -TPK%K199(:)*PCONC(:,85)*TPK%RO224(:)
!
!PTERMS(HO2,K200) = -K200*<HO2>*<RO224>
 PTERMS(:,10,201) = -TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(OH,K200) = +K200*<HO2>*<RO224>
 PTERMS(:,15,201) = +TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(RPR3,K200) = +K200*<HO2>*<RO224>
 PTERMS(:,57,201) = +TPK%K200(:)*PCONC(:,10)*TPK%RO224(:)
!
!PTERMS(NO,K201) = -K201*<NO>*<RO225>
 PTERMS(:,1,202) = -TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(NO2,K201) = +2.*K201*<NO>*<RO225>
 PTERMS(:,2,202) = +2.*TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(RPR3,K201) = +K201*<NO>*<RO225>
 PTERMS(:,57,202) = +TPK%K201(:)*PCONC(:,1)*TPK%RO225(:)
!
!PTERMS(NO2,K202) = +K202*<RO2T>*<RO225>
 PTERMS(:,2,203) = +TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(RPR3,K202) = +K202*<RO2T>*<RO225>
 PTERMS(:,57,203) = +TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(RO2T,K202) = -K202*<RO2T>*<RO225>
 PTERMS(:,85,203) = -TPK%K202(:)*PCONC(:,85)*TPK%RO225(:)
!
!PTERMS(NO2,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,2,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(HO2,K203) = -K203*<HO2>*<RO225>
 PTERMS(:,10,204) = -TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(OH,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,15,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!PTERMS(RPR3,K203) = +K203*<HO2>*<RO225>
 PTERMS(:,57,204) = +TPK%K203(:)*PCONC(:,10)*TPK%RO225(:)
!
!
RETURN
END SUBROUTINE SUBT33
!
SUBROUTINE SUBT34
!
!Indices 681 a 700
!
!PTERMS(NO,K204) = -K204*<NO>*<RO226>
 PTERMS(:,1,205) = -TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(NO2,K204) = +K204*<NO>*<RO226>
 PTERMS(:,2,205) = +TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(UR17,K204) = +1.0000000*K204*<NO>*<RO226>
 PTERMS(:,55,205) = +1.0000000*TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(RO2T,K204) = +K204*<NO>*<RO226>
 PTERMS(:,85,205) = +TPK%K204(:)*PCONC(:,1)*TPK%RO226(:)
!
!PTERMS(UR17,K205) = +1.0000000*K205*<RO2T>*<RO226>
 PTERMS(:,55,206) = +1.0000000*TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)
!
!PTERMS(RO2T,K205) = -K205*<RO2T>*<RO226>
 PTERMS(:,85,206) = -TPK%K205(:)*PCONC(:,85)*TPK%RO226(:)
!
!PTERMS(HO2,K206) = -K206*<HO2>*<RO226>
 PTERMS(:,10,207) = -TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(OH,K206) = +K206*<HO2>*<RO226>
 PTERMS(:,15,207) = +TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(UR17,K206) = +1.0000000*K206*<HO2>*<RO226>
 PTERMS(:,55,207) = +1.0000000*TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(RO2T,K206) = +K206*<HO2>*<RO226>
 PTERMS(:,85,207) = +TPK%K206(:)*PCONC(:,10)*TPK%RO226(:)
!
!PTERMS(NO,K207) = -K207*<NO>*<RO227>
 PTERMS(:,1,208) = -TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(NO2,K207) = +TPK%CF28*K207*<NO>*<RO227>
 PTERMS(:,2,208) = +TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(HO2,K207) = +TPK%CF28*K207*<NO>*<RO227>
 PTERMS(:,10,208) = +TPK%CF28*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(UR7,K207) = +TPK%CFA12*K207*<NO>*<RO227>
 PTERMS(:,56,208) = +TPK%CFA12*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(URG10,K207) = +TPK%CF27*K207*<NO>*<RO227>
 PTERMS(:,68,208) = +TPK%CF27*TPK%K207(:)*PCONC(:,1)*TPK%RO227(:)
!
!PTERMS(HO2,K208) = +K208*<RO2T>*<RO227>
 PTERMS(:,10,209) = +TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(UR7,K208) = +K208*<RO2T>*<RO227>
 PTERMS(:,56,209) = +TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(RO2T,K208) = -K208*<RO2T>*<RO227>
 PTERMS(:,85,209) = -TPK%K208(:)*PCONC(:,85)*TPK%RO227(:)
!
!PTERMS(HO2,K209) = -K209*<HO2>*<RO227>
 PTERMS(:,10,210) = -TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!PTERMS(OH,K209) = +K209*<HO2>*<RO227>
 PTERMS(:,15,210) = +TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!
RETURN
END SUBROUTINE SUBT34
!
SUBROUTINE SUBT35
!
!Indices 701 a 720
!
!PTERMS(UR7,K209) = +0.3*K209*<HO2>*<RO227>
 PTERMS(:,56,210) = +0.3*TPK%K209(:)*PCONC(:,10)*TPK%RO227(:)
!
!PTERMS(NO,K210) = -K210*<NO>*<RO228>
 PTERMS(:,1,211) = -TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(NO2,K210) = +2.*K210*<NO>*<RO228>
 PTERMS(:,2,211) = +2.*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(UR7,K210) = +0.3*K210*<NO>*<RO228>
 PTERMS(:,56,211) = +0.3*TPK%K210(:)*PCONC(:,1)*TPK%RO228(:)
!
!PTERMS(NO2,K211) = +K211*<RO2T>*<RO228>
 PTERMS(:,2,212) = +TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(UR7,K211) = +0.3*K211*<RO2T>*<RO228>
 PTERMS(:,56,212) = +0.3*TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(RO2T,K211) = -K211*<RO2T>*<RO228>
 PTERMS(:,85,212) = -TPK%K211(:)*PCONC(:,85)*TPK%RO228(:)
!
!PTERMS(NO2,K212) = +K212*<HO2>*<RO228>
 PTERMS(:,2,213) = +TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(HO2,K212) = -K212*<HO2>*<RO228>
 PTERMS(:,10,213) = -TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(OH,K212) = +K212*<HO2>*<RO228>
 PTERMS(:,15,213) = +TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(UR7,K212) = +0.3*K212*<HO2>*<RO228>
 PTERMS(:,56,213) = +0.3*TPK%K212(:)*PCONC(:,10)*TPK%RO228(:)
!
!PTERMS(NO,K213) = -K213*<NO>*<RO229>
 PTERMS(:,1,214) = -TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(NO2,K213) = +TPK%CF30*K213*<NO>*<RO229>
 PTERMS(:,2,214) = +TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(RO2T,K213) = +TPK%CF30*K213*<NO>*<RO229>
 PTERMS(:,85,214) = +TPK%CF30*TPK%K213(:)*PCONC(:,1)*TPK%RO229(:)
!
!PTERMS(RO2T,K214) = -K214*<RO2T>*<RO229>
 PTERMS(:,85,215) = -TPK%K214(:)*PCONC(:,85)*TPK%RO229(:)
!
!PTERMS(HO2,K215) = -K215*<HO2>*<RO229>
 PTERMS(:,10,216) = -TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(OH,K215) = +K215*<HO2>*<RO229>
 PTERMS(:,15,216) = +TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(RO2T,K215) = +K215*<HO2>*<RO229>
 PTERMS(:,85,216) = +TPK%K215(:)*PCONC(:,10)*TPK%RO229(:)
!
!PTERMS(NO,K216) = -K216*<NO>*<RO240>
 PTERMS(:,1,217) = -TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(NO2,K216) = +K216*<NO>*<RO240>
 PTERMS(:,2,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!
RETURN
END SUBROUTINE SUBT35
!
SUBROUTINE SUBT36
!
!Indices 721 a 740
!
!PTERMS(RPR8,K216) = +K216*<NO>*<RO240>
 PTERMS(:,71,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(RO2T,K216) = +K216*<NO>*<RO240>
 PTERMS(:,85,217) = +TPK%K216(:)*PCONC(:,1)*TPK%RO240(:)
!
!PTERMS(RPR8,K217) = +K217*<RO2T>*<RO240>
 PTERMS(:,71,218) = +TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)
!
!PTERMS(RO2T,K217) = -K217*<RO2T>*<RO240>
 PTERMS(:,85,218) = -TPK%K217(:)*PCONC(:,85)*TPK%RO240(:)
!
!PTERMS(HO2,K218) = -K218*<HO2>*<RO240>
 PTERMS(:,10,219) = -TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(OH,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,15,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RPR8,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,71,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RO2T,K218) = +K218*<HO2>*<RO240>
 PTERMS(:,85,219) = +TPK%K218(:)*PCONC(:,10)*TPK%RO240(:)
!
!PTERMS(RO2T,K219) = -K219*<RO2T>*<RO230>
 PTERMS(:,85,220) = -TPK%K219(:)*PCONC(:,85)*TPK%RO230(:)
!
!PTERMS(HO2,K220) = -K220*<HO2>*<RO230>
 PTERMS(:,10,221) = -TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(OH,K220) = +K220*<HO2>*<RO230>
 PTERMS(:,15,221) = +TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(RO2T,K220) = +K220*<HO2>*<RO230>
 PTERMS(:,85,221) = +TPK%K220(:)*PCONC(:,10)*TPK%RO230(:)
!
!PTERMS(NO,K221) = -K221*<NO>*<RO231>
 PTERMS(:,1,222) = -TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(NO2,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,2,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(HO2,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,10,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(URG8,K221) = +TPK%CF31*K221*<NO>*<RO231>
 PTERMS(:,64,222) = +TPK%CF31*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(UR19,K221) = +TPK%CF32*K221*<NO>*<RO231>
 PTERMS(:,65,222) = +TPK%CF32*TPK%K221(:)*PCONC(:,1)*TPK%RO231(:)
!
!PTERMS(HO2,K222) = +K222*<RO2T>*<RO231>
 PTERMS(:,10,223) = +TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!PTERMS(UR19,K222) = +K222*<RO2T>*<RO231>
 PTERMS(:,65,223) = +TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!PTERMS(RO2T,K222) = -K222*<RO2T>*<RO231>
 PTERMS(:,85,223) = -TPK%K222(:)*PCONC(:,85)*TPK%RO231(:)
!
!
RETURN
END SUBROUTINE SUBT36
!
SUBROUTINE SUBT37
!
!Indices 741 a 760
!
!PTERMS(HO2,K223) = -K223*<HO2>*<RO231>
 PTERMS(:,10,224) = -TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(OH,K223) = +K223*<HO2>*<RO231>
 PTERMS(:,15,224) = +TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(UR19,K223) = +K223*<HO2>*<RO231>
 PTERMS(:,65,224) = +TPK%K223(:)*PCONC(:,10)*TPK%RO231(:)
!
!PTERMS(NO,K224) = -K224*<NO>*<RO232>
 PTERMS(:,1,225) = -TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(NO2,K224) = +TPK%CF34*K224*<NO>*<RO232>
 PTERMS(:,2,225) = +TPK%CF34*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(URG9,K224) = +TPK%CFA14*K224*<NO>*<RO232>
 PTERMS(:,66,225) = +TPK%CFA14*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(RO2T,K224) = +TPK%CF34*K224*<NO>*<RO232>
 PTERMS(:,85,225) = +TPK%CF34*TPK%K224(:)*PCONC(:,1)*TPK%RO232(:)
!
!PTERMS(RO2T,K225) = -K225*<RO2T>*<RO232>
 PTERMS(:,85,226) = -TPK%K225(:)*PCONC(:,85)*TPK%RO232(:)
!
!PTERMS(HO2,K226) = -K226*<HO2>*<RO232>
 PTERMS(:,10,227) = -TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(OH,K226) = +K226*<HO2>*<RO232>
 PTERMS(:,15,227) = +TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(RO2T,K226) = +K226*<HO2>*<RO232>
 PTERMS(:,85,227) = +TPK%K226(:)*PCONC(:,10)*TPK%RO232(:)
!
!PTERMS(NO,K227) = -K227*<NO>*<RO241>
 PTERMS(:,1,228) = -TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(NO2,K227) = +TPK%CF36*K227*<NO>*<RO241>
 PTERMS(:,2,228) = +TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(HO2,K227) = +TPK%CF36*K227*<NO>*<RO241>
 PTERMS(:,10,228) = +TPK%CF36*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(URG9,K227) = +TPK%CFA15*K227*<NO>*<RO241>
 PTERMS(:,66,228) = +TPK%CFA15*TPK%K227(:)*PCONC(:,1)*TPK%RO241(:)
!
!PTERMS(HO2,K228) = +K228*<RO2T>*<RO241>
 PTERMS(:,10,229) = +TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(URG9,K228) = +0.9999996*K228*<RO2T>*<RO241>
 PTERMS(:,66,229) = +0.9999996*TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(RO2T,K228) = -K228*<RO2T>*<RO241>
 PTERMS(:,85,229) = -TPK%K228(:)*PCONC(:,85)*TPK%RO241(:)
!
!PTERMS(HO2,K229) = -K229*<HO2>*<RO241>
 PTERMS(:,10,230) = -TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!PTERMS(OH,K229) = +K229*<HO2>*<RO241>
 PTERMS(:,15,230) = +TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!
RETURN
END SUBROUTINE SUBT37
!
SUBROUTINE SUBT38
!
!Indices 761 a 780
!
!PTERMS(URG9,K229) = +0.9999996*K229*<HO2>*<RO241>
 PTERMS(:,66,230) = +0.9999996*TPK%K229(:)*PCONC(:,10)*TPK%RO241(:)
!
!PTERMS(RO2T,K230) = +K230*<RO233>
 PTERMS(:,85,231) = +TPK%K230(:)*TPK%RO233(:)
!
!PTERMS(NO,K231) = -K231*<NO>*<RO233>
 PTERMS(:,1,232) = -TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(NO2,K231) = +K231*<NO>*<RO233>
 PTERMS(:,2,232) = +TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(HO2,K231) = +K231*<NO>*<RO233>
 PTERMS(:,10,232) = +TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(RPG3,K231) = +0.3000000*K231*<NO>*<RO233>
 PTERMS(:,52,232) = +0.3000000*TPK%K231(:)*PCONC(:,1)*TPK%RO233(:)
!
!PTERMS(HO2,K232) = +K232*<RO2T>*<RO233>
 PTERMS(:,10,233) = +TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(RPG3,K232) = +1.0000000*K232*<RO2T>*<RO233>
 PTERMS(:,52,233) = +1.0000000*TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(RO2T,K232) = -K232*<RO2T>*<RO233>
 PTERMS(:,85,233) = -TPK%K232(:)*PCONC(:,85)*TPK%RO233(:)
!
!PTERMS(HO2,K233) = -K233*<HO2>*<RO233>
 PTERMS(:,10,234) = -TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(OH,K233) = +K233*<HO2>*<RO233>
 PTERMS(:,15,234) = +TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(RPG3,K233) = +0.3000000*K233*<HO2>*<RO233>
 PTERMS(:,52,234) = +0.3000000*TPK%K233(:)*PCONC(:,10)*TPK%RO233(:)
!
!PTERMS(NO,K234) = -K234*<NO>*<RO242>
 PTERMS(:,1,235) = -TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(NO2,K234) = +K234*<NO>*<RO242>
 PTERMS(:,2,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(HO2,K234) = +K234*<NO>*<RO242>
 PTERMS(:,10,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(MGLY,K234) = +K234*<NO>*<RO242>
 PTERMS(:,41,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(RP10,K234) = +K234*<NO>*<RO242>
 PTERMS(:,72,235) = +TPK%K234(:)*PCONC(:,1)*TPK%RO242(:)
!
!PTERMS(HO2,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,10,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(MGLY,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,41,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(RP10,K235) = +K235*<RO2T>*<RO242>
 PTERMS(:,72,236) = +TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!
RETURN
END SUBROUTINE SUBT38
!
SUBROUTINE SUBT39
!
!Indices 781 a 800
!
!PTERMS(RO2T,K235) = -K235*<RO2T>*<RO242>
 PTERMS(:,85,236) = -TPK%K235(:)*PCONC(:,85)*TPK%RO242(:)
!
!PTERMS(HO2,K236) = -K236*<HO2>*<RO242>
 PTERMS(:,10,237) = -TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(OH,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,15,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(MGLY,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,41,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(RP10,K236) = +K236*<HO2>*<RO242>
 PTERMS(:,72,237) = +TPK%K236(:)*PCONC(:,10)*TPK%RO242(:)
!
!PTERMS(RO2T,K237) = +K237*<RO234>
 PTERMS(:,85,238) = +TPK%K237(:)*TPK%RO234(:)
!
!PTERMS(NO,K238) = -K238*<NO>*<RO234>
 PTERMS(:,1,239) = -TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(NO2,K238) = +K238*<NO>*<RO234>
 PTERMS(:,2,239) = +TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(HO2,K238) = +K238*<NO>*<RO234>
 PTERMS(:,10,239) = +TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(RP11,K238) = +0.3*K238*<NO>*<RO234>
 PTERMS(:,73,239) = +0.3*TPK%K238(:)*PCONC(:,1)*TPK%RO234(:)
!
!PTERMS(HO2,K239) = +K239*<RO2T>*<RO234>
 PTERMS(:,10,240) = +TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(RP11,K239) = +K239*<RO2T>*<RO234>
 PTERMS(:,73,240) = +TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(RO2T,K239) = -K239*<RO2T>*<RO234>
 PTERMS(:,85,240) = -TPK%K239(:)*PCONC(:,85)*TPK%RO234(:)
!
!PTERMS(HO2,K240) = -K240*<HO2>*<RO234>
 PTERMS(:,10,241) = -TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(OH,K240) = +K240*<HO2>*<RO234>
 PTERMS(:,15,241) = +TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(RP11,K240) = +0.3*K240*<HO2>*<RO234>
 PTERMS(:,73,241) = +0.3*TPK%K240(:)*PCONC(:,10)*TPK%RO234(:)
!
!PTERMS(NO,K241) = -K241*<NO>*<RO243>
 PTERMS(:,1,242) = -TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(NO2,K241) = +K241*<NO>*<RO243>
 PTERMS(:,2,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(HO2,K241) = +K241*<NO>*<RO243>
 PTERMS(:,10,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(MGLY,K241) = +K241*<NO>*<RO243>
 PTERMS(:,41,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!
RETURN
END SUBROUTINE SUBT39
!
SUBROUTINE SUBT40
!
!Indices 801 a 820
!
!PTERMS(RP10,K241) = +K241*<NO>*<RO243>
 PTERMS(:,72,242) = +TPK%K241(:)*PCONC(:,1)*TPK%RO243(:)
!
!PTERMS(HO2,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,10,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(MGLY,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,41,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(RP10,K242) = +K242*<RO2T>*<RO243>
 PTERMS(:,72,243) = +TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(RO2T,K242) = -K242*<RO2T>*<RO243>
 PTERMS(:,85,243) = -TPK%K242(:)*PCONC(:,85)*TPK%RO243(:)
!
!PTERMS(HO2,K243) = -K243*<HO2>*<RO243>
 PTERMS(:,10,244) = -TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(OH,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,15,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(MGLY,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,41,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(RP10,K243) = +K243*<HO2>*<RO243>
 PTERMS(:,72,244) = +TPK%K243(:)*PCONC(:,10)*TPK%RO243(:)
!
!PTERMS(RO2T,K244) = +K244*<RO235>
 PTERMS(:,85,245) = +TPK%K244(:)*TPK%RO235(:)
!
!PTERMS(NO,K245) = -K245*<NO>*<RO235>
 PTERMS(:,1,246) = -TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(NO2,K245) = +K245*<NO>*<RO235>
 PTERMS(:,2,246) = +TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(HO2,K245) = +K245*<NO>*<RO235>
 PTERMS(:,10,246) = +TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(RP11,K245) = +0.5*K245*<NO>*<RO235>
 PTERMS(:,73,246) = +0.5*TPK%K245(:)*PCONC(:,1)*TPK%RO235(:)
!
!PTERMS(HO2,K246) = +K246*<RO2T>*<RO235>
 PTERMS(:,10,247) = +TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(RP11,K246) = +K246*<RO2T>*<RO235>
 PTERMS(:,73,247) = +TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(RO2T,K246) = -K246*<RO2T>*<RO235>
 PTERMS(:,85,247) = -TPK%K246(:)*PCONC(:,85)*TPK%RO235(:)
!
!PTERMS(HO2,K247) = -K247*<HO2>*<RO235>
 PTERMS(:,10,248) = -TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!PTERMS(OH,K247) = +K247*<HO2>*<RO235>
 PTERMS(:,15,248) = +TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!PTERMS(RP11,K247) = +K247*<HO2>*<RO235>
 PTERMS(:,73,248) = +TPK%K247(:)*PCONC(:,10)*TPK%RO235(:)
!
!
RETURN
END SUBROUTINE SUBT40
!
SUBROUTINE SUBT41
!
!Indices 821 a 840
!
!PTERMS(NO,K248) = -K248*<NO>*<RO244>
 PTERMS(:,1,249) = -TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(NO2,K248) = +K248*<NO>*<RO244>
 PTERMS(:,2,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(HO2,K248) = +K248*<NO>*<RO244>
 PTERMS(:,10,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(MGLY,K248) = +K248*<NO>*<RO244>
 PTERMS(:,41,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(RP10,K248) = +K248*<NO>*<RO244>
 PTERMS(:,72,249) = +TPK%K248(:)*PCONC(:,1)*TPK%RO244(:)
!
!PTERMS(HO2,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,10,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(MGLY,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,41,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(RP10,K249) = +K249*<RO2T>*<RO244>
 PTERMS(:,72,250) = +TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(RO2T,K249) = -K249*<RO2T>*<RO244>
 PTERMS(:,85,250) = -TPK%K249(:)*PCONC(:,85)*TPK%RO244(:)
!
!PTERMS(HO2,K250) = -K250*<HO2>*<RO244>
 PTERMS(:,10,251) = -TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(OH,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,15,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(MGLY,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,41,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(RP10,K250) = +K250*<HO2>*<RO244>
 PTERMS(:,72,251) = +TPK%K250(:)*PCONC(:,10)*TPK%RO244(:)
!
!PTERMS(RO2T,K251) = +K251*<RO236>
 PTERMS(:,85,252) = +TPK%K251(:)*TPK%RO236(:)
!
!PTERMS(NO,K252) = -K252*<NO>*<RO236>
 PTERMS(:,1,253) = -TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(NO2,K252) = +K252*<NO>*<RO236>
 PTERMS(:,2,253) = +TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(HO2,K252) = +K252*<NO>*<RO236>
 PTERMS(:,10,253) = +TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(RPG3,K252) = +0.3000000*K252*<NO>*<RO236>
 PTERMS(:,52,253) = +0.3000000*TPK%K252(:)*PCONC(:,1)*TPK%RO236(:)
!
!PTERMS(HO2,K253) = +K253*<RO2T>*<RO236>
 PTERMS(:,10,254) = +TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!PTERMS(RPG3,K253) = +1.0000000*K253*<RO2T>*<RO236>
 PTERMS(:,52,254) = +1.0000000*TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!
RETURN
END SUBROUTINE SUBT41
!
SUBROUTINE SUBT42
!
!Indices 841 a 860
!
!PTERMS(RO2T,K253) = -K253*<RO2T>*<RO236>
 PTERMS(:,85,254) = -TPK%K253(:)*PCONC(:,85)*TPK%RO236(:)
!
!PTERMS(HO2,K254) = -K254*<HO2>*<RO236>
 PTERMS(:,10,255) = -TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(OH,K254) = +K254*<HO2>*<RO236>
 PTERMS(:,15,255) = +TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(RPG3,K254) = +0.3000000*K254*<HO2>*<RO236>
 PTERMS(:,52,255) = +0.3000000*TPK%K254(:)*PCONC(:,10)*TPK%RO236(:)
!
!PTERMS(NO,K255) = -K255*<NO>*<RO245>
 PTERMS(:,1,256) = -TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(NO2,K255) = +K255*<NO>*<RO245>
 PTERMS(:,2,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(HO2,K255) = +K255*<NO>*<RO245>
 PTERMS(:,10,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(MGLY,K255) = +K255*<NO>*<RO245>
 PTERMS(:,41,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(RP10,K255) = +K255*<NO>*<RO245>
 PTERMS(:,72,256) = +TPK%K255(:)*PCONC(:,1)*TPK%RO245(:)
!
!PTERMS(HO2,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,10,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(MGLY,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,41,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(RP10,K256) = +K256*<RO2T>*<RO245>
 PTERMS(:,72,257) = +TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(RO2T,K256) = -K256*<RO2T>*<RO245>
 PTERMS(:,85,257) = -TPK%K256(:)*PCONC(:,85)*TPK%RO245(:)
!
!PTERMS(HO2,K257) = -K257*<HO2>*<RO245>
 PTERMS(:,10,258) = -TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(OH,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,15,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(MGLY,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,41,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(RP10,K257) = +K257*<HO2>*<RO245>
 PTERMS(:,72,258) = +TPK%K257(:)*PCONC(:,10)*TPK%RO245(:)
!
!PTERMS(RO2T,K258) = +K258*<RO237>
 PTERMS(:,85,259) = +TPK%K258(:)*TPK%RO237(:)
!
!PTERMS(NO,K259) = -K259*<NO>*<RO237>
 PTERMS(:,1,260) = -TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(NO2,K259) = +K259*<NO>*<RO237>
 PTERMS(:,2,260) = +TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!
RETURN
END SUBROUTINE SUBT42
!
SUBROUTINE SUBT43
!
!Indices 861 a 880
!
!PTERMS(HO2,K259) = +K259*<NO>*<RO237>
 PTERMS(:,10,260) = +TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(RPG2,K259) = +0.3000000*K259*<NO>*<RO237>
 PTERMS(:,50,260) = +0.3000000*TPK%K259(:)*PCONC(:,1)*TPK%RO237(:)
!
!PTERMS(HO2,K260) = +K260*<RO2T>*<RO237>
 PTERMS(:,10,261) = +TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(RPG2,K260) = +1.0000000*K260*<RO2T>*<RO237>
 PTERMS(:,50,261) = +1.0000000*TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(RO2T,K260) = -K260*<RO2T>*<RO237>
 PTERMS(:,85,261) = -TPK%K260(:)*PCONC(:,85)*TPK%RO237(:)
!
!PTERMS(HO2,K261) = -K261*<HO2>*<RO237>
 PTERMS(:,10,262) = -TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(OH,K261) = +K261*<HO2>*<RO237>
 PTERMS(:,15,262) = +TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(RPG2,K261) = +0.3000000*K261*<HO2>*<RO237>
 PTERMS(:,50,262) = +0.3000000*TPK%K261(:)*PCONC(:,10)*TPK%RO237(:)
!
!PTERMS(NO,K262) = -K262*<NO>*<RO246>
 PTERMS(:,1,263) = -TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(NO2,K262) = +K262*<NO>*<RO246>
 PTERMS(:,2,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(HO2,K262) = +K262*<NO>*<RO246>
 PTERMS(:,10,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(MGLY,K262) = +K262*<NO>*<RO246>
 PTERMS(:,41,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(RP10,K262) = +K262*<NO>*<RO246>
 PTERMS(:,72,263) = +TPK%K262(:)*PCONC(:,1)*TPK%RO246(:)
!
!PTERMS(HO2,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,10,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(MGLY,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,41,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(RP10,K263) = +K263*<RO2T>*<RO246>
 PTERMS(:,72,264) = +TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(RO2T,K263) = -K263*<RO2T>*<RO246>
 PTERMS(:,85,264) = -TPK%K263(:)*PCONC(:,85)*TPK%RO246(:)
!
!PTERMS(HO2,K264) = -K264*<HO2>*<RO246>
 PTERMS(:,10,265) = -TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(OH,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,15,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(MGLY,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,41,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!
RETURN
END SUBROUTINE SUBT43
!
SUBROUTINE SUBT44
!
!Indices 881 a 900
!
!PTERMS(RP10,K264) = +K264*<HO2>*<RO246>
 PTERMS(:,72,265) = +TPK%K264(:)*PCONC(:,10)*TPK%RO246(:)
!
!PTERMS(RO2T,K265) = +K265*<RO238>
 PTERMS(:,85,266) = +TPK%K265(:)*TPK%RO238(:)
!
!PTERMS(NO,K266) = -K266*<NO>*<RO238>
 PTERMS(:,1,267) = -TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(NO2,K266) = +K266*<NO>*<RO238>
 PTERMS(:,2,267) = +TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(HO2,K266) = +K266*<NO>*<RO238>
 PTERMS(:,10,267) = +TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(RPG7,K266) = +1.0000013*K266*<NO>*<RO238>
 PTERMS(:,63,267) = +1.0000013*TPK%K266(:)*PCONC(:,1)*TPK%RO238(:)
!
!PTERMS(HO2,K267) = +K267*<RO2T>*<RO238>
 PTERMS(:,10,268) = +TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(RPG7,K267) = +1.0000013*K267*<RO2T>*<RO238>
 PTERMS(:,63,268) = +1.0000013*TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(RO2T,K267) = -K267*<RO2T>*<RO238>
 PTERMS(:,85,268) = -TPK%K267(:)*PCONC(:,85)*TPK%RO238(:)
!
!PTERMS(HO2,K268) = -K268*<HO2>*<RO238>
 PTERMS(:,10,269) = -TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(OH,K268) = +K268*<HO2>*<RO238>
 PTERMS(:,15,269) = +TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(RPG7,K268) = +1.0000013*K268*<HO2>*<RO238>
 PTERMS(:,63,269) = +1.0000013*TPK%K268(:)*PCONC(:,10)*TPK%RO238(:)
!
!PTERMS(NO,K269) = -K269*<NO>*<RO247>
 PTERMS(:,1,270) = -TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(NO2,K269) = +K269*<NO>*<RO247>
 PTERMS(:,2,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(HO2,K269) = +K269*<NO>*<RO247>
 PTERMS(:,10,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(MGLY,K269) = +K269*<NO>*<RO247>
 PTERMS(:,41,270) = +TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(RPRL,K269) = +1.0023998*K269*<NO>*<RO247>
 PTERMS(:,75,270) = +1.0023998*TPK%K269(:)*PCONC(:,1)*TPK%RO247(:)
!
!PTERMS(HO2,K270) = +K270*<RO2T>*<RO247>
 PTERMS(:,10,271) = +TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(MGLY,K270) = +K270*<RO2T>*<RO247>
 PTERMS(:,41,271) = +TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(RPRL,K270) = +1.0023998*K270*<RO2T>*<RO247>
 PTERMS(:,75,271) = +1.0023998*TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!
RETURN
END SUBROUTINE SUBT44
!
SUBROUTINE SUBT45
!
!Indices 901 a 920
!
!PTERMS(RO2T,K270) = -K270*<RO2T>*<RO247>
 PTERMS(:,85,271) = -TPK%K270(:)*PCONC(:,85)*TPK%RO247(:)
!
!PTERMS(HO2,K271) = -K271*<HO2>*<RO247>
 PTERMS(:,10,272) = -TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(OH,K271) = +K271*<HO2>*<RO247>
 PTERMS(:,15,272) = +TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(MGLY,K271) = +K271*<HO2>*<RO247>
 PTERMS(:,41,272) = +TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(RPRL,K271) = +1.0023998*K271*<HO2>*<RO247>
 PTERMS(:,75,272) = +1.0023998*TPK%K271(:)*PCONC(:,10)*TPK%RO247(:)
!
!PTERMS(OH,K272) = -K272*<OH>*<MVK>
 PTERMS(:,15,273) = -TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(MVK,K272) = -K272*<OH>*<MVK>
 PTERMS(:,39,273) = -TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(RO2T,K272) = +K272*<OH>*<MVK>
 PTERMS(:,85,273) = +TPK%K272(:)*PCONC(:,15)*PCONC(:,39)
!
!PTERMS(OH,K273) = -K273*<OH>*<MCR>
 PTERMS(:,15,274) = -TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(MCR,K273) = -K273*<OH>*<MCR>
 PTERMS(:,40,274) = -TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(RO2T,K273) = +K273*<OH>*<MCR>
 PTERMS(:,85,274) = +TPK%K273(:)*PCONC(:,15)*PCONC(:,40)
!
!PTERMS(OH,K274) = -K274*<OH>*<MGLY>
 PTERMS(:,15,275) = -TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(MGLY,K274) = -K274*<OH>*<MGLY>
 PTERMS(:,41,275) = -TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(RO2T,K274) = +K274*<OH>*<MGLY>
 PTERMS(:,85,275) = +TPK%K274(:)*PCONC(:,15)*PCONC(:,41)
!
!PTERMS(HNO3,K275) = +TPK%CF46*K275*<NO3>*<MCR>
 PTERMS(:,5,276) = +TPK%CF46*TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(NO3,K275) = -K275*<NO3>*<MCR>
 PTERMS(:,8,276) = -TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(MCR,K275) = -K275*<NO3>*<MCR>
 PTERMS(:,40,276) = -TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(RO2T,K275) = +K275*<NO3>*<MCR>
 PTERMS(:,85,276) = +TPK%K275(:)*PCONC(:,8)*PCONC(:,40)
!
!PTERMS(HO2,K276) = +K276*<MGLY>
 PTERMS(:,10,277) = +TPK%K276(:)*PCONC(:,41)
!
!PTERMS(CO,K276) = +K276*<MGLY>
 PTERMS(:,11,277) = +TPK%K276(:)*PCONC(:,41)
!
!
RETURN
END SUBROUTINE SUBT45
!
SUBROUTINE SUBT46
!
!Indices 921 a 940
!
!PTERMS(MGLY,K276) = -K276*<MGLY>
 PTERMS(:,41,277) = -TPK%K276(:)*PCONC(:,41)
!
!PTERMS(RO2T,K276) = +K276*<MGLY>
 PTERMS(:,85,277) = +TPK%K276(:)*PCONC(:,41)
!
!PTERMS(NO,K277) = -K277*<NO>*<RO248>
 PTERMS(:,1,278) = -TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(NO2,K277) = +K277*<NO>*<RO248>
 PTERMS(:,2,278) = +TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(RO2T,K277) = +K277*<NO>*<RO248>
 PTERMS(:,85,278) = +TPK%K277(:)*PCONC(:,1)*TPK%RO248(:)
!
!PTERMS(HNO3,K278) = +K278*<NO3>*<MGLY>
 PTERMS(:,5,279) = +TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(NO3,K278) = -K278*<NO3>*<MGLY>
 PTERMS(:,8,279) = -TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(MGLY,K278) = -K278*<NO3>*<MGLY>
 PTERMS(:,41,279) = -TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(RO2T,K278) = +K278*<NO3>*<MGLY>
 PTERMS(:,85,279) = +TPK%K278(:)*PCONC(:,8)*PCONC(:,41)
!
!PTERMS(O3,K279) = +K279*<HO2>*<RO248>
 PTERMS(:,3,280) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(HO2,K279) = -K279*<HO2>*<RO248>
 PTERMS(:,10,280) = -TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(UR21,K279) = +K279*<HO2>*<RO248>
 PTERMS(:,47,280) = +TPK%K279(:)*PCONC(:,10)*TPK%RO248(:)
!
!PTERMS(RO2T,K280) = -K280*<RO2T>*<RO248>
 PTERMS(:,85,281) = -TPK%K280(:)*PCONC(:,85)*TPK%RO248(:)
!
!PTERMS(O3,K281) = -K281*<O3>*<MVK>
 PTERMS(:,3,282) = -TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(HO2,K281) = +0.28*K281*<O3>*<MVK>
 PTERMS(:,10,282) = +0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(CO,K281) = +0.56*K281*<O3>*<MVK>
 PTERMS(:,11,282) = +0.56*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(OH,K281) = +0.36*K281*<O3>*<MVK>
 PTERMS(:,15,282) = +0.36*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(HCHO,K281) = +0.5*K281*<O3>*<MVK>
 PTERMS(:,28,282) = +0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(ALD2,K281) = +0.1*K281*<O3>*<MVK>
 PTERMS(:,29,282) = +0.1*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(MVK,K281) = -K281*<O3>*<MVK>
 PTERMS(:,39,282) = -TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!
RETURN
END SUBROUTINE SUBT46
!
SUBROUTINE SUBT47
!
!Indices 941 a 960
!
!PTERMS(MGLY,K281) = +0.5*K281*<O3>*<MVK>
 PTERMS(:,41,282) = +0.5*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(ORA1,K281) = +0.12*K281*<O3>*<MVK>
 PTERMS(:,43,282) = +0.12*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(UR21,K281) = +0.12*K281*<O3>*<MVK>
 PTERMS(:,47,282) = +0.12*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(RO2T,K281) = +0.28*K281*<O3>*<MVK>
 PTERMS(:,85,282) = +0.28*TPK%K281(:)*PCONC(:,3)*PCONC(:,39)
!
!PTERMS(O3,K282) = -K282*<O3>*<MCR>
 PTERMS(:,3,283) = -TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(HO2,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,10,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(CO,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,11,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(OH,K282) = +0.82*K282*<O3>*<MCR>
 PTERMS(:,15,283) = +0.82*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(HCHO,K282) = +0.5*K282*<O3>*<MCR>
 PTERMS(:,28,283) = +0.5*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(MCR,K282) = -K282*<O3>*<MCR>
 PTERMS(:,40,283) = -TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(MGLY,K282) = +0.59*K282*<O3>*<MCR>
 PTERMS(:,41,283) = +0.59*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(ORA1,K282) = +0.09*K282*<O3>*<MCR>
 PTERMS(:,43,283) = +0.09*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(RO2T,K282) = +0.41*K282*<O3>*<MCR>
 PTERMS(:,85,283) = +0.41*TPK%K282(:)*PCONC(:,3)*PCONC(:,40)
!
!PTERMS(KETL,K283) = +0.85*K283*<O>*<MVK>
 PTERMS(:,30,284) = +0.85*TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(MVK,K283) = -K283*<O>*<MVK>
 PTERMS(:,39,284) = -TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(RO2T,K283) = +0.3*K283*<O>*<MVK>
 PTERMS(:,85,284) = +0.3*TPK%K283(:)*TPK%O(:)*PCONC(:,39)
!
!PTERMS(HO2,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,10,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(CO,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,11,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(ALD2,K284) = +0.85*K284*<O>*<MCR>
 PTERMS(:,29,285) = +0.85*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(MCR,K284) = -K284*<O>*<MCR>
 PTERMS(:,40,285) = -TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!
RETURN
END SUBROUTINE SUBT47
!
SUBROUTINE SUBT48
!
!Indices 961 a 980
!
!PTERMS(RO2T,K284) = +0.15*K284*<O>*<MCR>
 PTERMS(:,85,285) = +0.15*TPK%K284(:)*TPK%O(:)*PCONC(:,40)
!
!PTERMS(NO,K285) = -K285*<NO>*<RO249>
 PTERMS(:,1,286) = -TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(NO2,K285) = +K285*<NO>*<RO249>
 PTERMS(:,2,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HO2,K285) = +K285*<NO>*<RO249>
 PTERMS(:,10,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HCHO,K285) = +K285*<NO>*<RO249>
 PTERMS(:,28,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(MGLY,K285) = +K285*<NO>*<RO249>
 PTERMS(:,41,286) = +TPK%K285(:)*PCONC(:,1)*TPK%RO249(:)
!
!PTERMS(HO2,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,10,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(HCHO,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,28,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(MGLY,K286) = +K286*<RO2T>*<RO249>
 PTERMS(:,41,287) = +TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(RO2T,K286) = -K286*<RO2T>*<RO249>
 PTERMS(:,85,287) = -TPK%K286(:)*PCONC(:,85)*TPK%RO249(:)
!
!PTERMS(HO2,K287) = -K287*<HO2>*<RO249>
 PTERMS(:,10,288) = -TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(OH,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,15,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(HCHO,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,28,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(MGLY,K287) = +K287*<HO2>*<RO249>
 PTERMS(:,41,288) = +TPK%K287(:)*PCONC(:,10)*TPK%RO249(:)
!
!PTERMS(NO,K288) = -K288*<NO>*<RO250>
 PTERMS(:,1,289) = -TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(NO2,K288) = +K288*<NO>*<RO250>
 PTERMS(:,2,289) = +TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(RO2T,K288) = +K288*<NO>*<RO250>
 PTERMS(:,85,289) = +TPK%K288(:)*PCONC(:,1)*TPK%RO250(:)
!
!PTERMS(O3,K289) = +K289*<HO2>*<RO250>
 PTERMS(:,3,290) = +TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(HO2,K289) = -K289*<HO2>*<RO250>
 PTERMS(:,10,290) = -TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(OLEL,K289) = +0.5*K289*<HO2>*<RO250>
 PTERMS(:,17,290) = +0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!
RETURN
END SUBROUTINE SUBT48
!
SUBROUTINE SUBT49
!
!Indices 981 a 1000
!
!PTERMS(ORA2,K289) = +0.5*K289*<HO2>*<RO250>
 PTERMS(:,44,290) = +0.5*TPK%K289(:)*PCONC(:,10)*TPK%RO250(:)
!
!PTERMS(RO2T,K290) = -K290*<RO2T>*<RO250>
 PTERMS(:,85,291) = -TPK%K290(:)*PCONC(:,85)*TPK%RO250(:)
!
!PTERMS(NO,K291) = -K291*<NO>*<RO251>
 PTERMS(:,1,292) = -TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(NO2,K291) = +K291*<NO>*<RO251>
 PTERMS(:,2,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HO2,K291) = +K291*<NO>*<RO251>
 PTERMS(:,10,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HCHO,K291) = +K291*<NO>*<RO251>
 PTERMS(:,28,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(MGLY,K291) = +K291*<NO>*<RO251>
 PTERMS(:,41,292) = +TPK%K291(:)*PCONC(:,1)*TPK%RO251(:)
!
!PTERMS(HO2,K292) = -K292*<HO2>*<RO251>
 PTERMS(:,10,293) = -TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(HCHO,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,28,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(MGLY,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,41,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(RO2T,K292) = +K292*<HO2>*<RO251>
 PTERMS(:,85,293) = +TPK%K292(:)*PCONC(:,10)*TPK%RO251(:)
!
!PTERMS(HO2,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,10,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(OH,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,15,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(HCHO,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,28,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(MGLY,K293) = +K293*<RO2T>*<RO251>
 PTERMS(:,41,294) = +TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(RO2T,K293) = -K293*<RO2T>*<RO251>
 PTERMS(:,85,294) = -TPK%K293(:)*PCONC(:,85)*TPK%RO251(:)
!
!PTERMS(NO,K294) = -K294*<NO>*<RO252>
 PTERMS(:,1,295) = -TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(NO2,K294) = +2.*K294*<NO>*<RO252>
 PTERMS(:,2,295) = +2.*TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(HCHO,K294) = +K294*<NO>*<RO252>
 PTERMS(:,28,295) = +TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!PTERMS(MGLY,K294) = +K294*<NO>*<RO252>
 PTERMS(:,41,295) = +TPK%K294(:)*PCONC(:,1)*TPK%RO252(:)
!
!
RETURN
END SUBROUTINE SUBT49
!
SUBROUTINE SUBT50
!
!Indices 1001 a 1020
!
!PTERMS(NO2,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,2,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(HO2,K295) = -K295*<HO2>*<RO252>
 PTERMS(:,10,296) = -TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(HCHO,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,28,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(MGLY,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,41,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(RO2T,K295) = +K295*<HO2>*<RO252>
 PTERMS(:,85,296) = +TPK%K295(:)*PCONC(:,10)*TPK%RO252(:)
!
!PTERMS(NO2,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,2,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(OH,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,15,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(HCHO,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,28,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(MGLY,K296) = +K296*<RO2T>*<RO252>
 PTERMS(:,41,297) = +TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(RO2T,K296) = -K296*<RO2T>*<RO252>
 PTERMS(:,85,297) = -TPK%K296(:)*PCONC(:,85)*TPK%RO252(:)
!
!PTERMS(NO,K297) = -K297*<NO>*<RO253>
 PTERMS(:,1,298) = -TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(NO2,K297) = +K297*<NO>*<RO253>
 PTERMS(:,2,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(HCHO,K297) = +K297*<NO>*<RO253>
 PTERMS(:,28,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(RO2T,K297) = +K297*<NO>*<RO253>
 PTERMS(:,85,298) = +TPK%K297(:)*PCONC(:,1)*TPK%RO253(:)
!
!PTERMS(HO2,K298) = -K298*<HO2>*<RO253>
 PTERMS(:,10,299) = -TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(HCHO,K298) = +K298*<HO2>*<RO253>
 PTERMS(:,28,299) = +TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(RO2T,K298) = +2.*K298*<HO2>*<RO253>
 PTERMS(:,85,299) = +2.*TPK%K298(:)*PCONC(:,10)*TPK%RO253(:)
!
!PTERMS(OH,K299) = +K299*<RO2T>*<RO253>
 PTERMS(:,15,300) = +TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!PTERMS(HCHO,K299) = +K299*<RO2T>*<RO253>
 PTERMS(:,28,300) = +TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!PTERMS(RO2T,K299) = -K299*<RO2T>*<RO253>
 PTERMS(:,85,300) = -TPK%K299(:)*PCONC(:,85)*TPK%RO253(:)
!
!
RETURN
END SUBROUTINE SUBT50
!
SUBROUTINE SUBT51
!
!Indices 1021 a 1040
!
!PTERMS(NO,K300) = -K300*<NO>*<RO254>
 PTERMS(:,1,301) = -TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(NO2,K300) = +K300*<NO>*<RO254>
 PTERMS(:,2,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(HO2,K300) = +K300*<NO>*<RO254>
 PTERMS(:,10,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(CO,K300) = +K300*<NO>*<RO254>
 PTERMS(:,11,301) = +TPK%K300(:)*PCONC(:,1)*TPK%RO254(:)
!
!PTERMS(O3,K301) = +K301*<HO2>*<RO254>
 PTERMS(:,3,302) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(HO2,K301) = -K301*<HO2>*<RO254>
 PTERMS(:,10,302) = -TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(RP16,K301) = +K301*<HO2>*<RO254>
 PTERMS(:,74,302) = +TPK%K301(:)*PCONC(:,10)*TPK%RO254(:)
!
!PTERMS(HO2,K302) = +K302*<RO2T>*<RO254>
 PTERMS(:,10,303) = +TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(CO,K302) = +K302*<RO2T>*<RO254>
 PTERMS(:,11,303) = +TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(RO2T,K302) = -K302*<RO2T>*<RO254>
 PTERMS(:,85,303) = -TPK%K302(:)*PCONC(:,85)*TPK%RO254(:)
!
!PTERMS(O3,K303) = +K303*<OH>*<RPR5>
 PTERMS(:,3,304) = +TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(OH,K303) = -K303*<OH>*<RPR5>
 PTERMS(:,15,304) = -TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(URG7,K303) = +0.9999993*K303*<OH>*<RPR5>
 PTERMS(:,60,304) = +0.9999993*TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(RPR5,K303) = -K303*<OH>*<RPR5>
 PTERMS(:,70,304) = -TPK%K303(:)*PCONC(:,15)*PCONC(:,70)
!
!PTERMS(OH,K304) = -K304*<OH>*<RPR1>
 PTERMS(:,15,305) = -TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(RPR1,K304) = -K304*<OH>*<RPR1>
 PTERMS(:,69,305) = -TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(RO2T,K304) = +K304*<OH>*<RPR1>
 PTERMS(:,85,305) = +TPK%K304(:)*PCONC(:,15)*PCONC(:,69)
!
!PTERMS(OH,K305) = -K305*<OH>*<RP16>
 PTERMS(:,15,306) = -TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!PTERMS(RP16,K305) = -K305*<OH>*<RP16>
 PTERMS(:,74,306) = -TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!PTERMS(RO2T,K305) = +K305*<OH>*<RP16>
 PTERMS(:,85,306) = +TPK%K305(:)*PCONC(:,15)*PCONC(:,74)
!
!
RETURN
END SUBROUTINE SUBT51
!
SUBROUTINE SUBT52
!
!Indices 1041 a 1060
!
!PTERMS(O3,K306) = +1.0000011*K306*<OH>*<RPRL>
 PTERMS(:,3,307) = +1.0000011*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(OH,K306) = -K306*<OH>*<RPRL>
 PTERMS(:,15,307) = -TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(URG7,K306) = +0.9979297*K306*<OH>*<RPRL>
 PTERMS(:,60,307) = +0.9979297*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(RPR7,K306) = +2.0714202E-03*K306*<OH>*<RPRL>
 PTERMS(:,62,307) = +2.0714202E-03*TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(RPRL,K306) = -K306*<OH>*<RPRL>
 PTERMS(:,75,307) = -TPK%K306(:)*PCONC(:,15)*PCONC(:,75)
!
!PTERMS(HNO3,K307) = +K307*<NO3>*<RPR1>
 PTERMS(:,5,308) = +TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(NO3,K307) = -K307*<NO3>*<RPR1>
 PTERMS(:,8,308) = -TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(RPR1,K307) = -K307*<NO3>*<RPR1>
 PTERMS(:,69,308) = -TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(RO2T,K307) = +K307*<NO3>*<RPR1>
 PTERMS(:,85,308) = +TPK%K307(:)*PCONC(:,8)*PCONC(:,69)
!
!PTERMS(HO2,K308) = +K308*<RPR1>
 PTERMS(:,10,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(CO,K308) = +K308*<RPR1>
 PTERMS(:,11,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(RPR1,K308) = -K308*<RPR1>
 PTERMS(:,69,309) = -TPK%K308(:)*PCONC(:,69)
!
!PTERMS(RO2T,K308) = +K308*<RPR1>
 PTERMS(:,85,309) = +TPK%K308(:)*PCONC(:,69)
!
!PTERMS(NO,K309) = -K309*<NO>*<RO255>
 PTERMS(:,1,310) = -TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(NO2,K309) = +K309*<NO>*<RO255>
 PTERMS(:,2,310) = +TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(RO2T,K309) = +K309*<NO>*<RO255>
 PTERMS(:,85,310) = +TPK%K309(:)*PCONC(:,1)*TPK%RO255(:)
!
!PTERMS(O3,K310) = +K310*<HO2>*<RO255>
 PTERMS(:,3,311) = +TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(HO2,K310) = -K310*<HO2>*<RO255>
 PTERMS(:,10,311) = -TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(ACID,K310) = +K310*<HO2>*<RO255>
 PTERMS(:,45,311) = +TPK%K310(:)*PCONC(:,10)*TPK%RO255(:)
!
!PTERMS(RO2T,K311) = -K311*<RO2T>*<RO255>
 PTERMS(:,85,312) = -TPK%K311(:)*PCONC(:,85)*TPK%RO255(:)
!
!
RETURN
END SUBROUTINE SUBT52
!
SUBROUTINE SUBT53
!
!Indices 1061 a 1080
!
!PTERMS(OH,K312) = -K312*<OH>*<RPR3>
 PTERMS(:,15,313) = -TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(RPR3,K312) = -K312*<OH>*<RPR3>
 PTERMS(:,57,313) = -TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(RO2T,K312) = +K312*<OH>*<RPR3>
 PTERMS(:,85,313) = +TPK%K312(:)*PCONC(:,15)*PCONC(:,57)
!
!PTERMS(HNO3,K313) = +K313*<NO3>*<RPR3>
 PTERMS(:,5,314) = +TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(NO3,K313) = -K313*<NO3>*<RPR3>
 PTERMS(:,8,314) = -TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(RPR3,K313) = -K313*<NO3>*<RPR3>
 PTERMS(:,57,314) = -TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(RO2T,K313) = +K313*<NO3>*<RPR3>
 PTERMS(:,85,314) = +TPK%K313(:)*PCONC(:,8)*PCONC(:,57)
!
!PTERMS(HO2,K314) = +2.*K314*<RPR3>
 PTERMS(:,10,315) = +2.*TPK%K314(:)*PCONC(:,57)
!
!PTERMS(CO,K314) = +K314*<RPR3>
 PTERMS(:,11,315) = +TPK%K314(:)*PCONC(:,57)
!
!PTERMS(RPR3,K314) = -K314*<RPR3>
 PTERMS(:,57,315) = -TPK%K314(:)*PCONC(:,57)
!
!PTERMS(NO,K315) = -K315*<NO>*<RO256>
 PTERMS(:,1,316) = -TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(NO2,K315) = +K315*<NO>*<RO256>
 PTERMS(:,2,316) = +TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(HO2,K315) = +K315*<NO>*<RO256>
 PTERMS(:,10,316) = +TPK%K315(:)*PCONC(:,1)*TPK%RO256(:)
!
!PTERMS(NO2,K316) = -K316*<NO2>*<RO256>
 PTERMS(:,2,317) = -TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!
!PTERMS(PAN8,K316) = +K316*<NO2>*<RO256>
 PTERMS(:,83,317) = +TPK%K316(:)*PCONC(:,2)*TPK%RO256(:)
!
!PTERMS(NO2,K317) = +K317*<PAN8>
 PTERMS(:,2,318) = +TPK%K317(:)*PCONC(:,83)
!
!PTERMS(PAN8,K317) = -K317*<PAN8>
 PTERMS(:,83,318) = -TPK%K317(:)*PCONC(:,83)
!
!PTERMS(RO2T,K317) = +K317*<PAN8>
 PTERMS(:,85,318) = +TPK%K317(:)*PCONC(:,83)
!
!PTERMS(O3,K318) = +K318*<HO2>*<RO256>
 PTERMS(:,3,319) = +TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!PTERMS(HO2,K318) = -K318*<HO2>*<RO256>
 PTERMS(:,10,319) = -TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!
RETURN
END SUBROUTINE SUBT53
!
SUBROUTINE SUBT54
!
!Indices 1081 a 1100
!
!PTERMS(URG4,K318) = +1.0000000*K318*<HO2>*<RO256>
 PTERMS(:,53,319) = +1.0000000*TPK%K318(:)*PCONC(:,10)*TPK%RO256(:)
!
!PTERMS(HO2,K319) = +K319*<RO2T>*<RO256>
 PTERMS(:,10,320) = +TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)
!
!PTERMS(RO2T,K319) = -K319*<RO2T>*<RO256>
 PTERMS(:,85,320) = -TPK%K319(:)*PCONC(:,85)*TPK%RO256(:)
!
!PTERMS(HNO3,K320) = +K320*<NO3>*<RPR4>
 PTERMS(:,5,321) = +TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(NO3,K320) = -K320*<NO3>*<RPR4>
 PTERMS(:,8,321) = -TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(RPR4,K320) = -K320*<NO3>*<RPR4>
 PTERMS(:,61,321) = -TPK%K320(:)*PCONC(:,8)*PCONC(:,61)
!
!PTERMS(NO2,K321) = -K321*<NO2>*<RAD8>
 PTERMS(:,2,322) = -TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!
!PTERMS(UR22,K321) = +K321*<NO2>*<RAD8>
 PTERMS(:,59,322) = +TPK%K321(:)*PCONC(:,2)*TPK%RAD8(:)
!
!PTERMS(O3,K322) = +K322*<OH>*<RPR7>
 PTERMS(:,3,323) = +TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(OH,K322) = -K322*<OH>*<RPR7>
 PTERMS(:,15,323) = -TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(URG7,K322) = +0.9999993*K322*<OH>*<RPR7>
 PTERMS(:,60,323) = +0.9999993*TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(RPR7,K322) = -K322*<OH>*<RPR7>
 PTERMS(:,62,323) = -TPK%K322(:)*PCONC(:,15)*PCONC(:,62)
!
!PTERMS(O3,K323) = +1.0000005*K323*<OH>*<RPG7>
 PTERMS(:,3,324) = +1.0000005*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(OH,K323) = -K323*<OH>*<RPG7>
 PTERMS(:,15,324) = -TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(URG6,K323) = +0.4978440*K323*<OH>*<RPG7>
 PTERMS(:,58,324) = +0.4978440*TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(RPG7,K323) = -K323*<OH>*<RPG7>
 PTERMS(:,63,324) = -TPK%K323(:)*PCONC(:,15)*PCONC(:,63)
!
!PTERMS(OH,K324) = -K324*<OH>*<RPR8>
 PTERMS(:,15,325) = -TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(RPR8,K324) = -K324*<OH>*<RPR8>
 PTERMS(:,71,325) = -TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(RO2T,K324) = +K324*<OH>*<RPR8>
 PTERMS(:,85,325) = +TPK%K324(:)*PCONC(:,15)*PCONC(:,71)
!
!PTERMS(HO2,K325) = +K325*<OH>*<RP10>
 PTERMS(:,10,326) = +TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!
RETURN
END SUBROUTINE SUBT54
!
SUBROUTINE SUBT55
!
!Indices 1101 a 1120
!
!PTERMS(OH,K325) = -K325*<OH>*<RP10>
 PTERMS(:,15,326) = -TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!PTERMS(RP10,K325) = -K325*<OH>*<RP10>
 PTERMS(:,72,326) = -TPK%K325(:)*PCONC(:,15)*PCONC(:,72)
!
!PTERMS(O3,K326) = +K326*<OH>*<RP11>
 PTERMS(:,3,327) = +TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(OH,K326) = -K326*<OH>*<RP11>
 PTERMS(:,15,327) = -TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(UR26,K326) = +0.67*K326*<OH>*<RP11>
 PTERMS(:,49,327) = +0.67*TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(RP11,K326) = -K326*<OH>*<RP11>
 PTERMS(:,73,327) = -TPK%K326(:)*PCONC(:,15)*PCONC(:,73)
!
!PTERMS(HNO3,K327) = +K327*<NO3>*<RPR8>
 PTERMS(:,5,328) = +TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(NO3,K327) = -K327*<NO3>*<RPR8>
 PTERMS(:,8,328) = -TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RPR8,K327) = -K327*<NO3>*<RPR8>
 PTERMS(:,71,328) = -TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RO2T,K327) = +K327*<NO3>*<RPR8>
 PTERMS(:,85,328) = +TPK%K327(:)*PCONC(:,8)*PCONC(:,71)
!
!PTERMS(RP10,K328) = -K328*<RP10>
 PTERMS(:,72,329) = -TPK%K328(:)*PCONC(:,72)
!
!PTERMS(HO2,K329) = +K329*<RPR8>
 PTERMS(:,10,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(CO,K329) = +K329*<RPR8>
 PTERMS(:,11,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(RPR8,K329) = -K329*<RPR8>
 PTERMS(:,71,330) = -TPK%K329(:)*PCONC(:,71)
!
!PTERMS(RO2T,K329) = +K329*<RPR8>
 PTERMS(:,85,330) = +TPK%K329(:)*PCONC(:,71)
!
!PTERMS(HO2,K330) = +K330*<RPR8>
 PTERMS(:,10,331) = +TPK%K330(:)*PCONC(:,71)
!
!PTERMS(RPR8,K330) = -K330*<RPR8>
 PTERMS(:,71,331) = -TPK%K330(:)*PCONC(:,71)
!
!PTERMS(RO2T,K330) = +K330*<RPR8>
 PTERMS(:,85,331) = +TPK%K330(:)*PCONC(:,71)
!
!PTERMS(NO,K331) = -K331*<NO>*<RO257>
 PTERMS(:,1,332) = -TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!PTERMS(NO2,K331) = +K331*<NO>*<RO257>
 PTERMS(:,2,332) = +TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!
RETURN
END SUBROUTINE SUBT55
!
SUBROUTINE SUBT56
!
!Indices 1121 a 1140
!
!PTERMS(RO2T,K331) = +K331*<NO>*<RO257>
 PTERMS(:,85,332) = +TPK%K331(:)*PCONC(:,1)*TPK%RO257(:)
!
!PTERMS(O3,K332) = +K332*<HO2>*<RO257>
 PTERMS(:,3,333) = +TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(HO2,K332) = -K332*<HO2>*<RO257>
 PTERMS(:,10,333) = -TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(URG4,K332) = +1.0000000*K332*<HO2>*<RO257>
 PTERMS(:,53,333) = +1.0000000*TPK%K332(:)*PCONC(:,10)*TPK%RO257(:)
!
!PTERMS(RO2T,K333) = -K333*<RO2T>*<RO257>
 PTERMS(:,85,334) = -TPK%K333(:)*PCONC(:,85)*TPK%RO257(:)
!
!PTERMS(O3,K334) = +1.0000000*K334*<OH>*<RPG3>
 PTERMS(:,3,335) = +1.0000000*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(OH,K334) = -K334*<OH>*<RPG3>
 PTERMS(:,15,335) = -TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(RPG2,K334) = +0.8808107*K334*<OH>*<RPG3>
 PTERMS(:,50,335) = +0.8808107*TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(RPG3,K334) = -K334*<OH>*<RPG3>
 PTERMS(:,52,335) = -TPK%K334(:)*PCONC(:,15)*PCONC(:,52)
!
!PTERMS(O3,K335) = +1.0000000*K335*<OH>*<RPG2>
 PTERMS(:,3,336) = +1.0000000*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(OH,K335) = -K335*<OH>*<RPG2>
 PTERMS(:,15,336) = -TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(URG2,K335) = +0.5562513*K335*<OH>*<RPG2>
 PTERMS(:,48,336) = +0.5562513*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(RPG2,K335) = -K335*<OH>*<RPG2>
 PTERMS(:,50,336) = -TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(RP18,K335) = +0.4437492*K335*<OH>*<RPG2>
 PTERMS(:,51,336) = +0.4437492*TPK%K335(:)*PCONC(:,15)*PCONC(:,50)
!
!PTERMS(O3,K337) = +K337*<OH>*<RP18>
 PTERMS(:,3,337) = +TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(OH,K337) = -K337*<OH>*<RP18>
 PTERMS(:,15,337) = -TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(URG2,K337) = +K337*<OH>*<RP18>
 PTERMS(:,48,337) = +TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(RP18,K337) = -K337*<OH>*<RP18>
 PTERMS(:,51,337) = -TPK%K337(:)*PCONC(:,15)*PCONC(:,51)
!
!PTERMS(HNO3,K338) = +K338*<NO3>*<RP16>
 PTERMS(:,5,338) = +TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(NO3,K338) = -K338*<NO3>*<RP16>
 PTERMS(:,8,338) = -TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!
RETURN
END SUBROUTINE SUBT56
!
SUBROUTINE SUBT57
!
!Indices 1141 a 1160
!
!PTERMS(RP16,K338) = -K338*<NO3>*<RP16>
 PTERMS(:,74,338) = -TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(RO2T,K338) = +K338*<NO3>*<RP16>
 PTERMS(:,85,338) = +TPK%K338(:)*PCONC(:,8)*PCONC(:,74)
!
!PTERMS(HO2,K339) = +K339*<RP16>
 PTERMS(:,10,339) = +TPK%K339(:)*PCONC(:,74)
!
!PTERMS(CO,K339) = +2.*K339*<RP16>
 PTERMS(:,11,339) = +2.*TPK%K339(:)*PCONC(:,74)
!
!PTERMS(OH,K339) = +K339*<RP16>
 PTERMS(:,15,339) = +TPK%K339(:)*PCONC(:,74)
!
!PTERMS(RP16,K339) = -K339*<RP16>
 PTERMS(:,74,339) = -TPK%K339(:)*PCONC(:,74)
!
!PTERMS(NO,K340) = -K340*<NO>*<RO258>
 PTERMS(:,1,340) = -TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(NO2,K340) = +K340*<NO>*<RO258>
 PTERMS(:,2,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(CO,K340) = +K340*<NO>*<RO258>
 PTERMS(:,11,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(OH,K340) = +K340*<NO>*<RO258>
 PTERMS(:,15,340) = +TPK%K340(:)*PCONC(:,1)*TPK%RO258(:)
!
!PTERMS(O3,K341) = +K341*<HO2>*<RO258>
 PTERMS(:,3,341) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(HO2,K341) = -K341*<HO2>*<RO258>
 PTERMS(:,10,341) = -TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(UR28,K341) = +K341*<HO2>*<RO258>
 PTERMS(:,46,341) = +TPK%K341(:)*PCONC(:,10)*TPK%RO258(:)
!
!PTERMS(CO,K342) = +K342*<RO2T>*<RO258>
 PTERMS(:,11,342) = +TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(OH,K342) = +K342*<RO2T>*<RO258>
 PTERMS(:,15,342) = +TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(RO2T,K342) = -K342*<RO2T>*<RO258>
 PTERMS(:,85,342) = -TPK%K342(:)*PCONC(:,85)*TPK%RO258(:)
!
!PTERMS(NO2,K343) = +K343*<PAN7>
 PTERMS(:,2,343) = +TPK%K343(:)*PCONC(:,82)
!
!PTERMS(PAN7,K343) = -K343*<PAN7>
 PTERMS(:,82,343) = -TPK%K343(:)*PCONC(:,82)
!
!PTERMS(RO2T,K343) = +K343*<PAN7>
 PTERMS(:,85,343) = +TPK%K343(:)*PCONC(:,82)
!
!PTERMS(NO,K344) = -K344*<NO>*<RO230>
 PTERMS(:,1,344) = -TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!
RETURN
END SUBROUTINE SUBT57
!
SUBROUTINE SUBT58
!
!Indices 1161 a 1180
!
!PTERMS(NO2,K344) = +K344*<NO>*<RO230>
 PTERMS(:,2,344) = +TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!PTERMS(RO2T,K344) = +K344*<NO>*<RO230>
 PTERMS(:,85,344) = +TPK%K344(:)*PCONC(:,1)*TPK%RO230(:)
!
!PTERMS(NH3,K345) = -K345*<OH>*<NH3>
 PTERMS(:,9,345) = -TPK%K345(:)*PCONC(:,15)*PCONC(:,9)
!
!PTERMS(OH,K345) = -K345*<OH>*<NH3>
 PTERMS(:,15,345) = -TPK%K345(:)*PCONC(:,15)*PCONC(:,9)
!
!PTERMS(H2SO4,K346) = -K346*<H2SO4>
 PTERMS(:,14,346) = -TPK%K346(:)*PCONC(:,14)
!
!PTERMS(HO2,K347) = +K347*<OH>*<ORA1>
 PTERMS(:,10,347) = +TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(OH,K347) = -K347*<OH>*<ORA1>
 PTERMS(:,15,347) = -TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(ORA1,K347) = -K347*<OH>*<ORA1>
 PTERMS(:,43,347) = -TPK%K347(:)*PCONC(:,15)*PCONC(:,43)
!
!PTERMS(OH,K348) = -K348*<OH>*<ORA2>
 PTERMS(:,15,348) = -TPK%K348(:)*PCONC(:,15)*PCONC(:,44)
!
!PTERMS(ORA2,K348) = -K348*<OH>*<ORA2>
 PTERMS(:,44,348) = -TPK%K348(:)*PCONC(:,15)*PCONC(:,44)
!
!PTERMS(OH,K349) = -K349*<OH>*<ACID>
 PTERMS(:,15,349) = -TPK%K349(:)*PCONC(:,15)*PCONC(:,45)
!
!PTERMS(ACID,K349) = -K349*<OH>*<ACID>
 PTERMS(:,45,349) = -TPK%K349(:)*PCONC(:,15)*PCONC(:,45)
!
!PTERMS(URG2,K350) = -K350*<URG2>
 PTERMS(:,48,350) = -TPK%K350(:)*PCONC(:,48)
!
!PTERMS(URG4,K351) = -K351*<URG4>
 PTERMS(:,53,351) = -TPK%K351(:)*PCONC(:,53)
!
!PTERMS(URG6,K352) = -K352*<URG6>
 PTERMS(:,58,352) = -TPK%K352(:)*PCONC(:,58)
!
!PTERMS(URG7,K353) = -K353*<URG7>
 PTERMS(:,60,353) = -TPK%K353(:)*PCONC(:,60)
!
!PTERMS(URG8,K354) = -K354*<URG8>
 PTERMS(:,64,354) = -TPK%K354(:)*PCONC(:,64)
!
!PTERMS(URG9,K355) = -K355*<URG9>
 PTERMS(:,66,355) = -TPK%K355(:)*PCONC(:,66)
!
!PTERMS(URG10,K356) = -K356*<URG10>
 PTERMS(:,68,356) = -TPK%K356(:)*PCONC(:,68)
!
!PTERMS(UR7,K357) = -K357*<UR7>
 PTERMS(:,56,357) = -TPK%K357(:)*PCONC(:,56)
!
!
RETURN
END SUBROUTINE SUBT58
!
SUBROUTINE SUBT59
!
!Indices 1181 a 1200
!
!PTERMS(UR8,K358) = -K358*<UR8>
 PTERMS(:,54,358) = -TPK%K358(:)*PCONC(:,54)
!
!PTERMS(UR17,K359) = -K359*<UR17>
 PTERMS(:,55,359) = -TPK%K359(:)*PCONC(:,55)
!
!PTERMS(UR19,K360) = -K360*<UR19>
 PTERMS(:,65,360) = -TPK%K360(:)*PCONC(:,65)
!
!PTERMS(UR21,K361) = -K361*<UR21>
 PTERMS(:,47,361) = -TPK%K361(:)*PCONC(:,47)
!
!PTERMS(UR22,K362) = -K362*<UR22>
 PTERMS(:,59,362) = -TPK%K362(:)*PCONC(:,59)
!
!PTERMS(UR26,K363) = -K363*<UR26>
 PTERMS(:,49,363) = -TPK%K363(:)*PCONC(:,49)
!
!PTERMS(UR28,K364) = -K364*<UR28>
 PTERMS(:,46,364) = -TPK%K364(:)*PCONC(:,46)
!
!PTERMS(AP7,K365) = -K365*<AP7>
 PTERMS(:,67,365) = -TPK%K365(:)*PCONC(:,67)
!
!PTERMS(O3,KTC1) = -KTC1*<O3>
 PTERMS(:,3,366) = -TPK%KTC1(:)*PCONC(:,3)
!
!PTERMS(WC_O3,KTC1) = +KTC1*<O3>
 PTERMS(:,88,366) = +TPK%KTC1(:)*PCONC(:,3)
!
!PTERMS(H2O2,KTC2) = -KTC2*<H2O2>
 PTERMS(:,12,367) = -TPK%KTC2(:)*PCONC(:,12)
!
!PTERMS(WC_H2O2,KTC2) = +KTC2*<H2O2>
 PTERMS(:,89,367) = +TPK%KTC2(:)*PCONC(:,12)
!
!PTERMS(NO,KTC3) = -KTC3*<NO>
 PTERMS(:,1,368) = -TPK%KTC3(:)*PCONC(:,1)
!
!PTERMS(WC_NO,KTC3) = +KTC3*<NO>
 PTERMS(:,90,368) = +TPK%KTC3(:)*PCONC(:,1)
!
!PTERMS(NO2,KTC4) = -KTC4*<NO2>
 PTERMS(:,2,369) = -TPK%KTC4(:)*PCONC(:,2)
!
!PTERMS(WC_NO2,KTC4) = +KTC4*<NO2>
 PTERMS(:,91,369) = +TPK%KTC4(:)*PCONC(:,2)
!
!PTERMS(NO3,KTC5) = -KTC5*<NO3>
 PTERMS(:,8,370) = -TPK%KTC5(:)*PCONC(:,8)
!
!PTERMS(WC_NO3,KTC5) = +KTC5*<NO3>
 PTERMS(:,92,370) = +TPK%KTC5(:)*PCONC(:,8)
!
!PTERMS(N2O5,KTC6) = -KTC6*<N2O5>
 PTERMS(:,7,371) = -TPK%KTC6(:)*PCONC(:,7)
!
!PTERMS(WC_N2O5,KTC6) = +KTC6*<N2O5>
 PTERMS(:,93,371) = +TPK%KTC6(:)*PCONC(:,7)
!
!
RETURN
END SUBROUTINE SUBT59
!
SUBROUTINE SUBT60
!
!Indices 1201 a 1220
!
!PTERMS(HONO,KTC7) = -KTC7*<HONO>
 PTERMS(:,4,372) = -TPK%KTC7(:)*PCONC(:,4)
!
!PTERMS(WC_HONO,KTC7) = +KTC7*<HONO>
 PTERMS(:,94,372) = +TPK%KTC7(:)*PCONC(:,4)
!
!PTERMS(HNO3,KTC8) = -KTC8*<HNO3>
 PTERMS(:,5,373) = -TPK%KTC8(:)*PCONC(:,5)
!
!PTERMS(WC_HNO3,KTC8) = +KTC8*<HNO3>
 PTERMS(:,95,373) = +TPK%KTC8(:)*PCONC(:,5)
!
!PTERMS(HNO4,KTC9) = -KTC9*<HNO4>
 PTERMS(:,6,374) = -TPK%KTC9(:)*PCONC(:,6)
!
!PTERMS(WC_HNO4,KTC9) = +KTC9*<HNO4>
 PTERMS(:,96,374) = +TPK%KTC9(:)*PCONC(:,6)
!
!PTERMS(NH3,KTC10) = -KTC10*<NH3>
 PTERMS(:,9,375) = -TPK%KTC10(:)*PCONC(:,9)
!
!PTERMS(WC_NH3,KTC10) = +KTC10*<NH3>
 PTERMS(:,97,375) = +TPK%KTC10(:)*PCONC(:,9)
!
!PTERMS(OH,KTC11) = -KTC11*<OH>
 PTERMS(:,15,376) = -TPK%KTC11(:)*PCONC(:,15)
!
!PTERMS(WC_OH,KTC11) = +KTC11*<OH>
 PTERMS(:,98,376) = +TPK%KTC11(:)*PCONC(:,15)
!
!PTERMS(HO2,KTC12) = -KTC12*<HO2>
 PTERMS(:,10,377) = -TPK%KTC12(:)*PCONC(:,10)
!
!PTERMS(WC_HO2,KTC12) = +KTC12*<HO2>
 PTERMS(:,99,377) = +TPK%KTC12(:)*PCONC(:,10)
!
!PTERMS(WC_CO2,KTC13) = +KTC13*<CO2>
 PTERMS(:,100,378) = +TPK%KTC13(:)*TPK%CO2(:)
!
!PTERMS(SO2,KTC14) = -KTC14*<SO2>
 PTERMS(:,13,379) = -TPK%KTC14(:)*PCONC(:,13)
!
!PTERMS(WC_SO2,KTC14) = +KTC14*<SO2>
 PTERMS(:,101,379) = +TPK%KTC14(:)*PCONC(:,13)
!
!PTERMS(H2SO4,KTC15) = -KTC15*<H2SO4>
 PTERMS(:,14,380) = -TPK%KTC15(:)*PCONC(:,14)
!
!PTERMS(WC_H2SO4,KTC15) = +KTC15*<H2SO4>
 PTERMS(:,102,380) = +TPK%KTC15(:)*PCONC(:,14)
!
!PTERMS(RO21,KTC16) = -KTC16*<RO21>
 PTERMS(:,86,381) = -TPK%KTC16(:)*PCONC(:,86)
!
!PTERMS(WC_RO21,KTC16) = +KTC16*<RO21>
 PTERMS(:,103,381) = +TPK%KTC16(:)*PCONC(:,86)
!
!PTERMS(RO25,KTC17) = -KTC17*<RO25>
 PTERMS(:,87,382) = -TPK%KTC17(:)*PCONC(:,87)
!
!
RETURN
END SUBROUTINE SUBT60
!
SUBROUTINE SUBT61
!
!Indices 1221 a 1240
!
!PTERMS(WC_RO25,KTC17) = +KTC17*<RO25>
 PTERMS(:,104,382) = +TPK%KTC17(:)*PCONC(:,87)
!
!PTERMS(MEOH,KTC18) = -KTC18*<MEOH>
 PTERMS(:,32,383) = -TPK%KTC18(:)*PCONC(:,32)
!
!PTERMS(WC_MEOH,KTC18) = +KTC18*<MEOH>
 PTERMS(:,105,383) = +TPK%KTC18(:)*PCONC(:,32)
!
!PTERMS(ETOH,KTC19) = -KTC19*<ETOH>
 PTERMS(:,33,384) = -TPK%KTC19(:)*PCONC(:,33)
!
!PTERMS(WC_ETOH,KTC19) = +KTC19*<ETOH>
 PTERMS(:,106,384) = +TPK%KTC19(:)*PCONC(:,33)
!
!PTERMS(ALCH,KTC20) = -KTC20*<ALCH>
 PTERMS(:,34,385) = -TPK%KTC20(:)*PCONC(:,34)
!
!PTERMS(WC_ALCH,KTC20) = +KTC20*<ALCH>
 PTERMS(:,107,385) = +TPK%KTC20(:)*PCONC(:,34)
!
!PTERMS(HCHO,KTC21) = -KTC21*<HCHO>
 PTERMS(:,28,386) = -TPK%KTC21(:)*PCONC(:,28)
!
!PTERMS(WC_HCHO,KTC21) = +KTC21*<HCHO>
 PTERMS(:,108,386) = +TPK%KTC21(:)*PCONC(:,28)
!
!PTERMS(ALD2,KTC22) = -KTC22*<ALD2>
 PTERMS(:,29,387) = -TPK%KTC22(:)*PCONC(:,29)
!
!PTERMS(WC_ALD2,KTC22) = +KTC22*<ALD2>
 PTERMS(:,109,387) = +TPK%KTC22(:)*PCONC(:,29)
!
!PTERMS(GLY,KTC23) = -KTC23*<GLY>
 PTERMS(:,42,388) = -TPK%KTC23(:)*PCONC(:,42)
!
!PTERMS(WC_GLY,KTC23) = +KTC23*<GLY>
 PTERMS(:,110,388) = +TPK%KTC23(:)*PCONC(:,42)
!
!PTERMS(KETL,KTC24) = -KTC24*<KETL>
 PTERMS(:,30,389) = -TPK%KTC24(:)*PCONC(:,30)
!
!PTERMS(WC_KETL,KTC24) = +KTC24*<KETL>
 PTERMS(:,112,389) = +TPK%KTC24(:)*PCONC(:,30)
!
!PTERMS(MGLY,KTC25) = -KTC25*<MGLY>
 PTERMS(:,41,390) = -TPK%KTC25(:)*PCONC(:,41)
!
!PTERMS(WC_MGLY,KTC25) = +KTC25*<MGLY>
 PTERMS(:,111,390) = +TPK%KTC25(:)*PCONC(:,41)
!
!PTERMS(ORA1,KTC26) = -KTC26*<ORA1>
 PTERMS(:,43,391) = -TPK%KTC26(:)*PCONC(:,43)
!
!PTERMS(WC_ORA1,KTC26) = +KTC26*<ORA1>
 PTERMS(:,113,391) = +TPK%KTC26(:)*PCONC(:,43)
!
!PTERMS(ORA2,KTC27) = -KTC27*<ORA2>
 PTERMS(:,44,392) = -TPK%KTC27(:)*PCONC(:,44)
!
!
RETURN
END SUBROUTINE SUBT61
!
SUBROUTINE SUBT62
!
!Indices 1241 a 1260
!
!PTERMS(WC_ORA2,KTC27) = +KTC27*<ORA2>
 PTERMS(:,114,392) = +TPK%KTC27(:)*PCONC(:,44)
!
!PTERMS(ACID,KTC28) = -KTC28*<ACID>
 PTERMS(:,45,393) = -TPK%KTC28(:)*PCONC(:,45)
!
!PTERMS(WC_ACID,KTC28) = +KTC28*<ACID>
 PTERMS(:,115,393) = +TPK%KTC28(:)*PCONC(:,45)
!
!PTERMS(RP16,KTC29) = -KTC29*<RP16>
 PTERMS(:,74,394) = -TPK%KTC29(:)*PCONC(:,74)
!
!PTERMS(WC_RP16,KTC29) = +KTC29*<RP16>
 PTERMS(:,116,394) = +TPK%KTC29(:)*PCONC(:,74)
!
!PTERMS(UR21,KTC30) = -KTC30*<UR21>
 PTERMS(:,47,395) = -TPK%KTC30(:)*PCONC(:,47)
!
!PTERMS(WC_UR21,KTC30) = +KTC30*<UR21>
 PTERMS(:,117,395) = +TPK%KTC30(:)*PCONC(:,47)
!
!PTERMS(UR28,KTC31) = -KTC31*<UR28>
 PTERMS(:,46,396) = -TPK%KTC31(:)*PCONC(:,46)
!
!PTERMS(WC_UR28,KTC31) = +KTC31*<UR28>
 PTERMS(:,118,396) = +TPK%KTC31(:)*PCONC(:,46)
!
!PTERMS(O3,KTC32) = +KTC32*<WC_O3>
 PTERMS(:,3,397) = +TPK%KTC32(:)*PCONC(:,88)
!
!PTERMS(WC_O3,KTC32) = -KTC32*<WC_O3>
 PTERMS(:,88,397) = -TPK%KTC32(:)*PCONC(:,88)
!
!PTERMS(H2O2,KTC33) = +KTC33*<WC_H2O2>
 PTERMS(:,12,398) = +TPK%KTC33(:)*PCONC(:,89)
!
!PTERMS(WC_H2O2,KTC33) = -KTC33*<WC_H2O2>
 PTERMS(:,89,398) = -TPK%KTC33(:)*PCONC(:,89)
!
!PTERMS(NO,KTC34) = +KTC34*<WC_NO>
 PTERMS(:,1,399) = +TPK%KTC34(:)*PCONC(:,90)
!
!PTERMS(WC_NO,KTC34) = -KTC34*<WC_NO>
 PTERMS(:,90,399) = -TPK%KTC34(:)*PCONC(:,90)
!
!PTERMS(NO2,KTC35) = +KTC35*<WC_NO2>
 PTERMS(:,2,400) = +TPK%KTC35(:)*PCONC(:,91)
!
!PTERMS(WC_NO2,KTC35) = -KTC35*<WC_NO2>
 PTERMS(:,91,400) = -TPK%KTC35(:)*PCONC(:,91)
!
!PTERMS(NO3,KTC36) = +KTC36*<WC_NO3>
 PTERMS(:,8,401) = +TPK%KTC36(:)*PCONC(:,92)
!
!PTERMS(WC_NO3,KTC36) = -KTC36*<WC_NO3>
 PTERMS(:,92,401) = -TPK%KTC36(:)*PCONC(:,92)
!
!PTERMS(N2O5,KTC37) = +KTC37*<WC_N2O5>
 PTERMS(:,7,402) = +TPK%KTC37(:)*PCONC(:,93)
!
!
RETURN
END SUBROUTINE SUBT62
!
SUBROUTINE SUBT63
!
!Indices 1261 a 1280
!
!PTERMS(WC_N2O5,KTC37) = -KTC37*<WC_N2O5>
 PTERMS(:,93,402) = -TPK%KTC37(:)*PCONC(:,93)
!
!PTERMS(HONO,KTC38) = +KTC38*<WC_HONO>
 PTERMS(:,4,403) = +TPK%KTC38(:)*PCONC(:,94)
!
!PTERMS(WC_HONO,KTC38) = -KTC38*<WC_HONO>
 PTERMS(:,94,403) = -TPK%KTC38(:)*PCONC(:,94)
!
!PTERMS(HNO3,KTC39) = +KTC39*<WC_HNO3>
 PTERMS(:,5,404) = +TPK%KTC39(:)*PCONC(:,95)
!
!PTERMS(WC_HNO3,KTC39) = -KTC39*<WC_HNO3>
 PTERMS(:,95,404) = -TPK%KTC39(:)*PCONC(:,95)
!
!PTERMS(HNO4,KTC40) = +KTC40*<WC_HNO4>
 PTERMS(:,6,405) = +TPK%KTC40(:)*PCONC(:,96)
!
!PTERMS(WC_HNO4,KTC40) = -KTC40*<WC_HNO4>
 PTERMS(:,96,405) = -TPK%KTC40(:)*PCONC(:,96)
!
!PTERMS(NH3,KTC41) = +KTC41*<WC_NH3>
 PTERMS(:,9,406) = +TPK%KTC41(:)*PCONC(:,97)
!
!PTERMS(WC_NH3,KTC41) = -KTC41*<WC_NH3>
 PTERMS(:,97,406) = -TPK%KTC41(:)*PCONC(:,97)
!
!PTERMS(OH,KTC42) = +KTC42*<WC_OH>
 PTERMS(:,15,407) = +TPK%KTC42(:)*PCONC(:,98)
!
!PTERMS(WC_OH,KTC42) = -KTC42*<WC_OH>
 PTERMS(:,98,407) = -TPK%KTC42(:)*PCONC(:,98)
!
!PTERMS(HO2,KTC43) = +KTC43*<WC_HO2>
 PTERMS(:,10,408) = +TPK%KTC43(:)*PCONC(:,99)
!
!PTERMS(WC_HO2,KTC43) = -KTC43*<WC_HO2>
 PTERMS(:,99,408) = -TPK%KTC43(:)*PCONC(:,99)
!
!PTERMS(WC_CO2,KTC44) = -KTC44*<WC_CO2>
 PTERMS(:,100,409) = -TPK%KTC44(:)*PCONC(:,100)
!
!PTERMS(SO2,KTC45) = +KTC45*<WC_SO2>
 PTERMS(:,13,410) = +TPK%KTC45(:)*PCONC(:,101)
!
!PTERMS(WC_SO2,KTC45) = -KTC45*<WC_SO2>
 PTERMS(:,101,410) = -TPK%KTC45(:)*PCONC(:,101)
!
!PTERMS(H2SO4,KTC46) = +KTC46*<WC_H2SO4>
 PTERMS(:,14,411) = +TPK%KTC46(:)*PCONC(:,102)
!
!PTERMS(WC_H2SO4,KTC46) = -KTC46*<WC_H2SO4>
 PTERMS(:,102,411) = -TPK%KTC46(:)*PCONC(:,102)
!
!PTERMS(RO21,KTC47) = +KTC47*<WC_RO21>
 PTERMS(:,86,412) = +TPK%KTC47(:)*PCONC(:,103)
!
!PTERMS(WC_RO21,KTC47) = -KTC47*<WC_RO21>
 PTERMS(:,103,412) = -TPK%KTC47(:)*PCONC(:,103)
!
!
RETURN
END SUBROUTINE SUBT63
!
SUBROUTINE SUBT64
!
!Indices 1281 a 1300
!
!PTERMS(RO25,KTC48) = +KTC48*<WC_RO25>
 PTERMS(:,87,413) = +TPK%KTC48(:)*PCONC(:,104)
!
!PTERMS(WC_RO25,KTC48) = -KTC48*<WC_RO25>
 PTERMS(:,104,413) = -TPK%KTC48(:)*PCONC(:,104)
!
!PTERMS(MEOH,KTC49) = +KTC49*<WC_MEOH>
 PTERMS(:,32,414) = +TPK%KTC49(:)*PCONC(:,105)
!
!PTERMS(WC_MEOH,KTC49) = -KTC49*<WC_MEOH>
 PTERMS(:,105,414) = -TPK%KTC49(:)*PCONC(:,105)
!
!PTERMS(ETOH,KTC50) = +KTC50*<WC_ETOH>
 PTERMS(:,33,415) = +TPK%KTC50(:)*PCONC(:,106)
!
!PTERMS(WC_ETOH,KTC50) = -KTC50*<WC_ETOH>
 PTERMS(:,106,415) = -TPK%KTC50(:)*PCONC(:,106)
!
!PTERMS(ALCH,KTC51) = +KTC51*<WC_ALCH>
 PTERMS(:,34,416) = +TPK%KTC51(:)*PCONC(:,107)
!
!PTERMS(WC_ALCH,KTC51) = -KTC51*<WC_ALCH>
 PTERMS(:,107,416) = -TPK%KTC51(:)*PCONC(:,107)
!
!PTERMS(HCHO,KTC52) = +KTC52*<WC_HCHO>
 PTERMS(:,28,417) = +TPK%KTC52(:)*PCONC(:,108)
!
!PTERMS(WC_HCHO,KTC52) = -KTC52*<WC_HCHO>
 PTERMS(:,108,417) = -TPK%KTC52(:)*PCONC(:,108)
!
!PTERMS(ALD2,KTC53) = +KTC53*<WC_ALD2>
 PTERMS(:,29,418) = +TPK%KTC53(:)*PCONC(:,109)
!
!PTERMS(WC_ALD2,KTC53) = -KTC53*<WC_ALD2>
 PTERMS(:,109,418) = -TPK%KTC53(:)*PCONC(:,109)
!
!PTERMS(GLY,KTC54) = +KTC54*<WC_GLY>
 PTERMS(:,42,419) = +TPK%KTC54(:)*PCONC(:,110)
!
!PTERMS(WC_GLY,KTC54) = -KTC54*<WC_GLY>
 PTERMS(:,110,419) = -TPK%KTC54(:)*PCONC(:,110)
!
!PTERMS(KETL,KTC55) = +KTC55*<WC_KETL>
 PTERMS(:,30,420) = +TPK%KTC55(:)*PCONC(:,112)
!
!PTERMS(WC_KETL,KTC55) = -KTC55*<WC_KETL>
 PTERMS(:,112,420) = -TPK%KTC55(:)*PCONC(:,112)
!
!PTERMS(MGLY,KTC56) = +KTC56*<WC_MGLY>
 PTERMS(:,41,421) = +TPK%KTC56(:)*PCONC(:,111)
!
!PTERMS(WC_MGLY,KTC56) = -KTC56*<WC_MGLY>
 PTERMS(:,111,421) = -TPK%KTC56(:)*PCONC(:,111)
!
!PTERMS(ORA1,KTC57) = +KTC57*<WC_ORA1>
 PTERMS(:,43,422) = +TPK%KTC57(:)*PCONC(:,113)
!
!PTERMS(WC_ORA1,KTC57) = -KTC57*<WC_ORA1>
 PTERMS(:,113,422) = -TPK%KTC57(:)*PCONC(:,113)
!
!
RETURN
END SUBROUTINE SUBT64
!
SUBROUTINE SUBT65
!
!Indices 1301 a 1320
!
!PTERMS(ORA2,KTC58) = +KTC58*<WC_ORA2>
 PTERMS(:,44,423) = +TPK%KTC58(:)*PCONC(:,114)
!
!PTERMS(WC_ORA2,KTC58) = -KTC58*<WC_ORA2>
 PTERMS(:,114,423) = -TPK%KTC58(:)*PCONC(:,114)
!
!PTERMS(ACID,KTC59) = +KTC59*<WC_ACID>
 PTERMS(:,45,424) = +TPK%KTC59(:)*PCONC(:,115)
!
!PTERMS(WC_ACID,KTC59) = -KTC59*<WC_ACID>
 PTERMS(:,115,424) = -TPK%KTC59(:)*PCONC(:,115)
!
!PTERMS(RP16,KTC60) = +KTC60*<WC_RP16>
 PTERMS(:,74,425) = +TPK%KTC60(:)*PCONC(:,116)
!
!PTERMS(WC_RP16,KTC60) = -KTC60*<WC_RP16>
 PTERMS(:,116,425) = -TPK%KTC60(:)*PCONC(:,116)
!
!PTERMS(UR21,KTC61) = +KTC61*<WC_UR21>
 PTERMS(:,47,426) = +TPK%KTC61(:)*PCONC(:,117)
!
!PTERMS(WC_UR21,KTC61) = -KTC61*<WC_UR21>
 PTERMS(:,117,426) = -TPK%KTC61(:)*PCONC(:,117)
!
!PTERMS(UR28,KTC62) = +KTC62*<WC_UR28>
 PTERMS(:,46,427) = +TPK%KTC62(:)*PCONC(:,118)
!
!PTERMS(WC_UR28,KTC62) = -KTC62*<WC_UR28>
 PTERMS(:,118,427) = -TPK%KTC62(:)*PCONC(:,118)
!
!PTERMS(O3,KTR1) = -KTR1*<O3>
 PTERMS(:,3,428) = -TPK%KTR1(:)*PCONC(:,3)
!
!PTERMS(WR_O3,KTR1) = +KTR1*<O3>
 PTERMS(:,125,428) = +TPK%KTR1(:)*PCONC(:,3)
!
!PTERMS(H2O2,KTR2) = -KTR2*<H2O2>
 PTERMS(:,12,429) = -TPK%KTR2(:)*PCONC(:,12)
!
!PTERMS(WR_H2O2,KTR2) = +KTR2*<H2O2>
 PTERMS(:,126,429) = +TPK%KTR2(:)*PCONC(:,12)
!
!PTERMS(NO,KTR3) = -KTR3*<NO>
 PTERMS(:,1,430) = -TPK%KTR3(:)*PCONC(:,1)
!
!PTERMS(WR_NO,KTR3) = +KTR3*<NO>
 PTERMS(:,127,430) = +TPK%KTR3(:)*PCONC(:,1)
!
!PTERMS(NO2,KTR4) = -KTR4*<NO2>
 PTERMS(:,2,431) = -TPK%KTR4(:)*PCONC(:,2)
!
!PTERMS(WR_NO2,KTR4) = +KTR4*<NO2>
 PTERMS(:,128,431) = +TPK%KTR4(:)*PCONC(:,2)
!
!PTERMS(NO3,KTR5) = -KTR5*<NO3>
 PTERMS(:,8,432) = -TPK%KTR5(:)*PCONC(:,8)
!
!PTERMS(WR_NO3,KTR5) = +KTR5*<NO3>
 PTERMS(:,129,432) = +TPK%KTR5(:)*PCONC(:,8)
!
!
RETURN
END SUBROUTINE SUBT65
!
SUBROUTINE SUBT66
!
!Indices 1321 a 1340
!
!PTERMS(N2O5,KTR6) = -KTR6*<N2O5>
 PTERMS(:,7,433) = -TPK%KTR6(:)*PCONC(:,7)
!
!PTERMS(WR_N2O5,KTR6) = +KTR6*<N2O5>
 PTERMS(:,130,433) = +TPK%KTR6(:)*PCONC(:,7)
!
!PTERMS(HONO,KTR7) = -KTR7*<HONO>
 PTERMS(:,4,434) = -TPK%KTR7(:)*PCONC(:,4)
!
!PTERMS(WR_HONO,KTR7) = +KTR7*<HONO>
 PTERMS(:,131,434) = +TPK%KTR7(:)*PCONC(:,4)
!
!PTERMS(HNO3,KTR8) = -KTR8*<HNO3>
 PTERMS(:,5,435) = -TPK%KTR8(:)*PCONC(:,5)
!
!PTERMS(WR_HNO3,KTR8) = +KTR8*<HNO3>
 PTERMS(:,132,435) = +TPK%KTR8(:)*PCONC(:,5)
!
!PTERMS(HNO4,KTR9) = -KTR9*<HNO4>
 PTERMS(:,6,436) = -TPK%KTR9(:)*PCONC(:,6)
!
!PTERMS(WR_HNO4,KTR9) = +KTR9*<HNO4>
 PTERMS(:,133,436) = +TPK%KTR9(:)*PCONC(:,6)
!
!PTERMS(NH3,KTR10) = -KTR10*<NH3>
 PTERMS(:,9,437) = -TPK%KTR10(:)*PCONC(:,9)
!
!PTERMS(WR_NH3,KTR10) = +KTR10*<NH3>
 PTERMS(:,134,437) = +TPK%KTR10(:)*PCONC(:,9)
!
!PTERMS(OH,KTR11) = -KTR11*<OH>
 PTERMS(:,15,438) = -TPK%KTR11(:)*PCONC(:,15)
!
!PTERMS(WR_OH,KTR11) = +KTR11*<OH>
 PTERMS(:,135,438) = +TPK%KTR11(:)*PCONC(:,15)
!
!PTERMS(HO2,KTR12) = -KTR12*<HO2>
 PTERMS(:,10,439) = -TPK%KTR12(:)*PCONC(:,10)
!
!PTERMS(WR_HO2,KTR12) = +KTR12*<HO2>
 PTERMS(:,136,439) = +TPK%KTR12(:)*PCONC(:,10)
!
!PTERMS(WR_CO2,KTR13) = +KTR13*<CO2>
 PTERMS(:,137,440) = +TPK%KTR13(:)*TPK%CO2(:)
!
!PTERMS(SO2,KTR14) = -KTR14*<SO2>
 PTERMS(:,13,441) = -TPK%KTR14(:)*PCONC(:,13)
!
!PTERMS(WR_SO2,KTR14) = +KTR14*<SO2>
 PTERMS(:,138,441) = +TPK%KTR14(:)*PCONC(:,13)
!
!PTERMS(H2SO4,KTR15) = -KTR15*<H2SO4>
 PTERMS(:,14,442) = -TPK%KTR15(:)*PCONC(:,14)
!
!PTERMS(WR_H2SO4,KTR15) = +KTR15*<H2SO4>
 PTERMS(:,139,442) = +TPK%KTR15(:)*PCONC(:,14)
!
!PTERMS(RO21,KTR16) = -KTR16*<RO21>
 PTERMS(:,86,443) = -TPK%KTR16(:)*PCONC(:,86)
!
!
RETURN
END SUBROUTINE SUBT66
!
SUBROUTINE SUBT67
!
!Indices 1341 a 1360
!
!PTERMS(WR_RO21,KTR16) = +KTR16*<RO21>
 PTERMS(:,140,443) = +TPK%KTR16(:)*PCONC(:,86)
!
!PTERMS(RO25,KTR17) = -KTR17*<RO25>
 PTERMS(:,87,444) = -TPK%KTR17(:)*PCONC(:,87)
!
!PTERMS(WR_RO25,KTR17) = +KTR17*<RO25>
 PTERMS(:,141,444) = +TPK%KTR17(:)*PCONC(:,87)
!
!PTERMS(MEOH,KTR18) = -KTR18*<MEOH>
 PTERMS(:,32,445) = -TPK%KTR18(:)*PCONC(:,32)
!
!PTERMS(WR_MEOH,KTR18) = +KTR18*<MEOH>
 PTERMS(:,142,445) = +TPK%KTR18(:)*PCONC(:,32)
!
!PTERMS(ETOH,KTR19) = -KTR19*<ETOH>
 PTERMS(:,33,446) = -TPK%KTR19(:)*PCONC(:,33)
!
!PTERMS(WR_ETOH,KTR19) = +KTR19*<ETOH>
 PTERMS(:,143,446) = +TPK%KTR19(:)*PCONC(:,33)
!
!PTERMS(ALCH,KTR20) = -KTR20*<ALCH>
 PTERMS(:,34,447) = -TPK%KTR20(:)*PCONC(:,34)
!
!PTERMS(WR_ALCH,KTR20) = +KTR20*<ALCH>
 PTERMS(:,144,447) = +TPK%KTR20(:)*PCONC(:,34)
!
!PTERMS(HCHO,KTR21) = -KTR21*<HCHO>
 PTERMS(:,28,448) = -TPK%KTR21(:)*PCONC(:,28)
!
!PTERMS(WR_HCHO,KTR21) = +KTR21*<HCHO>
 PTERMS(:,145,448) = +TPK%KTR21(:)*PCONC(:,28)
!
!PTERMS(ALD2,KTR22) = -KTR22*<ALD2>
 PTERMS(:,29,449) = -TPK%KTR22(:)*PCONC(:,29)
!
!PTERMS(WR_ALD2,KTR22) = +KTR22*<ALD2>
 PTERMS(:,146,449) = +TPK%KTR22(:)*PCONC(:,29)
!
!PTERMS(GLY,KTR23) = -KTR23*<GLY>
 PTERMS(:,42,450) = -TPK%KTR23(:)*PCONC(:,42)
!
!PTERMS(WR_GLY,KTR23) = +KTR23*<GLY>
 PTERMS(:,147,450) = +TPK%KTR23(:)*PCONC(:,42)
!
!PTERMS(KETL,KTR24) = -KTR24*<KETL>
 PTERMS(:,30,451) = -TPK%KTR24(:)*PCONC(:,30)
!
!PTERMS(WR_KETL,KTR24) = +KTR24*<KETL>
 PTERMS(:,149,451) = +TPK%KTR24(:)*PCONC(:,30)
!
!PTERMS(MGLY,KTR25) = -KTR25*<MGLY>
 PTERMS(:,41,452) = -TPK%KTR25(:)*PCONC(:,41)
!
!PTERMS(WR_MGLY,KTR25) = +KTR25*<MGLY>
 PTERMS(:,148,452) = +TPK%KTR25(:)*PCONC(:,41)
!
!PTERMS(ORA1,KTR26) = -KTR26*<ORA1>
 PTERMS(:,43,453) = -TPK%KTR26(:)*PCONC(:,43)
!
!
RETURN
END SUBROUTINE SUBT67
!
SUBROUTINE SUBT68
!
!Indices 1361 a 1380
!
!PTERMS(WR_ORA1,KTR26) = +KTR26*<ORA1>
 PTERMS(:,150,453) = +TPK%KTR26(:)*PCONC(:,43)
!
!PTERMS(ORA2,KTR27) = -KTR27*<ORA2>
 PTERMS(:,44,454) = -TPK%KTR27(:)*PCONC(:,44)
!
!PTERMS(WR_ORA2,KTR27) = +KTR27*<ORA2>
 PTERMS(:,151,454) = +TPK%KTR27(:)*PCONC(:,44)
!
!PTERMS(ACID,KTR28) = -KTR28*<ACID>
 PTERMS(:,45,455) = -TPK%KTR28(:)*PCONC(:,45)
!
!PTERMS(WR_ACID,KTR28) = +KTR28*<ACID>
 PTERMS(:,152,455) = +TPK%KTR28(:)*PCONC(:,45)
!
!PTERMS(RP16,KTR29) = -KTR29*<RP16>
 PTERMS(:,74,456) = -TPK%KTR29(:)*PCONC(:,74)
!
!PTERMS(WR_RP16,KTR29) = +KTR29*<RP16>
 PTERMS(:,153,456) = +TPK%KTR29(:)*PCONC(:,74)
!
!PTERMS(UR21,KTR30) = -KTR30*<UR21>
 PTERMS(:,47,457) = -TPK%KTR30(:)*PCONC(:,47)
!
!PTERMS(WR_UR21,KTR30) = +KTR30*<UR21>
 PTERMS(:,154,457) = +TPK%KTR30(:)*PCONC(:,47)
!
!PTERMS(UR28,KTR31) = -KTR31*<UR28>
 PTERMS(:,46,458) = -TPK%KTR31(:)*PCONC(:,46)
!
!PTERMS(WR_UR28,KTR31) = +KTR31*<UR28>
 PTERMS(:,155,458) = +TPK%KTR31(:)*PCONC(:,46)
!
!PTERMS(O3,KTR32) = +KTR32*<WR_O3>
 PTERMS(:,3,459) = +TPK%KTR32(:)*PCONC(:,125)
!
!PTERMS(WR_O3,KTR32) = -KTR32*<WR_O3>
 PTERMS(:,125,459) = -TPK%KTR32(:)*PCONC(:,125)
!
!PTERMS(H2O2,KTR33) = +KTR33*<WR_H2O2>
 PTERMS(:,12,460) = +TPK%KTR33(:)*PCONC(:,126)
!
!PTERMS(WR_H2O2,KTR33) = -KTR33*<WR_H2O2>
 PTERMS(:,126,460) = -TPK%KTR33(:)*PCONC(:,126)
!
!PTERMS(NO,KTR34) = +KTR34*<WR_NO>
 PTERMS(:,1,461) = +TPK%KTR34(:)*PCONC(:,127)
!
!PTERMS(WR_NO,KTR34) = -KTR34*<WR_NO>
 PTERMS(:,127,461) = -TPK%KTR34(:)*PCONC(:,127)
!
!PTERMS(NO2,KTR35) = +KTR35*<WR_NO2>
 PTERMS(:,2,462) = +TPK%KTR35(:)*PCONC(:,128)
!
!PTERMS(WR_NO2,KTR35) = -KTR35*<WR_NO2>
 PTERMS(:,128,462) = -TPK%KTR35(:)*PCONC(:,128)
!
!PTERMS(NO3,KTR36) = +KTR36*<WR_NO3>
 PTERMS(:,8,463) = +TPK%KTR36(:)*PCONC(:,129)
!
!
RETURN
END SUBROUTINE SUBT68
!
SUBROUTINE SUBT69
!
!Indices 1381 a 1400
!
!PTERMS(WR_NO3,KTR36) = -KTR36*<WR_NO3>
 PTERMS(:,129,463) = -TPK%KTR36(:)*PCONC(:,129)
!
!PTERMS(N2O5,KTR37) = +KTR37*<WR_N2O5>
 PTERMS(:,7,464) = +TPK%KTR37(:)*PCONC(:,130)
!
!PTERMS(WR_N2O5,KTR37) = -KTR37*<WR_N2O5>
 PTERMS(:,130,464) = -TPK%KTR37(:)*PCONC(:,130)
!
!PTERMS(HONO,KTR38) = +KTR38*<WR_HONO>
 PTERMS(:,4,465) = +TPK%KTR38(:)*PCONC(:,131)
!
!PTERMS(WR_HONO,KTR38) = -KTR38*<WR_HONO>
 PTERMS(:,131,465) = -TPK%KTR38(:)*PCONC(:,131)
!
!PTERMS(HNO3,KTR39) = +KTR39*<WR_HNO3>
 PTERMS(:,5,466) = +TPK%KTR39(:)*PCONC(:,132)
!
!PTERMS(WR_HNO3,KTR39) = -KTR39*<WR_HNO3>
 PTERMS(:,132,466) = -TPK%KTR39(:)*PCONC(:,132)
!
!PTERMS(HNO4,KTR40) = +KTR40*<WR_HNO4>
 PTERMS(:,6,467) = +TPK%KTR40(:)*PCONC(:,133)
!
!PTERMS(WR_HNO4,KTR40) = -KTR40*<WR_HNO4>
 PTERMS(:,133,467) = -TPK%KTR40(:)*PCONC(:,133)
!
!PTERMS(NH3,KTR41) = +KTR41*<WR_NH3>
 PTERMS(:,9,468) = +TPK%KTR41(:)*PCONC(:,134)
!
!PTERMS(WR_NH3,KTR41) = -KTR41*<WR_NH3>
 PTERMS(:,134,468) = -TPK%KTR41(:)*PCONC(:,134)
!
!PTERMS(OH,KTR42) = +KTR42*<WR_OH>
 PTERMS(:,15,469) = +TPK%KTR42(:)*PCONC(:,135)
!
!PTERMS(WR_OH,KTR42) = -KTR42*<WR_OH>
 PTERMS(:,135,469) = -TPK%KTR42(:)*PCONC(:,135)
!
!PTERMS(HO2,KTR43) = +KTR43*<WR_HO2>
 PTERMS(:,10,470) = +TPK%KTR43(:)*PCONC(:,136)
!
!PTERMS(WR_HO2,KTR43) = -KTR43*<WR_HO2>
 PTERMS(:,136,470) = -TPK%KTR43(:)*PCONC(:,136)
!
!PTERMS(WR_CO2,KTR44) = -KTR44*<WR_CO2>
 PTERMS(:,137,471) = -TPK%KTR44(:)*PCONC(:,137)
!
!PTERMS(SO2,KTR45) = +KTR45*<WR_SO2>
 PTERMS(:,13,472) = +TPK%KTR45(:)*PCONC(:,138)
!
!PTERMS(WR_SO2,KTR45) = -KTR45*<WR_SO2>
 PTERMS(:,138,472) = -TPK%KTR45(:)*PCONC(:,138)
!
!PTERMS(H2SO4,KTR46) = +KTR46*<WR_H2SO4>
 PTERMS(:,14,473) = +TPK%KTR46(:)*PCONC(:,139)
!
!PTERMS(WR_H2SO4,KTR46) = -KTR46*<WR_H2SO4>
 PTERMS(:,139,473) = -TPK%KTR46(:)*PCONC(:,139)
!
!
RETURN
END SUBROUTINE SUBT69
!
SUBROUTINE SUBT70
!
!Indices 1401 a 1420
!
!PTERMS(RO21,KTR47) = +KTR47*<WR_RO21>
 PTERMS(:,86,474) = +TPK%KTR47(:)*PCONC(:,140)
!
!PTERMS(WR_RO21,KTR47) = -KTR47*<WR_RO21>
 PTERMS(:,140,474) = -TPK%KTR47(:)*PCONC(:,140)
!
!PTERMS(RO25,KTR48) = +KTR48*<WR_RO25>
 PTERMS(:,87,475) = +TPK%KTR48(:)*PCONC(:,141)
!
!PTERMS(WR_RO25,KTR48) = -KTR48*<WR_RO25>
 PTERMS(:,141,475) = -TPK%KTR48(:)*PCONC(:,141)
!
!PTERMS(MEOH,KTR49) = +KTR49*<WR_MEOH>
 PTERMS(:,32,476) = +TPK%KTR49(:)*PCONC(:,142)
!
!PTERMS(WR_MEOH,KTR49) = -KTR49*<WR_MEOH>
 PTERMS(:,142,476) = -TPK%KTR49(:)*PCONC(:,142)
!
!PTERMS(ETOH,KTR50) = +KTR50*<WR_ETOH>
 PTERMS(:,33,477) = +TPK%KTR50(:)*PCONC(:,143)
!
!PTERMS(WR_ETOH,KTR50) = -KTR50*<WR_ETOH>
 PTERMS(:,143,477) = -TPK%KTR50(:)*PCONC(:,143)
!
!PTERMS(ALCH,KTR51) = +KTR51*<WR_ALCH>
 PTERMS(:,34,478) = +TPK%KTR51(:)*PCONC(:,144)
!
!PTERMS(WR_ALCH,KTR51) = -KTR51*<WR_ALCH>
 PTERMS(:,144,478) = -TPK%KTR51(:)*PCONC(:,144)
!
!PTERMS(HCHO,KTR52) = +KTR52*<WR_HCHO>
 PTERMS(:,28,479) = +TPK%KTR52(:)*PCONC(:,145)
!
!PTERMS(WR_HCHO,KTR52) = -KTR52*<WR_HCHO>
 PTERMS(:,145,479) = -TPK%KTR52(:)*PCONC(:,145)
!
!PTERMS(ALD2,KTR53) = +KTR53*<WR_ALD2>
 PTERMS(:,29,480) = +TPK%KTR53(:)*PCONC(:,146)
!
!PTERMS(WR_ALD2,KTR53) = -KTR53*<WR_ALD2>
 PTERMS(:,146,480) = -TPK%KTR53(:)*PCONC(:,146)
!
!PTERMS(GLY,KTR54) = +KTR54*<WR_GLY>
 PTERMS(:,42,481) = +TPK%KTR54(:)*PCONC(:,147)
!
!PTERMS(WR_GLY,KTR54) = -KTR54*<WR_GLY>
 PTERMS(:,147,481) = -TPK%KTR54(:)*PCONC(:,147)
!
!PTERMS(KETL,KTR55) = +KTR55*<WR_KETL>
 PTERMS(:,30,482) = +TPK%KTR55(:)*PCONC(:,149)
!
!PTERMS(WR_KETL,KTR55) = -KTR55*<WR_KETL>
 PTERMS(:,149,482) = -TPK%KTR55(:)*PCONC(:,149)
!
!PTERMS(MGLY,KTR56) = +KTR56*<WR_MGLY>
 PTERMS(:,41,483) = +TPK%KTR56(:)*PCONC(:,148)
!
!PTERMS(WR_MGLY,KTR56) = -KTR56*<WR_MGLY>
 PTERMS(:,148,483) = -TPK%KTR56(:)*PCONC(:,148)
!
!
RETURN
END SUBROUTINE SUBT70
!
SUBROUTINE SUBT71
!
!Indices 1421 a 1440
!
!PTERMS(ORA1,KTR57) = +KTR57*<WR_ORA1>
 PTERMS(:,43,484) = +TPK%KTR57(:)*PCONC(:,150)
!
!PTERMS(WR_ORA1,KTR57) = -KTR57*<WR_ORA1>
 PTERMS(:,150,484) = -TPK%KTR57(:)*PCONC(:,150)
!
!PTERMS(ORA2,KTR58) = +KTR58*<WR_ORA2>
 PTERMS(:,44,485) = +TPK%KTR58(:)*PCONC(:,151)
!
!PTERMS(WR_ORA2,KTR58) = -KTR58*<WR_ORA2>
 PTERMS(:,151,485) = -TPK%KTR58(:)*PCONC(:,151)
!
!PTERMS(ACID,KTR59) = +KTR59*<WR_ACID>
 PTERMS(:,45,486) = +TPK%KTR59(:)*PCONC(:,152)
!
!PTERMS(WR_ACID,KTR59) = -KTR59*<WR_ACID>
 PTERMS(:,152,486) = -TPK%KTR59(:)*PCONC(:,152)
!
!PTERMS(RP16,KTR60) = +KTR60*<WR_RP16>
 PTERMS(:,74,487) = +TPK%KTR60(:)*PCONC(:,153)
!
!PTERMS(WR_RP16,KTR60) = -KTR60*<WR_RP16>
 PTERMS(:,153,487) = -TPK%KTR60(:)*PCONC(:,153)
!
!PTERMS(UR21,KTR61) = +KTR61*<WR_UR21>
 PTERMS(:,47,488) = +TPK%KTR61(:)*PCONC(:,154)
!
!PTERMS(WR_UR21,KTR61) = -KTR61*<WR_UR21>
 PTERMS(:,154,488) = -TPK%KTR61(:)*PCONC(:,154)
!
!PTERMS(UR28,KTR62) = +KTR62*<WR_UR28>
 PTERMS(:,46,489) = +TPK%KTR62(:)*PCONC(:,155)
!
!PTERMS(WR_UR28,KTR62) = -KTR62*<WR_UR28>
 PTERMS(:,155,489) = -TPK%KTR62(:)*PCONC(:,155)
!
!PTERMS(WC_H2O2,KC1) = -KC1*<WC_H2O2>
 PTERMS(:,89,490) = -TPK%KC1(:)*PCONC(:,89)
!
!PTERMS(WC_OH,KC1) = +KC1*<WC_H2O2>
 PTERMS(:,98,490) = +TPK%KC1(:)*PCONC(:,89)
!
!PTERMS(WC_H2O2,KC2) = +KC2*<WC_OH>*<WC_OH>
 PTERMS(:,89,491) = +TPK%KC2(:)*PCONC(:,98)*PCONC(:,98)
!
!PTERMS(WC_OH,KC2) = -KC2*<WC_OH>*<WC_OH>
 PTERMS(:,98,491) = -TPK%KC2(:)*PCONC(:,98)*PCONC(:,98)
!
!PTERMS(WC_OH,KC3) = -KC3*<WC_HO2>*<WC_OH>
 PTERMS(:,98,492) = -TPK%KC3(:)*PCONC(:,99)*PCONC(:,98)
!
!PTERMS(WC_HO2,KC3) = -KC3*<WC_HO2>*<WC_OH>
 PTERMS(:,99,492) = -TPK%KC3(:)*PCONC(:,99)*PCONC(:,98)
!
!PTERMS(WC_H2O2,KC4) = -KC4*<WC_OH>*<WC_H2O2>
 PTERMS(:,89,493) = -TPK%KC4(:)*PCONC(:,98)*PCONC(:,89)
!
!PTERMS(WC_OH,KC4) = -KC4*<WC_OH>*<WC_H2O2>
 PTERMS(:,98,493) = -TPK%KC4(:)*PCONC(:,98)*PCONC(:,89)
!
!
RETURN
END SUBROUTINE SUBT71
!
SUBROUTINE SUBT72
!
!Indices 1441 a 1460
!
!PTERMS(WC_HO2,KC4) = +KC4*<WC_OH>*<WC_H2O2>
 PTERMS(:,99,493) = +TPK%KC4(:)*PCONC(:,98)*PCONC(:,89)
!
!PTERMS(WC_H2O2,KC5) = +KC5*<WC_HO2>*<WC_HO2>
 PTERMS(:,89,494) = +TPK%KC5(:)*PCONC(:,99)*PCONC(:,99)
!
!PTERMS(WC_HO2,KC5) = -KC5*<WC_HO2>*<WC_HO2>
 PTERMS(:,99,494) = -TPK%KC5(:)*PCONC(:,99)*PCONC(:,99)
!
!PTERMS(WC_O3,KC6) = -KC6*<WC_HO2>*<WC_O3>
 PTERMS(:,88,495) = -TPK%KC6(:)*PCONC(:,99)*PCONC(:,88)
!
!PTERMS(WC_OH,KC6) = +KC6*<WC_HO2>*<WC_O3>
 PTERMS(:,98,495) = +TPK%KC6(:)*PCONC(:,99)*PCONC(:,88)
!
!PTERMS(WC_HO2,KC6) = -KC6*<WC_HO2>*<WC_O3>
 PTERMS(:,99,495) = -TPK%KC6(:)*PCONC(:,99)*PCONC(:,88)
!
!PTERMS(WC_OH,KC7) = -KC7*<WC_SO2>*<WC_OH>
 PTERMS(:,98,496) = -TPK%KC7(:)*PCONC(:,101)*PCONC(:,98)
!
!PTERMS(WC_SO2,KC7) = -KC7*<WC_SO2>*<WC_OH>
 PTERMS(:,101,496) = -TPK%KC7(:)*PCONC(:,101)*PCONC(:,98)
!
!PTERMS(WC_ASO3,KC7) = +KC7*<WC_SO2>*<WC_OH>
 PTERMS(:,120,496) = +TPK%KC7(:)*PCONC(:,101)*PCONC(:,98)
!
!PTERMS(WC_NO2,KC8) = +KC8*<WC_OH>*<WC_HONO>
 PTERMS(:,91,497) = +TPK%KC8(:)*PCONC(:,98)*PCONC(:,94)
!
!PTERMS(WC_HONO,KC8) = -KC8*<WC_OH>*<WC_HONO>
 PTERMS(:,94,497) = -TPK%KC8(:)*PCONC(:,98)*PCONC(:,94)
!
!PTERMS(WC_OH,KC8) = -KC8*<WC_OH>*<WC_HONO>
 PTERMS(:,98,497) = -TPK%KC8(:)*PCONC(:,98)*PCONC(:,94)
!
!PTERMS(WC_NO2,KC9) = -KC9*<WC_HO2>*<WC_NO2>
 PTERMS(:,91,498) = -TPK%KC9(:)*PCONC(:,99)*PCONC(:,91)
!
!PTERMS(WC_HNO4,KC9) = +KC9*<WC_HO2>*<WC_NO2>
 PTERMS(:,96,498) = +TPK%KC9(:)*PCONC(:,99)*PCONC(:,91)
!
!PTERMS(WC_HO2,KC9) = -KC9*<WC_HO2>*<WC_NO2>
 PTERMS(:,99,498) = -TPK%KC9(:)*PCONC(:,99)*PCONC(:,91)
!
!PTERMS(WC_NO2,KC10) = +KC10*<WC_HNO4>
 PTERMS(:,91,499) = +TPK%KC10(:)*PCONC(:,96)
!
!PTERMS(WC_HNO4,KC10) = -KC10*<WC_HNO4>
 PTERMS(:,96,499) = -TPK%KC10(:)*PCONC(:,96)
!
!PTERMS(WC_HO2,KC10) = +KC10*<WC_HNO4>
 PTERMS(:,99,499) = +TPK%KC10(:)*PCONC(:,96)
!
!PTERMS(WC_HONO,KC11) = +KC11*<WC_HNO4>
 PTERMS(:,94,500) = +TPK%KC11(:)*PCONC(:,96)
!
!PTERMS(WC_HNO4,KC11) = -KC11*<WC_HNO4>
 PTERMS(:,96,500) = -TPK%KC11(:)*PCONC(:,96)
!
!
RETURN
END SUBROUTINE SUBT72
!
SUBROUTINE SUBT73
!
!Indices 1461 a 1480
!
!PTERMS(WC_HNO3,KC12) = +KC12*<WC_SO2>*<WC_HNO4>
 PTERMS(:,95,501) = +TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)
!
!PTERMS(WC_HNO4,KC12) = -KC12*<WC_SO2>*<WC_HNO4>
 PTERMS(:,96,501) = -TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)
!
!PTERMS(WC_SO2,KC12) = -KC12*<WC_SO2>*<WC_HNO4>
 PTERMS(:,101,501) = -TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)
!
!PTERMS(WC_H2SO4,KC12) = +KC12*<WC_SO2>*<WC_HNO4>
 PTERMS(:,102,501) = +TPK%KC12(:)*PCONC(:,101)*PCONC(:,96)
!
!PTERMS(WC_NO2,KC13) = +KC13*<WC_HNO3>
 PTERMS(:,91,502) = +TPK%KC13(:)*PCONC(:,95)
!
!PTERMS(WC_HNO3,KC13) = -KC13*<WC_HNO3>
 PTERMS(:,95,502) = -TPK%KC13(:)*PCONC(:,95)
!
!PTERMS(WC_OH,KC13) = +KC13*<WC_HNO3>
 PTERMS(:,98,502) = +TPK%KC13(:)*PCONC(:,95)
!
!PTERMS(WC_N2O5,KC14) = -KC14*<WC_N2O5>
 PTERMS(:,93,503) = -TPK%KC14(:)*PCONC(:,93)
!
!PTERMS(WC_HNO3,KC14) = +KC14*<WC_N2O5>
 PTERMS(:,95,503) = +TPK%KC14(:)*PCONC(:,93)
!
!PTERMS(WC_NO3,KC15) = -KC15*<WC_H2SO4>*<WC_NO3>
 PTERMS(:,92,504) = -TPK%KC15(:)*PCONC(:,102)*PCONC(:,92)
!
!PTERMS(WC_HNO3,KC15) = +KC15*<WC_H2SO4>*<WC_NO3>
 PTERMS(:,95,504) = +TPK%KC15(:)*PCONC(:,102)*PCONC(:,92)
!
!PTERMS(WC_H2SO4,KC15) = -KC15*<WC_H2SO4>*<WC_NO3>
 PTERMS(:,102,504) = -TPK%KC15(:)*PCONC(:,102)*PCONC(:,92)
!
!PTERMS(WC_ASO4,KC15) = +KC15*<WC_H2SO4>*<WC_NO3>
 PTERMS(:,121,504) = +TPK%KC15(:)*PCONC(:,102)*PCONC(:,92)
!
!PTERMS(WC_NO3,KC16) = -KC16*<WC_SO2>*<WC_NO3>
 PTERMS(:,92,505) = -TPK%KC16(:)*PCONC(:,101)*PCONC(:,92)
!
!PTERMS(WC_HNO3,KC16) = +KC16*<WC_SO2>*<WC_NO3>
 PTERMS(:,95,505) = +TPK%KC16(:)*PCONC(:,101)*PCONC(:,92)
!
!PTERMS(WC_SO2,KC16) = -KC16*<WC_SO2>*<WC_NO3>
 PTERMS(:,101,505) = -TPK%KC16(:)*PCONC(:,101)*PCONC(:,92)
!
!PTERMS(WC_ASO3,KC16) = +KC16*<WC_SO2>*<WC_NO3>
 PTERMS(:,120,505) = +TPK%KC16(:)*PCONC(:,101)*PCONC(:,92)
!
!PTERMS(WC_SO2,KC17) = -KC17*<WC_HCHO>*<WC_SO2>
 PTERMS(:,101,506) = -TPK%KC17(:)*PCONC(:,108)*PCONC(:,101)
!
!PTERMS(WC_HCHO,KC17) = -KC17*<WC_HCHO>*<WC_SO2>
 PTERMS(:,108,506) = -TPK%KC17(:)*PCONC(:,108)*PCONC(:,101)
!
!PTERMS(WC_AHMS,KC17) = +KC17*<WC_HCHO>*<WC_SO2>
 PTERMS(:,124,506) = +TPK%KC17(:)*PCONC(:,108)*PCONC(:,101)
!
!
RETURN
END SUBROUTINE SUBT73
!
SUBROUTINE SUBT74
!
!Indices 1481 a 1500
!
!PTERMS(WC_SO2,KC18) = +KC18*<WC_AHMS>
 PTERMS(:,101,507) = +TPK%KC18(:)*PCONC(:,124)
!
!PTERMS(WC_HCHO,KC18) = +KC18*<WC_AHMS>
 PTERMS(:,108,507) = +TPK%KC18(:)*PCONC(:,124)
!
!PTERMS(WC_AHMS,KC18) = -KC18*<WC_AHMS>
 PTERMS(:,124,507) = -TPK%KC18(:)*PCONC(:,124)
!
!PTERMS(WC_OH,KC19) = -KC19*<WC_OH>*<WC_AHMS>
 PTERMS(:,98,508) = -TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)
!
!PTERMS(WC_HO2,KC19) = +KC19*<WC_OH>*<WC_AHMS>
 PTERMS(:,99,508) = +TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)
!
!PTERMS(WC_SO2,KC19) = +KC19*<WC_OH>*<WC_AHMS>
 PTERMS(:,101,508) = +TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)
!
!PTERMS(WC_ORA1,KC19) = +KC19*<WC_OH>*<WC_AHMS>
 PTERMS(:,113,508) = +TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)
!
!PTERMS(WC_AHMS,KC19) = -KC19*<WC_OH>*<WC_AHMS>
 PTERMS(:,124,508) = -TPK%KC19(:)*PCONC(:,98)*PCONC(:,124)
!
!PTERMS(WC_ASO3,KC20) = -KC20*<W_O2>*<WC_ASO3>
 PTERMS(:,120,509) = -TPK%KC20(:)*TPK%W_O2(:)*PCONC(:,120)
!
!PTERMS(WC_ASO5,KC20) = +KC20*<W_O2>*<WC_ASO3>
 PTERMS(:,122,509) = +TPK%KC20(:)*TPK%W_O2(:)*PCONC(:,120)
!
!PTERMS(WC_HO2,KC21) = -KC21*<WC_HO2>*<WC_ASO5>
 PTERMS(:,99,510) = -TPK%KC21(:)*PCONC(:,99)*PCONC(:,122)
!
!PTERMS(WC_ASO5,KC21) = -KC21*<WC_HO2>*<WC_ASO5>
 PTERMS(:,122,510) = -TPK%KC21(:)*PCONC(:,99)*PCONC(:,122)
!
!PTERMS(WC_AHSO5,KC21) = +KC21*<WC_HO2>*<WC_ASO5>
 PTERMS(:,123,510) = +TPK%KC21(:)*PCONC(:,99)*PCONC(:,122)
!
!PTERMS(WC_ASO4,KC22) = +KC22*<WC_ASO5>*<WC_ASO5>
 PTERMS(:,121,511) = +TPK%KC22(:)*PCONC(:,122)*PCONC(:,122)
!
!PTERMS(WC_ASO5,KC22) = -KC22*<WC_ASO5>*<WC_ASO5>
 PTERMS(:,122,511) = -TPK%KC22(:)*PCONC(:,122)*PCONC(:,122)
!
!PTERMS(WC_SO2,KC23) = -KC23*<WC_SO2>*<WC_AHSO5>
 PTERMS(:,101,512) = -TPK%KC23(:)*PCONC(:,101)*PCONC(:,123)
!
!PTERMS(WC_H2SO4,KC23) = +2.00*KC23*<WC_SO2>*<WC_AHSO5>
 PTERMS(:,102,512) = +2.00*TPK%KC23(:)*PCONC(:,101)*PCONC(:,123)
!
!PTERMS(WC_AHSO5,KC23) = -KC23*<WC_SO2>*<WC_AHSO5>
 PTERMS(:,123,512) = -TPK%KC23(:)*PCONC(:,101)*PCONC(:,123)
!
!PTERMS(WC_OH,KC24) = +KC24*<WC_ASO4>
 PTERMS(:,98,513) = +TPK%KC24(:)*PCONC(:,121)
!
!PTERMS(WC_H2SO4,KC24) = +KC24*<WC_ASO4>
 PTERMS(:,102,513) = +TPK%KC24(:)*PCONC(:,121)
!
!
RETURN
END SUBROUTINE SUBT74
!
SUBROUTINE SUBT75
!
!Indices 1501 a 1520
!
!PTERMS(WC_ASO4,KC24) = -KC24*<WC_ASO4>
 PTERMS(:,121,513) = -TPK%KC24(:)*PCONC(:,121)
!
!PTERMS(WC_O3,KC25) = -KC25*<WC_O3>*<WC_SO2>
 PTERMS(:,88,514) = -TPK%KC25(:)*PCONC(:,88)*PCONC(:,101)
!
!PTERMS(WC_SO2,KC25) = -KC25*<WC_O3>*<WC_SO2>
 PTERMS(:,101,514) = -TPK%KC25(:)*PCONC(:,88)*PCONC(:,101)
!
!PTERMS(WC_H2SO4,KC25) = +KC25*<WC_O3>*<WC_SO2>
 PTERMS(:,102,514) = +TPK%KC25(:)*PCONC(:,88)*PCONC(:,101)
!
!PTERMS(WC_H2O2,KC26) = -KC26*<WC_H2O2>*<WC_SO2>
 PTERMS(:,89,515) = -TPK%KC26(:)*PCONC(:,89)*PCONC(:,101)
!
!PTERMS(WC_SO2,KC26) = -KC26*<WC_H2O2>*<WC_SO2>
 PTERMS(:,101,515) = -TPK%KC26(:)*PCONC(:,89)*PCONC(:,101)
!
!PTERMS(WC_H2SO4,KC26) = +KC26*<WC_H2O2>*<WC_SO2>
 PTERMS(:,102,515) = +TPK%KC26(:)*PCONC(:,89)*PCONC(:,101)
!
!PTERMS(WC_HO2,KC27) = +2.00*KC27*<WC_RO21>*<WC_RO21>
 PTERMS(:,99,516) = +2.00*TPK%KC27(:)*PCONC(:,103)*PCONC(:,103)
!
!PTERMS(WC_RO21,KC27) = -KC27*<WC_RO21>*<WC_RO21>
 PTERMS(:,103,516) = -TPK%KC27(:)*PCONC(:,103)*PCONC(:,103)
!
!PTERMS(WC_HCHO,KC27) = +2.00*KC27*<WC_RO21>*<WC_RO21>
 PTERMS(:,108,516) = +2.00*TPK%KC27(:)*PCONC(:,103)*PCONC(:,103)
!
!PTERMS(WC_SO2,KC28) = -KC28*<WC_SO2>*<WC_RO21>
 PTERMS(:,101,517) = -TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)
!
!PTERMS(WC_RO21,KC28) = -KC28*<WC_SO2>*<WC_RO21>
 PTERMS(:,103,517) = -TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)
!
!PTERMS(WC_HCHO,KC28) = +KC28*<WC_SO2>*<WC_RO21>
 PTERMS(:,108,517) = +TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)
!
!PTERMS(WC_ASO3,KC28) = +KC28*<WC_SO2>*<WC_RO21>
 PTERMS(:,120,517) = +TPK%KC28(:)*PCONC(:,101)*PCONC(:,103)
!
!PTERMS(WC_H2O2,KC29) = +KC29*<WC_RO25>*<WC_RO25>
 PTERMS(:,89,518) = +TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!
!PTERMS(WC_HO2,KC29) = +KC29*<WC_RO25>*<WC_RO25>
 PTERMS(:,99,518) = +TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!
!PTERMS(WC_RO25,KC29) = -KC29*<WC_RO25>*<WC_RO25>
 PTERMS(:,104,518) = -TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!
!PTERMS(WC_ALD2,KC29) = +KC29*<WC_RO25>*<WC_RO25>
 PTERMS(:,109,518) = +TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!
!PTERMS(WC_ORA2,KC29) = +KC29*<WC_RO25>*<WC_RO25>
 PTERMS(:,114,518) = +TPK%KC29(:)*PCONC(:,104)*PCONC(:,104)
!
!PTERMS(WC_OH,KC30) = -KC30*<WC_OH>*<WC_MEOH>
 PTERMS(:,98,519) = -TPK%KC30(:)*PCONC(:,98)*PCONC(:,105)
!
!
RETURN
END SUBROUTINE SUBT75
!
SUBROUTINE SUBT76
!
!Indices 1521 a 1540
!
!PTERMS(WC_HO2,KC30) = +KC30*<WC_OH>*<WC_MEOH>
 PTERMS(:,99,519) = +TPK%KC30(:)*PCONC(:,98)*PCONC(:,105)
!
!PTERMS(WC_MEOH,KC30) = -KC30*<WC_OH>*<WC_MEOH>
 PTERMS(:,105,519) = -TPK%KC30(:)*PCONC(:,98)*PCONC(:,105)
!
!PTERMS(WC_HCHO,KC30) = +KC30*<WC_OH>*<WC_MEOH>
 PTERMS(:,108,519) = +TPK%KC30(:)*PCONC(:,98)*PCONC(:,105)
!
!PTERMS(WC_OH,KC31) = -KC31*<WC_OH>*<WC_ETOH>
 PTERMS(:,98,520) = -TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)
!
!PTERMS(WC_HO2,KC31) = +KC31*<WC_OH>*<WC_ETOH>
 PTERMS(:,99,520) = +TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)
!
!PTERMS(WC_ETOH,KC31) = -KC31*<WC_OH>*<WC_ETOH>
 PTERMS(:,106,520) = -TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)
!
!PTERMS(WC_ALD2,KC31) = +KC31*<WC_OH>*<WC_ETOH>
 PTERMS(:,109,520) = +TPK%KC31(:)*PCONC(:,98)*PCONC(:,106)
!
!PTERMS(WC_OH,KC32) = -KC32*<WC_OH>*<WC_ALCH>
 PTERMS(:,98,521) = -TPK%KC32(:)*PCONC(:,98)*PCONC(:,107)
!
!PTERMS(WC_HO2,KC32) = +KC32*<WC_OH>*<WC_ALCH>
 PTERMS(:,99,521) = +TPK%KC32(:)*PCONC(:,98)*PCONC(:,107)
!
!PTERMS(WC_ALCH,KC32) = -KC32*<WC_OH>*<WC_ALCH>
 PTERMS(:,107,521) = -TPK%KC32(:)*PCONC(:,98)*PCONC(:,107)
!
!PTERMS(WC_ALD2,KC32) = +0.50*KC32*<WC_OH>*<WC_ALCH>
 PTERMS(:,109,521) = +0.50*TPK%KC32(:)*PCONC(:,98)*PCONC(:,107)
!
!PTERMS(WC_KETL,KC32) = +0.50*KC32*<WC_OH>*<WC_ALCH>
 PTERMS(:,112,521) = +0.50*TPK%KC32(:)*PCONC(:,98)*PCONC(:,107)
!
!PTERMS(WC_OH,KC33) = -KC33*<WC_OH>*<WC_HCHO>
 PTERMS(:,98,522) = -TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)
!
!PTERMS(WC_HO2,KC33) = +KC33*<WC_OH>*<WC_HCHO>
 PTERMS(:,99,522) = +TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)
!
!PTERMS(WC_HCHO,KC33) = -KC33*<WC_OH>*<WC_HCHO>
 PTERMS(:,108,522) = -TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)
!
!PTERMS(WC_ORA1,KC33) = +KC33*<WC_OH>*<WC_HCHO>
 PTERMS(:,113,522) = +TPK%KC33(:)*PCONC(:,98)*PCONC(:,108)
!
!PTERMS(WC_OH,KC34) = -KC34*<WC_OH>*<WC_ALD2>
 PTERMS(:,98,523) = -TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)
!
!PTERMS(WC_CO2,KC34) = +KC34*<WC_OH>*<WC_ALD2>
 PTERMS(:,100,523) = +TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)
!
!PTERMS(WC_RO21,KC34) = +0.50*KC34*<WC_OH>*<WC_ALD2>
 PTERMS(:,103,523) = +0.50*TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)
!
!PTERMS(WC_RO25,KC34) = +0.50*KC34*<WC_OH>*<WC_ALD2>
 PTERMS(:,104,523) = +0.50*TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)
!
!
RETURN
END SUBROUTINE SUBT76
!
SUBROUTINE SUBT77
!
!Indices 1541 a 1560
!
!PTERMS(WC_ALD2,KC34) = -KC34*<WC_OH>*<WC_ALD2>
 PTERMS(:,109,523) = -TPK%KC34(:)*PCONC(:,98)*PCONC(:,109)
!
!PTERMS(WC_OH,KC35) = -KC35*<WC_OH>*<WC_GLY>
 PTERMS(:,98,524) = -TPK%KC35(:)*PCONC(:,98)*PCONC(:,110)
!
!PTERMS(WC_HO2,KC35) = +KC35*<WC_OH>*<WC_GLY>
 PTERMS(:,99,524) = +TPK%KC35(:)*PCONC(:,98)*PCONC(:,110)
!
!PTERMS(WC_GLY,KC35) = -KC35*<WC_OH>*<WC_GLY>
 PTERMS(:,110,524) = -TPK%KC35(:)*PCONC(:,98)*PCONC(:,110)
!
!PTERMS(WC_RP16,KC35) = +KC35*<WC_OH>*<WC_GLY>
 PTERMS(:,116,524) = +TPK%KC35(:)*PCONC(:,98)*PCONC(:,110)
!
!PTERMS(WC_OH,KC36) = -KC36*<WC_OH>*<WC_MGLY>
 PTERMS(:,98,525) = -TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)
!
!PTERMS(WC_HO2,KC36) = +KC36*<WC_OH>*<WC_MGLY>
 PTERMS(:,99,525) = +TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)
!
!PTERMS(WC_MGLY,KC36) = -KC36*<WC_OH>*<WC_MGLY>
 PTERMS(:,111,525) = -TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)
!
!PTERMS(WC_UR21,KC36) = +KC36*<WC_OH>*<WC_MGLY>
 PTERMS(:,117,525) = +TPK%KC36(:)*PCONC(:,98)*PCONC(:,111)
!
!PTERMS(WC_H2O2,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,89,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_OH,KC37) = -KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,98,526) = -TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_HO2,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,99,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_CO2,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,100,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_RO21,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,103,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_HCHO,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,108,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_ALD2,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,109,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_MGLY,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,111,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_KETL,KC37) = -KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,112,526) = -TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_UR21,KC37) = +KC37*<WC_OH>*<WC_KETL>
 PTERMS(:,117,526) = +TPK%KC37(:)*PCONC(:,98)*PCONC(:,112)
!
!PTERMS(WC_OH,KC38) = -KC38*<WC_OH>*<WC_ORA1>
 PTERMS(:,98,527) = -TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)
!
!
RETURN
END SUBROUTINE SUBT77
!
SUBROUTINE SUBT78
!
!Indices 1561 a 1580
!
!PTERMS(WC_HO2,KC38) = +KC38*<WC_OH>*<WC_ORA1>
 PTERMS(:,99,527) = +TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)
!
!PTERMS(WC_CO2,KC38) = +KC38*<WC_OH>*<WC_ORA1>
 PTERMS(:,100,527) = +TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)
!
!PTERMS(WC_ORA1,KC38) = -KC38*<WC_OH>*<WC_ORA1>
 PTERMS(:,113,527) = -TPK%KC38(:)*PCONC(:,98)*PCONC(:,113)
!
!PTERMS(WC_H2O2,KC39) = +0.5*KC39*<WC_OH>*<WC_ORA2>
 PTERMS(:,89,528) = +0.5*TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)
!
!PTERMS(WC_OH,KC39) = -KC39*<WC_OH>*<WC_ORA2>
 PTERMS(:,98,528) = -TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)
!
!PTERMS(WC_ORA2,KC39) = -KC39*<WC_OH>*<WC_ORA2>
 PTERMS(:,114,528) = -TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)
!
!PTERMS(WC_RP16,KC39) = +KC39*<WC_OH>*<WC_ORA2>
 PTERMS(:,116,528) = +TPK%KC39(:)*PCONC(:,98)*PCONC(:,114)
!
!PTERMS(WC_OH,KC40) = -KC40*<WC_OH>*<WC_ACID>
 PTERMS(:,98,529) = -TPK%KC40(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_CO2,KC40) = +KC40*<WC_OH>*<WC_ACID>
 PTERMS(:,100,529) = +TPK%KC40(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_RO25,KC40) = +KC40*<WC_OH>*<WC_ACID>
 PTERMS(:,104,529) = +TPK%KC40(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_ACID,KC40) = -KC40*<WC_OH>*<WC_ACID>
 PTERMS(:,115,529) = -TPK%KC40(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_H2O2,KC41) = +0.29*KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,89,530) = +0.29*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_OH,KC41) = -KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,98,530) = -TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_HO2,KC41) = +0.11*KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,99,530) = +0.11*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_ALD2,KC41) = +0.29*KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,109,530) = +0.29*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_ACID,KC41) = -KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,115,530) = -TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_UR21,KC41) = +0.56*KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,117,530) = +0.56*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_ACID2,KC41) = +0.15*KC41*<WC_OH>*<WC_ACID>
 PTERMS(:,119,530) = +0.15*TPK%KC41(:)*PCONC(:,98)*PCONC(:,115)
!
!PTERMS(WC_OH,KC42) = -KC42*<WC_OH>*<WC_UR28>
 PTERMS(:,98,531) = -TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)
!
!PTERMS(WC_HO2,KC42) = +KC42*<WC_OH>*<WC_UR28>
 PTERMS(:,99,531) = +TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)
!
!
RETURN
END SUBROUTINE SUBT78
!
SUBROUTINE SUBT79
!
!Indices 1581 a 1600
!
!PTERMS(WC_CO2,KC42) = +2*KC42*<WC_OH>*<WC_UR28>
 PTERMS(:,100,531) = +2*TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)
!
!PTERMS(WC_UR28,KC42) = -KC42*<WC_OH>*<WC_UR28>
 PTERMS(:,118,531) = -TPK%KC42(:)*PCONC(:,98)*PCONC(:,118)
!
!PTERMS(WC_H2O2,KC43) = +0.3*KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,89,532) = +0.3*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_OH,KC43) = -KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,98,532) = -TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_HO2,KC43) = +0.81*KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,99,532) = +0.81*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_CO2,KC43) = +0.43*KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,100,532) = +0.43*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_ALD2,KC43) = +0.43*KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,109,532) = +0.43*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_UR21,KC43) = -KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,117,532) = -TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_ACID2,KC43) = +0.56*KC43*<WC_OH>*<WC_UR21>
 PTERMS(:,119,532) = +0.56*TPK%KC43(:)*PCONC(:,98)*PCONC(:,117)
!
!PTERMS(WC_OH,KC44) = -KC44*<WC_OH>*<WC_RP16>
 PTERMS(:,98,533) = -TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_HO2,KC44) = +KC44*<WC_OH>*<WC_RP16>
 PTERMS(:,99,533) = +TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_RP16,KC44) = -KC44*<WC_OH>*<WC_RP16>
 PTERMS(:,116,533) = -TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_UR28,KC44) = +KC44*<WC_OH>*<WC_RP16>
 PTERMS(:,118,533) = +TPK%KC44(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_H2O2,KC45) = +0.45*KC45*<WC_OH>*<WC_RP16>
 PTERMS(:,89,534) = +0.45*TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_OH,KC45) = -KC45*<WC_OH>*<WC_RP16>
 PTERMS(:,98,534) = -TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_HO2,KC45) = +0.71*KC45*<WC_OH>*<WC_RP16>
 PTERMS(:,99,534) = +0.71*TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_CO2,KC45) = +2*KC45*<WC_OH>*<WC_RP16>
 PTERMS(:,100,534) = +2*TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_RP16,KC45) = -KC45*<WC_OH>*<WC_RP16>
 PTERMS(:,116,534) = -TPK%KC45(:)*PCONC(:,98)*PCONC(:,116)
!
!PTERMS(WC_OH,KC46) = -KC46*<WC_OH>*<WC_ACID2>
 PTERMS(:,98,535) = -TPK%KC46(:)*PCONC(:,98)*PCONC(:,119)
!
!PTERMS(WC_ACID2,KC46) = -KC46*<WC_OH>*<WC_ACID2>
 PTERMS(:,119,535) = -TPK%KC46(:)*PCONC(:,98)*PCONC(:,119)
!
!
RETURN
END SUBROUTINE SUBT79
!
SUBROUTINE SUBT80
!
!Indices 1601 a 1620
!
!PTERMS(WR_H2O2,KR1) = -KR1*<WR_H2O2>
 PTERMS(:,126,536) = -TPK%KR1(:)*PCONC(:,126)
!
!PTERMS(WR_OH,KR1) = +KR1*<WR_H2O2>
 PTERMS(:,135,536) = +TPK%KR1(:)*PCONC(:,126)
!
!PTERMS(WR_H2O2,KR2) = +KR2*<WR_OH>*<WR_OH>
 PTERMS(:,126,537) = +TPK%KR2(:)*PCONC(:,135)*PCONC(:,135)
!
!PTERMS(WR_OH,KR2) = -KR2*<WR_OH>*<WR_OH>
 PTERMS(:,135,537) = -TPK%KR2(:)*PCONC(:,135)*PCONC(:,135)
!
!PTERMS(WR_OH,KR3) = -KR3*<WR_HO2>*<WR_OH>
 PTERMS(:,135,538) = -TPK%KR3(:)*PCONC(:,136)*PCONC(:,135)
!
!PTERMS(WR_HO2,KR3) = -KR3*<WR_HO2>*<WR_OH>
 PTERMS(:,136,538) = -TPK%KR3(:)*PCONC(:,136)*PCONC(:,135)
!
!PTERMS(WR_H2O2,KR4) = -KR4*<WR_OH>*<WR_H2O2>
 PTERMS(:,126,539) = -TPK%KR4(:)*PCONC(:,135)*PCONC(:,126)
!
!PTERMS(WR_OH,KR4) = -KR4*<WR_OH>*<WR_H2O2>
 PTERMS(:,135,539) = -TPK%KR4(:)*PCONC(:,135)*PCONC(:,126)
!
!PTERMS(WR_HO2,KR4) = +KR4*<WR_OH>*<WR_H2O2>
 PTERMS(:,136,539) = +TPK%KR4(:)*PCONC(:,135)*PCONC(:,126)
!
!PTERMS(WR_H2O2,KR5) = +KR5*<WR_HO2>*<WR_HO2>
 PTERMS(:,126,540) = +TPK%KR5(:)*PCONC(:,136)*PCONC(:,136)
!
!PTERMS(WR_HO2,KR5) = -KR5*<WR_HO2>*<WR_HO2>
 PTERMS(:,136,540) = -TPK%KR5(:)*PCONC(:,136)*PCONC(:,136)
!
!PTERMS(WR_O3,KR6) = -KR6*<WR_HO2>*<WR_O3>
 PTERMS(:,125,541) = -TPK%KR6(:)*PCONC(:,136)*PCONC(:,125)
!
!PTERMS(WR_OH,KR6) = +KR6*<WR_HO2>*<WR_O3>
 PTERMS(:,135,541) = +TPK%KR6(:)*PCONC(:,136)*PCONC(:,125)
!
!PTERMS(WR_HO2,KR6) = -KR6*<WR_HO2>*<WR_O3>
 PTERMS(:,136,541) = -TPK%KR6(:)*PCONC(:,136)*PCONC(:,125)
!
!PTERMS(WR_OH,KR7) = -KR7*<WR_SO2>*<WR_OH>
 PTERMS(:,135,542) = -TPK%KR7(:)*PCONC(:,138)*PCONC(:,135)
!
!PTERMS(WR_SO2,KR7) = -KR7*<WR_SO2>*<WR_OH>
 PTERMS(:,138,542) = -TPK%KR7(:)*PCONC(:,138)*PCONC(:,135)
!
!PTERMS(WR_ASO3,KR7) = +KR7*<WR_SO2>*<WR_OH>
 PTERMS(:,157,542) = +TPK%KR7(:)*PCONC(:,138)*PCONC(:,135)
!
!PTERMS(WR_NO2,KR8) = +KR8*<WR_OH>*<WR_HONO>
 PTERMS(:,128,543) = +TPK%KR8(:)*PCONC(:,135)*PCONC(:,131)
!
!PTERMS(WR_HONO,KR8) = -KR8*<WR_OH>*<WR_HONO>
 PTERMS(:,131,543) = -TPK%KR8(:)*PCONC(:,135)*PCONC(:,131)
!
!PTERMS(WR_OH,KR8) = -KR8*<WR_OH>*<WR_HONO>
 PTERMS(:,135,543) = -TPK%KR8(:)*PCONC(:,135)*PCONC(:,131)
!
!
RETURN
END SUBROUTINE SUBT80
!
SUBROUTINE SUBT81
!
!Indices 1621 a 1640
!
!PTERMS(WR_NO2,KR9) = -KR9*<WR_HO2>*<WR_NO2>
 PTERMS(:,128,544) = -TPK%KR9(:)*PCONC(:,136)*PCONC(:,128)
!
!PTERMS(WR_HNO4,KR9) = +KR9*<WR_HO2>*<WR_NO2>
 PTERMS(:,133,544) = +TPK%KR9(:)*PCONC(:,136)*PCONC(:,128)
!
!PTERMS(WR_HO2,KR9) = -KR9*<WR_HO2>*<WR_NO2>
 PTERMS(:,136,544) = -TPK%KR9(:)*PCONC(:,136)*PCONC(:,128)
!
!PTERMS(WR_NO2,KR10) = +KR10*<WR_HNO4>
 PTERMS(:,128,545) = +TPK%KR10(:)*PCONC(:,133)
!
!PTERMS(WR_HNO4,KR10) = -KR10*<WR_HNO4>
 PTERMS(:,133,545) = -TPK%KR10(:)*PCONC(:,133)
!
!PTERMS(WR_HO2,KR10) = +KR10*<WR_HNO4>
 PTERMS(:,136,545) = +TPK%KR10(:)*PCONC(:,133)
!
!PTERMS(WR_HONO,KR11) = +KR11*<WR_HNO4>
 PTERMS(:,131,546) = +TPK%KR11(:)*PCONC(:,133)
!
!PTERMS(WR_HNO4,KR11) = -KR11*<WR_HNO4>
 PTERMS(:,133,546) = -TPK%KR11(:)*PCONC(:,133)
!
!PTERMS(WR_HNO3,KR12) = +KR12*<WR_SO2>*<WR_HNO4>
 PTERMS(:,132,547) = +TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)
!
!PTERMS(WR_HNO4,KR12) = -KR12*<WR_SO2>*<WR_HNO4>
 PTERMS(:,133,547) = -TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)
!
!PTERMS(WR_SO2,KR12) = -KR12*<WR_SO2>*<WR_HNO4>
 PTERMS(:,138,547) = -TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)
!
!PTERMS(WR_H2SO4,KR12) = +KR12*<WR_SO2>*<WR_HNO4>
 PTERMS(:,139,547) = +TPK%KR12(:)*PCONC(:,138)*PCONC(:,133)
!
!PTERMS(WR_NO2,KR13) = +KR13*<WR_HNO3>
 PTERMS(:,128,548) = +TPK%KR13(:)*PCONC(:,132)
!
!PTERMS(WR_HNO3,KR13) = -KR13*<WR_HNO3>
 PTERMS(:,132,548) = -TPK%KR13(:)*PCONC(:,132)
!
!PTERMS(WR_OH,KR13) = +KR13*<WR_HNO3>
 PTERMS(:,135,548) = +TPK%KR13(:)*PCONC(:,132)
!
!PTERMS(WR_N2O5,KR14) = -KR14*<WR_N2O5>
 PTERMS(:,130,549) = -TPK%KR14(:)*PCONC(:,130)
!
!PTERMS(WR_HNO3,KR14) = +KR14*<WR_N2O5>
 PTERMS(:,132,549) = +TPK%KR14(:)*PCONC(:,130)
!
!PTERMS(WR_NO3,KR15) = -KR15*<WR_H2SO4>*<WR_NO3>
 PTERMS(:,129,550) = -TPK%KR15(:)*PCONC(:,139)*PCONC(:,129)
!
!PTERMS(WR_HNO3,KR15) = +KR15*<WR_H2SO4>*<WR_NO3>
 PTERMS(:,132,550) = +TPK%KR15(:)*PCONC(:,139)*PCONC(:,129)
!
!PTERMS(WR_H2SO4,KR15) = -KR15*<WR_H2SO4>*<WR_NO3>
 PTERMS(:,139,550) = -TPK%KR15(:)*PCONC(:,139)*PCONC(:,129)
!
!
RETURN
END SUBROUTINE SUBT81
!
SUBROUTINE SUBT82
!
!Indices 1641 a 1660
!
!PTERMS(WR_ASO4,KR15) = +KR15*<WR_H2SO4>*<WR_NO3>
 PTERMS(:,158,550) = +TPK%KR15(:)*PCONC(:,139)*PCONC(:,129)
!
!PTERMS(WR_NO3,KR16) = -KR16*<WR_SO2>*<WR_NO3>
 PTERMS(:,129,551) = -TPK%KR16(:)*PCONC(:,138)*PCONC(:,129)
!
!PTERMS(WR_HNO3,KR16) = +KR16*<WR_SO2>*<WR_NO3>
 PTERMS(:,132,551) = +TPK%KR16(:)*PCONC(:,138)*PCONC(:,129)
!
!PTERMS(WR_SO2,KR16) = -KR16*<WR_SO2>*<WR_NO3>
 PTERMS(:,138,551) = -TPK%KR16(:)*PCONC(:,138)*PCONC(:,129)
!
!PTERMS(WR_ASO3,KR16) = +KR16*<WR_SO2>*<WR_NO3>
 PTERMS(:,157,551) = +TPK%KR16(:)*PCONC(:,138)*PCONC(:,129)
!
!PTERMS(WR_SO2,KR17) = -KR17*<WR_HCHO>*<WR_SO2>
 PTERMS(:,138,552) = -TPK%KR17(:)*PCONC(:,145)*PCONC(:,138)
!
!PTERMS(WR_HCHO,KR17) = -KR17*<WR_HCHO>*<WR_SO2>
 PTERMS(:,145,552) = -TPK%KR17(:)*PCONC(:,145)*PCONC(:,138)
!
!PTERMS(WR_AHMS,KR17) = +KR17*<WR_HCHO>*<WR_SO2>
 PTERMS(:,161,552) = +TPK%KR17(:)*PCONC(:,145)*PCONC(:,138)
!
!PTERMS(WR_SO2,KR18) = +KR18*<WR_AHMS>
 PTERMS(:,138,553) = +TPK%KR18(:)*PCONC(:,161)
!
!PTERMS(WR_HCHO,KR18) = +KR18*<WR_AHMS>
 PTERMS(:,145,553) = +TPK%KR18(:)*PCONC(:,161)
!
!PTERMS(WR_AHMS,KR18) = -KR18*<WR_AHMS>
 PTERMS(:,161,553) = -TPK%KR18(:)*PCONC(:,161)
!
!PTERMS(WR_OH,KR19) = -KR19*<WR_OH>*<WR_AHMS>
 PTERMS(:,135,554) = -TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)
!
!PTERMS(WR_HO2,KR19) = +KR19*<WR_OH>*<WR_AHMS>
 PTERMS(:,136,554) = +TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)
!
!PTERMS(WR_SO2,KR19) = +KR19*<WR_OH>*<WR_AHMS>
 PTERMS(:,138,554) = +TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)
!
!PTERMS(WR_ORA1,KR19) = +KR19*<WR_OH>*<WR_AHMS>
 PTERMS(:,150,554) = +TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)
!
!PTERMS(WR_AHMS,KR19) = -KR19*<WR_OH>*<WR_AHMS>
 PTERMS(:,161,554) = -TPK%KR19(:)*PCONC(:,135)*PCONC(:,161)
!
!PTERMS(WR_ASO3,KR20) = -KR20*<W_O2>*<WR_ASO3>
 PTERMS(:,157,555) = -TPK%KR20(:)*TPK%W_O2(:)*PCONC(:,157)
!
!PTERMS(WR_ASO5,KR20) = +KR20*<W_O2>*<WR_ASO3>
 PTERMS(:,159,555) = +TPK%KR20(:)*TPK%W_O2(:)*PCONC(:,157)
!
!PTERMS(WR_HO2,KR21) = -KR21*<WR_HO2>*<WR_ASO5>
 PTERMS(:,136,556) = -TPK%KR21(:)*PCONC(:,136)*PCONC(:,159)
!
!PTERMS(WR_ASO5,KR21) = -KR21*<WR_HO2>*<WR_ASO5>
 PTERMS(:,159,556) = -TPK%KR21(:)*PCONC(:,136)*PCONC(:,159)
!
!
RETURN
END SUBROUTINE SUBT82
!
SUBROUTINE SUBT83
!
!Indices 1661 a 1680
!
!PTERMS(WR_AHSO5,KR21) = +KR21*<WR_HO2>*<WR_ASO5>
 PTERMS(:,160,556) = +TPK%KR21(:)*PCONC(:,136)*PCONC(:,159)
!
!PTERMS(WR_ASO4,KR22) = +KR22*<WR_ASO5>*<WR_ASO5>
 PTERMS(:,158,557) = +TPK%KR22(:)*PCONC(:,159)*PCONC(:,159)
!
!PTERMS(WR_ASO5,KR22) = -KR22*<WR_ASO5>*<WR_ASO5>
 PTERMS(:,159,557) = -TPK%KR22(:)*PCONC(:,159)*PCONC(:,159)
!
!PTERMS(WR_SO2,KR23) = -KR23*<WR_SO2>*<WR_AHSO5>
 PTERMS(:,138,558) = -TPK%KR23(:)*PCONC(:,138)*PCONC(:,160)
!
!PTERMS(WR_H2SO4,KR23) = +2.00*KR23*<WR_SO2>*<WR_AHSO5>
 PTERMS(:,139,558) = +2.00*TPK%KR23(:)*PCONC(:,138)*PCONC(:,160)
!
!PTERMS(WR_AHSO5,KR23) = -KR23*<WR_SO2>*<WR_AHSO5>
 PTERMS(:,160,558) = -TPK%KR23(:)*PCONC(:,138)*PCONC(:,160)
!
!PTERMS(WR_OH,KR24) = +KR24*<WR_ASO4>
 PTERMS(:,135,559) = +TPK%KR24(:)*PCONC(:,158)
!
!PTERMS(WR_H2SO4,KR24) = +KR24*<WR_ASO4>
 PTERMS(:,139,559) = +TPK%KR24(:)*PCONC(:,158)
!
!PTERMS(WR_ASO4,KR24) = -KR24*<WR_ASO4>
 PTERMS(:,158,559) = -TPK%KR24(:)*PCONC(:,158)
!
!PTERMS(WR_O3,KR25) = -KR25*<WR_O3>*<WR_SO2>
 PTERMS(:,125,560) = -TPK%KR25(:)*PCONC(:,125)*PCONC(:,138)
!
!PTERMS(WR_SO2,KR25) = -KR25*<WR_O3>*<WR_SO2>
 PTERMS(:,138,560) = -TPK%KR25(:)*PCONC(:,125)*PCONC(:,138)
!
!PTERMS(WR_H2SO4,KR25) = +KR25*<WR_O3>*<WR_SO2>
 PTERMS(:,139,560) = +TPK%KR25(:)*PCONC(:,125)*PCONC(:,138)
!
!PTERMS(WR_H2O2,KR26) = -KR26*<WR_H2O2>*<WR_SO2>
 PTERMS(:,126,561) = -TPK%KR26(:)*PCONC(:,126)*PCONC(:,138)
!
!PTERMS(WR_SO2,KR26) = -KR26*<WR_H2O2>*<WR_SO2>
 PTERMS(:,138,561) = -TPK%KR26(:)*PCONC(:,126)*PCONC(:,138)
!
!PTERMS(WR_H2SO4,KR26) = +KR26*<WR_H2O2>*<WR_SO2>
 PTERMS(:,139,561) = +TPK%KR26(:)*PCONC(:,126)*PCONC(:,138)
!
!PTERMS(WR_HO2,KR27) = +2.00*KR27*<WR_RO21>*<WR_RO21>
 PTERMS(:,136,562) = +2.00*TPK%KR27(:)*PCONC(:,140)*PCONC(:,140)
!
!PTERMS(WR_RO21,KR27) = -KR27*<WR_RO21>*<WR_RO21>
 PTERMS(:,140,562) = -TPK%KR27(:)*PCONC(:,140)*PCONC(:,140)
!
!PTERMS(WR_HCHO,KR27) = +2.00*KR27*<WR_RO21>*<WR_RO21>
 PTERMS(:,145,562) = +2.00*TPK%KR27(:)*PCONC(:,140)*PCONC(:,140)
!
!PTERMS(WR_SO2,KR28) = -KR28*<WR_SO2>*<WR_RO21>
 PTERMS(:,138,563) = -TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)
!
!PTERMS(WR_RO21,KR28) = -KR28*<WR_SO2>*<WR_RO21>
 PTERMS(:,140,563) = -TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)
!
!
RETURN
END SUBROUTINE SUBT83
!
SUBROUTINE SUBT84
!
!Indices 1681 a 1700
!
!PTERMS(WR_HCHO,KR28) = +KR28*<WR_SO2>*<WR_RO21>
 PTERMS(:,145,563) = +TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)
!
!PTERMS(WR_ASO3,KR28) = +KR28*<WR_SO2>*<WR_RO21>
 PTERMS(:,157,563) = +TPK%KR28(:)*PCONC(:,138)*PCONC(:,140)
!
!PTERMS(WR_H2O2,KR29) = +KR29*<WR_RO25>*<WR_RO25>
 PTERMS(:,126,564) = +TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!
!PTERMS(WR_HO2,KR29) = +KR29*<WR_RO25>*<WR_RO25>
 PTERMS(:,136,564) = +TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!
!PTERMS(WR_RO25,KR29) = -KR29*<WR_RO25>*<WR_RO25>
 PTERMS(:,141,564) = -TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!
!PTERMS(WR_ALD2,KR29) = +KR29*<WR_RO25>*<WR_RO25>
 PTERMS(:,146,564) = +TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!
!PTERMS(WR_ORA2,KR29) = +KR29*<WR_RO25>*<WR_RO25>
 PTERMS(:,151,564) = +TPK%KR29(:)*PCONC(:,141)*PCONC(:,141)
!
!PTERMS(WR_OH,KR30) = -KR30*<WR_OH>*<WR_MEOH>
 PTERMS(:,135,565) = -TPK%KR30(:)*PCONC(:,135)*PCONC(:,142)
!
!PTERMS(WR_HO2,KR30) = +KR30*<WR_OH>*<WR_MEOH>
 PTERMS(:,136,565) = +TPK%KR30(:)*PCONC(:,135)*PCONC(:,142)
!
!PTERMS(WR_MEOH,KR30) = -KR30*<WR_OH>*<WR_MEOH>
 PTERMS(:,142,565) = -TPK%KR30(:)*PCONC(:,135)*PCONC(:,142)
!
!PTERMS(WR_HCHO,KR30) = +KR30*<WR_OH>*<WR_MEOH>
 PTERMS(:,145,565) = +TPK%KR30(:)*PCONC(:,135)*PCONC(:,142)
!
!PTERMS(WR_OH,KR31) = -KR31*<WR_OH>*<WR_ETOH>
 PTERMS(:,135,566) = -TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)
!
!PTERMS(WR_HO2,KR31) = +KR31*<WR_OH>*<WR_ETOH>
 PTERMS(:,136,566) = +TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)
!
!PTERMS(WR_ETOH,KR31) = -KR31*<WR_OH>*<WR_ETOH>
 PTERMS(:,143,566) = -TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)
!
!PTERMS(WR_ALD2,KR31) = +KR31*<WR_OH>*<WR_ETOH>
 PTERMS(:,146,566) = +TPK%KR31(:)*PCONC(:,135)*PCONC(:,143)
!
!PTERMS(WR_OH,KR32) = -KR32*<WR_OH>*<WR_ALCH>
 PTERMS(:,135,567) = -TPK%KR32(:)*PCONC(:,135)*PCONC(:,144)
!
!PTERMS(WR_HO2,KR32) = +KR32*<WR_OH>*<WR_ALCH>
 PTERMS(:,136,567) = +TPK%KR32(:)*PCONC(:,135)*PCONC(:,144)
!
!PTERMS(WR_ALCH,KR32) = -KR32*<WR_OH>*<WR_ALCH>
 PTERMS(:,144,567) = -TPK%KR32(:)*PCONC(:,135)*PCONC(:,144)
!
!PTERMS(WR_ALD2,KR32) = +0.50*KR32*<WR_OH>*<WR_ALCH>
 PTERMS(:,146,567) = +0.50*TPK%KR32(:)*PCONC(:,135)*PCONC(:,144)
!
!PTERMS(WR_KETL,KR32) = +0.50*KR32*<WR_OH>*<WR_ALCH>
 PTERMS(:,149,567) = +0.50*TPK%KR32(:)*PCONC(:,135)*PCONC(:,144)
!
!
RETURN
END SUBROUTINE SUBT84
!
SUBROUTINE SUBT85
!
!Indices 1701 a 1720
!
!PTERMS(WR_OH,KR33) = -KR33*<WR_OH>*<WR_HCHO>
 PTERMS(:,135,568) = -TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)
!
!PTERMS(WR_HO2,KR33) = +KR33*<WR_OH>*<WR_HCHO>
 PTERMS(:,136,568) = +TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)
!
!PTERMS(WR_HCHO,KR33) = -KR33*<WR_OH>*<WR_HCHO>
 PTERMS(:,145,568) = -TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)
!
!PTERMS(WR_ORA1,KR33) = +KR33*<WR_OH>*<WR_HCHO>
 PTERMS(:,150,568) = +TPK%KR33(:)*PCONC(:,135)*PCONC(:,145)
!
!PTERMS(WR_OH,KR34) = -KR34*<WR_OH>*<WR_ALD2>
 PTERMS(:,135,569) = -TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)
!
!PTERMS(WR_CO2,KR34) = +KR34*<WR_OH>*<WR_ALD2>
 PTERMS(:,137,569) = +TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)
!
!PTERMS(WR_RO21,KR34) = +0.50*KR34*<WR_OH>*<WR_ALD2>
 PTERMS(:,140,569) = +0.50*TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)
!
!PTERMS(WR_RO25,KR34) = +0.50*KR34*<WR_OH>*<WR_ALD2>
 PTERMS(:,141,569) = +0.50*TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)
!
!PTERMS(WR_ALD2,KR34) = -KR34*<WR_OH>*<WR_ALD2>
 PTERMS(:,146,569) = -TPK%KR34(:)*PCONC(:,135)*PCONC(:,146)
!
!PTERMS(WR_OH,KR35) = -KR35*<WR_OH>*<WR_GLY>
 PTERMS(:,135,570) = -TPK%KR35(:)*PCONC(:,135)*PCONC(:,147)
!
!PTERMS(WR_HO2,KR35) = +KR35*<WR_OH>*<WR_GLY>
 PTERMS(:,136,570) = +TPK%KR35(:)*PCONC(:,135)*PCONC(:,147)
!
!PTERMS(WR_GLY,KR35) = -KR35*<WR_OH>*<WR_GLY>
 PTERMS(:,147,570) = -TPK%KR35(:)*PCONC(:,135)*PCONC(:,147)
!
!PTERMS(WR_RP16,KR35) = +KR35*<WR_OH>*<WR_GLY>
 PTERMS(:,153,570) = +TPK%KR35(:)*PCONC(:,135)*PCONC(:,147)
!
!PTERMS(WR_OH,KR36) = -KR36*<WR_OH>*<WR_MGLY>
 PTERMS(:,135,571) = -TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)
!
!PTERMS(WR_HO2,KR36) = +KR36*<WR_OH>*<WR_MGLY>
 PTERMS(:,136,571) = +TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)
!
!PTERMS(WR_MGLY,KR36) = -KR36*<WR_OH>*<WR_MGLY>
 PTERMS(:,148,571) = -TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)
!
!PTERMS(WR_UR21,KR36) = +KR36*<WR_OH>*<WR_MGLY>
 PTERMS(:,154,571) = +TPK%KR36(:)*PCONC(:,135)*PCONC(:,148)
!
!PTERMS(WR_H2O2,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,126,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_OH,KR37) = -KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,135,572) = -TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_HO2,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,136,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!
RETURN
END SUBROUTINE SUBT85
!
SUBROUTINE SUBT86
!
!Indices 1721 a 1740
!
!PTERMS(WR_CO2,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,137,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_RO21,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,140,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_HCHO,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,145,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_ALD2,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,146,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_MGLY,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,148,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_KETL,KR37) = -KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,149,572) = -TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_UR21,KR37) = +KR37*<WR_OH>*<WR_KETL>
 PTERMS(:,154,572) = +TPK%KR37(:)*PCONC(:,135)*PCONC(:,149)
!
!PTERMS(WR_OH,KR38) = -KR38*<WR_OH>*<WR_ORA1>
 PTERMS(:,135,573) = -TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)
!
!PTERMS(WR_HO2,KR38) = +KR38*<WR_OH>*<WR_ORA1>
 PTERMS(:,136,573) = +TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)
!
!PTERMS(WR_CO2,KR38) = +KR38*<WR_OH>*<WR_ORA1>
 PTERMS(:,137,573) = +TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)
!
!PTERMS(WR_ORA1,KR38) = -KR38*<WR_OH>*<WR_ORA1>
 PTERMS(:,150,573) = -TPK%KR38(:)*PCONC(:,135)*PCONC(:,150)
!
!PTERMS(WR_H2O2,KR39) = +0.5*KR39*<WR_OH>*<WR_ORA2>
 PTERMS(:,126,574) = +0.5*TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)
!
!PTERMS(WR_OH,KR39) = -KR39*<WR_OH>*<WR_ORA2>
 PTERMS(:,135,574) = -TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)
!
!PTERMS(WR_ORA2,KR39) = -KR39*<WR_OH>*<WR_ORA2>
 PTERMS(:,151,574) = -TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)
!
!PTERMS(WR_RP16,KR39) = +KR39*<WR_OH>*<WR_ORA2>
 PTERMS(:,153,574) = +TPK%KR39(:)*PCONC(:,135)*PCONC(:,151)
!
!PTERMS(WR_OH,KR40) = -KR40*<WR_OH>*<WR_ACID>
 PTERMS(:,135,575) = -TPK%KR40(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_CO2,KR40) = +KR40*<WR_OH>*<WR_ACID>
 PTERMS(:,137,575) = +TPK%KR40(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_RO25,KR40) = +KR40*<WR_OH>*<WR_ACID>
 PTERMS(:,141,575) = +TPK%KR40(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_ACID,KR40) = -KR40*<WR_OH>*<WR_ACID>
 PTERMS(:,152,575) = -TPK%KR40(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_H2O2,KR41) = +0.29*KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,126,576) = +0.29*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!
RETURN
END SUBROUTINE SUBT86
!
SUBROUTINE SUBT87
!
!Indices 1741 a 1760
!
!PTERMS(WR_OH,KR41) = -KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,135,576) = -TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_HO2,KR41) = +0.11*KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,136,576) = +0.11*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_ALD2,KR41) = +0.29*KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,146,576) = +0.29*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_ACID,KR41) = -KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,152,576) = -TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_UR21,KR41) = +0.56*KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,154,576) = +0.56*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_ACID2,KR41) = +0.15*KR41*<WR_OH>*<WR_ACID>
 PTERMS(:,156,576) = +0.15*TPK%KR41(:)*PCONC(:,135)*PCONC(:,152)
!
!PTERMS(WR_OH,KR42) = -KR42*<WR_OH>*<WR_UR28>
 PTERMS(:,135,577) = -TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)
!
!PTERMS(WR_HO2,KR42) = +KR42*<WR_OH>*<WR_UR28>
 PTERMS(:,136,577) = +TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)
!
!PTERMS(WR_CO2,KR42) = +2*KR42*<WR_OH>*<WR_UR28>
 PTERMS(:,137,577) = +2*TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)
!
!PTERMS(WR_UR28,KR42) = -KR42*<WR_OH>*<WR_UR28>
 PTERMS(:,155,577) = -TPK%KR42(:)*PCONC(:,135)*PCONC(:,155)
!
!PTERMS(WR_H2O2,KR43) = +0.3*KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,126,578) = +0.3*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_OH,KR43) = -KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,135,578) = -TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_HO2,KR43) = +0.81*KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,136,578) = +0.81*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_CO2,KR43) = +0.43*KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,137,578) = +0.43*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_ALD2,KR43) = +0.43*KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,146,578) = +0.43*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_UR21,KR43) = -KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,154,578) = -TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_ACID2,KR43) = +0.56*KR43*<WR_OH>*<WR_UR21>
 PTERMS(:,156,578) = +0.56*TPK%KR43(:)*PCONC(:,135)*PCONC(:,154)
!
!PTERMS(WR_OH,KR44) = -KR44*<WR_OH>*<WR_RP16>
 PTERMS(:,135,579) = -TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_HO2,KR44) = +KR44*<WR_OH>*<WR_RP16>
 PTERMS(:,136,579) = +TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_RP16,KR44) = -KR44*<WR_OH>*<WR_RP16>
 PTERMS(:,153,579) = -TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)
!
!
RETURN
END SUBROUTINE SUBT87
!
SUBROUTINE SUBT88
!
!Indices 1761 a 1768
!
!PTERMS(WR_UR28,KR44) = +KR44*<WR_OH>*<WR_RP16>
 PTERMS(:,155,579) = +TPK%KR44(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_H2O2,KR45) = +0.45*KR45*<WR_OH>*<WR_RP16>
 PTERMS(:,126,580) = +0.45*TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_OH,KR45) = -KR45*<WR_OH>*<WR_RP16>
 PTERMS(:,135,580) = -TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_HO2,KR45) = +0.71*KR45*<WR_OH>*<WR_RP16>
 PTERMS(:,136,580) = +0.71*TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_CO2,KR45) = +2*KR45*<WR_OH>*<WR_RP16>
 PTERMS(:,137,580) = +2*TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_RP16,KR45) = -KR45*<WR_OH>*<WR_RP16>
 PTERMS(:,153,580) = -TPK%KR45(:)*PCONC(:,135)*PCONC(:,153)
!
!PTERMS(WR_OH,KR46) = -KR46*<WR_OH>*<WR_ACID2>
 PTERMS(:,135,581) = -TPK%KR46(:)*PCONC(:,135)*PCONC(:,156)
!
!PTERMS(WR_ACID2,KR46) = -KR46*<WR_OH>*<WR_ACID2>
 PTERMS(:,156,581) = -TPK%KR46(:)*PCONC(:,135)*PCONC(:,156)
!
!
RETURN
END SUBROUTINE SUBT88
!
END SUBROUTINE CH_TERMS_AQ
!
!========================================================================
!
!!    ###########################
      MODULE MODI_CH_NONZEROTERMS
!!    ###########################
INTERFACE
SUBROUTINE CH_NONZEROTERMS(KMI, KINDEX, KINDEXDIM)
IMPLICIT NONE
INTEGER, INTENT(IN)                          :: KMI
INTEGER, INTENT(IN)                          :: KINDEXDIM
INTEGER, INTENT(OUT), DIMENSION(2,KINDEXDIM) :: KINDEX
END SUBROUTINE CH_NONZEROTERMS
END INTERFACE
END MODULE MODI_CH_NONZEROTERMS
!
!========================================================================
!
!!    ##################################################
      SUBROUTINE CH_NONZEROTERMS(KMI, KINDEX, KINDEXDIM)
!!    ##################################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_NONZEROTERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME, ONLY : TACCS
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)                          :: KMI
INTEGER, INTENT(IN)                          :: KINDEXDIM
INTEGER, INTENT(OUT), DIMENSION(2,KINDEXDIM) :: KINDEX
IF (TACCS(KMI)%LUSECHAQ) THEN
   CALL CH_NONZEROTERMS_AQ
ELSE
   CALL CH_NONZEROTERMS_GAZ
END IF
CONTAINS
!!
!!    #############################
      SUBROUTINE CH_NONZEROTERMS_GAZ
!!    #############################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_NONZEROTERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!    none
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
! check if output array is large enough
IF (KINDEXDIM.LT.1188) THEN
  STOP 'CH_NONZEROTERMS ERROR: array KINDEX is too small!'
END IF
 KINDEX(1, 1)=1
 KINDEX(2, 1)=1
 KINDEX(1, 2)=2
 KINDEX(2, 2)=1
 KINDEX(1, 3)=3
 KINDEX(2, 3)=2
 KINDEX(1, 4)=1
 KINDEX(2, 4)=3
 KINDEX(1, 5)=2
 KINDEX(2, 5)=3
 KINDEX(1, 6)=2
 KINDEX(2, 6)=4
 KINDEX(1, 7)=8
 KINDEX(2, 7)=4
 KINDEX(1, 8)=1
 KINDEX(2, 8)=5
 KINDEX(1, 9)=2
 KINDEX(2, 9)=5
 KINDEX(1, 10)=3
 KINDEX(2, 10)=5
 KINDEX(1, 11)=2
 KINDEX(2, 11)=6
 KINDEX(1, 12)=3
 KINDEX(2, 12)=6
 KINDEX(1, 13)=8
 KINDEX(2, 13)=6
 KINDEX(1, 14)=1
 KINDEX(2, 14)=7
 KINDEX(1, 15)=2
 KINDEX(2, 15)=7
 KINDEX(1, 16)=8
 KINDEX(2, 16)=7
 KINDEX(1, 17)=1
 KINDEX(2, 17)=8
 KINDEX(1, 18)=2
 KINDEX(2, 18)=8
 KINDEX(1, 19)=2
 KINDEX(2, 19)=9
 KINDEX(1, 20)=7
 KINDEX(2, 20)=9
 KINDEX(1, 21)=8
 KINDEX(2, 21)=9
 KINDEX(1, 22)=2
 KINDEX(2, 22)=10
 KINDEX(1, 23)=7
 KINDEX(2, 23)=10
 KINDEX(1, 24)=8
 KINDEX(2, 24)=10
 KINDEX(1, 25)=5
 KINDEX(2, 25)=11
 KINDEX(1, 26)=7
 KINDEX(2, 26)=11
 KINDEX(1, 27)=1
 KINDEX(2, 27)=12
 KINDEX(1, 28)=2
 KINDEX(2, 28)=12
 KINDEX(1, 29)=8
 KINDEX(2, 29)=12
 KINDEX(1, 30)=1
 KINDEX(2, 30)=13
 KINDEX(1, 31)=8
 KINDEX(2, 31)=13
 KINDEX(1, 32)=2
 KINDEX(2, 32)=14
 KINDEX(1, 33)=8
 KINDEX(2, 33)=14
 KINDEX(1, 34)=3
 KINDEX(2, 34)=15
 KINDEX(1, 35)=3
 KINDEX(2, 35)=16
 KINDEX(1, 36)=15
 KINDEX(2, 36)=17
 KINDEX(1, 37)=1
 KINDEX(2, 37)=20
 KINDEX(1, 38)=4
 KINDEX(2, 38)=20
 KINDEX(1, 39)=15
 KINDEX(2, 39)=20
 KINDEX(1, 40)=1
 KINDEX(2, 40)=21
 KINDEX(1, 41)=2
 KINDEX(2, 41)=21
 KINDEX(1, 42)=4
 KINDEX(2, 42)=21
 KINDEX(1, 43)=10
 KINDEX(2, 43)=21
 KINDEX(1, 44)=15
 KINDEX(2, 44)=21
 KINDEX(1, 45)=2
 KINDEX(2, 45)=22
 KINDEX(1, 46)=4
 KINDEX(2, 46)=22
 KINDEX(1, 47)=5
 KINDEX(2, 47)=22
 KINDEX(1, 48)=2
 KINDEX(2, 48)=23
 KINDEX(1, 49)=5
 KINDEX(2, 49)=23
 KINDEX(1, 50)=15
 KINDEX(2, 50)=23
 KINDEX(1, 51)=5
 KINDEX(2, 51)=24
 KINDEX(1, 52)=8
 KINDEX(2, 52)=24
 KINDEX(1, 53)=15
 KINDEX(2, 53)=24
 KINDEX(1, 54)=10
 KINDEX(2, 54)=25
 KINDEX(1, 55)=11
 KINDEX(2, 55)=25
 KINDEX(1, 56)=15
 KINDEX(2, 56)=25
 KINDEX(1, 57)=3
 KINDEX(2, 57)=26
 KINDEX(1, 58)=10
 KINDEX(2, 58)=26
 KINDEX(1, 59)=15
 KINDEX(2, 59)=26
 KINDEX(1, 60)=1
 KINDEX(2, 60)=27
 KINDEX(1, 61)=2
 KINDEX(2, 61)=27
 KINDEX(1, 62)=10
 KINDEX(2, 62)=27
 KINDEX(1, 63)=15
 KINDEX(2, 63)=27
 KINDEX(1, 64)=2
 KINDEX(2, 64)=28
 KINDEX(1, 65)=6
 KINDEX(2, 65)=28
 KINDEX(1, 66)=10
 KINDEX(2, 66)=28
 KINDEX(1, 67)=2
 KINDEX(2, 67)=29
 KINDEX(1, 68)=6
 KINDEX(2, 68)=29
 KINDEX(1, 69)=10
 KINDEX(2, 69)=29
 KINDEX(1, 70)=2
 KINDEX(2, 70)=30
 KINDEX(1, 71)=6
 KINDEX(2, 71)=30
 KINDEX(1, 72)=15
 KINDEX(2, 72)=30
 KINDEX(1, 73)=3
 KINDEX(2, 73)=31
 KINDEX(1, 74)=10
 KINDEX(2, 74)=31
 KINDEX(1, 75)=15
 KINDEX(2, 75)=31
 KINDEX(1, 76)=10
 KINDEX(2, 76)=32
 KINDEX(1, 77)=12
 KINDEX(2, 77)=32
 KINDEX(1, 78)=10
 KINDEX(2, 78)=33
 KINDEX(1, 79)=12
 KINDEX(2, 79)=33
 KINDEX(1, 80)=2
 KINDEX(2, 80)=34
 KINDEX(1, 81)=5
 KINDEX(2, 81)=34
 KINDEX(1, 82)=8
 KINDEX(2, 82)=34
 KINDEX(1, 83)=10
 KINDEX(2, 83)=34
 KINDEX(1, 84)=15
 KINDEX(2, 84)=34
 KINDEX(1, 85)=3
 KINDEX(2, 85)=35
 KINDEX(1, 86)=10
 KINDEX(2, 86)=36
 KINDEX(1, 87)=13
 KINDEX(2, 87)=36
 KINDEX(1, 88)=14
 KINDEX(2, 88)=36
 KINDEX(1, 89)=15
 KINDEX(2, 89)=36
 KINDEX(1, 90)=12
 KINDEX(2, 90)=37
 KINDEX(1, 91)=15
 KINDEX(2, 91)=37
 KINDEX(1, 92)=10
 KINDEX(2, 92)=38
 KINDEX(1, 93)=12
 KINDEX(2, 93)=38
 KINDEX(1, 94)=15
 KINDEX(2, 94)=38
 KINDEX(1, 95)=1
 KINDEX(2, 95)=39
 KINDEX(1, 96)=2
 KINDEX(2, 96)=39
 KINDEX(1, 97)=2
 KINDEX(2, 97)=40
 KINDEX(1, 98)=4
 KINDEX(2, 98)=40
 KINDEX(1, 99)=15
 KINDEX(2, 99)=40
 KINDEX(1, 100)=2
 KINDEX(2, 100)=41
 KINDEX(1, 101)=8
 KINDEX(2, 101)=41
 KINDEX(1, 102)=10
 KINDEX(2, 102)=41
 KINDEX(1, 103)=15
 KINDEX(2, 103)=41
 KINDEX(1, 104)=2
 KINDEX(2, 104)=42
 KINDEX(1, 105)=8
 KINDEX(2, 105)=42
 KINDEX(1, 106)=10
 KINDEX(2, 106)=43
 KINDEX(1, 107)=15
 KINDEX(2, 107)=43
 KINDEX(1, 108)=15
 KINDEX(2, 108)=44
 KINDEX(1, 109)=85
 KINDEX(2, 109)=44
 KINDEX(1, 110)=86
 KINDEX(2, 110)=44
 KINDEX(1, 111)=10
 KINDEX(2, 111)=45
 KINDEX(1, 112)=11
 KINDEX(2, 112)=45
 KINDEX(1, 113)=28
 KINDEX(2, 113)=45
 KINDEX(1, 114)=11
 KINDEX(2, 114)=46
 KINDEX(1, 115)=28
 KINDEX(2, 115)=46
 KINDEX(1, 116)=10
 KINDEX(2, 116)=47
 KINDEX(1, 117)=11
 KINDEX(2, 117)=47
 KINDEX(1, 118)=15
 KINDEX(2, 118)=47
 KINDEX(1, 119)=28
 KINDEX(2, 119)=47
 KINDEX(1, 120)=5
 KINDEX(2, 120)=48
 KINDEX(1, 121)=8
 KINDEX(2, 121)=48
 KINDEX(1, 122)=10
 KINDEX(2, 122)=48
 KINDEX(1, 123)=11
 KINDEX(2, 123)=48
 KINDEX(1, 124)=28
 KINDEX(2, 124)=48
 KINDEX(1, 125)=10
 KINDEX(2, 125)=49
 KINDEX(1, 126)=15
 KINDEX(2, 126)=49
 KINDEX(1, 127)=28
 KINDEX(2, 127)=49
 KINDEX(1, 128)=32
 KINDEX(2, 128)=49
 KINDEX(1, 129)=15
 KINDEX(2, 129)=50
 KINDEX(1, 130)=16
 KINDEX(2, 130)=50
 KINDEX(1, 131)=85
 KINDEX(2, 131)=50
 KINDEX(1, 132)=8
 KINDEX(2, 132)=51
 KINDEX(1, 133)=16
 KINDEX(2, 133)=51
 KINDEX(1, 134)=85
 KINDEX(2, 134)=51
 KINDEX(1, 135)=3
 KINDEX(2, 135)=52
 KINDEX(1, 136)=10
 KINDEX(2, 136)=52
 KINDEX(1, 137)=11
 KINDEX(2, 137)=52
 KINDEX(1, 138)=15
 KINDEX(2, 138)=52
 KINDEX(1, 139)=16
 KINDEX(2, 139)=52
 KINDEX(1, 140)=28
 KINDEX(2, 140)=52
 KINDEX(1, 141)=43
 KINDEX(2, 141)=52
 KINDEX(1, 142)=10
 KINDEX(2, 142)=53
 KINDEX(1, 143)=11
 KINDEX(2, 143)=53
 KINDEX(1, 144)=16
 KINDEX(2, 144)=53
 KINDEX(1, 145)=85
 KINDEX(2, 145)=53
 KINDEX(1, 146)=86
 KINDEX(2, 146)=53
 KINDEX(1, 147)=10
 KINDEX(2, 147)=54
 KINDEX(1, 148)=15
 KINDEX(2, 148)=54
 KINDEX(1, 149)=29
 KINDEX(2, 149)=54
 KINDEX(1, 150)=33
 KINDEX(2, 150)=54
 KINDEX(1, 151)=85
 KINDEX(2, 151)=54
 KINDEX(1, 152)=15
 KINDEX(2, 152)=55
 KINDEX(1, 153)=17
 KINDEX(2, 153)=55
 KINDEX(1, 154)=85
 KINDEX(2, 154)=55
 KINDEX(1, 155)=8
 KINDEX(2, 155)=56
 KINDEX(1, 156)=17
 KINDEX(2, 156)=56
 KINDEX(1, 157)=85
 KINDEX(2, 157)=56
 KINDEX(1, 158)=3
 KINDEX(2, 158)=57
 KINDEX(1, 159)=10
 KINDEX(2, 159)=57
 KINDEX(1, 160)=11
 KINDEX(2, 160)=57
 KINDEX(1, 161)=15
 KINDEX(2, 161)=57
 KINDEX(1, 162)=17
 KINDEX(2, 162)=57
 KINDEX(1, 163)=19
 KINDEX(2, 163)=57
 KINDEX(1, 164)=28
 KINDEX(2, 164)=57
 KINDEX(1, 165)=29
 KINDEX(2, 165)=57
 KINDEX(1, 166)=43
 KINDEX(2, 166)=57
 KINDEX(1, 167)=44
 KINDEX(2, 167)=57
 KINDEX(1, 168)=85
 KINDEX(2, 168)=57
 KINDEX(1, 169)=87
 KINDEX(2, 169)=57
 KINDEX(1, 170)=17
 KINDEX(2, 170)=58
 KINDEX(1, 171)=19
 KINDEX(2, 171)=58
 KINDEX(1, 172)=29
 KINDEX(2, 172)=58
 KINDEX(1, 173)=85
 KINDEX(2, 173)=58
 KINDEX(1, 174)=87
 KINDEX(2, 174)=58
 KINDEX(1, 175)=15
 KINDEX(2, 175)=59
 KINDEX(1, 176)=19
 KINDEX(2, 176)=59
 KINDEX(1, 177)=85
 KINDEX(2, 177)=59
 KINDEX(1, 178)=87
 KINDEX(2, 178)=59
 KINDEX(1, 179)=10
 KINDEX(2, 179)=60
 KINDEX(1, 180)=11
 KINDEX(2, 180)=60
 KINDEX(1, 181)=29
 KINDEX(2, 181)=60
 KINDEX(1, 182)=85
 KINDEX(2, 182)=60
 KINDEX(1, 183)=87
 KINDEX(2, 183)=60
 KINDEX(1, 184)=15
 KINDEX(2, 184)=61
 KINDEX(1, 185)=29
 KINDEX(2, 185)=61
 KINDEX(1, 186)=85
 KINDEX(2, 186)=61
 KINDEX(1, 187)=5
 KINDEX(2, 187)=62
 KINDEX(1, 188)=8
 KINDEX(2, 188)=62
 KINDEX(1, 189)=29
 KINDEX(2, 189)=62
 KINDEX(1, 190)=85
 KINDEX(2, 190)=62
 KINDEX(1, 191)=15
 KINDEX(2, 191)=63
 KINDEX(1, 192)=30
 KINDEX(2, 192)=63
 KINDEX(1, 193)=85
 KINDEX(2, 193)=63
 KINDEX(1, 194)=30
 KINDEX(2, 194)=64
 KINDEX(1, 195)=85
 KINDEX(2, 195)=64
 KINDEX(1, 196)=87
 KINDEX(2, 196)=64
 KINDEX(1, 197)=15
 KINDEX(2, 197)=65
 KINDEX(1, 198)=35
 KINDEX(2, 198)=65
 KINDEX(1, 199)=85
 KINDEX(2, 199)=65
 KINDEX(1, 200)=8
 KINDEX(2, 200)=66
 KINDEX(1, 201)=35
 KINDEX(2, 201)=66
 KINDEX(1, 202)=85
 KINDEX(2, 202)=66
 KINDEX(1, 203)=3
 KINDEX(2, 203)=67
 KINDEX(1, 204)=10
 KINDEX(2, 204)=67
 KINDEX(1, 205)=11
 KINDEX(2, 205)=67
 KINDEX(1, 206)=15
 KINDEX(2, 206)=67
 KINDEX(1, 207)=17
 KINDEX(2, 207)=67
 KINDEX(1, 208)=28
 KINDEX(2, 208)=67
 KINDEX(1, 209)=35
 KINDEX(2, 209)=67
 KINDEX(1, 210)=39
 KINDEX(2, 210)=67
 KINDEX(1, 211)=40
 KINDEX(2, 211)=67
 KINDEX(1, 212)=43
 KINDEX(2, 212)=67
 KINDEX(1, 213)=85
 KINDEX(2, 213)=67
 KINDEX(1, 214)=17
 KINDEX(2, 214)=68
 KINDEX(1, 215)=29
 KINDEX(2, 215)=68
 KINDEX(1, 216)=35
 KINDEX(2, 216)=68
 KINDEX(1, 217)=15
 KINDEX(2, 217)=69
 KINDEX(1, 218)=38
 KINDEX(2, 218)=69
 KINDEX(1, 219)=85
 KINDEX(2, 219)=69
 KINDEX(1, 220)=15
 KINDEX(2, 220)=70
 KINDEX(1, 221)=34
 KINDEX(2, 221)=70
 KINDEX(1, 222)=85
 KINDEX(2, 222)=70
 KINDEX(1, 223)=15
 KINDEX(2, 223)=71
 KINDEX(1, 224)=31
 KINDEX(2, 224)=71
 KINDEX(1, 225)=85
 KINDEX(2, 225)=71
 KINDEX(1, 226)=31
 KINDEX(2, 226)=72
 KINDEX(1, 227)=85
 KINDEX(2, 227)=72
 KINDEX(1, 228)=87
 KINDEX(2, 228)=72
 KINDEX(1, 229)=5
 KINDEX(2, 229)=73
 KINDEX(1, 230)=8
 KINDEX(2, 230)=73
 KINDEX(1, 231)=24
 KINDEX(2, 231)=73
 KINDEX(1, 232)=10
 KINDEX(2, 232)=74
 KINDEX(1, 233)=15
 KINDEX(2, 233)=74
 KINDEX(1, 234)=24
 KINDEX(2, 234)=74
 KINDEX(1, 235)=85
 KINDEX(2, 235)=74
 KINDEX(1, 236)=15
 KINDEX(2, 236)=75
 KINDEX(1, 237)=18
 KINDEX(2, 237)=75
 KINDEX(1, 238)=85
 KINDEX(2, 238)=75
 KINDEX(1, 239)=8
 KINDEX(2, 239)=76
 KINDEX(1, 240)=18
 KINDEX(2, 240)=76
 KINDEX(1, 241)=85
 KINDEX(2, 241)=76
 KINDEX(1, 242)=3
 KINDEX(2, 242)=77
 KINDEX(1, 243)=10
 KINDEX(2, 243)=77
 KINDEX(1, 244)=11
 KINDEX(2, 244)=77
 KINDEX(1, 245)=15
 KINDEX(2, 245)=77
 KINDEX(1, 246)=18
 KINDEX(2, 246)=77
 KINDEX(1, 247)=20
 KINDEX(2, 247)=77
 KINDEX(1, 248)=28
 KINDEX(2, 248)=77
 KINDEX(1, 249)=45
 KINDEX(2, 249)=77
 KINDEX(1, 250)=69
 KINDEX(2, 250)=77
 KINDEX(1, 251)=85
 KINDEX(2, 251)=77
 KINDEX(1, 252)=18
 KINDEX(2, 252)=78
 KINDEX(1, 253)=20
 KINDEX(2, 253)=78
 KINDEX(1, 254)=69
 KINDEX(2, 254)=78
 KINDEX(1, 255)=85
 KINDEX(2, 255)=78
 KINDEX(1, 256)=15
 KINDEX(2, 256)=79
 KINDEX(1, 257)=20
 KINDEX(2, 257)=79
 KINDEX(1, 258)=85
 KINDEX(2, 258)=79
 KINDEX(1, 259)=10
 KINDEX(2, 259)=80
 KINDEX(1, 260)=15
 KINDEX(2, 260)=80
 KINDEX(1, 261)=23
 KINDEX(2, 261)=80
 KINDEX(1, 262)=24
 KINDEX(2, 262)=80
 KINDEX(1, 263)=85
 KINDEX(2, 263)=80
 KINDEX(1, 264)=10
 KINDEX(2, 264)=81
 KINDEX(1, 265)=15
 KINDEX(2, 265)=81
 KINDEX(1, 266)=22
 KINDEX(2, 266)=81
 KINDEX(1, 267)=24
 KINDEX(2, 267)=81
 KINDEX(1, 268)=3
 KINDEX(2, 268)=82
 KINDEX(1, 269)=5
 KINDEX(2, 269)=82
 KINDEX(1, 270)=8
 KINDEX(2, 270)=82
 KINDEX(1, 271)=25
 KINDEX(2, 271)=82
 KINDEX(1, 272)=26
 KINDEX(2, 272)=82
 KINDEX(1, 273)=3
 KINDEX(2, 273)=83
 KINDEX(1, 274)=10
 KINDEX(2, 274)=83
 KINDEX(1, 275)=15
 KINDEX(2, 275)=83
 KINDEX(1, 276)=25
 KINDEX(2, 276)=83
 KINDEX(1, 277)=26
 KINDEX(2, 277)=83
 KINDEX(1, 278)=75
 KINDEX(2, 278)=83
 KINDEX(1, 279)=85
 KINDEX(2, 279)=83
 KINDEX(1, 280)=10
 KINDEX(2, 280)=84
 KINDEX(1, 281)=15
 KINDEX(2, 281)=84
 KINDEX(1, 282)=26
 KINDEX(2, 282)=84
 KINDEX(1, 283)=60
 KINDEX(2, 283)=84
 KINDEX(1, 284)=85
 KINDEX(2, 284)=84
 KINDEX(1, 285)=15
 KINDEX(2, 285)=85
 KINDEX(1, 286)=36
 KINDEX(2, 286)=85
 KINDEX(1, 287)=85
 KINDEX(2, 287)=85
 KINDEX(1, 288)=8
 KINDEX(2, 288)=86
 KINDEX(1, 289)=36
 KINDEX(2, 289)=86
 KINDEX(1, 290)=85
 KINDEX(2, 290)=86
 KINDEX(1, 291)=3
 KINDEX(2, 291)=87
 KINDEX(1, 292)=10
 KINDEX(2, 292)=87
 KINDEX(1, 293)=11
 KINDEX(2, 293)=87
 KINDEX(1, 294)=12
 KINDEX(2, 294)=87
 KINDEX(1, 295)=15
 KINDEX(2, 295)=87
 KINDEX(1, 296)=36
 KINDEX(2, 296)=87
 KINDEX(1, 297)=53
 KINDEX(2, 297)=87
 KINDEX(1, 298)=57
 KINDEX(2, 298)=87
 KINDEX(1, 299)=85
 KINDEX(2, 299)=87
 KINDEX(1, 300)=36
 KINDEX(2, 300)=88
 KINDEX(1, 301)=68
 KINDEX(2, 301)=88
 KINDEX(1, 302)=15
 KINDEX(2, 302)=89
 KINDEX(1, 303)=37
 KINDEX(2, 303)=89
 KINDEX(1, 304)=85
 KINDEX(2, 304)=89
 KINDEX(1, 305)=8
 KINDEX(2, 305)=90
 KINDEX(1, 306)=37
 KINDEX(2, 306)=90
 KINDEX(1, 307)=85
 KINDEX(2, 307)=90
 KINDEX(1, 308)=3
 KINDEX(2, 308)=91
 KINDEX(1, 309)=11
 KINDEX(2, 309)=91
 KINDEX(1, 310)=12
 KINDEX(2, 310)=91
 KINDEX(1, 311)=15
 KINDEX(2, 311)=91
 KINDEX(1, 312)=37
 KINDEX(2, 312)=91
 KINDEX(1, 313)=54
 KINDEX(2, 313)=91
 KINDEX(1, 314)=56
 KINDEX(2, 314)=91
 KINDEX(1, 315)=85
 KINDEX(2, 315)=91
 KINDEX(1, 316)=37
 KINDEX(2, 316)=92
 KINDEX(1, 317)=10
 KINDEX(2, 317)=93
 KINDEX(1, 318)=15
 KINDEX(2, 318)=93
 KINDEX(1, 319)=27
 KINDEX(2, 319)=93
 KINDEX(1, 320)=64
 KINDEX(2, 320)=93
 KINDEX(1, 321)=85
 KINDEX(2, 321)=93
 KINDEX(1, 322)=15
 KINDEX(2, 322)=94
 KINDEX(1, 323)=21
 KINDEX(2, 323)=94
 KINDEX(1, 324)=85
 KINDEX(2, 324)=94
 KINDEX(1, 325)=10
 KINDEX(2, 325)=95
 KINDEX(1, 326)=85
 KINDEX(2, 326)=95
 KINDEX(1, 327)=1
 KINDEX(2, 327)=96
 KINDEX(1, 328)=85
 KINDEX(2, 328)=96
 KINDEX(1, 329)=85
 KINDEX(2, 329)=97
 KINDEX(1, 330)=85
 KINDEX(2, 330)=98
 KINDEX(1, 331)=85
 KINDEX(2, 331)=99
 KINDEX(1, 332)=85
 KINDEX(2, 332)=100
 KINDEX(1, 333)=85
 KINDEX(2, 333)=101
 KINDEX(1, 334)=85
 KINDEX(2, 334)=102
 KINDEX(1, 335)=85
 KINDEX(2, 335)=103
 KINDEX(1, 336)=2
 KINDEX(2, 336)=104
 KINDEX(1, 337)=61
 KINDEX(2, 337)=104
 KINDEX(1, 338)=2
 KINDEX(2, 338)=105
 KINDEX(1, 339)=61
 KINDEX(2, 339)=105
 KINDEX(1, 340)=2
 KINDEX(2, 340)=106
 KINDEX(1, 341)=2
 KINDEX(2, 341)=107
 KINDEX(1, 342)=2
 KINDEX(2, 342)=108
 KINDEX(1, 343)=70
 KINDEX(2, 343)=108
 KINDEX(1, 344)=2
 KINDEX(2, 344)=109
 KINDEX(1, 345)=60
 KINDEX(2, 345)=109
 KINDEX(1, 346)=2
 KINDEX(2, 346)=110
 KINDEX(1, 347)=64
 KINDEX(2, 347)=110
 KINDEX(1, 348)=1
 KINDEX(2, 348)=111
 KINDEX(1, 349)=2
 KINDEX(2, 349)=111
 KINDEX(1, 350)=10
 KINDEX(2, 350)=111
 KINDEX(1, 351)=28
 KINDEX(2, 351)=111
 KINDEX(1, 352)=86
 KINDEX(2, 352)=111
 KINDEX(1, 353)=10
 KINDEX(2, 353)=112
 KINDEX(1, 354)=28
 KINDEX(2, 354)=112
 KINDEX(1, 355)=85
 KINDEX(2, 355)=112
 KINDEX(1, 356)=86
 KINDEX(2, 356)=112
 KINDEX(1, 357)=10
 KINDEX(2, 357)=113
 KINDEX(1, 358)=15
 KINDEX(2, 358)=113
 KINDEX(1, 359)=28
 KINDEX(2, 359)=113
 KINDEX(1, 360)=86
 KINDEX(2, 360)=113
 KINDEX(1, 361)=1
 KINDEX(2, 361)=114
 KINDEX(1, 362)=2
 KINDEX(2, 362)=114
 KINDEX(1, 363)=10
 KINDEX(2, 363)=114
 KINDEX(1, 364)=28
 KINDEX(2, 364)=114
 KINDEX(1, 365)=29
 KINDEX(2, 365)=114
 KINDEX(1, 366)=10
 KINDEX(2, 366)=115
 KINDEX(1, 367)=28
 KINDEX(2, 367)=115
 KINDEX(1, 368)=29
 KINDEX(2, 368)=115
 KINDEX(1, 369)=85
 KINDEX(2, 369)=115
 KINDEX(1, 370)=10
 KINDEX(2, 370)=116
 KINDEX(1, 371)=15
 KINDEX(2, 371)=116
 KINDEX(1, 372)=28
 KINDEX(2, 372)=116
 KINDEX(1, 373)=29
 KINDEX(2, 373)=116
 KINDEX(1, 374)=1
 KINDEX(2, 374)=117
 KINDEX(1, 375)=2
 KINDEX(2, 375)=117
 KINDEX(1, 376)=28
 KINDEX(2, 376)=117
 KINDEX(1, 377)=29
 KINDEX(2, 377)=117
 KINDEX(1, 378)=2
 KINDEX(2, 378)=118
 KINDEX(1, 379)=10
 KINDEX(2, 379)=118
 KINDEX(1, 380)=28
 KINDEX(2, 380)=118
 KINDEX(1, 381)=29
 KINDEX(2, 381)=118
 KINDEX(1, 382)=85
 KINDEX(2, 382)=118
 KINDEX(1, 383)=2
 KINDEX(2, 383)=119
 KINDEX(1, 384)=10
 KINDEX(2, 384)=119
 KINDEX(1, 385)=15
 KINDEX(2, 385)=119
 KINDEX(1, 386)=28
 KINDEX(2, 386)=119
 KINDEX(1, 387)=29
 KINDEX(2, 387)=119
 KINDEX(1, 388)=1
 KINDEX(2, 388)=120
 KINDEX(1, 389)=2
 KINDEX(2, 389)=120
 KINDEX(1, 390)=10
 KINDEX(2, 390)=120
 KINDEX(1, 391)=11
 KINDEX(2, 391)=120
 KINDEX(1, 392)=28
 KINDEX(2, 392)=120
 KINDEX(1, 393)=10
 KINDEX(2, 393)=121
 KINDEX(1, 394)=11
 KINDEX(2, 394)=121
 KINDEX(1, 395)=28
 KINDEX(2, 395)=121
 KINDEX(1, 396)=85
 KINDEX(2, 396)=121
 KINDEX(1, 397)=10
 KINDEX(2, 397)=122
 KINDEX(1, 398)=11
 KINDEX(2, 398)=122
 KINDEX(1, 399)=15
 KINDEX(2, 399)=122
 KINDEX(1, 400)=28
 KINDEX(2, 400)=122
 KINDEX(1, 401)=1
 KINDEX(2, 401)=123
 KINDEX(1, 402)=2
 KINDEX(2, 402)=123
 KINDEX(1, 403)=10
 KINDEX(2, 403)=123
 KINDEX(1, 404)=19
 KINDEX(2, 404)=123
 KINDEX(1, 405)=29
 KINDEX(2, 405)=123
 KINDEX(1, 406)=87
 KINDEX(2, 406)=123
 KINDEX(1, 407)=10
 KINDEX(2, 407)=124
 KINDEX(1, 408)=29
 KINDEX(2, 408)=124
 KINDEX(1, 409)=85
 KINDEX(2, 409)=124
 KINDEX(1, 410)=87
 KINDEX(2, 410)=124
 KINDEX(1, 411)=10
 KINDEX(2, 411)=125
 KINDEX(1, 412)=15
 KINDEX(2, 412)=125
 KINDEX(1, 413)=29
 KINDEX(2, 413)=125
 KINDEX(1, 414)=87
 KINDEX(2, 414)=125
 KINDEX(1, 415)=1
 KINDEX(2, 415)=126
 KINDEX(1, 416)=2
 KINDEX(2, 416)=126
 KINDEX(1, 417)=85
 KINDEX(2, 417)=126
 KINDEX(1, 418)=87
 KINDEX(2, 418)=126
 KINDEX(1, 419)=2
 KINDEX(2, 419)=127
 KINDEX(1, 420)=77
 KINDEX(2, 420)=127
 KINDEX(1, 421)=2
 KINDEX(2, 421)=128
 KINDEX(1, 422)=78
 KINDEX(2, 422)=128
 KINDEX(1, 423)=2
 KINDEX(2, 423)=129
 KINDEX(1, 424)=79
 KINDEX(2, 424)=129
 KINDEX(1, 425)=2
 KINDEX(2, 425)=130
 KINDEX(1, 426)=80
 KINDEX(2, 426)=130
 KINDEX(1, 427)=2
 KINDEX(2, 427)=131
 KINDEX(1, 428)=76
 KINDEX(2, 428)=131
 KINDEX(1, 429)=2
 KINDEX(2, 429)=132
 KINDEX(1, 430)=81
 KINDEX(2, 430)=132
 KINDEX(1, 431)=2
 KINDEX(2, 431)=133
 KINDEX(1, 432)=82
 KINDEX(2, 432)=133
 KINDEX(1, 433)=2
 KINDEX(2, 433)=134
 KINDEX(1, 434)=76
 KINDEX(2, 434)=134
 KINDEX(1, 435)=2
 KINDEX(2, 435)=135
 KINDEX(1, 436)=84
 KINDEX(2, 436)=135
 KINDEX(1, 437)=2
 KINDEX(2, 437)=136
 KINDEX(1, 438)=77
 KINDEX(2, 438)=136
 KINDEX(1, 439)=85
 KINDEX(2, 439)=136
 KINDEX(1, 440)=2
 KINDEX(2, 440)=137
 KINDEX(1, 441)=78
 KINDEX(2, 441)=137
 KINDEX(1, 442)=85
 KINDEX(2, 442)=137
 KINDEX(1, 443)=2
 KINDEX(2, 443)=138
 KINDEX(1, 444)=79
 KINDEX(2, 444)=138
 KINDEX(1, 445)=85
 KINDEX(2, 445)=138
 KINDEX(1, 446)=2
 KINDEX(2, 446)=139
 KINDEX(1, 447)=84
 KINDEX(2, 447)=139
 KINDEX(1, 448)=85
 KINDEX(2, 448)=139
 KINDEX(1, 449)=2
 KINDEX(2, 449)=140
 KINDEX(1, 450)=76
 KINDEX(2, 450)=140
 KINDEX(1, 451)=85
 KINDEX(2, 451)=140
 KINDEX(1, 452)=2
 KINDEX(2, 452)=141
 KINDEX(1, 453)=81
 KINDEX(2, 453)=141
 KINDEX(1, 454)=85
 KINDEX(2, 454)=141
 KINDEX(1, 455)=2
 KINDEX(2, 455)=142
 KINDEX(1, 456)=80
 KINDEX(2, 456)=142
 KINDEX(1, 457)=85
 KINDEX(2, 457)=142
 KINDEX(1, 458)=3
 KINDEX(2, 458)=143
 KINDEX(1, 459)=10
 KINDEX(2, 459)=143
 KINDEX(1, 460)=44
 KINDEX(2, 460)=143
 KINDEX(1, 461)=45
 KINDEX(2, 461)=143
 KINDEX(1, 462)=85
 KINDEX(2, 462)=144
 KINDEX(1, 463)=87
 KINDEX(2, 463)=144
 KINDEX(1, 464)=1
 KINDEX(2, 464)=145
 KINDEX(1, 465)=2
 KINDEX(2, 465)=145
 KINDEX(1, 466)=29
 KINDEX(2, 466)=145
 KINDEX(1, 467)=85
 KINDEX(2, 467)=145
 KINDEX(1, 468)=29
 KINDEX(2, 468)=146
 KINDEX(1, 469)=85
 KINDEX(2, 469)=146
 KINDEX(1, 470)=10
 KINDEX(2, 470)=147
 KINDEX(1, 471)=15
 KINDEX(2, 471)=147
 KINDEX(1, 472)=29
 KINDEX(2, 472)=147
 KINDEX(1, 473)=85
 KINDEX(2, 473)=147
 KINDEX(1, 474)=1
 KINDEX(2, 474)=148
 KINDEX(1, 475)=2
 KINDEX(2, 475)=148
 KINDEX(1, 476)=85
 KINDEX(2, 476)=148
 KINDEX(1, 477)=86
 KINDEX(2, 477)=148
 KINDEX(1, 478)=3
 KINDEX(2, 478)=149
 KINDEX(1, 479)=10
 KINDEX(2, 479)=149
 KINDEX(1, 480)=44
 KINDEX(2, 480)=149
 KINDEX(1, 481)=85
 KINDEX(2, 481)=150
 KINDEX(1, 482)=86
 KINDEX(2, 482)=150
 KINDEX(1, 483)=1
 KINDEX(2, 483)=151
 KINDEX(1, 484)=2
 KINDEX(2, 484)=151
 KINDEX(1, 485)=10
 KINDEX(2, 485)=151
 KINDEX(1, 486)=17
 KINDEX(2, 486)=151
 KINDEX(1, 487)=28
 KINDEX(2, 487)=151
 KINDEX(1, 488)=39
 KINDEX(2, 488)=151
 KINDEX(1, 489)=10
 KINDEX(2, 489)=152
 KINDEX(1, 490)=28
 KINDEX(2, 490)=152
 KINDEX(1, 491)=39
 KINDEX(2, 491)=152
 KINDEX(1, 492)=85
 KINDEX(2, 492)=152
 KINDEX(1, 493)=10
 KINDEX(2, 493)=153
 KINDEX(1, 494)=15
 KINDEX(2, 494)=153
 KINDEX(1, 495)=28
 KINDEX(2, 495)=153
 KINDEX(1, 496)=39
 KINDEX(2, 496)=153
 KINDEX(1, 497)=1
 KINDEX(2, 497)=154
 KINDEX(1, 498)=2
 KINDEX(2, 498)=154
 KINDEX(1, 499)=10
 KINDEX(2, 499)=154
 KINDEX(1, 500)=28
 KINDEX(2, 500)=154
 KINDEX(1, 501)=40
 KINDEX(2, 501)=154
 KINDEX(1, 502)=10
 KINDEX(2, 502)=155
 KINDEX(1, 503)=28
 KINDEX(2, 503)=155
 KINDEX(1, 504)=40
 KINDEX(2, 504)=155
 KINDEX(1, 505)=85
 KINDEX(2, 505)=155
 KINDEX(1, 506)=10
 KINDEX(2, 506)=156
 KINDEX(1, 507)=15
 KINDEX(2, 507)=156
 KINDEX(1, 508)=28
 KINDEX(2, 508)=156
 KINDEX(1, 509)=40
 KINDEX(2, 509)=156
 KINDEX(1, 510)=1
 KINDEX(2, 510)=157
 KINDEX(1, 511)=2
 KINDEX(2, 511)=157
 KINDEX(1, 512)=28
 KINDEX(2, 512)=157
 KINDEX(1, 513)=39
 KINDEX(2, 513)=157
 KINDEX(1, 514)=2
 KINDEX(2, 514)=158
 KINDEX(1, 515)=28
 KINDEX(2, 515)=158
 KINDEX(1, 516)=39
 KINDEX(2, 516)=158
 KINDEX(1, 517)=85
 KINDEX(2, 517)=158
 KINDEX(1, 518)=2
 KINDEX(2, 518)=159
 KINDEX(1, 519)=10
 KINDEX(2, 519)=159
 KINDEX(1, 520)=15
 KINDEX(2, 520)=159
 KINDEX(1, 521)=28
 KINDEX(2, 521)=159
 KINDEX(1, 522)=39
 KINDEX(2, 522)=159
 KINDEX(1, 523)=1
 KINDEX(2, 523)=160
 KINDEX(1, 524)=2
 KINDEX(2, 524)=160
 KINDEX(1, 525)=28
 KINDEX(2, 525)=160
 KINDEX(1, 526)=40
 KINDEX(2, 526)=160
 KINDEX(1, 527)=2
 KINDEX(2, 527)=161
 KINDEX(1, 528)=28
 KINDEX(2, 528)=161
 KINDEX(1, 529)=40
 KINDEX(2, 529)=161
 KINDEX(1, 530)=85
 KINDEX(2, 530)=161
 KINDEX(1, 531)=2
 KINDEX(2, 531)=162
 KINDEX(1, 532)=10
 KINDEX(2, 532)=162
 KINDEX(1, 533)=15
 KINDEX(2, 533)=162
 KINDEX(1, 534)=28
 KINDEX(2, 534)=162
 KINDEX(1, 535)=40
 KINDEX(2, 535)=162
 KINDEX(1, 536)=1
 KINDEX(2, 536)=163
 KINDEX(1, 537)=2
 KINDEX(2, 537)=163
 KINDEX(1, 538)=28
 KINDEX(2, 538)=163
 KINDEX(1, 539)=85
 KINDEX(2, 539)=163
 KINDEX(1, 540)=28
 KINDEX(2, 540)=164
 KINDEX(1, 541)=85
 KINDEX(2, 541)=164
 KINDEX(1, 542)=10
 KINDEX(2, 542)=165
 KINDEX(1, 543)=15
 KINDEX(2, 543)=165
 KINDEX(1, 544)=28
 KINDEX(2, 544)=165
 KINDEX(1, 545)=85
 KINDEX(2, 545)=165
 KINDEX(1, 546)=1
 KINDEX(2, 546)=166
 KINDEX(1, 547)=2
 KINDEX(2, 547)=166
 KINDEX(1, 548)=85
 KINDEX(2, 548)=166
 KINDEX(1, 549)=3
 KINDEX(2, 549)=167
 KINDEX(1, 550)=10
 KINDEX(2, 550)=167
 KINDEX(1, 551)=17
 KINDEX(2, 551)=167
 KINDEX(1, 552)=44
 KINDEX(2, 552)=167
 KINDEX(1, 553)=85
 KINDEX(2, 553)=168
 KINDEX(1, 554)=1
 KINDEX(2, 554)=169
 KINDEX(1, 555)=2
 KINDEX(2, 555)=169
 KINDEX(1, 556)=17
 KINDEX(2, 556)=169
 KINDEX(1, 557)=85
 KINDEX(2, 557)=169
 KINDEX(1, 558)=85
 KINDEX(2, 558)=170
 KINDEX(1, 559)=10
 KINDEX(2, 559)=171
 KINDEX(1, 560)=15
 KINDEX(2, 560)=171
 KINDEX(1, 561)=85
 KINDEX(2, 561)=171
 KINDEX(1, 562)=1
 KINDEX(2, 562)=172
 KINDEX(1, 563)=2
 KINDEX(2, 563)=172
 KINDEX(1, 564)=10
 KINDEX(2, 564)=172
 KINDEX(1, 565)=19
 KINDEX(2, 565)=172
 KINDEX(1, 566)=28
 KINDEX(2, 566)=172
 KINDEX(1, 567)=29
 KINDEX(2, 567)=172
 KINDEX(1, 568)=30
 KINDEX(2, 568)=172
 KINDEX(1, 569)=10
 KINDEX(2, 569)=173
 KINDEX(1, 570)=19
 KINDEX(2, 570)=173
 KINDEX(1, 571)=28
 KINDEX(2, 571)=173
 KINDEX(1, 572)=29
 KINDEX(2, 572)=173
 KINDEX(1, 573)=30
 KINDEX(2, 573)=173
 KINDEX(1, 574)=85
 KINDEX(2, 574)=173
 KINDEX(1, 575)=10
 KINDEX(2, 575)=174
 KINDEX(1, 576)=15
 KINDEX(2, 576)=174
 KINDEX(1, 577)=19
 KINDEX(2, 577)=174
 KINDEX(1, 578)=28
 KINDEX(2, 578)=174
 KINDEX(1, 579)=29
 KINDEX(2, 579)=174
 KINDEX(1, 580)=30
 KINDEX(2, 580)=174
 KINDEX(1, 581)=1
 KINDEX(2, 581)=175
 KINDEX(1, 582)=2
 KINDEX(2, 582)=175
 KINDEX(1, 583)=29
 KINDEX(2, 583)=175
 KINDEX(1, 584)=85
 KINDEX(2, 584)=175
 KINDEX(1, 585)=29
 KINDEX(2, 585)=176
 KINDEX(1, 586)=85
 KINDEX(2, 586)=176
 KINDEX(1, 587)=10
 KINDEX(2, 587)=177
 KINDEX(1, 588)=15
 KINDEX(2, 588)=177
 KINDEX(1, 589)=29
 KINDEX(2, 589)=177
 KINDEX(1, 590)=85
 KINDEX(2, 590)=177
 KINDEX(1, 591)=1
 KINDEX(2, 591)=178
 KINDEX(1, 592)=2
 KINDEX(2, 592)=178
 KINDEX(1, 593)=10
 KINDEX(2, 593)=178
 KINDEX(1, 594)=58
 KINDEX(2, 594)=178
 KINDEX(1, 595)=75
 KINDEX(2, 595)=178
 KINDEX(1, 596)=10
 KINDEX(2, 596)=179
 KINDEX(1, 597)=75
 KINDEX(2, 597)=179
 KINDEX(1, 598)=85
 KINDEX(2, 598)=179
 KINDEX(1, 599)=10
 KINDEX(2, 599)=180
 KINDEX(1, 600)=15
 KINDEX(2, 600)=180
 KINDEX(1, 601)=75
 KINDEX(2, 601)=180
 KINDEX(1, 602)=1
 KINDEX(2, 602)=181
 KINDEX(1, 603)=2
 KINDEX(2, 603)=181
 KINDEX(1, 604)=10
 KINDEX(2, 604)=181
 KINDEX(1, 605)=10
 KINDEX(2, 605)=182
 KINDEX(1, 606)=85
 KINDEX(2, 606)=182
 KINDEX(1, 607)=10
 KINDEX(2, 607)=183
 KINDEX(1, 608)=15
 KINDEX(2, 608)=183
 KINDEX(1, 609)=1
 KINDEX(2, 609)=184
 KINDEX(1, 610)=2
 KINDEX(2, 610)=184
 KINDEX(1, 611)=28
 KINDEX(2, 611)=184
 KINDEX(1, 612)=69
 KINDEX(2, 612)=184
 KINDEX(1, 613)=2
 KINDEX(2, 613)=185
 KINDEX(1, 614)=28
 KINDEX(2, 614)=185
 KINDEX(1, 615)=69
 KINDEX(2, 615)=185
 KINDEX(1, 616)=85
 KINDEX(2, 616)=185
 KINDEX(1, 617)=2
 KINDEX(2, 617)=186
 KINDEX(1, 618)=10
 KINDEX(2, 618)=186
 KINDEX(1, 619)=15
 KINDEX(2, 619)=186
 KINDEX(1, 620)=28
 KINDEX(2, 620)=186
 KINDEX(1, 621)=69
 KINDEX(2, 621)=186
 KINDEX(1, 622)=1
 KINDEX(2, 622)=187
 KINDEX(1, 623)=2
 KINDEX(2, 623)=187
 KINDEX(1, 624)=85
 KINDEX(2, 624)=187
 KINDEX(1, 625)=85
 KINDEX(2, 625)=188
 KINDEX(1, 626)=10
 KINDEX(2, 626)=189
 KINDEX(1, 627)=15
 KINDEX(2, 627)=189
 KINDEX(1, 628)=85
 KINDEX(2, 628)=189
 KINDEX(1, 629)=1
 KINDEX(2, 629)=190
 KINDEX(1, 630)=2
 KINDEX(2, 630)=190
 KINDEX(1, 631)=10
 KINDEX(2, 631)=190
 KINDEX(1, 632)=25
 KINDEX(2, 632)=190
 KINDEX(1, 633)=10
 KINDEX(2, 633)=191
 KINDEX(1, 634)=25
 KINDEX(2, 634)=191
 KINDEX(1, 635)=85
 KINDEX(2, 635)=191
 KINDEX(1, 636)=10
 KINDEX(2, 636)=192
 KINDEX(1, 637)=15
 KINDEX(2, 637)=192
 KINDEX(1, 638)=25
 KINDEX(2, 638)=192
 KINDEX(1, 639)=1
 KINDEX(2, 639)=193
 KINDEX(1, 640)=2
 KINDEX(2, 640)=193
 KINDEX(1, 641)=10
 KINDEX(2, 641)=193
 KINDEX(1, 642)=75
 KINDEX(2, 642)=193
 KINDEX(1, 643)=10
 KINDEX(2, 643)=194
 KINDEX(1, 644)=75
 KINDEX(2, 644)=194
 KINDEX(1, 645)=85
 KINDEX(2, 645)=194
 KINDEX(1, 646)=10
 KINDEX(2, 646)=195
 KINDEX(1, 647)=15
 KINDEX(2, 647)=195
 KINDEX(1, 648)=75
 KINDEX(2, 648)=195
 KINDEX(1, 649)=1
 KINDEX(2, 649)=196
 KINDEX(1, 650)=2
 KINDEX(2, 650)=196
 KINDEX(1, 651)=10
 KINDEX(2, 651)=196
 KINDEX(1, 652)=58
 KINDEX(2, 652)=196
 KINDEX(1, 653)=62
 KINDEX(2, 653)=196
 KINDEX(1, 654)=10
 KINDEX(2, 654)=197
 KINDEX(1, 655)=62
 KINDEX(2, 655)=197
 KINDEX(1, 656)=85
 KINDEX(2, 656)=197
 KINDEX(1, 657)=10
 KINDEX(2, 657)=198
 KINDEX(1, 658)=15
 KINDEX(2, 658)=198
 KINDEX(1, 659)=62
 KINDEX(2, 659)=198
 KINDEX(1, 660)=1
 KINDEX(2, 660)=199
 KINDEX(1, 661)=2
 KINDEX(2, 661)=199
 KINDEX(1, 662)=10
 KINDEX(2, 662)=199
 KINDEX(1, 663)=57
 KINDEX(2, 663)=199
 KINDEX(1, 664)=67
 KINDEX(2, 664)=199
 KINDEX(1, 665)=10
 KINDEX(2, 665)=200
 KINDEX(1, 666)=57
 KINDEX(2, 666)=200
 KINDEX(1, 667)=85
 KINDEX(2, 667)=200
 KINDEX(1, 668)=10
 KINDEX(2, 668)=201
 KINDEX(1, 669)=15
 KINDEX(2, 669)=201
 KINDEX(1, 670)=57
 KINDEX(2, 670)=201
 KINDEX(1, 671)=1
 KINDEX(2, 671)=202
 KINDEX(1, 672)=2
 KINDEX(2, 672)=202
 KINDEX(1, 673)=57
 KINDEX(2, 673)=202
 KINDEX(1, 674)=2
 KINDEX(2, 674)=203
 KINDEX(1, 675)=57
 KINDEX(2, 675)=203
 KINDEX(1, 676)=85
 KINDEX(2, 676)=203
 KINDEX(1, 677)=2
 KINDEX(2, 677)=204
 KINDEX(1, 678)=10
 KINDEX(2, 678)=204
 KINDEX(1, 679)=15
 KINDEX(2, 679)=204
 KINDEX(1, 680)=57
 KINDEX(2, 680)=204
 KINDEX(1, 681)=1
 KINDEX(2, 681)=205
 KINDEX(1, 682)=2
 KINDEX(2, 682)=205
 KINDEX(1, 683)=55
 KINDEX(2, 683)=205
 KINDEX(1, 684)=85
 KINDEX(2, 684)=205
 KINDEX(1, 685)=55
 KINDEX(2, 685)=206
 KINDEX(1, 686)=85
 KINDEX(2, 686)=206
 KINDEX(1, 687)=10
 KINDEX(2, 687)=207
 KINDEX(1, 688)=15
 KINDEX(2, 688)=207
 KINDEX(1, 689)=55
 KINDEX(2, 689)=207
 KINDEX(1, 690)=85
 KINDEX(2, 690)=207
 KINDEX(1, 691)=1
 KINDEX(2, 691)=208
 KINDEX(1, 692)=2
 KINDEX(2, 692)=208
 KINDEX(1, 693)=10
 KINDEX(2, 693)=208
 KINDEX(1, 694)=56
 KINDEX(2, 694)=208
 KINDEX(1, 695)=68
 KINDEX(2, 695)=208
 KINDEX(1, 696)=10
 KINDEX(2, 696)=209
 KINDEX(1, 697)=56
 KINDEX(2, 697)=209
 KINDEX(1, 698)=85
 KINDEX(2, 698)=209
 KINDEX(1, 699)=10
 KINDEX(2, 699)=210
 KINDEX(1, 700)=15
 KINDEX(2, 700)=210
 KINDEX(1, 701)=56
 KINDEX(2, 701)=210
 KINDEX(1, 702)=1
 KINDEX(2, 702)=211
 KINDEX(1, 703)=2
 KINDEX(2, 703)=211
 KINDEX(1, 704)=56
 KINDEX(2, 704)=211
 KINDEX(1, 705)=2
 KINDEX(2, 705)=212
 KINDEX(1, 706)=56
 KINDEX(2, 706)=212
 KINDEX(1, 707)=85
 KINDEX(2, 707)=212
 KINDEX(1, 708)=2
 KINDEX(2, 708)=213
 KINDEX(1, 709)=10
 KINDEX(2, 709)=213
 KINDEX(1, 710)=15
 KINDEX(2, 710)=213
 KINDEX(1, 711)=56
 KINDEX(2, 711)=213
 KINDEX(1, 712)=1
 KINDEX(2, 712)=214
 KINDEX(1, 713)=2
 KINDEX(2, 713)=214
 KINDEX(1, 714)=85
 KINDEX(2, 714)=214
 KINDEX(1, 715)=85
 KINDEX(2, 715)=215
 KINDEX(1, 716)=10
 KINDEX(2, 716)=216
 KINDEX(1, 717)=15
 KINDEX(2, 717)=216
 KINDEX(1, 718)=85
 KINDEX(2, 718)=216
 KINDEX(1, 719)=1
 KINDEX(2, 719)=217
 KINDEX(1, 720)=2
 KINDEX(2, 720)=217
 KINDEX(1, 721)=71
 KINDEX(2, 721)=217
 KINDEX(1, 722)=85
 KINDEX(2, 722)=217
 KINDEX(1, 723)=71
 KINDEX(2, 723)=218
 KINDEX(1, 724)=85
 KINDEX(2, 724)=218
 KINDEX(1, 725)=10
 KINDEX(2, 725)=219
 KINDEX(1, 726)=15
 KINDEX(2, 726)=219
 KINDEX(1, 727)=71
 KINDEX(2, 727)=219
 KINDEX(1, 728)=85
 KINDEX(2, 728)=219
 KINDEX(1, 729)=85
 KINDEX(2, 729)=220
 KINDEX(1, 730)=10
 KINDEX(2, 730)=221
 KINDEX(1, 731)=15
 KINDEX(2, 731)=221
 KINDEX(1, 732)=85
 KINDEX(2, 732)=221
 KINDEX(1, 733)=1
 KINDEX(2, 733)=222
 KINDEX(1, 734)=2
 KINDEX(2, 734)=222
 KINDEX(1, 735)=10
 KINDEX(2, 735)=222
 KINDEX(1, 736)=64
 KINDEX(2, 736)=222
 KINDEX(1, 737)=65
 KINDEX(2, 737)=222
 KINDEX(1, 738)=10
 KINDEX(2, 738)=223
 KINDEX(1, 739)=65
 KINDEX(2, 739)=223
 KINDEX(1, 740)=85
 KINDEX(2, 740)=223
 KINDEX(1, 741)=10
 KINDEX(2, 741)=224
 KINDEX(1, 742)=15
 KINDEX(2, 742)=224
 KINDEX(1, 743)=65
 KINDEX(2, 743)=224
 KINDEX(1, 744)=1
 KINDEX(2, 744)=225
 KINDEX(1, 745)=2
 KINDEX(2, 745)=225
 KINDEX(1, 746)=66
 KINDEX(2, 746)=225
 KINDEX(1, 747)=85
 KINDEX(2, 747)=225
 KINDEX(1, 748)=85
 KINDEX(2, 748)=226
 KINDEX(1, 749)=10
 KINDEX(2, 749)=227
 KINDEX(1, 750)=15
 KINDEX(2, 750)=227
 KINDEX(1, 751)=85
 KINDEX(2, 751)=227
 KINDEX(1, 752)=1
 KINDEX(2, 752)=228
 KINDEX(1, 753)=2
 KINDEX(2, 753)=228
 KINDEX(1, 754)=10
 KINDEX(2, 754)=228
 KINDEX(1, 755)=66
 KINDEX(2, 755)=228
 KINDEX(1, 756)=10
 KINDEX(2, 756)=229
 KINDEX(1, 757)=66
 KINDEX(2, 757)=229
 KINDEX(1, 758)=85
 KINDEX(2, 758)=229
 KINDEX(1, 759)=10
 KINDEX(2, 759)=230
 KINDEX(1, 760)=15
 KINDEX(2, 760)=230
 KINDEX(1, 761)=66
 KINDEX(2, 761)=230
 KINDEX(1, 762)=85
 KINDEX(2, 762)=231
 KINDEX(1, 763)=1
 KINDEX(2, 763)=232
 KINDEX(1, 764)=2
 KINDEX(2, 764)=232
 KINDEX(1, 765)=10
 KINDEX(2, 765)=232
 KINDEX(1, 766)=52
 KINDEX(2, 766)=232
 KINDEX(1, 767)=10
 KINDEX(2, 767)=233
 KINDEX(1, 768)=52
 KINDEX(2, 768)=233
 KINDEX(1, 769)=85
 KINDEX(2, 769)=233
 KINDEX(1, 770)=10
 KINDEX(2, 770)=234
 KINDEX(1, 771)=15
 KINDEX(2, 771)=234
 KINDEX(1, 772)=52
 KINDEX(2, 772)=234
 KINDEX(1, 773)=1
 KINDEX(2, 773)=235
 KINDEX(1, 774)=2
 KINDEX(2, 774)=235
 KINDEX(1, 775)=10
 KINDEX(2, 775)=235
 KINDEX(1, 776)=41
 KINDEX(2, 776)=235
 KINDEX(1, 777)=72
 KINDEX(2, 777)=235
 KINDEX(1, 778)=10
 KINDEX(2, 778)=236
 KINDEX(1, 779)=41
 KINDEX(2, 779)=236
 KINDEX(1, 780)=72
 KINDEX(2, 780)=236
 KINDEX(1, 781)=85
 KINDEX(2, 781)=236
 KINDEX(1, 782)=10
 KINDEX(2, 782)=237
 KINDEX(1, 783)=15
 KINDEX(2, 783)=237
 KINDEX(1, 784)=41
 KINDEX(2, 784)=237
 KINDEX(1, 785)=72
 KINDEX(2, 785)=237
 KINDEX(1, 786)=85
 KINDEX(2, 786)=238
 KINDEX(1, 787)=1
 KINDEX(2, 787)=239
 KINDEX(1, 788)=2
 KINDEX(2, 788)=239
 KINDEX(1, 789)=10
 KINDEX(2, 789)=239
 KINDEX(1, 790)=73
 KINDEX(2, 790)=239
 KINDEX(1, 791)=10
 KINDEX(2, 791)=240
 KINDEX(1, 792)=73
 KINDEX(2, 792)=240
 KINDEX(1, 793)=85
 KINDEX(2, 793)=240
 KINDEX(1, 794)=10
 KINDEX(2, 794)=241
 KINDEX(1, 795)=15
 KINDEX(2, 795)=241
 KINDEX(1, 796)=73
 KINDEX(2, 796)=241
 KINDEX(1, 797)=1
 KINDEX(2, 797)=242
 KINDEX(1, 798)=2
 KINDEX(2, 798)=242
 KINDEX(1, 799)=10
 KINDEX(2, 799)=242
 KINDEX(1, 800)=41
 KINDEX(2, 800)=242
 KINDEX(1, 801)=72
 KINDEX(2, 801)=242
 KINDEX(1, 802)=10
 KINDEX(2, 802)=243
 KINDEX(1, 803)=41
 KINDEX(2, 803)=243
 KINDEX(1, 804)=72
 KINDEX(2, 804)=243
 KINDEX(1, 805)=85
 KINDEX(2, 805)=243
 KINDEX(1, 806)=10
 KINDEX(2, 806)=244
 KINDEX(1, 807)=15
 KINDEX(2, 807)=244
 KINDEX(1, 808)=41
 KINDEX(2, 808)=244
 KINDEX(1, 809)=72
 KINDEX(2, 809)=244
 KINDEX(1, 810)=85
 KINDEX(2, 810)=245
 KINDEX(1, 811)=1
 KINDEX(2, 811)=246
 KINDEX(1, 812)=2
 KINDEX(2, 812)=246
 KINDEX(1, 813)=10
 KINDEX(2, 813)=246
 KINDEX(1, 814)=73
 KINDEX(2, 814)=246
 KINDEX(1, 815)=10
 KINDEX(2, 815)=247
 KINDEX(1, 816)=73
 KINDEX(2, 816)=247
 KINDEX(1, 817)=85
 KINDEX(2, 817)=247
 KINDEX(1, 818)=10
 KINDEX(2, 818)=248
 KINDEX(1, 819)=15
 KINDEX(2, 819)=248
 KINDEX(1, 820)=73
 KINDEX(2, 820)=248
 KINDEX(1, 821)=1
 KINDEX(2, 821)=249
 KINDEX(1, 822)=2
 KINDEX(2, 822)=249
 KINDEX(1, 823)=10
 KINDEX(2, 823)=249
 KINDEX(1, 824)=41
 KINDEX(2, 824)=249
 KINDEX(1, 825)=72
 KINDEX(2, 825)=249
 KINDEX(1, 826)=10
 KINDEX(2, 826)=250
 KINDEX(1, 827)=41
 KINDEX(2, 827)=250
 KINDEX(1, 828)=72
 KINDEX(2, 828)=250
 KINDEX(1, 829)=85
 KINDEX(2, 829)=250
 KINDEX(1, 830)=10
 KINDEX(2, 830)=251
 KINDEX(1, 831)=15
 KINDEX(2, 831)=251
 KINDEX(1, 832)=41
 KINDEX(2, 832)=251
 KINDEX(1, 833)=72
 KINDEX(2, 833)=251
 KINDEX(1, 834)=85
 KINDEX(2, 834)=252
 KINDEX(1, 835)=1
 KINDEX(2, 835)=253
 KINDEX(1, 836)=2
 KINDEX(2, 836)=253
 KINDEX(1, 837)=10
 KINDEX(2, 837)=253
 KINDEX(1, 838)=52
 KINDEX(2, 838)=253
 KINDEX(1, 839)=10
 KINDEX(2, 839)=254
 KINDEX(1, 840)=52
 KINDEX(2, 840)=254
 KINDEX(1, 841)=85
 KINDEX(2, 841)=254
 KINDEX(1, 842)=10
 KINDEX(2, 842)=255
 KINDEX(1, 843)=15
 KINDEX(2, 843)=255
 KINDEX(1, 844)=52
 KINDEX(2, 844)=255
 KINDEX(1, 845)=1
 KINDEX(2, 845)=256
 KINDEX(1, 846)=2
 KINDEX(2, 846)=256
 KINDEX(1, 847)=10
 KINDEX(2, 847)=256
 KINDEX(1, 848)=41
 KINDEX(2, 848)=256
 KINDEX(1, 849)=72
 KINDEX(2, 849)=256
 KINDEX(1, 850)=10
 KINDEX(2, 850)=257
 KINDEX(1, 851)=41
 KINDEX(2, 851)=257
 KINDEX(1, 852)=72
 KINDEX(2, 852)=257
 KINDEX(1, 853)=85
 KINDEX(2, 853)=257
 KINDEX(1, 854)=10
 KINDEX(2, 854)=258
 KINDEX(1, 855)=15
 KINDEX(2, 855)=258
 KINDEX(1, 856)=41
 KINDEX(2, 856)=258
 KINDEX(1, 857)=72
 KINDEX(2, 857)=258
 KINDEX(1, 858)=85
 KINDEX(2, 858)=259
 KINDEX(1, 859)=1
 KINDEX(2, 859)=260
 KINDEX(1, 860)=2
 KINDEX(2, 860)=260
 KINDEX(1, 861)=10
 KINDEX(2, 861)=260
 KINDEX(1, 862)=50
 KINDEX(2, 862)=260
 KINDEX(1, 863)=10
 KINDEX(2, 863)=261
 KINDEX(1, 864)=50
 KINDEX(2, 864)=261
 KINDEX(1, 865)=85
 KINDEX(2, 865)=261
 KINDEX(1, 866)=10
 KINDEX(2, 866)=262
 KINDEX(1, 867)=15
 KINDEX(2, 867)=262
 KINDEX(1, 868)=50
 KINDEX(2, 868)=262
 KINDEX(1, 869)=1
 KINDEX(2, 869)=263
 KINDEX(1, 870)=2
 KINDEX(2, 870)=263
 KINDEX(1, 871)=10
 KINDEX(2, 871)=263
 KINDEX(1, 872)=41
 KINDEX(2, 872)=263
 KINDEX(1, 873)=72
 KINDEX(2, 873)=263
 KINDEX(1, 874)=10
 KINDEX(2, 874)=264
 KINDEX(1, 875)=41
 KINDEX(2, 875)=264
 KINDEX(1, 876)=72
 KINDEX(2, 876)=264
 KINDEX(1, 877)=85
 KINDEX(2, 877)=264
 KINDEX(1, 878)=10
 KINDEX(2, 878)=265
 KINDEX(1, 879)=15
 KINDEX(2, 879)=265
 KINDEX(1, 880)=41
 KINDEX(2, 880)=265
 KINDEX(1, 881)=72
 KINDEX(2, 881)=265
 KINDEX(1, 882)=85
 KINDEX(2, 882)=266
 KINDEX(1, 883)=1
 KINDEX(2, 883)=267
 KINDEX(1, 884)=2
 KINDEX(2, 884)=267
 KINDEX(1, 885)=10
 KINDEX(2, 885)=267
 KINDEX(1, 886)=63
 KINDEX(2, 886)=267
 KINDEX(1, 887)=10
 KINDEX(2, 887)=268
 KINDEX(1, 888)=63
 KINDEX(2, 888)=268
 KINDEX(1, 889)=85
 KINDEX(2, 889)=268
 KINDEX(1, 890)=10
 KINDEX(2, 890)=269
 KINDEX(1, 891)=15
 KINDEX(2, 891)=269
 KINDEX(1, 892)=63
 KINDEX(2, 892)=269
 KINDEX(1, 893)=1
 KINDEX(2, 893)=270
 KINDEX(1, 894)=2
 KINDEX(2, 894)=270
 KINDEX(1, 895)=10
 KINDEX(2, 895)=270
 KINDEX(1, 896)=41
 KINDEX(2, 896)=270
 KINDEX(1, 897)=75
 KINDEX(2, 897)=270
 KINDEX(1, 898)=10
 KINDEX(2, 898)=271
 KINDEX(1, 899)=41
 KINDEX(2, 899)=271
 KINDEX(1, 900)=75
 KINDEX(2, 900)=271
 KINDEX(1, 901)=85
 KINDEX(2, 901)=271
 KINDEX(1, 902)=10
 KINDEX(2, 902)=272
 KINDEX(1, 903)=15
 KINDEX(2, 903)=272
 KINDEX(1, 904)=41
 KINDEX(2, 904)=272
 KINDEX(1, 905)=75
 KINDEX(2, 905)=272
 KINDEX(1, 906)=15
 KINDEX(2, 906)=273
 KINDEX(1, 907)=39
 KINDEX(2, 907)=273
 KINDEX(1, 908)=85
 KINDEX(2, 908)=273
 KINDEX(1, 909)=15
 KINDEX(2, 909)=274
 KINDEX(1, 910)=40
 KINDEX(2, 910)=274
 KINDEX(1, 911)=85
 KINDEX(2, 911)=274
 KINDEX(1, 912)=15
 KINDEX(2, 912)=275
 KINDEX(1, 913)=41
 KINDEX(2, 913)=275
 KINDEX(1, 914)=85
 KINDEX(2, 914)=275
 KINDEX(1, 915)=5
 KINDEX(2, 915)=276
 KINDEX(1, 916)=8
 KINDEX(2, 916)=276
 KINDEX(1, 917)=40
 KINDEX(2, 917)=276
 KINDEX(1, 918)=85
 KINDEX(2, 918)=276
 KINDEX(1, 919)=10
 KINDEX(2, 919)=277
 KINDEX(1, 920)=11
 KINDEX(2, 920)=277
 KINDEX(1, 921)=41
 KINDEX(2, 921)=277
 KINDEX(1, 922)=85
 KINDEX(2, 922)=277
 KINDEX(1, 923)=1
 KINDEX(2, 923)=278
 KINDEX(1, 924)=2
 KINDEX(2, 924)=278
 KINDEX(1, 925)=85
 KINDEX(2, 925)=278
 KINDEX(1, 926)=5
 KINDEX(2, 926)=279
 KINDEX(1, 927)=8
 KINDEX(2, 927)=279
 KINDEX(1, 928)=41
 KINDEX(2, 928)=279
 KINDEX(1, 929)=85
 KINDEX(2, 929)=279
 KINDEX(1, 930)=3
 KINDEX(2, 930)=280
 KINDEX(1, 931)=10
 KINDEX(2, 931)=280
 KINDEX(1, 932)=47
 KINDEX(2, 932)=280
 KINDEX(1, 933)=85
 KINDEX(2, 933)=281
 KINDEX(1, 934)=3
 KINDEX(2, 934)=282
 KINDEX(1, 935)=10
 KINDEX(2, 935)=282
 KINDEX(1, 936)=11
 KINDEX(2, 936)=282
 KINDEX(1, 937)=15
 KINDEX(2, 937)=282
 KINDEX(1, 938)=28
 KINDEX(2, 938)=282
 KINDEX(1, 939)=29
 KINDEX(2, 939)=282
 KINDEX(1, 940)=39
 KINDEX(2, 940)=282
 KINDEX(1, 941)=41
 KINDEX(2, 941)=282
 KINDEX(1, 942)=43
 KINDEX(2, 942)=282
 KINDEX(1, 943)=47
 KINDEX(2, 943)=282
 KINDEX(1, 944)=85
 KINDEX(2, 944)=282
 KINDEX(1, 945)=3
 KINDEX(2, 945)=283
 KINDEX(1, 946)=10
 KINDEX(2, 946)=283
 KINDEX(1, 947)=11
 KINDEX(2, 947)=283
 KINDEX(1, 948)=15
 KINDEX(2, 948)=283
 KINDEX(1, 949)=28
 KINDEX(2, 949)=283
 KINDEX(1, 950)=40
 KINDEX(2, 950)=283
 KINDEX(1, 951)=41
 KINDEX(2, 951)=283
 KINDEX(1, 952)=43
 KINDEX(2, 952)=283
 KINDEX(1, 953)=85
 KINDEX(2, 953)=283
 KINDEX(1, 954)=30
 KINDEX(2, 954)=284
 KINDEX(1, 955)=39
 KINDEX(2, 955)=284
 KINDEX(1, 956)=85
 KINDEX(2, 956)=284
 KINDEX(1, 957)=10
 KINDEX(2, 957)=285
 KINDEX(1, 958)=11
 KINDEX(2, 958)=285
 KINDEX(1, 959)=29
 KINDEX(2, 959)=285
 KINDEX(1, 960)=40
 KINDEX(2, 960)=285
 KINDEX(1, 961)=85
 KINDEX(2, 961)=285
 KINDEX(1, 962)=1
 KINDEX(2, 962)=286
 KINDEX(1, 963)=2
 KINDEX(2, 963)=286
 KINDEX(1, 964)=10
 KINDEX(2, 964)=286
 KINDEX(1, 965)=28
 KINDEX(2, 965)=286
 KINDEX(1, 966)=41
 KINDEX(2, 966)=286
 KINDEX(1, 967)=10
 KINDEX(2, 967)=287
 KINDEX(1, 968)=28
 KINDEX(2, 968)=287
 KINDEX(1, 969)=41
 KINDEX(2, 969)=287
 KINDEX(1, 970)=85
 KINDEX(2, 970)=287
 KINDEX(1, 971)=10
 KINDEX(2, 971)=288
 KINDEX(1, 972)=15
 KINDEX(2, 972)=288
 KINDEX(1, 973)=28
 KINDEX(2, 973)=288
 KINDEX(1, 974)=41
 KINDEX(2, 974)=288
 KINDEX(1, 975)=1
 KINDEX(2, 975)=289
 KINDEX(1, 976)=2
 KINDEX(2, 976)=289
 KINDEX(1, 977)=85
 KINDEX(2, 977)=289
 KINDEX(1, 978)=3
 KINDEX(2, 978)=290
 KINDEX(1, 979)=10
 KINDEX(2, 979)=290
 KINDEX(1, 980)=17
 KINDEX(2, 980)=290
 KINDEX(1, 981)=44
 KINDEX(2, 981)=290
 KINDEX(1, 982)=85
 KINDEX(2, 982)=291
 KINDEX(1, 983)=1
 KINDEX(2, 983)=292
 KINDEX(1, 984)=2
 KINDEX(2, 984)=292
 KINDEX(1, 985)=10
 KINDEX(2, 985)=292
 KINDEX(1, 986)=28
 KINDEX(2, 986)=292
 KINDEX(1, 987)=41
 KINDEX(2, 987)=292
 KINDEX(1, 988)=10
 KINDEX(2, 988)=293
 KINDEX(1, 989)=28
 KINDEX(2, 989)=293
 KINDEX(1, 990)=41
 KINDEX(2, 990)=293
 KINDEX(1, 991)=85
 KINDEX(2, 991)=293
 KINDEX(1, 992)=10
 KINDEX(2, 992)=294
 KINDEX(1, 993)=15
 KINDEX(2, 993)=294
 KINDEX(1, 994)=28
 KINDEX(2, 994)=294
 KINDEX(1, 995)=41
 KINDEX(2, 995)=294
 KINDEX(1, 996)=85
 KINDEX(2, 996)=294
 KINDEX(1, 997)=1
 KINDEX(2, 997)=295
 KINDEX(1, 998)=2
 KINDEX(2, 998)=295
 KINDEX(1, 999)=28
 KINDEX(2, 999)=295
 KINDEX(1, 1000)=41
 KINDEX(2, 1000)=295
 KINDEX(1, 1001)=2
 KINDEX(2, 1001)=296
 KINDEX(1, 1002)=10
 KINDEX(2, 1002)=296
 KINDEX(1, 1003)=28
 KINDEX(2, 1003)=296
 KINDEX(1, 1004)=41
 KINDEX(2, 1004)=296
 KINDEX(1, 1005)=85
 KINDEX(2, 1005)=296
 KINDEX(1, 1006)=2
 KINDEX(2, 1006)=297
 KINDEX(1, 1007)=15
 KINDEX(2, 1007)=297
 KINDEX(1, 1008)=28
 KINDEX(2, 1008)=297
 KINDEX(1, 1009)=41
 KINDEX(2, 1009)=297
 KINDEX(1, 1010)=85
 KINDEX(2, 1010)=297
 KINDEX(1, 1011)=1
 KINDEX(2, 1011)=298
 KINDEX(1, 1012)=2
 KINDEX(2, 1012)=298
 KINDEX(1, 1013)=28
 KINDEX(2, 1013)=298
 KINDEX(1, 1014)=85
 KINDEX(2, 1014)=298
 KINDEX(1, 1015)=10
 KINDEX(2, 1015)=299
 KINDEX(1, 1016)=28
 KINDEX(2, 1016)=299
 KINDEX(1, 1017)=85
 KINDEX(2, 1017)=299
 KINDEX(1, 1018)=15
 KINDEX(2, 1018)=300
 KINDEX(1, 1019)=28
 KINDEX(2, 1019)=300
 KINDEX(1, 1020)=85
 KINDEX(2, 1020)=300
 KINDEX(1, 1021)=1
 KINDEX(2, 1021)=301
 KINDEX(1, 1022)=2
 KINDEX(2, 1022)=301
 KINDEX(1, 1023)=10
 KINDEX(2, 1023)=301
 KINDEX(1, 1024)=11
 KINDEX(2, 1024)=301
 KINDEX(1, 1025)=3
 KINDEX(2, 1025)=302
 KINDEX(1, 1026)=10
 KINDEX(2, 1026)=302
 KINDEX(1, 1027)=74
 KINDEX(2, 1027)=302
 KINDEX(1, 1028)=10
 KINDEX(2, 1028)=303
 KINDEX(1, 1029)=11
 KINDEX(2, 1029)=303
 KINDEX(1, 1030)=85
 KINDEX(2, 1030)=303
 KINDEX(1, 1031)=3
 KINDEX(2, 1031)=304
 KINDEX(1, 1032)=15
 KINDEX(2, 1032)=304
 KINDEX(1, 1033)=60
 KINDEX(2, 1033)=304
 KINDEX(1, 1034)=70
 KINDEX(2, 1034)=304
 KINDEX(1, 1035)=15
 KINDEX(2, 1035)=305
 KINDEX(1, 1036)=69
 KINDEX(2, 1036)=305
 KINDEX(1, 1037)=85
 KINDEX(2, 1037)=305
 KINDEX(1, 1038)=15
 KINDEX(2, 1038)=306
 KINDEX(1, 1039)=74
 KINDEX(2, 1039)=306
 KINDEX(1, 1040)=85
 KINDEX(2, 1040)=306
 KINDEX(1, 1041)=3
 KINDEX(2, 1041)=307
 KINDEX(1, 1042)=15
 KINDEX(2, 1042)=307
 KINDEX(1, 1043)=60
 KINDEX(2, 1043)=307
 KINDEX(1, 1044)=62
 KINDEX(2, 1044)=307
 KINDEX(1, 1045)=75
 KINDEX(2, 1045)=307
 KINDEX(1, 1046)=5
 KINDEX(2, 1046)=308
 KINDEX(1, 1047)=8
 KINDEX(2, 1047)=308
 KINDEX(1, 1048)=69
 KINDEX(2, 1048)=308
 KINDEX(1, 1049)=85
 KINDEX(2, 1049)=308
 KINDEX(1, 1050)=10
 KINDEX(2, 1050)=309
 KINDEX(1, 1051)=11
 KINDEX(2, 1051)=309
 KINDEX(1, 1052)=69
 KINDEX(2, 1052)=309
 KINDEX(1, 1053)=85
 KINDEX(2, 1053)=309
 KINDEX(1, 1054)=1
 KINDEX(2, 1054)=310
 KINDEX(1, 1055)=2
 KINDEX(2, 1055)=310
 KINDEX(1, 1056)=85
 KINDEX(2, 1056)=310
 KINDEX(1, 1057)=3
 KINDEX(2, 1057)=311
 KINDEX(1, 1058)=10
 KINDEX(2, 1058)=311
 KINDEX(1, 1059)=45
 KINDEX(2, 1059)=311
 KINDEX(1, 1060)=85
 KINDEX(2, 1060)=312
 KINDEX(1, 1061)=15
 KINDEX(2, 1061)=313
 KINDEX(1, 1062)=57
 KINDEX(2, 1062)=313
 KINDEX(1, 1063)=85
 KINDEX(2, 1063)=313
 KINDEX(1, 1064)=5
 KINDEX(2, 1064)=314
 KINDEX(1, 1065)=8
 KINDEX(2, 1065)=314
 KINDEX(1, 1066)=57
 KINDEX(2, 1066)=314
 KINDEX(1, 1067)=85
 KINDEX(2, 1067)=314
 KINDEX(1, 1068)=10
 KINDEX(2, 1068)=315
 KINDEX(1, 1069)=11
 KINDEX(2, 1069)=315
 KINDEX(1, 1070)=57
 KINDEX(2, 1070)=315
 KINDEX(1, 1071)=1
 KINDEX(2, 1071)=316
 KINDEX(1, 1072)=2
 KINDEX(2, 1072)=316
 KINDEX(1, 1073)=10
 KINDEX(2, 1073)=316
 KINDEX(1, 1074)=2
 KINDEX(2, 1074)=317
 KINDEX(1, 1075)=83
 KINDEX(2, 1075)=317
 KINDEX(1, 1076)=2
 KINDEX(2, 1076)=318
 KINDEX(1, 1077)=83
 KINDEX(2, 1077)=318
 KINDEX(1, 1078)=85
 KINDEX(2, 1078)=318
 KINDEX(1, 1079)=3
 KINDEX(2, 1079)=319
 KINDEX(1, 1080)=10
 KINDEX(2, 1080)=319
 KINDEX(1, 1081)=53
 KINDEX(2, 1081)=319
 KINDEX(1, 1082)=10
 KINDEX(2, 1082)=320
 KINDEX(1, 1083)=85
 KINDEX(2, 1083)=320
 KINDEX(1, 1084)=5
 KINDEX(2, 1084)=321
 KINDEX(1, 1085)=8
 KINDEX(2, 1085)=321
 KINDEX(1, 1086)=61
 KINDEX(2, 1086)=321
 KINDEX(1, 1087)=2
 KINDEX(2, 1087)=322
 KINDEX(1, 1088)=59
 KINDEX(2, 1088)=322
 KINDEX(1, 1089)=3
 KINDEX(2, 1089)=323
 KINDEX(1, 1090)=15
 KINDEX(2, 1090)=323
 KINDEX(1, 1091)=60
 KINDEX(2, 1091)=323
 KINDEX(1, 1092)=62
 KINDEX(2, 1092)=323
 KINDEX(1, 1093)=3
 KINDEX(2, 1093)=324
 KINDEX(1, 1094)=15
 KINDEX(2, 1094)=324
 KINDEX(1, 1095)=58
 KINDEX(2, 1095)=324
 KINDEX(1, 1096)=63
 KINDEX(2, 1096)=324
 KINDEX(1, 1097)=15
 KINDEX(2, 1097)=325
 KINDEX(1, 1098)=71
 KINDEX(2, 1098)=325
 KINDEX(1, 1099)=85
 KINDEX(2, 1099)=325
 KINDEX(1, 1100)=10
 KINDEX(2, 1100)=326
 KINDEX(1, 1101)=15
 KINDEX(2, 1101)=326
 KINDEX(1, 1102)=72
 KINDEX(2, 1102)=326
 KINDEX(1, 1103)=3
 KINDEX(2, 1103)=327
 KINDEX(1, 1104)=15
 KINDEX(2, 1104)=327
 KINDEX(1, 1105)=49
 KINDEX(2, 1105)=327
 KINDEX(1, 1106)=73
 KINDEX(2, 1106)=327
 KINDEX(1, 1107)=5
 KINDEX(2, 1107)=328
 KINDEX(1, 1108)=8
 KINDEX(2, 1108)=328
 KINDEX(1, 1109)=71
 KINDEX(2, 1109)=328
 KINDEX(1, 1110)=85
 KINDEX(2, 1110)=328
 KINDEX(1, 1111)=72
 KINDEX(2, 1111)=329
 KINDEX(1, 1112)=10
 KINDEX(2, 1112)=330
 KINDEX(1, 1113)=11
 KINDEX(2, 1113)=330
 KINDEX(1, 1114)=71
 KINDEX(2, 1114)=330
 KINDEX(1, 1115)=85
 KINDEX(2, 1115)=330
 KINDEX(1, 1116)=10
 KINDEX(2, 1116)=331
 KINDEX(1, 1117)=71
 KINDEX(2, 1117)=331
 KINDEX(1, 1118)=85
 KINDEX(2, 1118)=331
 KINDEX(1, 1119)=1
 KINDEX(2, 1119)=332
 KINDEX(1, 1120)=2
 KINDEX(2, 1120)=332
 KINDEX(1, 1121)=85
 KINDEX(2, 1121)=332
 KINDEX(1, 1122)=3
 KINDEX(2, 1122)=333
 KINDEX(1, 1123)=10
 KINDEX(2, 1123)=333
 KINDEX(1, 1124)=53
 KINDEX(2, 1124)=333
 KINDEX(1, 1125)=85
 KINDEX(2, 1125)=334
 KINDEX(1, 1126)=3
 KINDEX(2, 1126)=335
 KINDEX(1, 1127)=15
 KINDEX(2, 1127)=335
 KINDEX(1, 1128)=50
 KINDEX(2, 1128)=335
 KINDEX(1, 1129)=52
 KINDEX(2, 1129)=335
 KINDEX(1, 1130)=3
 KINDEX(2, 1130)=336
 KINDEX(1, 1131)=15
 KINDEX(2, 1131)=336
 KINDEX(1, 1132)=48
 KINDEX(2, 1132)=336
 KINDEX(1, 1133)=50
 KINDEX(2, 1133)=336
 KINDEX(1, 1134)=51
 KINDEX(2, 1134)=336
 KINDEX(1, 1135)=3
 KINDEX(2, 1135)=337
 KINDEX(1, 1136)=15
 KINDEX(2, 1136)=337
 KINDEX(1, 1137)=48
 KINDEX(2, 1137)=337
 KINDEX(1, 1138)=51
 KINDEX(2, 1138)=337
 KINDEX(1, 1139)=5
 KINDEX(2, 1139)=338
 KINDEX(1, 1140)=8
 KINDEX(2, 1140)=338
 KINDEX(1, 1141)=74
 KINDEX(2, 1141)=338
 KINDEX(1, 1142)=85
 KINDEX(2, 1142)=338
 KINDEX(1, 1143)=10
 KINDEX(2, 1143)=339
 KINDEX(1, 1144)=11
 KINDEX(2, 1144)=339
 KINDEX(1, 1145)=15
 KINDEX(2, 1145)=339
 KINDEX(1, 1146)=74
 KINDEX(2, 1146)=339
 KINDEX(1, 1147)=1
 KINDEX(2, 1147)=340
 KINDEX(1, 1148)=2
 KINDEX(2, 1148)=340
 KINDEX(1, 1149)=11
 KINDEX(2, 1149)=340
 KINDEX(1, 1150)=15
 KINDEX(2, 1150)=340
 KINDEX(1, 1151)=3
 KINDEX(2, 1151)=341
 KINDEX(1, 1152)=10
 KINDEX(2, 1152)=341
 KINDEX(1, 1153)=46
 KINDEX(2, 1153)=341
 KINDEX(1, 1154)=11
 KINDEX(2, 1154)=342
 KINDEX(1, 1155)=15
 KINDEX(2, 1155)=342
 KINDEX(1, 1156)=85
 KINDEX(2, 1156)=342
 KINDEX(1, 1157)=2
 KINDEX(2, 1157)=343
 KINDEX(1, 1158)=82
 KINDEX(2, 1158)=343
 KINDEX(1, 1159)=85
 KINDEX(2, 1159)=343
 KINDEX(1, 1160)=1
 KINDEX(2, 1160)=344
 KINDEX(1, 1161)=2
 KINDEX(2, 1161)=344
 KINDEX(1, 1162)=85
 KINDEX(2, 1162)=344
 KINDEX(1, 1163)=9
 KINDEX(2, 1163)=345
 KINDEX(1, 1164)=15
 KINDEX(2, 1164)=345
 KINDEX(1, 1165)=14
 KINDEX(2, 1165)=346
 KINDEX(1, 1166)=10
 KINDEX(2, 1166)=347
 KINDEX(1, 1167)=15
 KINDEX(2, 1167)=347
 KINDEX(1, 1168)=43
 KINDEX(2, 1168)=347
 KINDEX(1, 1169)=15
 KINDEX(2, 1169)=348
 KINDEX(1, 1170)=44
 KINDEX(2, 1170)=348
 KINDEX(1, 1171)=15
 KINDEX(2, 1171)=349
 KINDEX(1, 1172)=45
 KINDEX(2, 1172)=349
 KINDEX(1, 1173)=48
 KINDEX(2, 1173)=350
 KINDEX(1, 1174)=53
 KINDEX(2, 1174)=351
 KINDEX(1, 1175)=58
 KINDEX(2, 1175)=352
 KINDEX(1, 1176)=60
 KINDEX(2, 1176)=353
 KINDEX(1, 1177)=64
 KINDEX(2, 1177)=354
 KINDEX(1, 1178)=66
 KINDEX(2, 1178)=355
 KINDEX(1, 1179)=68
 KINDEX(2, 1179)=356
 KINDEX(1, 1180)=56
 KINDEX(2, 1180)=357
 KINDEX(1, 1181)=54
 KINDEX(2, 1181)=358
 KINDEX(1, 1182)=55
 KINDEX(2, 1182)=359
 KINDEX(1, 1183)=65
 KINDEX(2, 1183)=360
 KINDEX(1, 1184)=47
 KINDEX(2, 1184)=361
 KINDEX(1, 1185)=59
 KINDEX(2, 1185)=362
 KINDEX(1, 1186)=49
 KINDEX(2, 1186)=363
 KINDEX(1, 1187)=46
 KINDEX(2, 1187)=364
 KINDEX(1, 1188)=67
 KINDEX(2, 1188)=365
RETURN
END SUBROUTINE CH_NONZEROTERMS_GAZ
!!
!!
!!    #############################
      SUBROUTINE CH_NONZEROTERMS_AQ
!!    #############################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!
!!*** *MODD_CH_NONZEROTERMS*
!!
!!    PURPOSE
!!    -------
!       calculation of the contribution of each term in each reaction
!!
!!**  METHOD
!!    ------
!!      The contribution of reaction i to the evolution of species j
!!    is returned in PTERMS. 
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!    none
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
! check if output array is large enough
IF (KINDEXDIM.LT.1768) THEN
  STOP 'CH_NONZEROTERMS ERROR: array KINDEX is too small!'
END IF
 KINDEX(1, 1)=1
 KINDEX(2, 1)=1
 KINDEX(1, 2)=2
 KINDEX(2, 2)=1
 KINDEX(1, 3)=3
 KINDEX(2, 3)=2
 KINDEX(1, 4)=1
 KINDEX(2, 4)=3
 KINDEX(1, 5)=2
 KINDEX(2, 5)=3
 KINDEX(1, 6)=2
 KINDEX(2, 6)=4
 KINDEX(1, 7)=8
 KINDEX(2, 7)=4
 KINDEX(1, 8)=1
 KINDEX(2, 8)=5
 KINDEX(1, 9)=2
 KINDEX(2, 9)=5
 KINDEX(1, 10)=3
 KINDEX(2, 10)=5
 KINDEX(1, 11)=2
 KINDEX(2, 11)=6
 KINDEX(1, 12)=3
 KINDEX(2, 12)=6
 KINDEX(1, 13)=8
 KINDEX(2, 13)=6
 KINDEX(1, 14)=1
 KINDEX(2, 14)=7
 KINDEX(1, 15)=2
 KINDEX(2, 15)=7
 KINDEX(1, 16)=8
 KINDEX(2, 16)=7
 KINDEX(1, 17)=1
 KINDEX(2, 17)=8
 KINDEX(1, 18)=2
 KINDEX(2, 18)=8
 KINDEX(1, 19)=2
 KINDEX(2, 19)=9
 KINDEX(1, 20)=7
 KINDEX(2, 20)=9
 KINDEX(1, 21)=8
 KINDEX(2, 21)=9
 KINDEX(1, 22)=2
 KINDEX(2, 22)=10
 KINDEX(1, 23)=7
 KINDEX(2, 23)=10
 KINDEX(1, 24)=8
 KINDEX(2, 24)=10
 KINDEX(1, 25)=5
 KINDEX(2, 25)=11
 KINDEX(1, 26)=7
 KINDEX(2, 26)=11
 KINDEX(1, 27)=1
 KINDEX(2, 27)=12
 KINDEX(1, 28)=2
 KINDEX(2, 28)=12
 KINDEX(1, 29)=8
 KINDEX(2, 29)=12
 KINDEX(1, 30)=1
 KINDEX(2, 30)=13
 KINDEX(1, 31)=8
 KINDEX(2, 31)=13
 KINDEX(1, 32)=2
 KINDEX(2, 32)=14
 KINDEX(1, 33)=8
 KINDEX(2, 33)=14
 KINDEX(1, 34)=3
 KINDEX(2, 34)=15
 KINDEX(1, 35)=3
 KINDEX(2, 35)=16
 KINDEX(1, 36)=15
 KINDEX(2, 36)=17
 KINDEX(1, 37)=1
 KINDEX(2, 37)=20
 KINDEX(1, 38)=4
 KINDEX(2, 38)=20
 KINDEX(1, 39)=15
 KINDEX(2, 39)=20
 KINDEX(1, 40)=1
 KINDEX(2, 40)=21
 KINDEX(1, 41)=2
 KINDEX(2, 41)=21
 KINDEX(1, 42)=4
 KINDEX(2, 42)=21
 KINDEX(1, 43)=10
 KINDEX(2, 43)=21
 KINDEX(1, 44)=15
 KINDEX(2, 44)=21
 KINDEX(1, 45)=2
 KINDEX(2, 45)=22
 KINDEX(1, 46)=4
 KINDEX(2, 46)=22
 KINDEX(1, 47)=5
 KINDEX(2, 47)=22
 KINDEX(1, 48)=2
 KINDEX(2, 48)=23
 KINDEX(1, 49)=5
 KINDEX(2, 49)=23
 KINDEX(1, 50)=15
 KINDEX(2, 50)=23
 KINDEX(1, 51)=5
 KINDEX(2, 51)=24
 KINDEX(1, 52)=8
 KINDEX(2, 52)=24
 KINDEX(1, 53)=15
 KINDEX(2, 53)=24
 KINDEX(1, 54)=10
 KINDEX(2, 54)=25
 KINDEX(1, 55)=11
 KINDEX(2, 55)=25
 KINDEX(1, 56)=15
 KINDEX(2, 56)=25
 KINDEX(1, 57)=3
 KINDEX(2, 57)=26
 KINDEX(1, 58)=10
 KINDEX(2, 58)=26
 KINDEX(1, 59)=15
 KINDEX(2, 59)=26
 KINDEX(1, 60)=1
 KINDEX(2, 60)=27
 KINDEX(1, 61)=2
 KINDEX(2, 61)=27
 KINDEX(1, 62)=10
 KINDEX(2, 62)=27
 KINDEX(1, 63)=15
 KINDEX(2, 63)=27
 KINDEX(1, 64)=2
 KINDEX(2, 64)=28
 KINDEX(1, 65)=6
 KINDEX(2, 65)=28
 KINDEX(1, 66)=10
 KINDEX(2, 66)=28
 KINDEX(1, 67)=2
 KINDEX(2, 67)=29
 KINDEX(1, 68)=6
 KINDEX(2, 68)=29
 KINDEX(1, 69)=10
 KINDEX(2, 69)=29
 KINDEX(1, 70)=2
 KINDEX(2, 70)=30
 KINDEX(1, 71)=6
 KINDEX(2, 71)=30
 KINDEX(1, 72)=15
 KINDEX(2, 72)=30
 KINDEX(1, 73)=3
 KINDEX(2, 73)=31
 KINDEX(1, 74)=10
 KINDEX(2, 74)=31
 KINDEX(1, 75)=15
 KINDEX(2, 75)=31
 KINDEX(1, 76)=10
 KINDEX(2, 76)=32
 KINDEX(1, 77)=12
 KINDEX(2, 77)=32
 KINDEX(1, 78)=10
 KINDEX(2, 78)=33
 KINDEX(1, 79)=12
 KINDEX(2, 79)=33
 KINDEX(1, 80)=2
 KINDEX(2, 80)=34
 KINDEX(1, 81)=5
 KINDEX(2, 81)=34
 KINDEX(1, 82)=8
 KINDEX(2, 82)=34
 KINDEX(1, 83)=10
 KINDEX(2, 83)=34
 KINDEX(1, 84)=15
 KINDEX(2, 84)=34
 KINDEX(1, 85)=3
 KINDEX(2, 85)=35
 KINDEX(1, 86)=10
 KINDEX(2, 86)=36
 KINDEX(1, 87)=13
 KINDEX(2, 87)=36
 KINDEX(1, 88)=14
 KINDEX(2, 88)=36
 KINDEX(1, 89)=15
 KINDEX(2, 89)=36
 KINDEX(1, 90)=12
 KINDEX(2, 90)=37
 KINDEX(1, 91)=15
 KINDEX(2, 91)=37
 KINDEX(1, 92)=10
 KINDEX(2, 92)=38
 KINDEX(1, 93)=12
 KINDEX(2, 93)=38
 KINDEX(1, 94)=15
 KINDEX(2, 94)=38
 KINDEX(1, 95)=1
 KINDEX(2, 95)=39
 KINDEX(1, 96)=2
 KINDEX(2, 96)=39
 KINDEX(1, 97)=2
 KINDEX(2, 97)=40
 KINDEX(1, 98)=4
 KINDEX(2, 98)=40
 KINDEX(1, 99)=15
 KINDEX(2, 99)=40
 KINDEX(1, 100)=2
 KINDEX(2, 100)=41
 KINDEX(1, 101)=8
 KINDEX(2, 101)=41
 KINDEX(1, 102)=10
 KINDEX(2, 102)=41
 KINDEX(1, 103)=15
 KINDEX(2, 103)=41
 KINDEX(1, 104)=2
 KINDEX(2, 104)=42
 KINDEX(1, 105)=8
 KINDEX(2, 105)=42
 KINDEX(1, 106)=10
 KINDEX(2, 106)=43
 KINDEX(1, 107)=15
 KINDEX(2, 107)=43
 KINDEX(1, 108)=15
 KINDEX(2, 108)=44
 KINDEX(1, 109)=85
 KINDEX(2, 109)=44
 KINDEX(1, 110)=86
 KINDEX(2, 110)=44
 KINDEX(1, 111)=10
 KINDEX(2, 111)=45
 KINDEX(1, 112)=11
 KINDEX(2, 112)=45
 KINDEX(1, 113)=28
 KINDEX(2, 113)=45
 KINDEX(1, 114)=11
 KINDEX(2, 114)=46
 KINDEX(1, 115)=28
 KINDEX(2, 115)=46
 KINDEX(1, 116)=10
 KINDEX(2, 116)=47
 KINDEX(1, 117)=11
 KINDEX(2, 117)=47
 KINDEX(1, 118)=15
 KINDEX(2, 118)=47
 KINDEX(1, 119)=28
 KINDEX(2, 119)=47
 KINDEX(1, 120)=5
 KINDEX(2, 120)=48
 KINDEX(1, 121)=8
 KINDEX(2, 121)=48
 KINDEX(1, 122)=10
 KINDEX(2, 122)=48
 KINDEX(1, 123)=11
 KINDEX(2, 123)=48
 KINDEX(1, 124)=28
 KINDEX(2, 124)=48
 KINDEX(1, 125)=10
 KINDEX(2, 125)=49
 KINDEX(1, 126)=15
 KINDEX(2, 126)=49
 KINDEX(1, 127)=28
 KINDEX(2, 127)=49
 KINDEX(1, 128)=32
 KINDEX(2, 128)=49
 KINDEX(1, 129)=15
 KINDEX(2, 129)=50
 KINDEX(1, 130)=16
 KINDEX(2, 130)=50
 KINDEX(1, 131)=85
 KINDEX(2, 131)=50
 KINDEX(1, 132)=8
 KINDEX(2, 132)=51
 KINDEX(1, 133)=16
 KINDEX(2, 133)=51
 KINDEX(1, 134)=85
 KINDEX(2, 134)=51
 KINDEX(1, 135)=3
 KINDEX(2, 135)=52
 KINDEX(1, 136)=10
 KINDEX(2, 136)=52
 KINDEX(1, 137)=11
 KINDEX(2, 137)=52
 KINDEX(1, 138)=15
 KINDEX(2, 138)=52
 KINDEX(1, 139)=16
 KINDEX(2, 139)=52
 KINDEX(1, 140)=28
 KINDEX(2, 140)=52
 KINDEX(1, 141)=43
 KINDEX(2, 141)=52
 KINDEX(1, 142)=10
 KINDEX(2, 142)=53
 KINDEX(1, 143)=11
 KINDEX(2, 143)=53
 KINDEX(1, 144)=16
 KINDEX(2, 144)=53
 KINDEX(1, 145)=85
 KINDEX(2, 145)=53
 KINDEX(1, 146)=86
 KINDEX(2, 146)=53
 KINDEX(1, 147)=10
 KINDEX(2, 147)=54
 KINDEX(1, 148)=15
 KINDEX(2, 148)=54
 KINDEX(1, 149)=29
 KINDEX(2, 149)=54
 KINDEX(1, 150)=33
 KINDEX(2, 150)=54
 KINDEX(1, 151)=85
 KINDEX(2, 151)=54
 KINDEX(1, 152)=15
 KINDEX(2, 152)=55
 KINDEX(1, 153)=17
 KINDEX(2, 153)=55
 KINDEX(1, 154)=85
 KINDEX(2, 154)=55
 KINDEX(1, 155)=8
 KINDEX(2, 155)=56
 KINDEX(1, 156)=17
 KINDEX(2, 156)=56
 KINDEX(1, 157)=85
 KINDEX(2, 157)=56
 KINDEX(1, 158)=3
 KINDEX(2, 158)=57
 KINDEX(1, 159)=10
 KINDEX(2, 159)=57
 KINDEX(1, 160)=11
 KINDEX(2, 160)=57
 KINDEX(1, 161)=15
 KINDEX(2, 161)=57
 KINDEX(1, 162)=17
 KINDEX(2, 162)=57
 KINDEX(1, 163)=19
 KINDEX(2, 163)=57
 KINDEX(1, 164)=28
 KINDEX(2, 164)=57
 KINDEX(1, 165)=29
 KINDEX(2, 165)=57
 KINDEX(1, 166)=43
 KINDEX(2, 166)=57
 KINDEX(1, 167)=44
 KINDEX(2, 167)=57
 KINDEX(1, 168)=85
 KINDEX(2, 168)=57
 KINDEX(1, 169)=87
 KINDEX(2, 169)=57
 KINDEX(1, 170)=17
 KINDEX(2, 170)=58
 KINDEX(1, 171)=19
 KINDEX(2, 171)=58
 KINDEX(1, 172)=29
 KINDEX(2, 172)=58
 KINDEX(1, 173)=85
 KINDEX(2, 173)=58
 KINDEX(1, 174)=87
 KINDEX(2, 174)=58
 KINDEX(1, 175)=15
 KINDEX(2, 175)=59
 KINDEX(1, 176)=19
 KINDEX(2, 176)=59
 KINDEX(1, 177)=85
 KINDEX(2, 177)=59
 KINDEX(1, 178)=87
 KINDEX(2, 178)=59
 KINDEX(1, 179)=10
 KINDEX(2, 179)=60
 KINDEX(1, 180)=11
 KINDEX(2, 180)=60
 KINDEX(1, 181)=29
 KINDEX(2, 181)=60
 KINDEX(1, 182)=85
 KINDEX(2, 182)=60
 KINDEX(1, 183)=87
 KINDEX(2, 183)=60
 KINDEX(1, 184)=15
 KINDEX(2, 184)=61
 KINDEX(1, 185)=29
 KINDEX(2, 185)=61
 KINDEX(1, 186)=85
 KINDEX(2, 186)=61
 KINDEX(1, 187)=5
 KINDEX(2, 187)=62
 KINDEX(1, 188)=8
 KINDEX(2, 188)=62
 KINDEX(1, 189)=29
 KINDEX(2, 189)=62
 KINDEX(1, 190)=85
 KINDEX(2, 190)=62
 KINDEX(1, 191)=15
 KINDEX(2, 191)=63
 KINDEX(1, 192)=30
 KINDEX(2, 192)=63
 KINDEX(1, 193)=85
 KINDEX(2, 193)=63
 KINDEX(1, 194)=30
 KINDEX(2, 194)=64
 KINDEX(1, 195)=85
 KINDEX(2, 195)=64
 KINDEX(1, 196)=87
 KINDEX(2, 196)=64
 KINDEX(1, 197)=15
 KINDEX(2, 197)=65
 KINDEX(1, 198)=35
 KINDEX(2, 198)=65
 KINDEX(1, 199)=85
 KINDEX(2, 199)=65
 KINDEX(1, 200)=8
 KINDEX(2, 200)=66
 KINDEX(1, 201)=35
 KINDEX(2, 201)=66
 KINDEX(1, 202)=85
 KINDEX(2, 202)=66
 KINDEX(1, 203)=3
 KINDEX(2, 203)=67
 KINDEX(1, 204)=10
 KINDEX(2, 204)=67
 KINDEX(1, 205)=11
 KINDEX(2, 205)=67
 KINDEX(1, 206)=15
 KINDEX(2, 206)=67
 KINDEX(1, 207)=17
 KINDEX(2, 207)=67
 KINDEX(1, 208)=28
 KINDEX(2, 208)=67
 KINDEX(1, 209)=35
 KINDEX(2, 209)=67
 KINDEX(1, 210)=39
 KINDEX(2, 210)=67
 KINDEX(1, 211)=40
 KINDEX(2, 211)=67
 KINDEX(1, 212)=43
 KINDEX(2, 212)=67
 KINDEX(1, 213)=85
 KINDEX(2, 213)=67
 KINDEX(1, 214)=17
 KINDEX(2, 214)=68
 KINDEX(1, 215)=29
 KINDEX(2, 215)=68
 KINDEX(1, 216)=35
 KINDEX(2, 216)=68
 KINDEX(1, 217)=15
 KINDEX(2, 217)=69
 KINDEX(1, 218)=38
 KINDEX(2, 218)=69
 KINDEX(1, 219)=85
 KINDEX(2, 219)=69
 KINDEX(1, 220)=15
 KINDEX(2, 220)=70
 KINDEX(1, 221)=34
 KINDEX(2, 221)=70
 KINDEX(1, 222)=85
 KINDEX(2, 222)=70
 KINDEX(1, 223)=15
 KINDEX(2, 223)=71
 KINDEX(1, 224)=31
 KINDEX(2, 224)=71
 KINDEX(1, 225)=85
 KINDEX(2, 225)=71
 KINDEX(1, 226)=31
 KINDEX(2, 226)=72
 KINDEX(1, 227)=85
 KINDEX(2, 227)=72
 KINDEX(1, 228)=87
 KINDEX(2, 228)=72
 KINDEX(1, 229)=5
 KINDEX(2, 229)=73
 KINDEX(1, 230)=8
 KINDEX(2, 230)=73
 KINDEX(1, 231)=24
 KINDEX(2, 231)=73
 KINDEX(1, 232)=10
 KINDEX(2, 232)=74
 KINDEX(1, 233)=15
 KINDEX(2, 233)=74
 KINDEX(1, 234)=24
 KINDEX(2, 234)=74
 KINDEX(1, 235)=85
 KINDEX(2, 235)=74
 KINDEX(1, 236)=15
 KINDEX(2, 236)=75
 KINDEX(1, 237)=18
 KINDEX(2, 237)=75
 KINDEX(1, 238)=85
 KINDEX(2, 238)=75
 KINDEX(1, 239)=8
 KINDEX(2, 239)=76
 KINDEX(1, 240)=18
 KINDEX(2, 240)=76
 KINDEX(1, 241)=85
 KINDEX(2, 241)=76
 KINDEX(1, 242)=3
 KINDEX(2, 242)=77
 KINDEX(1, 243)=10
 KINDEX(2, 243)=77
 KINDEX(1, 244)=11
 KINDEX(2, 244)=77
 KINDEX(1, 245)=15
 KINDEX(2, 245)=77
 KINDEX(1, 246)=18
 KINDEX(2, 246)=77
 KINDEX(1, 247)=20
 KINDEX(2, 247)=77
 KINDEX(1, 248)=28
 KINDEX(2, 248)=77
 KINDEX(1, 249)=45
 KINDEX(2, 249)=77
 KINDEX(1, 250)=69
 KINDEX(2, 250)=77
 KINDEX(1, 251)=85
 KINDEX(2, 251)=77
 KINDEX(1, 252)=18
 KINDEX(2, 252)=78
 KINDEX(1, 253)=20
 KINDEX(2, 253)=78
 KINDEX(1, 254)=69
 KINDEX(2, 254)=78
 KINDEX(1, 255)=85
 KINDEX(2, 255)=78
 KINDEX(1, 256)=15
 KINDEX(2, 256)=79
 KINDEX(1, 257)=20
 KINDEX(2, 257)=79
 KINDEX(1, 258)=85
 KINDEX(2, 258)=79
 KINDEX(1, 259)=10
 KINDEX(2, 259)=80
 KINDEX(1, 260)=15
 KINDEX(2, 260)=80
 KINDEX(1, 261)=23
 KINDEX(2, 261)=80
 KINDEX(1, 262)=24
 KINDEX(2, 262)=80
 KINDEX(1, 263)=85
 KINDEX(2, 263)=80
 KINDEX(1, 264)=10
 KINDEX(2, 264)=81
 KINDEX(1, 265)=15
 KINDEX(2, 265)=81
 KINDEX(1, 266)=22
 KINDEX(2, 266)=81
 KINDEX(1, 267)=24
 KINDEX(2, 267)=81
 KINDEX(1, 268)=3
 KINDEX(2, 268)=82
 KINDEX(1, 269)=5
 KINDEX(2, 269)=82
 KINDEX(1, 270)=8
 KINDEX(2, 270)=82
 KINDEX(1, 271)=25
 KINDEX(2, 271)=82
 KINDEX(1, 272)=26
 KINDEX(2, 272)=82
 KINDEX(1, 273)=3
 KINDEX(2, 273)=83
 KINDEX(1, 274)=10
 KINDEX(2, 274)=83
 KINDEX(1, 275)=15
 KINDEX(2, 275)=83
 KINDEX(1, 276)=25
 KINDEX(2, 276)=83
 KINDEX(1, 277)=26
 KINDEX(2, 277)=83
 KINDEX(1, 278)=75
 KINDEX(2, 278)=83
 KINDEX(1, 279)=85
 KINDEX(2, 279)=83
 KINDEX(1, 280)=10
 KINDEX(2, 280)=84
 KINDEX(1, 281)=15
 KINDEX(2, 281)=84
 KINDEX(1, 282)=26
 KINDEX(2, 282)=84
 KINDEX(1, 283)=60
 KINDEX(2, 283)=84
 KINDEX(1, 284)=85
 KINDEX(2, 284)=84
 KINDEX(1, 285)=15
 KINDEX(2, 285)=85
 KINDEX(1, 286)=36
 KINDEX(2, 286)=85
 KINDEX(1, 287)=85
 KINDEX(2, 287)=85
 KINDEX(1, 288)=8
 KINDEX(2, 288)=86
 KINDEX(1, 289)=36
 KINDEX(2, 289)=86
 KINDEX(1, 290)=85
 KINDEX(2, 290)=86
 KINDEX(1, 291)=3
 KINDEX(2, 291)=87
 KINDEX(1, 292)=10
 KINDEX(2, 292)=87
 KINDEX(1, 293)=11
 KINDEX(2, 293)=87
 KINDEX(1, 294)=12
 KINDEX(2, 294)=87
 KINDEX(1, 295)=15
 KINDEX(2, 295)=87
 KINDEX(1, 296)=36
 KINDEX(2, 296)=87
 KINDEX(1, 297)=53
 KINDEX(2, 297)=87
 KINDEX(1, 298)=57
 KINDEX(2, 298)=87
 KINDEX(1, 299)=85
 KINDEX(2, 299)=87
 KINDEX(1, 300)=36
 KINDEX(2, 300)=88
 KINDEX(1, 301)=68
 KINDEX(2, 301)=88
 KINDEX(1, 302)=15
 KINDEX(2, 302)=89
 KINDEX(1, 303)=37
 KINDEX(2, 303)=89
 KINDEX(1, 304)=85
 KINDEX(2, 304)=89
 KINDEX(1, 305)=8
 KINDEX(2, 305)=90
 KINDEX(1, 306)=37
 KINDEX(2, 306)=90
 KINDEX(1, 307)=85
 KINDEX(2, 307)=90
 KINDEX(1, 308)=3
 KINDEX(2, 308)=91
 KINDEX(1, 309)=11
 KINDEX(2, 309)=91
 KINDEX(1, 310)=12
 KINDEX(2, 310)=91
 KINDEX(1, 311)=15
 KINDEX(2, 311)=91
 KINDEX(1, 312)=37
 KINDEX(2, 312)=91
 KINDEX(1, 313)=54
 KINDEX(2, 313)=91
 KINDEX(1, 314)=56
 KINDEX(2, 314)=91
 KINDEX(1, 315)=85
 KINDEX(2, 315)=91
 KINDEX(1, 316)=37
 KINDEX(2, 316)=92
 KINDEX(1, 317)=10
 KINDEX(2, 317)=93
 KINDEX(1, 318)=15
 KINDEX(2, 318)=93
 KINDEX(1, 319)=27
 KINDEX(2, 319)=93
 KINDEX(1, 320)=64
 KINDEX(2, 320)=93
 KINDEX(1, 321)=85
 KINDEX(2, 321)=93
 KINDEX(1, 322)=15
 KINDEX(2, 322)=94
 KINDEX(1, 323)=21
 KINDEX(2, 323)=94
 KINDEX(1, 324)=85
 KINDEX(2, 324)=94
 KINDEX(1, 325)=10
 KINDEX(2, 325)=95
 KINDEX(1, 326)=85
 KINDEX(2, 326)=95
 KINDEX(1, 327)=1
 KINDEX(2, 327)=96
 KINDEX(1, 328)=85
 KINDEX(2, 328)=96
 KINDEX(1, 329)=85
 KINDEX(2, 329)=97
 KINDEX(1, 330)=85
 KINDEX(2, 330)=98
 KINDEX(1, 331)=85
 KINDEX(2, 331)=99
 KINDEX(1, 332)=85
 KINDEX(2, 332)=100
 KINDEX(1, 333)=85
 KINDEX(2, 333)=101
 KINDEX(1, 334)=85
 KINDEX(2, 334)=102
 KINDEX(1, 335)=85
 KINDEX(2, 335)=103
 KINDEX(1, 336)=2
 KINDEX(2, 336)=104
 KINDEX(1, 337)=61
 KINDEX(2, 337)=104
 KINDEX(1, 338)=2
 KINDEX(2, 338)=105
 KINDEX(1, 339)=61
 KINDEX(2, 339)=105
 KINDEX(1, 340)=2
 KINDEX(2, 340)=106
 KINDEX(1, 341)=2
 KINDEX(2, 341)=107
 KINDEX(1, 342)=2
 KINDEX(2, 342)=108
 KINDEX(1, 343)=70
 KINDEX(2, 343)=108
 KINDEX(1, 344)=2
 KINDEX(2, 344)=109
 KINDEX(1, 345)=60
 KINDEX(2, 345)=109
 KINDEX(1, 346)=2
 KINDEX(2, 346)=110
 KINDEX(1, 347)=64
 KINDEX(2, 347)=110
 KINDEX(1, 348)=1
 KINDEX(2, 348)=111
 KINDEX(1, 349)=2
 KINDEX(2, 349)=111
 KINDEX(1, 350)=10
 KINDEX(2, 350)=111
 KINDEX(1, 351)=28
 KINDEX(2, 351)=111
 KINDEX(1, 352)=86
 KINDEX(2, 352)=111
 KINDEX(1, 353)=10
 KINDEX(2, 353)=112
 KINDEX(1, 354)=28
 KINDEX(2, 354)=112
 KINDEX(1, 355)=85
 KINDEX(2, 355)=112
 KINDEX(1, 356)=86
 KINDEX(2, 356)=112
 KINDEX(1, 357)=10
 KINDEX(2, 357)=113
 KINDEX(1, 358)=15
 KINDEX(2, 358)=113
 KINDEX(1, 359)=28
 KINDEX(2, 359)=113
 KINDEX(1, 360)=86
 KINDEX(2, 360)=113
 KINDEX(1, 361)=1
 KINDEX(2, 361)=114
 KINDEX(1, 362)=2
 KINDEX(2, 362)=114
 KINDEX(1, 363)=10
 KINDEX(2, 363)=114
 KINDEX(1, 364)=28
 KINDEX(2, 364)=114
 KINDEX(1, 365)=29
 KINDEX(2, 365)=114
 KINDEX(1, 366)=10
 KINDEX(2, 366)=115
 KINDEX(1, 367)=28
 KINDEX(2, 367)=115
 KINDEX(1, 368)=29
 KINDEX(2, 368)=115
 KINDEX(1, 369)=85
 KINDEX(2, 369)=115
 KINDEX(1, 370)=10
 KINDEX(2, 370)=116
 KINDEX(1, 371)=15
 KINDEX(2, 371)=116
 KINDEX(1, 372)=28
 KINDEX(2, 372)=116
 KINDEX(1, 373)=29
 KINDEX(2, 373)=116
 KINDEX(1, 374)=1
 KINDEX(2, 374)=117
 KINDEX(1, 375)=2
 KINDEX(2, 375)=117
 KINDEX(1, 376)=28
 KINDEX(2, 376)=117
 KINDEX(1, 377)=29
 KINDEX(2, 377)=117
 KINDEX(1, 378)=2
 KINDEX(2, 378)=118
 KINDEX(1, 379)=10
 KINDEX(2, 379)=118
 KINDEX(1, 380)=28
 KINDEX(2, 380)=118
 KINDEX(1, 381)=29
 KINDEX(2, 381)=118
 KINDEX(1, 382)=85
 KINDEX(2, 382)=118
 KINDEX(1, 383)=2
 KINDEX(2, 383)=119
 KINDEX(1, 384)=10
 KINDEX(2, 384)=119
 KINDEX(1, 385)=15
 KINDEX(2, 385)=119
 KINDEX(1, 386)=28
 KINDEX(2, 386)=119
 KINDEX(1, 387)=29
 KINDEX(2, 387)=119
 KINDEX(1, 388)=1
 KINDEX(2, 388)=120
 KINDEX(1, 389)=2
 KINDEX(2, 389)=120
 KINDEX(1, 390)=10
 KINDEX(2, 390)=120
 KINDEX(1, 391)=11
 KINDEX(2, 391)=120
 KINDEX(1, 392)=28
 KINDEX(2, 392)=120
 KINDEX(1, 393)=10
 KINDEX(2, 393)=121
 KINDEX(1, 394)=11
 KINDEX(2, 394)=121
 KINDEX(1, 395)=28
 KINDEX(2, 395)=121
 KINDEX(1, 396)=85
 KINDEX(2, 396)=121
 KINDEX(1, 397)=10
 KINDEX(2, 397)=122
 KINDEX(1, 398)=11
 KINDEX(2, 398)=122
 KINDEX(1, 399)=15
 KINDEX(2, 399)=122
 KINDEX(1, 400)=28
 KINDEX(2, 400)=122
 KINDEX(1, 401)=1
 KINDEX(2, 401)=123
 KINDEX(1, 402)=2
 KINDEX(2, 402)=123
 KINDEX(1, 403)=10
 KINDEX(2, 403)=123
 KINDEX(1, 404)=19
 KINDEX(2, 404)=123
 KINDEX(1, 405)=29
 KINDEX(2, 405)=123
 KINDEX(1, 406)=87
 KINDEX(2, 406)=123
 KINDEX(1, 407)=10
 KINDEX(2, 407)=124
 KINDEX(1, 408)=29
 KINDEX(2, 408)=124
 KINDEX(1, 409)=85
 KINDEX(2, 409)=124
 KINDEX(1, 410)=87
 KINDEX(2, 410)=124
 KINDEX(1, 411)=10
 KINDEX(2, 411)=125
 KINDEX(1, 412)=15
 KINDEX(2, 412)=125
 KINDEX(1, 413)=29
 KINDEX(2, 413)=125
 KINDEX(1, 414)=87
 KINDEX(2, 414)=125
 KINDEX(1, 415)=1
 KINDEX(2, 415)=126
 KINDEX(1, 416)=2
 KINDEX(2, 416)=126
 KINDEX(1, 417)=85
 KINDEX(2, 417)=126
 KINDEX(1, 418)=87
 KINDEX(2, 418)=126
 KINDEX(1, 419)=2
 KINDEX(2, 419)=127
 KINDEX(1, 420)=77
 KINDEX(2, 420)=127
 KINDEX(1, 421)=2
 KINDEX(2, 421)=128
 KINDEX(1, 422)=78
 KINDEX(2, 422)=128
 KINDEX(1, 423)=2
 KINDEX(2, 423)=129
 KINDEX(1, 424)=79
 KINDEX(2, 424)=129
 KINDEX(1, 425)=2
 KINDEX(2, 425)=130
 KINDEX(1, 426)=80
 KINDEX(2, 426)=130
 KINDEX(1, 427)=2
 KINDEX(2, 427)=131
 KINDEX(1, 428)=76
 KINDEX(2, 428)=131
 KINDEX(1, 429)=2
 KINDEX(2, 429)=132
 KINDEX(1, 430)=81
 KINDEX(2, 430)=132
 KINDEX(1, 431)=2
 KINDEX(2, 431)=133
 KINDEX(1, 432)=82
 KINDEX(2, 432)=133
 KINDEX(1, 433)=2
 KINDEX(2, 433)=134
 KINDEX(1, 434)=76
 KINDEX(2, 434)=134
 KINDEX(1, 435)=2
 KINDEX(2, 435)=135
 KINDEX(1, 436)=84
 KINDEX(2, 436)=135
 KINDEX(1, 437)=2
 KINDEX(2, 437)=136
 KINDEX(1, 438)=77
 KINDEX(2, 438)=136
 KINDEX(1, 439)=85
 KINDEX(2, 439)=136
 KINDEX(1, 440)=2
 KINDEX(2, 440)=137
 KINDEX(1, 441)=78
 KINDEX(2, 441)=137
 KINDEX(1, 442)=85
 KINDEX(2, 442)=137
 KINDEX(1, 443)=2
 KINDEX(2, 443)=138
 KINDEX(1, 444)=79
 KINDEX(2, 444)=138
 KINDEX(1, 445)=85
 KINDEX(2, 445)=138
 KINDEX(1, 446)=2
 KINDEX(2, 446)=139
 KINDEX(1, 447)=84
 KINDEX(2, 447)=139
 KINDEX(1, 448)=85
 KINDEX(2, 448)=139
 KINDEX(1, 449)=2
 KINDEX(2, 449)=140
 KINDEX(1, 450)=76
 KINDEX(2, 450)=140
 KINDEX(1, 451)=85
 KINDEX(2, 451)=140
 KINDEX(1, 452)=2
 KINDEX(2, 452)=141
 KINDEX(1, 453)=81
 KINDEX(2, 453)=141
 KINDEX(1, 454)=85
 KINDEX(2, 454)=141
 KINDEX(1, 455)=2
 KINDEX(2, 455)=142
 KINDEX(1, 456)=80
 KINDEX(2, 456)=142
 KINDEX(1, 457)=85
 KINDEX(2, 457)=142
 KINDEX(1, 458)=3
 KINDEX(2, 458)=143
 KINDEX(1, 459)=10
 KINDEX(2, 459)=143
 KINDEX(1, 460)=44
 KINDEX(2, 460)=143
 KINDEX(1, 461)=45
 KINDEX(2, 461)=143
 KINDEX(1, 462)=85
 KINDEX(2, 462)=144
 KINDEX(1, 463)=87
 KINDEX(2, 463)=144
 KINDEX(1, 464)=1
 KINDEX(2, 464)=145
 KINDEX(1, 465)=2
 KINDEX(2, 465)=145
 KINDEX(1, 466)=29
 KINDEX(2, 466)=145
 KINDEX(1, 467)=85
 KINDEX(2, 467)=145
 KINDEX(1, 468)=29
 KINDEX(2, 468)=146
 KINDEX(1, 469)=85
 KINDEX(2, 469)=146
 KINDEX(1, 470)=10
 KINDEX(2, 470)=147
 KINDEX(1, 471)=15
 KINDEX(2, 471)=147
 KINDEX(1, 472)=29
 KINDEX(2, 472)=147
 KINDEX(1, 473)=85
 KINDEX(2, 473)=147
 KINDEX(1, 474)=1
 KINDEX(2, 474)=148
 KINDEX(1, 475)=2
 KINDEX(2, 475)=148
 KINDEX(1, 476)=85
 KINDEX(2, 476)=148
 KINDEX(1, 477)=86
 KINDEX(2, 477)=148
 KINDEX(1, 478)=3
 KINDEX(2, 478)=149
 KINDEX(1, 479)=10
 KINDEX(2, 479)=149
 KINDEX(1, 480)=44
 KINDEX(2, 480)=149
 KINDEX(1, 481)=85
 KINDEX(2, 481)=150
 KINDEX(1, 482)=86
 KINDEX(2, 482)=150
 KINDEX(1, 483)=1
 KINDEX(2, 483)=151
 KINDEX(1, 484)=2
 KINDEX(2, 484)=151
 KINDEX(1, 485)=10
 KINDEX(2, 485)=151
 KINDEX(1, 486)=17
 KINDEX(2, 486)=151
 KINDEX(1, 487)=28
 KINDEX(2, 487)=151
 KINDEX(1, 488)=39
 KINDEX(2, 488)=151
 KINDEX(1, 489)=10
 KINDEX(2, 489)=152
 KINDEX(1, 490)=28
 KINDEX(2, 490)=152
 KINDEX(1, 491)=39
 KINDEX(2, 491)=152
 KINDEX(1, 492)=85
 KINDEX(2, 492)=152
 KINDEX(1, 493)=10
 KINDEX(2, 493)=153
 KINDEX(1, 494)=15
 KINDEX(2, 494)=153
 KINDEX(1, 495)=28
 KINDEX(2, 495)=153
 KINDEX(1, 496)=39
 KINDEX(2, 496)=153
 KINDEX(1, 497)=1
 KINDEX(2, 497)=154
 KINDEX(1, 498)=2
 KINDEX(2, 498)=154
 KINDEX(1, 499)=10
 KINDEX(2, 499)=154
 KINDEX(1, 500)=28
 KINDEX(2, 500)=154
 KINDEX(1, 501)=40
 KINDEX(2, 501)=154
 KINDEX(1, 502)=10
 KINDEX(2, 502)=155
 KINDEX(1, 503)=28
 KINDEX(2, 503)=155
 KINDEX(1, 504)=40
 KINDEX(2, 504)=155
 KINDEX(1, 505)=85
 KINDEX(2, 505)=155
 KINDEX(1, 506)=10
 KINDEX(2, 506)=156
 KINDEX(1, 507)=15
 KINDEX(2, 507)=156
 KINDEX(1, 508)=28
 KINDEX(2, 508)=156
 KINDEX(1, 509)=40
 KINDEX(2, 509)=156
 KINDEX(1, 510)=1
 KINDEX(2, 510)=157
 KINDEX(1, 511)=2
 KINDEX(2, 511)=157
 KINDEX(1, 512)=28
 KINDEX(2, 512)=157
 KINDEX(1, 513)=39
 KINDEX(2, 513)=157
 KINDEX(1, 514)=2
 KINDEX(2, 514)=158
 KINDEX(1, 515)=28
 KINDEX(2, 515)=158
 KINDEX(1, 516)=39
 KINDEX(2, 516)=158
 KINDEX(1, 517)=85
 KINDEX(2, 517)=158
 KINDEX(1, 518)=2
 KINDEX(2, 518)=159
 KINDEX(1, 519)=10
 KINDEX(2, 519)=159
 KINDEX(1, 520)=15
 KINDEX(2, 520)=159
 KINDEX(1, 521)=28
 KINDEX(2, 521)=159
 KINDEX(1, 522)=39
 KINDEX(2, 522)=159
 KINDEX(1, 523)=1
 KINDEX(2, 523)=160
 KINDEX(1, 524)=2
 KINDEX(2, 524)=160
 KINDEX(1, 525)=28
 KINDEX(2, 525)=160
 KINDEX(1, 526)=40
 KINDEX(2, 526)=160
 KINDEX(1, 527)=2
 KINDEX(2, 527)=161
 KINDEX(1, 528)=28
 KINDEX(2, 528)=161
 KINDEX(1, 529)=40
 KINDEX(2, 529)=161
 KINDEX(1, 530)=85
 KINDEX(2, 530)=161
 KINDEX(1, 531)=2
 KINDEX(2, 531)=162
 KINDEX(1, 532)=10
 KINDEX(2, 532)=162
 KINDEX(1, 533)=15
 KINDEX(2, 533)=162
 KINDEX(1, 534)=28
 KINDEX(2, 534)=162
 KINDEX(1, 535)=40
 KINDEX(2, 535)=162
 KINDEX(1, 536)=1
 KINDEX(2, 536)=163
 KINDEX(1, 537)=2
 KINDEX(2, 537)=163
 KINDEX(1, 538)=28
 KINDEX(2, 538)=163
 KINDEX(1, 539)=85
 KINDEX(2, 539)=163
 KINDEX(1, 540)=28
 KINDEX(2, 540)=164
 KINDEX(1, 541)=85
 KINDEX(2, 541)=164
 KINDEX(1, 542)=10
 KINDEX(2, 542)=165
 KINDEX(1, 543)=15
 KINDEX(2, 543)=165
 KINDEX(1, 544)=28
 KINDEX(2, 544)=165
 KINDEX(1, 545)=85
 KINDEX(2, 545)=165
 KINDEX(1, 546)=1
 KINDEX(2, 546)=166
 KINDEX(1, 547)=2
 KINDEX(2, 547)=166
 KINDEX(1, 548)=85
 KINDEX(2, 548)=166
 KINDEX(1, 549)=3
 KINDEX(2, 549)=167
 KINDEX(1, 550)=10
 KINDEX(2, 550)=167
 KINDEX(1, 551)=17
 KINDEX(2, 551)=167
 KINDEX(1, 552)=44
 KINDEX(2, 552)=167
 KINDEX(1, 553)=85
 KINDEX(2, 553)=168
 KINDEX(1, 554)=1
 KINDEX(2, 554)=169
 KINDEX(1, 555)=2
 KINDEX(2, 555)=169
 KINDEX(1, 556)=17
 KINDEX(2, 556)=169
 KINDEX(1, 557)=85
 KINDEX(2, 557)=169
 KINDEX(1, 558)=85
 KINDEX(2, 558)=170
 KINDEX(1, 559)=10
 KINDEX(2, 559)=171
 KINDEX(1, 560)=15
 KINDEX(2, 560)=171
 KINDEX(1, 561)=85
 KINDEX(2, 561)=171
 KINDEX(1, 562)=1
 KINDEX(2, 562)=172
 KINDEX(1, 563)=2
 KINDEX(2, 563)=172
 KINDEX(1, 564)=10
 KINDEX(2, 564)=172
 KINDEX(1, 565)=19
 KINDEX(2, 565)=172
 KINDEX(1, 566)=28
 KINDEX(2, 566)=172
 KINDEX(1, 567)=29
 KINDEX(2, 567)=172
 KINDEX(1, 568)=30
 KINDEX(2, 568)=172
 KINDEX(1, 569)=10
 KINDEX(2, 569)=173
 KINDEX(1, 570)=19
 KINDEX(2, 570)=173
 KINDEX(1, 571)=28
 KINDEX(2, 571)=173
 KINDEX(1, 572)=29
 KINDEX(2, 572)=173
 KINDEX(1, 573)=30
 KINDEX(2, 573)=173
 KINDEX(1, 574)=85
 KINDEX(2, 574)=173
 KINDEX(1, 575)=10
 KINDEX(2, 575)=174
 KINDEX(1, 576)=15
 KINDEX(2, 576)=174
 KINDEX(1, 577)=19
 KINDEX(2, 577)=174
 KINDEX(1, 578)=28
 KINDEX(2, 578)=174
 KINDEX(1, 579)=29
 KINDEX(2, 579)=174
 KINDEX(1, 580)=30
 KINDEX(2, 580)=174
 KINDEX(1, 581)=1
 KINDEX(2, 581)=175
 KINDEX(1, 582)=2
 KINDEX(2, 582)=175
 KINDEX(1, 583)=29
 KINDEX(2, 583)=175
 KINDEX(1, 584)=85
 KINDEX(2, 584)=175
 KINDEX(1, 585)=29
 KINDEX(2, 585)=176
 KINDEX(1, 586)=85
 KINDEX(2, 586)=176
 KINDEX(1, 587)=10
 KINDEX(2, 587)=177
 KINDEX(1, 588)=15
 KINDEX(2, 588)=177
 KINDEX(1, 589)=29
 KINDEX(2, 589)=177
 KINDEX(1, 590)=85
 KINDEX(2, 590)=177
 KINDEX(1, 591)=1
 KINDEX(2, 591)=178
 KINDEX(1, 592)=2
 KINDEX(2, 592)=178
 KINDEX(1, 593)=10
 KINDEX(2, 593)=178
 KINDEX(1, 594)=58
 KINDEX(2, 594)=178
 KINDEX(1, 595)=75
 KINDEX(2, 595)=178
 KINDEX(1, 596)=10
 KINDEX(2, 596)=179
 KINDEX(1, 597)=75
 KINDEX(2, 597)=179
 KINDEX(1, 598)=85
 KINDEX(2, 598)=179
 KINDEX(1, 599)=10
 KINDEX(2, 599)=180
 KINDEX(1, 600)=15
 KINDEX(2, 600)=180
 KINDEX(1, 601)=75
 KINDEX(2, 601)=180
 KINDEX(1, 602)=1
 KINDEX(2, 602)=181
 KINDEX(1, 603)=2
 KINDEX(2, 603)=181
 KINDEX(1, 604)=10
 KINDEX(2, 604)=181
 KINDEX(1, 605)=10
 KINDEX(2, 605)=182
 KINDEX(1, 606)=85
 KINDEX(2, 606)=182
 KINDEX(1, 607)=10
 KINDEX(2, 607)=183
 KINDEX(1, 608)=15
 KINDEX(2, 608)=183
 KINDEX(1, 609)=1
 KINDEX(2, 609)=184
 KINDEX(1, 610)=2
 KINDEX(2, 610)=184
 KINDEX(1, 611)=28
 KINDEX(2, 611)=184
 KINDEX(1, 612)=69
 KINDEX(2, 612)=184
 KINDEX(1, 613)=2
 KINDEX(2, 613)=185
 KINDEX(1, 614)=28
 KINDEX(2, 614)=185
 KINDEX(1, 615)=69
 KINDEX(2, 615)=185
 KINDEX(1, 616)=85
 KINDEX(2, 616)=185
 KINDEX(1, 617)=2
 KINDEX(2, 617)=186
 KINDEX(1, 618)=10
 KINDEX(2, 618)=186
 KINDEX(1, 619)=15
 KINDEX(2, 619)=186
 KINDEX(1, 620)=28
 KINDEX(2, 620)=186
 KINDEX(1, 621)=69
 KINDEX(2, 621)=186
 KINDEX(1, 622)=1
 KINDEX(2, 622)=187
 KINDEX(1, 623)=2
 KINDEX(2, 623)=187
 KINDEX(1, 624)=85
 KINDEX(2, 624)=187
 KINDEX(1, 625)=85
 KINDEX(2, 625)=188
 KINDEX(1, 626)=10
 KINDEX(2, 626)=189
 KINDEX(1, 627)=15
 KINDEX(2, 627)=189
 KINDEX(1, 628)=85
 KINDEX(2, 628)=189
 KINDEX(1, 629)=1
 KINDEX(2, 629)=190
 KINDEX(1, 630)=2
 KINDEX(2, 630)=190
 KINDEX(1, 631)=10
 KINDEX(2, 631)=190
 KINDEX(1, 632)=25
 KINDEX(2, 632)=190
 KINDEX(1, 633)=10
 KINDEX(2, 633)=191
 KINDEX(1, 634)=25
 KINDEX(2, 634)=191
 KINDEX(1, 635)=85
 KINDEX(2, 635)=191
 KINDEX(1, 636)=10
 KINDEX(2, 636)=192
 KINDEX(1, 637)=15
 KINDEX(2, 637)=192
 KINDEX(1, 638)=25
 KINDEX(2, 638)=192
 KINDEX(1, 639)=1
 KINDEX(2, 639)=193
 KINDEX(1, 640)=2
 KINDEX(2, 640)=193
 KINDEX(1, 641)=10
 KINDEX(2, 641)=193
 KINDEX(1, 642)=75
 KINDEX(2, 642)=193
 KINDEX(1, 643)=10
 KINDEX(2, 643)=194
 KINDEX(1, 644)=75
 KINDEX(2, 644)=194
 KINDEX(1, 645)=85
 KINDEX(2, 645)=194
 KINDEX(1, 646)=10
 KINDEX(2, 646)=195
 KINDEX(1, 647)=15
 KINDEX(2, 647)=195
 KINDEX(1, 648)=75
 KINDEX(2, 648)=195
 KINDEX(1, 649)=1
 KINDEX(2, 649)=196
 KINDEX(1, 650)=2
 KINDEX(2, 650)=196
 KINDEX(1, 651)=10
 KINDEX(2, 651)=196
 KINDEX(1, 652)=58
 KINDEX(2, 652)=196
 KINDEX(1, 653)=62
 KINDEX(2, 653)=196
 KINDEX(1, 654)=10
 KINDEX(2, 654)=197
 KINDEX(1, 655)=62
 KINDEX(2, 655)=197
 KINDEX(1, 656)=85
 KINDEX(2, 656)=197
 KINDEX(1, 657)=10
 KINDEX(2, 657)=198
 KINDEX(1, 658)=15
 KINDEX(2, 658)=198
 KINDEX(1, 659)=62
 KINDEX(2, 659)=198
 KINDEX(1, 660)=1
 KINDEX(2, 660)=199
 KINDEX(1, 661)=2
 KINDEX(2, 661)=199
 KINDEX(1, 662)=10
 KINDEX(2, 662)=199
 KINDEX(1, 663)=57
 KINDEX(2, 663)=199
 KINDEX(1, 664)=67
 KINDEX(2, 664)=199
 KINDEX(1, 665)=10
 KINDEX(2, 665)=200
 KINDEX(1, 666)=57
 KINDEX(2, 666)=200
 KINDEX(1, 667)=85
 KINDEX(2, 667)=200
 KINDEX(1, 668)=10
 KINDEX(2, 668)=201
 KINDEX(1, 669)=15
 KINDEX(2, 669)=201
 KINDEX(1, 670)=57
 KINDEX(2, 670)=201
 KINDEX(1, 671)=1
 KINDEX(2, 671)=202
 KINDEX(1, 672)=2
 KINDEX(2, 672)=202
 KINDEX(1, 673)=57
 KINDEX(2, 673)=202
 KINDEX(1, 674)=2
 KINDEX(2, 674)=203
 KINDEX(1, 675)=57
 KINDEX(2, 675)=203
 KINDEX(1, 676)=85
 KINDEX(2, 676)=203
 KINDEX(1, 677)=2
 KINDEX(2, 677)=204
 KINDEX(1, 678)=10
 KINDEX(2, 678)=204
 KINDEX(1, 679)=15
 KINDEX(2, 679)=204
 KINDEX(1, 680)=57
 KINDEX(2, 680)=204
 KINDEX(1, 681)=1
 KINDEX(2, 681)=205
 KINDEX(1, 682)=2
 KINDEX(2, 682)=205
 KINDEX(1, 683)=55
 KINDEX(2, 683)=205
 KINDEX(1, 684)=85
 KINDEX(2, 684)=205
 KINDEX(1, 685)=55
 KINDEX(2, 685)=206
 KINDEX(1, 686)=85
 KINDEX(2, 686)=206
 KINDEX(1, 687)=10
 KINDEX(2, 687)=207
 KINDEX(1, 688)=15
 KINDEX(2, 688)=207
 KINDEX(1, 689)=55
 KINDEX(2, 689)=207
 KINDEX(1, 690)=85
 KINDEX(2, 690)=207
 KINDEX(1, 691)=1
 KINDEX(2, 691)=208
 KINDEX(1, 692)=2
 KINDEX(2, 692)=208
 KINDEX(1, 693)=10
 KINDEX(2, 693)=208
 KINDEX(1, 694)=56
 KINDEX(2, 694)=208
 KINDEX(1, 695)=68
 KINDEX(2, 695)=208
 KINDEX(1, 696)=10
 KINDEX(2, 696)=209
 KINDEX(1, 697)=56
 KINDEX(2, 697)=209
 KINDEX(1, 698)=85
 KINDEX(2, 698)=209
 KINDEX(1, 699)=10
 KINDEX(2, 699)=210
 KINDEX(1, 700)=15
 KINDEX(2, 700)=210
 KINDEX(1, 701)=56
 KINDEX(2, 701)=210
 KINDEX(1, 702)=1
 KINDEX(2, 702)=211
 KINDEX(1, 703)=2
 KINDEX(2, 703)=211
 KINDEX(1, 704)=56
 KINDEX(2, 704)=211
 KINDEX(1, 705)=2
 KINDEX(2, 705)=212
 KINDEX(1, 706)=56
 KINDEX(2, 706)=212
 KINDEX(1, 707)=85
 KINDEX(2, 707)=212
 KINDEX(1, 708)=2
 KINDEX(2, 708)=213
 KINDEX(1, 709)=10
 KINDEX(2, 709)=213
 KINDEX(1, 710)=15
 KINDEX(2, 710)=213
 KINDEX(1, 711)=56
 KINDEX(2, 711)=213
 KINDEX(1, 712)=1
 KINDEX(2, 712)=214
 KINDEX(1, 713)=2
 KINDEX(2, 713)=214
 KINDEX(1, 714)=85
 KINDEX(2, 714)=214
 KINDEX(1, 715)=85
 KINDEX(2, 715)=215
 KINDEX(1, 716)=10
 KINDEX(2, 716)=216
 KINDEX(1, 717)=15
 KINDEX(2, 717)=216
 KINDEX(1, 718)=85
 KINDEX(2, 718)=216
 KINDEX(1, 719)=1
 KINDEX(2, 719)=217
 KINDEX(1, 720)=2
 KINDEX(2, 720)=217
 KINDEX(1, 721)=71
 KINDEX(2, 721)=217
 KINDEX(1, 722)=85
 KINDEX(2, 722)=217
 KINDEX(1, 723)=71
 KINDEX(2, 723)=218
 KINDEX(1, 724)=85
 KINDEX(2, 724)=218
 KINDEX(1, 725)=10
 KINDEX(2, 725)=219
 KINDEX(1, 726)=15
 KINDEX(2, 726)=219
 KINDEX(1, 727)=71
 KINDEX(2, 727)=219
 KINDEX(1, 728)=85
 KINDEX(2, 728)=219
 KINDEX(1, 729)=85
 KINDEX(2, 729)=220
 KINDEX(1, 730)=10
 KINDEX(2, 730)=221
 KINDEX(1, 731)=15
 KINDEX(2, 731)=221
 KINDEX(1, 732)=85
 KINDEX(2, 732)=221
 KINDEX(1, 733)=1
 KINDEX(2, 733)=222
 KINDEX(1, 734)=2
 KINDEX(2, 734)=222
 KINDEX(1, 735)=10
 KINDEX(2, 735)=222
 KINDEX(1, 736)=64
 KINDEX(2, 736)=222
 KINDEX(1, 737)=65
 KINDEX(2, 737)=222
 KINDEX(1, 738)=10
 KINDEX(2, 738)=223
 KINDEX(1, 739)=65
 KINDEX(2, 739)=223
 KINDEX(1, 740)=85
 KINDEX(2, 740)=223
 KINDEX(1, 741)=10
 KINDEX(2, 741)=224
 KINDEX(1, 742)=15
 KINDEX(2, 742)=224
 KINDEX(1, 743)=65
 KINDEX(2, 743)=224
 KINDEX(1, 744)=1
 KINDEX(2, 744)=225
 KINDEX(1, 745)=2
 KINDEX(2, 745)=225
 KINDEX(1, 746)=66
 KINDEX(2, 746)=225
 KINDEX(1, 747)=85
 KINDEX(2, 747)=225
 KINDEX(1, 748)=85
 KINDEX(2, 748)=226
 KINDEX(1, 749)=10
 KINDEX(2, 749)=227
 KINDEX(1, 750)=15
 KINDEX(2, 750)=227
 KINDEX(1, 751)=85
 KINDEX(2, 751)=227
 KINDEX(1, 752)=1
 KINDEX(2, 752)=228
 KINDEX(1, 753)=2
 KINDEX(2, 753)=228
 KINDEX(1, 754)=10
 KINDEX(2, 754)=228
 KINDEX(1, 755)=66
 KINDEX(2, 755)=228
 KINDEX(1, 756)=10
 KINDEX(2, 756)=229
 KINDEX(1, 757)=66
 KINDEX(2, 757)=229
 KINDEX(1, 758)=85
 KINDEX(2, 758)=229
 KINDEX(1, 759)=10
 KINDEX(2, 759)=230
 KINDEX(1, 760)=15
 KINDEX(2, 760)=230
 KINDEX(1, 761)=66
 KINDEX(2, 761)=230
 KINDEX(1, 762)=85
 KINDEX(2, 762)=231
 KINDEX(1, 763)=1
 KINDEX(2, 763)=232
 KINDEX(1, 764)=2
 KINDEX(2, 764)=232
 KINDEX(1, 765)=10
 KINDEX(2, 765)=232
 KINDEX(1, 766)=52
 KINDEX(2, 766)=232
 KINDEX(1, 767)=10
 KINDEX(2, 767)=233
 KINDEX(1, 768)=52
 KINDEX(2, 768)=233
 KINDEX(1, 769)=85
 KINDEX(2, 769)=233
 KINDEX(1, 770)=10
 KINDEX(2, 770)=234
 KINDEX(1, 771)=15
 KINDEX(2, 771)=234
 KINDEX(1, 772)=52
 KINDEX(2, 772)=234
 KINDEX(1, 773)=1
 KINDEX(2, 773)=235
 KINDEX(1, 774)=2
 KINDEX(2, 774)=235
 KINDEX(1, 775)=10
 KINDEX(2, 775)=235
 KINDEX(1, 776)=41
 KINDEX(2, 776)=235
 KINDEX(1, 777)=72
 KINDEX(2, 777)=235
 KINDEX(1, 778)=10
 KINDEX(2, 778)=236
 KINDEX(1, 779)=41
 KINDEX(2, 779)=236
 KINDEX(1, 780)=72
 KINDEX(2, 780)=236
 KINDEX(1, 781)=85
 KINDEX(2, 781)=236
 KINDEX(1, 782)=10
 KINDEX(2, 782)=237
 KINDEX(1, 783)=15
 KINDEX(2, 783)=237
 KINDEX(1, 784)=41
 KINDEX(2, 784)=237
 KINDEX(1, 785)=72
 KINDEX(2, 785)=237
 KINDEX(1, 786)=85
 KINDEX(2, 786)=238
 KINDEX(1, 787)=1
 KINDEX(2, 787)=239
 KINDEX(1, 788)=2
 KINDEX(2, 788)=239
 KINDEX(1, 789)=10
 KINDEX(2, 789)=239
 KINDEX(1, 790)=73
 KINDEX(2, 790)=239
 KINDEX(1, 791)=10
 KINDEX(2, 791)=240
 KINDEX(1, 792)=73
 KINDEX(2, 792)=240
 KINDEX(1, 793)=85
 KINDEX(2, 793)=240
 KINDEX(1, 794)=10
 KINDEX(2, 794)=241
 KINDEX(1, 795)=15
 KINDEX(2, 795)=241
 KINDEX(1, 796)=73
 KINDEX(2, 796)=241
 KINDEX(1, 797)=1
 KINDEX(2, 797)=242
 KINDEX(1, 798)=2
 KINDEX(2, 798)=242
 KINDEX(1, 799)=10
 KINDEX(2, 799)=242
 KINDEX(1, 800)=41
 KINDEX(2, 800)=242
 KINDEX(1, 801)=72
 KINDEX(2, 801)=242
 KINDEX(1, 802)=10
 KINDEX(2, 802)=243
 KINDEX(1, 803)=41
 KINDEX(2, 803)=243
 KINDEX(1, 804)=72
 KINDEX(2, 804)=243
 KINDEX(1, 805)=85
 KINDEX(2, 805)=243
 KINDEX(1, 806)=10
 KINDEX(2, 806)=244
 KINDEX(1, 807)=15
 KINDEX(2, 807)=244
 KINDEX(1, 808)=41
 KINDEX(2, 808)=244
 KINDEX(1, 809)=72
 KINDEX(2, 809)=244
 KINDEX(1, 810)=85
 KINDEX(2, 810)=245
 KINDEX(1, 811)=1
 KINDEX(2, 811)=246
 KINDEX(1, 812)=2
 KINDEX(2, 812)=246
 KINDEX(1, 813)=10
 KINDEX(2, 813)=246
 KINDEX(1, 814)=73
 KINDEX(2, 814)=246
 KINDEX(1, 815)=10
 KINDEX(2, 815)=247
 KINDEX(1, 816)=73
 KINDEX(2, 816)=247
 KINDEX(1, 817)=85
 KINDEX(2, 817)=247
 KINDEX(1, 818)=10
 KINDEX(2, 818)=248
 KINDEX(1, 819)=15
 KINDEX(2, 819)=248
 KINDEX(1, 820)=73
 KINDEX(2, 820)=248
 KINDEX(1, 821)=1
 KINDEX(2, 821)=249
 KINDEX(1, 822)=2
 KINDEX(2, 822)=249
 KINDEX(1, 823)=10
 KINDEX(2, 823)=249
 KINDEX(1, 824)=41
 KINDEX(2, 824)=249
 KINDEX(1, 825)=72
 KINDEX(2, 825)=249
 KINDEX(1, 826)=10
 KINDEX(2, 826)=250
 KINDEX(1, 827)=41
 KINDEX(2, 827)=250
 KINDEX(1, 828)=72
 KINDEX(2, 828)=250
 KINDEX(1, 829)=85
 KINDEX(2, 829)=250
 KINDEX(1, 830)=10
 KINDEX(2, 830)=251
 KINDEX(1, 831)=15
 KINDEX(2, 831)=251
 KINDEX(1, 832)=41
 KINDEX(2, 832)=251
 KINDEX(1, 833)=72
 KINDEX(2, 833)=251
 KINDEX(1, 834)=85
 KINDEX(2, 834)=252
 KINDEX(1, 835)=1
 KINDEX(2, 835)=253
 KINDEX(1, 836)=2
 KINDEX(2, 836)=253
 KINDEX(1, 837)=10
 KINDEX(2, 837)=253
 KINDEX(1, 838)=52
 KINDEX(2, 838)=253
 KINDEX(1, 839)=10
 KINDEX(2, 839)=254
 KINDEX(1, 840)=52
 KINDEX(2, 840)=254
 KINDEX(1, 841)=85
 KINDEX(2, 841)=254
 KINDEX(1, 842)=10
 KINDEX(2, 842)=255
 KINDEX(1, 843)=15
 KINDEX(2, 843)=255
 KINDEX(1, 844)=52
 KINDEX(2, 844)=255
 KINDEX(1, 845)=1
 KINDEX(2, 845)=256
 KINDEX(1, 846)=2
 KINDEX(2, 846)=256
 KINDEX(1, 847)=10
 KINDEX(2, 847)=256
 KINDEX(1, 848)=41
 KINDEX(2, 848)=256
 KINDEX(1, 849)=72
 KINDEX(2, 849)=256
 KINDEX(1, 850)=10
 KINDEX(2, 850)=257
 KINDEX(1, 851)=41
 KINDEX(2, 851)=257
 KINDEX(1, 852)=72
 KINDEX(2, 852)=257
 KINDEX(1, 853)=85
 KINDEX(2, 853)=257
 KINDEX(1, 854)=10
 KINDEX(2, 854)=258
 KINDEX(1, 855)=15
 KINDEX(2, 855)=258
 KINDEX(1, 856)=41
 KINDEX(2, 856)=258
 KINDEX(1, 857)=72
 KINDEX(2, 857)=258
 KINDEX(1, 858)=85
 KINDEX(2, 858)=259
 KINDEX(1, 859)=1
 KINDEX(2, 859)=260
 KINDEX(1, 860)=2
 KINDEX(2, 860)=260
 KINDEX(1, 861)=10
 KINDEX(2, 861)=260
 KINDEX(1, 862)=50
 KINDEX(2, 862)=260
 KINDEX(1, 863)=10
 KINDEX(2, 863)=261
 KINDEX(1, 864)=50
 KINDEX(2, 864)=261
 KINDEX(1, 865)=85
 KINDEX(2, 865)=261
 KINDEX(1, 866)=10
 KINDEX(2, 866)=262
 KINDEX(1, 867)=15
 KINDEX(2, 867)=262
 KINDEX(1, 868)=50
 KINDEX(2, 868)=262
 KINDEX(1, 869)=1
 KINDEX(2, 869)=263
 KINDEX(1, 870)=2
 KINDEX(2, 870)=263
 KINDEX(1, 871)=10
 KINDEX(2, 871)=263
 KINDEX(1, 872)=41
 KINDEX(2, 872)=263
 KINDEX(1, 873)=72
 KINDEX(2, 873)=263
 KINDEX(1, 874)=10
 KINDEX(2, 874)=264
 KINDEX(1, 875)=41
 KINDEX(2, 875)=264
 KINDEX(1, 876)=72
 KINDEX(2, 876)=264
 KINDEX(1, 877)=85
 KINDEX(2, 877)=264
 KINDEX(1, 878)=10
 KINDEX(2, 878)=265
 KINDEX(1, 879)=15
 KINDEX(2, 879)=265
 KINDEX(1, 880)=41
 KINDEX(2, 880)=265
 KINDEX(1, 881)=72
 KINDEX(2, 881)=265
 KINDEX(1, 882)=85
 KINDEX(2, 882)=266
 KINDEX(1, 883)=1
 KINDEX(2, 883)=267
 KINDEX(1, 884)=2
 KINDEX(2, 884)=267
 KINDEX(1, 885)=10
 KINDEX(2, 885)=267
 KINDEX(1, 886)=63
 KINDEX(2, 886)=267
 KINDEX(1, 887)=10
 KINDEX(2, 887)=268
 KINDEX(1, 888)=63
 KINDEX(2, 888)=268
 KINDEX(1, 889)=85
 KINDEX(2, 889)=268
 KINDEX(1, 890)=10
 KINDEX(2, 890)=269
 KINDEX(1, 891)=15
 KINDEX(2, 891)=269
 KINDEX(1, 892)=63
 KINDEX(2, 892)=269
 KINDEX(1, 893)=1
 KINDEX(2, 893)=270
 KINDEX(1, 894)=2
 KINDEX(2, 894)=270
 KINDEX(1, 895)=10
 KINDEX(2, 895)=270
 KINDEX(1, 896)=41
 KINDEX(2, 896)=270
 KINDEX(1, 897)=75
 KINDEX(2, 897)=270
 KINDEX(1, 898)=10
 KINDEX(2, 898)=271
 KINDEX(1, 899)=41
 KINDEX(2, 899)=271
 KINDEX(1, 900)=75
 KINDEX(2, 900)=271
 KINDEX(1, 901)=85
 KINDEX(2, 901)=271
 KINDEX(1, 902)=10
 KINDEX(2, 902)=272
 KINDEX(1, 903)=15
 KINDEX(2, 903)=272
 KINDEX(1, 904)=41
 KINDEX(2, 904)=272
 KINDEX(1, 905)=75
 KINDEX(2, 905)=272
 KINDEX(1, 906)=15
 KINDEX(2, 906)=273
 KINDEX(1, 907)=39
 KINDEX(2, 907)=273
 KINDEX(1, 908)=85
 KINDEX(2, 908)=273
 KINDEX(1, 909)=15
 KINDEX(2, 909)=274
 KINDEX(1, 910)=40
 KINDEX(2, 910)=274
 KINDEX(1, 911)=85
 KINDEX(2, 911)=274
 KINDEX(1, 912)=15
 KINDEX(2, 912)=275
 KINDEX(1, 913)=41
 KINDEX(2, 913)=275
 KINDEX(1, 914)=85
 KINDEX(2, 914)=275
 KINDEX(1, 915)=5
 KINDEX(2, 915)=276
 KINDEX(1, 916)=8
 KINDEX(2, 916)=276
 KINDEX(1, 917)=40
 KINDEX(2, 917)=276
 KINDEX(1, 918)=85
 KINDEX(2, 918)=276
 KINDEX(1, 919)=10
 KINDEX(2, 919)=277
 KINDEX(1, 920)=11
 KINDEX(2, 920)=277
 KINDEX(1, 921)=41
 KINDEX(2, 921)=277
 KINDEX(1, 922)=85
 KINDEX(2, 922)=277
 KINDEX(1, 923)=1
 KINDEX(2, 923)=278
 KINDEX(1, 924)=2
 KINDEX(2, 924)=278
 KINDEX(1, 925)=85
 KINDEX(2, 925)=278
 KINDEX(1, 926)=5
 KINDEX(2, 926)=279
 KINDEX(1, 927)=8
 KINDEX(2, 927)=279
 KINDEX(1, 928)=41
 KINDEX(2, 928)=279
 KINDEX(1, 929)=85
 KINDEX(2, 929)=279
 KINDEX(1, 930)=3
 KINDEX(2, 930)=280
 KINDEX(1, 931)=10
 KINDEX(2, 931)=280
 KINDEX(1, 932)=47
 KINDEX(2, 932)=280
 KINDEX(1, 933)=85
 KINDEX(2, 933)=281
 KINDEX(1, 934)=3
 KINDEX(2, 934)=282
 KINDEX(1, 935)=10
 KINDEX(2, 935)=282
 KINDEX(1, 936)=11
 KINDEX(2, 936)=282
 KINDEX(1, 937)=15
 KINDEX(2, 937)=282
 KINDEX(1, 938)=28
 KINDEX(2, 938)=282
 KINDEX(1, 939)=29
 KINDEX(2, 939)=282
 KINDEX(1, 940)=39
 KINDEX(2, 940)=282
 KINDEX(1, 941)=41
 KINDEX(2, 941)=282
 KINDEX(1, 942)=43
 KINDEX(2, 942)=282
 KINDEX(1, 943)=47
 KINDEX(2, 943)=282
 KINDEX(1, 944)=85
 KINDEX(2, 944)=282
 KINDEX(1, 945)=3
 KINDEX(2, 945)=283
 KINDEX(1, 946)=10
 KINDEX(2, 946)=283
 KINDEX(1, 947)=11
 KINDEX(2, 947)=283
 KINDEX(1, 948)=15
 KINDEX(2, 948)=283
 KINDEX(1, 949)=28
 KINDEX(2, 949)=283
 KINDEX(1, 950)=40
 KINDEX(2, 950)=283
 KINDEX(1, 951)=41
 KINDEX(2, 951)=283
 KINDEX(1, 952)=43
 KINDEX(2, 952)=283
 KINDEX(1, 953)=85
 KINDEX(2, 953)=283
 KINDEX(1, 954)=30
 KINDEX(2, 954)=284
 KINDEX(1, 955)=39
 KINDEX(2, 955)=284
 KINDEX(1, 956)=85
 KINDEX(2, 956)=284
 KINDEX(1, 957)=10
 KINDEX(2, 957)=285
 KINDEX(1, 958)=11
 KINDEX(2, 958)=285
 KINDEX(1, 959)=29
 KINDEX(2, 959)=285
 KINDEX(1, 960)=40
 KINDEX(2, 960)=285
 KINDEX(1, 961)=85
 KINDEX(2, 961)=285
 KINDEX(1, 962)=1
 KINDEX(2, 962)=286
 KINDEX(1, 963)=2
 KINDEX(2, 963)=286
 KINDEX(1, 964)=10
 KINDEX(2, 964)=286
 KINDEX(1, 965)=28
 KINDEX(2, 965)=286
 KINDEX(1, 966)=41
 KINDEX(2, 966)=286
 KINDEX(1, 967)=10
 KINDEX(2, 967)=287
 KINDEX(1, 968)=28
 KINDEX(2, 968)=287
 KINDEX(1, 969)=41
 KINDEX(2, 969)=287
 KINDEX(1, 970)=85
 KINDEX(2, 970)=287
 KINDEX(1, 971)=10
 KINDEX(2, 971)=288
 KINDEX(1, 972)=15
 KINDEX(2, 972)=288
 KINDEX(1, 973)=28
 KINDEX(2, 973)=288
 KINDEX(1, 974)=41
 KINDEX(2, 974)=288
 KINDEX(1, 975)=1
 KINDEX(2, 975)=289
 KINDEX(1, 976)=2
 KINDEX(2, 976)=289
 KINDEX(1, 977)=85
 KINDEX(2, 977)=289
 KINDEX(1, 978)=3
 KINDEX(2, 978)=290
 KINDEX(1, 979)=10
 KINDEX(2, 979)=290
 KINDEX(1, 980)=17
 KINDEX(2, 980)=290
 KINDEX(1, 981)=44
 KINDEX(2, 981)=290
 KINDEX(1, 982)=85
 KINDEX(2, 982)=291
 KINDEX(1, 983)=1
 KINDEX(2, 983)=292
 KINDEX(1, 984)=2
 KINDEX(2, 984)=292
 KINDEX(1, 985)=10
 KINDEX(2, 985)=292
 KINDEX(1, 986)=28
 KINDEX(2, 986)=292
 KINDEX(1, 987)=41
 KINDEX(2, 987)=292
 KINDEX(1, 988)=10
 KINDEX(2, 988)=293
 KINDEX(1, 989)=28
 KINDEX(2, 989)=293
 KINDEX(1, 990)=41
 KINDEX(2, 990)=293
 KINDEX(1, 991)=85
 KINDEX(2, 991)=293
 KINDEX(1, 992)=10
 KINDEX(2, 992)=294
 KINDEX(1, 993)=15
 KINDEX(2, 993)=294
 KINDEX(1, 994)=28
 KINDEX(2, 994)=294
 KINDEX(1, 995)=41
 KINDEX(2, 995)=294
 KINDEX(1, 996)=85
 KINDEX(2, 996)=294
 KINDEX(1, 997)=1
 KINDEX(2, 997)=295
 KINDEX(1, 998)=2
 KINDEX(2, 998)=295
 KINDEX(1, 999)=28
 KINDEX(2, 999)=295
 KINDEX(1, 1000)=41
 KINDEX(2, 1000)=295
 KINDEX(1, 1001)=2
 KINDEX(2, 1001)=296
 KINDEX(1, 1002)=10
 KINDEX(2, 1002)=296
 KINDEX(1, 1003)=28
 KINDEX(2, 1003)=296
 KINDEX(1, 1004)=41
 KINDEX(2, 1004)=296
 KINDEX(1, 1005)=85
 KINDEX(2, 1005)=296
 KINDEX(1, 1006)=2
 KINDEX(2, 1006)=297
 KINDEX(1, 1007)=15
 KINDEX(2, 1007)=297
 KINDEX(1, 1008)=28
 KINDEX(2, 1008)=297
 KINDEX(1, 1009)=41
 KINDEX(2, 1009)=297
 KINDEX(1, 1010)=85
 KINDEX(2, 1010)=297
 KINDEX(1, 1011)=1
 KINDEX(2, 1011)=298
 KINDEX(1, 1012)=2
 KINDEX(2, 1012)=298
 KINDEX(1, 1013)=28
 KINDEX(2, 1013)=298
 KINDEX(1, 1014)=85
 KINDEX(2, 1014)=298
 KINDEX(1, 1015)=10
 KINDEX(2, 1015)=299
 KINDEX(1, 1016)=28
 KINDEX(2, 1016)=299
 KINDEX(1, 1017)=85
 KINDEX(2, 1017)=299
 KINDEX(1, 1018)=15
 KINDEX(2, 1018)=300
 KINDEX(1, 1019)=28
 KINDEX(2, 1019)=300
 KINDEX(1, 1020)=85
 KINDEX(2, 1020)=300
 KINDEX(1, 1021)=1
 KINDEX(2, 1021)=301
 KINDEX(1, 1022)=2
 KINDEX(2, 1022)=301
 KINDEX(1, 1023)=10
 KINDEX(2, 1023)=301
 KINDEX(1, 1024)=11
 KINDEX(2, 1024)=301
 KINDEX(1, 1025)=3
 KINDEX(2, 1025)=302
 KINDEX(1, 1026)=10
 KINDEX(2, 1026)=302
 KINDEX(1, 1027)=74
 KINDEX(2, 1027)=302
 KINDEX(1, 1028)=10
 KINDEX(2, 1028)=303
 KINDEX(1, 1029)=11
 KINDEX(2, 1029)=303
 KINDEX(1, 1030)=85
 KINDEX(2, 1030)=303
 KINDEX(1, 1031)=3
 KINDEX(2, 1031)=304
 KINDEX(1, 1032)=15
 KINDEX(2, 1032)=304
 KINDEX(1, 1033)=60
 KINDEX(2, 1033)=304
 KINDEX(1, 1034)=70
 KINDEX(2, 1034)=304
 KINDEX(1, 1035)=15
 KINDEX(2, 1035)=305
 KINDEX(1, 1036)=69
 KINDEX(2, 1036)=305
 KINDEX(1, 1037)=85
 KINDEX(2, 1037)=305
 KINDEX(1, 1038)=15
 KINDEX(2, 1038)=306
 KINDEX(1, 1039)=74
 KINDEX(2, 1039)=306
 KINDEX(1, 1040)=85
 KINDEX(2, 1040)=306
 KINDEX(1, 1041)=3
 KINDEX(2, 1041)=307
 KINDEX(1, 1042)=15
 KINDEX(2, 1042)=307
 KINDEX(1, 1043)=60
 KINDEX(2, 1043)=307
 KINDEX(1, 1044)=62
 KINDEX(2, 1044)=307
 KINDEX(1, 1045)=75
 KINDEX(2, 1045)=307
 KINDEX(1, 1046)=5
 KINDEX(2, 1046)=308
 KINDEX(1, 1047)=8
 KINDEX(2, 1047)=308
 KINDEX(1, 1048)=69
 KINDEX(2, 1048)=308
 KINDEX(1, 1049)=85
 KINDEX(2, 1049)=308
 KINDEX(1, 1050)=10
 KINDEX(2, 1050)=309
 KINDEX(1, 1051)=11
 KINDEX(2, 1051)=309
 KINDEX(1, 1052)=69
 KINDEX(2, 1052)=309
 KINDEX(1, 1053)=85
 KINDEX(2, 1053)=309
 KINDEX(1, 1054)=1
 KINDEX(2, 1054)=310
 KINDEX(1, 1055)=2
 KINDEX(2, 1055)=310
 KINDEX(1, 1056)=85
 KINDEX(2, 1056)=310
 KINDEX(1, 1057)=3
 KINDEX(2, 1057)=311
 KINDEX(1, 1058)=10
 KINDEX(2, 1058)=311
 KINDEX(1, 1059)=45
 KINDEX(2, 1059)=311
 KINDEX(1, 1060)=85
 KINDEX(2, 1060)=312
 KINDEX(1, 1061)=15
 KINDEX(2, 1061)=313
 KINDEX(1, 1062)=57
 KINDEX(2, 1062)=313
 KINDEX(1, 1063)=85
 KINDEX(2, 1063)=313
 KINDEX(1, 1064)=5
 KINDEX(2, 1064)=314
 KINDEX(1, 1065)=8
 KINDEX(2, 1065)=314
 KINDEX(1, 1066)=57
 KINDEX(2, 1066)=314
 KINDEX(1, 1067)=85
 KINDEX(2, 1067)=314
 KINDEX(1, 1068)=10
 KINDEX(2, 1068)=315
 KINDEX(1, 1069)=11
 KINDEX(2, 1069)=315
 KINDEX(1, 1070)=57
 KINDEX(2, 1070)=315
 KINDEX(1, 1071)=1
 KINDEX(2, 1071)=316
 KINDEX(1, 1072)=2
 KINDEX(2, 1072)=316
 KINDEX(1, 1073)=10
 KINDEX(2, 1073)=316
 KINDEX(1, 1074)=2
 KINDEX(2, 1074)=317
 KINDEX(1, 1075)=83
 KINDEX(2, 1075)=317
 KINDEX(1, 1076)=2
 KINDEX(2, 1076)=318
 KINDEX(1, 1077)=83
 KINDEX(2, 1077)=318
 KINDEX(1, 1078)=85
 KINDEX(2, 1078)=318
 KINDEX(1, 1079)=3
 KINDEX(2, 1079)=319
 KINDEX(1, 1080)=10
 KINDEX(2, 1080)=319
 KINDEX(1, 1081)=53
 KINDEX(2, 1081)=319
 KINDEX(1, 1082)=10
 KINDEX(2, 1082)=320
 KINDEX(1, 1083)=85
 KINDEX(2, 1083)=320
 KINDEX(1, 1084)=5
 KINDEX(2, 1084)=321
 KINDEX(1, 1085)=8
 KINDEX(2, 1085)=321
 KINDEX(1, 1086)=61
 KINDEX(2, 1086)=321
 KINDEX(1, 1087)=2
 KINDEX(2, 1087)=322
 KINDEX(1, 1088)=59
 KINDEX(2, 1088)=322
 KINDEX(1, 1089)=3
 KINDEX(2, 1089)=323
 KINDEX(1, 1090)=15
 KINDEX(2, 1090)=323
 KINDEX(1, 1091)=60
 KINDEX(2, 1091)=323
 KINDEX(1, 1092)=62
 KINDEX(2, 1092)=323
 KINDEX(1, 1093)=3
 KINDEX(2, 1093)=324
 KINDEX(1, 1094)=15
 KINDEX(2, 1094)=324
 KINDEX(1, 1095)=58
 KINDEX(2, 1095)=324
 KINDEX(1, 1096)=63
 KINDEX(2, 1096)=324
 KINDEX(1, 1097)=15
 KINDEX(2, 1097)=325
 KINDEX(1, 1098)=71
 KINDEX(2, 1098)=325
 KINDEX(1, 1099)=85
 KINDEX(2, 1099)=325
 KINDEX(1, 1100)=10
 KINDEX(2, 1100)=326
 KINDEX(1, 1101)=15
 KINDEX(2, 1101)=326
 KINDEX(1, 1102)=72
 KINDEX(2, 1102)=326
 KINDEX(1, 1103)=3
 KINDEX(2, 1103)=327
 KINDEX(1, 1104)=15
 KINDEX(2, 1104)=327
 KINDEX(1, 1105)=49
 KINDEX(2, 1105)=327
 KINDEX(1, 1106)=73
 KINDEX(2, 1106)=327
 KINDEX(1, 1107)=5
 KINDEX(2, 1107)=328
 KINDEX(1, 1108)=8
 KINDEX(2, 1108)=328
 KINDEX(1, 1109)=71
 KINDEX(2, 1109)=328
 KINDEX(1, 1110)=85
 KINDEX(2, 1110)=328
 KINDEX(1, 1111)=72
 KINDEX(2, 1111)=329
 KINDEX(1, 1112)=10
 KINDEX(2, 1112)=330
 KINDEX(1, 1113)=11
 KINDEX(2, 1113)=330
 KINDEX(1, 1114)=71
 KINDEX(2, 1114)=330
 KINDEX(1, 1115)=85
 KINDEX(2, 1115)=330
 KINDEX(1, 1116)=10
 KINDEX(2, 1116)=331
 KINDEX(1, 1117)=71
 KINDEX(2, 1117)=331
 KINDEX(1, 1118)=85
 KINDEX(2, 1118)=331
 KINDEX(1, 1119)=1
 KINDEX(2, 1119)=332
 KINDEX(1, 1120)=2
 KINDEX(2, 1120)=332
 KINDEX(1, 1121)=85
 KINDEX(2, 1121)=332
 KINDEX(1, 1122)=3
 KINDEX(2, 1122)=333
 KINDEX(1, 1123)=10
 KINDEX(2, 1123)=333
 KINDEX(1, 1124)=53
 KINDEX(2, 1124)=333
 KINDEX(1, 1125)=85
 KINDEX(2, 1125)=334
 KINDEX(1, 1126)=3
 KINDEX(2, 1126)=335
 KINDEX(1, 1127)=15
 KINDEX(2, 1127)=335
 KINDEX(1, 1128)=50
 KINDEX(2, 1128)=335
 KINDEX(1, 1129)=52
 KINDEX(2, 1129)=335
 KINDEX(1, 1130)=3
 KINDEX(2, 1130)=336
 KINDEX(1, 1131)=15
 KINDEX(2, 1131)=336
 KINDEX(1, 1132)=48
 KINDEX(2, 1132)=336
 KINDEX(1, 1133)=50
 KINDEX(2, 1133)=336
 KINDEX(1, 1134)=51
 KINDEX(2, 1134)=336
 KINDEX(1, 1135)=3
 KINDEX(2, 1135)=337
 KINDEX(1, 1136)=15
 KINDEX(2, 1136)=337
 KINDEX(1, 1137)=48
 KINDEX(2, 1137)=337
 KINDEX(1, 1138)=51
 KINDEX(2, 1138)=337
 KINDEX(1, 1139)=5
 KINDEX(2, 1139)=338
 KINDEX(1, 1140)=8
 KINDEX(2, 1140)=338
 KINDEX(1, 1141)=74
 KINDEX(2, 1141)=338
 KINDEX(1, 1142)=85
 KINDEX(2, 1142)=338
 KINDEX(1, 1143)=10
 KINDEX(2, 1143)=339
 KINDEX(1, 1144)=11
 KINDEX(2, 1144)=339
 KINDEX(1, 1145)=15
 KINDEX(2, 1145)=339
 KINDEX(1, 1146)=74
 KINDEX(2, 1146)=339
 KINDEX(1, 1147)=1
 KINDEX(2, 1147)=340
 KINDEX(1, 1148)=2
 KINDEX(2, 1148)=340
 KINDEX(1, 1149)=11
 KINDEX(2, 1149)=340
 KINDEX(1, 1150)=15
 KINDEX(2, 1150)=340
 KINDEX(1, 1151)=3
 KINDEX(2, 1151)=341
 KINDEX(1, 1152)=10
 KINDEX(2, 1152)=341
 KINDEX(1, 1153)=46
 KINDEX(2, 1153)=341
 KINDEX(1, 1154)=11
 KINDEX(2, 1154)=342
 KINDEX(1, 1155)=15
 KINDEX(2, 1155)=342
 KINDEX(1, 1156)=85
 KINDEX(2, 1156)=342
 KINDEX(1, 1157)=2
 KINDEX(2, 1157)=343
 KINDEX(1, 1158)=82
 KINDEX(2, 1158)=343
 KINDEX(1, 1159)=85
 KINDEX(2, 1159)=343
 KINDEX(1, 1160)=1
 KINDEX(2, 1160)=344
 KINDEX(1, 1161)=2
 KINDEX(2, 1161)=344
 KINDEX(1, 1162)=85
 KINDEX(2, 1162)=344
 KINDEX(1, 1163)=9
 KINDEX(2, 1163)=345
 KINDEX(1, 1164)=15
 KINDEX(2, 1164)=345
 KINDEX(1, 1165)=14
 KINDEX(2, 1165)=346
 KINDEX(1, 1166)=10
 KINDEX(2, 1166)=347
 KINDEX(1, 1167)=15
 KINDEX(2, 1167)=347
 KINDEX(1, 1168)=43
 KINDEX(2, 1168)=347
 KINDEX(1, 1169)=15
 KINDEX(2, 1169)=348
 KINDEX(1, 1170)=44
 KINDEX(2, 1170)=348
 KINDEX(1, 1171)=15
 KINDEX(2, 1171)=349
 KINDEX(1, 1172)=45
 KINDEX(2, 1172)=349
 KINDEX(1, 1173)=48
 KINDEX(2, 1173)=350
 KINDEX(1, 1174)=53
 KINDEX(2, 1174)=351
 KINDEX(1, 1175)=58
 KINDEX(2, 1175)=352
 KINDEX(1, 1176)=60
 KINDEX(2, 1176)=353
 KINDEX(1, 1177)=64
 KINDEX(2, 1177)=354
 KINDEX(1, 1178)=66
 KINDEX(2, 1178)=355
 KINDEX(1, 1179)=68
 KINDEX(2, 1179)=356
 KINDEX(1, 1180)=56
 KINDEX(2, 1180)=357
 KINDEX(1, 1181)=54
 KINDEX(2, 1181)=358
 KINDEX(1, 1182)=55
 KINDEX(2, 1182)=359
 KINDEX(1, 1183)=65
 KINDEX(2, 1183)=360
 KINDEX(1, 1184)=47
 KINDEX(2, 1184)=361
 KINDEX(1, 1185)=59
 KINDEX(2, 1185)=362
 KINDEX(1, 1186)=49
 KINDEX(2, 1186)=363
 KINDEX(1, 1187)=46
 KINDEX(2, 1187)=364
 KINDEX(1, 1188)=67
 KINDEX(2, 1188)=365
 KINDEX(1, 1189)=3
 KINDEX(2, 1189)=366
 KINDEX(1, 1190)=88
 KINDEX(2, 1190)=366
 KINDEX(1, 1191)=12
 KINDEX(2, 1191)=367
 KINDEX(1, 1192)=89
 KINDEX(2, 1192)=367
 KINDEX(1, 1193)=1
 KINDEX(2, 1193)=368
 KINDEX(1, 1194)=90
 KINDEX(2, 1194)=368
 KINDEX(1, 1195)=2
 KINDEX(2, 1195)=369
 KINDEX(1, 1196)=91
 KINDEX(2, 1196)=369
 KINDEX(1, 1197)=8
 KINDEX(2, 1197)=370
 KINDEX(1, 1198)=92
 KINDEX(2, 1198)=370
 KINDEX(1, 1199)=7
 KINDEX(2, 1199)=371
 KINDEX(1, 1200)=93
 KINDEX(2, 1200)=371
 KINDEX(1, 1201)=4
 KINDEX(2, 1201)=372
 KINDEX(1, 1202)=94
 KINDEX(2, 1202)=372
 KINDEX(1, 1203)=5
 KINDEX(2, 1203)=373
 KINDEX(1, 1204)=95
 KINDEX(2, 1204)=373
 KINDEX(1, 1205)=6
 KINDEX(2, 1205)=374
 KINDEX(1, 1206)=96
 KINDEX(2, 1206)=374
 KINDEX(1, 1207)=9
 KINDEX(2, 1207)=375
 KINDEX(1, 1208)=97
 KINDEX(2, 1208)=375
 KINDEX(1, 1209)=15
 KINDEX(2, 1209)=376
 KINDEX(1, 1210)=98
 KINDEX(2, 1210)=376
 KINDEX(1, 1211)=10
 KINDEX(2, 1211)=377
 KINDEX(1, 1212)=99
 KINDEX(2, 1212)=377
 KINDEX(1, 1213)=100
 KINDEX(2, 1213)=378
 KINDEX(1, 1214)=13
 KINDEX(2, 1214)=379
 KINDEX(1, 1215)=101
 KINDEX(2, 1215)=379
 KINDEX(1, 1216)=14
 KINDEX(2, 1216)=380
 KINDEX(1, 1217)=102
 KINDEX(2, 1217)=380
 KINDEX(1, 1218)=86
 KINDEX(2, 1218)=381
 KINDEX(1, 1219)=103
 KINDEX(2, 1219)=381
 KINDEX(1, 1220)=87
 KINDEX(2, 1220)=382
 KINDEX(1, 1221)=104
 KINDEX(2, 1221)=382
 KINDEX(1, 1222)=32
 KINDEX(2, 1222)=383
 KINDEX(1, 1223)=105
 KINDEX(2, 1223)=383
 KINDEX(1, 1224)=33
 KINDEX(2, 1224)=384
 KINDEX(1, 1225)=106
 KINDEX(2, 1225)=384
 KINDEX(1, 1226)=34
 KINDEX(2, 1226)=385
 KINDEX(1, 1227)=107
 KINDEX(2, 1227)=385
 KINDEX(1, 1228)=28
 KINDEX(2, 1228)=386
 KINDEX(1, 1229)=108
 KINDEX(2, 1229)=386
 KINDEX(1, 1230)=29
 KINDEX(2, 1230)=387
 KINDEX(1, 1231)=109
 KINDEX(2, 1231)=387
 KINDEX(1, 1232)=42
 KINDEX(2, 1232)=388
 KINDEX(1, 1233)=110
 KINDEX(2, 1233)=388
 KINDEX(1, 1234)=30
 KINDEX(2, 1234)=389
 KINDEX(1, 1235)=112
 KINDEX(2, 1235)=389
 KINDEX(1, 1236)=41
 KINDEX(2, 1236)=390
 KINDEX(1, 1237)=111
 KINDEX(2, 1237)=390
 KINDEX(1, 1238)=43
 KINDEX(2, 1238)=391
 KINDEX(1, 1239)=113
 KINDEX(2, 1239)=391
 KINDEX(1, 1240)=44
 KINDEX(2, 1240)=392
 KINDEX(1, 1241)=114
 KINDEX(2, 1241)=392
 KINDEX(1, 1242)=45
 KINDEX(2, 1242)=393
 KINDEX(1, 1243)=115
 KINDEX(2, 1243)=393
 KINDEX(1, 1244)=74
 KINDEX(2, 1244)=394
 KINDEX(1, 1245)=116
 KINDEX(2, 1245)=394
 KINDEX(1, 1246)=47
 KINDEX(2, 1246)=395
 KINDEX(1, 1247)=117
 KINDEX(2, 1247)=395
 KINDEX(1, 1248)=46
 KINDEX(2, 1248)=396
 KINDEX(1, 1249)=118
 KINDEX(2, 1249)=396
 KINDEX(1, 1250)=3
 KINDEX(2, 1250)=397
 KINDEX(1, 1251)=88
 KINDEX(2, 1251)=397
 KINDEX(1, 1252)=12
 KINDEX(2, 1252)=398
 KINDEX(1, 1253)=89
 KINDEX(2, 1253)=398
 KINDEX(1, 1254)=1
 KINDEX(2, 1254)=399
 KINDEX(1, 1255)=90
 KINDEX(2, 1255)=399
 KINDEX(1, 1256)=2
 KINDEX(2, 1256)=400
 KINDEX(1, 1257)=91
 KINDEX(2, 1257)=400
 KINDEX(1, 1258)=8
 KINDEX(2, 1258)=401
 KINDEX(1, 1259)=92
 KINDEX(2, 1259)=401
 KINDEX(1, 1260)=7
 KINDEX(2, 1260)=402
 KINDEX(1, 1261)=93
 KINDEX(2, 1261)=402
 KINDEX(1, 1262)=4
 KINDEX(2, 1262)=403
 KINDEX(1, 1263)=94
 KINDEX(2, 1263)=403
 KINDEX(1, 1264)=5
 KINDEX(2, 1264)=404
 KINDEX(1, 1265)=95
 KINDEX(2, 1265)=404
 KINDEX(1, 1266)=6
 KINDEX(2, 1266)=405
 KINDEX(1, 1267)=96
 KINDEX(2, 1267)=405
 KINDEX(1, 1268)=9
 KINDEX(2, 1268)=406
 KINDEX(1, 1269)=97
 KINDEX(2, 1269)=406
 KINDEX(1, 1270)=15
 KINDEX(2, 1270)=407
 KINDEX(1, 1271)=98
 KINDEX(2, 1271)=407
 KINDEX(1, 1272)=10
 KINDEX(2, 1272)=408
 KINDEX(1, 1273)=99
 KINDEX(2, 1273)=408
 KINDEX(1, 1274)=100
 KINDEX(2, 1274)=409
 KINDEX(1, 1275)=13
 KINDEX(2, 1275)=410
 KINDEX(1, 1276)=101
 KINDEX(2, 1276)=410
 KINDEX(1, 1277)=14
 KINDEX(2, 1277)=411
 KINDEX(1, 1278)=102
 KINDEX(2, 1278)=411
 KINDEX(1, 1279)=86
 KINDEX(2, 1279)=412
 KINDEX(1, 1280)=103
 KINDEX(2, 1280)=412
 KINDEX(1, 1281)=87
 KINDEX(2, 1281)=413
 KINDEX(1, 1282)=104
 KINDEX(2, 1282)=413
 KINDEX(1, 1283)=32
 KINDEX(2, 1283)=414
 KINDEX(1, 1284)=105
 KINDEX(2, 1284)=414
 KINDEX(1, 1285)=33
 KINDEX(2, 1285)=415
 KINDEX(1, 1286)=106
 KINDEX(2, 1286)=415
 KINDEX(1, 1287)=34
 KINDEX(2, 1287)=416
 KINDEX(1, 1288)=107
 KINDEX(2, 1288)=416
 KINDEX(1, 1289)=28
 KINDEX(2, 1289)=417
 KINDEX(1, 1290)=108
 KINDEX(2, 1290)=417
 KINDEX(1, 1291)=29
 KINDEX(2, 1291)=418
 KINDEX(1, 1292)=109
 KINDEX(2, 1292)=418
 KINDEX(1, 1293)=42
 KINDEX(2, 1293)=419
 KINDEX(1, 1294)=110
 KINDEX(2, 1294)=419
 KINDEX(1, 1295)=30
 KINDEX(2, 1295)=420
 KINDEX(1, 1296)=112
 KINDEX(2, 1296)=420
 KINDEX(1, 1297)=41
 KINDEX(2, 1297)=421
 KINDEX(1, 1298)=111
 KINDEX(2, 1298)=421
 KINDEX(1, 1299)=43
 KINDEX(2, 1299)=422
 KINDEX(1, 1300)=113
 KINDEX(2, 1300)=422
 KINDEX(1, 1301)=44
 KINDEX(2, 1301)=423
 KINDEX(1, 1302)=114
 KINDEX(2, 1302)=423
 KINDEX(1, 1303)=45
 KINDEX(2, 1303)=424
 KINDEX(1, 1304)=115
 KINDEX(2, 1304)=424
 KINDEX(1, 1305)=74
 KINDEX(2, 1305)=425
 KINDEX(1, 1306)=116
 KINDEX(2, 1306)=425
 KINDEX(1, 1307)=47
 KINDEX(2, 1307)=426
 KINDEX(1, 1308)=117
 KINDEX(2, 1308)=426
 KINDEX(1, 1309)=46
 KINDEX(2, 1309)=427
 KINDEX(1, 1310)=118
 KINDEX(2, 1310)=427
 KINDEX(1, 1311)=3
 KINDEX(2, 1311)=428
 KINDEX(1, 1312)=125
 KINDEX(2, 1312)=428
 KINDEX(1, 1313)=12
 KINDEX(2, 1313)=429
 KINDEX(1, 1314)=126
 KINDEX(2, 1314)=429
 KINDEX(1, 1315)=1
 KINDEX(2, 1315)=430
 KINDEX(1, 1316)=127
 KINDEX(2, 1316)=430
 KINDEX(1, 1317)=2
 KINDEX(2, 1317)=431
 KINDEX(1, 1318)=128
 KINDEX(2, 1318)=431
 KINDEX(1, 1319)=8
 KINDEX(2, 1319)=432
 KINDEX(1, 1320)=129
 KINDEX(2, 1320)=432
 KINDEX(1, 1321)=7
 KINDEX(2, 1321)=433
 KINDEX(1, 1322)=130
 KINDEX(2, 1322)=433
 KINDEX(1, 1323)=4
 KINDEX(2, 1323)=434
 KINDEX(1, 1324)=131
 KINDEX(2, 1324)=434
 KINDEX(1, 1325)=5
 KINDEX(2, 1325)=435
 KINDEX(1, 1326)=132
 KINDEX(2, 1326)=435
 KINDEX(1, 1327)=6
 KINDEX(2, 1327)=436
 KINDEX(1, 1328)=133
 KINDEX(2, 1328)=436
 KINDEX(1, 1329)=9
 KINDEX(2, 1329)=437
 KINDEX(1, 1330)=134
 KINDEX(2, 1330)=437
 KINDEX(1, 1331)=15
 KINDEX(2, 1331)=438
 KINDEX(1, 1332)=135
 KINDEX(2, 1332)=438
 KINDEX(1, 1333)=10
 KINDEX(2, 1333)=439
 KINDEX(1, 1334)=136
 KINDEX(2, 1334)=439
 KINDEX(1, 1335)=137
 KINDEX(2, 1335)=440
 KINDEX(1, 1336)=13
 KINDEX(2, 1336)=441
 KINDEX(1, 1337)=138
 KINDEX(2, 1337)=441
 KINDEX(1, 1338)=14
 KINDEX(2, 1338)=442
 KINDEX(1, 1339)=139
 KINDEX(2, 1339)=442
 KINDEX(1, 1340)=86
 KINDEX(2, 1340)=443
 KINDEX(1, 1341)=140
 KINDEX(2, 1341)=443
 KINDEX(1, 1342)=87
 KINDEX(2, 1342)=444
 KINDEX(1, 1343)=141
 KINDEX(2, 1343)=444
 KINDEX(1, 1344)=32
 KINDEX(2, 1344)=445
 KINDEX(1, 1345)=142
 KINDEX(2, 1345)=445
 KINDEX(1, 1346)=33
 KINDEX(2, 1346)=446
 KINDEX(1, 1347)=143
 KINDEX(2, 1347)=446
 KINDEX(1, 1348)=34
 KINDEX(2, 1348)=447
 KINDEX(1, 1349)=144
 KINDEX(2, 1349)=447
 KINDEX(1, 1350)=28
 KINDEX(2, 1350)=448
 KINDEX(1, 1351)=145
 KINDEX(2, 1351)=448
 KINDEX(1, 1352)=29
 KINDEX(2, 1352)=449
 KINDEX(1, 1353)=146
 KINDEX(2, 1353)=449
 KINDEX(1, 1354)=42
 KINDEX(2, 1354)=450
 KINDEX(1, 1355)=147
 KINDEX(2, 1355)=450
 KINDEX(1, 1356)=30
 KINDEX(2, 1356)=451
 KINDEX(1, 1357)=149
 KINDEX(2, 1357)=451
 KINDEX(1, 1358)=41
 KINDEX(2, 1358)=452
 KINDEX(1, 1359)=148
 KINDEX(2, 1359)=452
 KINDEX(1, 1360)=43
 KINDEX(2, 1360)=453
 KINDEX(1, 1361)=150
 KINDEX(2, 1361)=453
 KINDEX(1, 1362)=44
 KINDEX(2, 1362)=454
 KINDEX(1, 1363)=151
 KINDEX(2, 1363)=454
 KINDEX(1, 1364)=45
 KINDEX(2, 1364)=455
 KINDEX(1, 1365)=152
 KINDEX(2, 1365)=455
 KINDEX(1, 1366)=74
 KINDEX(2, 1366)=456
 KINDEX(1, 1367)=153
 KINDEX(2, 1367)=456
 KINDEX(1, 1368)=47
 KINDEX(2, 1368)=457
 KINDEX(1, 1369)=154
 KINDEX(2, 1369)=457
 KINDEX(1, 1370)=46
 KINDEX(2, 1370)=458
 KINDEX(1, 1371)=155
 KINDEX(2, 1371)=458
 KINDEX(1, 1372)=3
 KINDEX(2, 1372)=459
 KINDEX(1, 1373)=125
 KINDEX(2, 1373)=459
 KINDEX(1, 1374)=12
 KINDEX(2, 1374)=460
 KINDEX(1, 1375)=126
 KINDEX(2, 1375)=460
 KINDEX(1, 1376)=1
 KINDEX(2, 1376)=461
 KINDEX(1, 1377)=127
 KINDEX(2, 1377)=461
 KINDEX(1, 1378)=2
 KINDEX(2, 1378)=462
 KINDEX(1, 1379)=128
 KINDEX(2, 1379)=462
 KINDEX(1, 1380)=8
 KINDEX(2, 1380)=463
 KINDEX(1, 1381)=129
 KINDEX(2, 1381)=463
 KINDEX(1, 1382)=7
 KINDEX(2, 1382)=464
 KINDEX(1, 1383)=130
 KINDEX(2, 1383)=464
 KINDEX(1, 1384)=4
 KINDEX(2, 1384)=465
 KINDEX(1, 1385)=131
 KINDEX(2, 1385)=465
 KINDEX(1, 1386)=5
 KINDEX(2, 1386)=466
 KINDEX(1, 1387)=132
 KINDEX(2, 1387)=466
 KINDEX(1, 1388)=6
 KINDEX(2, 1388)=467
 KINDEX(1, 1389)=133
 KINDEX(2, 1389)=467
 KINDEX(1, 1390)=9
 KINDEX(2, 1390)=468
 KINDEX(1, 1391)=134
 KINDEX(2, 1391)=468
 KINDEX(1, 1392)=15
 KINDEX(2, 1392)=469
 KINDEX(1, 1393)=135
 KINDEX(2, 1393)=469
 KINDEX(1, 1394)=10
 KINDEX(2, 1394)=470
 KINDEX(1, 1395)=136
 KINDEX(2, 1395)=470
 KINDEX(1, 1396)=137
 KINDEX(2, 1396)=471
 KINDEX(1, 1397)=13
 KINDEX(2, 1397)=472
 KINDEX(1, 1398)=138
 KINDEX(2, 1398)=472
 KINDEX(1, 1399)=14
 KINDEX(2, 1399)=473
 KINDEX(1, 1400)=139
 KINDEX(2, 1400)=473
 KINDEX(1, 1401)=86
 KINDEX(2, 1401)=474
 KINDEX(1, 1402)=140
 KINDEX(2, 1402)=474
 KINDEX(1, 1403)=87
 KINDEX(2, 1403)=475
 KINDEX(1, 1404)=141
 KINDEX(2, 1404)=475
 KINDEX(1, 1405)=32
 KINDEX(2, 1405)=476
 KINDEX(1, 1406)=142
 KINDEX(2, 1406)=476
 KINDEX(1, 1407)=33
 KINDEX(2, 1407)=477
 KINDEX(1, 1408)=143
 KINDEX(2, 1408)=477
 KINDEX(1, 1409)=34
 KINDEX(2, 1409)=478
 KINDEX(1, 1410)=144
 KINDEX(2, 1410)=478
 KINDEX(1, 1411)=28
 KINDEX(2, 1411)=479
 KINDEX(1, 1412)=145
 KINDEX(2, 1412)=479
 KINDEX(1, 1413)=29
 KINDEX(2, 1413)=480
 KINDEX(1, 1414)=146
 KINDEX(2, 1414)=480
 KINDEX(1, 1415)=42
 KINDEX(2, 1415)=481
 KINDEX(1, 1416)=147
 KINDEX(2, 1416)=481
 KINDEX(1, 1417)=30
 KINDEX(2, 1417)=482
 KINDEX(1, 1418)=149
 KINDEX(2, 1418)=482
 KINDEX(1, 1419)=41
 KINDEX(2, 1419)=483
 KINDEX(1, 1420)=148
 KINDEX(2, 1420)=483
 KINDEX(1, 1421)=43
 KINDEX(2, 1421)=484
 KINDEX(1, 1422)=150
 KINDEX(2, 1422)=484
 KINDEX(1, 1423)=44
 KINDEX(2, 1423)=485
 KINDEX(1, 1424)=151
 KINDEX(2, 1424)=485
 KINDEX(1, 1425)=45
 KINDEX(2, 1425)=486
 KINDEX(1, 1426)=152
 KINDEX(2, 1426)=486
 KINDEX(1, 1427)=74
 KINDEX(2, 1427)=487
 KINDEX(1, 1428)=153
 KINDEX(2, 1428)=487
 KINDEX(1, 1429)=47
 KINDEX(2, 1429)=488
 KINDEX(1, 1430)=154
 KINDEX(2, 1430)=488
 KINDEX(1, 1431)=46
 KINDEX(2, 1431)=489
 KINDEX(1, 1432)=155
 KINDEX(2, 1432)=489
 KINDEX(1, 1433)=89
 KINDEX(2, 1433)=490
 KINDEX(1, 1434)=98
 KINDEX(2, 1434)=490
 KINDEX(1, 1435)=89
 KINDEX(2, 1435)=491
 KINDEX(1, 1436)=98
 KINDEX(2, 1436)=491
 KINDEX(1, 1437)=98
 KINDEX(2, 1437)=492
 KINDEX(1, 1438)=99
 KINDEX(2, 1438)=492
 KINDEX(1, 1439)=89
 KINDEX(2, 1439)=493
 KINDEX(1, 1440)=98
 KINDEX(2, 1440)=493
 KINDEX(1, 1441)=99
 KINDEX(2, 1441)=493
 KINDEX(1, 1442)=89
 KINDEX(2, 1442)=494
 KINDEX(1, 1443)=99
 KINDEX(2, 1443)=494
 KINDEX(1, 1444)=88
 KINDEX(2, 1444)=495
 KINDEX(1, 1445)=98
 KINDEX(2, 1445)=495
 KINDEX(1, 1446)=99
 KINDEX(2, 1446)=495
 KINDEX(1, 1447)=98
 KINDEX(2, 1447)=496
 KINDEX(1, 1448)=101
 KINDEX(2, 1448)=496
 KINDEX(1, 1449)=120
 KINDEX(2, 1449)=496
 KINDEX(1, 1450)=91
 KINDEX(2, 1450)=497
 KINDEX(1, 1451)=94
 KINDEX(2, 1451)=497
 KINDEX(1, 1452)=98
 KINDEX(2, 1452)=497
 KINDEX(1, 1453)=91
 KINDEX(2, 1453)=498
 KINDEX(1, 1454)=96
 KINDEX(2, 1454)=498
 KINDEX(1, 1455)=99
 KINDEX(2, 1455)=498
 KINDEX(1, 1456)=91
 KINDEX(2, 1456)=499
 KINDEX(1, 1457)=96
 KINDEX(2, 1457)=499
 KINDEX(1, 1458)=99
 KINDEX(2, 1458)=499
 KINDEX(1, 1459)=94
 KINDEX(2, 1459)=500
 KINDEX(1, 1460)=96
 KINDEX(2, 1460)=500
 KINDEX(1, 1461)=95
 KINDEX(2, 1461)=501
 KINDEX(1, 1462)=96
 KINDEX(2, 1462)=501
 KINDEX(1, 1463)=101
 KINDEX(2, 1463)=501
 KINDEX(1, 1464)=102
 KINDEX(2, 1464)=501
 KINDEX(1, 1465)=91
 KINDEX(2, 1465)=502
 KINDEX(1, 1466)=95
 KINDEX(2, 1466)=502
 KINDEX(1, 1467)=98
 KINDEX(2, 1467)=502
 KINDEX(1, 1468)=93
 KINDEX(2, 1468)=503
 KINDEX(1, 1469)=95
 KINDEX(2, 1469)=503
 KINDEX(1, 1470)=92
 KINDEX(2, 1470)=504
 KINDEX(1, 1471)=95
 KINDEX(2, 1471)=504
 KINDEX(1, 1472)=102
 KINDEX(2, 1472)=504
 KINDEX(1, 1473)=121
 KINDEX(2, 1473)=504
 KINDEX(1, 1474)=92
 KINDEX(2, 1474)=505
 KINDEX(1, 1475)=95
 KINDEX(2, 1475)=505
 KINDEX(1, 1476)=101
 KINDEX(2, 1476)=505
 KINDEX(1, 1477)=120
 KINDEX(2, 1477)=505
 KINDEX(1, 1478)=101
 KINDEX(2, 1478)=506
 KINDEX(1, 1479)=108
 KINDEX(2, 1479)=506
 KINDEX(1, 1480)=124
 KINDEX(2, 1480)=506
 KINDEX(1, 1481)=101
 KINDEX(2, 1481)=507
 KINDEX(1, 1482)=108
 KINDEX(2, 1482)=507
 KINDEX(1, 1483)=124
 KINDEX(2, 1483)=507
 KINDEX(1, 1484)=98
 KINDEX(2, 1484)=508
 KINDEX(1, 1485)=99
 KINDEX(2, 1485)=508
 KINDEX(1, 1486)=101
 KINDEX(2, 1486)=508
 KINDEX(1, 1487)=113
 KINDEX(2, 1487)=508
 KINDEX(1, 1488)=124
 KINDEX(2, 1488)=508
 KINDEX(1, 1489)=120
 KINDEX(2, 1489)=509
 KINDEX(1, 1490)=122
 KINDEX(2, 1490)=509
 KINDEX(1, 1491)=99
 KINDEX(2, 1491)=510
 KINDEX(1, 1492)=122
 KINDEX(2, 1492)=510
 KINDEX(1, 1493)=123
 KINDEX(2, 1493)=510
 KINDEX(1, 1494)=121
 KINDEX(2, 1494)=511
 KINDEX(1, 1495)=122
 KINDEX(2, 1495)=511
 KINDEX(1, 1496)=101
 KINDEX(2, 1496)=512
 KINDEX(1, 1497)=102
 KINDEX(2, 1497)=512
 KINDEX(1, 1498)=123
 KINDEX(2, 1498)=512
 KINDEX(1, 1499)=98
 KINDEX(2, 1499)=513
 KINDEX(1, 1500)=102
 KINDEX(2, 1500)=513
 KINDEX(1, 1501)=121
 KINDEX(2, 1501)=513
 KINDEX(1, 1502)=88
 KINDEX(2, 1502)=514
 KINDEX(1, 1503)=101
 KINDEX(2, 1503)=514
 KINDEX(1, 1504)=102
 KINDEX(2, 1504)=514
 KINDEX(1, 1505)=89
 KINDEX(2, 1505)=515
 KINDEX(1, 1506)=101
 KINDEX(2, 1506)=515
 KINDEX(1, 1507)=102
 KINDEX(2, 1507)=515
 KINDEX(1, 1508)=99
 KINDEX(2, 1508)=516
 KINDEX(1, 1509)=103
 KINDEX(2, 1509)=516
 KINDEX(1, 1510)=108
 KINDEX(2, 1510)=516
 KINDEX(1, 1511)=101
 KINDEX(2, 1511)=517
 KINDEX(1, 1512)=103
 KINDEX(2, 1512)=517
 KINDEX(1, 1513)=108
 KINDEX(2, 1513)=517
 KINDEX(1, 1514)=120
 KINDEX(2, 1514)=517
 KINDEX(1, 1515)=89
 KINDEX(2, 1515)=518
 KINDEX(1, 1516)=99
 KINDEX(2, 1516)=518
 KINDEX(1, 1517)=104
 KINDEX(2, 1517)=518
 KINDEX(1, 1518)=109
 KINDEX(2, 1518)=518
 KINDEX(1, 1519)=114
 KINDEX(2, 1519)=518
 KINDEX(1, 1520)=98
 KINDEX(2, 1520)=519
 KINDEX(1, 1521)=99
 KINDEX(2, 1521)=519
 KINDEX(1, 1522)=105
 KINDEX(2, 1522)=519
 KINDEX(1, 1523)=108
 KINDEX(2, 1523)=519
 KINDEX(1, 1524)=98
 KINDEX(2, 1524)=520
 KINDEX(1, 1525)=99
 KINDEX(2, 1525)=520
 KINDEX(1, 1526)=106
 KINDEX(2, 1526)=520
 KINDEX(1, 1527)=109
 KINDEX(2, 1527)=520
 KINDEX(1, 1528)=98
 KINDEX(2, 1528)=521
 KINDEX(1, 1529)=99
 KINDEX(2, 1529)=521
 KINDEX(1, 1530)=107
 KINDEX(2, 1530)=521
 KINDEX(1, 1531)=109
 KINDEX(2, 1531)=521
 KINDEX(1, 1532)=112
 KINDEX(2, 1532)=521
 KINDEX(1, 1533)=98
 KINDEX(2, 1533)=522
 KINDEX(1, 1534)=99
 KINDEX(2, 1534)=522
 KINDEX(1, 1535)=108
 KINDEX(2, 1535)=522
 KINDEX(1, 1536)=113
 KINDEX(2, 1536)=522
 KINDEX(1, 1537)=98
 KINDEX(2, 1537)=523
 KINDEX(1, 1538)=100
 KINDEX(2, 1538)=523
 KINDEX(1, 1539)=103
 KINDEX(2, 1539)=523
 KINDEX(1, 1540)=104
 KINDEX(2, 1540)=523
 KINDEX(1, 1541)=109
 KINDEX(2, 1541)=523
 KINDEX(1, 1542)=98
 KINDEX(2, 1542)=524
 KINDEX(1, 1543)=99
 KINDEX(2, 1543)=524
 KINDEX(1, 1544)=110
 KINDEX(2, 1544)=524
 KINDEX(1, 1545)=116
 KINDEX(2, 1545)=524
 KINDEX(1, 1546)=98
 KINDEX(2, 1546)=525
 KINDEX(1, 1547)=99
 KINDEX(2, 1547)=525
 KINDEX(1, 1548)=111
 KINDEX(2, 1548)=525
 KINDEX(1, 1549)=117
 KINDEX(2, 1549)=525
 KINDEX(1, 1550)=89
 KINDEX(2, 1550)=526
 KINDEX(1, 1551)=98
 KINDEX(2, 1551)=526
 KINDEX(1, 1552)=99
 KINDEX(2, 1552)=526
 KINDEX(1, 1553)=100
 KINDEX(2, 1553)=526
 KINDEX(1, 1554)=103
 KINDEX(2, 1554)=526
 KINDEX(1, 1555)=108
 KINDEX(2, 1555)=526
 KINDEX(1, 1556)=109
 KINDEX(2, 1556)=526
 KINDEX(1, 1557)=111
 KINDEX(2, 1557)=526
 KINDEX(1, 1558)=112
 KINDEX(2, 1558)=526
 KINDEX(1, 1559)=117
 KINDEX(2, 1559)=526
 KINDEX(1, 1560)=98
 KINDEX(2, 1560)=527
 KINDEX(1, 1561)=99
 KINDEX(2, 1561)=527
 KINDEX(1, 1562)=100
 KINDEX(2, 1562)=527
 KINDEX(1, 1563)=113
 KINDEX(2, 1563)=527
 KINDEX(1, 1564)=89
 KINDEX(2, 1564)=528
 KINDEX(1, 1565)=98
 KINDEX(2, 1565)=528
 KINDEX(1, 1566)=114
 KINDEX(2, 1566)=528
 KINDEX(1, 1567)=116
 KINDEX(2, 1567)=528
 KINDEX(1, 1568)=98
 KINDEX(2, 1568)=529
 KINDEX(1, 1569)=100
 KINDEX(2, 1569)=529
 KINDEX(1, 1570)=104
 KINDEX(2, 1570)=529
 KINDEX(1, 1571)=115
 KINDEX(2, 1571)=529
 KINDEX(1, 1572)=89
 KINDEX(2, 1572)=530
 KINDEX(1, 1573)=98
 KINDEX(2, 1573)=530
 KINDEX(1, 1574)=99
 KINDEX(2, 1574)=530
 KINDEX(1, 1575)=109
 KINDEX(2, 1575)=530
 KINDEX(1, 1576)=115
 KINDEX(2, 1576)=530
 KINDEX(1, 1577)=117
 KINDEX(2, 1577)=530
 KINDEX(1, 1578)=119
 KINDEX(2, 1578)=530
 KINDEX(1, 1579)=98
 KINDEX(2, 1579)=531
 KINDEX(1, 1580)=99
 KINDEX(2, 1580)=531
 KINDEX(1, 1581)=100
 KINDEX(2, 1581)=531
 KINDEX(1, 1582)=118
 KINDEX(2, 1582)=531
 KINDEX(1, 1583)=89
 KINDEX(2, 1583)=532
 KINDEX(1, 1584)=98
 KINDEX(2, 1584)=532
 KINDEX(1, 1585)=99
 KINDEX(2, 1585)=532
 KINDEX(1, 1586)=100
 KINDEX(2, 1586)=532
 KINDEX(1, 1587)=109
 KINDEX(2, 1587)=532
 KINDEX(1, 1588)=117
 KINDEX(2, 1588)=532
 KINDEX(1, 1589)=119
 KINDEX(2, 1589)=532
 KINDEX(1, 1590)=98
 KINDEX(2, 1590)=533
 KINDEX(1, 1591)=99
 KINDEX(2, 1591)=533
 KINDEX(1, 1592)=116
 KINDEX(2, 1592)=533
 KINDEX(1, 1593)=118
 KINDEX(2, 1593)=533
 KINDEX(1, 1594)=89
 KINDEX(2, 1594)=534
 KINDEX(1, 1595)=98
 KINDEX(2, 1595)=534
 KINDEX(1, 1596)=99
 KINDEX(2, 1596)=534
 KINDEX(1, 1597)=100
 KINDEX(2, 1597)=534
 KINDEX(1, 1598)=116
 KINDEX(2, 1598)=534
 KINDEX(1, 1599)=98
 KINDEX(2, 1599)=535
 KINDEX(1, 1600)=119
 KINDEX(2, 1600)=535
 KINDEX(1, 1601)=126
 KINDEX(2, 1601)=536
 KINDEX(1, 1602)=135
 KINDEX(2, 1602)=536
 KINDEX(1, 1603)=126
 KINDEX(2, 1603)=537
 KINDEX(1, 1604)=135
 KINDEX(2, 1604)=537
 KINDEX(1, 1605)=135
 KINDEX(2, 1605)=538
 KINDEX(1, 1606)=136
 KINDEX(2, 1606)=538
 KINDEX(1, 1607)=126
 KINDEX(2, 1607)=539
 KINDEX(1, 1608)=135
 KINDEX(2, 1608)=539
 KINDEX(1, 1609)=136
 KINDEX(2, 1609)=539
 KINDEX(1, 1610)=126
 KINDEX(2, 1610)=540
 KINDEX(1, 1611)=136
 KINDEX(2, 1611)=540
 KINDEX(1, 1612)=125
 KINDEX(2, 1612)=541
 KINDEX(1, 1613)=135
 KINDEX(2, 1613)=541
 KINDEX(1, 1614)=136
 KINDEX(2, 1614)=541
 KINDEX(1, 1615)=135
 KINDEX(2, 1615)=542
 KINDEX(1, 1616)=138
 KINDEX(2, 1616)=542
 KINDEX(1, 1617)=157
 KINDEX(2, 1617)=542
 KINDEX(1, 1618)=128
 KINDEX(2, 1618)=543
 KINDEX(1, 1619)=131
 KINDEX(2, 1619)=543
 KINDEX(1, 1620)=135
 KINDEX(2, 1620)=543
 KINDEX(1, 1621)=128
 KINDEX(2, 1621)=544
 KINDEX(1, 1622)=133
 KINDEX(2, 1622)=544
 KINDEX(1, 1623)=136
 KINDEX(2, 1623)=544
 KINDEX(1, 1624)=128
 KINDEX(2, 1624)=545
 KINDEX(1, 1625)=133
 KINDEX(2, 1625)=545
 KINDEX(1, 1626)=136
 KINDEX(2, 1626)=545
 KINDEX(1, 1627)=131
 KINDEX(2, 1627)=546
 KINDEX(1, 1628)=133
 KINDEX(2, 1628)=546
 KINDEX(1, 1629)=132
 KINDEX(2, 1629)=547
 KINDEX(1, 1630)=133
 KINDEX(2, 1630)=547
 KINDEX(1, 1631)=138
 KINDEX(2, 1631)=547
 KINDEX(1, 1632)=139
 KINDEX(2, 1632)=547
 KINDEX(1, 1633)=128
 KINDEX(2, 1633)=548
 KINDEX(1, 1634)=132
 KINDEX(2, 1634)=548
 KINDEX(1, 1635)=135
 KINDEX(2, 1635)=548
 KINDEX(1, 1636)=130
 KINDEX(2, 1636)=549
 KINDEX(1, 1637)=132
 KINDEX(2, 1637)=549
 KINDEX(1, 1638)=129
 KINDEX(2, 1638)=550
 KINDEX(1, 1639)=132
 KINDEX(2, 1639)=550
 KINDEX(1, 1640)=139
 KINDEX(2, 1640)=550
 KINDEX(1, 1641)=158
 KINDEX(2, 1641)=550
 KINDEX(1, 1642)=129
 KINDEX(2, 1642)=551
 KINDEX(1, 1643)=132
 KINDEX(2, 1643)=551
 KINDEX(1, 1644)=138
 KINDEX(2, 1644)=551
 KINDEX(1, 1645)=157
 KINDEX(2, 1645)=551
 KINDEX(1, 1646)=138
 KINDEX(2, 1646)=552
 KINDEX(1, 1647)=145
 KINDEX(2, 1647)=552
 KINDEX(1, 1648)=161
 KINDEX(2, 1648)=552
 KINDEX(1, 1649)=138
 KINDEX(2, 1649)=553
 KINDEX(1, 1650)=145
 KINDEX(2, 1650)=553
 KINDEX(1, 1651)=161
 KINDEX(2, 1651)=553
 KINDEX(1, 1652)=135
 KINDEX(2, 1652)=554
 KINDEX(1, 1653)=136
 KINDEX(2, 1653)=554
 KINDEX(1, 1654)=138
 KINDEX(2, 1654)=554
 KINDEX(1, 1655)=150
 KINDEX(2, 1655)=554
 KINDEX(1, 1656)=161
 KINDEX(2, 1656)=554
 KINDEX(1, 1657)=157
 KINDEX(2, 1657)=555
 KINDEX(1, 1658)=159
 KINDEX(2, 1658)=555
 KINDEX(1, 1659)=136
 KINDEX(2, 1659)=556
 KINDEX(1, 1660)=159
 KINDEX(2, 1660)=556
 KINDEX(1, 1661)=160
 KINDEX(2, 1661)=556
 KINDEX(1, 1662)=158
 KINDEX(2, 1662)=557
 KINDEX(1, 1663)=159
 KINDEX(2, 1663)=557
 KINDEX(1, 1664)=138
 KINDEX(2, 1664)=558
 KINDEX(1, 1665)=139
 KINDEX(2, 1665)=558
 KINDEX(1, 1666)=160
 KINDEX(2, 1666)=558
 KINDEX(1, 1667)=135
 KINDEX(2, 1667)=559
 KINDEX(1, 1668)=139
 KINDEX(2, 1668)=559
 KINDEX(1, 1669)=158
 KINDEX(2, 1669)=559
 KINDEX(1, 1670)=125
 KINDEX(2, 1670)=560
 KINDEX(1, 1671)=138
 KINDEX(2, 1671)=560
 KINDEX(1, 1672)=139
 KINDEX(2, 1672)=560
 KINDEX(1, 1673)=126
 KINDEX(2, 1673)=561
 KINDEX(1, 1674)=138
 KINDEX(2, 1674)=561
 KINDEX(1, 1675)=139
 KINDEX(2, 1675)=561
 KINDEX(1, 1676)=136
 KINDEX(2, 1676)=562
 KINDEX(1, 1677)=140
 KINDEX(2, 1677)=562
 KINDEX(1, 1678)=145
 KINDEX(2, 1678)=562
 KINDEX(1, 1679)=138
 KINDEX(2, 1679)=563
 KINDEX(1, 1680)=140
 KINDEX(2, 1680)=563
 KINDEX(1, 1681)=145
 KINDEX(2, 1681)=563
 KINDEX(1, 1682)=157
 KINDEX(2, 1682)=563
 KINDEX(1, 1683)=126
 KINDEX(2, 1683)=564
 KINDEX(1, 1684)=136
 KINDEX(2, 1684)=564
 KINDEX(1, 1685)=141
 KINDEX(2, 1685)=564
 KINDEX(1, 1686)=146
 KINDEX(2, 1686)=564
 KINDEX(1, 1687)=151
 KINDEX(2, 1687)=564
 KINDEX(1, 1688)=135
 KINDEX(2, 1688)=565
 KINDEX(1, 1689)=136
 KINDEX(2, 1689)=565
 KINDEX(1, 1690)=142
 KINDEX(2, 1690)=565
 KINDEX(1, 1691)=145
 KINDEX(2, 1691)=565
 KINDEX(1, 1692)=135
 KINDEX(2, 1692)=566
 KINDEX(1, 1693)=136
 KINDEX(2, 1693)=566
 KINDEX(1, 1694)=143
 KINDEX(2, 1694)=566
 KINDEX(1, 1695)=146
 KINDEX(2, 1695)=566
 KINDEX(1, 1696)=135
 KINDEX(2, 1696)=567
 KINDEX(1, 1697)=136
 KINDEX(2, 1697)=567
 KINDEX(1, 1698)=144
 KINDEX(2, 1698)=567
 KINDEX(1, 1699)=146
 KINDEX(2, 1699)=567
 KINDEX(1, 1700)=149
 KINDEX(2, 1700)=567
 KINDEX(1, 1701)=135
 KINDEX(2, 1701)=568
 KINDEX(1, 1702)=136
 KINDEX(2, 1702)=568
 KINDEX(1, 1703)=145
 KINDEX(2, 1703)=568
 KINDEX(1, 1704)=150
 KINDEX(2, 1704)=568
 KINDEX(1, 1705)=135
 KINDEX(2, 1705)=569
 KINDEX(1, 1706)=137
 KINDEX(2, 1706)=569
 KINDEX(1, 1707)=140
 KINDEX(2, 1707)=569
 KINDEX(1, 1708)=141
 KINDEX(2, 1708)=569
 KINDEX(1, 1709)=146
 KINDEX(2, 1709)=569
 KINDEX(1, 1710)=135
 KINDEX(2, 1710)=570
 KINDEX(1, 1711)=136
 KINDEX(2, 1711)=570
 KINDEX(1, 1712)=147
 KINDEX(2, 1712)=570
 KINDEX(1, 1713)=153
 KINDEX(2, 1713)=570
 KINDEX(1, 1714)=135
 KINDEX(2, 1714)=571
 KINDEX(1, 1715)=136
 KINDEX(2, 1715)=571
 KINDEX(1, 1716)=148
 KINDEX(2, 1716)=571
 KINDEX(1, 1717)=154
 KINDEX(2, 1717)=571
 KINDEX(1, 1718)=126
 KINDEX(2, 1718)=572
 KINDEX(1, 1719)=135
 KINDEX(2, 1719)=572
 KINDEX(1, 1720)=136
 KINDEX(2, 1720)=572
 KINDEX(1, 1721)=137
 KINDEX(2, 1721)=572
 KINDEX(1, 1722)=140
 KINDEX(2, 1722)=572
 KINDEX(1, 1723)=145
 KINDEX(2, 1723)=572
 KINDEX(1, 1724)=146
 KINDEX(2, 1724)=572
 KINDEX(1, 1725)=148
 KINDEX(2, 1725)=572
 KINDEX(1, 1726)=149
 KINDEX(2, 1726)=572
 KINDEX(1, 1727)=154
 KINDEX(2, 1727)=572
 KINDEX(1, 1728)=135
 KINDEX(2, 1728)=573
 KINDEX(1, 1729)=136
 KINDEX(2, 1729)=573
 KINDEX(1, 1730)=137
 KINDEX(2, 1730)=573
 KINDEX(1, 1731)=150
 KINDEX(2, 1731)=573
 KINDEX(1, 1732)=126
 KINDEX(2, 1732)=574
 KINDEX(1, 1733)=135
 KINDEX(2, 1733)=574
 KINDEX(1, 1734)=151
 KINDEX(2, 1734)=574
 KINDEX(1, 1735)=153
 KINDEX(2, 1735)=574
 KINDEX(1, 1736)=135
 KINDEX(2, 1736)=575
 KINDEX(1, 1737)=137
 KINDEX(2, 1737)=575
 KINDEX(1, 1738)=141
 KINDEX(2, 1738)=575
 KINDEX(1, 1739)=152
 KINDEX(2, 1739)=575
 KINDEX(1, 1740)=126
 KINDEX(2, 1740)=576
 KINDEX(1, 1741)=135
 KINDEX(2, 1741)=576
 KINDEX(1, 1742)=136
 KINDEX(2, 1742)=576
 KINDEX(1, 1743)=146
 KINDEX(2, 1743)=576
 KINDEX(1, 1744)=152
 KINDEX(2, 1744)=576
 KINDEX(1, 1745)=154
 KINDEX(2, 1745)=576
 KINDEX(1, 1746)=156
 KINDEX(2, 1746)=576
 KINDEX(1, 1747)=135
 KINDEX(2, 1747)=577
 KINDEX(1, 1748)=136
 KINDEX(2, 1748)=577
 KINDEX(1, 1749)=137
 KINDEX(2, 1749)=577
 KINDEX(1, 1750)=155
 KINDEX(2, 1750)=577
 KINDEX(1, 1751)=126
 KINDEX(2, 1751)=578
 KINDEX(1, 1752)=135
 KINDEX(2, 1752)=578
 KINDEX(1, 1753)=136
 KINDEX(2, 1753)=578
 KINDEX(1, 1754)=137
 KINDEX(2, 1754)=578
 KINDEX(1, 1755)=146
 KINDEX(2, 1755)=578
 KINDEX(1, 1756)=154
 KINDEX(2, 1756)=578
 KINDEX(1, 1757)=156
 KINDEX(2, 1757)=578
 KINDEX(1, 1758)=135
 KINDEX(2, 1758)=579
 KINDEX(1, 1759)=136
 KINDEX(2, 1759)=579
 KINDEX(1, 1760)=153
 KINDEX(2, 1760)=579
 KINDEX(1, 1761)=155
 KINDEX(2, 1761)=579
 KINDEX(1, 1762)=126
 KINDEX(2, 1762)=580
 KINDEX(1, 1763)=135
 KINDEX(2, 1763)=580
 KINDEX(1, 1764)=136
 KINDEX(2, 1764)=580
 KINDEX(1, 1765)=137
 KINDEX(2, 1765)=580
 KINDEX(1, 1766)=153
 KINDEX(2, 1766)=580
 KINDEX(1, 1767)=135
 KINDEX(2, 1767)=581
 KINDEX(1, 1768)=156
 KINDEX(2, 1768)=581
RETURN
END SUBROUTINE CH_NONZEROTERMS_AQ
!!
END SUBROUTINE CH_NONZEROTERMS
!
!========================================================================
!
!!    #####################
      MODULE MODI_CH_SPARSE
!!    #####################
INTERFACE
SUBROUTINE CH_SPARSE(KMI, KSPARSE, KSPARSEDIM)
IMPLICIT NONE
INTEGER, INTENT(IN)                           :: KMI
INTEGER, INTENT(INOUT)                        :: KSPARSEDIM
INTEGER, INTENT(OUT), DIMENSION(2,KSPARSEDIM) :: KSPARSE
END SUBROUTINE CH_SPARSE
END INTERFACE
END MODULE MODI_CH_SPARSE
!
!========================================================================
!
!!    ##############################################
      SUBROUTINE CH_SPARSE(KMI, KSPARSE, KSPARSEDIM)
!!    ##############################################
!!
!!*** *MODD_CH_SPARSE*
!!
!!    PURPOSE
!!    -------
!       calculation of the non-zero matrix elements in the Jacobian
!!
!!**  METHOD
!!    ------
!!      A 2D array KSPARSE of DIMESNSION(2,*) is returned, containing 
!!    the indices of the non-zero matrix elements in the Jacobian.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME, ONLY : TACCS
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)                           :: KMI
INTEGER, INTENT(INOUT)                        :: KSPARSEDIM
INTEGER, INTENT(OUT), DIMENSION(2,KSPARSEDIM) :: KSPARSE
!!
!!    LOCAL VARIABLES
!!    ---------------
!!    none
!!----------------------------------------------------------------------
!!
!!    EXECUTABLE STATEMENTS
!!    ---------------------
IF (TACCS(KMI)%LUSECHAQ) THEN
   CALL CH_SPARSE_AQ
ELSE
   CALL CH_SPARSE_GAZ
END IF
CONTAINS
!!
!!    #######################
      SUBROUTINE CH_SPARSE_GAZ
!!    #######################
!!
!!*** *MODD_CH_SPARSE*
!!
!!    PURPOSE
!!    -------
!       calculation of the non-zero matrix elements in the Jacobian
!!
!!**  METHOD
!!    ------
!!      A 2D array KSPARSE of DIMESNSION(2,*) is returned, containing 
!!    the indices of the non-zero matrix elements in the Jacobian.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!    none
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
!!
!!    LOCAL VARIABLES
!!    ---------------
!!    none
!!----------------------------------------------------------------------
!!
!!    EXECUTABLE STATEMENTS
!!    ---------------------
! check if output array is large enough
IF (KSPARSEDIM.LT.599) THEN
  STOP 'CH_SPARSE ERROR: array KSPARSE is too small!'
END IF
!NO/NO
 KSPARSE(1, 1)=1
 KSPARSE(2, 1)=1
!NO/NO2
 KSPARSE(1, 2)=1
 KSPARSE(2, 2)=2
!NO/O3
 KSPARSE(1, 3)=1
 KSPARSE(2, 3)=3
!NO/HONO
 KSPARSE(1, 4)=1
 KSPARSE(2, 4)=4
!NO/NO3
 KSPARSE(1, 5)=1
 KSPARSE(2, 5)=8
!NO/HO2
 KSPARSE(1, 6)=1
 KSPARSE(2, 6)=10
!NO/OH
 KSPARSE(1, 7)=1
 KSPARSE(2, 7)=15
!NO/RO2T
 KSPARSE(1, 8)=1
 KSPARSE(2, 8)=85
!NO/RO21
 KSPARSE(1, 9)=1
 KSPARSE(2, 9)=86
!NO/RO25
 KSPARSE(1, 10)=1
 KSPARSE(2, 10)=87
!NO2/NO
 KSPARSE(1, 11)=2
 KSPARSE(2, 11)=1
!NO2/NO2
 KSPARSE(1, 12)=2
 KSPARSE(2, 12)=2
!NO2/O3
 KSPARSE(1, 13)=2
 KSPARSE(2, 13)=3
!NO2/HONO
 KSPARSE(1, 14)=2
 KSPARSE(2, 14)=4
!NO2/HNO4
 KSPARSE(1, 15)=2
 KSPARSE(2, 15)=6
!NO2/N2O5
 KSPARSE(1, 16)=2
 KSPARSE(2, 16)=7
!NO2/NO3
 KSPARSE(1, 17)=2
 KSPARSE(2, 17)=8
!NO2/HO2
 KSPARSE(1, 18)=2
 KSPARSE(2, 18)=10
!NO2/OH
 KSPARSE(1, 19)=2
 KSPARSE(2, 19)=15
!NO2/APAN
 KSPARSE(1, 20)=2
 KSPARSE(2, 20)=76
!NO2/PAN1
 KSPARSE(1, 21)=2
 KSPARSE(2, 21)=77
!NO2/PAN2
 KSPARSE(1, 22)=2
 KSPARSE(2, 22)=78
!NO2/PAN3
 KSPARSE(1, 23)=2
 KSPARSE(2, 23)=79
!NO2/PAN4
 KSPARSE(1, 24)=2
 KSPARSE(2, 24)=80
!NO2/PAN6
 KSPARSE(1, 25)=2
 KSPARSE(2, 25)=81
!NO2/PAN7
 KSPARSE(1, 26)=2
 KSPARSE(2, 26)=82
!NO2/PAN8
 KSPARSE(1, 27)=2
 KSPARSE(2, 27)=83
!NO2/PN10
 KSPARSE(1, 28)=2
 KSPARSE(2, 28)=84
!NO2/RO2T
 KSPARSE(1, 29)=2
 KSPARSE(2, 29)=85
!NO2/RO21
 KSPARSE(1, 30)=2
 KSPARSE(2, 30)=86
!NO2/RO25
 KSPARSE(1, 31)=2
 KSPARSE(2, 31)=87
!O3/NO
 KSPARSE(1, 32)=3
 KSPARSE(2, 32)=1
!O3/NO2
 KSPARSE(1, 33)=3
 KSPARSE(2, 33)=2
!O3/O3
 KSPARSE(1, 34)=3
 KSPARSE(2, 34)=3
!O3/NO3
 KSPARSE(1, 35)=3
 KSPARSE(2, 35)=8
!O3/HO2
 KSPARSE(1, 36)=3
 KSPARSE(2, 36)=10
!O3/OH
 KSPARSE(1, 37)=3
 KSPARSE(2, 37)=15
!O3/ETHE
 KSPARSE(1, 38)=3
 KSPARSE(2, 38)=16
!O3/OLEL
 KSPARSE(1, 39)=3
 KSPARSE(2, 39)=17
!O3/OLEH
 KSPARSE(1, 40)=3
 KSPARSE(2, 40)=18
!O3/ARAL
 KSPARSE(1, 41)=3
 KSPARSE(2, 41)=25
!O3/ISOP
 KSPARSE(1, 42)=3
 KSPARSE(2, 42)=35
!O3/BIOL
 KSPARSE(1, 43)=3
 KSPARSE(2, 43)=36
!O3/BIOH
 KSPARSE(1, 44)=3
 KSPARSE(2, 44)=37
!O3/MVK
 KSPARSE(1, 45)=3
 KSPARSE(2, 45)=39
!O3/MCR
 KSPARSE(1, 46)=3
 KSPARSE(2, 46)=40
!O3/RPG2
 KSPARSE(1, 47)=3
 KSPARSE(2, 47)=50
!O3/RP18
 KSPARSE(1, 48)=3
 KSPARSE(2, 48)=51
!O3/RPG3
 KSPARSE(1, 49)=3
 KSPARSE(2, 49)=52
!O3/RPR7
 KSPARSE(1, 50)=3
 KSPARSE(2, 50)=62
!O3/RPG7
 KSPARSE(1, 51)=3
 KSPARSE(2, 51)=63
!O3/RPR5
 KSPARSE(1, 52)=3
 KSPARSE(2, 52)=70
!O3/RP11
 KSPARSE(1, 53)=3
 KSPARSE(2, 53)=73
!O3/RPRL
 KSPARSE(1, 54)=3
 KSPARSE(2, 54)=75
!HONO/NO
 KSPARSE(1, 55)=4
 KSPARSE(2, 55)=1
!HONO/NO2
 KSPARSE(1, 56)=4
 KSPARSE(2, 56)=2
!HONO/HONO
 KSPARSE(1, 57)=4
 KSPARSE(2, 57)=4
!HONO/OH
 KSPARSE(1, 58)=4
 KSPARSE(2, 58)=15
!HNO3/NO2
 KSPARSE(1, 59)=5
 KSPARSE(2, 59)=2
!HNO3/HNO3
 KSPARSE(1, 60)=5
 KSPARSE(2, 60)=5
!HNO3/N2O5
 KSPARSE(1, 61)=5
 KSPARSE(2, 61)=7
!HNO3/NO3
 KSPARSE(1, 62)=5
 KSPARSE(2, 62)=8
!HNO3/HO2
 KSPARSE(1, 63)=5
 KSPARSE(2, 63)=10
!HNO3/OH
 KSPARSE(1, 64)=5
 KSPARSE(2, 64)=15
!HNO3/AROO
 KSPARSE(1, 65)=5
 KSPARSE(2, 65)=24
!HNO3/ARAL
 KSPARSE(1, 66)=5
 KSPARSE(2, 66)=25
!HNO3/HCHO
 KSPARSE(1, 67)=5
 KSPARSE(2, 67)=28
!HNO3/ALD2
 KSPARSE(1, 68)=5
 KSPARSE(2, 68)=29
!HNO3/MCR
 KSPARSE(1, 69)=5
 KSPARSE(2, 69)=40
!HNO3/MGLY
 KSPARSE(1, 70)=5
 KSPARSE(2, 70)=41
!HNO3/RPR3
 KSPARSE(1, 71)=5
 KSPARSE(2, 71)=57
!HNO3/RPR4
 KSPARSE(1, 72)=5
 KSPARSE(2, 72)=61
!HNO3/RPR1
 KSPARSE(1, 73)=5
 KSPARSE(2, 73)=69
!HNO3/RPR8
 KSPARSE(1, 74)=5
 KSPARSE(2, 74)=71
!HNO3/RP16
 KSPARSE(1, 75)=5
 KSPARSE(2, 75)=74
!HNO4/NO2
 KSPARSE(1, 76)=6
 KSPARSE(2, 76)=2
!HNO4/HNO4
 KSPARSE(1, 77)=6
 KSPARSE(2, 77)=6
!HNO4/HO2
 KSPARSE(1, 78)=6
 KSPARSE(2, 78)=10
!HNO4/OH
 KSPARSE(1, 79)=6
 KSPARSE(2, 79)=15
!N2O5/NO2
 KSPARSE(1, 80)=7
 KSPARSE(2, 80)=2
!N2O5/N2O5
 KSPARSE(1, 81)=7
 KSPARSE(2, 81)=7
!N2O5/NO3
 KSPARSE(1, 82)=7
 KSPARSE(2, 82)=8
!NO3/NO
 KSPARSE(1, 83)=8
 KSPARSE(2, 83)=1
!NO3/NO2
 KSPARSE(1, 84)=8
 KSPARSE(2, 84)=2
!NO3/O3
 KSPARSE(1, 85)=8
 KSPARSE(2, 85)=3
!NO3/HNO3
 KSPARSE(1, 86)=8
 KSPARSE(2, 86)=5
!NO3/N2O5
 KSPARSE(1, 87)=8
 KSPARSE(2, 87)=7
!NO3/NO3
 KSPARSE(1, 88)=8
 KSPARSE(2, 88)=8
!NO3/HO2
 KSPARSE(1, 89)=8
 KSPARSE(2, 89)=10
!NO3/OH
 KSPARSE(1, 90)=8
 KSPARSE(2, 90)=15
!NO3/ETHE
 KSPARSE(1, 91)=8
 KSPARSE(2, 91)=16
!NO3/OLEL
 KSPARSE(1, 92)=8
 KSPARSE(2, 92)=17
!NO3/OLEH
 KSPARSE(1, 93)=8
 KSPARSE(2, 93)=18
!NO3/AROO
 KSPARSE(1, 94)=8
 KSPARSE(2, 94)=24
!NO3/ARAL
 KSPARSE(1, 95)=8
 KSPARSE(2, 95)=25
!NO3/HCHO
 KSPARSE(1, 96)=8
 KSPARSE(2, 96)=28
!NO3/ALD2
 KSPARSE(1, 97)=8
 KSPARSE(2, 97)=29
!NO3/ISOP
 KSPARSE(1, 98)=8
 KSPARSE(2, 98)=35
!NO3/BIOL
 KSPARSE(1, 99)=8
 KSPARSE(2, 99)=36
!NO3/BIOH
 KSPARSE(1, 100)=8
 KSPARSE(2, 100)=37
!NO3/MCR
 KSPARSE(1, 101)=8
 KSPARSE(2, 101)=40
!NO3/MGLY
 KSPARSE(1, 102)=8
 KSPARSE(2, 102)=41
!NO3/RPR3
 KSPARSE(1, 103)=8
 KSPARSE(2, 103)=57
!NO3/RPR4
 KSPARSE(1, 104)=8
 KSPARSE(2, 104)=61
!NO3/RPR1
 KSPARSE(1, 105)=8
 KSPARSE(2, 105)=69
!NO3/RPR8
 KSPARSE(1, 106)=8
 KSPARSE(2, 106)=71
!NO3/RP16
 KSPARSE(1, 107)=8
 KSPARSE(2, 107)=74
!NH3/NH3
 KSPARSE(1, 108)=9
 KSPARSE(2, 108)=9
!NH3/OH
 KSPARSE(1, 109)=9
 KSPARSE(2, 109)=15
!HO2/NO
 KSPARSE(1, 110)=10
 KSPARSE(2, 110)=1
!HO2/NO2
 KSPARSE(1, 111)=10
 KSPARSE(2, 111)=2
!HO2/O3
 KSPARSE(1, 112)=10
 KSPARSE(2, 112)=3
!HO2/HONO
 KSPARSE(1, 113)=10
 KSPARSE(2, 113)=4
!HO2/HNO4
 KSPARSE(1, 114)=10
 KSPARSE(2, 114)=6
!HO2/NO3
 KSPARSE(1, 115)=10
 KSPARSE(2, 115)=8
!HO2/HO2
 KSPARSE(1, 116)=10
 KSPARSE(2, 116)=10
!HO2/CO
 KSPARSE(1, 117)=10
 KSPARSE(2, 117)=11
!HO2/H2O2
 KSPARSE(1, 118)=10
 KSPARSE(2, 118)=12
!HO2/SO2
 KSPARSE(1, 119)=10
 KSPARSE(2, 119)=13
!HO2/OH
 KSPARSE(1, 120)=10
 KSPARSE(2, 120)=15
!HO2/ETHE
 KSPARSE(1, 121)=10
 KSPARSE(2, 121)=16
!HO2/OLEL
 KSPARSE(1, 122)=10
 KSPARSE(2, 122)=17
!HO2/OLEH
 KSPARSE(1, 123)=10
 KSPARSE(2, 123)=18
!HO2/AROH
 KSPARSE(1, 124)=10
 KSPARSE(2, 124)=22
!HO2/AROL
 KSPARSE(1, 125)=10
 KSPARSE(2, 125)=23
!HO2/AROO
 KSPARSE(1, 126)=10
 KSPARSE(2, 126)=24
!HO2/ARAL
 KSPARSE(1, 127)=10
 KSPARSE(2, 127)=25
!HO2/ARAC
 KSPARSE(1, 128)=10
 KSPARSE(2, 128)=26
!HO2/PAH
 KSPARSE(1, 129)=10
 KSPARSE(2, 129)=27
!HO2/HCHO
 KSPARSE(1, 130)=10
 KSPARSE(2, 130)=28
!HO2/ALD2
 KSPARSE(1, 131)=10
 KSPARSE(2, 131)=29
!HO2/MEOH
 KSPARSE(1, 132)=10
 KSPARSE(2, 132)=32
!HO2/ETOH
 KSPARSE(1, 133)=10
 KSPARSE(2, 133)=33
!HO2/ISOP
 KSPARSE(1, 134)=10
 KSPARSE(2, 134)=35
!HO2/BIOL
 KSPARSE(1, 135)=10
 KSPARSE(2, 135)=36
!HO2/MVK
 KSPARSE(1, 136)=10
 KSPARSE(2, 136)=39
!HO2/MCR
 KSPARSE(1, 137)=10
 KSPARSE(2, 137)=40
!HO2/MGLY
 KSPARSE(1, 138)=10
 KSPARSE(2, 138)=41
!HO2/ORA1
 KSPARSE(1, 139)=10
 KSPARSE(2, 139)=43
!HO2/RPR3
 KSPARSE(1, 140)=10
 KSPARSE(2, 140)=57
!HO2/RPR1
 KSPARSE(1, 141)=10
 KSPARSE(2, 141)=69
!HO2/RPR8
 KSPARSE(1, 142)=10
 KSPARSE(2, 142)=71
!HO2/RP10
 KSPARSE(1, 143)=10
 KSPARSE(2, 143)=72
!HO2/RP16
 KSPARSE(1, 144)=10
 KSPARSE(2, 144)=74
!HO2/RO2T
 KSPARSE(1, 145)=10
 KSPARSE(2, 145)=85
!HO2/RO21
 KSPARSE(1, 146)=10
 KSPARSE(2, 146)=86
!HO2/RO25
 KSPARSE(1, 147)=10
 KSPARSE(2, 147)=87
!CO/NO
 KSPARSE(1, 148)=11
 KSPARSE(2, 148)=1
!CO/O3
 KSPARSE(1, 149)=11
 KSPARSE(2, 149)=3
!CO/NO3
 KSPARSE(1, 150)=11
 KSPARSE(2, 150)=8
!CO/HO2
 KSPARSE(1, 151)=11
 KSPARSE(2, 151)=10
!CO/CO
 KSPARSE(1, 152)=11
 KSPARSE(2, 152)=11
!CO/OH
 KSPARSE(1, 153)=11
 KSPARSE(2, 153)=15
!CO/ETHE
 KSPARSE(1, 154)=11
 KSPARSE(2, 154)=16
!CO/OLEL
 KSPARSE(1, 155)=11
 KSPARSE(2, 155)=17
!CO/OLEH
 KSPARSE(1, 156)=11
 KSPARSE(2, 156)=18
!CO/HCHO
 KSPARSE(1, 157)=11
 KSPARSE(2, 157)=28
!CO/ALD2
 KSPARSE(1, 158)=11
 KSPARSE(2, 158)=29
!CO/ISOP
 KSPARSE(1, 159)=11
 KSPARSE(2, 159)=35
!CO/BIOL
 KSPARSE(1, 160)=11
 KSPARSE(2, 160)=36
!CO/BIOH
 KSPARSE(1, 161)=11
 KSPARSE(2, 161)=37
!CO/MVK
 KSPARSE(1, 162)=11
 KSPARSE(2, 162)=39
!CO/MCR
 KSPARSE(1, 163)=11
 KSPARSE(2, 163)=40
!CO/MGLY
 KSPARSE(1, 164)=11
 KSPARSE(2, 164)=41
!CO/RPR3
 KSPARSE(1, 165)=11
 KSPARSE(2, 165)=57
!CO/RPR1
 KSPARSE(1, 166)=11
 KSPARSE(2, 166)=69
!CO/RPR8
 KSPARSE(1, 167)=11
 KSPARSE(2, 167)=71
!CO/RP16
 KSPARSE(1, 168)=11
 KSPARSE(2, 168)=74
!CO/RO2T
 KSPARSE(1, 169)=11
 KSPARSE(2, 169)=85
!H2O2/O3
 KSPARSE(1, 170)=12
 KSPARSE(2, 170)=3
!H2O2/HO2
 KSPARSE(1, 171)=12
 KSPARSE(2, 171)=10
!H2O2/H2O2
 KSPARSE(1, 172)=12
 KSPARSE(2, 172)=12
!H2O2/OH
 KSPARSE(1, 173)=12
 KSPARSE(2, 173)=15
!H2O2/BIOL
 KSPARSE(1, 174)=12
 KSPARSE(2, 174)=36
!H2O2/BIOH
 KSPARSE(1, 175)=12
 KSPARSE(2, 175)=37
!SO2/SO2
 KSPARSE(1, 176)=13
 KSPARSE(2, 176)=13
!SO2/OH
 KSPARSE(1, 177)=13
 KSPARSE(2, 177)=15
!H2SO4/SO2
 KSPARSE(1, 178)=14
 KSPARSE(2, 178)=13
!H2SO4/H2SO4
 KSPARSE(1, 179)=14
 KSPARSE(2, 179)=14
!H2SO4/OH
 KSPARSE(1, 180)=14
 KSPARSE(2, 180)=15
!OH/NO
 KSPARSE(1, 181)=15
 KSPARSE(2, 181)=1
!OH/NO2
 KSPARSE(1, 182)=15
 KSPARSE(2, 182)=2
!OH/O3
 KSPARSE(1, 183)=15
 KSPARSE(2, 183)=3
!OH/HONO
 KSPARSE(1, 184)=15
 KSPARSE(2, 184)=4
!OH/HNO3
 KSPARSE(1, 185)=15
 KSPARSE(2, 185)=5
!OH/HNO4
 KSPARSE(1, 186)=15
 KSPARSE(2, 186)=6
!OH/NO3
 KSPARSE(1, 187)=15
 KSPARSE(2, 187)=8
!OH/NH3
 KSPARSE(1, 188)=15
 KSPARSE(2, 188)=9
!OH/HO2
 KSPARSE(1, 189)=15
 KSPARSE(2, 189)=10
!OH/CO
 KSPARSE(1, 190)=15
 KSPARSE(2, 190)=11
!OH/H2O2
 KSPARSE(1, 191)=15
 KSPARSE(2, 191)=12
!OH/SO2
 KSPARSE(1, 192)=15
 KSPARSE(2, 192)=13
!OH/OH
 KSPARSE(1, 193)=15
 KSPARSE(2, 193)=15
!OH/ETHE
 KSPARSE(1, 194)=15
 KSPARSE(2, 194)=16
!OH/OLEL
 KSPARSE(1, 195)=15
 KSPARSE(2, 195)=17
!OH/OLEH
 KSPARSE(1, 196)=15
 KSPARSE(2, 196)=18
!OH/ALKL
 KSPARSE(1, 197)=15
 KSPARSE(2, 197)=19
!OH/ALKM
 KSPARSE(1, 198)=15
 KSPARSE(2, 198)=20
!OH/ALKH
 KSPARSE(1, 199)=15
 KSPARSE(2, 199)=21
!OH/AROH
 KSPARSE(1, 200)=15
 KSPARSE(2, 200)=22
!OH/AROL
 KSPARSE(1, 201)=15
 KSPARSE(2, 201)=23
!OH/AROO
 KSPARSE(1, 202)=15
 KSPARSE(2, 202)=24
!OH/ARAL
 KSPARSE(1, 203)=15
 KSPARSE(2, 203)=25
!OH/ARAC
 KSPARSE(1, 204)=15
 KSPARSE(2, 204)=26
!OH/PAH
 KSPARSE(1, 205)=15
 KSPARSE(2, 205)=27
!OH/HCHO
 KSPARSE(1, 206)=15
 KSPARSE(2, 206)=28
!OH/ALD2
 KSPARSE(1, 207)=15
 KSPARSE(2, 207)=29
!OH/KETL
 KSPARSE(1, 208)=15
 KSPARSE(2, 208)=30
!OH/KETH
 KSPARSE(1, 209)=15
 KSPARSE(2, 209)=31
!OH/MEOH
 KSPARSE(1, 210)=15
 KSPARSE(2, 210)=32
!OH/ETOH
 KSPARSE(1, 211)=15
 KSPARSE(2, 211)=33
!OH/ALCH
 KSPARSE(1, 212)=15
 KSPARSE(2, 212)=34
!OH/ISOP
 KSPARSE(1, 213)=15
 KSPARSE(2, 213)=35
!OH/BIOL
 KSPARSE(1, 214)=15
 KSPARSE(2, 214)=36
!OH/BIOH
 KSPARSE(1, 215)=15
 KSPARSE(2, 215)=37
!OH/MTBE
 KSPARSE(1, 216)=15
 KSPARSE(2, 216)=38
!OH/MVK
 KSPARSE(1, 217)=15
 KSPARSE(2, 217)=39
!OH/MCR
 KSPARSE(1, 218)=15
 KSPARSE(2, 218)=40
!OH/MGLY
 KSPARSE(1, 219)=15
 KSPARSE(2, 219)=41
!OH/ORA1
 KSPARSE(1, 220)=15
 KSPARSE(2, 220)=43
!OH/ORA2
 KSPARSE(1, 221)=15
 KSPARSE(2, 221)=44
!OH/ACID
 KSPARSE(1, 222)=15
 KSPARSE(2, 222)=45
!OH/RPG2
 KSPARSE(1, 223)=15
 KSPARSE(2, 223)=50
!OH/RP18
 KSPARSE(1, 224)=15
 KSPARSE(2, 224)=51
!OH/RPG3
 KSPARSE(1, 225)=15
 KSPARSE(2, 225)=52
!OH/RPR3
 KSPARSE(1, 226)=15
 KSPARSE(2, 226)=57
!OH/RPR7
 KSPARSE(1, 227)=15
 KSPARSE(2, 227)=62
!OH/RPG7
 KSPARSE(1, 228)=15
 KSPARSE(2, 228)=63
!OH/RPR1
 KSPARSE(1, 229)=15
 KSPARSE(2, 229)=69
!OH/RPR5
 KSPARSE(1, 230)=15
 KSPARSE(2, 230)=70
!OH/RPR8
 KSPARSE(1, 231)=15
 KSPARSE(2, 231)=71
!OH/RP10
 KSPARSE(1, 232)=15
 KSPARSE(2, 232)=72
!OH/RP11
 KSPARSE(1, 233)=15
 KSPARSE(2, 233)=73
!OH/RP16
 KSPARSE(1, 234)=15
 KSPARSE(2, 234)=74
!OH/RPRL
 KSPARSE(1, 235)=15
 KSPARSE(2, 235)=75
!OH/RO2T
 KSPARSE(1, 236)=15
 KSPARSE(2, 236)=85
!OH/RO21
 KSPARSE(1, 237)=15
 KSPARSE(2, 237)=86
!OH/RO25
 KSPARSE(1, 238)=15
 KSPARSE(2, 238)=87
!ETHE/O3
 KSPARSE(1, 239)=16
 KSPARSE(2, 239)=3
!ETHE/NO3
 KSPARSE(1, 240)=16
 KSPARSE(2, 240)=8
!ETHE/OH
 KSPARSE(1, 241)=16
 KSPARSE(2, 241)=15
!ETHE/ETHE
 KSPARSE(1, 242)=16
 KSPARSE(2, 242)=16
!OLEL/NO
 KSPARSE(1, 243)=17
 KSPARSE(2, 243)=1
!OLEL/O3
 KSPARSE(1, 244)=17
 KSPARSE(2, 244)=3
!OLEL/NO3
 KSPARSE(1, 245)=17
 KSPARSE(2, 245)=8
!OLEL/HO2
 KSPARSE(1, 246)=17
 KSPARSE(2, 246)=10
!OLEL/OH
 KSPARSE(1, 247)=17
 KSPARSE(2, 247)=15
!OLEL/OLEL
 KSPARSE(1, 248)=17
 KSPARSE(2, 248)=17
!OLEL/ISOP
 KSPARSE(1, 249)=17
 KSPARSE(2, 249)=35
!OLEH/O3
 KSPARSE(1, 250)=18
 KSPARSE(2, 250)=3
!OLEH/NO3
 KSPARSE(1, 251)=18
 KSPARSE(2, 251)=8
!OLEH/OH
 KSPARSE(1, 252)=18
 KSPARSE(2, 252)=15
!OLEH/OLEH
 KSPARSE(1, 253)=18
 KSPARSE(2, 253)=18
!ALKL/NO
 KSPARSE(1, 254)=19
 KSPARSE(2, 254)=1
!ALKL/O3
 KSPARSE(1, 255)=19
 KSPARSE(2, 255)=3
!ALKL/HO2
 KSPARSE(1, 256)=19
 KSPARSE(2, 256)=10
!ALKL/OH
 KSPARSE(1, 257)=19
 KSPARSE(2, 257)=15
!ALKL/OLEL
 KSPARSE(1, 258)=19
 KSPARSE(2, 258)=17
!ALKL/ALKL
 KSPARSE(1, 259)=19
 KSPARSE(2, 259)=19
!ALKL/RO2T
 KSPARSE(1, 260)=19
 KSPARSE(2, 260)=85
!ALKL/RO25
 KSPARSE(1, 261)=19
 KSPARSE(2, 261)=87
!ALKM/O3
 KSPARSE(1, 262)=20
 KSPARSE(2, 262)=3
!ALKM/OH
 KSPARSE(1, 263)=20
 KSPARSE(2, 263)=15
!ALKM/OLEH
 KSPARSE(1, 264)=20
 KSPARSE(2, 264)=18
!ALKM/ALKM
 KSPARSE(1, 265)=20
 KSPARSE(2, 265)=20
!ALKH/OH
 KSPARSE(1, 266)=21
 KSPARSE(2, 266)=15
!ALKH/ALKH
 KSPARSE(1, 267)=21
 KSPARSE(2, 267)=21
!AROH/OH
 KSPARSE(1, 268)=22
 KSPARSE(2, 268)=15
!AROH/AROH
 KSPARSE(1, 269)=22
 KSPARSE(2, 269)=22
!AROL/OH
 KSPARSE(1, 270)=23
 KSPARSE(2, 270)=15
!AROL/AROL
 KSPARSE(1, 271)=23
 KSPARSE(2, 271)=23
!AROO/NO3
 KSPARSE(1, 272)=24
 KSPARSE(2, 272)=8
!AROO/OH
 KSPARSE(1, 273)=24
 KSPARSE(2, 273)=15
!AROO/AROH
 KSPARSE(1, 274)=24
 KSPARSE(2, 274)=22
!AROO/AROL
 KSPARSE(1, 275)=24
 KSPARSE(2, 275)=23
!AROO/AROO
 KSPARSE(1, 276)=24
 KSPARSE(2, 276)=24
!ARAL/NO
 KSPARSE(1, 277)=25
 KSPARSE(2, 277)=1
!ARAL/NO3
 KSPARSE(1, 278)=25
 KSPARSE(2, 278)=8
!ARAL/HO2
 KSPARSE(1, 279)=25
 KSPARSE(2, 279)=10
!ARAL/OH
 KSPARSE(1, 280)=25
 KSPARSE(2, 280)=15
!ARAL/ARAL
 KSPARSE(1, 281)=25
 KSPARSE(2, 281)=25
!ARAL/RO2T
 KSPARSE(1, 282)=25
 KSPARSE(2, 282)=85
!ARAC/NO3
 KSPARSE(1, 283)=26
 KSPARSE(2, 283)=8
!ARAC/OH
 KSPARSE(1, 284)=26
 KSPARSE(2, 284)=15
!ARAC/ARAL
 KSPARSE(1, 285)=26
 KSPARSE(2, 285)=25
!ARAC/ARAC
 KSPARSE(1, 286)=26
 KSPARSE(2, 286)=26
!PAH/OH
 KSPARSE(1, 287)=27
 KSPARSE(2, 287)=15
!PAH/PAH
 KSPARSE(1, 288)=27
 KSPARSE(2, 288)=27
!HCHO/NO
 KSPARSE(1, 289)=28
 KSPARSE(2, 289)=1
!HCHO/O3
 KSPARSE(1, 290)=28
 KSPARSE(2, 290)=3
!HCHO/NO3
 KSPARSE(1, 291)=28
 KSPARSE(2, 291)=8
!HCHO/HO2
 KSPARSE(1, 292)=28
 KSPARSE(2, 292)=10
!HCHO/OH
 KSPARSE(1, 293)=28
 KSPARSE(2, 293)=15
!HCHO/ETHE
 KSPARSE(1, 294)=28
 KSPARSE(2, 294)=16
!HCHO/OLEL
 KSPARSE(1, 295)=28
 KSPARSE(2, 295)=17
!HCHO/OLEH
 KSPARSE(1, 296)=28
 KSPARSE(2, 296)=18
!HCHO/HCHO
 KSPARSE(1, 297)=28
 KSPARSE(2, 297)=28
!HCHO/MEOH
 KSPARSE(1, 298)=28
 KSPARSE(2, 298)=32
!HCHO/ISOP
 KSPARSE(1, 299)=28
 KSPARSE(2, 299)=35
!HCHO/MVK
 KSPARSE(1, 300)=28
 KSPARSE(2, 300)=39
!HCHO/MCR
 KSPARSE(1, 301)=28
 KSPARSE(2, 301)=40
!HCHO/RO2T
 KSPARSE(1, 302)=28
 KSPARSE(2, 302)=85
!HCHO/RO21
 KSPARSE(1, 303)=28
 KSPARSE(2, 303)=86
!ALD2/NO
 KSPARSE(1, 304)=29
 KSPARSE(2, 304)=1
!ALD2/O3
 KSPARSE(1, 305)=29
 KSPARSE(2, 305)=3
!ALD2/NO3
 KSPARSE(1, 306)=29
 KSPARSE(2, 306)=8
!ALD2/HO2
 KSPARSE(1, 307)=29
 KSPARSE(2, 307)=10
!ALD2/OH
 KSPARSE(1, 308)=29
 KSPARSE(2, 308)=15
!ALD2/OLEL
 KSPARSE(1, 309)=29
 KSPARSE(2, 309)=17
!ALD2/ALD2
 KSPARSE(1, 310)=29
 KSPARSE(2, 310)=29
!ALD2/ETOH
 KSPARSE(1, 311)=29
 KSPARSE(2, 311)=33
!ALD2/ISOP
 KSPARSE(1, 312)=29
 KSPARSE(2, 312)=35
!ALD2/MVK
 KSPARSE(1, 313)=29
 KSPARSE(2, 313)=39
!ALD2/MCR
 KSPARSE(1, 314)=29
 KSPARSE(2, 314)=40
!ALD2/RO2T
 KSPARSE(1, 315)=29
 KSPARSE(2, 315)=85
!ALD2/RO25
 KSPARSE(1, 316)=29
 KSPARSE(2, 316)=87
!KETL/NO
 KSPARSE(1, 317)=30
 KSPARSE(2, 317)=1
!KETL/HO2
 KSPARSE(1, 318)=30
 KSPARSE(2, 318)=10
!KETL/OH
 KSPARSE(1, 319)=30
 KSPARSE(2, 319)=15
!KETL/KETL
 KSPARSE(1, 320)=30
 KSPARSE(2, 320)=30
!KETL/MVK
 KSPARSE(1, 321)=30
 KSPARSE(2, 321)=39
!KETL/RO2T
 KSPARSE(1, 322)=30
 KSPARSE(2, 322)=85
!KETH/OH
 KSPARSE(1, 323)=31
 KSPARSE(2, 323)=15
!KETH/KETH
 KSPARSE(1, 324)=31
 KSPARSE(2, 324)=31
!MEOH/OH
 KSPARSE(1, 325)=32
 KSPARSE(2, 325)=15
!MEOH/MEOH
 KSPARSE(1, 326)=32
 KSPARSE(2, 326)=32
!ETOH/OH
 KSPARSE(1, 327)=33
 KSPARSE(2, 327)=15
!ETOH/ETOH
 KSPARSE(1, 328)=33
 KSPARSE(2, 328)=33
!ALCH/OH
 KSPARSE(1, 329)=34
 KSPARSE(2, 329)=15
!ALCH/ALCH
 KSPARSE(1, 330)=34
 KSPARSE(2, 330)=34
!ISOP/O3
 KSPARSE(1, 331)=35
 KSPARSE(2, 331)=3
!ISOP/NO3
 KSPARSE(1, 332)=35
 KSPARSE(2, 332)=8
!ISOP/OH
 KSPARSE(1, 333)=35
 KSPARSE(2, 333)=15
!ISOP/ISOP
 KSPARSE(1, 334)=35
 KSPARSE(2, 334)=35
!BIOL/O3
 KSPARSE(1, 335)=36
 KSPARSE(2, 335)=3
!BIOL/NO3
 KSPARSE(1, 336)=36
 KSPARSE(2, 336)=8
!BIOL/OH
 KSPARSE(1, 337)=36
 KSPARSE(2, 337)=15
!BIOL/BIOL
 KSPARSE(1, 338)=36
 KSPARSE(2, 338)=36
!BIOH/O3
 KSPARSE(1, 339)=37
 KSPARSE(2, 339)=3
!BIOH/NO3
 KSPARSE(1, 340)=37
 KSPARSE(2, 340)=8
!BIOH/OH
 KSPARSE(1, 341)=37
 KSPARSE(2, 341)=15
!BIOH/BIOH
 KSPARSE(1, 342)=37
 KSPARSE(2, 342)=37
!MTBE/OH
 KSPARSE(1, 343)=38
 KSPARSE(2, 343)=15
!MTBE/MTBE
 KSPARSE(1, 344)=38
 KSPARSE(2, 344)=38
!MVK/NO
 KSPARSE(1, 345)=39
 KSPARSE(2, 345)=1
!MVK/O3
 KSPARSE(1, 346)=39
 KSPARSE(2, 346)=3
!MVK/HO2
 KSPARSE(1, 347)=39
 KSPARSE(2, 347)=10
!MVK/OH
 KSPARSE(1, 348)=39
 KSPARSE(2, 348)=15
!MVK/ISOP
 KSPARSE(1, 349)=39
 KSPARSE(2, 349)=35
!MVK/MVK
 KSPARSE(1, 350)=39
 KSPARSE(2, 350)=39
!MVK/RO2T
 KSPARSE(1, 351)=39
 KSPARSE(2, 351)=85
!MCR/NO
 KSPARSE(1, 352)=40
 KSPARSE(2, 352)=1
!MCR/O3
 KSPARSE(1, 353)=40
 KSPARSE(2, 353)=3
!MCR/NO3
 KSPARSE(1, 354)=40
 KSPARSE(2, 354)=8
!MCR/HO2
 KSPARSE(1, 355)=40
 KSPARSE(2, 355)=10
!MCR/OH
 KSPARSE(1, 356)=40
 KSPARSE(2, 356)=15
!MCR/ISOP
 KSPARSE(1, 357)=40
 KSPARSE(2, 357)=35
!MCR/MCR
 KSPARSE(1, 358)=40
 KSPARSE(2, 358)=40
!MCR/RO2T
 KSPARSE(1, 359)=40
 KSPARSE(2, 359)=85
!MGLY/NO
 KSPARSE(1, 360)=41
 KSPARSE(2, 360)=1
!MGLY/O3
 KSPARSE(1, 361)=41
 KSPARSE(2, 361)=3
!MGLY/NO3
 KSPARSE(1, 362)=41
 KSPARSE(2, 362)=8
!MGLY/HO2
 KSPARSE(1, 363)=41
 KSPARSE(2, 363)=10
!MGLY/OH
 KSPARSE(1, 364)=41
 KSPARSE(2, 364)=15
!MGLY/MVK
 KSPARSE(1, 365)=41
 KSPARSE(2, 365)=39
!MGLY/MCR
 KSPARSE(1, 366)=41
 KSPARSE(2, 366)=40
!MGLY/MGLY
 KSPARSE(1, 367)=41
 KSPARSE(2, 367)=41
!MGLY/RO2T
 KSPARSE(1, 368)=41
 KSPARSE(2, 368)=85
!ORA1/O3
 KSPARSE(1, 369)=43
 KSPARSE(2, 369)=3
!ORA1/OH
 KSPARSE(1, 370)=43
 KSPARSE(2, 370)=15
!ORA1/ETHE
 KSPARSE(1, 371)=43
 KSPARSE(2, 371)=16
!ORA1/OLEL
 KSPARSE(1, 372)=43
 KSPARSE(2, 372)=17
!ORA1/ISOP
 KSPARSE(1, 373)=43
 KSPARSE(2, 373)=35
!ORA1/MVK
 KSPARSE(1, 374)=43
 KSPARSE(2, 374)=39
!ORA1/MCR
 KSPARSE(1, 375)=43
 KSPARSE(2, 375)=40
!ORA1/ORA1
 KSPARSE(1, 376)=43
 KSPARSE(2, 376)=43
!ORA2/O3
 KSPARSE(1, 377)=44
 KSPARSE(2, 377)=3
!ORA2/HO2
 KSPARSE(1, 378)=44
 KSPARSE(2, 378)=10
!ORA2/OH
 KSPARSE(1, 379)=44
 KSPARSE(2, 379)=15
!ORA2/OLEL
 KSPARSE(1, 380)=44
 KSPARSE(2, 380)=17
!ORA2/ORA2
 KSPARSE(1, 381)=44
 KSPARSE(2, 381)=44
!ACID/O3
 KSPARSE(1, 382)=45
 KSPARSE(2, 382)=3
!ACID/HO2
 KSPARSE(1, 383)=45
 KSPARSE(2, 383)=10
!ACID/OH
 KSPARSE(1, 384)=45
 KSPARSE(2, 384)=15
!ACID/OLEH
 KSPARSE(1, 385)=45
 KSPARSE(2, 385)=18
!ACID/ACID
 KSPARSE(1, 386)=45
 KSPARSE(2, 386)=45
!UR28/HO2
 KSPARSE(1, 387)=46
 KSPARSE(2, 387)=10
!UR28/UR28
 KSPARSE(1, 388)=46
 KSPARSE(2, 388)=46
!UR21/O3
 KSPARSE(1, 389)=47
 KSPARSE(2, 389)=3
!UR21/HO2
 KSPARSE(1, 390)=47
 KSPARSE(2, 390)=10
!UR21/MVK
 KSPARSE(1, 391)=47
 KSPARSE(2, 391)=39
!UR21/UR21
 KSPARSE(1, 392)=47
 KSPARSE(2, 392)=47
!URG2/OH
 KSPARSE(1, 393)=48
 KSPARSE(2, 393)=15
!URG2/URG2
 KSPARSE(1, 394)=48
 KSPARSE(2, 394)=48
!URG2/RPG2
 KSPARSE(1, 395)=48
 KSPARSE(2, 395)=50
!URG2/RP18
 KSPARSE(1, 396)=48
 KSPARSE(2, 396)=51
!UR26/OH
 KSPARSE(1, 397)=49
 KSPARSE(2, 397)=15
!UR26/UR26
 KSPARSE(1, 398)=49
 KSPARSE(2, 398)=49
!UR26/RP11
 KSPARSE(1, 399)=49
 KSPARSE(2, 399)=73
!RPG2/NO
 KSPARSE(1, 400)=50
 KSPARSE(2, 400)=1
!RPG2/HO2
 KSPARSE(1, 401)=50
 KSPARSE(2, 401)=10
!RPG2/OH
 KSPARSE(1, 402)=50
 KSPARSE(2, 402)=15
!RPG2/RPG2
 KSPARSE(1, 403)=50
 KSPARSE(2, 403)=50
!RPG2/RPG3
 KSPARSE(1, 404)=50
 KSPARSE(2, 404)=52
!RPG2/RO2T
 KSPARSE(1, 405)=50
 KSPARSE(2, 405)=85
!RP18/OH
 KSPARSE(1, 406)=51
 KSPARSE(2, 406)=15
!RP18/RPG2
 KSPARSE(1, 407)=51
 KSPARSE(2, 407)=50
!RP18/RP18
 KSPARSE(1, 408)=51
 KSPARSE(2, 408)=51
!RPG3/NO
 KSPARSE(1, 409)=52
 KSPARSE(2, 409)=1
!RPG3/HO2
 KSPARSE(1, 410)=52
 KSPARSE(2, 410)=10
!RPG3/OH
 KSPARSE(1, 411)=52
 KSPARSE(2, 411)=15
!RPG3/RPG3
 KSPARSE(1, 412)=52
 KSPARSE(2, 412)=52
!RPG3/RO2T
 KSPARSE(1, 413)=52
 KSPARSE(2, 413)=85
!URG4/O3
 KSPARSE(1, 414)=53
 KSPARSE(2, 414)=3
!URG4/HO2
 KSPARSE(1, 415)=53
 KSPARSE(2, 415)=10
!URG4/BIOL
 KSPARSE(1, 416)=53
 KSPARSE(2, 416)=36
!URG4/URG4
 KSPARSE(1, 417)=53
 KSPARSE(2, 417)=53
!UR8/O3
 KSPARSE(1, 418)=54
 KSPARSE(2, 418)=3
!UR8/BIOH
 KSPARSE(1, 419)=54
 KSPARSE(2, 419)=37
!UR8/UR8
 KSPARSE(1, 420)=54
 KSPARSE(2, 420)=54
!UR17/NO
 KSPARSE(1, 421)=55
 KSPARSE(2, 421)=1
!UR17/HO2
 KSPARSE(1, 422)=55
 KSPARSE(2, 422)=10
!UR17/UR17
 KSPARSE(1, 423)=55
 KSPARSE(2, 423)=55
!UR17/RO2T
 KSPARSE(1, 424)=55
 KSPARSE(2, 424)=85
!UR7/NO
 KSPARSE(1, 425)=56
 KSPARSE(2, 425)=1
!UR7/O3
 KSPARSE(1, 426)=56
 KSPARSE(2, 426)=3
!UR7/HO2
 KSPARSE(1, 427)=56
 KSPARSE(2, 427)=10
!UR7/BIOH
 KSPARSE(1, 428)=56
 KSPARSE(2, 428)=37
!UR7/UR7
 KSPARSE(1, 429)=56
 KSPARSE(2, 429)=56
!UR7/RO2T
 KSPARSE(1, 430)=56
 KSPARSE(2, 430)=85
!RPR3/NO
 KSPARSE(1, 431)=57
 KSPARSE(2, 431)=1
!RPR3/O3
 KSPARSE(1, 432)=57
 KSPARSE(2, 432)=3
!RPR3/NO3
 KSPARSE(1, 433)=57
 KSPARSE(2, 433)=8
!RPR3/HO2
 KSPARSE(1, 434)=57
 KSPARSE(2, 434)=10
!RPR3/OH
 KSPARSE(1, 435)=57
 KSPARSE(2, 435)=15
!RPR3/BIOL
 KSPARSE(1, 436)=57
 KSPARSE(2, 436)=36
!RPR3/RPR3
 KSPARSE(1, 437)=57
 KSPARSE(2, 437)=57
!RPR3/RO2T
 KSPARSE(1, 438)=57
 KSPARSE(2, 438)=85
!URG6/NO
 KSPARSE(1, 439)=58
 KSPARSE(2, 439)=1
!URG6/OH
 KSPARSE(1, 440)=58
 KSPARSE(2, 440)=15
!URG6/URG6
 KSPARSE(1, 441)=58
 KSPARSE(2, 441)=58
!URG6/RPG7
 KSPARSE(1, 442)=58
 KSPARSE(2, 442)=63
!UR22/NO2
 KSPARSE(1, 443)=59
 KSPARSE(2, 443)=2
!UR22/UR22
 KSPARSE(1, 444)=59
 KSPARSE(2, 444)=59
!URG7/NO2
 KSPARSE(1, 445)=60
 KSPARSE(2, 445)=2
!URG7/OH
 KSPARSE(1, 446)=60
 KSPARSE(2, 446)=15
!URG7/ARAC
 KSPARSE(1, 447)=60
 KSPARSE(2, 447)=26
!URG7/URG7
 KSPARSE(1, 448)=60
 KSPARSE(2, 448)=60
!URG7/RPR7
 KSPARSE(1, 449)=60
 KSPARSE(2, 449)=62
!URG7/RPR5
 KSPARSE(1, 450)=60
 KSPARSE(2, 450)=70
!URG7/RPRL
 KSPARSE(1, 451)=60
 KSPARSE(2, 451)=75
!RPR4/NO2
 KSPARSE(1, 452)=61
 KSPARSE(2, 452)=2
!RPR4/NO3
 KSPARSE(1, 453)=61
 KSPARSE(2, 453)=8
!RPR4/RPR4
 KSPARSE(1, 454)=61
 KSPARSE(2, 454)=61
!RPR7/NO
 KSPARSE(1, 455)=62
 KSPARSE(2, 455)=1
!RPR7/HO2
 KSPARSE(1, 456)=62
 KSPARSE(2, 456)=10
!RPR7/OH
 KSPARSE(1, 457)=62
 KSPARSE(2, 457)=15
!RPR7/RPR7
 KSPARSE(1, 458)=62
 KSPARSE(2, 458)=62
!RPR7/RPRL
 KSPARSE(1, 459)=62
 KSPARSE(2, 459)=75
!RPR7/RO2T
 KSPARSE(1, 460)=62
 KSPARSE(2, 460)=85
!RPG7/NO
 KSPARSE(1, 461)=63
 KSPARSE(2, 461)=1
!RPG7/HO2
 KSPARSE(1, 462)=63
 KSPARSE(2, 462)=10
!RPG7/OH
 KSPARSE(1, 463)=63
 KSPARSE(2, 463)=15
!RPG7/RPG7
 KSPARSE(1, 464)=63
 KSPARSE(2, 464)=63
!RPG7/RO2T
 KSPARSE(1, 465)=63
 KSPARSE(2, 465)=85
!URG8/NO
 KSPARSE(1, 466)=64
 KSPARSE(2, 466)=1
!URG8/NO2
 KSPARSE(1, 467)=64
 KSPARSE(2, 467)=2
!URG8/OH
 KSPARSE(1, 468)=64
 KSPARSE(2, 468)=15
!URG8/PAH
 KSPARSE(1, 469)=64
 KSPARSE(2, 469)=27
!URG8/URG8
 KSPARSE(1, 470)=64
 KSPARSE(2, 470)=64
!UR19/NO
 KSPARSE(1, 471)=65
 KSPARSE(2, 471)=1
!UR19/HO2
 KSPARSE(1, 472)=65
 KSPARSE(2, 472)=10
!UR19/UR19
 KSPARSE(1, 473)=65
 KSPARSE(2, 473)=65
!UR19/RO2T
 KSPARSE(1, 474)=65
 KSPARSE(2, 474)=85
!URG9/NO
 KSPARSE(1, 475)=66
 KSPARSE(2, 475)=1
!URG9/HO2
 KSPARSE(1, 476)=66
 KSPARSE(2, 476)=10
!URG9/URG9
 KSPARSE(1, 477)=66
 KSPARSE(2, 477)=66
!URG9/RO2T
 KSPARSE(1, 478)=66
 KSPARSE(2, 478)=85
!AP7/NO
 KSPARSE(1, 479)=67
 KSPARSE(2, 479)=1
!AP7/AP7
 KSPARSE(1, 480)=67
 KSPARSE(2, 480)=67
!URG10/NO
 KSPARSE(1, 481)=68
 KSPARSE(2, 481)=1
!URG10/BIOL
 KSPARSE(1, 482)=68
 KSPARSE(2, 482)=36
!URG10/URG10
 KSPARSE(1, 483)=68
 KSPARSE(2, 483)=68
!RPR1/NO
 KSPARSE(1, 484)=69
 KSPARSE(2, 484)=1
!RPR1/O3
 KSPARSE(1, 485)=69
 KSPARSE(2, 485)=3
!RPR1/NO3
 KSPARSE(1, 486)=69
 KSPARSE(2, 486)=8
!RPR1/HO2
 KSPARSE(1, 487)=69
 KSPARSE(2, 487)=10
!RPR1/OH
 KSPARSE(1, 488)=69
 KSPARSE(2, 488)=15
!RPR1/OLEH
 KSPARSE(1, 489)=69
 KSPARSE(2, 489)=18
!RPR1/RPR1
 KSPARSE(1, 490)=69
 KSPARSE(2, 490)=69
!RPR1/RO2T
 KSPARSE(1, 491)=69
 KSPARSE(2, 491)=85
!RPR5/NO2
 KSPARSE(1, 492)=70
 KSPARSE(2, 492)=2
!RPR5/OH
 KSPARSE(1, 493)=70
 KSPARSE(2, 493)=15
!RPR5/RPR5
 KSPARSE(1, 494)=70
 KSPARSE(2, 494)=70
!RPR8/NO
 KSPARSE(1, 495)=71
 KSPARSE(2, 495)=1
!RPR8/NO3
 KSPARSE(1, 496)=71
 KSPARSE(2, 496)=8
!RPR8/HO2
 KSPARSE(1, 497)=71
 KSPARSE(2, 497)=10
!RPR8/OH
 KSPARSE(1, 498)=71
 KSPARSE(2, 498)=15
!RPR8/RPR8
 KSPARSE(1, 499)=71
 KSPARSE(2, 499)=71
!RPR8/RO2T
 KSPARSE(1, 500)=71
 KSPARSE(2, 500)=85
!RP10/NO
 KSPARSE(1, 501)=72
 KSPARSE(2, 501)=1
!RP10/HO2
 KSPARSE(1, 502)=72
 KSPARSE(2, 502)=10
!RP10/OH
 KSPARSE(1, 503)=72
 KSPARSE(2, 503)=15
!RP10/RP10
 KSPARSE(1, 504)=72
 KSPARSE(2, 504)=72
!RP10/RO2T
 KSPARSE(1, 505)=72
 KSPARSE(2, 505)=85
!RP11/NO
 KSPARSE(1, 506)=73
 KSPARSE(2, 506)=1
!RP11/HO2
 KSPARSE(1, 507)=73
 KSPARSE(2, 507)=10
!RP11/OH
 KSPARSE(1, 508)=73
 KSPARSE(2, 508)=15
!RP11/RP11
 KSPARSE(1, 509)=73
 KSPARSE(2, 509)=73
!RP11/RO2T
 KSPARSE(1, 510)=73
 KSPARSE(2, 510)=85
!RP16/NO3
 KSPARSE(1, 511)=74
 KSPARSE(2, 511)=8
!RP16/HO2
 KSPARSE(1, 512)=74
 KSPARSE(2, 512)=10
!RP16/OH
 KSPARSE(1, 513)=74
 KSPARSE(2, 513)=15
!RP16/RP16
 KSPARSE(1, 514)=74
 KSPARSE(2, 514)=74
!RPRL/NO
 KSPARSE(1, 515)=75
 KSPARSE(2, 515)=1
!RPRL/HO2
 KSPARSE(1, 516)=75
 KSPARSE(2, 516)=10
!RPRL/OH
 KSPARSE(1, 517)=75
 KSPARSE(2, 517)=15
!RPRL/ARAL
 KSPARSE(1, 518)=75
 KSPARSE(2, 518)=25
!RPRL/RPRL
 KSPARSE(1, 519)=75
 KSPARSE(2, 519)=75
!RPRL/RO2T
 KSPARSE(1, 520)=75
 KSPARSE(2, 520)=85
!APAN/NO2
 KSPARSE(1, 521)=76
 KSPARSE(2, 521)=2
!APAN/APAN
 KSPARSE(1, 522)=76
 KSPARSE(2, 522)=76
!PAN1/NO2
 KSPARSE(1, 523)=77
 KSPARSE(2, 523)=2
!PAN1/PAN1
 KSPARSE(1, 524)=77
 KSPARSE(2, 524)=77
!PAN2/NO2
 KSPARSE(1, 525)=78
 KSPARSE(2, 525)=2
!PAN2/PAN2
 KSPARSE(1, 526)=78
 KSPARSE(2, 526)=78
!PAN3/NO2
 KSPARSE(1, 527)=79
 KSPARSE(2, 527)=2
!PAN3/PAN3
 KSPARSE(1, 528)=79
 KSPARSE(2, 528)=79
!PAN4/NO2
 KSPARSE(1, 529)=80
 KSPARSE(2, 529)=2
!PAN4/PAN4
 KSPARSE(1, 530)=80
 KSPARSE(2, 530)=80
!PAN6/NO2
 KSPARSE(1, 531)=81
 KSPARSE(2, 531)=2
!PAN6/PAN6
 KSPARSE(1, 532)=81
 KSPARSE(2, 532)=81
!PAN7/NO2
 KSPARSE(1, 533)=82
 KSPARSE(2, 533)=2
!PAN7/PAN7
 KSPARSE(1, 534)=82
 KSPARSE(2, 534)=82
!PAN8/NO2
 KSPARSE(1, 535)=83
 KSPARSE(2, 535)=2
!PAN8/PAN8
 KSPARSE(1, 536)=83
 KSPARSE(2, 536)=83
!PN10/NO2
 KSPARSE(1, 537)=84
 KSPARSE(2, 537)=2
!PN10/PN10
 KSPARSE(1, 538)=84
 KSPARSE(2, 538)=84
!RO2T/NO
 KSPARSE(1, 539)=85
 KSPARSE(2, 539)=1
!RO2T/O3
 KSPARSE(1, 540)=85
 KSPARSE(2, 540)=3
!RO2T/NO3
 KSPARSE(1, 541)=85
 KSPARSE(2, 541)=8
!RO2T/HO2
 KSPARSE(1, 542)=85
 KSPARSE(2, 542)=10
!RO2T/OH
 KSPARSE(1, 543)=85
 KSPARSE(2, 543)=15
!RO2T/ETHE
 KSPARSE(1, 544)=85
 KSPARSE(2, 544)=16
!RO2T/OLEL
 KSPARSE(1, 545)=85
 KSPARSE(2, 545)=17
!RO2T/OLEH
 KSPARSE(1, 546)=85
 KSPARSE(2, 546)=18
!RO2T/ALKL
 KSPARSE(1, 547)=85
 KSPARSE(2, 547)=19
!RO2T/ALKM
 KSPARSE(1, 548)=85
 KSPARSE(2, 548)=20
!RO2T/ALKH
 KSPARSE(1, 549)=85
 KSPARSE(2, 549)=21
!RO2T/AROL
 KSPARSE(1, 550)=85
 KSPARSE(2, 550)=23
!RO2T/AROO
 KSPARSE(1, 551)=85
 KSPARSE(2, 551)=24
!RO2T/ARAL
 KSPARSE(1, 552)=85
 KSPARSE(2, 552)=25
!RO2T/ARAC
 KSPARSE(1, 553)=85
 KSPARSE(2, 553)=26
!RO2T/PAH
 KSPARSE(1, 554)=85
 KSPARSE(2, 554)=27
!RO2T/ALD2
 KSPARSE(1, 555)=85
 KSPARSE(2, 555)=29
!RO2T/KETL
 KSPARSE(1, 556)=85
 KSPARSE(2, 556)=30
!RO2T/KETH
 KSPARSE(1, 557)=85
 KSPARSE(2, 557)=31
!RO2T/ETOH
 KSPARSE(1, 558)=85
 KSPARSE(2, 558)=33
!RO2T/ALCH
 KSPARSE(1, 559)=85
 KSPARSE(2, 559)=34
!RO2T/ISOP
 KSPARSE(1, 560)=85
 KSPARSE(2, 560)=35
!RO2T/BIOL
 KSPARSE(1, 561)=85
 KSPARSE(2, 561)=36
!RO2T/BIOH
 KSPARSE(1, 562)=85
 KSPARSE(2, 562)=37
!RO2T/MTBE
 KSPARSE(1, 563)=85
 KSPARSE(2, 563)=38
!RO2T/MVK
 KSPARSE(1, 564)=85
 KSPARSE(2, 564)=39
!RO2T/MCR
 KSPARSE(1, 565)=85
 KSPARSE(2, 565)=40
!RO2T/MGLY
 KSPARSE(1, 566)=85
 KSPARSE(2, 566)=41
!RO2T/RPR3
 KSPARSE(1, 567)=85
 KSPARSE(2, 567)=57
!RO2T/RPR1
 KSPARSE(1, 568)=85
 KSPARSE(2, 568)=69
!RO2T/RPR8
 KSPARSE(1, 569)=85
 KSPARSE(2, 569)=71
!RO2T/RP16
 KSPARSE(1, 570)=85
 KSPARSE(2, 570)=74
!RO2T/APAN
 KSPARSE(1, 571)=85
 KSPARSE(2, 571)=76
!RO2T/PAN1
 KSPARSE(1, 572)=85
 KSPARSE(2, 572)=77
!RO2T/PAN2
 KSPARSE(1, 573)=85
 KSPARSE(2, 573)=78
!RO2T/PAN3
 KSPARSE(1, 574)=85
 KSPARSE(2, 574)=79
!RO2T/PAN4
 KSPARSE(1, 575)=85
 KSPARSE(2, 575)=80
!RO2T/PAN6
 KSPARSE(1, 576)=85
 KSPARSE(2, 576)=81
!RO2T/PAN7
 KSPARSE(1, 577)=85
 KSPARSE(2, 577)=82
!RO2T/PAN8
 KSPARSE(1, 578)=85
 KSPARSE(2, 578)=83
!RO2T/PN10
 KSPARSE(1, 579)=85
 KSPARSE(2, 579)=84
!RO2T/RO2T
 KSPARSE(1, 580)=85
 KSPARSE(2, 580)=85
!RO2T/RO21
 KSPARSE(1, 581)=85
 KSPARSE(2, 581)=86
!RO2T/RO25
 KSPARSE(1, 582)=85
 KSPARSE(2, 582)=87
!RO21/NO
 KSPARSE(1, 583)=86
 KSPARSE(2, 583)=1
!RO21/HO2
 KSPARSE(1, 584)=86
 KSPARSE(2, 584)=10
!RO21/OH
 KSPARSE(1, 585)=86
 KSPARSE(2, 585)=15
!RO21/ETHE
 KSPARSE(1, 586)=86
 KSPARSE(2, 586)=16
!RO21/RO2T
 KSPARSE(1, 587)=86
 KSPARSE(2, 587)=85
!RO21/RO21
 KSPARSE(1, 588)=86
 KSPARSE(2, 588)=86
!RO25/NO
 KSPARSE(1, 589)=87
 KSPARSE(2, 589)=1
!RO25/O3
 KSPARSE(1, 590)=87
 KSPARSE(2, 590)=3
!RO25/HO2
 KSPARSE(1, 591)=87
 KSPARSE(2, 591)=10
!RO25/OH
 KSPARSE(1, 592)=87
 KSPARSE(2, 592)=15
!RO25/OLEL
 KSPARSE(1, 593)=87
 KSPARSE(2, 593)=17
!RO25/ALKL
 KSPARSE(1, 594)=87
 KSPARSE(2, 594)=19
!RO25/ALD2
 KSPARSE(1, 595)=87
 KSPARSE(2, 595)=29
!RO25/KETL
 KSPARSE(1, 596)=87
 KSPARSE(2, 596)=30
!RO25/KETH
 KSPARSE(1, 597)=87
 KSPARSE(2, 597)=31
!RO25/RO2T
 KSPARSE(1, 598)=87
 KSPARSE(2, 598)=85
!RO25/RO25
 KSPARSE(1, 599)=87
 KSPARSE(2, 599)=87
KSPARSEDIM = 599
RETURN
END SUBROUTINE CH_SPARSE_GAZ
!!
!!    #######################
      SUBROUTINE CH_SPARSE_AQ
!!    #######################
!!
!!*** *MODD_CH_SPARSE*
!!
!!    PURPOSE
!!    -------
!       calculation of the non-zero matrix elements in the Jacobian
!!
!!**  METHOD
!!    ------
!!      A 2D array KSPARSE of DIMESNSION(2,*) is returned, containing 
!!    the indices of the non-zero matrix elements in the Jacobian.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!    none
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
!!
!!    LOCAL VARIABLES
!!    ---------------
!!    none
!!----------------------------------------------------------------------
!!
!!    EXECUTABLE STATEMENTS
!!    ---------------------
! check if output array is large enough
IF (KSPARSEDIM.LT.1108) THEN
  STOP 'CH_SPARSE ERROR: array KSPARSE is too small!'
END IF
!NO/NO
 KSPARSE(1, 1)=1
 KSPARSE(2, 1)=1
!NO/NO2
 KSPARSE(1, 2)=1
 KSPARSE(2, 2)=2
!NO/O3
 KSPARSE(1, 3)=1
 KSPARSE(2, 3)=3
!NO/HONO
 KSPARSE(1, 4)=1
 KSPARSE(2, 4)=4
!NO/NO3
 KSPARSE(1, 5)=1
 KSPARSE(2, 5)=8
!NO/HO2
 KSPARSE(1, 6)=1
 KSPARSE(2, 6)=10
!NO/OH
 KSPARSE(1, 7)=1
 KSPARSE(2, 7)=15
!NO/RO2T
 KSPARSE(1, 8)=1
 KSPARSE(2, 8)=85
!NO/RO21
 KSPARSE(1, 9)=1
 KSPARSE(2, 9)=86
!NO/RO25
 KSPARSE(1, 10)=1
 KSPARSE(2, 10)=87
!NO/WC_NO
 KSPARSE(1, 11)=1
 KSPARSE(2, 11)=90
!NO/WR_NO
 KSPARSE(1, 12)=1
 KSPARSE(2, 12)=127
!NO2/NO
 KSPARSE(1, 13)=2
 KSPARSE(2, 13)=1
!NO2/NO2
 KSPARSE(1, 14)=2
 KSPARSE(2, 14)=2
!NO2/O3
 KSPARSE(1, 15)=2
 KSPARSE(2, 15)=3
!NO2/HONO
 KSPARSE(1, 16)=2
 KSPARSE(2, 16)=4
!NO2/HNO4
 KSPARSE(1, 17)=2
 KSPARSE(2, 17)=6
!NO2/N2O5
 KSPARSE(1, 18)=2
 KSPARSE(2, 18)=7
!NO2/NO3
 KSPARSE(1, 19)=2
 KSPARSE(2, 19)=8
!NO2/HO2
 KSPARSE(1, 20)=2
 KSPARSE(2, 20)=10
!NO2/OH
 KSPARSE(1, 21)=2
 KSPARSE(2, 21)=15
!NO2/APAN
 KSPARSE(1, 22)=2
 KSPARSE(2, 22)=76
!NO2/PAN1
 KSPARSE(1, 23)=2
 KSPARSE(2, 23)=77
!NO2/PAN2
 KSPARSE(1, 24)=2
 KSPARSE(2, 24)=78
!NO2/PAN3
 KSPARSE(1, 25)=2
 KSPARSE(2, 25)=79
!NO2/PAN4
 KSPARSE(1, 26)=2
 KSPARSE(2, 26)=80
!NO2/PAN6
 KSPARSE(1, 27)=2
 KSPARSE(2, 27)=81
!NO2/PAN7
 KSPARSE(1, 28)=2
 KSPARSE(2, 28)=82
!NO2/PAN8
 KSPARSE(1, 29)=2
 KSPARSE(2, 29)=83
!NO2/PN10
 KSPARSE(1, 30)=2
 KSPARSE(2, 30)=84
!NO2/RO2T
 KSPARSE(1, 31)=2
 KSPARSE(2, 31)=85
!NO2/RO21
 KSPARSE(1, 32)=2
 KSPARSE(2, 32)=86
!NO2/RO25
 KSPARSE(1, 33)=2
 KSPARSE(2, 33)=87
!NO2/WC_NO2
 KSPARSE(1, 34)=2
 KSPARSE(2, 34)=91
!NO2/WR_NO2
 KSPARSE(1, 35)=2
 KSPARSE(2, 35)=128
!O3/NO
 KSPARSE(1, 36)=3
 KSPARSE(2, 36)=1
!O3/NO2
 KSPARSE(1, 37)=3
 KSPARSE(2, 37)=2
!O3/O3
 KSPARSE(1, 38)=3
 KSPARSE(2, 38)=3
!O3/NO3
 KSPARSE(1, 39)=3
 KSPARSE(2, 39)=8
!O3/HO2
 KSPARSE(1, 40)=3
 KSPARSE(2, 40)=10
!O3/OH
 KSPARSE(1, 41)=3
 KSPARSE(2, 41)=15
!O3/ETHE
 KSPARSE(1, 42)=3
 KSPARSE(2, 42)=16
!O3/OLEL
 KSPARSE(1, 43)=3
 KSPARSE(2, 43)=17
!O3/OLEH
 KSPARSE(1, 44)=3
 KSPARSE(2, 44)=18
!O3/ARAL
 KSPARSE(1, 45)=3
 KSPARSE(2, 45)=25
!O3/ISOP
 KSPARSE(1, 46)=3
 KSPARSE(2, 46)=35
!O3/BIOL
 KSPARSE(1, 47)=3
 KSPARSE(2, 47)=36
!O3/BIOH
 KSPARSE(1, 48)=3
 KSPARSE(2, 48)=37
!O3/MVK
 KSPARSE(1, 49)=3
 KSPARSE(2, 49)=39
!O3/MCR
 KSPARSE(1, 50)=3
 KSPARSE(2, 50)=40
!O3/RPG2
 KSPARSE(1, 51)=3
 KSPARSE(2, 51)=50
!O3/RP18
 KSPARSE(1, 52)=3
 KSPARSE(2, 52)=51
!O3/RPG3
 KSPARSE(1, 53)=3
 KSPARSE(2, 53)=52
!O3/RPR7
 KSPARSE(1, 54)=3
 KSPARSE(2, 54)=62
!O3/RPG7
 KSPARSE(1, 55)=3
 KSPARSE(2, 55)=63
!O3/RPR5
 KSPARSE(1, 56)=3
 KSPARSE(2, 56)=70
!O3/RP11
 KSPARSE(1, 57)=3
 KSPARSE(2, 57)=73
!O3/RPRL
 KSPARSE(1, 58)=3
 KSPARSE(2, 58)=75
!O3/WC_O3
 KSPARSE(1, 59)=3
 KSPARSE(2, 59)=88
!O3/WR_O3
 KSPARSE(1, 60)=3
 KSPARSE(2, 60)=125
!HONO/NO
 KSPARSE(1, 61)=4
 KSPARSE(2, 61)=1
!HONO/NO2
 KSPARSE(1, 62)=4
 KSPARSE(2, 62)=2
!HONO/HONO
 KSPARSE(1, 63)=4
 KSPARSE(2, 63)=4
!HONO/OH
 KSPARSE(1, 64)=4
 KSPARSE(2, 64)=15
!HONO/WC_HONO
 KSPARSE(1, 65)=4
 KSPARSE(2, 65)=94
!HONO/WR_HONO
 KSPARSE(1, 66)=4
 KSPARSE(2, 66)=131
!HNO3/NO2
 KSPARSE(1, 67)=5
 KSPARSE(2, 67)=2
!HNO3/HNO3
 KSPARSE(1, 68)=5
 KSPARSE(2, 68)=5
!HNO3/N2O5
 KSPARSE(1, 69)=5
 KSPARSE(2, 69)=7
!HNO3/NO3
 KSPARSE(1, 70)=5
 KSPARSE(2, 70)=8
!HNO3/HO2
 KSPARSE(1, 71)=5
 KSPARSE(2, 71)=10
!HNO3/OH
 KSPARSE(1, 72)=5
 KSPARSE(2, 72)=15
!HNO3/AROO
 KSPARSE(1, 73)=5
 KSPARSE(2, 73)=24
!HNO3/ARAL
 KSPARSE(1, 74)=5
 KSPARSE(2, 74)=25
!HNO3/HCHO
 KSPARSE(1, 75)=5
 KSPARSE(2, 75)=28
!HNO3/ALD2
 KSPARSE(1, 76)=5
 KSPARSE(2, 76)=29
!HNO3/MCR
 KSPARSE(1, 77)=5
 KSPARSE(2, 77)=40
!HNO3/MGLY
 KSPARSE(1, 78)=5
 KSPARSE(2, 78)=41
!HNO3/RPR3
 KSPARSE(1, 79)=5
 KSPARSE(2, 79)=57
!HNO3/RPR4
 KSPARSE(1, 80)=5
 KSPARSE(2, 80)=61
!HNO3/RPR1
 KSPARSE(1, 81)=5
 KSPARSE(2, 81)=69
!HNO3/RPR8
 KSPARSE(1, 82)=5
 KSPARSE(2, 82)=71
!HNO3/RP16
 KSPARSE(1, 83)=5
 KSPARSE(2, 83)=74
!HNO3/WC_HNO3
 KSPARSE(1, 84)=5
 KSPARSE(2, 84)=95
!HNO3/WR_HNO3
 KSPARSE(1, 85)=5
 KSPARSE(2, 85)=132
!HNO4/NO2
 KSPARSE(1, 86)=6
 KSPARSE(2, 86)=2
!HNO4/HNO4
 KSPARSE(1, 87)=6
 KSPARSE(2, 87)=6
!HNO4/HO2
 KSPARSE(1, 88)=6
 KSPARSE(2, 88)=10
!HNO4/OH
 KSPARSE(1, 89)=6
 KSPARSE(2, 89)=15
!HNO4/WC_HNO4
 KSPARSE(1, 90)=6
 KSPARSE(2, 90)=96
!HNO4/WR_HNO4
 KSPARSE(1, 91)=6
 KSPARSE(2, 91)=133
!N2O5/NO2
 KSPARSE(1, 92)=7
 KSPARSE(2, 92)=2
!N2O5/N2O5
 KSPARSE(1, 93)=7
 KSPARSE(2, 93)=7
!N2O5/NO3
 KSPARSE(1, 94)=7
 KSPARSE(2, 94)=8
!N2O5/WC_N2O5
 KSPARSE(1, 95)=7
 KSPARSE(2, 95)=93
!N2O5/WR_N2O5
 KSPARSE(1, 96)=7
 KSPARSE(2, 96)=130
!NO3/NO
 KSPARSE(1, 97)=8
 KSPARSE(2, 97)=1
!NO3/NO2
 KSPARSE(1, 98)=8
 KSPARSE(2, 98)=2
!NO3/O3
 KSPARSE(1, 99)=8
 KSPARSE(2, 99)=3
!NO3/HNO3
 KSPARSE(1, 100)=8
 KSPARSE(2, 100)=5
!NO3/N2O5
 KSPARSE(1, 101)=8
 KSPARSE(2, 101)=7
!NO3/NO3
 KSPARSE(1, 102)=8
 KSPARSE(2, 102)=8
!NO3/HO2
 KSPARSE(1, 103)=8
 KSPARSE(2, 103)=10
!NO3/OH
 KSPARSE(1, 104)=8
 KSPARSE(2, 104)=15
!NO3/ETHE
 KSPARSE(1, 105)=8
 KSPARSE(2, 105)=16
!NO3/OLEL
 KSPARSE(1, 106)=8
 KSPARSE(2, 106)=17
!NO3/OLEH
 KSPARSE(1, 107)=8
 KSPARSE(2, 107)=18
!NO3/AROO
 KSPARSE(1, 108)=8
 KSPARSE(2, 108)=24
!NO3/ARAL
 KSPARSE(1, 109)=8
 KSPARSE(2, 109)=25
!NO3/HCHO
 KSPARSE(1, 110)=8
 KSPARSE(2, 110)=28
!NO3/ALD2
 KSPARSE(1, 111)=8
 KSPARSE(2, 111)=29
!NO3/ISOP
 KSPARSE(1, 112)=8
 KSPARSE(2, 112)=35
!NO3/BIOL
 KSPARSE(1, 113)=8
 KSPARSE(2, 113)=36
!NO3/BIOH
 KSPARSE(1, 114)=8
 KSPARSE(2, 114)=37
!NO3/MCR
 KSPARSE(1, 115)=8
 KSPARSE(2, 115)=40
!NO3/MGLY
 KSPARSE(1, 116)=8
 KSPARSE(2, 116)=41
!NO3/RPR3
 KSPARSE(1, 117)=8
 KSPARSE(2, 117)=57
!NO3/RPR4
 KSPARSE(1, 118)=8
 KSPARSE(2, 118)=61
!NO3/RPR1
 KSPARSE(1, 119)=8
 KSPARSE(2, 119)=69
!NO3/RPR8
 KSPARSE(1, 120)=8
 KSPARSE(2, 120)=71
!NO3/RP16
 KSPARSE(1, 121)=8
 KSPARSE(2, 121)=74
!NO3/WC_NO3
 KSPARSE(1, 122)=8
 KSPARSE(2, 122)=92
!NO3/WR_NO3
 KSPARSE(1, 123)=8
 KSPARSE(2, 123)=129
!NH3/NH3
 KSPARSE(1, 124)=9
 KSPARSE(2, 124)=9
!NH3/OH
 KSPARSE(1, 125)=9
 KSPARSE(2, 125)=15
!NH3/WC_NH3
 KSPARSE(1, 126)=9
 KSPARSE(2, 126)=97
!NH3/WR_NH3
 KSPARSE(1, 127)=9
 KSPARSE(2, 127)=134
!HO2/NO
 KSPARSE(1, 128)=10
 KSPARSE(2, 128)=1
!HO2/NO2
 KSPARSE(1, 129)=10
 KSPARSE(2, 129)=2
!HO2/O3
 KSPARSE(1, 130)=10
 KSPARSE(2, 130)=3
!HO2/HONO
 KSPARSE(1, 131)=10
 KSPARSE(2, 131)=4
!HO2/HNO4
 KSPARSE(1, 132)=10
 KSPARSE(2, 132)=6
!HO2/NO3
 KSPARSE(1, 133)=10
 KSPARSE(2, 133)=8
!HO2/HO2
 KSPARSE(1, 134)=10
 KSPARSE(2, 134)=10
!HO2/CO
 KSPARSE(1, 135)=10
 KSPARSE(2, 135)=11
!HO2/H2O2
 KSPARSE(1, 136)=10
 KSPARSE(2, 136)=12
!HO2/SO2
 KSPARSE(1, 137)=10
 KSPARSE(2, 137)=13
!HO2/OH
 KSPARSE(1, 138)=10
 KSPARSE(2, 138)=15
!HO2/ETHE
 KSPARSE(1, 139)=10
 KSPARSE(2, 139)=16
!HO2/OLEL
 KSPARSE(1, 140)=10
 KSPARSE(2, 140)=17
!HO2/OLEH
 KSPARSE(1, 141)=10
 KSPARSE(2, 141)=18
!HO2/AROH
 KSPARSE(1, 142)=10
 KSPARSE(2, 142)=22
!HO2/AROL
 KSPARSE(1, 143)=10
 KSPARSE(2, 143)=23
!HO2/AROO
 KSPARSE(1, 144)=10
 KSPARSE(2, 144)=24
!HO2/ARAL
 KSPARSE(1, 145)=10
 KSPARSE(2, 145)=25
!HO2/ARAC
 KSPARSE(1, 146)=10
 KSPARSE(2, 146)=26
!HO2/PAH
 KSPARSE(1, 147)=10
 KSPARSE(2, 147)=27
!HO2/HCHO
 KSPARSE(1, 148)=10
 KSPARSE(2, 148)=28
!HO2/ALD2
 KSPARSE(1, 149)=10
 KSPARSE(2, 149)=29
!HO2/MEOH
 KSPARSE(1, 150)=10
 KSPARSE(2, 150)=32
!HO2/ETOH
 KSPARSE(1, 151)=10
 KSPARSE(2, 151)=33
!HO2/ISOP
 KSPARSE(1, 152)=10
 KSPARSE(2, 152)=35
!HO2/BIOL
 KSPARSE(1, 153)=10
 KSPARSE(2, 153)=36
!HO2/MVK
 KSPARSE(1, 154)=10
 KSPARSE(2, 154)=39
!HO2/MCR
 KSPARSE(1, 155)=10
 KSPARSE(2, 155)=40
!HO2/MGLY
 KSPARSE(1, 156)=10
 KSPARSE(2, 156)=41
!HO2/ORA1
 KSPARSE(1, 157)=10
 KSPARSE(2, 157)=43
!HO2/RPR3
 KSPARSE(1, 158)=10
 KSPARSE(2, 158)=57
!HO2/RPR1
 KSPARSE(1, 159)=10
 KSPARSE(2, 159)=69
!HO2/RPR8
 KSPARSE(1, 160)=10
 KSPARSE(2, 160)=71
!HO2/RP10
 KSPARSE(1, 161)=10
 KSPARSE(2, 161)=72
!HO2/RP16
 KSPARSE(1, 162)=10
 KSPARSE(2, 162)=74
!HO2/RO2T
 KSPARSE(1, 163)=10
 KSPARSE(2, 163)=85
!HO2/RO21
 KSPARSE(1, 164)=10
 KSPARSE(2, 164)=86
!HO2/RO25
 KSPARSE(1, 165)=10
 KSPARSE(2, 165)=87
!HO2/WC_HO2
 KSPARSE(1, 166)=10
 KSPARSE(2, 166)=99
!HO2/WR_HO2
 KSPARSE(1, 167)=10
 KSPARSE(2, 167)=136
!CO/NO
 KSPARSE(1, 168)=11
 KSPARSE(2, 168)=1
!CO/O3
 KSPARSE(1, 169)=11
 KSPARSE(2, 169)=3
!CO/NO3
 KSPARSE(1, 170)=11
 KSPARSE(2, 170)=8
!CO/HO2
 KSPARSE(1, 171)=11
 KSPARSE(2, 171)=10
!CO/CO
 KSPARSE(1, 172)=11
 KSPARSE(2, 172)=11
!CO/OH
 KSPARSE(1, 173)=11
 KSPARSE(2, 173)=15
!CO/ETHE
 KSPARSE(1, 174)=11
 KSPARSE(2, 174)=16
!CO/OLEL
 KSPARSE(1, 175)=11
 KSPARSE(2, 175)=17
!CO/OLEH
 KSPARSE(1, 176)=11
 KSPARSE(2, 176)=18
!CO/HCHO
 KSPARSE(1, 177)=11
 KSPARSE(2, 177)=28
!CO/ALD2
 KSPARSE(1, 178)=11
 KSPARSE(2, 178)=29
!CO/ISOP
 KSPARSE(1, 179)=11
 KSPARSE(2, 179)=35
!CO/BIOL
 KSPARSE(1, 180)=11
 KSPARSE(2, 180)=36
!CO/BIOH
 KSPARSE(1, 181)=11
 KSPARSE(2, 181)=37
!CO/MVK
 KSPARSE(1, 182)=11
 KSPARSE(2, 182)=39
!CO/MCR
 KSPARSE(1, 183)=11
 KSPARSE(2, 183)=40
!CO/MGLY
 KSPARSE(1, 184)=11
 KSPARSE(2, 184)=41
!CO/RPR3
 KSPARSE(1, 185)=11
 KSPARSE(2, 185)=57
!CO/RPR1
 KSPARSE(1, 186)=11
 KSPARSE(2, 186)=69
!CO/RPR8
 KSPARSE(1, 187)=11
 KSPARSE(2, 187)=71
!CO/RP16
 KSPARSE(1, 188)=11
 KSPARSE(2, 188)=74
!CO/RO2T
 KSPARSE(1, 189)=11
 KSPARSE(2, 189)=85
!H2O2/O3
 KSPARSE(1, 190)=12
 KSPARSE(2, 190)=3
!H2O2/HO2
 KSPARSE(1, 191)=12
 KSPARSE(2, 191)=10
!H2O2/H2O2
 KSPARSE(1, 192)=12
 KSPARSE(2, 192)=12
!H2O2/OH
 KSPARSE(1, 193)=12
 KSPARSE(2, 193)=15
!H2O2/BIOL
 KSPARSE(1, 194)=12
 KSPARSE(2, 194)=36
!H2O2/BIOH
 KSPARSE(1, 195)=12
 KSPARSE(2, 195)=37
!H2O2/WC_H2O2
 KSPARSE(1, 196)=12
 KSPARSE(2, 196)=89
!H2O2/WR_H2O2
 KSPARSE(1, 197)=12
 KSPARSE(2, 197)=126
!SO2/SO2
 KSPARSE(1, 198)=13
 KSPARSE(2, 198)=13
!SO2/OH
 KSPARSE(1, 199)=13
 KSPARSE(2, 199)=15
!SO2/WC_SO2
 KSPARSE(1, 200)=13
 KSPARSE(2, 200)=101
!SO2/WR_SO2
 KSPARSE(1, 201)=13
 KSPARSE(2, 201)=138
!H2SO4/SO2
 KSPARSE(1, 202)=14
 KSPARSE(2, 202)=13
!H2SO4/H2SO4
 KSPARSE(1, 203)=14
 KSPARSE(2, 203)=14
!H2SO4/OH
 KSPARSE(1, 204)=14
 KSPARSE(2, 204)=15
!H2SO4/WC_H2SO4
 KSPARSE(1, 205)=14
 KSPARSE(2, 205)=102
!H2SO4/WR_H2SO4
 KSPARSE(1, 206)=14
 KSPARSE(2, 206)=139
!OH/NO
 KSPARSE(1, 207)=15
 KSPARSE(2, 207)=1
!OH/NO2
 KSPARSE(1, 208)=15
 KSPARSE(2, 208)=2
!OH/O3
 KSPARSE(1, 209)=15
 KSPARSE(2, 209)=3
!OH/HONO
 KSPARSE(1, 210)=15
 KSPARSE(2, 210)=4
!OH/HNO3
 KSPARSE(1, 211)=15
 KSPARSE(2, 211)=5
!OH/HNO4
 KSPARSE(1, 212)=15
 KSPARSE(2, 212)=6
!OH/NO3
 KSPARSE(1, 213)=15
 KSPARSE(2, 213)=8
!OH/NH3
 KSPARSE(1, 214)=15
 KSPARSE(2, 214)=9
!OH/HO2
 KSPARSE(1, 215)=15
 KSPARSE(2, 215)=10
!OH/CO
 KSPARSE(1, 216)=15
 KSPARSE(2, 216)=11
!OH/H2O2
 KSPARSE(1, 217)=15
 KSPARSE(2, 217)=12
!OH/SO2
 KSPARSE(1, 218)=15
 KSPARSE(2, 218)=13
!OH/OH
 KSPARSE(1, 219)=15
 KSPARSE(2, 219)=15
!OH/ETHE
 KSPARSE(1, 220)=15
 KSPARSE(2, 220)=16
!OH/OLEL
 KSPARSE(1, 221)=15
 KSPARSE(2, 221)=17
!OH/OLEH
 KSPARSE(1, 222)=15
 KSPARSE(2, 222)=18
!OH/ALKL
 KSPARSE(1, 223)=15
 KSPARSE(2, 223)=19
!OH/ALKM
 KSPARSE(1, 224)=15
 KSPARSE(2, 224)=20
!OH/ALKH
 KSPARSE(1, 225)=15
 KSPARSE(2, 225)=21
!OH/AROH
 KSPARSE(1, 226)=15
 KSPARSE(2, 226)=22
!OH/AROL
 KSPARSE(1, 227)=15
 KSPARSE(2, 227)=23
!OH/AROO
 KSPARSE(1, 228)=15
 KSPARSE(2, 228)=24
!OH/ARAL
 KSPARSE(1, 229)=15
 KSPARSE(2, 229)=25
!OH/ARAC
 KSPARSE(1, 230)=15
 KSPARSE(2, 230)=26
!OH/PAH
 KSPARSE(1, 231)=15
 KSPARSE(2, 231)=27
!OH/HCHO
 KSPARSE(1, 232)=15
 KSPARSE(2, 232)=28
!OH/ALD2
 KSPARSE(1, 233)=15
 KSPARSE(2, 233)=29
!OH/KETL
 KSPARSE(1, 234)=15
 KSPARSE(2, 234)=30
!OH/KETH
 KSPARSE(1, 235)=15
 KSPARSE(2, 235)=31
!OH/MEOH
 KSPARSE(1, 236)=15
 KSPARSE(2, 236)=32
!OH/ETOH
 KSPARSE(1, 237)=15
 KSPARSE(2, 237)=33
!OH/ALCH
 KSPARSE(1, 238)=15
 KSPARSE(2, 238)=34
!OH/ISOP
 KSPARSE(1, 239)=15
 KSPARSE(2, 239)=35
!OH/BIOL
 KSPARSE(1, 240)=15
 KSPARSE(2, 240)=36
!OH/BIOH
 KSPARSE(1, 241)=15
 KSPARSE(2, 241)=37
!OH/MTBE
 KSPARSE(1, 242)=15
 KSPARSE(2, 242)=38
!OH/MVK
 KSPARSE(1, 243)=15
 KSPARSE(2, 243)=39
!OH/MCR
 KSPARSE(1, 244)=15
 KSPARSE(2, 244)=40
!OH/MGLY
 KSPARSE(1, 245)=15
 KSPARSE(2, 245)=41
!OH/ORA1
 KSPARSE(1, 246)=15
 KSPARSE(2, 246)=43
!OH/ORA2
 KSPARSE(1, 247)=15
 KSPARSE(2, 247)=44
!OH/ACID
 KSPARSE(1, 248)=15
 KSPARSE(2, 248)=45
!OH/RPG2
 KSPARSE(1, 249)=15
 KSPARSE(2, 249)=50
!OH/RP18
 KSPARSE(1, 250)=15
 KSPARSE(2, 250)=51
!OH/RPG3
 KSPARSE(1, 251)=15
 KSPARSE(2, 251)=52
!OH/RPR3
 KSPARSE(1, 252)=15
 KSPARSE(2, 252)=57
!OH/RPR7
 KSPARSE(1, 253)=15
 KSPARSE(2, 253)=62
!OH/RPG7
 KSPARSE(1, 254)=15
 KSPARSE(2, 254)=63
!OH/RPR1
 KSPARSE(1, 255)=15
 KSPARSE(2, 255)=69
!OH/RPR5
 KSPARSE(1, 256)=15
 KSPARSE(2, 256)=70
!OH/RPR8
 KSPARSE(1, 257)=15
 KSPARSE(2, 257)=71
!OH/RP10
 KSPARSE(1, 258)=15
 KSPARSE(2, 258)=72
!OH/RP11
 KSPARSE(1, 259)=15
 KSPARSE(2, 259)=73
!OH/RP16
 KSPARSE(1, 260)=15
 KSPARSE(2, 260)=74
!OH/RPRL
 KSPARSE(1, 261)=15
 KSPARSE(2, 261)=75
!OH/RO2T
 KSPARSE(1, 262)=15
 KSPARSE(2, 262)=85
!OH/RO21
 KSPARSE(1, 263)=15
 KSPARSE(2, 263)=86
!OH/RO25
 KSPARSE(1, 264)=15
 KSPARSE(2, 264)=87
!OH/WC_OH
 KSPARSE(1, 265)=15
 KSPARSE(2, 265)=98
!OH/WR_OH
 KSPARSE(1, 266)=15
 KSPARSE(2, 266)=135
!ETHE/O3
 KSPARSE(1, 267)=16
 KSPARSE(2, 267)=3
!ETHE/NO3
 KSPARSE(1, 268)=16
 KSPARSE(2, 268)=8
!ETHE/OH
 KSPARSE(1, 269)=16
 KSPARSE(2, 269)=15
!ETHE/ETHE
 KSPARSE(1, 270)=16
 KSPARSE(2, 270)=16
!OLEL/NO
 KSPARSE(1, 271)=17
 KSPARSE(2, 271)=1
!OLEL/O3
 KSPARSE(1, 272)=17
 KSPARSE(2, 272)=3
!OLEL/NO3
 KSPARSE(1, 273)=17
 KSPARSE(2, 273)=8
!OLEL/HO2
 KSPARSE(1, 274)=17
 KSPARSE(2, 274)=10
!OLEL/OH
 KSPARSE(1, 275)=17
 KSPARSE(2, 275)=15
!OLEL/OLEL
 KSPARSE(1, 276)=17
 KSPARSE(2, 276)=17
!OLEL/ISOP
 KSPARSE(1, 277)=17
 KSPARSE(2, 277)=35
!OLEH/O3
 KSPARSE(1, 278)=18
 KSPARSE(2, 278)=3
!OLEH/NO3
 KSPARSE(1, 279)=18
 KSPARSE(2, 279)=8
!OLEH/OH
 KSPARSE(1, 280)=18
 KSPARSE(2, 280)=15
!OLEH/OLEH
 KSPARSE(1, 281)=18
 KSPARSE(2, 281)=18
!ALKL/NO
 KSPARSE(1, 282)=19
 KSPARSE(2, 282)=1
!ALKL/O3
 KSPARSE(1, 283)=19
 KSPARSE(2, 283)=3
!ALKL/HO2
 KSPARSE(1, 284)=19
 KSPARSE(2, 284)=10
!ALKL/OH
 KSPARSE(1, 285)=19
 KSPARSE(2, 285)=15
!ALKL/OLEL
 KSPARSE(1, 286)=19
 KSPARSE(2, 286)=17
!ALKL/ALKL
 KSPARSE(1, 287)=19
 KSPARSE(2, 287)=19
!ALKL/RO2T
 KSPARSE(1, 288)=19
 KSPARSE(2, 288)=85
!ALKL/RO25
 KSPARSE(1, 289)=19
 KSPARSE(2, 289)=87
!ALKM/O3
 KSPARSE(1, 290)=20
 KSPARSE(2, 290)=3
!ALKM/OH
 KSPARSE(1, 291)=20
 KSPARSE(2, 291)=15
!ALKM/OLEH
 KSPARSE(1, 292)=20
 KSPARSE(2, 292)=18
!ALKM/ALKM
 KSPARSE(1, 293)=20
 KSPARSE(2, 293)=20
!ALKH/OH
 KSPARSE(1, 294)=21
 KSPARSE(2, 294)=15
!ALKH/ALKH
 KSPARSE(1, 295)=21
 KSPARSE(2, 295)=21
!AROH/OH
 KSPARSE(1, 296)=22
 KSPARSE(2, 296)=15
!AROH/AROH
 KSPARSE(1, 297)=22
 KSPARSE(2, 297)=22
!AROL/OH
 KSPARSE(1, 298)=23
 KSPARSE(2, 298)=15
!AROL/AROL
 KSPARSE(1, 299)=23
 KSPARSE(2, 299)=23
!AROO/NO3
 KSPARSE(1, 300)=24
 KSPARSE(2, 300)=8
!AROO/OH
 KSPARSE(1, 301)=24
 KSPARSE(2, 301)=15
!AROO/AROH
 KSPARSE(1, 302)=24
 KSPARSE(2, 302)=22
!AROO/AROL
 KSPARSE(1, 303)=24
 KSPARSE(2, 303)=23
!AROO/AROO
 KSPARSE(1, 304)=24
 KSPARSE(2, 304)=24
!ARAL/NO
 KSPARSE(1, 305)=25
 KSPARSE(2, 305)=1
!ARAL/NO3
 KSPARSE(1, 306)=25
 KSPARSE(2, 306)=8
!ARAL/HO2
 KSPARSE(1, 307)=25
 KSPARSE(2, 307)=10
!ARAL/OH
 KSPARSE(1, 308)=25
 KSPARSE(2, 308)=15
!ARAL/ARAL
 KSPARSE(1, 309)=25
 KSPARSE(2, 309)=25
!ARAL/RO2T
 KSPARSE(1, 310)=25
 KSPARSE(2, 310)=85
!ARAC/NO3
 KSPARSE(1, 311)=26
 KSPARSE(2, 311)=8
!ARAC/OH
 KSPARSE(1, 312)=26
 KSPARSE(2, 312)=15
!ARAC/ARAL
 KSPARSE(1, 313)=26
 KSPARSE(2, 313)=25
!ARAC/ARAC
 KSPARSE(1, 314)=26
 KSPARSE(2, 314)=26
!PAH/OH
 KSPARSE(1, 315)=27
 KSPARSE(2, 315)=15
!PAH/PAH
 KSPARSE(1, 316)=27
 KSPARSE(2, 316)=27
!HCHO/NO
 KSPARSE(1, 317)=28
 KSPARSE(2, 317)=1
!HCHO/O3
 KSPARSE(1, 318)=28
 KSPARSE(2, 318)=3
!HCHO/NO3
 KSPARSE(1, 319)=28
 KSPARSE(2, 319)=8
!HCHO/HO2
 KSPARSE(1, 320)=28
 KSPARSE(2, 320)=10
!HCHO/OH
 KSPARSE(1, 321)=28
 KSPARSE(2, 321)=15
!HCHO/ETHE
 KSPARSE(1, 322)=28
 KSPARSE(2, 322)=16
!HCHO/OLEL
 KSPARSE(1, 323)=28
 KSPARSE(2, 323)=17
!HCHO/OLEH
 KSPARSE(1, 324)=28
 KSPARSE(2, 324)=18
!HCHO/HCHO
 KSPARSE(1, 325)=28
 KSPARSE(2, 325)=28
!HCHO/MEOH
 KSPARSE(1, 326)=28
 KSPARSE(2, 326)=32
!HCHO/ISOP
 KSPARSE(1, 327)=28
 KSPARSE(2, 327)=35
!HCHO/MVK
 KSPARSE(1, 328)=28
 KSPARSE(2, 328)=39
!HCHO/MCR
 KSPARSE(1, 329)=28
 KSPARSE(2, 329)=40
!HCHO/RO2T
 KSPARSE(1, 330)=28
 KSPARSE(2, 330)=85
!HCHO/RO21
 KSPARSE(1, 331)=28
 KSPARSE(2, 331)=86
!HCHO/WC_HCHO
 KSPARSE(1, 332)=28
 KSPARSE(2, 332)=108
!HCHO/WR_HCHO
 KSPARSE(1, 333)=28
 KSPARSE(2, 333)=145
!ALD2/NO
 KSPARSE(1, 334)=29
 KSPARSE(2, 334)=1
!ALD2/O3
 KSPARSE(1, 335)=29
 KSPARSE(2, 335)=3
!ALD2/NO3
 KSPARSE(1, 336)=29
 KSPARSE(2, 336)=8
!ALD2/HO2
 KSPARSE(1, 337)=29
 KSPARSE(2, 337)=10
!ALD2/OH
 KSPARSE(1, 338)=29
 KSPARSE(2, 338)=15
!ALD2/OLEL
 KSPARSE(1, 339)=29
 KSPARSE(2, 339)=17
!ALD2/ALD2
 KSPARSE(1, 340)=29
 KSPARSE(2, 340)=29
!ALD2/ETOH
 KSPARSE(1, 341)=29
 KSPARSE(2, 341)=33
!ALD2/ISOP
 KSPARSE(1, 342)=29
 KSPARSE(2, 342)=35
!ALD2/MVK
 KSPARSE(1, 343)=29
 KSPARSE(2, 343)=39
!ALD2/MCR
 KSPARSE(1, 344)=29
 KSPARSE(2, 344)=40
!ALD2/RO2T
 KSPARSE(1, 345)=29
 KSPARSE(2, 345)=85
!ALD2/RO25
 KSPARSE(1, 346)=29
 KSPARSE(2, 346)=87
!ALD2/WC_ALD2
 KSPARSE(1, 347)=29
 KSPARSE(2, 347)=109
!ALD2/WR_ALD2
 KSPARSE(1, 348)=29
 KSPARSE(2, 348)=146
!KETL/NO
 KSPARSE(1, 349)=30
 KSPARSE(2, 349)=1
!KETL/HO2
 KSPARSE(1, 350)=30
 KSPARSE(2, 350)=10
!KETL/OH
 KSPARSE(1, 351)=30
 KSPARSE(2, 351)=15
!KETL/KETL
 KSPARSE(1, 352)=30
 KSPARSE(2, 352)=30
!KETL/MVK
 KSPARSE(1, 353)=30
 KSPARSE(2, 353)=39
!KETL/RO2T
 KSPARSE(1, 354)=30
 KSPARSE(2, 354)=85
!KETL/WC_KETL
 KSPARSE(1, 355)=30
 KSPARSE(2, 355)=112
!KETL/WR_KETL
 KSPARSE(1, 356)=30
 KSPARSE(2, 356)=149
!KETH/OH
 KSPARSE(1, 357)=31
 KSPARSE(2, 357)=15
!KETH/KETH
 KSPARSE(1, 358)=31
 KSPARSE(2, 358)=31
!MEOH/OH
 KSPARSE(1, 359)=32
 KSPARSE(2, 359)=15
!MEOH/MEOH
 KSPARSE(1, 360)=32
 KSPARSE(2, 360)=32
!MEOH/WC_MEOH
 KSPARSE(1, 361)=32
 KSPARSE(2, 361)=105
!MEOH/WR_MEOH
 KSPARSE(1, 362)=32
 KSPARSE(2, 362)=142
!ETOH/OH
 KSPARSE(1, 363)=33
 KSPARSE(2, 363)=15
!ETOH/ETOH
 KSPARSE(1, 364)=33
 KSPARSE(2, 364)=33
!ETOH/WC_ETOH
 KSPARSE(1, 365)=33
 KSPARSE(2, 365)=106
!ETOH/WR_ETOH
 KSPARSE(1, 366)=33
 KSPARSE(2, 366)=143
!ALCH/OH
 KSPARSE(1, 367)=34
 KSPARSE(2, 367)=15
!ALCH/ALCH
 KSPARSE(1, 368)=34
 KSPARSE(2, 368)=34
!ALCH/WC_ALCH
 KSPARSE(1, 369)=34
 KSPARSE(2, 369)=107
!ALCH/WR_ALCH
 KSPARSE(1, 370)=34
 KSPARSE(2, 370)=144
!ISOP/O3
 KSPARSE(1, 371)=35
 KSPARSE(2, 371)=3
!ISOP/NO3
 KSPARSE(1, 372)=35
 KSPARSE(2, 372)=8
!ISOP/OH
 KSPARSE(1, 373)=35
 KSPARSE(2, 373)=15
!ISOP/ISOP
 KSPARSE(1, 374)=35
 KSPARSE(2, 374)=35
!BIOL/O3
 KSPARSE(1, 375)=36
 KSPARSE(2, 375)=3
!BIOL/NO3
 KSPARSE(1, 376)=36
 KSPARSE(2, 376)=8
!BIOL/OH
 KSPARSE(1, 377)=36
 KSPARSE(2, 377)=15
!BIOL/BIOL
 KSPARSE(1, 378)=36
 KSPARSE(2, 378)=36
!BIOH/O3
 KSPARSE(1, 379)=37
 KSPARSE(2, 379)=3
!BIOH/NO3
 KSPARSE(1, 380)=37
 KSPARSE(2, 380)=8
!BIOH/OH
 KSPARSE(1, 381)=37
 KSPARSE(2, 381)=15
!BIOH/BIOH
 KSPARSE(1, 382)=37
 KSPARSE(2, 382)=37
!MTBE/OH
 KSPARSE(1, 383)=38
 KSPARSE(2, 383)=15
!MTBE/MTBE
 KSPARSE(1, 384)=38
 KSPARSE(2, 384)=38
!MVK/NO
 KSPARSE(1, 385)=39
 KSPARSE(2, 385)=1
!MVK/O3
 KSPARSE(1, 386)=39
 KSPARSE(2, 386)=3
!MVK/HO2
 KSPARSE(1, 387)=39
 KSPARSE(2, 387)=10
!MVK/OH
 KSPARSE(1, 388)=39
 KSPARSE(2, 388)=15
!MVK/ISOP
 KSPARSE(1, 389)=39
 KSPARSE(2, 389)=35
!MVK/MVK
 KSPARSE(1, 390)=39
 KSPARSE(2, 390)=39
!MVK/RO2T
 KSPARSE(1, 391)=39
 KSPARSE(2, 391)=85
!MCR/NO
 KSPARSE(1, 392)=40
 KSPARSE(2, 392)=1
!MCR/O3
 KSPARSE(1, 393)=40
 KSPARSE(2, 393)=3
!MCR/NO3
 KSPARSE(1, 394)=40
 KSPARSE(2, 394)=8
!MCR/HO2
 KSPARSE(1, 395)=40
 KSPARSE(2, 395)=10
!MCR/OH
 KSPARSE(1, 396)=40
 KSPARSE(2, 396)=15
!MCR/ISOP
 KSPARSE(1, 397)=40
 KSPARSE(2, 397)=35
!MCR/MCR
 KSPARSE(1, 398)=40
 KSPARSE(2, 398)=40
!MCR/RO2T
 KSPARSE(1, 399)=40
 KSPARSE(2, 399)=85
!MGLY/NO
 KSPARSE(1, 400)=41
 KSPARSE(2, 400)=1
!MGLY/O3
 KSPARSE(1, 401)=41
 KSPARSE(2, 401)=3
!MGLY/NO3
 KSPARSE(1, 402)=41
 KSPARSE(2, 402)=8
!MGLY/HO2
 KSPARSE(1, 403)=41
 KSPARSE(2, 403)=10
!MGLY/OH
 KSPARSE(1, 404)=41
 KSPARSE(2, 404)=15
!MGLY/MVK
 KSPARSE(1, 405)=41
 KSPARSE(2, 405)=39
!MGLY/MCR
 KSPARSE(1, 406)=41
 KSPARSE(2, 406)=40
!MGLY/MGLY
 KSPARSE(1, 407)=41
 KSPARSE(2, 407)=41
!MGLY/RO2T
 KSPARSE(1, 408)=41
 KSPARSE(2, 408)=85
!MGLY/WC_MGLY
 KSPARSE(1, 409)=41
 KSPARSE(2, 409)=111
!MGLY/WR_MGLY
 KSPARSE(1, 410)=41
 KSPARSE(2, 410)=148
!GLY/GLY
 KSPARSE(1, 411)=42
 KSPARSE(2, 411)=42
!GLY/WC_GLY
 KSPARSE(1, 412)=42
 KSPARSE(2, 412)=110
!GLY/WR_GLY
 KSPARSE(1, 413)=42
 KSPARSE(2, 413)=147
!ORA1/O3
 KSPARSE(1, 414)=43
 KSPARSE(2, 414)=3
!ORA1/OH
 KSPARSE(1, 415)=43
 KSPARSE(2, 415)=15
!ORA1/ETHE
 KSPARSE(1, 416)=43
 KSPARSE(2, 416)=16
!ORA1/OLEL
 KSPARSE(1, 417)=43
 KSPARSE(2, 417)=17
!ORA1/ISOP
 KSPARSE(1, 418)=43
 KSPARSE(2, 418)=35
!ORA1/MVK
 KSPARSE(1, 419)=43
 KSPARSE(2, 419)=39
!ORA1/MCR
 KSPARSE(1, 420)=43
 KSPARSE(2, 420)=40
!ORA1/ORA1
 KSPARSE(1, 421)=43
 KSPARSE(2, 421)=43
!ORA1/WC_ORA1
 KSPARSE(1, 422)=43
 KSPARSE(2, 422)=113
!ORA1/WR_ORA1
 KSPARSE(1, 423)=43
 KSPARSE(2, 423)=150
!ORA2/O3
 KSPARSE(1, 424)=44
 KSPARSE(2, 424)=3
!ORA2/HO2
 KSPARSE(1, 425)=44
 KSPARSE(2, 425)=10
!ORA2/OH
 KSPARSE(1, 426)=44
 KSPARSE(2, 426)=15
!ORA2/OLEL
 KSPARSE(1, 427)=44
 KSPARSE(2, 427)=17
!ORA2/ORA2
 KSPARSE(1, 428)=44
 KSPARSE(2, 428)=44
!ORA2/WC_ORA2
 KSPARSE(1, 429)=44
 KSPARSE(2, 429)=114
!ORA2/WR_ORA2
 KSPARSE(1, 430)=44
 KSPARSE(2, 430)=151
!ACID/O3
 KSPARSE(1, 431)=45
 KSPARSE(2, 431)=3
!ACID/HO2
 KSPARSE(1, 432)=45
 KSPARSE(2, 432)=10
!ACID/OH
 KSPARSE(1, 433)=45
 KSPARSE(2, 433)=15
!ACID/OLEH
 KSPARSE(1, 434)=45
 KSPARSE(2, 434)=18
!ACID/ACID
 KSPARSE(1, 435)=45
 KSPARSE(2, 435)=45
!ACID/WC_ACID
 KSPARSE(1, 436)=45
 KSPARSE(2, 436)=115
!ACID/WR_ACID
 KSPARSE(1, 437)=45
 KSPARSE(2, 437)=152
!UR28/HO2
 KSPARSE(1, 438)=46
 KSPARSE(2, 438)=10
!UR28/UR28
 KSPARSE(1, 439)=46
 KSPARSE(2, 439)=46
!UR28/WC_UR28
 KSPARSE(1, 440)=46
 KSPARSE(2, 440)=118
!UR28/WR_UR28
 KSPARSE(1, 441)=46
 KSPARSE(2, 441)=155
!UR21/O3
 KSPARSE(1, 442)=47
 KSPARSE(2, 442)=3
!UR21/HO2
 KSPARSE(1, 443)=47
 KSPARSE(2, 443)=10
!UR21/MVK
 KSPARSE(1, 444)=47
 KSPARSE(2, 444)=39
!UR21/UR21
 KSPARSE(1, 445)=47
 KSPARSE(2, 445)=47
!UR21/WC_UR21
 KSPARSE(1, 446)=47
 KSPARSE(2, 446)=117
!UR21/WR_UR21
 KSPARSE(1, 447)=47
 KSPARSE(2, 447)=154
!URG2/OH
 KSPARSE(1, 448)=48
 KSPARSE(2, 448)=15
!URG2/URG2
 KSPARSE(1, 449)=48
 KSPARSE(2, 449)=48
!URG2/RPG2
 KSPARSE(1, 450)=48
 KSPARSE(2, 450)=50
!URG2/RP18
 KSPARSE(1, 451)=48
 KSPARSE(2, 451)=51
!UR26/OH
 KSPARSE(1, 452)=49
 KSPARSE(2, 452)=15
!UR26/UR26
 KSPARSE(1, 453)=49
 KSPARSE(2, 453)=49
!UR26/RP11
 KSPARSE(1, 454)=49
 KSPARSE(2, 454)=73
!RPG2/NO
 KSPARSE(1, 455)=50
 KSPARSE(2, 455)=1
!RPG2/HO2
 KSPARSE(1, 456)=50
 KSPARSE(2, 456)=10
!RPG2/OH
 KSPARSE(1, 457)=50
 KSPARSE(2, 457)=15
!RPG2/RPG2
 KSPARSE(1, 458)=50
 KSPARSE(2, 458)=50
!RPG2/RPG3
 KSPARSE(1, 459)=50
 KSPARSE(2, 459)=52
!RPG2/RO2T
 KSPARSE(1, 460)=50
 KSPARSE(2, 460)=85
!RP18/OH
 KSPARSE(1, 461)=51
 KSPARSE(2, 461)=15
!RP18/RPG2
 KSPARSE(1, 462)=51
 KSPARSE(2, 462)=50
!RP18/RP18
 KSPARSE(1, 463)=51
 KSPARSE(2, 463)=51
!RPG3/NO
 KSPARSE(1, 464)=52
 KSPARSE(2, 464)=1
!RPG3/HO2
 KSPARSE(1, 465)=52
 KSPARSE(2, 465)=10
!RPG3/OH
 KSPARSE(1, 466)=52
 KSPARSE(2, 466)=15
!RPG3/RPG3
 KSPARSE(1, 467)=52
 KSPARSE(2, 467)=52
!RPG3/RO2T
 KSPARSE(1, 468)=52
 KSPARSE(2, 468)=85
!URG4/O3
 KSPARSE(1, 469)=53
 KSPARSE(2, 469)=3
!URG4/HO2
 KSPARSE(1, 470)=53
 KSPARSE(2, 470)=10
!URG4/BIOL
 KSPARSE(1, 471)=53
 KSPARSE(2, 471)=36
!URG4/URG4
 KSPARSE(1, 472)=53
 KSPARSE(2, 472)=53
!UR8/O3
 KSPARSE(1, 473)=54
 KSPARSE(2, 473)=3
!UR8/BIOH
 KSPARSE(1, 474)=54
 KSPARSE(2, 474)=37
!UR8/UR8
 KSPARSE(1, 475)=54
 KSPARSE(2, 475)=54
!UR17/NO
 KSPARSE(1, 476)=55
 KSPARSE(2, 476)=1
!UR17/HO2
 KSPARSE(1, 477)=55
 KSPARSE(2, 477)=10
!UR17/UR17
 KSPARSE(1, 478)=55
 KSPARSE(2, 478)=55
!UR17/RO2T
 KSPARSE(1, 479)=55
 KSPARSE(2, 479)=85
!UR7/NO
 KSPARSE(1, 480)=56
 KSPARSE(2, 480)=1
!UR7/O3
 KSPARSE(1, 481)=56
 KSPARSE(2, 481)=3
!UR7/HO2
 KSPARSE(1, 482)=56
 KSPARSE(2, 482)=10
!UR7/BIOH
 KSPARSE(1, 483)=56
 KSPARSE(2, 483)=37
!UR7/UR7
 KSPARSE(1, 484)=56
 KSPARSE(2, 484)=56
!UR7/RO2T
 KSPARSE(1, 485)=56
 KSPARSE(2, 485)=85
!RPR3/NO
 KSPARSE(1, 486)=57
 KSPARSE(2, 486)=1
!RPR3/O3
 KSPARSE(1, 487)=57
 KSPARSE(2, 487)=3
!RPR3/NO3
 KSPARSE(1, 488)=57
 KSPARSE(2, 488)=8
!RPR3/HO2
 KSPARSE(1, 489)=57
 KSPARSE(2, 489)=10
!RPR3/OH
 KSPARSE(1, 490)=57
 KSPARSE(2, 490)=15
!RPR3/BIOL
 KSPARSE(1, 491)=57
 KSPARSE(2, 491)=36
!RPR3/RPR3
 KSPARSE(1, 492)=57
 KSPARSE(2, 492)=57
!RPR3/RO2T
 KSPARSE(1, 493)=57
 KSPARSE(2, 493)=85
!URG6/NO
 KSPARSE(1, 494)=58
 KSPARSE(2, 494)=1
!URG6/OH
 KSPARSE(1, 495)=58
 KSPARSE(2, 495)=15
!URG6/URG6
 KSPARSE(1, 496)=58
 KSPARSE(2, 496)=58
!URG6/RPG7
 KSPARSE(1, 497)=58
 KSPARSE(2, 497)=63
!UR22/NO2
 KSPARSE(1, 498)=59
 KSPARSE(2, 498)=2
!UR22/UR22
 KSPARSE(1, 499)=59
 KSPARSE(2, 499)=59
!URG7/NO2
 KSPARSE(1, 500)=60
 KSPARSE(2, 500)=2
!URG7/OH
 KSPARSE(1, 501)=60
 KSPARSE(2, 501)=15
!URG7/ARAC
 KSPARSE(1, 502)=60
 KSPARSE(2, 502)=26
!URG7/URG7
 KSPARSE(1, 503)=60
 KSPARSE(2, 503)=60
!URG7/RPR7
 KSPARSE(1, 504)=60
 KSPARSE(2, 504)=62
!URG7/RPR5
 KSPARSE(1, 505)=60
 KSPARSE(2, 505)=70
!URG7/RPRL
 KSPARSE(1, 506)=60
 KSPARSE(2, 506)=75
!RPR4/NO2
 KSPARSE(1, 507)=61
 KSPARSE(2, 507)=2
!RPR4/NO3
 KSPARSE(1, 508)=61
 KSPARSE(2, 508)=8
!RPR4/RPR4
 KSPARSE(1, 509)=61
 KSPARSE(2, 509)=61
!RPR7/NO
 KSPARSE(1, 510)=62
 KSPARSE(2, 510)=1
!RPR7/HO2
 KSPARSE(1, 511)=62
 KSPARSE(2, 511)=10
!RPR7/OH
 KSPARSE(1, 512)=62
 KSPARSE(2, 512)=15
!RPR7/RPR7
 KSPARSE(1, 513)=62
 KSPARSE(2, 513)=62
!RPR7/RPRL
 KSPARSE(1, 514)=62
 KSPARSE(2, 514)=75
!RPR7/RO2T
 KSPARSE(1, 515)=62
 KSPARSE(2, 515)=85
!RPG7/NO
 KSPARSE(1, 516)=63
 KSPARSE(2, 516)=1
!RPG7/HO2
 KSPARSE(1, 517)=63
 KSPARSE(2, 517)=10
!RPG7/OH
 KSPARSE(1, 518)=63
 KSPARSE(2, 518)=15
!RPG7/RPG7
 KSPARSE(1, 519)=63
 KSPARSE(2, 519)=63
!RPG7/RO2T
 KSPARSE(1, 520)=63
 KSPARSE(2, 520)=85
!URG8/NO
 KSPARSE(1, 521)=64
 KSPARSE(2, 521)=1
!URG8/NO2
 KSPARSE(1, 522)=64
 KSPARSE(2, 522)=2
!URG8/OH
 KSPARSE(1, 523)=64
 KSPARSE(2, 523)=15
!URG8/PAH
 KSPARSE(1, 524)=64
 KSPARSE(2, 524)=27
!URG8/URG8
 KSPARSE(1, 525)=64
 KSPARSE(2, 525)=64
!UR19/NO
 KSPARSE(1, 526)=65
 KSPARSE(2, 526)=1
!UR19/HO2
 KSPARSE(1, 527)=65
 KSPARSE(2, 527)=10
!UR19/UR19
 KSPARSE(1, 528)=65
 KSPARSE(2, 528)=65
!UR19/RO2T
 KSPARSE(1, 529)=65
 KSPARSE(2, 529)=85
!URG9/NO
 KSPARSE(1, 530)=66
 KSPARSE(2, 530)=1
!URG9/HO2
 KSPARSE(1, 531)=66
 KSPARSE(2, 531)=10
!URG9/URG9
 KSPARSE(1, 532)=66
 KSPARSE(2, 532)=66
!URG9/RO2T
 KSPARSE(1, 533)=66
 KSPARSE(2, 533)=85
!AP7/NO
 KSPARSE(1, 534)=67
 KSPARSE(2, 534)=1
!AP7/AP7
 KSPARSE(1, 535)=67
 KSPARSE(2, 535)=67
!URG10/NO
 KSPARSE(1, 536)=68
 KSPARSE(2, 536)=1
!URG10/BIOL
 KSPARSE(1, 537)=68
 KSPARSE(2, 537)=36
!URG10/URG10
 KSPARSE(1, 538)=68
 KSPARSE(2, 538)=68
!RPR1/NO
 KSPARSE(1, 539)=69
 KSPARSE(2, 539)=1
!RPR1/O3
 KSPARSE(1, 540)=69
 KSPARSE(2, 540)=3
!RPR1/NO3
 KSPARSE(1, 541)=69
 KSPARSE(2, 541)=8
!RPR1/HO2
 KSPARSE(1, 542)=69
 KSPARSE(2, 542)=10
!RPR1/OH
 KSPARSE(1, 543)=69
 KSPARSE(2, 543)=15
!RPR1/OLEH
 KSPARSE(1, 544)=69
 KSPARSE(2, 544)=18
!RPR1/RPR1
 KSPARSE(1, 545)=69
 KSPARSE(2, 545)=69
!RPR1/RO2T
 KSPARSE(1, 546)=69
 KSPARSE(2, 546)=85
!RPR5/NO2
 KSPARSE(1, 547)=70
 KSPARSE(2, 547)=2
!RPR5/OH
 KSPARSE(1, 548)=70
 KSPARSE(2, 548)=15
!RPR5/RPR5
 KSPARSE(1, 549)=70
 KSPARSE(2, 549)=70
!RPR8/NO
 KSPARSE(1, 550)=71
 KSPARSE(2, 550)=1
!RPR8/NO3
 KSPARSE(1, 551)=71
 KSPARSE(2, 551)=8
!RPR8/HO2
 KSPARSE(1, 552)=71
 KSPARSE(2, 552)=10
!RPR8/OH
 KSPARSE(1, 553)=71
 KSPARSE(2, 553)=15
!RPR8/RPR8
 KSPARSE(1, 554)=71
 KSPARSE(2, 554)=71
!RPR8/RO2T
 KSPARSE(1, 555)=71
 KSPARSE(2, 555)=85
!RP10/NO
 KSPARSE(1, 556)=72
 KSPARSE(2, 556)=1
!RP10/HO2
 KSPARSE(1, 557)=72
 KSPARSE(2, 557)=10
!RP10/OH
 KSPARSE(1, 558)=72
 KSPARSE(2, 558)=15
!RP10/RP10
 KSPARSE(1, 559)=72
 KSPARSE(2, 559)=72
!RP10/RO2T
 KSPARSE(1, 560)=72
 KSPARSE(2, 560)=85
!RP11/NO
 KSPARSE(1, 561)=73
 KSPARSE(2, 561)=1
!RP11/HO2
 KSPARSE(1, 562)=73
 KSPARSE(2, 562)=10
!RP11/OH
 KSPARSE(1, 563)=73
 KSPARSE(2, 563)=15
!RP11/RP11
 KSPARSE(1, 564)=73
 KSPARSE(2, 564)=73
!RP11/RO2T
 KSPARSE(1, 565)=73
 KSPARSE(2, 565)=85
!RP16/NO3
 KSPARSE(1, 566)=74
 KSPARSE(2, 566)=8
!RP16/HO2
 KSPARSE(1, 567)=74
 KSPARSE(2, 567)=10
!RP16/OH
 KSPARSE(1, 568)=74
 KSPARSE(2, 568)=15
!RP16/RP16
 KSPARSE(1, 569)=74
 KSPARSE(2, 569)=74
!RP16/WC_RP16
 KSPARSE(1, 570)=74
 KSPARSE(2, 570)=116
!RP16/WR_RP16
 KSPARSE(1, 571)=74
 KSPARSE(2, 571)=153
!RPRL/NO
 KSPARSE(1, 572)=75
 KSPARSE(2, 572)=1
!RPRL/HO2
 KSPARSE(1, 573)=75
 KSPARSE(2, 573)=10
!RPRL/OH
 KSPARSE(1, 574)=75
 KSPARSE(2, 574)=15
!RPRL/ARAL
 KSPARSE(1, 575)=75
 KSPARSE(2, 575)=25
!RPRL/RPRL
 KSPARSE(1, 576)=75
 KSPARSE(2, 576)=75
!RPRL/RO2T
 KSPARSE(1, 577)=75
 KSPARSE(2, 577)=85
!APAN/NO2
 KSPARSE(1, 578)=76
 KSPARSE(2, 578)=2
!APAN/APAN
 KSPARSE(1, 579)=76
 KSPARSE(2, 579)=76
!PAN1/NO2
 KSPARSE(1, 580)=77
 KSPARSE(2, 580)=2
!PAN1/PAN1
 KSPARSE(1, 581)=77
 KSPARSE(2, 581)=77
!PAN2/NO2
 KSPARSE(1, 582)=78
 KSPARSE(2, 582)=2
!PAN2/PAN2
 KSPARSE(1, 583)=78
 KSPARSE(2, 583)=78
!PAN3/NO2
 KSPARSE(1, 584)=79
 KSPARSE(2, 584)=2
!PAN3/PAN3
 KSPARSE(1, 585)=79
 KSPARSE(2, 585)=79
!PAN4/NO2
 KSPARSE(1, 586)=80
 KSPARSE(2, 586)=2
!PAN4/PAN4
 KSPARSE(1, 587)=80
 KSPARSE(2, 587)=80
!PAN6/NO2
 KSPARSE(1, 588)=81
 KSPARSE(2, 588)=2
!PAN6/PAN6
 KSPARSE(1, 589)=81
 KSPARSE(2, 589)=81
!PAN7/NO2
 KSPARSE(1, 590)=82
 KSPARSE(2, 590)=2
!PAN7/PAN7
 KSPARSE(1, 591)=82
 KSPARSE(2, 591)=82
!PAN8/NO2
 KSPARSE(1, 592)=83
 KSPARSE(2, 592)=2
!PAN8/PAN8
 KSPARSE(1, 593)=83
 KSPARSE(2, 593)=83
!PN10/NO2
 KSPARSE(1, 594)=84
 KSPARSE(2, 594)=2
!PN10/PN10
 KSPARSE(1, 595)=84
 KSPARSE(2, 595)=84
!RO2T/NO
 KSPARSE(1, 596)=85
 KSPARSE(2, 596)=1
!RO2T/O3
 KSPARSE(1, 597)=85
 KSPARSE(2, 597)=3
!RO2T/NO3
 KSPARSE(1, 598)=85
 KSPARSE(2, 598)=8
!RO2T/HO2
 KSPARSE(1, 599)=85
 KSPARSE(2, 599)=10
!RO2T/OH
 KSPARSE(1, 600)=85
 KSPARSE(2, 600)=15
!RO2T/ETHE
 KSPARSE(1, 601)=85
 KSPARSE(2, 601)=16
!RO2T/OLEL
 KSPARSE(1, 602)=85
 KSPARSE(2, 602)=17
!RO2T/OLEH
 KSPARSE(1, 603)=85
 KSPARSE(2, 603)=18
!RO2T/ALKL
 KSPARSE(1, 604)=85
 KSPARSE(2, 604)=19
!RO2T/ALKM
 KSPARSE(1, 605)=85
 KSPARSE(2, 605)=20
!RO2T/ALKH
 KSPARSE(1, 606)=85
 KSPARSE(2, 606)=21
!RO2T/AROL
 KSPARSE(1, 607)=85
 KSPARSE(2, 607)=23
!RO2T/AROO
 KSPARSE(1, 608)=85
 KSPARSE(2, 608)=24
!RO2T/ARAL
 KSPARSE(1, 609)=85
 KSPARSE(2, 609)=25
!RO2T/ARAC
 KSPARSE(1, 610)=85
 KSPARSE(2, 610)=26
!RO2T/PAH
 KSPARSE(1, 611)=85
 KSPARSE(2, 611)=27
!RO2T/ALD2
 KSPARSE(1, 612)=85
 KSPARSE(2, 612)=29
!RO2T/KETL
 KSPARSE(1, 613)=85
 KSPARSE(2, 613)=30
!RO2T/KETH
 KSPARSE(1, 614)=85
 KSPARSE(2, 614)=31
!RO2T/ETOH
 KSPARSE(1, 615)=85
 KSPARSE(2, 615)=33
!RO2T/ALCH
 KSPARSE(1, 616)=85
 KSPARSE(2, 616)=34
!RO2T/ISOP
 KSPARSE(1, 617)=85
 KSPARSE(2, 617)=35
!RO2T/BIOL
 KSPARSE(1, 618)=85
 KSPARSE(2, 618)=36
!RO2T/BIOH
 KSPARSE(1, 619)=85
 KSPARSE(2, 619)=37
!RO2T/MTBE
 KSPARSE(1, 620)=85
 KSPARSE(2, 620)=38
!RO2T/MVK
 KSPARSE(1, 621)=85
 KSPARSE(2, 621)=39
!RO2T/MCR
 KSPARSE(1, 622)=85
 KSPARSE(2, 622)=40
!RO2T/MGLY
 KSPARSE(1, 623)=85
 KSPARSE(2, 623)=41
!RO2T/RPR3
 KSPARSE(1, 624)=85
 KSPARSE(2, 624)=57
!RO2T/RPR1
 KSPARSE(1, 625)=85
 KSPARSE(2, 625)=69
!RO2T/RPR8
 KSPARSE(1, 626)=85
 KSPARSE(2, 626)=71
!RO2T/RP16
 KSPARSE(1, 627)=85
 KSPARSE(2, 627)=74
!RO2T/APAN
 KSPARSE(1, 628)=85
 KSPARSE(2, 628)=76
!RO2T/PAN1
 KSPARSE(1, 629)=85
 KSPARSE(2, 629)=77
!RO2T/PAN2
 KSPARSE(1, 630)=85
 KSPARSE(2, 630)=78
!RO2T/PAN3
 KSPARSE(1, 631)=85
 KSPARSE(2, 631)=79
!RO2T/PAN4
 KSPARSE(1, 632)=85
 KSPARSE(2, 632)=80
!RO2T/PAN6
 KSPARSE(1, 633)=85
 KSPARSE(2, 633)=81
!RO2T/PAN7
 KSPARSE(1, 634)=85
 KSPARSE(2, 634)=82
!RO2T/PAN8
 KSPARSE(1, 635)=85
 KSPARSE(2, 635)=83
!RO2T/PN10
 KSPARSE(1, 636)=85
 KSPARSE(2, 636)=84
!RO2T/RO2T
 KSPARSE(1, 637)=85
 KSPARSE(2, 637)=85
!RO2T/RO21
 KSPARSE(1, 638)=85
 KSPARSE(2, 638)=86
!RO2T/RO25
 KSPARSE(1, 639)=85
 KSPARSE(2, 639)=87
!RO21/NO
 KSPARSE(1, 640)=86
 KSPARSE(2, 640)=1
!RO21/HO2
 KSPARSE(1, 641)=86
 KSPARSE(2, 641)=10
!RO21/OH
 KSPARSE(1, 642)=86
 KSPARSE(2, 642)=15
!RO21/ETHE
 KSPARSE(1, 643)=86
 KSPARSE(2, 643)=16
!RO21/RO2T
 KSPARSE(1, 644)=86
 KSPARSE(2, 644)=85
!RO21/RO21
 KSPARSE(1, 645)=86
 KSPARSE(2, 645)=86
!RO21/WC_RO21
 KSPARSE(1, 646)=86
 KSPARSE(2, 646)=103
!RO21/WR_RO21
 KSPARSE(1, 647)=86
 KSPARSE(2, 647)=140
!RO25/NO
 KSPARSE(1, 648)=87
 KSPARSE(2, 648)=1
!RO25/O3
 KSPARSE(1, 649)=87
 KSPARSE(2, 649)=3
!RO25/HO2
 KSPARSE(1, 650)=87
 KSPARSE(2, 650)=10
!RO25/OH
 KSPARSE(1, 651)=87
 KSPARSE(2, 651)=15
!RO25/OLEL
 KSPARSE(1, 652)=87
 KSPARSE(2, 652)=17
!RO25/ALKL
 KSPARSE(1, 653)=87
 KSPARSE(2, 653)=19
!RO25/ALD2
 KSPARSE(1, 654)=87
 KSPARSE(2, 654)=29
!RO25/KETL
 KSPARSE(1, 655)=87
 KSPARSE(2, 655)=30
!RO25/KETH
 KSPARSE(1, 656)=87
 KSPARSE(2, 656)=31
!RO25/RO2T
 KSPARSE(1, 657)=87
 KSPARSE(2, 657)=85
!RO25/RO25
 KSPARSE(1, 658)=87
 KSPARSE(2, 658)=87
!RO25/WC_RO25
 KSPARSE(1, 659)=87
 KSPARSE(2, 659)=104
!RO25/WR_RO25
 KSPARSE(1, 660)=87
 KSPARSE(2, 660)=141
!WC_O3/O3
 KSPARSE(1, 661)=88
 KSPARSE(2, 661)=3
!WC_O3/WC_O3
 KSPARSE(1, 662)=88
 KSPARSE(2, 662)=88
!WC_O3/WC_HO2
 KSPARSE(1, 663)=88
 KSPARSE(2, 663)=99
!WC_O3/WC_SO2
 KSPARSE(1, 664)=88
 KSPARSE(2, 664)=101
!WC_H2O2/H2O2
 KSPARSE(1, 665)=89
 KSPARSE(2, 665)=12
!WC_H2O2/WC_H2O2
 KSPARSE(1, 666)=89
 KSPARSE(2, 666)=89
!WC_H2O2/WC_OH
 KSPARSE(1, 667)=89
 KSPARSE(2, 667)=98
!WC_H2O2/WC_HO2
 KSPARSE(1, 668)=89
 KSPARSE(2, 668)=99
!WC_H2O2/WC_SO2
 KSPARSE(1, 669)=89
 KSPARSE(2, 669)=101
!WC_H2O2/WC_RO25
 KSPARSE(1, 670)=89
 KSPARSE(2, 670)=104
!WC_H2O2/WC_KETL
 KSPARSE(1, 671)=89
 KSPARSE(2, 671)=112
!WC_H2O2/WC_ORA2
 KSPARSE(1, 672)=89
 KSPARSE(2, 672)=114
!WC_H2O2/WC_ACID
 KSPARSE(1, 673)=89
 KSPARSE(2, 673)=115
!WC_H2O2/WC_RP16
 KSPARSE(1, 674)=89
 KSPARSE(2, 674)=116
!WC_H2O2/WC_UR21
 KSPARSE(1, 675)=89
 KSPARSE(2, 675)=117
!WC_NO/NO
 KSPARSE(1, 676)=90
 KSPARSE(2, 676)=1
!WC_NO/WC_NO
 KSPARSE(1, 677)=90
 KSPARSE(2, 677)=90
!WC_NO2/NO2
 KSPARSE(1, 678)=91
 KSPARSE(2, 678)=2
!WC_NO2/WC_NO2
 KSPARSE(1, 679)=91
 KSPARSE(2, 679)=91
!WC_NO2/WC_HONO
 KSPARSE(1, 680)=91
 KSPARSE(2, 680)=94
!WC_NO2/WC_HNO3
 KSPARSE(1, 681)=91
 KSPARSE(2, 681)=95
!WC_NO2/WC_HNO4
 KSPARSE(1, 682)=91
 KSPARSE(2, 682)=96
!WC_NO2/WC_OH
 KSPARSE(1, 683)=91
 KSPARSE(2, 683)=98
!WC_NO2/WC_HO2
 KSPARSE(1, 684)=91
 KSPARSE(2, 684)=99
!WC_NO3/NO3
 KSPARSE(1, 685)=92
 KSPARSE(2, 685)=8
!WC_NO3/WC_NO3
 KSPARSE(1, 686)=92
 KSPARSE(2, 686)=92
!WC_NO3/WC_SO2
 KSPARSE(1, 687)=92
 KSPARSE(2, 687)=101
!WC_NO3/WC_H2SO4
 KSPARSE(1, 688)=92
 KSPARSE(2, 688)=102
!WC_N2O5/N2O5
 KSPARSE(1, 689)=93
 KSPARSE(2, 689)=7
!WC_N2O5/WC_N2O5
 KSPARSE(1, 690)=93
 KSPARSE(2, 690)=93
!WC_HONO/HONO
 KSPARSE(1, 691)=94
 KSPARSE(2, 691)=4
!WC_HONO/WC_HONO
 KSPARSE(1, 692)=94
 KSPARSE(2, 692)=94
!WC_HONO/WC_HNO4
 KSPARSE(1, 693)=94
 KSPARSE(2, 693)=96
!WC_HONO/WC_OH
 KSPARSE(1, 694)=94
 KSPARSE(2, 694)=98
!WC_HNO3/HNO3
 KSPARSE(1, 695)=95
 KSPARSE(2, 695)=5
!WC_HNO3/WC_NO3
 KSPARSE(1, 696)=95
 KSPARSE(2, 696)=92
!WC_HNO3/WC_N2O5
 KSPARSE(1, 697)=95
 KSPARSE(2, 697)=93
!WC_HNO3/WC_HNO3
 KSPARSE(1, 698)=95
 KSPARSE(2, 698)=95
!WC_HNO3/WC_HNO4
 KSPARSE(1, 699)=95
 KSPARSE(2, 699)=96
!WC_HNO3/WC_SO2
 KSPARSE(1, 700)=95
 KSPARSE(2, 700)=101
!WC_HNO3/WC_H2SO4
 KSPARSE(1, 701)=95
 KSPARSE(2, 701)=102
!WC_HNO4/HNO4
 KSPARSE(1, 702)=96
 KSPARSE(2, 702)=6
!WC_HNO4/WC_NO2
 KSPARSE(1, 703)=96
 KSPARSE(2, 703)=91
!WC_HNO4/WC_HNO4
 KSPARSE(1, 704)=96
 KSPARSE(2, 704)=96
!WC_HNO4/WC_HO2
 KSPARSE(1, 705)=96
 KSPARSE(2, 705)=99
!WC_HNO4/WC_SO2
 KSPARSE(1, 706)=96
 KSPARSE(2, 706)=101
!WC_NH3/NH3
 KSPARSE(1, 707)=97
 KSPARSE(2, 707)=9
!WC_NH3/WC_NH3
 KSPARSE(1, 708)=97
 KSPARSE(2, 708)=97
!WC_OH/OH
 KSPARSE(1, 709)=98
 KSPARSE(2, 709)=15
!WC_OH/WC_O3
 KSPARSE(1, 710)=98
 KSPARSE(2, 710)=88
!WC_OH/WC_H2O2
 KSPARSE(1, 711)=98
 KSPARSE(2, 711)=89
!WC_OH/WC_HONO
 KSPARSE(1, 712)=98
 KSPARSE(2, 712)=94
!WC_OH/WC_HNO3
 KSPARSE(1, 713)=98
 KSPARSE(2, 713)=95
!WC_OH/WC_OH
 KSPARSE(1, 714)=98
 KSPARSE(2, 714)=98
!WC_OH/WC_HO2
 KSPARSE(1, 715)=98
 KSPARSE(2, 715)=99
!WC_OH/WC_SO2
 KSPARSE(1, 716)=98
 KSPARSE(2, 716)=101
!WC_OH/WC_MEOH
 KSPARSE(1, 717)=98
 KSPARSE(2, 717)=105
!WC_OH/WC_ETOH
 KSPARSE(1, 718)=98
 KSPARSE(2, 718)=106
!WC_OH/WC_ALCH
 KSPARSE(1, 719)=98
 KSPARSE(2, 719)=107
!WC_OH/WC_HCHO
 KSPARSE(1, 720)=98
 KSPARSE(2, 720)=108
!WC_OH/WC_ALD2
 KSPARSE(1, 721)=98
 KSPARSE(2, 721)=109
!WC_OH/WC_GLY
 KSPARSE(1, 722)=98
 KSPARSE(2, 722)=110
!WC_OH/WC_MGLY
 KSPARSE(1, 723)=98
 KSPARSE(2, 723)=111
!WC_OH/WC_KETL
 KSPARSE(1, 724)=98
 KSPARSE(2, 724)=112
!WC_OH/WC_ORA1
 KSPARSE(1, 725)=98
 KSPARSE(2, 725)=113
!WC_OH/WC_ORA2
 KSPARSE(1, 726)=98
 KSPARSE(2, 726)=114
!WC_OH/WC_ACID
 KSPARSE(1, 727)=98
 KSPARSE(2, 727)=115
!WC_OH/WC_RP16
 KSPARSE(1, 728)=98
 KSPARSE(2, 728)=116
!WC_OH/WC_UR21
 KSPARSE(1, 729)=98
 KSPARSE(2, 729)=117
!WC_OH/WC_UR28
 KSPARSE(1, 730)=98
 KSPARSE(2, 730)=118
!WC_OH/WC_ACID2
 KSPARSE(1, 731)=98
 KSPARSE(2, 731)=119
!WC_OH/WC_ASO4
 KSPARSE(1, 732)=98
 KSPARSE(2, 732)=121
!WC_OH/WC_AHMS
 KSPARSE(1, 733)=98
 KSPARSE(2, 733)=124
!WC_HO2/HO2
 KSPARSE(1, 734)=99
 KSPARSE(2, 734)=10
!WC_HO2/WC_O3
 KSPARSE(1, 735)=99
 KSPARSE(2, 735)=88
!WC_HO2/WC_H2O2
 KSPARSE(1, 736)=99
 KSPARSE(2, 736)=89
!WC_HO2/WC_NO2
 KSPARSE(1, 737)=99
 KSPARSE(2, 737)=91
!WC_HO2/WC_HNO4
 KSPARSE(1, 738)=99
 KSPARSE(2, 738)=96
!WC_HO2/WC_OH
 KSPARSE(1, 739)=99
 KSPARSE(2, 739)=98
!WC_HO2/WC_HO2
 KSPARSE(1, 740)=99
 KSPARSE(2, 740)=99
!WC_HO2/WC_RO21
 KSPARSE(1, 741)=99
 KSPARSE(2, 741)=103
!WC_HO2/WC_RO25
 KSPARSE(1, 742)=99
 KSPARSE(2, 742)=104
!WC_HO2/WC_MEOH
 KSPARSE(1, 743)=99
 KSPARSE(2, 743)=105
!WC_HO2/WC_ETOH
 KSPARSE(1, 744)=99
 KSPARSE(2, 744)=106
!WC_HO2/WC_ALCH
 KSPARSE(1, 745)=99
 KSPARSE(2, 745)=107
!WC_HO2/WC_HCHO
 KSPARSE(1, 746)=99
 KSPARSE(2, 746)=108
!WC_HO2/WC_GLY
 KSPARSE(1, 747)=99
 KSPARSE(2, 747)=110
!WC_HO2/WC_MGLY
 KSPARSE(1, 748)=99
 KSPARSE(2, 748)=111
!WC_HO2/WC_KETL
 KSPARSE(1, 749)=99
 KSPARSE(2, 749)=112
!WC_HO2/WC_ORA1
 KSPARSE(1, 750)=99
 KSPARSE(2, 750)=113
!WC_HO2/WC_ACID
 KSPARSE(1, 751)=99
 KSPARSE(2, 751)=115
!WC_HO2/WC_RP16
 KSPARSE(1, 752)=99
 KSPARSE(2, 752)=116
!WC_HO2/WC_UR21
 KSPARSE(1, 753)=99
 KSPARSE(2, 753)=117
!WC_HO2/WC_UR28
 KSPARSE(1, 754)=99
 KSPARSE(2, 754)=118
!WC_HO2/WC_ASO5
 KSPARSE(1, 755)=99
 KSPARSE(2, 755)=122
!WC_HO2/WC_AHMS
 KSPARSE(1, 756)=99
 KSPARSE(2, 756)=124
!WC_CO2/WC_OH
 KSPARSE(1, 757)=100
 KSPARSE(2, 757)=98
!WC_CO2/WC_CO2
 KSPARSE(1, 758)=100
 KSPARSE(2, 758)=100
!WC_CO2/WC_ALD2
 KSPARSE(1, 759)=100
 KSPARSE(2, 759)=109
!WC_CO2/WC_KETL
 KSPARSE(1, 760)=100
 KSPARSE(2, 760)=112
!WC_CO2/WC_ORA1
 KSPARSE(1, 761)=100
 KSPARSE(2, 761)=113
!WC_CO2/WC_ACID
 KSPARSE(1, 762)=100
 KSPARSE(2, 762)=115
!WC_CO2/WC_RP16
 KSPARSE(1, 763)=100
 KSPARSE(2, 763)=116
!WC_CO2/WC_UR21
 KSPARSE(1, 764)=100
 KSPARSE(2, 764)=117
!WC_CO2/WC_UR28
 KSPARSE(1, 765)=100
 KSPARSE(2, 765)=118
!WC_SO2/SO2
 KSPARSE(1, 766)=101
 KSPARSE(2, 766)=13
!WC_SO2/WC_O3
 KSPARSE(1, 767)=101
 KSPARSE(2, 767)=88
!WC_SO2/WC_H2O2
 KSPARSE(1, 768)=101
 KSPARSE(2, 768)=89
!WC_SO2/WC_NO3
 KSPARSE(1, 769)=101
 KSPARSE(2, 769)=92
!WC_SO2/WC_HNO4
 KSPARSE(1, 770)=101
 KSPARSE(2, 770)=96
!WC_SO2/WC_OH
 KSPARSE(1, 771)=101
 KSPARSE(2, 771)=98
!WC_SO2/WC_SO2
 KSPARSE(1, 772)=101
 KSPARSE(2, 772)=101
!WC_SO2/WC_RO21
 KSPARSE(1, 773)=101
 KSPARSE(2, 773)=103
!WC_SO2/WC_HCHO
 KSPARSE(1, 774)=101
 KSPARSE(2, 774)=108
!WC_SO2/WC_AHSO5
 KSPARSE(1, 775)=101
 KSPARSE(2, 775)=123
!WC_SO2/WC_AHMS
 KSPARSE(1, 776)=101
 KSPARSE(2, 776)=124
!WC_H2SO4/H2SO4
 KSPARSE(1, 777)=102
 KSPARSE(2, 777)=14
!WC_H2SO4/WC_O3
 KSPARSE(1, 778)=102
 KSPARSE(2, 778)=88
!WC_H2SO4/WC_H2O2
 KSPARSE(1, 779)=102
 KSPARSE(2, 779)=89
!WC_H2SO4/WC_NO3
 KSPARSE(1, 780)=102
 KSPARSE(2, 780)=92
!WC_H2SO4/WC_HNO4
 KSPARSE(1, 781)=102
 KSPARSE(2, 781)=96
!WC_H2SO4/WC_SO2
 KSPARSE(1, 782)=102
 KSPARSE(2, 782)=101
!WC_H2SO4/WC_H2SO4
 KSPARSE(1, 783)=102
 KSPARSE(2, 783)=102
!WC_H2SO4/WC_ASO4
 KSPARSE(1, 784)=102
 KSPARSE(2, 784)=121
!WC_H2SO4/WC_AHSO5
 KSPARSE(1, 785)=102
 KSPARSE(2, 785)=123
!WC_RO21/RO21
 KSPARSE(1, 786)=103
 KSPARSE(2, 786)=86
!WC_RO21/WC_OH
 KSPARSE(1, 787)=103
 KSPARSE(2, 787)=98
!WC_RO21/WC_SO2
 KSPARSE(1, 788)=103
 KSPARSE(2, 788)=101
!WC_RO21/WC_RO21
 KSPARSE(1, 789)=103
 KSPARSE(2, 789)=103
!WC_RO21/WC_ALD2
 KSPARSE(1, 790)=103
 KSPARSE(2, 790)=109
!WC_RO21/WC_KETL
 KSPARSE(1, 791)=103
 KSPARSE(2, 791)=112
!WC_RO25/RO25
 KSPARSE(1, 792)=104
 KSPARSE(2, 792)=87
!WC_RO25/WC_OH
 KSPARSE(1, 793)=104
 KSPARSE(2, 793)=98
!WC_RO25/WC_RO25
 KSPARSE(1, 794)=104
 KSPARSE(2, 794)=104
!WC_RO25/WC_ALD2
 KSPARSE(1, 795)=104
 KSPARSE(2, 795)=109
!WC_RO25/WC_ACID
 KSPARSE(1, 796)=104
 KSPARSE(2, 796)=115
!WC_MEOH/MEOH
 KSPARSE(1, 797)=105
 KSPARSE(2, 797)=32
!WC_MEOH/WC_OH
 KSPARSE(1, 798)=105
 KSPARSE(2, 798)=98
!WC_MEOH/WC_MEOH
 KSPARSE(1, 799)=105
 KSPARSE(2, 799)=105
!WC_ETOH/ETOH
 KSPARSE(1, 800)=106
 KSPARSE(2, 800)=33
!WC_ETOH/WC_OH
 KSPARSE(1, 801)=106
 KSPARSE(2, 801)=98
!WC_ETOH/WC_ETOH
 KSPARSE(1, 802)=106
 KSPARSE(2, 802)=106
!WC_ALCH/ALCH
 KSPARSE(1, 803)=107
 KSPARSE(2, 803)=34
!WC_ALCH/WC_OH
 KSPARSE(1, 804)=107
 KSPARSE(2, 804)=98
!WC_ALCH/WC_ALCH
 KSPARSE(1, 805)=107
 KSPARSE(2, 805)=107
!WC_HCHO/HCHO
 KSPARSE(1, 806)=108
 KSPARSE(2, 806)=28
!WC_HCHO/WC_OH
 KSPARSE(1, 807)=108
 KSPARSE(2, 807)=98
!WC_HCHO/WC_SO2
 KSPARSE(1, 808)=108
 KSPARSE(2, 808)=101
!WC_HCHO/WC_RO21
 KSPARSE(1, 809)=108
 KSPARSE(2, 809)=103
!WC_HCHO/WC_MEOH
 KSPARSE(1, 810)=108
 KSPARSE(2, 810)=105
!WC_HCHO/WC_HCHO
 KSPARSE(1, 811)=108
 KSPARSE(2, 811)=108
!WC_HCHO/WC_KETL
 KSPARSE(1, 812)=108
 KSPARSE(2, 812)=112
!WC_HCHO/WC_AHMS
 KSPARSE(1, 813)=108
 KSPARSE(2, 813)=124
!WC_ALD2/ALD2
 KSPARSE(1, 814)=109
 KSPARSE(2, 814)=29
!WC_ALD2/WC_OH
 KSPARSE(1, 815)=109
 KSPARSE(2, 815)=98
!WC_ALD2/WC_RO25
 KSPARSE(1, 816)=109
 KSPARSE(2, 816)=104
!WC_ALD2/WC_ETOH
 KSPARSE(1, 817)=109
 KSPARSE(2, 817)=106
!WC_ALD2/WC_ALCH
 KSPARSE(1, 818)=109
 KSPARSE(2, 818)=107
!WC_ALD2/WC_ALD2
 KSPARSE(1, 819)=109
 KSPARSE(2, 819)=109
!WC_ALD2/WC_KETL
 KSPARSE(1, 820)=109
 KSPARSE(2, 820)=112
!WC_ALD2/WC_ACID
 KSPARSE(1, 821)=109
 KSPARSE(2, 821)=115
!WC_ALD2/WC_UR21
 KSPARSE(1, 822)=109
 KSPARSE(2, 822)=117
!WC_GLY/GLY
 KSPARSE(1, 823)=110
 KSPARSE(2, 823)=42
!WC_GLY/WC_OH
 KSPARSE(1, 824)=110
 KSPARSE(2, 824)=98
!WC_GLY/WC_GLY
 KSPARSE(1, 825)=110
 KSPARSE(2, 825)=110
!WC_MGLY/MGLY
 KSPARSE(1, 826)=111
 KSPARSE(2, 826)=41
!WC_MGLY/WC_OH
 KSPARSE(1, 827)=111
 KSPARSE(2, 827)=98
!WC_MGLY/WC_MGLY
 KSPARSE(1, 828)=111
 KSPARSE(2, 828)=111
!WC_MGLY/WC_KETL
 KSPARSE(1, 829)=111
 KSPARSE(2, 829)=112
!WC_KETL/KETL
 KSPARSE(1, 830)=112
 KSPARSE(2, 830)=30
!WC_KETL/WC_OH
 KSPARSE(1, 831)=112
 KSPARSE(2, 831)=98
!WC_KETL/WC_ALCH
 KSPARSE(1, 832)=112
 KSPARSE(2, 832)=107
!WC_KETL/WC_KETL
 KSPARSE(1, 833)=112
 KSPARSE(2, 833)=112
!WC_ORA1/ORA1
 KSPARSE(1, 834)=113
 KSPARSE(2, 834)=43
!WC_ORA1/WC_OH
 KSPARSE(1, 835)=113
 KSPARSE(2, 835)=98
!WC_ORA1/WC_HCHO
 KSPARSE(1, 836)=113
 KSPARSE(2, 836)=108
!WC_ORA1/WC_ORA1
 KSPARSE(1, 837)=113
 KSPARSE(2, 837)=113
!WC_ORA1/WC_AHMS
 KSPARSE(1, 838)=113
 KSPARSE(2, 838)=124
!WC_ORA2/ORA2
 KSPARSE(1, 839)=114
 KSPARSE(2, 839)=44
!WC_ORA2/WC_OH
 KSPARSE(1, 840)=114
 KSPARSE(2, 840)=98
!WC_ORA2/WC_RO25
 KSPARSE(1, 841)=114
 KSPARSE(2, 841)=104
!WC_ORA2/WC_ORA2
 KSPARSE(1, 842)=114
 KSPARSE(2, 842)=114
!WC_ACID/ACID
 KSPARSE(1, 843)=115
 KSPARSE(2, 843)=45
!WC_ACID/WC_OH
 KSPARSE(1, 844)=115
 KSPARSE(2, 844)=98
!WC_ACID/WC_ACID
 KSPARSE(1, 845)=115
 KSPARSE(2, 845)=115
!WC_RP16/RP16
 KSPARSE(1, 846)=116
 KSPARSE(2, 846)=74
!WC_RP16/WC_OH
 KSPARSE(1, 847)=116
 KSPARSE(2, 847)=98
!WC_RP16/WC_GLY
 KSPARSE(1, 848)=116
 KSPARSE(2, 848)=110
!WC_RP16/WC_ORA2
 KSPARSE(1, 849)=116
 KSPARSE(2, 849)=114
!WC_RP16/WC_RP16
 KSPARSE(1, 850)=116
 KSPARSE(2, 850)=116
!WC_UR21/UR21
 KSPARSE(1, 851)=117
 KSPARSE(2, 851)=47
!WC_UR21/WC_OH
 KSPARSE(1, 852)=117
 KSPARSE(2, 852)=98
!WC_UR21/WC_MGLY
 KSPARSE(1, 853)=117
 KSPARSE(2, 853)=111
!WC_UR21/WC_KETL
 KSPARSE(1, 854)=117
 KSPARSE(2, 854)=112
!WC_UR21/WC_ACID
 KSPARSE(1, 855)=117
 KSPARSE(2, 855)=115
!WC_UR21/WC_UR21
 KSPARSE(1, 856)=117
 KSPARSE(2, 856)=117
!WC_UR28/UR28
 KSPARSE(1, 857)=118
 KSPARSE(2, 857)=46
!WC_UR28/WC_OH
 KSPARSE(1, 858)=118
 KSPARSE(2, 858)=98
!WC_UR28/WC_RP16
 KSPARSE(1, 859)=118
 KSPARSE(2, 859)=116
!WC_UR28/WC_UR28
 KSPARSE(1, 860)=118
 KSPARSE(2, 860)=118
!WC_ACID2/WC_OH
 KSPARSE(1, 861)=119
 KSPARSE(2, 861)=98
!WC_ACID2/WC_ACID
 KSPARSE(1, 862)=119
 KSPARSE(2, 862)=115
!WC_ACID2/WC_UR21
 KSPARSE(1, 863)=119
 KSPARSE(2, 863)=117
!WC_ACID2/WC_ACID2
 KSPARSE(1, 864)=119
 KSPARSE(2, 864)=119
!WC_ASO3/WC_NO3
 KSPARSE(1, 865)=120
 KSPARSE(2, 865)=92
!WC_ASO3/WC_OH
 KSPARSE(1, 866)=120
 KSPARSE(2, 866)=98
!WC_ASO3/WC_SO2
 KSPARSE(1, 867)=120
 KSPARSE(2, 867)=101
!WC_ASO3/WC_RO21
 KSPARSE(1, 868)=120
 KSPARSE(2, 868)=103
!WC_ASO3/WC_ASO3
 KSPARSE(1, 869)=120
 KSPARSE(2, 869)=120
!WC_ASO4/WC_NO3
 KSPARSE(1, 870)=121
 KSPARSE(2, 870)=92
!WC_ASO4/WC_H2SO4
 KSPARSE(1, 871)=121
 KSPARSE(2, 871)=102
!WC_ASO4/WC_ASO4
 KSPARSE(1, 872)=121
 KSPARSE(2, 872)=121
!WC_ASO4/WC_ASO5
 KSPARSE(1, 873)=121
 KSPARSE(2, 873)=122
!WC_ASO5/WC_HO2
 KSPARSE(1, 874)=122
 KSPARSE(2, 874)=99
!WC_ASO5/WC_ASO3
 KSPARSE(1, 875)=122
 KSPARSE(2, 875)=120
!WC_ASO5/WC_ASO5
 KSPARSE(1, 876)=122
 KSPARSE(2, 876)=122
!WC_AHSO5/WC_HO2
 KSPARSE(1, 877)=123
 KSPARSE(2, 877)=99
!WC_AHSO5/WC_SO2
 KSPARSE(1, 878)=123
 KSPARSE(2, 878)=101
!WC_AHSO5/WC_ASO5
 KSPARSE(1, 879)=123
 KSPARSE(2, 879)=122
!WC_AHSO5/WC_AHSO5
 KSPARSE(1, 880)=123
 KSPARSE(2, 880)=123
!WC_AHMS/WC_OH
 KSPARSE(1, 881)=124
 KSPARSE(2, 881)=98
!WC_AHMS/WC_SO2
 KSPARSE(1, 882)=124
 KSPARSE(2, 882)=101
!WC_AHMS/WC_HCHO
 KSPARSE(1, 883)=124
 KSPARSE(2, 883)=108
!WC_AHMS/WC_AHMS
 KSPARSE(1, 884)=124
 KSPARSE(2, 884)=124
!WR_O3/O3
 KSPARSE(1, 885)=125
 KSPARSE(2, 885)=3
!WR_O3/WR_O3
 KSPARSE(1, 886)=125
 KSPARSE(2, 886)=125
!WR_O3/WR_HO2
 KSPARSE(1, 887)=125
 KSPARSE(2, 887)=136
!WR_O3/WR_SO2
 KSPARSE(1, 888)=125
 KSPARSE(2, 888)=138
!WR_H2O2/H2O2
 KSPARSE(1, 889)=126
 KSPARSE(2, 889)=12
!WR_H2O2/WR_H2O2
 KSPARSE(1, 890)=126
 KSPARSE(2, 890)=126
!WR_H2O2/WR_OH
 KSPARSE(1, 891)=126
 KSPARSE(2, 891)=135
!WR_H2O2/WR_HO2
 KSPARSE(1, 892)=126
 KSPARSE(2, 892)=136
!WR_H2O2/WR_SO2
 KSPARSE(1, 893)=126
 KSPARSE(2, 893)=138
!WR_H2O2/WR_RO25
 KSPARSE(1, 894)=126
 KSPARSE(2, 894)=141
!WR_H2O2/WR_KETL
 KSPARSE(1, 895)=126
 KSPARSE(2, 895)=149
!WR_H2O2/WR_ORA2
 KSPARSE(1, 896)=126
 KSPARSE(2, 896)=151
!WR_H2O2/WR_ACID
 KSPARSE(1, 897)=126
 KSPARSE(2, 897)=152
!WR_H2O2/WR_RP16
 KSPARSE(1, 898)=126
 KSPARSE(2, 898)=153
!WR_H2O2/WR_UR21
 KSPARSE(1, 899)=126
 KSPARSE(2, 899)=154
!WR_NO/NO
 KSPARSE(1, 900)=127
 KSPARSE(2, 900)=1
!WR_NO/WR_NO
 KSPARSE(1, 901)=127
 KSPARSE(2, 901)=127
!WR_NO2/NO2
 KSPARSE(1, 902)=128
 KSPARSE(2, 902)=2
!WR_NO2/WR_NO2
 KSPARSE(1, 903)=128
 KSPARSE(2, 903)=128
!WR_NO2/WR_HONO
 KSPARSE(1, 904)=128
 KSPARSE(2, 904)=131
!WR_NO2/WR_HNO3
 KSPARSE(1, 905)=128
 KSPARSE(2, 905)=132
!WR_NO2/WR_HNO4
 KSPARSE(1, 906)=128
 KSPARSE(2, 906)=133
!WR_NO2/WR_OH
 KSPARSE(1, 907)=128
 KSPARSE(2, 907)=135
!WR_NO2/WR_HO2
 KSPARSE(1, 908)=128
 KSPARSE(2, 908)=136
!WR_NO3/NO3
 KSPARSE(1, 909)=129
 KSPARSE(2, 909)=8
!WR_NO3/WR_NO3
 KSPARSE(1, 910)=129
 KSPARSE(2, 910)=129
!WR_NO3/WR_SO2
 KSPARSE(1, 911)=129
 KSPARSE(2, 911)=138
!WR_NO3/WR_H2SO4
 KSPARSE(1, 912)=129
 KSPARSE(2, 912)=139
!WR_N2O5/N2O5
 KSPARSE(1, 913)=130
 KSPARSE(2, 913)=7
!WR_N2O5/WR_N2O5
 KSPARSE(1, 914)=130
 KSPARSE(2, 914)=130
!WR_HONO/HONO
 KSPARSE(1, 915)=131
 KSPARSE(2, 915)=4
!WR_HONO/WR_HONO
 KSPARSE(1, 916)=131
 KSPARSE(2, 916)=131
!WR_HONO/WR_HNO4
 KSPARSE(1, 917)=131
 KSPARSE(2, 917)=133
!WR_HONO/WR_OH
 KSPARSE(1, 918)=131
 KSPARSE(2, 918)=135
!WR_HNO3/HNO3
 KSPARSE(1, 919)=132
 KSPARSE(2, 919)=5
!WR_HNO3/WR_NO3
 KSPARSE(1, 920)=132
 KSPARSE(2, 920)=129
!WR_HNO3/WR_N2O5
 KSPARSE(1, 921)=132
 KSPARSE(2, 921)=130
!WR_HNO3/WR_HNO3
 KSPARSE(1, 922)=132
 KSPARSE(2, 922)=132
!WR_HNO3/WR_HNO4
 KSPARSE(1, 923)=132
 KSPARSE(2, 923)=133
!WR_HNO3/WR_SO2
 KSPARSE(1, 924)=132
 KSPARSE(2, 924)=138
!WR_HNO3/WR_H2SO4
 KSPARSE(1, 925)=132
 KSPARSE(2, 925)=139
!WR_HNO4/HNO4
 KSPARSE(1, 926)=133
 KSPARSE(2, 926)=6
!WR_HNO4/WR_NO2
 KSPARSE(1, 927)=133
 KSPARSE(2, 927)=128
!WR_HNO4/WR_HNO4
 KSPARSE(1, 928)=133
 KSPARSE(2, 928)=133
!WR_HNO4/WR_HO2
 KSPARSE(1, 929)=133
 KSPARSE(2, 929)=136
!WR_HNO4/WR_SO2
 KSPARSE(1, 930)=133
 KSPARSE(2, 930)=138
!WR_NH3/NH3
 KSPARSE(1, 931)=134
 KSPARSE(2, 931)=9
!WR_NH3/WR_NH3
 KSPARSE(1, 932)=134
 KSPARSE(2, 932)=134
!WR_OH/OH
 KSPARSE(1, 933)=135
 KSPARSE(2, 933)=15
!WR_OH/WR_O3
 KSPARSE(1, 934)=135
 KSPARSE(2, 934)=125
!WR_OH/WR_H2O2
 KSPARSE(1, 935)=135
 KSPARSE(2, 935)=126
!WR_OH/WR_HONO
 KSPARSE(1, 936)=135
 KSPARSE(2, 936)=131
!WR_OH/WR_HNO3
 KSPARSE(1, 937)=135
 KSPARSE(2, 937)=132
!WR_OH/WR_OH
 KSPARSE(1, 938)=135
 KSPARSE(2, 938)=135
!WR_OH/WR_HO2
 KSPARSE(1, 939)=135
 KSPARSE(2, 939)=136
!WR_OH/WR_SO2
 KSPARSE(1, 940)=135
 KSPARSE(2, 940)=138
!WR_OH/WR_MEOH
 KSPARSE(1, 941)=135
 KSPARSE(2, 941)=142
!WR_OH/WR_ETOH
 KSPARSE(1, 942)=135
 KSPARSE(2, 942)=143
!WR_OH/WR_ALCH
 KSPARSE(1, 943)=135
 KSPARSE(2, 943)=144
!WR_OH/WR_HCHO
 KSPARSE(1, 944)=135
 KSPARSE(2, 944)=145
!WR_OH/WR_ALD2
 KSPARSE(1, 945)=135
 KSPARSE(2, 945)=146
!WR_OH/WR_GLY
 KSPARSE(1, 946)=135
 KSPARSE(2, 946)=147
!WR_OH/WR_MGLY
 KSPARSE(1, 947)=135
 KSPARSE(2, 947)=148
!WR_OH/WR_KETL
 KSPARSE(1, 948)=135
 KSPARSE(2, 948)=149
!WR_OH/WR_ORA1
 KSPARSE(1, 949)=135
 KSPARSE(2, 949)=150
!WR_OH/WR_ORA2
 KSPARSE(1, 950)=135
 KSPARSE(2, 950)=151
!WR_OH/WR_ACID
 KSPARSE(1, 951)=135
 KSPARSE(2, 951)=152
!WR_OH/WR_RP16
 KSPARSE(1, 952)=135
 KSPARSE(2, 952)=153
!WR_OH/WR_UR21
 KSPARSE(1, 953)=135
 KSPARSE(2, 953)=154
!WR_OH/WR_UR28
 KSPARSE(1, 954)=135
 KSPARSE(2, 954)=155
!WR_OH/WR_ACID2
 KSPARSE(1, 955)=135
 KSPARSE(2, 955)=156
!WR_OH/WR_ASO4
 KSPARSE(1, 956)=135
 KSPARSE(2, 956)=158
!WR_OH/WR_AHMS
 KSPARSE(1, 957)=135
 KSPARSE(2, 957)=161
!WR_HO2/HO2
 KSPARSE(1, 958)=136
 KSPARSE(2, 958)=10
!WR_HO2/WR_O3
 KSPARSE(1, 959)=136
 KSPARSE(2, 959)=125
!WR_HO2/WR_H2O2
 KSPARSE(1, 960)=136
 KSPARSE(2, 960)=126
!WR_HO2/WR_NO2
 KSPARSE(1, 961)=136
 KSPARSE(2, 961)=128
!WR_HO2/WR_HNO4
 KSPARSE(1, 962)=136
 KSPARSE(2, 962)=133
!WR_HO2/WR_OH
 KSPARSE(1, 963)=136
 KSPARSE(2, 963)=135
!WR_HO2/WR_HO2
 KSPARSE(1, 964)=136
 KSPARSE(2, 964)=136
!WR_HO2/WR_RO21
 KSPARSE(1, 965)=136
 KSPARSE(2, 965)=140
!WR_HO2/WR_RO25
 KSPARSE(1, 966)=136
 KSPARSE(2, 966)=141
!WR_HO2/WR_MEOH
 KSPARSE(1, 967)=136
 KSPARSE(2, 967)=142
!WR_HO2/WR_ETOH
 KSPARSE(1, 968)=136
 KSPARSE(2, 968)=143
!WR_HO2/WR_ALCH
 KSPARSE(1, 969)=136
 KSPARSE(2, 969)=144
!WR_HO2/WR_HCHO
 KSPARSE(1, 970)=136
 KSPARSE(2, 970)=145
!WR_HO2/WR_GLY
 KSPARSE(1, 971)=136
 KSPARSE(2, 971)=147
!WR_HO2/WR_MGLY
 KSPARSE(1, 972)=136
 KSPARSE(2, 972)=148
!WR_HO2/WR_KETL
 KSPARSE(1, 973)=136
 KSPARSE(2, 973)=149
!WR_HO2/WR_ORA1
 KSPARSE(1, 974)=136
 KSPARSE(2, 974)=150
!WR_HO2/WR_ACID
 KSPARSE(1, 975)=136
 KSPARSE(2, 975)=152
!WR_HO2/WR_RP16
 KSPARSE(1, 976)=136
 KSPARSE(2, 976)=153
!WR_HO2/WR_UR21
 KSPARSE(1, 977)=136
 KSPARSE(2, 977)=154
!WR_HO2/WR_UR28
 KSPARSE(1, 978)=136
 KSPARSE(2, 978)=155
!WR_HO2/WR_ASO5
 KSPARSE(1, 979)=136
 KSPARSE(2, 979)=159
!WR_HO2/WR_AHMS
 KSPARSE(1, 980)=136
 KSPARSE(2, 980)=161
!WR_CO2/WR_OH
 KSPARSE(1, 981)=137
 KSPARSE(2, 981)=135
!WR_CO2/WR_CO2
 KSPARSE(1, 982)=137
 KSPARSE(2, 982)=137
!WR_CO2/WR_ALD2
 KSPARSE(1, 983)=137
 KSPARSE(2, 983)=146
!WR_CO2/WR_KETL
 KSPARSE(1, 984)=137
 KSPARSE(2, 984)=149
!WR_CO2/WR_ORA1
 KSPARSE(1, 985)=137
 KSPARSE(2, 985)=150
!WR_CO2/WR_ACID
 KSPARSE(1, 986)=137
 KSPARSE(2, 986)=152
!WR_CO2/WR_RP16
 KSPARSE(1, 987)=137
 KSPARSE(2, 987)=153
!WR_CO2/WR_UR21
 KSPARSE(1, 988)=137
 KSPARSE(2, 988)=154
!WR_CO2/WR_UR28
 KSPARSE(1, 989)=137
 KSPARSE(2, 989)=155
!WR_SO2/SO2
 KSPARSE(1, 990)=138
 KSPARSE(2, 990)=13
!WR_SO2/WR_O3
 KSPARSE(1, 991)=138
 KSPARSE(2, 991)=125
!WR_SO2/WR_H2O2
 KSPARSE(1, 992)=138
 KSPARSE(2, 992)=126
!WR_SO2/WR_NO3
 KSPARSE(1, 993)=138
 KSPARSE(2, 993)=129
!WR_SO2/WR_HNO4
 KSPARSE(1, 994)=138
 KSPARSE(2, 994)=133
!WR_SO2/WR_OH
 KSPARSE(1, 995)=138
 KSPARSE(2, 995)=135
!WR_SO2/WR_SO2
 KSPARSE(1, 996)=138
 KSPARSE(2, 996)=138
!WR_SO2/WR_RO21
 KSPARSE(1, 997)=138
 KSPARSE(2, 997)=140
!WR_SO2/WR_HCHO
 KSPARSE(1, 998)=138
 KSPARSE(2, 998)=145
!WR_SO2/WR_AHSO5
 KSPARSE(1, 999)=138
 KSPARSE(2, 999)=160
!WR_SO2/WR_AHMS
 KSPARSE(1, 1000)=138
 KSPARSE(2, 1000)=161
!WR_H2SO4/H2SO4
 KSPARSE(1, 1001)=139
 KSPARSE(2, 1001)=14
!WR_H2SO4/WR_O3
 KSPARSE(1, 1002)=139
 KSPARSE(2, 1002)=125
!WR_H2SO4/WR_H2O2
 KSPARSE(1, 1003)=139
 KSPARSE(2, 1003)=126
!WR_H2SO4/WR_NO3
 KSPARSE(1, 1004)=139
 KSPARSE(2, 1004)=129
!WR_H2SO4/WR_HNO4
 KSPARSE(1, 1005)=139
 KSPARSE(2, 1005)=133
!WR_H2SO4/WR_SO2
 KSPARSE(1, 1006)=139
 KSPARSE(2, 1006)=138
!WR_H2SO4/WR_H2SO4
 KSPARSE(1, 1007)=139
 KSPARSE(2, 1007)=139
!WR_H2SO4/WR_ASO4
 KSPARSE(1, 1008)=139
 KSPARSE(2, 1008)=158
!WR_H2SO4/WR_AHSO5
 KSPARSE(1, 1009)=139
 KSPARSE(2, 1009)=160
!WR_RO21/RO21
 KSPARSE(1, 1010)=140
 KSPARSE(2, 1010)=86
!WR_RO21/WR_OH
 KSPARSE(1, 1011)=140
 KSPARSE(2, 1011)=135
!WR_RO21/WR_SO2
 KSPARSE(1, 1012)=140
 KSPARSE(2, 1012)=138
!WR_RO21/WR_RO21
 KSPARSE(1, 1013)=140
 KSPARSE(2, 1013)=140
!WR_RO21/WR_ALD2
 KSPARSE(1, 1014)=140
 KSPARSE(2, 1014)=146
!WR_RO21/WR_KETL
 KSPARSE(1, 1015)=140
 KSPARSE(2, 1015)=149
!WR_RO25/RO25
 KSPARSE(1, 1016)=141
 KSPARSE(2, 1016)=87
!WR_RO25/WR_OH
 KSPARSE(1, 1017)=141
 KSPARSE(2, 1017)=135
!WR_RO25/WR_RO25
 KSPARSE(1, 1018)=141
 KSPARSE(2, 1018)=141
!WR_RO25/WR_ALD2
 KSPARSE(1, 1019)=141
 KSPARSE(2, 1019)=146
!WR_RO25/WR_ACID
 KSPARSE(1, 1020)=141
 KSPARSE(2, 1020)=152
!WR_MEOH/MEOH
 KSPARSE(1, 1021)=142
 KSPARSE(2, 1021)=32
!WR_MEOH/WR_OH
 KSPARSE(1, 1022)=142
 KSPARSE(2, 1022)=135
!WR_MEOH/WR_MEOH
 KSPARSE(1, 1023)=142
 KSPARSE(2, 1023)=142
!WR_ETOH/ETOH
 KSPARSE(1, 1024)=143
 KSPARSE(2, 1024)=33
!WR_ETOH/WR_OH
 KSPARSE(1, 1025)=143
 KSPARSE(2, 1025)=135
!WR_ETOH/WR_ETOH
 KSPARSE(1, 1026)=143
 KSPARSE(2, 1026)=143
!WR_ALCH/ALCH
 KSPARSE(1, 1027)=144
 KSPARSE(2, 1027)=34
!WR_ALCH/WR_OH
 KSPARSE(1, 1028)=144
 KSPARSE(2, 1028)=135
!WR_ALCH/WR_ALCH
 KSPARSE(1, 1029)=144
 KSPARSE(2, 1029)=144
!WR_HCHO/HCHO
 KSPARSE(1, 1030)=145
 KSPARSE(2, 1030)=28
!WR_HCHO/WR_OH
 KSPARSE(1, 1031)=145
 KSPARSE(2, 1031)=135
!WR_HCHO/WR_SO2
 KSPARSE(1, 1032)=145
 KSPARSE(2, 1032)=138
!WR_HCHO/WR_RO21
 KSPARSE(1, 1033)=145
 KSPARSE(2, 1033)=140
!WR_HCHO/WR_MEOH
 KSPARSE(1, 1034)=145
 KSPARSE(2, 1034)=142
!WR_HCHO/WR_HCHO
 KSPARSE(1, 1035)=145
 KSPARSE(2, 1035)=145
!WR_HCHO/WR_KETL
 KSPARSE(1, 1036)=145
 KSPARSE(2, 1036)=149
!WR_HCHO/WR_AHMS
 KSPARSE(1, 1037)=145
 KSPARSE(2, 1037)=161
!WR_ALD2/ALD2
 KSPARSE(1, 1038)=146
 KSPARSE(2, 1038)=29
!WR_ALD2/WR_OH
 KSPARSE(1, 1039)=146
 KSPARSE(2, 1039)=135
!WR_ALD2/WR_RO25
 KSPARSE(1, 1040)=146
 KSPARSE(2, 1040)=141
!WR_ALD2/WR_ETOH
 KSPARSE(1, 1041)=146
 KSPARSE(2, 1041)=143
!WR_ALD2/WR_ALCH
 KSPARSE(1, 1042)=146
 KSPARSE(2, 1042)=144
!WR_ALD2/WR_ALD2
 KSPARSE(1, 1043)=146
 KSPARSE(2, 1043)=146
!WR_ALD2/WR_KETL
 KSPARSE(1, 1044)=146
 KSPARSE(2, 1044)=149
!WR_ALD2/WR_ACID
 KSPARSE(1, 1045)=146
 KSPARSE(2, 1045)=152
!WR_ALD2/WR_UR21
 KSPARSE(1, 1046)=146
 KSPARSE(2, 1046)=154
!WR_GLY/GLY
 KSPARSE(1, 1047)=147
 KSPARSE(2, 1047)=42
!WR_GLY/WR_OH
 KSPARSE(1, 1048)=147
 KSPARSE(2, 1048)=135
!WR_GLY/WR_GLY
 KSPARSE(1, 1049)=147
 KSPARSE(2, 1049)=147
!WR_MGLY/MGLY
 KSPARSE(1, 1050)=148
 KSPARSE(2, 1050)=41
!WR_MGLY/WR_OH
 KSPARSE(1, 1051)=148
 KSPARSE(2, 1051)=135
!WR_MGLY/WR_MGLY
 KSPARSE(1, 1052)=148
 KSPARSE(2, 1052)=148
!WR_MGLY/WR_KETL
 KSPARSE(1, 1053)=148
 KSPARSE(2, 1053)=149
!WR_KETL/KETL
 KSPARSE(1, 1054)=149
 KSPARSE(2, 1054)=30
!WR_KETL/WR_OH
 KSPARSE(1, 1055)=149
 KSPARSE(2, 1055)=135
!WR_KETL/WR_ALCH
 KSPARSE(1, 1056)=149
 KSPARSE(2, 1056)=144
!WR_KETL/WR_KETL
 KSPARSE(1, 1057)=149
 KSPARSE(2, 1057)=149
!WR_ORA1/ORA1
 KSPARSE(1, 1058)=150
 KSPARSE(2, 1058)=43
!WR_ORA1/WR_OH
 KSPARSE(1, 1059)=150
 KSPARSE(2, 1059)=135
!WR_ORA1/WR_HCHO
 KSPARSE(1, 1060)=150
 KSPARSE(2, 1060)=145
!WR_ORA1/WR_ORA1
 KSPARSE(1, 1061)=150
 KSPARSE(2, 1061)=150
!WR_ORA1/WR_AHMS
 KSPARSE(1, 1062)=150
 KSPARSE(2, 1062)=161
!WR_ORA2/ORA2
 KSPARSE(1, 1063)=151
 KSPARSE(2, 1063)=44
!WR_ORA2/WR_OH
 KSPARSE(1, 1064)=151
 KSPARSE(2, 1064)=135
!WR_ORA2/WR_RO25
 KSPARSE(1, 1065)=151
 KSPARSE(2, 1065)=141
!WR_ORA2/WR_ORA2
 KSPARSE(1, 1066)=151
 KSPARSE(2, 1066)=151
!WR_ACID/ACID
 KSPARSE(1, 1067)=152
 KSPARSE(2, 1067)=45
!WR_ACID/WR_OH
 KSPARSE(1, 1068)=152
 KSPARSE(2, 1068)=135
!WR_ACID/WR_ACID
 KSPARSE(1, 1069)=152
 KSPARSE(2, 1069)=152
!WR_RP16/RP16
 KSPARSE(1, 1070)=153
 KSPARSE(2, 1070)=74
!WR_RP16/WR_OH
 KSPARSE(1, 1071)=153
 KSPARSE(2, 1071)=135
!WR_RP16/WR_GLY
 KSPARSE(1, 1072)=153
 KSPARSE(2, 1072)=147
!WR_RP16/WR_ORA2
 KSPARSE(1, 1073)=153
 KSPARSE(2, 1073)=151
!WR_RP16/WR_RP16
 KSPARSE(1, 1074)=153
 KSPARSE(2, 1074)=153
!WR_UR21/UR21
 KSPARSE(1, 1075)=154
 KSPARSE(2, 1075)=47
!WR_UR21/WR_OH
 KSPARSE(1, 1076)=154
 KSPARSE(2, 1076)=135
!WR_UR21/WR_MGLY
 KSPARSE(1, 1077)=154
 KSPARSE(2, 1077)=148
!WR_UR21/WR_KETL
 KSPARSE(1, 1078)=154
 KSPARSE(2, 1078)=149
!WR_UR21/WR_ACID
 KSPARSE(1, 1079)=154
 KSPARSE(2, 1079)=152
!WR_UR21/WR_UR21
 KSPARSE(1, 1080)=154
 KSPARSE(2, 1080)=154
!WR_UR28/UR28
 KSPARSE(1, 1081)=155
 KSPARSE(2, 1081)=46
!WR_UR28/WR_OH
 KSPARSE(1, 1082)=155
 KSPARSE(2, 1082)=135
!WR_UR28/WR_RP16
 KSPARSE(1, 1083)=155
 KSPARSE(2, 1083)=153
!WR_UR28/WR_UR28
 KSPARSE(1, 1084)=155
 KSPARSE(2, 1084)=155
!WR_ACID2/WR_OH
 KSPARSE(1, 1085)=156
 KSPARSE(2, 1085)=135
!WR_ACID2/WR_ACID
 KSPARSE(1, 1086)=156
 KSPARSE(2, 1086)=152
!WR_ACID2/WR_UR21
 KSPARSE(1, 1087)=156
 KSPARSE(2, 1087)=154
!WR_ACID2/WR_ACID2
 KSPARSE(1, 1088)=156
 KSPARSE(2, 1088)=156
!WR_ASO3/WR_NO3
 KSPARSE(1, 1089)=157
 KSPARSE(2, 1089)=129
!WR_ASO3/WR_OH
 KSPARSE(1, 1090)=157
 KSPARSE(2, 1090)=135
!WR_ASO3/WR_SO2
 KSPARSE(1, 1091)=157
 KSPARSE(2, 1091)=138
!WR_ASO3/WR_RO21
 KSPARSE(1, 1092)=157
 KSPARSE(2, 1092)=140
!WR_ASO3/WR_ASO3
 KSPARSE(1, 1093)=157
 KSPARSE(2, 1093)=157
!WR_ASO4/WR_NO3
 KSPARSE(1, 1094)=158
 KSPARSE(2, 1094)=129
!WR_ASO4/WR_H2SO4
 KSPARSE(1, 1095)=158
 KSPARSE(2, 1095)=139
!WR_ASO4/WR_ASO4
 KSPARSE(1, 1096)=158
 KSPARSE(2, 1096)=158
!WR_ASO4/WR_ASO5
 KSPARSE(1, 1097)=158
 KSPARSE(2, 1097)=159
!WR_ASO5/WR_HO2
 KSPARSE(1, 1098)=159
 KSPARSE(2, 1098)=136
!WR_ASO5/WR_ASO3
 KSPARSE(1, 1099)=159
 KSPARSE(2, 1099)=157
!WR_ASO5/WR_ASO5
 KSPARSE(1, 1100)=159
 KSPARSE(2, 1100)=159
!WR_AHSO5/WR_HO2
 KSPARSE(1, 1101)=160
 KSPARSE(2, 1101)=136
!WR_AHSO5/WR_SO2
 KSPARSE(1, 1102)=160
 KSPARSE(2, 1102)=138
!WR_AHSO5/WR_ASO5
 KSPARSE(1, 1103)=160
 KSPARSE(2, 1103)=159
!WR_AHSO5/WR_AHSO5
 KSPARSE(1, 1104)=160
 KSPARSE(2, 1104)=160
!WR_AHMS/WR_OH
 KSPARSE(1, 1105)=161
 KSPARSE(2, 1105)=135
!WR_AHMS/WR_SO2
 KSPARSE(1, 1106)=161
 KSPARSE(2, 1106)=138
!WR_AHMS/WR_HCHO
 KSPARSE(1, 1107)=161
 KSPARSE(2, 1107)=145
!WR_AHMS/WR_AHMS
 KSPARSE(1, 1108)=161
 KSPARSE(2, 1108)=161
KSPARSEDIM = 1108
RETURN
END SUBROUTINE CH_SPARSE_AQ
!
END SUBROUTINE CH_SPARSE
!
